<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.database.GlobalSettings"%>
<%@ page import="com.hp.mx.html.core.*"%>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="XEUtil" class="com.hp.mx.portal.applet.utilities.XeJspUtil" scope="session"/>

<%
   ResourceBundle authRB = ResourceBundle.getBundle("mxglobal", loginBean.getLocale());
%>

var refreshTimer = <%=MxLoginPage.LOGIN_PAGE_REFRESH_TIMEOUT%>;
var idWindow     = null;
var bInstalled    = false;

function resetPageRefreshTimer()
{
    refreshTimer = <%=MxLoginPage.LOGIN_PAGE_REFRESH_TIMEOUT%>;
}

function doRefreshTimer()
{
    refreshTimer -= <%=MxLoginPage.LOGIN_PAGE_TIMER_INTERVAL%>;

    if (refreshTimer <= 0)
        refreshToLoginPage();
    else
        setTimeout("doRefreshTimer()", <%=MxLoginPage.LOGIN_PAGE_TIMER_INTERVAL%>);
}

function refreshToLoginPage()
{
    document.location.replace("<%=request.getContextPath()%>");
}

function reloadLoginPage()
{
    document.location.replace("https://<%=request.getServerName()%>:<%=GlobalSettings.getProperty("Login.secure-port", "50000")%>");
}

function p_MxPortalGetWindow()
{
    var w = window;
    while (true)
    {
        if (typeof w.MX_PORTAL_MAIN_DOCUMENT == "string")
            return w;

        if (w == top) break;
        w = w.parent;
    }

    return null;
}

function MxPortalCheckIfNested()
{
    var w = p_MxPortalGetWindow();
    return (w != null);
}

function MxPortalSetTopLocation(szUrl)
{
    var w = p_MxPortalGetWindow();
    if (w != null)
        w.p_MxPortalSetTopLocation(szUrl);
    else
        top.document.location.replace(szUrl);
}

function appendUsernameToDomain()
{
    var szUsername = document.getElementById("<%=MxLoginPage.DOM_USERNAME%>").value;

    if (document.getElementById("<%=MxLoginPage.DOM_DOMAIN%>") != null)
    {
        var szDomain = document.getElementById("<%=MxLoginPage.DOM_DOMAIN%>").value;
        if (szDomain != "")
        {
            document.getElementById("<%=MxLoginPage.DOM_J_USERNAME%>").value = szDomain + "\\" + szUsername;
        }
        else
            document.getElementById("<%=MxLoginPage.DOM_J_USERNAME%>").value = szUsername;
    }
    else
        document.getElementById("<%=MxLoginPage.DOM_J_USERNAME%>").value = szUsername;
}

function appendPasswordToIpAddress()
{
    var szPassword = document.getElementById("<%=MxLoginPage.DOM_PASSWORD%>").value;
    var szRemoteAddr = "<%=request.getRemoteAddr()%>";

    if (null != szRemoteAddr)
        document.getElementById("<%=MxLoginPage.DOM_J_PASSWORD%>").value = szRemoteAddr + ";" + szPassword;
    else
        document.getElementById("<%=MxLoginPage.DOM_J_PASSWORD%>").value = szPassword;
}

function myOnSubmit()
{
    if (!checkCookies())
        return false;

    appendUsernameToDomain();
    appendPasswordToIpAddress();
    saveTimeZone();

    return true;
}

function saveTimeZone()
{
    var selector = document.getElementById("<%=MxLoginPage.ID_ZONE_SELECTOR%>");
    if (selector.selectedIndex >= 0)
    {
        var options = selector.getElementsByTagName("option");
        var value = options[selector.selectedIndex].value;
        MxBrowserSetCookie("<%=MxLoginPage.COOKIE_ZONE%>", value, false);
    }
}

function showMsg(szId)
{
    var s = document.getElementById(szId).style;
    s.display = "block";
}

function hideMsg(szId)
{
    var s = document.getElementById(szId).style;
    s.display = "none";
}

function checkVersionIe()
{
    var agt = navigator.userAgent.toLowerCase();

    var is_ie     = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
    var is_ie4    = (is_ie && (agt.indexOf("msie 4") != -1) );
    var is_ie5up  = (is_ie && (agt.indexOf("msie 5.") != -1) );
    var is_ie6up  = (is_ie && !is_ie4 && !is_ie5up);

    if (is_ie && !is_ie6up)
        showMsg("<%=MxLoginPage.ID_IE_WARNING%>");
}

function checkVersionMozilla()
{
    var ver = 1.7;
    var agt = navigator.userAgent.toLowerCase();
    var i = agt.indexOf("rv:");

    if (i >= 0)
        ver = parseFloat(agt.substring(i + 3));

    if (ver < 1.7)
        showMsg("<%=MxLoginPage.ID_MOZILLA_WARNING%>");
}

function checkCookies()
{
    var bEnabled = navigator.cookieEnabled;

    if (bEnabled)
    {
        var ckName = "mx-cookie-check";
        var ckValue = "mx-value";
        MxBrowserSetCookie(ckName, ckValue, true)
        bEnabled = (MxBrowserGetCookie(ckName) == ckValue);
        if (bEnabled)
            MxBrowserSetCookie(ckName, null, true);
    }

    if (!bEnabled)
        showMsg("<%=MxLoginPage.ID_COOKIE_WARNING%>");

     return bEnabled;
}

function checkScreen()
{
    if (screen.width < 1024 || screen.height < 768 || screen.colorDepth < 8)
        showMsg("<%=MxLoginPage.ID_SCREEN_WARNING%>");
}

function logon_onLoad()
{
    if (MxPortalCheckIfNested())
    {
        MxPortalSetTopLocation("/mxportal/home/MxPortalFrames.jsp");
        return;
    }

    showLoginHelp();
    setTimeout('document.getElementById("<%=MxLoginPage.DOM_USERNAME%>").focus()', 250);

    checkVersionIe();
    checkVersionMozilla();
    checkCookies();
    checkScreen();
    doRefreshTimer();
    filterTimeZones();
}

function closeWindow()
{
    if (idWindow != null)
    {
        idWindow.close();
    }
}

/////////////////////////////////////////////////////////////////////////
// MxBrowser function copies

/**
 * Return the value of the requested cookie (properly unESCaped), or null.
 */
function MxBrowserGetCookie(szName)
{
    var aCookie = document.cookie.split("; ");
    for (var i = 0; i < aCookie.length; i++)
    {
        var aCrumb = aCookie[i].split("=");
        if (aCrumb[0] == szName)
            return unescape(aCrumb[1]);
    }

    return null;
}

/**
 * Sets the given cookie with the given value (properly ESCaped).
 * If the value is null, the cookie is removed.
 */
function MxBrowserSetCookie(szName, szValue, bTemp)
{
    document.cookie = szName + "=nothing; expires=Fri, 31 Dec 1999 23:59:59 GMT;";

    if (szValue != null)
    {
        if (bTemp)
            document.cookie = szName + "=" + escape(szValue);
        else
            document.cookie = szName + "=" + escape(szValue) + "; expires=Thu, 31 Dec 2099 23:59:59 GMT;";
    }
}

/////////////////////////////////////////////////////////////////////////
// TimeZone stuff

function isDstSupported()
{
    var dstJan = new Date(2000, 0, 1).getTimezoneOffset();
    var dstJul = new Date(2000, 6, 1).getTimezoneOffset();

    return (dstJan != dstJul);
}

function isDstActive()
{
    if (!isDstSupported())
        return false;

    var dstJan = new Date(2000, 0, 1).getTimezoneOffset();
    var dstJul = new Date(2000, 6, 1).getTimezoneOffset();
    var dstDst = Math.min(dstJan, dstJul);

    var offset = new Date().getTimezoneOffset();

    return (dstDst == offset);
}

/**
 * This gets an offset that takes into account DST
 */
function getRealOffset()
{
    var offset = new Date().getTimezoneOffset();

    if (isDstActive())
    {
        var dstJan = new Date(2000, 0, 1).getTimezoneOffset();
        var dstJul = new Date(2000, 6, 1).getTimezoneOffset();
        offset += Math.abs(dstJan - dstJul);
    }

    return -offset * 60000;
}

function filterTimeZones()
{
    var select = document.getElementById("<%=MxLoginPage.ID_ZONE_SELECTOR%>");
    var selectSave = select.innerHTML;
    select.innerHTML = "";

    var szDst = "" + isDstSupported();
    var szInDst = "" + isDstActive();
    var szOffset = "" + getRealOffset();
    var szCookie = MxBrowserGetCookie("<%=MxLoginPage.COOKIE_ZONE%>");


    var selectAll = document.getElementById("<%=MxLoginPage.ID_ZONES%>");
    var options = selectAll.getElementsByTagName("option");
    var nCount = 0;
    for (var i = 0; i < options.length; i++)
    {
        if (options[i].getAttribute("mx-dst") != szDst)
            continue;

        if (options[i].getAttribute("mx-in-dst") != szInDst)
            continue;

        if (options[i].getAttribute("mx-offset") != szOffset)
            continue;

        var newOption = options[i].cloneNode(true);
        if (szCookie != null && szCookie == newOption.value)
            newOption.selected = true;

        select.appendChild(newOption);
        nCount++;
    }

    if (nCount == 0)
    {
        select.innerHTML = selectSave;
        nCount = 1;
    }

    if (nCount > 1)
    {
        var oTR = document.getElementById("<%=MxLoginPage.ID_ZONE_FIELD%>");
        if (document.all)
            oTR.style.display = "block";
        else
            oTR.style.display = "table-row";
    }
}
