
<%@page import="com.hp.mx.core.subjects.usermanager.*,
                java.util.*,
                java.sql.*,
                com.hp.mx.database.*,
                com.hp.mx.portal.help.*,
                com.hp.mx.utilities.*,
                com.hp.mx.core.utilities.*"
%>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<HTML>
<HEAD>

<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>
</HEAD>
<BODY>

<b>DB Connections</b><br>
<p>This page shows all database connections actively in use by HP Systems Insight Manager. Refresh this page to determine if a request is continuously held off.
</p>
<%
        Enumeration e;
        DatabaseManagerInfo mainDbinfo =  DatabaseManager.getDefaultDatabase().getDbManagerInfo();

        if (request.getParameter("markClosed") != null)
        {
            Iterator iter = mainDbinfo.getTheConnectionCache().iterator();
            while (iter.hasNext())
            {
                MapleConnection mc = (MapleConnection)iter.next();
                mc.setConnectionDirty();
            }

            e = mainDbinfo.getConnectionsInUse().elements();
            while (e.hasMoreElements())
            {
                MapleConnection mc = (MapleConnection)e.nextElement();
                mc.setConnectionDirty();
            }
        }

        e = mainDbinfo.getConnectionsInUse().elements();
        int curConCount = mainDbinfo.getDbCounter().getCurrentLocks();
        out.println("Connections in use: "+curConCount+" NOTE: list may be less, due to timing. Click  <A HREF=\"connectionDebug.jsp?markClosed=yes\" >here</a> to mark all to be closed<br>");
        out.println("<table border=\"1\"><tr><td>Connection Owner</td><td>Time (ms)</td><td>Sql</td></tr>\n");
        while (e.hasMoreElements())
        {
            MapleConnection mc = (MapleConnection)e.nextElement();
            out.println("<tr><td>" +mc.getOwnerInfo()+"</td><td>"+mc.getConnUsedTimeInMs()+"</td><td>"+mc.getLastSql()+"</td></tr>\n" );

        }
        out.println("</table>");
%>
</BODY>
</HTML>
