<%@ page import="com.hp.mx.core.automation.*,
               com.hp.mx.startup.*,
               com.hp.mx.utilities.*,
               java.util.*"
         errorPage="handleJspError.jsp"
%>

<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<HTML>
<HEAD>


<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>

    <STYLE TYPE="text/css">
    <!--
        A.subSectionMenu {font-family:arial; font-size:10pt; font-weight:normal; background:#006699; color:white; text-align:right;}
    -->
    </STYLE>
</head>
<body>

    <a name=topOfPage></a>
    <BR>
    <table width="100%" border=0 cellspacing=0 cellpadding=0 >
    <tr>
        <td width="48%" valign="top">
            <table width="100%" border=1 cellspacing=0 cellpadding=3 bordercolor='#000000'>
            <tr class=groupBoxHeader>
                <td valign="TOP"><SPAN class=groupBoxHeader >Construction Lists</SPAN></td>
            </tr>
            <tr class=groupBoxData>
                <td valign=top>
                <%
                    Hashtable allConstructions = ConstructionWrapper.getAllConstructions();

                    StringSorter allSortedLists     = new com.hp.mx.utilities.StringSorter(allConstructions.size());

                    Enumeration els = allConstructions.keys();
                    while (els.hasMoreElements())
                    {
                        allSortedLists.insert((String) els.nextElement());
                    }
                    allSortedLists.quickSort();
                    els = allSortedLists.getSortedElements();
                    while (els.hasMoreElements())
                    {
                        String store = (String) els.nextElement();
                        out.println("<a href=#"+store+">" + store + "</a><br>\n");
                    }

                %>
                </td>
            </tr>
            </table>
        </td>

        <td>&nbsp;<!-- spacer --></td>

        <td width="48%" valign=top>
            <table width="100%" border=1 cellspacing=0 cellpadding=3 bordercolor='#000000'>
            <tr class=groupBoxHeader>
                <td valign="TOP"><SPAN class=groupBoxHeader >General Information</SPAN></td>
            </tr>
            <tr class=groupBoxData>
                <td valign=top>
                    <table cellspacing="0" cellpadding="2" border="0">
                    <tr>
                        <td><b>XE was started:</b></td>
                        <td><%out.println(" "+InsightXE.GetMapleStartTimeDate().toLocaleString()+ " (server time)");%></td>
                    </tr>
                    <tr>
                        <td><b>Current Server Time:</b></td>
                        <td><%out.println(" "+ new Date().toLocaleString());%></td>
                    </tr>
                    </table>
                </td>
            </tr>
            </table>
        </td>
    </tr>
    </table>
<br><BR>

<%
    els = allConstructions.keys();
    while (els.hasMoreElements())
    {
        String store = (String) els.nextElement();
        Vector constructions = (Vector) allConstructions.get(store);
        String bgColor = "";
        int elCount = 0;
%>
        <table width=100% border=1 cellspacing=0 cellpadding=1 align=CENTER bgcolor=#FFFFFF bordercolor=#000000>
        <tr bgcolor=#006699>
            <th colspan=10 style='font-family:verdana; font-size:12pt; color:white'>
                Constructions in:&nbsp;<% out.println("<a name=" + store + ">" + store + "</a>"); %>
                <span style='font-size:8pt; font-weight:normal;'>(<a class=subSectionMenu href=#topOfPage>Back to top</a>)</span>
            </th>
        </tr>
        <tr valign="top" style="font-size:10pt;background:#66ccff;">
            <td width="15%"  height="15"><SPAN class=constBoxHeader>Name</SPAN></td>
            <td width="10%"  height="15"><SPAN class=constBoxHeader>Run Count</SPAN></td>
            <td width="10%" height="15"><SPAN class=constBoxHeader>Q Size(max)</SPAN></td>
            <td width="14%" height="15"><SPAN class=constBoxHeader>Time Started</SPAN></td>
            <td width="14%" height="15"><SPAN class=constBoxHeader>Time Completed</SPAN></td>
            <td width="14%" height="15"><SPAN class=constBoxHeader>Elapsed Time</SPAN></td>
            <td width="10%" height="15"><SPAN class=constBoxHeader>Avg Run Time (ms)</SPAN></td>
            <td width="15%" height="15"><SPAN class=constBoxHeader>Longest Run (ms)</SPAN></td>
            <td width="7%"  height="15"><SPAN class=constBoxHeader>Errors?</SPAN></td>
            <td width="8%"  height="15"><SPAN class=constBoxHeader>Running?</SPAN></td>
        </tr>
        <%

            Enumeration clist = constructions.elements();
            while (clist.hasMoreElements())
            {
                ConstructionWrapper c = (ConstructionWrapper) clist.nextElement();
                String name   = c.getConstructionName();
                int runcount  = c.getRunCount();
                int queuSize  = c.getQueueSize();
                int mqueuSize = c.getMaxQueueSize();
                long laststarted  = c.getTimeStarted();
                long lastrun  = c.getLastTimeRun();
                int elapsed   = c.getElapsed();
                int avg       = 0;
                if (runcount > 0)
                    avg = elapsed / runcount;
                int longest = c.getLongestRun();

                elCount++;
                bgColor = (elCount%2 == 0) ? "#FFFFFF" : "#EEEEEE";
        %>
            <tr bgcolor='<% out.print(bgColor);%>'>
                <td>&nbsp;<% out.println("<A HREF=\"construction.jsp?store=" + store + "&construction=" + name + "\" >" + name + "</A>"); %></td>
                <td align=CENTER><% out.println("" + runcount); %></td>
                <td align=CENTER>
                <% out.println("");
                if (queuSize > 0)
                {
                    out.print("<span style='color:red; font-weight:bold;'>");
                }
                out.print(queuSize);
                if (queuSize > 0)
                {
                    out.print("</span>");
                }

                out.println(" (");
                out.println( mqueuSize );
                out.println(")");
                %></td>
                <td align=CENTER>
                    <%
                        if (laststarted == 0)
                            out.println("never");
                        else
                        {
                            Date d = new Date(laststarted);
                            out.println(d.toString());
                        }
                    %>
                </td>
                <td align=CENTER>
                    <%
                        if (lastrun == 0)
                            out.println("never");
                        else
                        {
                            Date d = new Date(lastrun);
                            out.println(d.toString());
                        }
                    %>
                </td>
                <td align=CENTER>
                    <%
                        if (elapsed > 1000)
                            out.println("" + ((float)elapsed)/1000 + " (s)");
                        else
                            out.println("" + elapsed + " (ms)");
                    %>
                </td>
                <td align=CENTER><% out.println("" + avg); %></td>
                <td align=CENTER><% out.println("" + longest); %></td>
                <td align=CENTER>
                    <%
                        try
                        {
                            if ( c.hasErrors() )
                                out.println("<span style='color:red; font-weight:bold;'>YES ("+c.getErrorCount()+")</span>");
                            else
                                out.println("No");
                        }
                        catch (Exception e)
                        {
                            out.println("Not Loaded");
                        }
                    %>
                </td>
                <td align=CENTER>
                    <%
                        try
                        {
                            if (c.getIsLoaded())
                            {
                                if (c.amIRunning())
                                    out.println("<span style='color:blue; font-weight:bold;'>YES</span>");
                                else
                                    out.println("No");
                            }
                            else
                            {
                                out.println("Not Loaded");
                            }
                        }
                        catch (Exception e)
                        {
                            out.println("Not Loaded");
                        }
                    %>
                </td>
                </tr>
        <%
            }
        %>
        </tr>
        </table>
        <BR><BR>
<%
    }
%>

</body>
</html>
























