
<%@ page info="HP Systems Insight Manager"
    import="com.hp.mx.database.*,java.sql.*"
%>

<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<HTML>
<HEAD>


<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>
</HEAD>
<BODY>
<%
if (request.getParameter( "runcreatehtml" ) != null)
{
    try
    {
     %>
        Please wait....<br>

        <%
        out.flush();

        com.hp.mx.core.protocol.snmp.trap.TrapDebugObject tdo = new com.hp.mx.core.protocol.snmp.trap.TrapDebugObject();
        tdo.createHtml();
        tdo.createCIM32html();
        %>
        <script>
        history.go(-1);
        </script>
        <%
        return;
    }
    catch (Throwable t)
    {
       out.print("<br><strong>The debug classes are not found...</strong><br>");
    }

}
if (request.getParameter( "runsendtraps" ) != null)
{
    try
    {
        out.println("Please wait....");
        out.flush();
        com.hp.mx.core.protocol.snmp.trap.TrapDebugObject tdo = new com.hp.mx.core.protocol.snmp.trap.TrapDebugObject();
        tdo.sendAllTraps("1000");
        %>
        <script>
        history.go(-1);
        </script>
        <%
        return;
    }
    catch (Throwable t)
    {
       out.print("<br><strong>The debug classes are not found...</strong><br>");
    }

}

%>

<br>
There are several steps needed to use this utility.
<UL>
<LI>
 Get the latest files from the debugging project (to make it simple get them all).</LI>
<LI> Stop / compile and restart.</LI>
<LI> Enable the output of these messages in the code, turn on EmailFormat debugs to 1 and EmailBlock to 10</LI>
<LI> If you want to compare to CIM32, install CIM32, get the latest special email DLL from daniel, run CIM32 too on the same server.</LI>
<LI> Create a email task for all events, schedule as new received </LI>
<LI> Generate all the SNMP traps possible, you can automate this one of two ways. While CIM7 is running
     run the folling command from another dos window:
     <code><br>
     javarun  com.hp.mx.core.protocol.snmp.trap.TrapDebugObject -s [trapType]] [-d [destination]] <br>
     </code>where <code><br>
            -s [trapType]      Specifies to send traps 0-trapId from the db, setting trap type to 1000 sends all traps<br>
            -d [destination]   Specifies the destination machine name to send all traps to, default is localhost

            </code><br>
     <strong>Or</strong> to send all compile traps with random vals to the local host (will take some time to run...) <a href="/www/ui/jsp/dbgEmailEventParsing.jsp?runsendtraps=true">Click here </a>

     </LI>
<LI> Generate any other events, eg login with invalid user/pw (set auth checks), run control tasks, eg group config, email, sw deploy, thresholding, app launch, etc.
<LI> run the utility to create the index of all these with the following command:
     <code>javarun  com.hp.mx.portal.alerts.handlers.TrapDebugObject -c <br>
     </code>where<code> <br>
            -c                 Specifies to parse and create the HTML pages to browse the trap data (www/ui/maildDebug)
     </code><br>
     Or to run now <a href="/www/ui/jsp/dbgEmailEventParsing.jsp?runcreatehtml=true">Click here </a>

</UL>
<br>
<br>
To view the summary once this is done, <a href="/www/ui/mailDebug/index.html" target="_new">click here</a>

<%
%>
