
<%@ page info="HP Systems Insight Manager"%>


<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.core.tools.discovery.DiscoverTheCMSLocalHost" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.core.client.*" %>
<%@ page import="com.hp.mx.core.taskmanager.*" %>
<%@ page import="com.hp.mx.core.toolmanager.*" %>
<%@ page import="com.hp.mx.core.objectmodel.*" %>
<%@ page import="com.hp.mx.core.jobmanager.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    boolean wasPost = false;
    String eventCnt = "25";
    String namePrefix = "Test Task Create ";
    if (request.getParameter( "count" ) != null)
    {
        eventCnt = request.getParameter( "count" );
        namePrefix = request.getParameter( "namePrefix" );
        wasPost = true;
    }


%>

<HTML>
<HEAD>

<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">


</HEAD>
<BODY>
This page will test how long it takes to create a scheduled status polling task system n number of times
<FORM name="myForm" action="dbgTaskListPerformanceTest.jsp" method="post">
<br>

    <table>
    <tr><td>Enter the number of iterations</td><td> <input type="text" value="<%=eventCnt %>"  name="count"></td></tr>
    </table>

    <br>
        <input type="submit"  value="RUN">

</form>
<%
    if (wasPost)
    {
        %>
        Running Test...<br>
        <%
        try
        {

            int cnt = Integer.parseInt(eventCnt);


            TaskClient tc = loginBean.getTaskClient();
            MxJobClient jc = loginBean.getJobClient();
            MxToolClient toolCl = loginBean.getToolClient();

            MxTool statPollTool = toolCl.getTool(new MxObjectID(new MxToolName("Hardware Status Polling")));


            long stTime = System.currentTimeMillis();
            for (int i = 0; i < cnt; i++)
            {
                 TaskObject sometask = new TaskObject();

            }

            long et = System.currentTimeMillis();
            out.println("<br>It took ");
            out.print((et-stTime));
            out.print(" milliseconds ");

        }
        catch (Exception ex)
        {
            out.println(ex);
        }

    }
    %>
</BODY>
</HTML>

