
<%@ page info="HP Systems Insight Manager"%>

<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.core.tools.discovery.DiscoverTheCMSLocalHost" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.core.client.*" %>
<%@ page import="com.hp.mx.core.taskmanager.*" %>
<%@ page import="com.hp.mx.core.jobmanager.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    boolean wasPost = false;
    String eventCnt = "25";
    if (request.getParameter( "count" ) != null)
    {
        eventCnt = request.getParameter( "count" );
        wasPost = true;
    }


%>

<HTML>
<HEAD>

<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">


</HEAD>
<BODY>
This page will test how long it takes to list all tasks and their jobs in the system n number of times
<FORM name="myForm" action="dbgTaskListPerformanceTest.jsp" method="post">
<br>

    <table>
    <tr><td>Enter the number of iterations</td><td> <input type="text" value="<%=eventCnt %>"  name="count"></td></tr>
    </table>

    <br>
        <input type="submit"  value="RUN">

</form>
<%
    if (wasPost)
    {
        %>
        Running Test...<br>
        <%
        try
        {

            int cnt = Integer.parseInt(eventCnt);
            long stTime = System.currentTimeMillis();

            long taskListTime = 0;
            long jobListTime = 0;
            long tmp = 0;

            TaskClient tc = loginBean.getTaskClient();
            MxJobClient jc = loginBean.getJobClient();

            for (int i = 0; i < cnt; i++)
            {
                tmp = System.currentTimeMillis();
                List tl = tc.getTaskList();
                taskListTime += (System.currentTimeMillis()- tmp);

                Iterator iter = tl.iterator();
                tmp = System.currentTimeMillis();
                while (iter.hasNext())
                {
                    TaskObject to = (TaskObject)iter.next();
                    List jl = jc.getJobIDListForTask(to.getObjectID());
                    Iterator jiter = jl.iterator();

                    while (jiter.hasNext() )
                    {
                        String jobId = (String)jiter.next();
                        jc.getJob(jobId);
                    }
                }
                jobListTime += (System.currentTimeMillis()- tmp) ;
            }
            long et = System.currentTimeMillis();
            out.println("<br>It took ");
            out.print((et-stTime));
            out.print(" milliseconds for all ");

            out.println("<br>It took ");
            out.print(jobListTime);
            out.print(" to list jobs");

            out.println("<br>It took ");
            out.print(taskListTime);
            out.print(" to list tasks");

        }
        catch (Exception ex)
        {
            out.println(ex);
        }

    }
    %>
</BODY>
</HTML>

