
<%@ page import="com.hp.mx.utilities.*,
                 java.util.*,
                 com.hp.mx.utilities.ObjectArraySorter,
                 com.hp.mx.utilities.ObjectArraySorter.SorterCompare,
                 com.hp.mx.core.foldermanager.*"
         errorPage="handleJspError.jsp"
%>

<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<HTML>
<HEAD>
</HEAD>
<%--
<%!
    class QueryIdComparer implements SorterCompare
    {
        public int compare(Object o1, Object o2)
        {
            QueryId q1 = (QueryId) o1;
            int v1 = q1.getViewId();
            int r1 = q1.getPollingRate();
            int p1 = q1.getPolicyType();
            QueryId q2 = (QueryId) o2;
            int v2 = q2.getViewId();
            int r2 = q2.getPollingRate();
            int p2 = q2.getPolicyType();

            if (v1 < v2) return -1;
            if (v1 > v2) return  1;
            // (v1 == v2)
            if (r1 < r2) return -1;
            if (r1 > r2) return  1;
            // (r1 == r2)
            if (p1 < p2) return -1;
            if (p1 > p2) return  1;
            return 0;               // Equal
        }
    }

    class QueryIdComparer2 implements SorterCompare
    {
        public int compare(Object o1, Object o2)
        {
            FolderStatusModule$AView q1 = (com.hp.mx.core.foldermanager.FolderStatusModule$AView) o1;
            int v1 = q1.getViewId();
            int r1 = q1.getPollingRate();
            int p1 = q1.getPolicyType();
            FolderStatusModule$AView q2 = (com.hp.mx.core.foldermanager.FolderStatusModule$AView) o2;
            int v2 = q2.getViewId();
            int r2 = q2.getPollingRate();
            int p2 = q2.getPolicyType();

            if (v1 < v2) return -1;
            if (v1 > v2) return  1;
            // (v1 == v2)
            if (r1 < r2) return -1;
            if (r1 > r2) return  1;
            // (r1 == r2)
            if (p1 < p2) return -1;
            if (p1 > p2) return  1;
            return 0;               // Equal
        }
    }

    class QueryIdComparer3 implements com.hp.mx.utilities.ObjectArraySorter.SorterCompare
    {
        public int compare(Object o1, Object o2)
        {
            FolderSessionModule$UserView q1 = (com.hp.mx.core.foldermanager.FolderSessionModule$UserView) o1;
            int v1 = q1.getViewId();
            int u1 = q1.getUserId();
            FolderSessionModule$UserView q2 = (com.hp.mx.core.foldermanager.FolderSessionModule$UserView) o2;
            int v2 = q2.getViewId();
            int u2 = q2.getUserId();

            if (v1 < v2) return -1;
            if (v1 > v2) return  1;
            // (v1 == v2)
            if (u1 < u2) return -1;
            if (u1 > u2) return  1;
            // (r1 == r2)
            return 0;               // Equal
        }
    }
%>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>


<%
    // Fetch the internal state of FolderSessionManager and sort
    Hashtable hSess = FolderStatusModule.getHstat();
    QueryIdComparer2 myCmp2 = new QueryIdComparer2();
    ObjectArraySorter sorter2 = new ObjectArraySorter(hSess.keys(), myCmp2);
    sorter2.quickSort();
    Object[] status = sorter2.getSortedArray();


    // Fetch the internal state of FolderSessionModule and sort
    Hashtable hUser = FolderSessionModule.getHUser();
    QueryIdComparer3 myCmp3 = new QueryIdComparer3();
    ObjectArraySorter sorter3 = new ObjectArraySorter(hUser.keys(), myCmp3);
    sorter3.quickSort();
    Object[] count = sorter3.getSortedArray();


    // Fetch the internal state of FolderQueryModule and sort
    Hashtable ht = FolderQueryModule.getViewInfo();
    QueryIdComparer myCmp = new QueryIdComparer();
    ObjectArraySorter sorter = new ObjectArraySorter(ht.keys(), myCmp);
    sorter.quickSort();
    Object[] qids = sorter.getSortedArray();
%>

<!--
===================================================================
    FolderSessionManager
===================================================================
-->

<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='6' style='font-family:verdana; font-size:12pt; color:white'>
        Saved Query Status <span style='font-size:8pt'>(FolderSessionModule)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='17%'>View ID</th>
    <th width='17%'>Polling Rate</th>
    <th width='17%'>Policy Type</th>
    <th width='17%'>Status</th>
    <th width='17%'>CriticalStatus</th>
    <th width='15%'>Count</th>
</tr>


<%
    for (int i=0; i<status.length; ++i)
    {
        // dump each item

        FolderStatusModule$AView q = (com.hp.mx.core.foldermanager.FolderStatusModule$AView) status[i];
        FolderStatusModule$SaveStatus sStat = (com.hp.mx.core.foldermanager.FolderStatusModule$SaveStatus) hSess.get(q);

        out.println("<tr align=center><td>" + q.getViewId() + "</td><td>" +
                                 q.getPollingRate()         + "</td><td>" +
                                 q.getPolicyType()          + "</td><td>" +
                                 sStat.getStatus()          + "</td><td>" +
                                 sStat.getCriticalStatus()  + "</td><td>" +
                                 sStat.getCnt() +             "</td></tr>");
    }
    out.println("</table>");
%>


<!--
===================================================================
    FolderSessionModule
===================================================================
-->
<br>
<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='3' style='font-family:verdana; font-size:12pt; color:white'>
        Query Usage Counts <span style='font-size:8pt'>(FolderSessionModule)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='33%'>View ID</th>
    <th width='33%'>UserId</th>
    <th width='34%'>Count</th>

</tr>


<%
    for (int i=0; i<count.length; ++i)
    {
        // dump each item

        FolderSessionModule$UserView q = (com.hp.mx.core.foldermanager.FolderSessionModule$UserView) count[i];
        Integer iCnt = (Integer) hUser.get(q);

        out.println("<tr align=center><td>" + q.getViewId() + "</td><td>" +
                                 q.getUserId() + "</td><td>" +
                                 iCnt + "</td></tr>");
    }
    out.println("</table>");
%>


<!--
===================================================================
    FolderQueryModule
===================================================================
-->
<br>
<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='4' style='font-family:verdana; font-size:12pt; color:white'>
        Running Queries <span style='font-size:8pt'>(FolderQueryModule)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='17%'>View ID</th>
    <th>Polling Rate</th>
    <th>Policy Type</th>
    <th width='40%'>Active User IDs</th>
</tr>
<%
    for (int i=0; i<qids.length; ++i)
    {
        // dump each item
        QueryId q = (QueryId) qids[i];
        ViewIdInfo vii = (ViewIdInfo) ht.get(q);
        Vector v = vii.getSessionIds();
        String idList = "";
        for (int j=0; j<v.size(); ++j)
        {
            Integer id = (Integer) v.elementAt(j);
            if (idList.length() > 0)
                idList += ", ";
            idList += id.toString();
        }
        out.println("<tr align=center><td>" + q.getViewId() + "</td><td>" +
                                 q.getPollingRate() + "</td><td>" +
                                 q.getPolicyType() + "</td><td>" +
                                 idList + "</td></tr>");
    }
    out.println("</table>");
%>

<BR>
<A HREF='Javascript:history.go(0)'>Refresh</a><br>
--%>

<br><br>
<b>This page cannot be displayed because of it's reliance on the user session.
</b>
<br><br><br><br>
</BODY>
</HTML>