<%@ page import="com.hp.mx.security.*,
com.hp.mx.portal.session.*,
                 java.util.*"
%>

<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.daemon.*" %>


<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<HTML>
<HEAD>


<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>

</head>
<BODY>
<table border="1" width="100%">
  <tr>
    <th bgcolor="white">session ID</th>
    <th bgcolor="white">user</th>
    <th bgcolor="white">idle time sec</th>
    <th bgcolor="white">logged Out?</th>
    <th bgcolor="white">anonymous</th>
    <th bgcolor="white">address</th>
    <th bgcolor="white">login time</th>

  </tr>
<%
    Enumeration e = SessionList.enumSessionList();
    String userName = "Anonymous";
    while (e.hasMoreElements())
    {
        UserSession usession = (UserSession) e.nextElement();
        userName = "Anonymous";
        if (usession.getUser() != null)
           userName = usession.getUser().getNameString();

%>
  <tr>
    <td>&nbsp;<%    out.println("" + usession.getId());                  %></td>
    <td>&nbsp;<%    out.println("" + userName);                         %></td>
    <td>&nbsp;<%    out.println("" + ((System.currentTimeMillis()- usession.getLastTouched())/1000));         %></td>
    <td>&nbsp;<%    out.println("" + (usession.getLogOutState()?"<font color=\"red\"><b>Yes</b>":"no"));         %></td>
    <td>&nbsp;<%    out.println("" + (usession.isAnonymousSession()?"<font color=\"blue\"><b>Yes</b>":"no"));         %></td>
    <td>&nbsp;<%    out.println("" + usession.getLocation());            %></td>
    <td>&nbsp;<%
    if (usession.getLoggedInAtDate() == null)
        out.println("na ");
    else
    {
        out.println(usession.getLoggedInAtDate().toLocaleString());
    }

    %></td>

  </tr>
<%
    }
%>
</table>
<br>
    The MxSessions from the MxSessionManager
    <br>
<table  border="1" width="100%"><tr><td>Session ID</td><td>User</td><td>Idle > 20 minutes</td></tr>
    <%
    try
    {
        List hpSimSession = MxSessionManager.getDefaultManager().getServerSessionListForDebug();
        Iterator iter = hpSimSession.iterator();

        while (iter.hasNext() )
        {
            MxServerSession sess = (MxServerSession)iter.next();
            out.print("<tr><td>");
            out.print(sess.getSessionID());
            out.print("</td><td>");
            out.print(sess.getUserID().logString());
            out.print("</td><td>");
            out.print(sess.isExpired(20*60*1000));
            out.print("</td><td>");
            out.print("</td></tr>");
        }
    }
    catch (Exception ex)
    {
        out.print(ex);
    }
    %>

    </table>

</body>
