<%@ page import="com.hp.mx.html.table.GUIDOTable,
                 com.hp.mx.html.table.TreeTable,
                 com.hp.mx.html.table.AttributeValueTable,
                 com.hp.mx.core.persistence.dataaccess.DataOperations,
                 com.hp.mx.core.persistence.databean.CIM_ComputerSystem,
                 java.util.*,
                 com.hp.mx.core.controllers.MpoController,
                 java.sql.Connection,
                 java.sql.Statement,
                 java.sql.ResultSet,
                 com.hp.mx.core.persistence.databean.CIM_NetworkPort,
                 com.hp.mx.core.persistence.dataaccess.IdentityProvider,
                 java.io.File,
                 com.hp.mx.portal.ui.MxBean,
                 com.hp.mx.portal.res.MxResourceBean,
                 com.hp.mx.html.core.MxHtmlUtil,
                 java.text.MessageFormat,
                 com.hp.mx.core.persistence.util.storage.*,
                 com.hp.mx.core.persistence.dataaccess.DataAccessException"%>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="resource" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="genSystemPage" class="com.hp.mx.portal.device.MxGenSystemPage"  scope="session" />
<jsp:useBean id="deviceBean" class="com.hp.mx.portal.device.MxDeviceBean" scope="session" />
<jsp:useBean id="deviceBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // setup resources.
    resource.init(loginBean, "StorageRelatedDevicePages");


    // keys to find system
    String durableName = deviceBean.getMxNode().getDurableName();
    int nodeID = deviceBean.getMxNode().getDeviceKey();

%><div class="systemPageGroup"><%

    genSystemPage.dumpDataCollectionLine(deviceBean, deviceBundle, loginBean, out);

    BeanFinder finder = new BeanFinder();

    String headers[] = { resource.getString("columnHeader.name"),        // name
                         Common.getFirmwareVersionString(resource.getBundle()),
                         resource.getString("columnHeader.status"),        // status
    };

    GUIDOTable gt = new GUIDOTable();
    MxResourceBean res = new MxResourceBean(loginBean.getLocale(), "com.hp.mx.html.table.resource.TableResources");
    gt.setResourceBundle(res.getBundle());

    try {

        gt.setHeaders(headers);
        StorageDevice sd = new StorageDevice(nodeID, durableName);
        List media = new ArrayList(sd.getChangerDevices());
        ArrayList rows = new ArrayList(media.size());
        Iterator it = media.iterator();

        while(it.hasNext()) {
            ChangerDevice cd = (ChangerDevice) it.next();


            rows.add(new String[] {
                MxHtmlUtil.encodeHtmlEntities(cd.getName()),
                cd.getFirmwareVersion(),
                cd.getStatusIconHTML(resource.getString(cd.getOperationalStatusResourceKey())),
            });
        }
        gt.setRows(rows);

    } catch(DataAccessException dae) {
        Debug.trace("No Data Found for Storage Device with NodeID = " + nodeID + "  Name = " + durableName);
    } catch(RuntimeException re) {
        Debug.getDebugSubsystem().panic(re);
    } catch(Error e) {
        Debug.getDebugSubsystem().panic(e);
        throw e;
    } finally {
        finder.close();
        out.print(gt.getHTML().toString());
    }

%>
</div>
