<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="deviceBean" class="com.hp.mx.portal.device.MxDeviceBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="xmlParsingBean" class="com.hp.mx.portal.device.MxXmlParsingBean" scope="session" />
<jsp:useBean id="genComplexPage" class="com.hp.mx.portal.device.MxGenComplexPage"  scope="session" />
<jsp:useBean id="deviceBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="drillDown" class="com.hp.mx.portal.core.MxDrillDown" scope="session" />

<%
    MxBean.jspInit(request, response);
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    deviceBundle.init(loginBean, "MxDeviceBundle");
    String sIndex = request.getParameter("index");

    int tabIndex = 0;
    if ( sIndex != null )
    {
        Integer tempIndex = new Integer(sIndex);
        tabIndex = tempIndex.intValue();
    }

    //if ( !xmlParsingBean.doneGroups )
    // now we always calculate groups every time the page is requested
    xmlParsingBean.calculateGroups(deviceBean, tabIndex);
    deviceBean.getComplexPartition();

%>

<html>
    <head>
        <jsp:include flush="true" page="SystemPageHeader.jsp" />
    </head>
    <body onLoad='myOnLoad()'>
    <div id="GEN_ID_PAGE">
    <%
        genComplexPage.dumpStatusInfo(deviceBean, deviceBundle, loginBean, drillDown, out);
        genComplexPage.dumpGroups(xmlParsingBean.finalGroupList, loginBean.getLocale(), out);
    %>
    </div>
    </body>
</html>
