<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.core.subjects.*"%>
<%@ page import="com.hp.mx.exceptions.*"%>
<%@ page import="com.hp.mx.core.controllers.*"%>
<%@ page import="com.hp.mx.core.nodemanager.MxNode"%>

<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>
<jsp:setProperty name="lmBean" property="*" />

<%

    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext)) return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.LICENSE_MANAGE_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotAuthUrl()%>" />
<%
    }

    lmBean.initBean(out, loginBean);

    String reqMethod = request.getMethod() ;

    int iDevID   = 0 ;
    String devID = "0" ;
    if (null != request.getParameter("devID"))
    {
       devID = request.getParameter("devID");
    }
    try
    {
        iDevID = Integer.parseInt( devID );
    }
    catch (NumberFormatException e)
    {
        iDevID = 0 ;
    }

    String nodeName = "error" ;
    if (null != request.getParameter("devName"))
    {
       nodeName = request.getParameter("devName");
    }

    String pvmState = "999" ;
    String pvms = "999" ;
    if (null != request.getParameter("pvmState"))
    {
       pvmState = request.getParameter("pvmState");
       pvms = request.getParameter("pvmState");
    }


    MxNode theDevice  = null;
    try
    {
        theDevice = MxNodeController.getDefaultControllerNoEx().getNodeByNodeOrHostName( nodeName );
    }
    catch (MxException ex)
    {
    }

    String nodeIP = "" ;
    String nodeSN = "" ;
    String nodePT = "" ;
    String nodeOS = "" ;

    int pvmReady = 0  ;

    if ( theDevice != null )
    {
       try
       {
            nodeName = (theDevice.getNameString()).trim()     ;
       }
       catch (Exception ex)
       {
       }

       try
       {
           nodeSN   = (theDevice.getSerialNumber()).trim()   ;
       }
       catch (Exception ex)
       {
       }

       try
       {
            nodeIP  = (theDevice.getWorkingAddress()).trim() ;
       }
       catch (Exception ex)
       {
       }

       try
       {
           nodePT = (theDevice.getDeviceType()).trim() ;
       }
       catch (Exception ex)
       {
       }

       try
       {
           nodeOS = theDevice.getOSNameStr() ;
       }
       catch (Exception ex)
       {
       }


    }

    String command = "0" ;
       if (null != request.getParameter("command"))
       {
           command = request.getParameter("command");
           if ( command.equalsIgnoreCase("1") )
           {
               int state = lmBean.sLicenseNode( nodeName,
                                                "","10", "1","","","1","3" ) ;
		       pvms = "-1";
           }
       }

    lmBean.myDebug( 0, "pvmmaincol Method="+reqMethod+
                                    ", devID="+devID+
                                    ", nodeName="+nodeName+
                                    ", pvmState="+pvmState+
                                    ", command="+command, "" );



    String nodeLS = "Licensed" ;
    String licstate = "1" ;

    int status   =  lmBean.sIsLicensed( nodeName, "10" , "1" ) ; // vpm license
    if ( lmBean.STATUS_NO_LICENSE == status )
    {
       status =  lmBean.sIsLicensed( nodeName, "15" , "1" ) ; // vpm client license
       if ( lmBean.STATUS_NO_LICENSE == status )
       {
          nodeLS   = "<html><font color='red'>Not licensed.</font></html>" ;
          licstate = "0" ;
       }
       else
       {
          if ( ( lmBean.STATUS_BETA_KEY     ==  status ) ||
               ( lmBean.STATUS_DEMO_KEY     ==  status ) ||
               ( lmBean.STATUS_DEMOTIME_KEY ==  status ) )
          {
             nodeLS   = "<html><font color='red'>Licensed with demo key.</font></html>" ;
          }
          else
          {
             if ( ( lmBean.STATUS_BETA_KEY_EXP     ==  status ) ||
                  ( lmBean.STATUS_DEMO_KEY_EXP     ==  status ) ||
                  ( lmBean.STATUS_DEMOTIME_KEY_EXP ==  status ) )
             {
                nodeLS   = "<html><font color='red'>Not licensed. Demo key has expired.</font></html>" ;
                licstate = "0" ;
             }
          }
       }
    }
    else
    {
       if ( ( lmBean.STATUS_BETA_KEY     ==  status ) ||
            ( lmBean.STATUS_DEMO_KEY     ==  status ) ||
            ( lmBean.STATUS_DEMOTIME_KEY ==  status ) )
       {
          nodeLS   = "<html><font color='red'>Licensed with demo key.</font></html>" ;
       }
       else
       {
          if ( ( lmBean.STATUS_BETA_KEY_EXP     ==  status ) ||
               ( lmBean.STATUS_DEMO_KEY_EXP     ==  status ) ||
               ( lmBean.STATUS_DEMOTIME_KEY_EXP ==  status ) )
          {
             nodeLS   = "<html><font color='red'>Not licensed. Demo key has expired.</font></html>" ;
             licstate = "0" ;
          }
       }
    }

    int index = 0 ;
    int numTargets   = 0 ;

    lmBean.setIndexNum( lmBean.getIndexNum() + 1 ) ;
    lmBean.myDebug( 0, "pvmmaincol index="+lmBean.getIndexNum(), "" ) ;

    String[] Status = null ;
    Status = lmBean.sLicenseAccount( lmBean.getPNameCode(),lmBean.getPVerCode()) ;

%>
     <html>
<%
     File f = new File( application.getRealPath("/mxportal/VPM/column/vpm12345.jsp") );
     if ( true == f.exists() )
{
%>

      <head>
        <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
        <title>Vulnerability and Patch Management System Status</title>

        <link href='<%=MxOptions.URL_BASE%>/css/MxPortal.css' rel='stylesheet' type='text/css'>

        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>

        <script language='javascript' type='text/javascript'>

            function loadPage()
            {
                var pvmState = '<%=pvmState%>' ; // column status
                var pvmReady = '<%=pvmReady%>' ; // node suitable to run with pvm (1==yes)
                var nodeName = '<%=nodeName%>' ; // node name
                var pvms         = '<%=pvms%>'     ; // column status

                 // Node is not supported by pvm
                 //
//                 if (( '999' == pvmState )  || ( 1 != pvmReady ))
//                 {   // this is the 'blank' case
//                     document.getElementById('frm3Display').src = 'vpm999.jsp?pvmState=999' ;
//                 }

                 // Not able to access the node because the user didn't provide proper authentication information
                 // Node is disconnected or node is not supported by pvm
                 // There is no access to the registry or file system on the node.

//                if ( '0' == pvmState )
//                 {
//                     document.getElementById('frm3Display').src = 'vpm0.jsp?pvmState=0' ;
//                 }

                 // Green Checkmark
                 //     - No Vulnerabilities Detected (Harris no vulnerabilities found)
                 // Red Circle
                 //     - Critical Vulnerabilities Detected (Harris High risk)
                 // Yellow Triangle
                 //     - Minor Vulnerabilities Detected (Harris Low risk and warnings)
                 // Orange Inverted Triangle
                 //     - Major Vulnerabilities Detected (Harris Medium risk)
                 if (  ( '0' == pvmState )  ||
                       ( '1' == pvmState )  ||
                       ( '2' == pvmState )  ||
                       ( '3' == pvmState )  ||
                       ( '4' == pvmState )  ||
                       ( '5' == pvmState )  )
                 {
                     document.getElementById('frm3Display').src = 'vpm12345.jsp?nodeName='+nodeName+'&pvmState='+pvmState ;
                 }

                 // pvm is not installed.
                 // pvm is installed, but this node is not licensed for pvm
                 // This node cannot be licensed as there are no license seats available
                 // pvm scan has not been executed on this licensed node.

                 if ( '100' == pvmState )
                 {
                     document.getElementById('frm3Display').src = 'vpm100.jsp'+
                                                                                           '?devID=<%=devID%>'+
                                                                                           '&pvmState=100'+
                                                                                           '&devName=<%=nodeName%>'+
                                                                                           '&licstate=<%=licstate%>'+
                                                                                           '&command=<%=command%>' ;
                 }
            }

        </script>
   </head>

   <body onLoad='loadPage()'>

    <HR class='mx-hr'>

    <span class='mx-subheader-nosep'>
          <b>Vulnerability and Patch Management Pack</b>
    </span>

    <HR class='mx-hr'>
       <table>
          <tr><td><b>Name:</td></b><td><%=nodeName%></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td><b>IP Address:</b></td><td><%=nodeIP%></td></tr>
          <tr><td><b>Product:</td></b><td><%=nodePT%></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td><b>Operating System:</b></td><td><%=nodeOS%></td></tr>
          <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
          <tr><td><b>VPM License Status:</b></td><td><%=nodeLS%></td></tr>
          <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
       </table>
    <HR class='mx-hr'>

    <iframe id='frm3Display' name='frm3Display' style=' position:relative; visibility:visible; width:100%; height:5000;'
              scrolling='no' marginwidth='0' frameborder='0' src='vpmBlankPage.html'>
    </iframe>

</body>
<%
}
else
{
%>
   <head>
        <title>
           Vulnerability and Patch Management System Status
        </title>
        <link href='/mxportal/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
   </head>

   <body>

      <HR class='mx-hr'>
      <span class='mx-subheader-nosep'>
          <b>Vulnerability and Patch Management Pack</b>
      </span>
      <HR class='mx-hr'>

      <iframe id='frm3Display' name='frm3Display' style=' position:relative; visibility:visible; width:100%; height:5000;'
              scrolling='no' marginwidth='0' frameborder='0'
              src='vpm.html'>
      </iframe>

      <% MxHtmlUtil.dumpBodyEnd(out); %>
   </body>
<%
}
%>
</html>


