<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/actiononevents/ActionOnEvents_Action.jsp,v $
//$Revision: 1.34 $
//$Date: 2005/06/02 20:04:37 $
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.utilities.MxCMS"%>
<%@page import="java.util.*"%>

<jsp:useBean id="aoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }
%>
<jsp:setProperty name="aoneUIbean" property="*" />
<%
    int wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;

    if (null == request.getParameter("wizardMode"))
    {
        wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
    }
    else
    {
        try
        {
            wizardMode = Integer.parseInt(request.getParameter("wizardMode"));
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
        }

        if ((wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST) &&
            (wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA))
            {
                wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
            }
    }

    String reqType = "";
    aoneUIbean.getResBundles(loginBean);

    if (null == request.getParameter("reqType"))
    {
        reqType = aoneUIbean.REQUEST_TYPE_NEW;
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

    String botframe = request.getParameter("botframe");

    if (botframe == null)
    {
        botframe = "false";
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag btnBackTag = new MxDefaultTag("btnBack", aoneUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()");
    MxTag btnNextTag = new MxDefaultTag("btnNext", aoneUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()");
    btnNextTag.setAttr(MxTag.DISABLED, "true");
    buttons.addMxTag(btnBackTag);
    buttons.addMxTag(btnNextTag);

    MxButtons selectPageButtons = new MxButtons();
    selectPageButtons.setSecondary();
    selectPageButtons.setVerticalAligned(true);
    selectPageButtons.addMxTag(new MxDefaultTag("button7", ">>", "addPagingUser()"));
    selectPageButtons.addMxTag(new MxDefaultTag("btnDelPagingUser", "<<", "delPagingUser()"));


    MxButtons delButton = new MxButtons();
    MxTag btnDelTag = new MxDefaultTag("delTrapRecep", aoneUIbean.getResString("DELETE_TRAP_RECEP_LABEL"), "delTrapRecepients()");
    delButton.addMxTag(btnDelTag);


    MxButtons addButton = new MxButtons();
    MxTag btnAddTag = new MxDefaultTag("addTrapRecep", ">>", "addTrapRecepients()");
    addButton.addMxTag(btnAddTag);
%>
<HTML>
<HEAD>
    <TITLE>
        ActionOnEvents_Action
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/default.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/blue_theme.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=aoneUIbean.getResString("ACTIONS_PAGE_HELP")%>")</SCRIPT>
<%
    aoneUIbean.restoreSelections(out, loginBean);
%>
<SCRIPT language="javascript">
function myOnLoadHandler()
{
    restoreSelections();

    var bSendPage = false;
    var bSendEmail = false;
    var bLaunchScript = false;
    var bAssignEvent = false;
    var bForwardTrap = false;
    var bWriteToLog = false;
    var bClearEvent = false;

    <%
    if (MxCMS.isWindows())
    {
    %>
        bSendPage = document.getElementById('IMXMENU_SENDPAGE').checked;
    <%
    }
    %>

    bSendEmail = document.getElementById('IMXMENU_SENDEMAIL').checked;
    bLaunchScript = document.getElementById('IMXMENU_LAUNCHSCRIPT').checked;
    bAssignEvent = document.getElementById('IMXMENU_ASSIGNEVENT').checked;
    bForwardTrap = document.getElementById('IMXMENU_FORWARDTRAP').checked;
    bWriteToLog = document.getElementById('IMXMENU_WRITETOLOG').checked;
    bClearEvent = document.getElementById('IMXMENU_CLEAREVENT').checked;

    if ((!bSendPage) &&
        (!bSendEmail) &&
        (!bLaunchScript) &&
        (!bAssignEvent) &&
        (!bForwardTrap) &&
        (!bWriteToLog) &&
        (!bClearEvent))
    {
        ourButtonManager.disableButtonById('btnNext');
    }
    else
    {
        ourButtonManager.enableButtonById('btnNext');
    }
//    document.location="#ACTION_PAGE_TOP";
<%
    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                || botframe.equalsIgnoreCase("true"))
    {
        %>
        var pageHeight  = document.body.scrollHeight;
        var pageWidth  = document.body.scrollWidth;
        parent.setFrmDisplayHeight(pageHeight);
        parent.setFrmDisplayWidth(pageWidth);
        <%
    }
%>
}
</SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY LEFTMARGIN="0" onload="myOnLoadHandler()">
<A NAME="ACTION_PAGE_TOP"></A>
<%
    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
    {
        %>
         <SPAN class='mxPageSubTitle'>
            <STRONG>
                <%=aoneUIbean.getResString("EDIT_RULE_LABEL")%>
                    &nbsp;<%=aoneUIbean.getTaskName()%>
            </STRONG>
        </SPAN>
        <P>
        <%
    }
    else
    {
        if (botframe.equalsIgnoreCase("true"))
        {
            %>
             <SPAN class='mxPageSubTitle'>
                <STRONG>
                    <%=aoneUIbean.getResString("NEW_RULE_LABEL")%>
                </STRONG>
            </SPAN>
            <P>
            <%
        }
    }
%>
<FORM ID="frmNotification" NAME="frmNotification" METHOD="POST"
    class="mxForm">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
        <TR valign='top'>
            <TD>
                <%
                int currentTab = 4;
                if (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST)
                {
                    currentTab = 3;
                }
                %>
                <%@include file="ActionOnEvents_DrawTabs.txt"%>
            </TD>
            <TD style='padding-left:12px;' align='left' width='100%'>
                <TABLE  class="top-border-table"
                    WIDTH="100%">
                    <TR><TD>
                        <B>
                            <FONT class="mxPageSubTitle">
                                <%=aoneUIbean.getResString("SELECT_ACTIONS_LABEL")%>
                            </FONT>
                        </B>
                        <P>
<%--
                        <DIV>
                            <%=aoneUIbean.getResString("TXT_SELECT_ACTIONS")%>
                        </DIV>
--%>
                        <P>
                            <%@include file="ActionOnEvents_ActionDetail.txt"%>
                    </TD></TR>
                </TABLE>
             </TD>
         </TR>
     </TABLE>
    <!-- End Data -->
     <SCRIPT language='javascript'>
        function nextPage()
        {
            if (!validateActions())
            {
                return false;
            }

            var i;

            <%
            if (MxCMS.isWindows())
            {
            %>
                document.getElementById('pagingUsers').multiple='true';

                for (i=0; i< document.getElementById('pagingUsers').options.length;i++)
                {
                    document.getElementById('pagingUsers').options[i].selected = 'true';
                }
            <%
            }
            %>

            document.getElementById('trapRecepients').multiple='true';

            for (i=0; i< document.getElementById('trapRecepients').options.length;i++)
            {
                document.getElementById('trapRecepients').options[i].selected = 'true';
            }

            document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("TIME_FILTER_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
            document.getElementById('frmNotification').submit();
        }
        function prevPage()
        {
            if ("<%=wizardMode%>" == "<%=ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST%>")
            {
                document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("EVENT_LIST_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
            }
            else
            {
                document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("SYSTEMS_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
            }
            document.getElementById('frmNotification').submit();
        }
        function cancelChanges()
        {
            if ( true == confirm('<%=aoneUIbean.getResString("CANCEL_CONF_MSG")%>') )
            {
                <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
                {
                    %>
                    parent.document.location=
                        '<%=aoneUIbean.getResString("MANAGE_PAGE_URL")%>?reqType='
                        + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                else
                {
                    %>
                    document.location=
                        '<%=aoneUIbean.getResString("NAME_PAGE_URL")%>?reqType='
                        + '<%=reqType%>&cancel=true' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                %>
            }
        }
    </SCRIPT>
<%--
                <td><input TYPE="button" value="<%=aoneUIbean.getResString("BUTTON_CANCEL_LABEL")%>" id="btnCancel" name="btnCancel" onClick="cancelChanges()" style='width:75'></td>
--%>
</FORM>

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>


<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
