<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/actiononevents/ActionOnEvents_Summary.jsp,v $
//$Revision: 1.56 $
//$Date: 2005/06/16 02:06:49 $
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.core.querymanager.Query"%>
<%@page import="com.hp.mx.core.querymanager.QueryType"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.search.MxActionOnEventSearchUI"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.html.core.MxHtmlUtil"%>
<%@page import="com.hp.mx.database.GlobalSettings"%>
<%@page import="java.io.PrintWriter"%>
<%@page import="java.util.*"%>
<%@page import="java.net.URLEncoder"%>

<jsp:useBean id="aoEventSearchUI" class="com.hp.mx.portal.search.MxActionOnEventSearchUI" scope="session" />
<jsp:useBean id="aoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="aoneTaskBean" class="com.hp.mx.portal.actiononevents.ActionOnEventsManageBean" scope="session"/>
<jsp:useBean id="aoneSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }

    int wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;

    if (null == request.getParameter("wizardMode"))
    {
        wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
    }
    else
    {
        try
        {
            wizardMode = Integer.parseInt(request.getParameter("wizardMode"));
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
        }

        if ((wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST) &&
            (wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA))
            {
                wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
            }
    }

    String reqType = "";
    aoneUIbean.getResBundles(loginBean);

    try
    {
        reqType = request.getParameter("reqType");
    }
    catch(Throwable t)
    {
        reqType = "";
    }

    String botframe = request.getParameter("botframe");

    if (botframe == null)
    {
        botframe = "false";
    }

    String thisPageURL = null;
    try
    {
        thisPageURL = URLEncoder.encode(aoneUIbean.getResString("SUMMARY_PAGE_URL")
                        + "?reqType=" + reqType
                        + "&wizardMode=" + wizardMode
                        + "&botframe=" + botframe, "UTF-8");
    }
    catch(Exception e)
    {
        thisPageURL = "";
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnBack", aoneUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()"));
    buttons.addMxTag(new MxDefaultTag("btnNext", aoneUIbean.getResString("BUTTON_FINISH_LABEL"), "nextPage()"));

    MxTag btnModemTag = new MxDefaultTag("btnModem", aoneUIbean.getResString("EDIT_MODEM_BUTTON_LABEL"), "editModemSettings()");

    MxTag btnEmailTag = new MxDefaultTag("btnEmail", aoneUIbean.getResString("EDIT_SMTP_BUTTON_LABEL"), "editEmailSettings()");

%>
<jsp:setProperty name="aoneUIbean" property="*" />
<HTML>
<HEAD>
    <TITLE>
        ActionOnEvents_Summary
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=aoneUIbean.getResString("SUMMARY_PAGE_HELP")%>")</SCRIPT>
    <SCRIPT language="javascript">
        function iframeLoaded()
        {
           var iframe = document.getElementById("frmDisplay");
           var h = iframe.contentWindow.document.body.scrollHeight;
           iframe.style.height = h;
           var w = iframe.contentWindow.document.body.scrollWidth;
           iframe.style.width = w;
            <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                            || botframe.equalsIgnoreCase("true"))
                {
                    %>
                    var pageHeight  = document.body.scrollHeight;
                    var pageWidth  = document.body.scrollWidth;
                    parent.setFrmDisplayHeight(pageHeight);
                    parent.setFrmDisplayWidth(pageWidth);
                    parent.scrollBy(0, h);
                    <%
                }
                else
                {
                    %>
                    scrollBy(0, h);
                    <%
                }
            %>
        }
        function editModemSettings()
        {
            var iframe = document.getElementById("frmDisplay");
            iframe.src = "<%=aoneUIbean.getResString("EDIT_MODEM_URL")%>?parentURL=<%=thisPageURL%>";
        }
        function editEmailSettings()
        {
            var iframe = document.getElementById("frmDisplay");
            iframe.src = "<%=aoneUIbean.getResString("EDIT_SMTP_URL")%>?parentURL=<%=thisPageURL%>";
        }
        function disableButtons()
        {
            ourButtonManager.disableButtonById('btnBack');
            ourButtonManager.disableButtonById('btnNext');

            if (null != document.getElementById("btnModem"))
            {
                document.getElementById("btnModem").disabled = "true";
            }

            if (null != document.getElementById("btnEmail"))
            {
                document.getElementById("btnEmail").disabled = "true";
            }
        }
    </SCRIPT>
    <SCRIPT language="javascript">
    function myOnLoadHandler()
    {
        <%
        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                    || botframe.equalsIgnoreCase("true"))
        {
            %>
            var pageHeight  = document.body.scrollHeight;
            var pageWidth  = document.body.scrollWidth;
            parent.setFrmDisplayHeight(pageHeight);
            parent.setFrmDisplayWidth(pageWidth);
            <%
        }
        %>
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY LEFTMARGIN="0" onload="myOnLoadHandler()">
    <%
    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
    {
        aoneUIbean.setTaskID(aoneTaskBean.getTaskObjectId(aoneSelectionModel.getSelectedIndices()[0]));
        aoneUIbean.initBean(out, loginBean, ActionOnEventsUIBean.REQUEST_TYPE_SHOW_SUMMARY);
         try
         {
            wizardMode = Integer.parseInt(aoneUIbean.getWizardMode());
         }
         catch(Exception e)
         {
             wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA;
         }
    }
    else
    {
        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
        {
            %>
             <SPAN class='mxPageSubTitle'>
                <STRONG>
                    <%=aoneUIbean.getResString("EDIT_RULE_LABEL")%>
                        &nbsp;<%=aoneUIbean.getTaskName()%>
                </STRONG>
            </SPAN>
            <P>
            <%
        }
        else
        {
            if (botframe.equalsIgnoreCase("true"))
            {
                %>
                 <SPAN class='mxPageSubTitle'>
                    <STRONG>
                        <%=aoneUIbean.getResString("NEW_RULE_LABEL")%>
                    </STRONG>
                </SPAN>
                <P>
                <%
            }
        }
    }
    %>
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
        <TR valign='top'>
            <%
            if (!reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
            {
                %>
                <TD>
                    <%
                    int currentTab = 6;
                    if (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST)
                    {
                        currentTab = 5;
                    }
                    %>
                    <%@include file="ActionOnEvents_DrawTabs.txt"%>
                </TD>
                <%
            }
            %>
            <TD style='padding-left:12px;' align='left' width='100%'>
                <TABLE  class="top-border-table"
                    WIDTH="100%">
                    <TR><TD>
                        <%
                        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
                        {
                            %>
                                 <SPAN class='mxPageSubTitle'>
                                    <STRONG>
                                        <%=aoneUIbean.getResString("VIEW_DEFINITION_LABEL")%>:
                                            &nbsp;<%=aoneUIbean.getTaskName()%>
                                    </STRONG>
                                </SPAN>
                                <P>
                            <%
                        }
                        else
                        {
                            %>
                            <B>
                                <FONT class="mxPageSubTitle">
                                    <%=aoneUIbean.getResString("REVIEW_SUMMARY_LABEL")%>
                                </FONT>
                            </B>
                            <p>
                            <div><%=aoneUIbean.getResString("SUMMARY_SCREEN_TXT")%>
                            </div>
                            <p>
                            <%
                        }
                        %>
                        <table cellpadding=0>
                            <tr>
                                <td>
                                    <strong><%=aoneUIbean.getResString("TASK_NAME_LABEL")%></strong>
                                </td><td>
                                    <%=aoneUIbean.getTaskName()%>
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td>


                <%
                            if (!aoneUIbean.getTimeFilter().trim().equals(""))
                            {
                %>
                            </tr><tr>
                                <td >
                                    <strong><%=aoneUIbean.getResString("TIME_FILTER_LABEL")%></strong>
                </td>
                                <td >
                                    <%=aoneUIbean.getTimeFilterDisplayName()%>
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td>

                <%
                            }
                %>


                            <%
                            if (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST)
                            {
                                %>
                                </tr><tr>
                                    <td valign="top">
                                        <strong><%=aoneUIbean.getResString("QUERY_ID_LABEL")%></strong>
                                    </td><td>
                                        <%=loginBean.getQueryClient().getQuery(Integer.parseInt(aoneUIbean.getQueryId())).getDisplayName(loginBean.getLocale())%>
                                    </td><td>
                                        &nbsp;
                                    </td><td>
                                        &nbsp;
                                    </td>
                                <%
                            }
                            %>
                            </tr><tr>
                                <td valign="top">
                                    <strong><%=aoneUIbean.getResString("EVENTS_LABEL")%></strong>
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <table cellpadding=0>
                            <tr>
                                <td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    <!-- plug in events iframe here -->
                                    <%
                                    int tempQueryID = -1;
                                    if (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA)
                                    {
                                        tempQueryID = aoneUIbean.createQuery(loginBean.getQueryClient(),
                                                        loginBean.getLocale(),
                                                        aoEventSearchUI.getEventCriteriaList(),
                                                        aoEventSearchUI.getSystemCriteriaList());
                                    }
                                    try
                                    {
                                        if ((reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
                                            || (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST))
                                        {
                                            aoneUIbean.printList(loginBean,
                                                Integer.parseInt(aoneUIbean.getQueryId()),
                                                QueryType.EVENT, out);
                                        }
                                        else if (tempQueryID != -1)
                                        {
                                            aoneUIbean.printList(loginBean,
                                                tempQueryID, QueryType.EVENT, out);
                                        }
                                        else
                                        {
                                            out.print("&nbsp;");
                                        }
                                    }
                                    catch(Exception e)
                                    {
                                        out.print("&nbsp;");
                                    }
                                    %>
                                </td>
                            </tr>
                        </table>
                        <table cellpadding=0>
                            <tr>
                                <td valign="top">
                                    <strong><%=aoneUIbean.getResString("SYSTEMS_LABEL")%></strong>
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <table cellpadding=0>
                            <tr>
                                <td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    &nbsp;
                                </td><td>
                                    <!-- plug in systems iframe here -->
                                    <%
                                    try
                                    {
                                        if ((reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
                                            || (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST))
                                        {
                                            aoneUIbean.printList(loginBean,
                                                Integer.parseInt(aoneUIbean.getQueryId()),
                                                QueryType.DEVICE, out);
                                        }
                                        else if (tempQueryID != -1)
                                        {
                                            aoneUIbean.printList(loginBean,
                                                tempQueryID, QueryType.DEVICE, out);
                                            aoneUIbean.removeQuery(loginBean, tempQueryID);
                                        }
                                        else
                                        {
                                            out.print("&nbsp;");
                                        }
                                    }
                                    catch(Exception e)
                                    {
                                        out.print("&nbsp;");
                                    }
                                    %>
                                </td>
                            </tr>
                        </table>
                        <table cellpadding=0>

                                <tr ><td nowrap colspan=4>
                                    <strong><%=aoneUIbean.getResString("ACTIONS_LABEL")%></strong>
                </td>
                                </tr>
                <tr><td>
                                <TABLE>
                                <%
                                if (0 == aoneUIbean.getSendPage().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top">
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap >
                                        <%=aoneUIbean.getResString("ACTION_DESC_PAGE")%>
                                        </TD><TD>
                                        <%
                                            String [] pUsrs = aoneUIbean.getPagingUsers();
                                            for (int i=0; i<aoneUIbean.getPagingUsers().length;i++)
                                            {
                                                out.write (aoneUIbean.getResString("ACTION_PAGE_TO_TEXT")
                                                                + ":&nbsp;" + pUsrs[i] + "<BR>");
                                            }
                                        %>
                                    </TD></TR>
                                    <%
                                }
                                if (0 == aoneUIbean.getSendMail().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top">
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap>
                                        <%=aoneUIbean.getResString("ACTION_DESC_EMAIL")%>
                                        </TD><TD>
                                        <%
                                           out.write (aoneUIbean.getResString("MAIL_TO_LABEL") + aoneUIbean.getMailTo() + "<BR>");
                                           out.write (aoneUIbean.getResString("MAIL_CC_LABEL") + aoneUIbean.getMailCC() + "<BR>");
                                           out.write (aoneUIbean.getResString("MAIL_SUBJECT_LABEL") + aoneUIbean.getMailSubject() + "<BR>");
                                           out.write (aoneUIbean.getResString("MAIL_FORMAT_LABEL") + aoneUIbean.getMailFormat() + "<BR>");
                                           out.write (aoneUIbean.getResString("MAIL_ENCODING_LABEL") + aoneUIbean.getMailEncoding() + "<BR>");
                                        %>
                                    </TD></TR>
                                    <%
                                }
                                if (0 == aoneUIbean.getLaunchApp().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top" >
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap><%=aoneUIbean.getResString("ACTION_DESC_APPLAUNCH")%>
                                        </TD><TD>
                                        <%
                                           out.write (aoneUIbean.getResString("APP_LAUNCH_TOOL_LABEL") + aoneUIbean.getAppLaunchTool() + "<BR>");
                                        %>
                                    </TD></TR>
                                    <%
                                }
                                if (0 == aoneUIbean.getForwardTrap().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top" >
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap><%=aoneUIbean.getResString("ACTION_DESC_FORWARD")%>
                                        </TD><TD>
                                        <%
                                            String [] trpReceps = aoneUIbean.getTrapRecepients();
                                            for (int i=0; i<aoneUIbean.getTrapRecepients().length;i++)
                                            {
                                                out.write (aoneUIbean.getResString("ACTION_FORWARD_TO_TEXT")
                                                                + ":&nbsp;" + trpReceps[i] + "<BR>");
                                            }
                                        %>
                                    </TD></TR>
                                    <%
                                }
                                if (0 == aoneUIbean.getAssignEvent().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top">
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap><%=aoneUIbean.getResString("ACTION_DESC_ASSIGN")%></TD>
                                        <TD>
                                        <%
                                           out.write (aoneUIbean.getResString("ASSIGNEE_LABEL") + ActionOnEventsUtil.htmlEncode(aoneUIbean.getAssignee()) + "<BR>");
                                        %>
                                    </TD></TR>
                                    <%
                                }
                                if (0 == aoneUIbean.getClearEvent().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top">
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap><%=aoneUIbean.getResString("ACTION_DESC_CLEAR")%></TD>
                                        <TD></TD>
                                    </TR>
                                    <%
                                }
                                if (0 == aoneUIbean.getLogEvent().compareToIgnoreCase(aoneUIbean.getResString("CHECKBOX_STATE_ON")))
                                {
                                    %>
                                    <TR valign="top">
                        <td>&nbsp;&nbsp;&nbsp;</td>
                    <TD nowrap><%=aoneUIbean.getResString("ACTION_DESC_LOG")%></TD>
                                        <TD></TD>
                                    </TR>
                                    <%
                                }
                                %>
                                </TABLE>
                </td>
                </tr>


                            <%
                            if (aoneUIbean.getSendPage().equalsIgnoreCase("on"))
                            {
                            %>
                                <tr>
                                    <td nowrap colspan=4>
                                        <strong><%=aoneUIbean.getResString("MODEM_SETTINGS_LABEL")%></strong>
                                    </td>
                </tr>
                <tr><td>
                    <table>
                      <tr>
                            <td>&nbsp;&nbsp;&nbsp;</td>
                                            <td nowrap>    <%=aoneUIbean.getResString("COM_PORT_LABEL")%>&nbsp; </td>
                                            <td>&nbsp;</td>

                                            <td> <i><%=GlobalSettings.getProperty("CommPort", aoneUIbean.getResString("TXT_NOT_CONFIGURED"))%></i></td>

                      </tr>
                      <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>
                                            <%
                                            if (!reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
                                            {
                                                MxButton.dumpButton(btnModemTag, out);
                                            }
                                            else
                                            {
                                                out.print("&nbsp;");
                                            }
                                            %>
                        </td>

                                      </tr>
                    </table>
                </td></tr>
                            <%
                            }
                            if (aoneUIbean.getSendMail().equalsIgnoreCase("on"))
                            {
                            %>
                <tr>

                                    <td nowrap colspan=4>
                                        <strong><%=aoneUIbean.getResString("EMAIL_SETTINGS_LABEL")%></strong>
                                    </td>

                </tr>
                <tr><td>
                                        <table >
                                            <tr>
                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td nowrap><%=aoneUIbean.getResString("SMTP_HOST_LABEL")%>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td nowrap><i><%=GlobalSettings.getProperty("EmailHostName", aoneUIbean.getResString("TXT_NOT_CONFIGURED"))%></i></td>

                                            </tr>
                        <tr>
                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td nowrap><%=aoneUIbean.getResString("CMS_EMAIL_LABEL")%>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td nowrap><i><%=GlobalSettings.getProperty("EmailFromAddress", aoneUIbean.getResString("TXT_NOT_CONFIGURED"))%></i></td>

                                            </tr>


                        <tr>

                               <td>&nbsp;</td>
                               <td>&nbsp;</td>
                               <td>&nbsp;</td>
                           <td>
                                               <%
                                               if (!reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
                                               {
                                                   MxButton.dumpButton(btnEmailTag, out);
                                               }
                                               else
                                               {
                                                  out.print("&nbsp;");
                                               }
                                               %>
                               </td>

                                            </tr>

                    </table>
                </td></tr>

                            <%
                            }
                            %>
                            <tr>
                                <td colspan=4>
                                    &nbsp;
                                </td>
                            </tr>
                            <%
                            if (aoneUIbean.getSendPage().equalsIgnoreCase("on"))
                            {
                            %>
                            <tr>
                                <td colspan=4>
                                    <strong><i><%=aoneUIbean.getResString("MODEM_SETTINGS_MSG")%>
                                    </i></strong>
                                </td>
                            </tr>
                            <%
                            }
                            if (aoneUIbean.getSendMail().equalsIgnoreCase("on"))
                            {
                            %>
                            <tr>
                                <td colspan=4>
                                    <strong><i><%=aoneUIbean.getResString("EMAIL_SETTINGS_MSG")%>
                                    </i></strong>
                                </td>
                            </tr>
                            <%
                            }
                            %>
                        </table>
            </td></tr>
        </table>
        </TD>
     </TR>
     <TR>
         <TD colspan="2">
            <%
            if (!reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_SHOW_SUMMARY))
            {
                %>
                <div style="margin-top:15px">
                    <% buttons.dumpButtons(out); %>
                </div>
                <%
            }
            %>
         </TD><td>
             &nbsp;
         </td>
    </TR>
    </TABLE>
    <!-- End Data -->
    <script>
        function nextPage()
        {
            document.location='<%=aoneUIbean.getResString("UPDATE_CORE_PAGE_URL")%>?botframe=<%=botframe%>&reqType=<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
        }
        function prevPage()
        {
            document.location='<%=aoneUIbean.getResString("TIME_FILTER_PAGE_URL")%>?botframe=<%=botframe%>&reqType=<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
        }
    </script>
<BR>
<BR>
<BR>
    <iframe id="frmDisplay"
            style="width:100%; height:25; position:relative; visibility:visible"
            scrolling="auto" marginwidth="0"
            frameborder="0"
            onload="iframeLoaded()"
            src="<%=aoneUIbean.getResString("BLANK_PAGE_URL")%>">
    </iframe>
    <FORM ID="frmNotification" NAME="frmNotification" METHOD="POST"
        class="mxForm">
    </form>
<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
