<%@ page import="java.util.*"%>

<%-- This is to include the MxBean Class--%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.portal.ui.MxDateAndTime" %>
<%@ page import="com.hp.mx.portal.help.*" %>

<%-- Used to deal with parramaters--%>
<%@ page import="com.hp.mx.portal.clustermonitor.CMUtility" %>

<%-- nodeResources--%>
<%@ page import="com.hp.clustermonitor.portal.nodeResource.*"%>
<%-- Creates Various beans --%>

<%-- Used for the recource file that contains all the text--%>
<jsp:useBean id="resourceObject" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%--  Used to check if the current session is vaild--%>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    //Static Function That sets up some encoding stuff
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if ( loginBean.checkLogoutConditionForWebPage(pageContext) == true){
        //This will create a blank html page
        return;
    }
    //loads the properties file
    resourceObject.init(loginBean, "CmNRSP");
    //Gets the cluster,node, and cmx choices
    NodeResourceTop nrt = new NodeResourceTop(loginBean.getXeUserSession(),resourceObject);
    nrt.getClusterNames();
    Vector names = nrt.getNames();
    boolean bVaild = true;
%>

<html>
  <head>
    <!-- This stuff adds some java script functions to the jsp page-->
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <script src="/mxportal/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
    <script language="javascript" type="text/javascript">

    MxPortalWorkspaceSetHelpTopic("admin_cluster_nodeCmxSettings");

      function setup(init)
      {
        if(init)
        {
          document.getElementById("Resource").disabled=true;
          document.getElementById("Node").disabled=true;
        }
        var td1b = document.getElementById("td1b").offsetWidth ;
        var td1c = document.getElementById("td1c").offsetWidth ;

        var td2a = document.getElementById("td2a").offsetWidth ;
        var td2b = document.getElementById("td2b").offsetWidth ;
        var td2c = document.getElementById("td2c").offsetWidth ;

        var td3a = document.getElementById("td3a").offsetWidth ;
        var td3b = document.getElementById("td3b").offsetWidth ;
        var td3c = document.getElementById("td3c").offsetWidth ;

        //var td4 = document.getElementById("td4").offsetWidth ;

        var sizetest = ((td3c-document.getElementById("Node").offsetWidth)/2);
        if(sizetest < 0)
        {
          sizetest = 0;
        }
        document.getElementById("td2b").style.width = sizetest+document.getElementById("Node").offsetWidth;
        document.getElementById("td2a").style.width = sizetest;

        document.getElementById("td3b").style.width = document.getElementById("Resource").offsetWidth ;

        document.getElementById("td1b").style.width  = td1b;
        document.getElementById("td1c").style.width  = td1c;

        //document.getElementById("td4").style.width  = td4;

        document.getElementById("td3a").style.width = td3c - document.getElementById("Resource").offsetWidth;
      }

      function loadThresholds()
      {
        parent.frames[1].location.href = "/ui/jsp/DefaultCmxPropertySheet.htm";

        cluster = document.getElementById("Cluster");
        resource = document.getElementById("Resource");
        node = document.getElementById("Node");
        clusChoice = cluster.options[cluster.selectedIndex].value;
        nodeChoice = node.options[node.selectedIndex].value;
        cmxChoice = resource.options[resource.selectedIndex].value;

        if (cmxChoice ==0)
        {
            return;
        }
        else
        {
        <%names = nrt.getNames();%>
        <%for(int i =1; i < (names.size()); i++){
            Vector curListOfNodes =  ((NodeList)names.get(i)).getNodes();
            for(int j =1; j < (curListOfNodes.size()); j++){
               Vector curListOfResources =  ((CmxList)curListOfNodes.get(j)).getInternalNames();
               for(int k =1; k < (curListOfResources.size()); k++){
                 NodeList cluster = (NodeList) names.get(i);
                 CmxList node = (CmxList) curListOfNodes.get(j);
                 String cmx = (String) curListOfResources.get(k);
                 %>
                 if(clusChoice == <%=i%> && nodeChoice == <%=j%> && cmxChoice == <%=k%>){
                      url ="CmNodeResourceBottom.jsp?CLUSTERNAME=";
                      url+="<%= cluster.getClusterName()%>";
                      url+="&CLUSTERIP='<%= cluster.getClusterIP()%>'";
                      url+="&NODENAME=<%= node.getNodeName()%>";
                      url+="&NODEIP='<%= node.getNodeIP()%>'";
                      url+="&CMX=<%=cmx%>";
                 }
              <%}
            } // for
            //Used for the "all cluster"
            if(i == names.size()-1){
              //Gets all the cmxs for the "all cluster"
              Vector curListOfResources =  ((CmxList)curListOfNodes.get(0)).getInternalNames();
               for(int k =1; k < (curListOfResources.size()); k++){
                 NodeList cluster = (NodeList) names.get(i);
                 CmxList node = (CmxList) curListOfNodes.get(0);
                 String cmx = (String) curListOfResources.get(k);
                 %>
                 if(clusChoice == <%=i%> && nodeChoice == 1 && cmxChoice == <%=k%>){
                     url ="CmNodeResourceBottom.jsp?CLUSTERNAME=";
                      url+="<%=cluster.getClusterName()%>";
                      url+="&CLUSTERIP=''";
                      url+="&NODENAME=<%=node.getNodeName()%>";
                      url+="&NODEIP=''";
                      url+="&CMX=<%=cmx%>";
                 }
              <%}
            }
         }%>
         parent.frames[1].location.href = url;
        }
      }

     function enableNodes()
     {
       parent.frames[1].location.href = "/ui/jsp/DefaultCmxPropertySheet.htm";
       cluster = document.getElementById("Cluster");
       resource = document.getElementById("Resource");
       node = document.getElementById("Node");
       destination = cluster.options[cluster.selectedIndex].value;

       resource.options.length=0;
       node.options.length=0;
       document.getElementById("Resource").disabled=true;
       document.getElementById('Node').disabled=true;

       if (destination > 0)
       {
         document.getElementById("Node").disabled=false;
         node.options.length=0;
         <%names = nrt.getNames();%>
         <%for(int i =1; i < (names.size()-1); i++){%>
           if(destination == <%=i%>){
             <%Vector curListOfNodes =  ((NodeList)names.get(i)).getNodes();
               for(int j=0; j<curListOfNodes.size();j++){
                      %>node.options[<%=j%>]=new Option("<%= ((CmxList) curListOfNodes.get(j)).getDisplayNodeName()%>","<%=j%>");
              <%}%>
           }
        <%}%>
         if(destination == <%=names.size()-1%>){
             document.getElementById("Node").disabled=true;
             document.getElementById("Resource").disabled=false;
             <%Vector curListOfNodes =  ((NodeList)names.get(names.size()-1)).getNodes();%>
             node.options[0]=new Option("<%=((CmxList) curListOfNodes.get(0)).getDisplayNodeName()%>","1");
             enableCMXs();
           }
       }
     }

     function enableCMXs()
     {
        parent.frames[1].location.href = "/ui/jsp/DefaultCmxPropertySheet.htm";
        cluster = document.getElementById("Cluster");
        resource = document.getElementById("Resource");
        node = document.getElementById("Node");
        clusChoice = cluster.options[cluster.selectedIndex].value;
        nodeChoice = node.options[node.selectedIndex].value;

        resource.options.length=0;
        document.getElementById("Resource").disabled=true;

        if (nodeChoice >0)
        {
          resource.disabled=false;
          resource.options.length=0;
        <%names = nrt.getNames();%>
        <%for(int i =1; i < (names.size()); i++){
            curListOfNodes =  ((NodeList)names.get(i)).getNodes();
            for(int j =1; j < (curListOfNodes.size()); j++){%>
              if(clusChoice == <%=i%> && nodeChoice == <%=j%>){
              <%Vector curListOfResources =  ((CmxList)curListOfNodes.get(j)).getCMXNames();
                for(int k=0; k<curListOfResources.size();k++){
                      %>resource.options[<%=k%>]=new Option("<%= (String) curListOfResources.get(k)%>","<%=k%>");
              <%}%>
             }
          <%}
            if(i ==names.size()-1){
              Vector curListOfResources =  ((CmxList)curListOfNodes.get(0)).getCMXNames();%>
               if(clusChoice == <%=i%> && nodeChoice == <%=1%>){
                 <%for(int k=0; k<curListOfResources.size();k++){%>
                     resource.options[<%=k%>]=new Option("<%= (String) curListOfResources.get(k)%>","<%=k%>");
                 <%}%>
               }
          <%}
          }%>
       }
     }

     function displayPolling()
     {
       box = document.getElementById("Resource");
       destination = box.options[box.selectedIndex].value;
       if (destination){
         document.getElementById('Polling').style.visibility = "visible";
          }
       else{
         document.getElementById('Polling').style.visibility = "hidden";
       }
     }

   </script>
   <link type='text/css' rel='stylesheet' href='/mxportal/DevicePage/css/MxDevice.css'>
   <link type='text/css' rel='stylesheet' href='/mxportal/css/MxPortalEx.css'>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

  </head>

  <body onLoad='setup(true);'  onResize='setup(false);' >
   <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111">
      <tr>
        <td><b><%=resourceObject.getString("SELECTCLUS")%>:</b></td>
      </tr>
      <tr>&nbsp;</tr>
      <tr>
        <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111">
          <tr align="left" valign="middle">
            <td id="td1a" name="td1a">&nbsp;&nbsp;</td>
            <td id="td1b" name="td1b"><%=resourceObject.getString("CLUSTER")%></td>
            <td id="td2a" name="td2a">&nbsp;</td>
            <td id="td2b" name="td2b"><%=resourceObject.getString("NODE")%></td>
            <td id="td3a" name="td3a">&nbsp;</td>
            <td id="td3b" name="td3b"><%=resourceObject.getString("RESOURCE")%></td>
          </tr>
          <tr align="left" valign="middle">
            <td id="td1a" name="td1a">&nbsp;&nbsp;</td>
            <td id="td1c" name="td1c">
             <select id="Cluster" name="Cluster" size="1" STYLE="width:150px" onChange="enableNodes()">
              <%for(int i =0; i < names.size(); i++){
                      %><option value="<%=i%>"><%= ((NodeList) names.get(i)).getDisplayName()%> </option><%
               }
               if(names.size() == 0){
                 %><option value="0"> <%=resourceObject.getString("NONE")%></option><%
               }
               %>
             </select>
            </td>
            <td id="td2a" name="td2a">&nbsp;</td>
            <td id="td2c" name="td2c">
             <select id="Node" name="Node" size="1" STYLE="width:150px" onChange="enableCMXs()">
              <option selected value>&nbsp;</option>
             </select>
            </td>
            <td id="td3a" name="td3a">&nbsp;</td>
            <td id="td3c" name="td3c">
             <select id="Resource" name="Resource" size="1" STYLE="width:150px" onChange="loadThresholds()">
              <option selected value>&nbsp;</option>
             </select>
            </td>
          </tr>
        </table>
      </tr>
  </table>
 </body>
</html>
