
<%-- ---------------------------------------------------------------------- --%>
<%--  Put all your Java imports here                                        --%>
<%-- ---------------------------------------------------------------------- --%>

<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.objectmodel.MxObjectID"%>
<%@ page import="com.hp.mx.core.nodemanager.*"%>
<%@ page import="com.hp.mx.html.table.GUIDOTable,
                 com.hp.mx.html.table.TreeTable,
                 com.hp.mx.portal.BladeSystemException,
                 com.hp.mx.core.nodemanager.MxNode,
                 com.hp.mx.html.table.AttributeValueTable,
                 java.io.PrintStream,
                 java.io.PrintWriter,
                 com.hp.mx.portal.ui.MxBean,
                 com.hp.mx.core.nodemanager.*,
                 com.hp.mx.portal.res.MxResourceBean,
                 java.text.MessageFormat,
		         com.hp.mx.core.client.*,
		         com.hp.mx.core.objectmodel.*,
                 com.hp.mx.html.core.MxHtmlUtil,
                 com.hp.mx.portal.i18n.*,
				 com.hp.mx.portal.utils.*,
				 java.util.ArrayList,
				 java.util.List,
				 java.util.Enumeration,
 			     com.hp.mx.portal.skin.*,
				 com.hp.mx.exceptions.MxException"%>
<%@ page import="com.hp.mx.portal.core.MxObjList" %>

					
<%-- ---------------------------------------------------------------------- --%>
<%--  Create all your beans here                                            --%>
<%-- ---------------------------------------------------------------------- --%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="selectionBean" class="com.hp.mx.portal.core.MxObjSelections" scope="session" />
<jsp:useBean id="rbPortal" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="deviceBean" class="com.hp.mx.portal.device.MxDeviceBean" scope="page" />
<jsp:useBean id="skin" class="com.hp.mx.portal.skin.Skin" scope="session" />
<jsp:useBean id="monteroBean" class="com.hp.mx.portal.MonteroBean" scope="session" />

<%-- ---------------------------------------------------------------------- --%>
<%--  Put one block of initialization Java code here                        --%>
<%--  In general, keep Java code to a minimum. Put Java code into JavaBeans.--%>
<%-- ---------------------------------------------------------------------- --%>
<%
    // REQUIRED: Set necessary HTTP header attributes (for localization
    // and page caching)
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // EXAMPLE: follow references to this bean for i18n support using resource bundles
    rbPortal.init(loginBean, "MxPortal");
%>

<%-- ---------------------------------------------------------------------- --%>
<%--  From here on, this is a well-formed HTML file                         --%>
<%-- ---------------------------------------------------------------------- --%>

<html>

<%-- ---------------------------------------------------------------------- --%>
<%--  The HEAD block contains meta tags, the TITLE, style sheet links,      --%>
<%--  JavaScript links, and JavaScript code.                                --%>
<%-- ---------------------------------------------------------------------- --%>

<head>

<%-- ---------------------------------------------------------------------- --%>
<%-- Refresh the page every 30 seconds.                                     --%>
<%-- ---------------------------------------------------------------------- --%>
<meta http-equiv="refresh" content="180">

<%-- ---------------------------------------------------------------------- --%>
<%--  Most pages can get away with no title, because they are displayed     --%>
<%--  inside of a frame.                                                    --%>
<%-- ---------------------------------------------------------------------- --%>

<title></title>

<%-- ---------------------------------------------------------------------- --%>
<%--  Put all UI component head blocks here (these consist of style sheets  --%>
<%--  and JavaScript links)                                                 --%>
<%-- ---------------------------------------------------------------------- --%>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

<%-- ---------------------------------------------------------------------- --%>
<%--  Any additional style sheets links go here                             --%>
<%-- ---------------------------------------------------------------------- --%>

<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxTools.css'>

<%-- ---------------------------------------------------------------------- --%>
<%--  Any additional JavaScript links go here                               --%>
<%-- ---------------------------------------------------------------------- --%>

<%--  COMMONLY USED: This includes the browser-based portal API --%>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js" type="text/javascript" language="JavaScript"></script>

<%-- ---------------------------------------------------------------------- --%>
<%--  Put all additional JavaScript here                                    --%>
<%-- ---------------------------------------------------------------------- --%>

<script language="JavaScript" type="text/javascript">
<%skin.checkTarget(request);%>
var lastupdatetime = "null";
function myOnLoad()
{
    //MxPortalWorkspaceSetHelpTopic("monitor_system_nav_containerView");
    setTimeout("myOnResize()", 500);
}

function myOnResize()
{
    resize_w();
    resize_h();
}

function resize_w()
{
    //var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
    //MxTreeSetWidth("ID_TOOLS_TREE", w);
}

function resize_h()
{
    //var h_total = Math.max(0, MxBrowserGetBodyHeight(0, 0));
    //var h_tabs = document.getElementById("ID_TABS").offsetHeight;
    //var h_top = document.getElementById("TOP_PART").offsetHeight;
    //var h = Math.max(0, h_total - h_tabs - h_top);
    //MxTreeSetHeight("ID_TOOLS_TREE", h);
}
function onViewChange(e)
{
    if (e.value != "")
    {
        document.location.replace(e.value);
    }
}

function toggleNodeSelection(chkbox, szGuidServer, count)
{
	//
    // Note: Do not call more than one of the MxPortalNodes APIs at a time!
    // Each call takes 1/10 of a second or so to actually perform, and
    // calling another API before the work is done for the first one
    // can cause problems.
    //    
	if (chkbox.checked)
    {
		if (count == 1)
        {
            //
            // Set the given server as the one-and-only selected device,
            // removing the root container from the selection list.
            //			
			MxPortalNodesSetNode(szGuidServer);
        }
        else
        {
            //
            // Add the given server to the selection list.
            //            
			MxPortalNodesAddNode(szGuidServer);
        }
    }
    else
    {
        if (count == 0)
        {
            //
            // Re-select the root container as the one-and-only
            // selected node, since no servers are selected.
            //            
			MxPortalNodesSetNode("<%=request.getParameter("target")%>");
        }
        else
        {
            //
            // Remove the given server from the selection list.
            //            
			MxPortalNodesRemoveNode(szGuidServer);
        }
    }
}

var Wdays  =  [<%="\""+MonteroResourceManager.getInstance().getString("Sunday",loginBean.getLocale())+"\""%>,
               <%="\""+MonteroResourceManager.getInstance().getString("Monday",loginBean.getLocale())+"\""%>,
               <%="\""+MonteroResourceManager.getInstance().getString("Tuesday",loginBean.getLocale())+"\""%>,
               <%="\""+MonteroResourceManager.getInstance().getString("Wednesday",loginBean.getLocale())+"\""%>,
               <%="\""+MonteroResourceManager.getInstance().getString("Thursday",loginBean.getLocale())+"\""%>,
               <%="\""+MonteroResourceManager.getInstance().getString("Friday",loginBean.getLocale())+"\""%>,
               <%="\""+MonteroResourceManager.getInstance().getString("Saturday",loginBean.getLocale())+"\""%>];

function storeLastUpdatedTime()
{
	 <%-- ---------------------------------------------------------------------- --%>
	 <%-- This would be called only first time to update the client side calculated time to the --%>
	 <%-- server. Then onwards this method would not be used. --%>
	 <%-- Only the updateLink method would be used to update the server with both the times --%>
	 <%-- ---------------------------------------------------------------------- --%>

	 lastupdatetime =dateFormat(" %D (%a) %l:%M ") ;
	 document.location.replace("MxBPV.jsp?updatedTime="+lastupdatetime+"&target=<%=request.getParameter("target")%>");
}

function updateLink()
{
	var currentupdatetime = dateFormat(" %D (%a) %l:%M ") ;	
	document.location.replace("MxBPV.jsp?update=true&newUpdatedTime="+currentupdatetime+"&target=<%=request.getParameter("target")%>");
}

function dateFormat(format)
{
	var o          = format     ;
	var t          = new Date() ;

	//  %a = 3 letters of the day of the week
	//
	o = o.replace( new RegExp("%a", "gi"), new String(Wdays[t.getDay()] ) );

	//  %D = yyyy/mm/dd
	//
	var mon = "" + (t.getMonth() + 1);

	if ( mon.length == 1)
	mon = "0" + mon;

	var day = "" + t.getDate();
	if ( day.length == 1)
	day = "0" + day;

	var D = t.getFullYear() + "/" + mon + "/" + day ;
	o = o.replace(new RegExp("%D", "gi"), D) ;

	//  %l - 1-12 hrs
	//
	var h = t.getHours() ;

	o =  o.replace(new RegExp("%l", "gi"), h) ;

	//  %M :: minutes 0-59
	//
	var mm = new String(t.getMinutes()) ;
	if( mm.length == 1 )
	mm = "0" + mm ;
	o =  o.replace(new RegExp("%M", "gi"), mm) ;


	//  %S :: seconds 0-59
	//
	o =  o.replace(new RegExp("%S", "gi"), t.getSeconds()) ;

	//  timezone -- not done ??

	return o ;
}

function writeTime(time)
{
	var timeTd = document.getElementById('timetd').rows;
	var cells = timeTd[0].cells;
	cells[1].innerHTML=time;
}

</script>

<STYLE type="text/css">
    <!--
        .noBladeBorder {border:thin outset 1px #CCCCCC;}
        .rackOutsideBorder {border-width:4 2 3 4; border-style:solid; border-color :black}
        .blade {margins:0px; border-width:0px; border-style:outset; border-color : White Black Black White; text-align:center; vertical-align:bottom;}
        .statusIcon {margin-bottom:6px; border-width:0px; text-align:center; vertical-align:bottom;}
        .powerSupply {border-width:1px; border-style:outset; border-color : #666666; text-align:center;}
        .switch {border-width:1px; border-style:solid; border-color : #000000;}
        .myTd {font:8pt verdana; text-align:center; vertical-align:top; text-align:left;}
    -->
</STYLE>

</head>

<%-- ---------------------------------------------------------------------- --%>
<%--  The HEAD block ends here                                              --%>
<%-- ---------------------------------------------------------------------- --%>

<%-- ---------------------------------------------------------------------- --%>
<%--  The BODY block begins here                                            --%>
<%-- ---------------------------------------------------------------------- --%>

<body class="body-flush-fit-scrolling" onLoad="myOnLoad()" onResize="myOnResize()">
<div class="body-proxy" id="ID_BODY_PROXY">

<table id="timetd"> 
<tr>
<td><a href="javascript:updateLink()">
<%=MonteroResourceManager.getInstance().getString("bpv.updated",loginBean.getLocale())%>
</a>
</td>
<td>
</td>
</tr>
</table>

<%
try{
	String guiD = request.getParameter("target");
	MxObjectID objID = new MxObjectID(new MxGUID(guiD));
	MxNodeClient nodeClient = loginBean.getNodeCtlr();
	MxNode node = nodeClient.getNode(objID, false);

		if (node.getDeviceType().equals(IMonteroConstants.rack))
		{
		%>
		<script>
			MxPortalWorkspaceSetHelpTopicEx("bladeime","bladeIME_rackView");
		</script>	
		<%
		}
		else if (node.getDeviceType().equals(IMonteroConstants.enclosure))
		{
		%>
		<script>
			MxPortalWorkspaceSetHelpTopicEx("bladeime","bladeIME_enclosureView");
		</script>	
		<%
		}


%>
<%--  communication frame  --%>
<iframe id="ID_COMM_SERVER" style="display:none" src="MxBlank.html"></iframe>

            <table ID="MainTable" cellSpacing="0" cellPadding="0" align="center" border="0">
                   <tr vAlign="top">
                        <td>
<%   
								if(!skin.applySkin(out, request,response,loginBean,selectionBean))
								{
								}
								else
								{
								}
								%>
									<script>
									<%
										String updatedTime = skin.getClientUpdatedTime();
										if (  updatedTime == null)
										{
												out.println("storeLastUpdatedTime();");
										}
										if(updatedTime!=null)
										{
									%>
											writeTime("<%=updatedTime%>");
									<%
										}
									%>
										</script>
								<%
}
catch(Exception e)
{
skin.log(e);
%>
<jsp:forward page="monteroErrorPage.jsp"/>
<%
}
							
%>
                        </td>
						<td>
</div>
<script language="JavaScript" type="text/javascript">
	reconcileEventHandlers();
	showPowerThermal();

<%  
	MxObjList mxObjList = selectionBean.getObjList();

	for (int i=0;i<mxObjList.size();i++)
	{
%>
		makeSelection("<%=(mxObjList.get(i)).getGuid()%>");
<%
	}
%>
</script>



</body>

<%-- ---------------------------------------------------------------------- --%>
<%--  The BODY block ends here                                              --%>
<%-- ---------------------------------------------------------------------- --%>

</html>