<!--  included by MxPortal.jsp  -->

<%@ page import="com.hp.mx.html.core.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbPortal" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    rbPortal.init(loginBean, "MxPortal");

    String szLogon;
    String sslPort = null;
    sslPort = com.hp.mx.database.GlobalSettings.getProperty("Login.secure-port","50000");
    String sslAddress = null;
    if (sslPort.equals(null))
    {
       System.out.println(rbPortal.get("logon.port.error"));
       sslAddress=":50000";
    }
    else
    {
       sslAddress = ":"+sslPort;
    }

    if (request.isSecure())
        szLogon = rbPortal.get("logon.logon-secure");
    else
        szLogon = rbPortal.get("logon.logon-nonsecure");

    String szOtherUrl = "" + request.getRequestURL();
    if (request.getQueryString() != null)
        szOtherUrl += "?" + request.getQueryString();

    szOtherUrl = szOtherUrl.replaceFirst("home/MxPortal.jsp", "");
    if (request.isSecure())
    {
        szOtherUrl = szOtherUrl.replaceFirst("https:", "http:");
        szOtherUrl = szOtherUrl.replaceFirst(sslAddress, ":280");
    }
    else
    {
        szOtherUrl = szOtherUrl.replaceFirst("http:", "https:");
        szOtherUrl = szOtherUrl.replaceFirst(":280", sslAddress);
    }
%>

<script language="JavaScript" type="text/javascript">

function myOnSubmit()
{
    document.getElementById("ID_LOGON").disabled = true;
    return true;
}

function switchUrl()
{
    window.parent.document.location.replace("<%=szOtherUrl%>");
}

function showMsg(szId)
{
    var s = document.getElementById(szId).style;
    s.visibility = "visible";
    s.position = "relative";
}

function checkVersionIe()
{
    var agt = navigator.userAgent.toLowerCase();

    var is_ie     = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
    var is_ie4    = (is_ie && (agt.indexOf("msie 4")!=-1) );
    var is_ie5up  = (is_ie && (agt.indexOf("msie 5.")!=-1) );
    var is_ie6up  = (is_ie && !is_ie4 && !is_ie5up);

    if (is_ie && !is_ie6up)
        showMsg("ID_IE_WARNING");
}

function logon_onLoad()
{
    checkVersionIe();

    if (!navigator.cookieEnabled)
        showMsg("ID_COOKIE_WARNING");

    document.myform.user.focus();
}

</script>

<div id="ID_BANNER">
<jsp:include page="MxHeader.jsp" />
</div>

<br><br><br>

<div style="text-align:center">
<%
    Throwable e = loginBean.getLoginException();
    if (e != null)
    {
        out.println("<strong><center>");
        String szMsg = e.toString();
        if (e instanceof com.hp.mx.exceptions.MxException)
            szMsg = ((com.hp.mx.exceptions.MxException)e).getLocalizedMessage();

        out.println(MxHtmlUtil.encodeHtmlEntities(szMsg));
        out.println("</center></strong>");
    }
%>
</div>

<center>
<form name=myform action="MxPortal.jsp" method="post" onSubmit='return myOnSubmit()'>
<table border="0" cellspacing="2" cellpadding="0">
    <tr>
        <td><%=rbPortal.get("logon.username")%></td>
        <td><input style="width:200px" name="user" size="30" value=""></td>
    </tr>
    <tr>
        <td><%=rbPortal.get("logon.password")%></td>
        <td><input style="width:200px" name="password" size="30" value="" type="password"></td>
    </tr>
    <tr>
        <td></td>
        <td><input id="ID_LOGON" class="mx-button" type="submit" value="<%=szLogon%>"></td>
    </tr>
</table>
</form>

<% if (request.isSecure()) { %>
        <a href="javascript:switchUrl()"><%=rbPortal.get("logon.goto-nonsecure")%></a>
<% } else { %>
        <a href="javascript:switchUrl()"><%=rbPortal.get("logon.goto-secure")%></a>
<% } %>

</center>
<br><br>

<!--  conditional browser version warning  -->
<div id="ID_IE_WARNING" class="logon-warning">
<br>
<%=rbPortal.get("logon.ie-warning")%>
</div>

<!--  conditional browser cookie warning  -->
<div id="ID_COOKIE_WARNING" class="logon-warning">
<br>
<%=rbPortal.get("logon.cookie-warning")%>
</div>
