<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="monitorBean" class="com.hp.mx.portal.monitor.MxMonitorTree" scope="session" />
<jsp:useBean id="rbMonitor" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    if (monitorBean.isFirstTime())
    {
        monitorBean.initBean(loginBean, request);
    }

    if (monitorBean.checkUrlForControllerMessages(request, out))
        return;

    rbMonitor.init(loginBean, "MxMonitor");
%>

<html>
<head>
<title></title>
<LINK type='text/css' rel='stylesheet' href='/mxportal/css/MxPortalEx.css'>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% monitorBean.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

<script src="/AutoRefreshingSessionReset.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxHtmlUtil.URL_BASE%>/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/monitor/js/MxMonitorTree.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/monitor/js/MxMonitorCommon.js" language="JavaScript" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">

function myOnLoad()
{
    setTimeout("myOnResize()", 100);

    setTimeout("updateNavPanel()", 120000);
}

function myOnResize()
{
    resize_w();
    resize_h();
}

function resize_w()
{
    var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
    MxTreeSetWidth("NAV_COLLECTION_TREE", w);
}

function resize_h()
{
    var h_total = Math.max(0, MxBrowserGetBodyHeight(-10, -10));
    var h_top = document.getElementById("MONITOR_TOP_PART").offsetHeight;
    var h_middle = document.getElementById("MONITOR_MIDDLE_PART").offsetHeight;
    var h = Math.max(0, h_total - h_top - h_middle);

    MxTreeSetHeight("NAV_COLLECTION_TREE", h);
}

function doCustomizeList()
{
    MxPortalActionStart("CUSTOMIZE_LIST", "");
}

function updateNavPanel()
{

    var url = "updateNavPanel.jsp";
    document.getElementById("monitorCommSpace").src = url;
}

function oldMxGlobalTimerTick()
{
    MxPortalRefreshNavigationArea();
}
</script>
</head>

<body class="body-flush-fit" onLoad="myOnLoad()" onResize="myOnResize()">
<div class="body-proxy" id="ID_BODY_PROXY">

<table id="MONITOR_TOP_PART" style="background-color:#cccccc;width:100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
        <td align="left" style="padding-left:4px;padding-bottom:2px">
            <% monitorBean.dumpExpansionButtons(out); %>
        </td>
        <td align='right' style="padding-right:4px">
            <a href="javascript:doCustomizeList()"><%=rbMonitor.getString("customize.customizebtn")%></a>
        </td>
    </tr>
</table>

<div id="MONITOR_MIDDLE_PART">
  <% monitorBean.dumpNavPanelHtmlTags(out); %>
</div>

<% monitorBean.dumpTree(out, false); %>

<IFRAME ID="monitorCommSpace" NAME="monitorCommSpace" style="display:none" SRC="<%=MxOptions.URL_BASE%>/home/MxBlank.html"></IFRAME>
</div>
<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
