<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="actionList" class="com.hp.mx.portal.core.MxActionList" scope="session" />

<%
    MxBean.jspInit(request, response);
    String szTitle = "";
    Throwable e = null;

    MxAction action = actionList.getById(request.getParameter("id"));
    if (action != null)
    {
        szTitle = action.getTitleForWorkspace(loginBean);
        e = action.getException();
    }

    String szMsg = "";
    if (e != null)
    {
        if (e instanceof com.hp.mx.exceptions.MxException)
        {
            ((com.hp.mx.exceptions.MxException)e).setLocale(loginBean.getLocale());
            szMsg = ((com.hp.mx.exceptions.MxException)e).getLocalizedMessage();
        }
        else
            szMsg = e.toString();
    }
%>

<html>
<head>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<title><%=szTitle%></title>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

<body style="text-align:center">
<br><br>
<strong><center>
<%=MxHtmlUtil.encodeHtmlEntities(szMsg)%>
</center></strong>
<% MxHtmlUtil.dumpBodyEnd(out); %>
</body>
</html>
