<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="java.io.File"%>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.portal.ui.*" %>


<jsp:useBean id="aboutBoxTable" class="com.hp.mx.portal.help.MxAboutBox" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="myAboutBoxRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="rbPortal" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

   // Get the id, and then show the versionTxt corresponding to that, it will be an array.
    String fileName = request.getParameter("fileName");
    String filePath = request.getParameter("filePath");
    String versionTxt = null;


    if(fileName == null)
    {
        fileName = filePath;
    }
    else {
        int index = fileName.indexOf(".jar");
        if(index > 0) {
        	fileName = fileName.substring(0, index);
        }
    }

    if(filePath == null)
    {
        versionTxt = "No Information available";
    }
    else
    {
        versionTxt= aboutBoxTable.readVersionTxt(filePath);
    }

    if(versionTxt == null )
    {
    	versionTxt = "No Information available";
    }

    MxButtons buttons = new MxButtons();
    MxTag closeBtnTag = new MxDefaultTag("", "Close", "window.close()");
    buttons.addMxTag(closeBtnTag);


%>
<html>
<HEAD>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
<TITLE><%=fileName%></TITLE>
<script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
</head>

<body class="window-body">
<%=versionTxt%>
<DIV style="margin-top:15px">
<% buttons.dumpButtons(out); %>
<br>
<br>
</DIV>

</body>
</html>
