<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.html.table.MxTableController" %>

<jsp:useBean id="aboutBoxTable" class="com.hp.mx.portal.help.MxAboutBox" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="aboutBoxTableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="myAboutBoxRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="rbPortal" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    // REQUIRED: Set necessary HTTP header attributes (for localization
    // and page caching)
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    myAboutBoxRes.init(loginBean, "MyAboutBox");
    rbPortal.init(loginBean, "MxPortal");
    aboutBoxTable.initialize(loginBean,myAboutBoxRes);
    MxTableController tableController = aboutBoxTable.getTableController();

      if (tableController.isFirstTime())
    {
        aboutBoxTableView.setId("ID_MY_TABLE2");
        aboutBoxTableView.setUrlHandler(request.getRequestURI());
        tableController.setTableModel(aboutBoxTable.getMxAboutBoxModel());
        tableController.setTableView(aboutBoxTableView);

    }
     if (tableController.checkUrlForControllerMessages(request, out)) return;

    MxTag okBtnTag = new MxDefaultTag("", aboutBoxTable.getOK(), "window.close()");
%>

<html>
<head>
<title><%=myAboutBoxRes.getString("myAboutBox.Title")%></title>
<link type="text/css" rel="stylesheet" href="../css/MxAboutSs.css">
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">
    function loadVersionInfoPage(filePath, fileName)
    {
        var szTargetFrame = "versionInfo";
        var szUrl = "<%=MxOptions.URL_BASE%>/home/VersionInfo.jsp?filePath="+filePath+"&fileName="+ fileName;
        MxPortalOpenPopupWindow(szUrl, szTargetFrame, 450, 200);
    }
 </script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% aboutBoxTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body class="window-body">

<table width="100%" cellspacing="0" cellpadding="0">

<tr><td>
<table border="0" cellpadding="5" cellspacing="0" width="100%" class="applicationMastheadSmall">
<tr>
    <td class="mastheadIcon"><img src="<%=MxHtmlUtil.URL_BASE%>/images/themes/blue/logo_hp_smallmasthead.gif" width="30" height="19" border="0" alt="HP"></td>
    <td width="90%" class="mastheadTitle"><h1><%=rbPortal.get("global.product")%></h1></td>
</tr>
</table>
</td></tr>

<tr>
   <td >
       <table width="100%" align="top" >

       <tr >
         <td width="5">
         </td>

         <td align="top">
              <img src="../../ui/img/logo.gif">
         </td>


        <td >
           <table width="100%" >
              <tr>
                 <td>
                     <b><%=myAboutBoxRes.getString("myAboutBox.CMS")%></b>
                 </td>

              </tr>
              <tr>
                 <td>
                   <b><%=myAboutBoxRes.getString("myAboutBox.Hostname")%></b>
                 </td>
                 <td>
                    <%= aboutBoxTable.getHostname() %>
                 </td>
              </tr>
              <tr>
                 <td>
                   <b><%=myAboutBoxRes.getString("myAboutBox.OS")%></b>
                 </td>
                 <td>
                    <%= aboutBoxTable.getOSname() %>
                 </td>
              </tr>
              <tr>
                 <td>
                    <b><%=myAboutBoxRes.getString("myAboutBox.DisplayVersion")%></b>
                 </td>
                  <td>
                    <%= aboutBoxTable.getDisplayVersion()  %>
                  </td>
              </tr>
              <tr>
                 <td>
                    <b><%=myAboutBoxRes.getString("myAboutBox.BuildVersion")%></b>
                 </td>
                  <td>
                    <%= aboutBoxTable.getBuildVersion()  %>
                  </td>
              </tr>

               <tr>
                 <td>
                    <b><%=myAboutBoxRes.getString("myAboutBox.BuildDate")%></b>
                 </td>
                  <td>
                    <%= aboutBoxTable.getBuildDate()  %>
                  </td>
              </tr>

               <tr>
                 <td valign="top">
                    <b><%=myAboutBoxRes.getString("myAboutBox.Hotfixes")%></b>
                 </td>
                  <td>
                    <%= aboutBoxTable.getPatches()  %>
                  </td>
              </tr>

              <tr>
                 <td>
                   <b><%=myAboutBoxRes.getString("myAboutBox.UserName")%></b>
                 </td>
                 <td>
                     <%= aboutBoxTable.getUserName() %>
                 </td>
              </tr>

           </table>
       </td>
      </tr>
     </table>
  </td>
</tr>


   <tr>
        <td>
          <table width="100%"  >
             <tr>
               <td width="5">
               </td>

              <td>
              <hr size="4" color="#006699" width="100%" align="center" noshade="noshade" />
               </td>
                <td width="5">
               </td>

             </tr>
          </table>
        </td>
     </tr>

<% if ( aboutBoxTable.isEmpty() == false) { %>
     <tr>
         <td>
           <table width="100%">
               <tr>
                 <td width="5">
               </td>
                <td class="plugin-title">
                   <b><%=myAboutBoxRes.getString("myAboutBox.Plugins")%></b>
                </td>
              </tr>
           </table>
         </td>
      </tr>

      <tr>
         <td>
            <table width="100%">
               <tr>
                 <td width="5">
                 </td>
                 <td>
                 <% aboutBoxTableView.dumpWholeTable(out); %>
                 </td>
               </tr>
           </table>
         </td>
      </tr>

      <tr>
        <td>
           &nbsp;
         </td>
      </tr>

<% } %>

    <tr>
        <td>
          <table width="100%" >
             <tr>
               <td width="5">
               </td>
               <td class="copyright-line" >&#169;
              <%= aboutBoxTable.getCopyright() %>
              <%= aboutBoxTable.getDistribution() %>
               </td>

               <td>
                    <% MxButton.dumpButton(okBtnTag, false, new int[] { 0, 0, 0, 0}, false, false, out); %>
               </td>
             </tr>
          </table>
        </td>
   </tr>
    <tr>
        <td>
           &nbsp;
        </td>
    </tr>
    <tr>
        <td>
           <table>
               <tr>
                <td width="5">
                 </td>
                <td><textarea class="copyright-line" name="Copyright Info" rows="3" cols="85" readonly="readonly"><%= aboutBoxTable.getRights() %>
                   </textarea>
                </td>
              </tr>
           </table>
         </td>
      </tr>

    <tr>
        <td>
           &nbsp;
        </td>
    </tr>

    <tr>
        <td>
           <table><tr>
            <td width="5">
             </td>
             <td>
              <b>
             <a target="survey" href="<%= myAboutBoxRes.getString("myAboutBox.SurveyUrl")%>"> <%= myAboutBoxRes.getString("myAboutBox.Survey")%></a>
             </b>
             </td>
           </tr></table>
         </td>
     </tr>

</table>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
