<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="actionMgr" class="com.hp.mx.portal.core.MxActionMgr" scope="session" />
<jsp:useBean id="popupBean" class="com.hp.mx.portal.ui.MxPopups" scope="session"/>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.res.MxResourceBean"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="java.util.List"%>

<%
    // attempt to get the "no-show" param.  If we find it, then save the client attribute
    // for this user to not have this popup display to this user anymore.
    String noShow = request.getParameter("no-show");
    String id     = request.getParameter("id");

    if (noShow != null)
    {
        // user wishes to no longer see this dialog
        popupBean.stopUserPopup(id);
        return;
    }

    // Should be safe to do the above first since these dialogs appear as a result
    // of the user logging in

    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    // init our resource bundle
    MxResourceBean rb  = new MxResourceBean(loginBean.getLocale(), "MxPopup");
    // get the rest of the parameters for this dialog
    String         url = request.getParameter("url");
    String         w   = request.getParameter("w");
    String         h   = request.getParameter("h");

    MxTag okBtnTag = new MxDefaultTag("ok", rb.getString("OK_BUTTON"), "window.close()");
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxAboutSs.css'>
        <script language='javascript' type='text/javascript'>
            // this is called when this dialog closes - either by the user clicking "ok" or by other means
            function myOnClose()
            {
                // check if the checkbox has been checked - if so, save the user attribute
                var checkbox = document.getElementById('doNotShow');

                if (checkbox.checked == true)
                {
                    // get the page that created this window (opener)
                    var iframe = window.opener.document.getElementById('popup');
                    iframe.contentWindow.document.location.replace('<%=MxOptions.URL_BASE%>/home/displayPopup.jsp?no-show=1&id=<%=id%>');
                }
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body class='window-body' onUnload='myOnClose()'>
        <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
            <tr>
                <td colspan='2' valign='top'>
                    <iframe id='<%=id%>' name='<%=id%>'
                            style='position:relative; visibility:visible; width:<%=w%>; height:<%=h%>'
                            scrolling='auto' marginwidth='0' frameborder='0' src='<%=url%>'>
                    </iframe>
                </td>
            </tr>
            <tr>
                <td colspan='2'>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;&nbsp;<input type='checkbox' id='doNotShow'><%=rb.getString("DO_NOT_SHOW")%></td>
                <td align='right'>
                    <% MxButton.dumpButton(okBtnTag, false, new int[] { 0, 5, 0, 0}, false, false, out); %>
                </td>
            </tr>
        </table>
        <iframe id='action' name='action' style='position:relative; visibility:hidden; width:0; height:0'
                scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
        </iframe>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
