<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>
<jsp:useBean id="manageKeysSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>

<%@ page import="com.hp.mx.portal.ui.*,
                 com.hp.mx.utilities.*,
                 com.hp.mx.core.subjects.*,
                 com.hp.mx.core.controllers.MxNodeController,
                 com.hp.mx.portaljob.MxPortalJobManager,
                 com.hp.mx.portaljob.MxPortalJobData,
                 com.hp.mx.core.nodemanager.MxNode,
                 com.hp.mx.core.tools.discovery.DiscoverTheCMSLocalHost,
                 java.util.*,
                 java.io.*"
%>

<html>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext)) return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>
    <script language='javascript' type='text/javascript'>
        // set the help context.
        MxPortalWorkspaceSetHelpTopic('useTools_license_deployKeys_results');
    </script>
<%
    for (int i=0; i< manageKeysSelectionModel.getSelectedIndices().length; i++)
    {
       System.out.println("selection " + i + " = " + manageKeysSelectionModel.getSelectedIndices()[i]);
    }

    Vector nodeNames  = new Vector();
    String errText = null;
    String jobid = request.getParameter("job");
    MxPortalJobData data = null;
    String szNodes = "";
    if ( null != jobid )
        jobid = jobid.trim();
    if ( null==jobid || jobid.equals("") ||
         (data=MxPortalJobManager.getInstance().getJobData(jobid))==null ||
         (szNodes=data.getTargetList()).trim().equals("") )
    {
        errText = lmBean.getResString("MSG_COLLECTKEY_12","Target node list is empty") ;
%>
        <table width="100%">
            <tr width="100%">
                <td id=collectStatus width="100%" align="LEFT" style="font-family:arial; font-size:10pt; color:'RED'"><%=errText%></td>
            </tr>
        </table>
<%
    }
    else
    {
            String[] names = szNodes.split("\u002C");   //system names are separated by ','
%>
<script language='javascript' type='text/javascript'>
        var nodeNames = new Array(<%=names.length%>);
</script>
<%
            for ( int i=0; i<names.length; i++ )
            {
                String nodeName = names[i];
                if ((nodeName == null) || (nodeName.equalsIgnoreCase("")))
                {
                    continue;
                }
                nodeNames.addElement(nodeName);
%>
<script language='javascript' type='text/javascript'>
               nodeNames[<%=i%>] = "<%=nodeName%>";
</script>
<%
            }
%>

        <script language="JavaScript">
         var index = 0;

         function deployNextDevice()
         {
            if ( index >= nodeNames.length )
            {
               theName = "";
            }
            else
            {
               theName = nodeNames[index++];
            }
            loader.location.replace("/mxportal/lm/lm_deployResultLoader.jsp?PageName=lm_deployResultLoader&nodeName="+theName);
            window.focus();
         }

         function deployInit()
         {
            deployNextDevice();
         }

       </script>
<%
       out.println("<FRAMESET ROWS = '100%, 0%' onLoad='javascript:deployInit()' >");
       out.println("<frame NAME = \"resultTable\" SCROLLING = \"yes\" FRAMEBORDER = \"0\" SRC=\"/mxportal/lm/lm_deployResult.jsp\">");
       out.println("<frame NAME = \"loader\" SCROLLING=\"no\" FRAMEBORDER = \"0\" SRC=\"/mxportal/lm/lm_deployResultLoader.jsp?PageName=lm_deployResultLoader\" >");
       out.println("</FRAMESET>");
    }
%>
</html>
