<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.html.table.*"%>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="lmShowFileSelectionModel"  class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="lmShowFileTableView"       class="com.hp.mx.html.table.MxTableView2"                 scope="session"/>
<jsp:useBean id="lmShowFileTableController" class="com.hp.mx.html.table.MxTableController"            scope="session"/>
<jsp:useBean id="lmShowFileTableModel"      class="javax.swing.table.DefaultTableModel"               scope="session"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session" />

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    lmBean.initBean(out, loginBean);

    if (lmShowFileTableController.isFirstTime())
    {
        lmBean.getColumnNamesShowFile(lmShowFileTableModel);
        // set to only allow 1 row to be selected
        lmShowFileSelectionModel.setSelectionMode(MxTableSelectionModel.NO_SELECTION);

        lmShowFileTableView.setId("ID_LMMKSHOWFILE_TABLE");
        lmShowFileTableView.setUrlHandler(request.getRequestURI());
        lmShowFileTableController.setTableModelWithSorting(lmShowFileTableModel);

        // get the sorting table and tell it to sort
        MxTableSortingModel sortingModel = lmShowFileTableController.getSortingModelOrNull();

        // column #1, sortUp == true
        sortingModel.sortTable(0, true);
        lmShowFileTableController.setSelectionModel(lmShowFileSelectionModel);
        lmShowFileTableController.setTableView(lmShowFileTableView);
    }

    // do we need to abort?
    if (lmShowFileTableController.checkUrlForControllerMessages(request, out))
    {
        //out.write("<script>alert('controller msg');</script>");
        //System.out.println("UPDATE_PERIOD_MS=" + lmTableController.UPDATE_PERIOD_MS);
        return;
    }

    lmShowFileTableModel.setRowCount(0); // clear data
    lmShowFileTableModel.fireTableDataChanged();

    lmBean.refreshShowFile(lmShowFileTableModel);
    int numKeys = lmShowFileTableModel.getRowCount();

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
%>
   <html>
   <head>

      <title>
         LM Manage Keys - Show Keys from File
      </title>

      <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>
      <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>
      <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/lm/js/lm.js'></script>

      <script>
        <%@include file='js/lm.js'%>

        var REFRESH_TIMEOUT              = 10000; // 10 seconds
        var SELECTED_ROW_COLOR           = '66CCFF';
        var NETSCAPE_SCROLLBAR_WIDTH     = 36;
      </script>

      <script language='javascript' type='text/javascript'>

           var numKeys = <%=numKeys%>;

           // set the help context.
           MxPortalWorkspaceSetHelpTopic('useTools_license_manageKeys_new');

           function addKeyPage()
           {
               document.location = '<%=lmBean.getResString("URL_UPDATE_CORE_PAGE","lm_mkUpdateCore.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_ADDFILE%>';
               return ;
           }

           function cancelShowPage()
           {
               document.location = '<%=lmBean.getResString("URL_ADD_KEY_PAGE","lm_mkAddKey.jsp")%>';
           }

            function loadPage()
            {
            }

            // resize the MxTable to be flush with the right browser edge
            function myResize()
            {
                var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
                MxTableSetWidth('ID_LMMKSHOWFILE_TABLE', w);
            }

           function setTableHeight()
           {
                var iframe    = document.getElementById('DPI');
                var rowHeight     = iframe.contentWindow.getCellHeight();
                var titleHeight   = iframe.contentWindow.getTitleHeight();
                // add 1 to the "numKeys" because the horizontal scroll bar will take 1 row
                if ( numKeys > 10 )
                {
                   var tableHeight = (rowHeight * (numKeys + 1)) + titleHeight;
                   MxTableSetHeight('ID_LMMKSHOWFILE_TABLE', tableHeight);
                }
           }
        </script>

        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% MxButton.dumpHeadContent(out); %>
        <% lmShowFileTableView.dumpHeadContent(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
    </head>

   <body onLoad='setTableHeight(), loadPage(), myResize()' onResize='myResize()'>
    <a NAME='SHOW_PAGE_TOP'></a>
    <HR class='mx-hr'>
    <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
       <tr>
         <td align='left'>
            <span class='mx-subheader-nosep'>
               <b><%=lmBean.getResString("TXT_SHOW_FILE_KEYS_COLON","Keys from file:")%></b>
            </span>
            &nbsp;<%=lmBean.getUploadFileName()%>
         </td>
         <td align='right'>
            <span class='mx-subheader'>
               <b><%=lmBean.getResString("TXT_NO_OF_TARGETS","Targets:")%></b>
            </span>
            &nbsp;<%=numKeys%>
         </td>
      </tr>
   </table>
   <br>

   <% lmShowFileTableView.dumpWholeTable(out); %>

<% if ( 1 == numKeys ) { //singular

    buttons.addMxTag(new MxDefaultTag("btnAdd", lmBean.getResString("LBL_ADD","Add Key"), "addKeyPage()"));

 } else { //plural

    buttons.addMxTag(new MxDefaultTag("btnAdd", lmBean.getResString("LBL_ADDS","Add Keys"), "addKeyPage()"));

 } %>

    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>

   <iframe id='DPI' name='DPI' style='position:relative; visibility:hidden; width:100%; height:100'
             scrolling='no' marginwidth='0' frameborder='1' src='<%=MxOptions.URL_BASE%>/taskandjob/DPI.html'>
   </iframe>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    <% MxHtmlUtil.dumpBodyEnd(out); %>
    </body>
</html>
