<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.html.table.*"%>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="lmViewSelectionModel"  class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="lmViewTableView"       class="com.hp.mx.html.table.MxTableView2"                 scope="session"/>
<jsp:useBean id="lmViewTableController" class="com.hp.mx.html.table.MxTableController"            scope="session"/>
<jsp:useBean id="lmViewTableModel"      class="javax.swing.table.DefaultTableModel"               scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>
<jsp:useBean id="loginBean"  class="com.hp.mx.portal.ui.MxLoginBean"    scope="session"/>
<jsp:useBean id="manageKeysSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    lmBean.initBean(out, loginBean);

    if (manageKeysSelectionModel.getSelectedIndices().length == 0)
        return;

    if (!lmBean.idKey( manageKeysSelectionModel.getSelectedIndices()[0]) )
    {
        lmBean.alert(out, lmBean.getResString("MSG_KEY_NOT_FOUND","This key no longer exists in the repository."));
        lmBean.replaceParentLocation(out, lmBean.getResString("URL_MANAGE_PAGE","lm_mkManageKeys.jsp"));
        return;
    }

    if (lmViewTableController.isFirstTime())
    {
        lmBean.getColumnNamesView(lmViewTableModel);

        // set to only allow 1 row to be selected
        lmViewSelectionModel.setSelectionMode(MxTableSelectionModel.NO_SELECTION);

        lmViewTableView.setId("ID_LMMKVIEW_TABLE");
        lmViewTableView.setUrlHandler(request.getRequestURI());
        lmViewTableController.setTableModelWithSorting(lmViewTableModel);

        // get the sorting table and tell it to sort
        MxTableSortingModel sortingModel = lmViewTableController.getSortingModelOrNull();
        // column #1, sortUp == true
        sortingModel.sortTable(0, false);
        lmViewTableController.setSelectionModel(lmViewSelectionModel);
        lmViewTableController.setTableView(lmViewTableView);
    }

    // do we need to abort?
    if (lmViewTableController.checkUrlForControllerMessages(request, out))
    {
        //out.write("<script>alert('controller msg');</script>");
        //System.out.println("UPDATE_PERIOD_MS=" + lmTableController.UPDATE_PERIOD_MS);
        return;
    }

    // set the first row as the selected row - default action
    lmViewSelectionModel.setSelectedIndexShim(0, true);

    lmViewTableModel.setRowCount(0); // clear data
    lmViewTableModel.fireTableDataChanged();

    lmBean.refreshKeysView(lmViewTableModel);
    int numKeys = lmViewTableModel.getRowCount();

%>

   <html>
   <head>
      <title>
            License Manager - View Keys
      </title>

      <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>
      <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>
      <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/lm/js/lm.js'></script>
      <script language='javascript' type='text/javascript'>

         // set the help context.
         MxPortalWorkspaceSetHelpTopic('useTools_license_manageKeys_viewDetails');

         var numKeys = <%=numKeys%>;

         function loadPage()
         {
         }

         // resize the MxTable to be flush with the right browser edge
         function myResize()
         {
            var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
            MxTableSetWidth('ID_LMMKVIEW_TABLE', w);
         }

         function setTableHeight()
         {
            var iframe    = document.getElementById('DPI');
            var rowHeight     = iframe.contentWindow.getCellHeight();
            var titleHeight   = iframe.contentWindow.getTitleHeight();
            // add 1 to the "numKeys" because the horizontal scroll bar will take 1 row
            var tableHeight = (rowHeight * (numKeys + 1)) + titleHeight;
            MxTableSetHeight('ID_LMMKVIEW_TABLE', tableHeight);
         }

         function showManagePage()
         {
             parent.document.location='<%=lmBean.getResString("URL_MANAGE_PAGE","lm_mkManageKeys.jsp")%>';
             document.location = '<%=lmBean.getResString("URL_BLANK_PAGE","lm_blank.html")%>';
         }

        </script>
        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% lmViewTableView.dumpHeadContent(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
   </head>

   <body onLoad='setTableHeight(), loadPage(), myResize()' onResize='myResize()'>
   <a NAME='VIEW_PAGE_TOP'></a>
    <HR class='mx-hr'>
    <span class='mx-subheader-nosep'>
       <b><%=lmBean.getResString("TXT_DISPLAY_KEY_USE","Details on use of selected key")%></b>
    </span>
   <br><br>
   <% lmViewTableView.dumpWholeTable(out); %>
   <br>

   <iframe id='DPI' name='DPI' style='position:relative; visibility:hidden; width:100%; height:100'
             scrolling='no' marginwidth='0' frameborder='1' src='<%=MxOptions.URL_BASE%>/taskandjob/DPI.html'>
   </iframe>

    <% MxHtmlUtil.dumpBodyEnd(out); %>
    </body>
</html>
