<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="pickKeysSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="pickKeysTableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="pickKeysTableController" class="com.hp.mx.html.table.MxTableController" scope="session"/>
<jsp:useBean id="pickKeysTableModel" class="javax.swing.table.DefaultTableModel" scope="session"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext)) return;

    lmBean.initBean(out, loginBean);
    int numKeys = 0 ;
    if (pickKeysTableController.isFirstTime())
    {
        lmBean.getColumnNames(pickKeysTableModel);
        pickKeysTableView.setId("ID_PK_TABLE");
        pickKeysTableView.setOnSelectionChange("mySelectionChanged");
        pickKeysTableView.setUrlHandler(request.getRequestURI());
        //pickKeysTableController.setTableModelWithSorting(pickKeysTableModel);
        pickKeysTableController.setTableModel(pickKeysTableModel);
        //MxTableSortingModel sortingModel = pickKeysTableController.getSortingModelOrNull();
        //sortingModel.sortTable(0, true);  //sort by first column
        pickKeysTableController.setSelectionModel(pickKeysSelectionModel);
        pickKeysTableController.setTableView(pickKeysTableView);
    }
          lmBean.refreshKeysDeploy(pickKeysTableModel);          //fill up with data
          numKeys = pickKeysTableModel.getRowCount();

    // do we need to abort?
    if (pickKeysTableController.checkUrlForControllerMessages(request, out))
    {
        //out.write("<script>alert('controller msg');</script>");
        return;
    }
    int titleHeight  = 20; //19;
    int rowHeight    = 19; //18;
    int maxDisplayed = 10;
%>
    <html>
      <head>
        <title>
           License Manager - Deploy Keys - TaskWizard Custom Page.
        </title>

        <link href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>

        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>

        <script language='javascript' type='text/javascript'>

            // set the help context.
            MxPortalWorkspaceSetHelpTopic('useTools_license_deployKeys_selectKeys');

            var items   = 0 ;
            var numKeys  = <%=numKeys%>;
<%          if (lmBean.deployList == null)
            {
%>
                var pickList = 0 ;
<%
            }
            else
            {
%>
                var pickList = <%=lmBean.deployList.length%>;
<%
            }
%>
            function mySelectionChanged(szIdTable, iRow, bSelected)
            {
                var key;
                if (( iRow >= 0 ) && ( iRow < numKeys))
                {
                   key = MxTableGetValueAt(szIdTable, iRow, 6);
                   if ( true == bSelected )
                   {
                      items=items+1;
                      saveWizardParameter( iRow+1, key ) ;
                      ourButtonManager.enableButtonById('runNowBtn');
                   }
                   else
                   {
                      if ( 0 < items )
                      {
                         items=items-1;
                         removeWizardParameter( iRow+1 ) ;
                         if ( 0 == items )
                         {
                            ourButtonManager.disableButtonById('runNowBtn');
                         }
                      }
                   }
                }
                else
                {
                      for ( var i = 1; i <= numKeys ; i++ )
                      {
                           key = MxTableGetValueAt(szIdTable, i - 1, 6);
                           if ( bSelected )
                           {
                              items=numKeys;
                              saveWizardParameter( i, key ) ;
                              ourButtonManager.enableButtonById('runNowBtn');
                           }
                           else
                           {
                              items=0;
                              removeWizardParameter( i ) ;
                              ourButtonManager.disableButtonById('runNowBtn');
                           }
                      }
                }
             }

            var error = <%=(request.getParameter("err") != null)%>;

            function prevButtonFunction()
            {
               return true ;
            }

            function runNowButtonFunction()
            {
                if ( 0 < items )
                {
                   for ( cntr=1; cntr<=numKeys; cntr++)
                   {
                      var selKey = getWizardParameter(cntr);
                      if (( selKey != null ) && ( selKey.length != 0 ))
                      {
                         var nextKey = new Option(selKey,selKey);
                         var numOptions = document.getElementById('deployList').options.length;
                         document.getElementById('deployList').options[numOptions] = nextKey;
                         document.getElementById('deployList').options[numOptions].selected = 'true';
                      }
                   }
                   return true ;
                }
                else
                {
                   alert('<%=lmBean.getResString("MSG_NO_KEY_SELECTED","Please pick at least one key to deploy.")%>');
                   return false ;
                }
            }

            function loadPage()
            {
               for ( var cntr=1; cntr<=numKeys; cntr++)
               {
                  var selKey = getWizardParameter(cntr);
                  if (( selKey != null ) && ( selKey.length != 0 ))
                  {
                      ++items ;
                  }
               }
               if ( items == 0 )
               {
                  ourButtonManager.disableButtonById('runNowBtn');
               }
               else
               {
                  ourButtonManager.enableButtonById('runNowBtn');
               }
            }

            function myResize()
            {
                var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
                MxTableSetWidth('ID_PK_TABLE', w);
            }

            function setTableHeight()
            {
               if (numKeys > 0)
               {
                  var keys          = numKeys ;
                  var iframe        = document.getElementById('DPI');
                  var rowHeight   = iframe.contentWindow.getCellHeight();
                  var titleHeight   = iframe.contentWindow.getTitleHeight();
                  // add 1 to the "numNodes" because the horizontal scroll bar will take 1 row
                  if (numKeys > 15)
                  {
                     keys = 15 ;
                  }
                  var tableHeight = (rowHeight * (keys + 1)) + titleHeight;
                  MxTableSetHeight('ID_PK_TABLE', tableHeight);
               }
            }

       </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% pickKeysTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

  </head>

   <body onLoad='setTableHeight(), loadPage(), myResize()' onResize='myResize()'>
<%
    if (request.getMethod().equals("POST"))
    {    // IS THIS A POST?  Check data validity and redirect
        pickKeysTableModel.setRowCount(0);
        pickKeysTableModel.fireTableDataChanged();
%>
        <script language='javascript' type='text/javascript'>
           var cntr = 0;
           for ( cntr=1; cntr<=numKeys; cntr++)
           {
              removeWizardParameter(cntr);
           }
           loadWizardNextStep() ;
        </script>
<%
    }
    else
    {    // THIS IS NOT A POST - Display normally

       if (numKeys == 0)
       {
%>
        <script language='javascript' type='text/javascript'>
            setWizardStepText("<%=lmBean.getResString("TXT_SELECT_KEY_TO_DEPLOY","Select keys to deploy.")%>");
        </script>
        <center>
             <b><i><font color='red'>
                 <%=lmBean.getResString("TXT_NO_DEPLOY_KEYS","There are no suitable keys to deploy.")%>
             </font></i></b>
         </center>
<%
       }
       else
       {
          pickKeysTableView.dumpWholeTable(out);
%>
          <br>
          <script language='javascript' type='text/javascript'>
             displayTaskWizardButtons();
          </script>

          <form id="frmDeployKey" name="frmDeployKey" action="lm_pickkeys.jsp" method="post">
             <select id='deployList' name='deployList' style='visibility:hidden' MULTIPLE></select>
          </form>

          <iframe id='DPI' name='DPI' style='position:relative; visibility:hidden; width:100%; height:100'
             scrolling='no' marginwidth='0' frameborder='1' src='<%=MxOptions.URL_BASE%>/taskandjob/DPI.html'>
          </iframe>

         <script language='javascript' type='text/javascript'>
            setFormSubmitName("frmDeployKey");
            setWizardStepText("<%=lmBean.getResString("TXT_SELECT_KEY_TO_DEPLOY","Select keys to deploy.")%>");
         </script>
<%
      }
   }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
