<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.portal.core.MxObjList"%>
<%@ page import="com.hp.mx.core.controllers.*"%>
<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxListToSystemNames"%>
<%@ page import="com.hp.mx.core.nodemanager.MxNode"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>

<jsp:useBean id="validateSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="validateTableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="validateTableController" class="com.hp.mx.html.table.MxTableController" scope="session"/>
<jsp:useBean id="validateTableModel" class="javax.swing.table.DefaultTableModel" scope="session"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>

<jsp:setProperty name="lmBean" property="*" />

<%
    if (loginBean.checkLogoutConditionForWebPage(pageContext)) return;

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    if (!loginBean.getMxUser().hasPrivilege(lmBean.getPrivRqd()))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    lmBean.initBean(out, loginBean);

    String reqMethod = request.getMethod() ;
    String reqType   = "there" ;
    if (null != request.getParameter("reqType"))
    {
       reqType = request.getParameter("reqType");
    }
    lmBean.myDebug( 0, "lm_validate Method="+reqMethod+", reqType="+reqType, "" );

    int index = 0 ;
    int numTargets   = 0 ;

    lmBean.setIndexNum( lmBean.getIndexNum() + 1 ) ;
    lmBean.myDebug( 0, "lm_validate licensed index="+lmBean.getIndexNum(), "" );

    if ( 1 == lmBean.getIndexNum() )
    {
       //put together the working list of initially unlicensed targets
       lmBean.myDebug( 0, "lm_validateLicense, get target list first time", "" );

       lmBean.clearLicenseList();
       lmBean.clearJustLicensedList();
       lmBean.clearWorkList();
       lmBean.clearDisplayList();

       lmBean.setMsgHeader(lmBean.getResString("MSG_VALIDATE_LICENSED_NODES","Licensed Nodes: "));
       lmBean.setLicensedNodes(lmBean.getMsgHeader() ) ;

        // mjbalunis - QUAKE API Changes - 12/08/2004
        //    isListSelected() is deprecated.  Move to a getSelectionType()
        if (inst.getSelectionType() == MxTaskWizardInstance.NODE_SELECTION)
       //if ( false == inst.isListSelected() )
       {
           // get an MxObjList containing the MxNode objects
           MxObjList oList = inst.getMxObjNodeList();

           for (index = 0; index < oList.size(); index++)
           {
               String aName = oList.get(index).getMxNode().getNameString();
               lmBean.processNode( aName );
           }

          //discrete list of targets
          //numTargets = inst.getNumNodesSelected();
          //for ( index=0; index<numTargets; index++ )
          //{
          //   String aName = inst.getNodeHostName(index);
          //   lmBean.processNode( aName );
          //}
       }
       else if (inst.getSelectionType() == MxTaskWizardInstance.QUERY_SELECTION)
       {
           // mjbalunis - QUAKE API Changes - 12/08/2004
           //   "int getListID()" has been removed and replaced with "int getSelectedListID()"; though this API is deprecated
           //   should move to "MxObjectID getSelectedQuery()"
          //String listName = "" ;
          //listName = inst.getListName() ; // this is not used
          int listID = 0 ;
          //listID = inst.getListID() ;
          listID = Integer.parseInt(inst.getSelectedListID());

          MxListToSystemNames names = new MxListToSystemNames(loginBean, listID);
          List systemNames = names.executeQuery();
          List fred = names.getSystemNames();
          ListIterator li = fred.listIterator(); //certList.listIterator();
          int listcnt = 0;
          for (int i=0; li.hasNext(); i++)
          {
             String aName = ( String ) li.next() ;
             try
             {
                MxNode dev   = MxNodeController.getDefaultControllerNoEx().getNodeByHostname(  aName );
                aName =dev.getDeviceName() ;
             }
             catch (Exception e)
             {
                lmBean.myDebug( 0, "lm_validate dsn translation exception, "+aName, "" );
             }
             lmBean.processNode( aName );
          }
       }
       // QUAKE - add "else if" for MIXED_SELECTION (MxCollection, or mixture of Query, Node and/or MxCollection are selected
    }
    lmBean.myDebug( 0, "lm_validate licensed index="+lmBean.getIndexNum(), "" );
    lmBean.myDebug( 0, "lm_validate licensed nodes="+lmBean.getLicensedCount(), "" );

    String[] Status = null;

    Status = lmBean.sLicenseAccount( lmBean.getPNameCode(),lmBean.getPVerCode()) ;

    int owned = 0 ;
    int used  = 0 ;

    try
    {
       if ( lmBean.LICTYPE_ALL.equalsIgnoreCase(lmBean.getPKeyType() ) )
       {
          owned = Integer.parseInt( Status[lmBean.LICENSE_STATUS_TOTAL_OWNED].trim() ) ;
          used  = Integer.parseInt( Status[lmBean.LICENSE_STATUS_TOTAL_USED].trim() ) ;
       }
       else
       {
          owned = Integer.parseInt( Status[lmBean.LICENSE_STATUS_PAID_OWNED].trim() ) ;
          owned = owned + Integer.parseInt( Status[lmBean.LICENSE_STATUS_FFQL_OWNED].trim() ) ;

          used = Integer.parseInt( Status[lmBean.LICENSE_STATUS_PAID_USED].trim() ) ;
          used = used + Integer.parseInt( Status[lmBean.LICENSE_STATUS_FFQL_USED].trim() ) ;
       }
    }
    catch (NumberFormatException e)
    {
       owned = 0 ;
       used  = 0 ;
    }

    int free = owned - used ;
    if ( free < 0 ) free = 0;

    String freeDisplay = Integer.toString( free ) ;

    if ( Status[lmBean.LICENSE_STATUS_SL_OWNED].equalsIgnoreCase("1"))
    {
       free = 99999 ;
       freeDisplay = lmBean.getResString("MSG_UNLIMITED","No seat limit") ;
    }

    lmBean.myDebug( 0, "lm_validate licensed returncode="+Status[lmBean.LICENSE_STATUS_RESULT].trim(), "" );
    lmBean.myDebug( 0, "lm_validate licensed total="+Status[lmBean.LICENSE_STATUS_TOTAL_OWNED].trim(), "" );
    lmBean.myDebug( 0, "lm_validate licensed used="+Status[lmBean.LICENSE_STATUS_TOTAL_USED].trim(), "" );

    int numNodes = 0 ;
    if (validateTableController.isFirstTime())
    {
        lmBean.getValidateColumnNames(validateTableModel);
        validateTableView.setId("ID_TMLV_TABLE");
        validateTableView.setOnSelectionChange("mySelectionChanged");
        validateTableView.setUrlHandler(request.getRequestURI());
//        validateTableController.setTableModelWithSorting(validateTableModel);
        validateTableController.setTableModel(validateTableModel);
//        MxTableSortingModel sortingModel = validateTableController.getSortingModelOrNull();
//        sortingModel.sortTable(1, true);  //sort by first column
        validateTableController.setSelectionModel(validateSelectionModel);
        validateTableController.setTableView(validateTableView);
    }
    lmBean.refreshValidate(validateTableModel);  //fill up with data
    numNodes = validateTableModel.getRowCount();
    //build the table to display
    lmBean.myDebug( 10, "lm_validate owned=" + owned, "" );
    lmBean.myDebug( 10, "lm_validate used="  + used, "" );
    lmBean.myDebug( 10, "lm_validate "       + lmBean.getLicensedNodes(), "" );

    // do we need to abort?
    if (validateTableController.checkUrlForControllerMessages(request, out))  return;

    int titleHeight  = 20; //19;
    int rowHeight    = 19; //18;
    int maxDisplayed = 10;

    String sExp    = "" ;
    int    iExp    = 0  ;
    String sRet    = "" ;
    int    iRet    = 0  ;

    if ( null != request.getParameter("reqType") )
    {
        reqType = request.getParameter("reqType");
    }

    if ( reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_APPLYLICENSE) )
    {
       if ( null != request.getParameter("iExp") )
       {
          sExp = request.getParameter("iExp");
          try
          {
             iExp = Integer.parseInt(sExp.trim());
          }
          catch (NumberFormatException e)
          {
             iExp = 0 ;
             lmBean.myDebug( 0, "lm_validateLicense, license node error reporting expected.", "" );
          }
       }
       if ( null != request.getParameter("iRet") )
       {
          sRet = request.getParameter("iRet");
          try
          {
             iRet = Integer.parseInt(sRet.trim());
          }
          catch (NumberFormatException e)
          {
             iRet = 0 ;
             lmBean.myDebug( 0, "lm_validateLicense, license node error reporting actual.", "" );
          }
       }
    }
%>
    <html>
      <head>
        <title>
           ProLiant Essentials License Manager - License Validation Page for Plug-ins
        </title>

        <link href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>

        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>

        <script language='javascript' type='text/javascript'>

            // set the help context.
            var helpurl = '<%=lmBean.getHelpURL()%>' ;

            if ( 0 == helpurl.length)
            {
               var basehelpurl = '<%=lmBean.getBaseHelpURL()%>' ;
               MxPortalWorkspaceSetHelpTopic( basehelpurl );
            }
            else
            {
               var helpurl = '<%=lmBean.getHelpURL()%>' ;
               MxPortalWorkspaceSetHelpUrl( helpurl ) ;
            }

            var items      = 0 ;
            var newSeats   = 0 ;
            var availSeats = 0 ;

            var numNodes   = <%=numNodes%>;
            var numTargets = <%=numTargets%>;
            var index      = <%=index%>;

            var notLicensed = <%=lmBean.getNotLicensedCount()%>;
            var licensed    = <%=lmBean.getLicensedCount()%>;

            var avail  = <%=free%> ;

            var iExp = <%=iExp%> ;
            var iRet = <%=iRet%> ;

            function displayCustomButtons()
            {
                // customs buttons should be within table from taskwizard, continue the table...
/*
               // original from 4.2
               document.write("<input id='customsBtn1' name='customBtn1' class='action-button' type='button' " +
                "value='<%=lmBean.getResString("LBL_ADD_KEY","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add Key...&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;")%>'" + " onClick='javascript:showAddKeyPage()'>&nbsp;");
               document.write("<input id='customBtn2' name='customBtn2' class='action-button' type='button' " +
                "value='<%=lmBean.getResString("LBL_APPLYKEYS","&nbsp;&nbsp;Apply License&nbsp;&nbsp;")%>' disabled=true" + " onClick='javascript:applyLicense()'>&nbsp;");
*/
                document.write("<td>");
                document.write( ourButtonManager.makeMxButton('customBtn1', '<%=lmBean.getResString("LBL_ADD_KEY","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add Key...&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;")%>', 'showAddKeyPage()') );
                document.write("</td>");
                ourButtonManager.initButtonById('customBtn1');

/*
                document.write("<td>");
                document.write( ourButtonManager.makeMxButton('customBtn2', '<%=lmBean.getResString("LBL_ADD_KEY_FILE","Add Key from File...")%>', 'showAddKeyFilePage()') );
                document.write("</td>");
                ourButtonManager.initButtonById('customBtn2');
*/
                document.write("<td>");
                document.write( ourButtonManager.makeMxButtonMed('customBtn2', '<%=lmBean.getResString("LBL_APPLYKEYS","&nbsp;&nbsp;Apply License&nbsp;&nbsp;")%>', 'applyLicense()', false, false, true) );
                document.write("</td>");
                ourButtonManager.initButtonById('customBtn2');
            }

            function showAddKeyPage()
            {
               var bottomframe = document.getElementById('frm3Display');
               bottomframe.contentWindow.document.location.replace('<%=lmBean.getResString("URL_ADD_KEY_SIMPLE_PAGE","lm_mkAddKeySimple.jsp")%>');
            }

            function showAddKeyFilePage()
            {
               var bottomframe = document.getElementById('frm3Display');
               bottomframe.contentWindow.document.location.replace('<%=lmBean.getResString("URL_ADD_KEY_FILE_SIMPLE_PAGE","lm_mkAddKeyFileSimple.jsp")%>');
            }

            function applyLicense()
            {
               //String sI = 'tm_configureScan2.jsp?reqType='+iSelected+'&reqName='+sDAT;
               var sI = '<%=lmBean.getResString("URL_UPDATE_CORE_PAGE","lm_mkUpdateCore.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_APPLYLICENSE%>';
               if ( 0 < items )
               {
                  var nIndex = 1 ;
                  for ( cntr=1; cntr<=numNodes; cntr++)
                  {
                      var selNode = getWizardParameter(cntr);
                      removeWizardParameter( cntr ) ;
                      if (( selNode != null ) && ( selNode.length != 0 ))
                      {
                         sI = sI + "&n" + ("" + nIndex) + "=" + selNode ;
                         nIndex = nIndex + 1;
                      }
                  }
                  document.location = sI ;
               }
              return true ;
            }

            function mySelectionChanged(szIdTable, iRow, bSelected)
            {
               var nodeName;
               var licStatus;
               var removeMsgFlag = 0 ;
               if (( iRow >= 0 ) && ( iRow < numNodes))
               {
                  nodeName  = MxTableGetValueAt(szIdTable, iRow, 0);
                  licStatus = MxTableGetValueAt(szIdTable, iRow, 1);
                  if ( true == bSelected )
                  {
                     items=items+1;
                     if ( ( -1 == licStatus.indexOf('<%=lmBean.getResString("MSG_LICno","not licensed")%>') )             &&
                          ( -1 == licStatus.indexOf('<%=lmBean.getResString("MSG_DEMOlicexp","Demo key expired")%>') )    &&
                          ( -1 == licStatus.indexOf('<%=lmBean.getResString("MSG_DEMOlic","licensed with demo key")%>') ) )
                     {
                        alert('<%=lmBean.getResString("MSG_LICyesalready","This node is already licensed.")%>');
                     }
                     else
                     {
                        saveWizardParameter( iRow+1, nodeName ) ;
                        if ( items > avail )
                        {
                           alert('<%=lmBean.getResString("MSG_INSUFFLICSs","There are insufficient licenses to license this node.")%>');
                        }
                     }
                  }
                  else
                  {
                     items=items-1;
                     removeWizardParameter( iRow+1 ) ;
                  }
               }
               else
               {
                  // all items selected.
                  var alreadylicensedflag = 0 ;
                  var notenuf             = 0 ;

                  for ( var i = 1; i <= numNodes ; i++ )
                  {
                     if ( true == bSelected )
                     {
                         nodeName  = MxTableGetValueAt(szIdTable, i - 1, 0);
                         licStatus = MxTableGetValueAt(szIdTable, i - 1, 1);
                         items = numNodes ;
                         if ( ( -1 == licStatus.indexOf('<%=lmBean.getResString("MSG_LICno","not licensed")%>') )             &&
                              ( -1 == licStatus.indexOf('<%=lmBean.getResString("MSG_DEMOlicexp","Demo key expired")%>') )    &&
                              ( -1 == licStatus.indexOf('<%=lmBean.getResString("MSG_DEMOlic","licensed with demo key")%>') )  )
                         {
                            alreadylicensedflag = alreadylicensedflag + 1 ;
                         }
                         else
                         {
                            if ( items > avail )
                            {
                                notenuf = 1 ;
                            }
                            saveWizardParameter( i, nodeName ) ;
                         }
                     }
                     else
                     {
                         items = 0 ;
                         removeWizardParameter( i ) ;
                     }
                   }
                   if ( 0 < alreadylicensedflag )
                   {
                      if ( items > alreadylicensedflag )
                      {
                         alert('<%=lmBean.getResString("MSG_LICsomeserverlicensed","Some nodes are already licensed.")%>');
                      }
                      else
                      {
                         alert('<%=lmBean.getResString("MSG_LICallserverlicensed","All nodes are already licensed.")%>');
                      }
                   }
                   if ( 1 == notenuf ) alert('<%=lmBean.getResString("MSG_INSUFFLICS" ,"Insufficient number of licenses.")%>');
                }

                if ( 0 > items )
                {
                    items = 0 ;
                }

                if ( ( 0 < items ) && ( items <= avail ) )
                {
                    ourButtonManager.enableButtonById('customBtn2');
                }
                else
                {
                    ourButtonManager.disableButtonById('customBtn2');
                }
            }

            var error = <%=(request.getParameter("err") != null)%>;

            function prevButtonFunction()
            {
               if ( 0 == <%=lmBean.getPrevPage()%> )
               {
                  return true ;
               }
               jumpToWizardStep(<%=lmBean.getPrevPage()%> , <%=lmBean.getPrevStepNum()%>);
               return false ;
            }

            function nextButtonFunction()
            {
                  return true ;
            }

            function myResize()
            {
                var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
                MxTableSetWidth('ID_TMLV_TABLE', w);
            }

            function setTableHeight()
            {
               if (numNodes > 0)
               {
                  var nodes       = numNodes ;
                  var iframe      = document.getElementById('DPI');
                  var rowHeight   = iframe.contentWindow.getCellHeight();
                  var titleHeight = iframe.contentWindow.getTitleHeight();
                  // add 1 to the "numNodes" because the horizontal scroll bar will take 1 row
                  if (numNodes > 15)
                  {
                     nodes = 15 ;
                  }
                     var tableHeight = (rowHeight * (nodes + 1)) + titleHeight;
                     MxTableSetHeight('ID_TMLV_TABLE', tableHeight);
               }
            }

            function loadPage()
            {
                if ( licensed > 0 )
                {
                     ourButtonManager.enableButtonById('nextBtn');
                }
                else
                {
                     ourButtonManager.disableButtonById('nextBtn');
                }
                MxPortalWorkspaceSetSubtitleHtml('<%=lmBean.getLicensedNodes()%>');
                if ( iRet != iExp )
                {
                   alert('<%=lmBean.getResString("MSG_LICENSECLASH","Some selected nodes were not licensed as there are insufficient licenses to satisfy multiple user requests.")%>');
                }
            }


       </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% validateTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

   </head>

   <body onLoad='setTableHeight(), loadPage(), myResize()' onResize='myResize()'>
<%
    if ((request.getMethod().equals("POST")) || ( 0 == lmBean.getDisplayCount() ))
    {    // IS THIS A POST?  Check data validity and redirect
       //we're done.  transfer the final list.
       lmBean.myDebug( 0, "lm_validate licensed="+lmBean.getLicensedNodes(), "" );

       String nextStepNumber = "" ;

       int iLicStepNumber  = lmBean.getStepNum()  ;

       int iNextStepNumber = lmBean.getIndexNum() ;

       if ( 1 == iNextStepNumber )
       {
          if ( 1 == lmBean.getNotLicensedCount() )
          {
             nextStepNumber = Integer.toString( iLicStepNumber + 1 ); //skipping licensing
          }
          else
          {
             nextStepNumber = Integer.toString( iLicStepNumber ); //licensing processed
          }
       }
       else
       {
           nextStepNumber = Integer.toString( iLicStepNumber + 1 ); //licensing processed
       }
%>
       <script language='javascript' type='text/javascript'>
           MxPortalWorkspaceSetSubtitleHtml('<%=lmBean.getLicensedNodes()%>');
           setWizardStepText('<%=lmBean.getResString("MSG_STEPDONE","Licensing step complete")%>');
           loadWizardNextStep( '<%=nextStepNumber%>' ) ;
       </script>
<%
    }
    else
    {    // THIS IS NOT A POST - Display normally
%>
       <%=lmBean.getResString("MSG_VALIDATE_DESCRIBE","Some of the selected target systems are unlicensed or licensed with demo keys.  Unlicensed systems cannot be included.")%>
       <br><br>
       <%=lmBean.getResString("MSG_VALIDATE_INSTRUCT","If there are more unlicensed systems than licenses available and you have one or more keys providing additional licenses for this product, use the <I>Add Key</I> or <I>Add Key from File</I> to add these licenses, as appropriate.")%>
       <table border="0" cellpadding="0" cellspacing="0" style="width:100%">
          <tr><td>&nbsp;</td></tr>
          <tr><td align="left" width="40%">
                <b><%=lmBean.getResString("MSG_VALIDATE_NUMBER_LIC","Number of licenses available:")%></b>
                &nbsp;<%=freeDisplay%>
          </td><td align="left" width="10%"><b>&nbsp;</b>
          </td><td id="totalTasks" align="right" width="30%">
             <b><%=lmBean.getResString("MSG_VALIDATE_NUMBER_WITHLIC","Licensed Systems:")%></b>
                    &nbsp;<%=lmBean.getLicensedCount()%>
         </td></tr>
       </table>
<%
       validateTableView.dumpWholeTable(out);
%>
       <br>
       <table width='100%'>
          <tr>
             <td >
                <script language='javascript' type='text/javascript'>
                   displayTaskWizardButtons(NO_SUBTITLE_UPDATE);
                </script>
             </td>
          </tr>
       </table>
       <br>

      <iframe id='frm3Display' style=' position:relative; visibility:visible; width:100%; height:5000;'
              scrolling='no' marginwidth='0' frameborder='0'
              src='<%=lmBean.getResString("URL_BLANK_PAGE","lm_blank.html")%>'>
      </iframe>

       <form id="frmDeployKey" name="frmDeployKey" action="lm_validateLicenseTW.jsp" method="post">
              <select id='deployList' name='deployList' style='visibility:hidden' MULTIPLE></select>
       </form>

      <iframe id='DPI' name='DPI' style='position:relative; visibility:hidden; width:100%; height:100'
             scrolling='no' marginwidth='0' frameborder='1' src='<%=MxOptions.URL_BASE%>/taskandjob/DPI.html'>
       </iframe>

       <script language='javascript' type='text/javascript'>
            setFormSubmitName("frmDeployKey");
            setWizardStepText('<%=lmBean.getResString("MSG_VALIDATE_STEPDESC","License unlicensed systems (optional)")%>');
       </script>
<%
   }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
