<%@ page import="com.hp.mx.html.core.*,
                 com.hp.mx.portal.lm.lmBean" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.core.subjects.*"%>
<%@ page import="java.util.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    if (loginBean.checkLogoutConditionForWebPage(pageContext)) return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    lmBean.myDebug( 0, "=======================lm_Result", "" );

    lmBean.myDebug( 0, "=======================lm_Result"+
                   " PNC="+lmBean.getPNameCode()+
                  ", PVC="+lmBean.getPVerCode()+
                  ", PN="+lmBean.getPName()+
                  ", pv="+lmBean.getPVersion(), "" );

    lmBean.myDebug( 0, "=======================lm_Result"+
                   " PNC2="+lmBean.getPNameCode2()+
                  ", PVC2="+lmBean.getPVerCode2()+
                  ", PN2="+lmBean.getPName2()+
                  ", pv2="+lmBean.getPVersion2(), "" );
%>
    <html>
      <head>
        <title>
           License Manager Single Product - results page
        </title>

        <link href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>

        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>

         <script language='javascript' type='text/javascript'>

            function prevButtonFunction()
            {
                  jumpToWizardStep("1");
               return false ; // just move back
            }

            function runNowFunction()
            {
               return false ;  // just move on
            }

            function loadPage()
            {
               displayTaskWizardButton( WIZARD_RUN_NOW_BUTTON, false ) ;
            }

        </script>

        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% MxButtons.dumpHeadContent(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
      </head>

      <body onLoad='loadPage()'>
         <span class='mx-subheader-nosep'><b>Node List</b></span>
         <br>
         <table>
             <tr>
                <td>License Version: <%=lmBean.getlmBeanVersion()%></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td><b>Primary license</b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>Product Name: <%=lmBean.getPName()%></td>
                <td>Product Version: <%=lmBean.getPVersion()%></td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>Product Code: <%=lmBean.getPNameCode()%></td>
                <td>Product Version Code: <%=lmBean.getPVerCode()%></td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>lmBean.getLicenseList()</td>
                <td>&nbsp;</td>
                <td>Vector of licensed nodes</td>
             </tr>
             <tr>
                <td>lmBean.getLicensedCount()</td>
                <td>&nbsp;</td>
                <td>Number of nodes in the vector</td>
             </tr>
             <tr>
                <td><b>lmBean.getLicensedCount()</b></td>
                <td>=</td>
                <td><%=lmBean.getLicensedCount()%></td>
             </tr>
             <tr>
                <td><b>lmBean.getLicenseList()</b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
<%
               String nodeName = "" ;
               ListIterator li = lmBean.licenseList.listIterator();
               if ( 0 == lmBean.getLicensedCount() )
               {
%>
There are no licensed nodes.
<%
               }
               else
               {
                  for ( int i=0; i < lmBean.getLicensedCount() ; i++ )
                  {
                     nodeName = (String) li.next();
%>
                     <tr>
                        <td><%=nodeName%></td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                     </tr>
<%
                  }
               }
%>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>lmBean.getJustLicensedList()</td>
                <td>&nbsp;</td>
                <td>Vector of nodes licensed during this menu function transaction.</td>
             </tr>
             <tr>
                <td>lmBean.getJustLicensedCount()</td>
                <td>&nbsp;</td>
                <td>Number of nodes in the vector</td>
             </tr>

             <tr>
                <td><b>lmBean.getJustLicensedCount()</b></td>
                <td>=</td>
                <td><%=lmBean.getJustLicensedCount()%></td>
             </tr>
             <tr>
                <td><b>lmBean.getJustLicenseList()</b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
<%
               String jNodeName = "" ;
               ListIterator jli = lmBean.justLicensedList.listIterator();
               if ( 0 == lmBean.getJustLicensedCount() )
               {
%>
No newly licensed nodes to report.
<%
               }
               else
               {
                  for ( int i=0; i < lmBean.getJustLicensedCount() ; i++ )
                  {
                     nodeName = (String) jli.next();
%>
                     <tr>
                        <td><%=nodeName%></td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                     </tr>
<%
                  }
               }
%>
         </table>


         <table>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td><b>Secondary license</b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>Product Name: <%=lmBean.getPName2()%></td>
                <td>Product Version: <%=lmBean.getPVersion2()%></td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>Product Code: <%=lmBean.getPNameCode2()%></td>
                <td>Product Version Code: <%=lmBean.getPVerCode2()%></td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>lmBean.getLicenseList2()</td>
                <td>&nbsp;</td>
                <td>Vector of licensed(secondary) nodes</td>
             </tr>
             <tr>
                <td>lmBean.getLicensedCount2()</td>
                <td>&nbsp;</td>
                <td>Number of nodes in the vector</td>
             </tr>
             <tr>
                <td><b>lmBean.getLicensedCount2()</b></td>
                <td>=</td>
                <td><%=lmBean.getLicensedCount2()%></td>
             </tr>
             <tr>
                <td><b>lmBean.getLicenseList2()</b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
<%
               li = lmBean.licenseList2.listIterator();
               if ( 0 == lmBean.getLicensedCount2() )
               {
%>
There are no secondary licensed nodes.
<%
               }
               else
               {
                  for ( int i=0; i < lmBean.getLicensedCount() ; i++ )
                  {
                     nodeName = (String) li.next();
%>
                     <tr>
                        <td><%=nodeName%></td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                     </tr>
<%
                  }
               }
%>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
             <tr>
                <td>lmBean.getJustLicensedList2()</td>
                <td>&nbsp;</td>
                <td>Vector of nodes secondary licensed during this menu function transaction.</td>
             </tr>
             <tr>
                <td>lmBean.getJustLicensedCount2()</td>
                <td>&nbsp;</td>
                <td>Number of nodes in the vector</td>
             </tr>

             <tr>
                <td><b>lmBean.getJustLicensedCount2()</b></td>
                <td>=</td>
                <td><%=lmBean.getJustLicensedCount2()%></td>
             </tr>
             <tr>
                <td><b>lmBean.getJustLicenseList2()</b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
             </tr>
<%
               jli = lmBean.justLicensedList2.listIterator();
               if ( 0 == lmBean.getJustLicensedCount2() )
               {
%>
No newly secondary licensed nodes to report.
<%
               }
               else
               {
                  for ( int i=0; i < lmBean.getJustLicensedCount2() ; i++ )
                  {
                     nodeName = (String) jli.next();
%>
                     <tr>
                        <td><%=nodeName%></td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                     </tr>
<%
                  }
               }
%>
         </table>
         <br>
         <script language='javascript' type='text/javascript'>
               displayTaskWizardButtons(NO_SUBTITLE_UPDATE);
               MxPortalWorkspaceSetSubtitleHtml('<%=lmBean.getLicensedNodes2()%>');
               setWizardStepText("Show the results");
         </script>

         <% MxHtmlUtil.dumpBodyEnd(out); %>
      </body>
    </html>
