<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>

<jsp:useBean id="customizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />

<%
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    //Set selected id
    String queryID = request.getParameter("edQueryId");

    customizeBean.setSelectedId(queryID);

    //Get query display name
    String queryPrintName = customizeBean.getQueryDisplayName(queryID);
    String errorMessage   = customizeBean.canListBeEdited(queryID);
%>

<html>
    <head>
        <title></title>
        <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
        <script language="JavaScript" type="text/javascript">
            //======================================================================
            // Check/display error, or display edit list page
            //======================================================================
            function checkAndDumpEditListPage()
            {
                if ("<%=errorMessage%>" != "")
                {
                    alert("<%=errorMessage%>");
                    parent.refreshMyself("refreshnone");
                    return;
                }

                var encodeQueryName = encodeURIComponent("<%=queryPrintName%>");
                var params          = "edit=customize&inframe=customize&queryId=" +
                                      "<%=request.getParameter("edQueryId")%>" +
                                      "&queryName=" + encodeQueryName;

                var queryPage = "";

                if ("<%=request.getParameter("edQueryType")%>" == "syslist")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/search/AdvancedSystemsSearch.jsp?" + params;
                }
                else if ("<%=request.getParameter("edQueryType")%>" == "evlist")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/search/AdvancedEventsSearch.jsp?" + params;
                }
                else if ("<%=request.getParameter("edQueryType")%>" == "clusterlist")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/search/AdvancedClustersSearch.jsp?" + params;
                }

                document.location.replace(queryPage);
            }
        </script>
    </head>

    <body>
        <script language="JavaScript" type="text/javascript">
            checkAndDumpEditListPage();
        </script>
    </body>
</html>
