<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="rbMonitor" class="com.hp.mx.portal.res.MxResourceBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    rbMonitor.init(loginBean, "MxMonitor");
%>

<!--script type="text/javascript" language="javascript"-->

/*******************************************************************
// Declare global for sizing frame width when loaded in customize
*******************************************************************/
var currentWidth;

////////////////////////////////////////////////////////////////////
// Page loading and management functions
////////////////////////////////////////////////////////////////////

/*******************************************************************
// onLoad handler for search pages
*******************************************************************/
function onSearchLoad()
{
    // Resize the iframe in which the page is loaded to eliminated dual
    // scroll bars
    //resizeWidth(20);
    //resizeFrame(50);

    // Load the initial width for width calculation in the customize UI
    // in order to eliminated dual horizontal scroll bars
    currentWidth = document.getElementById("searchDiv").offsetWidth;

    // If loaded in the customize UI, focus on the buttons to jump the
    // screen scroll and bring the search UI into full view

    if (inframe == "customize")
    {
        initFocus();
    }

    createListObjects();
    configBtnsForSelectedOption(null);
    configBtnsForAvailableOption(null);
}
/*******************************************************************
// Scrolls the right side of the portal to bring the search page
// into full view
*******************************************************************/
function initFocus()
{
    // Look for a blank name, and initialize the buttons accordingly
    if (edit == "customize")
    {
        checkBlankName();
    }

    // Focus on the cancel button to scroll the search page into view
    document.getElementById("cancel_button").focus();

    // Blur from the button to avoid accidental cancel
    document.getElementById("cancel_button").blur();

    // The disable cycling of the save as button is here only for
    // an IE problem with dual focus in the frame and parent page.
    setOKButton("disabled");
    setOKButton("enabled");
}
/*******************************************************************
// Resizes the iframe height the search page is loaded into,
// if we're in the customize UI
*******************************************************************/
function resizeFrame(offset)
{
    if (inframe == "customize" || inframe == "alerts")
    {
        var oSelf = parent.document.getElementById("operationSpace");

        if (inframe == "alerts")
        {
            oSelf = parent.document.getElementById("resultSpace");

            if (parent.resizeSearchFrame != null)
            {
                // alert("in monitor SelectCollectionMembersUtils.jsp: resizeSearchFrame");
                parent.resizeSearchFrame();
            }
        }

        var h = document.getElementById("searchDiv").offsetHeight;
        oSelf.style.height = h + offset;
    }
}
/*******************************************************************
// Resizes the iframe width the search page is loaded into,
// if we're in the customize UI
*******************************************************************/
function resizeWidth(offset)
{
    if (inframe == "customize" || inframe == "alerts")
    {
        var oSelf = parent.document.getElementById("operationSpace");

        if (inframe == "alerts")
        {
            oSelf = parent.document.getElementById("resultSpace");

            if (parent.resizeSearchFrame != null)
                parent.resizeSearchFrame();
        }

        var w = document.getElementById("searchDiv").offsetWidth;
        oSelf.style.width = w + offset;
    }
}
/* ******************************************************************
 Checks for any auto-sized SELECT fields
****************************************************************** */
function anyAutoSized()
{
    var oSelectors = document.getElementsByTagName("select");

    for (var i = 0; i < oSelectors.length; i++)
    {
        var oSelect = oSelectors.item(i);

        if (oSelect.offsetWidth > 200)
        {
            return true;
        }
    }

    return false;
}
/*******************************************************************
// Resets the iframe width the search page is loaded into to it's
// original width, if we're in the customize UI
*******************************************************************/
function resetWidth()
{
    if (inframe == "customize" || inframe == "alerts")
    {
        if (anyAutoSized())
        {
            return;
        }

        var oSelf = parent.document.getElementById("operationSpace");

        if (inframe == "alerts")
        {
            oSelf = parent.document.getElementById("resultSpace");
        }

        oSelf.style.width = currentWidth;
    }
}
/*******************************************************************
// Validates the list name for an edit opersubmitSaveForm(ation
// Proceeds to call submitSaveForm if successful
*******************************************************************/
function checkAndSubmit(type)
{
    var colName = document.getElementById("colName").value;

    if (colName != queryName)
    {
        if (!isValidListName(colName))
        {
            var listNameInvalidErrMsg= "<%=rbMonitor.getString("customize.invalidname")%>";
            alert(listNameInvalidErrMsg);
            setOKButton("enabled");
        }
        else
        {
            var baseURL = "<%=MxOptions.URL_BASE%>/monitor/CheckCollectionName.jsp";
            verifyNames(colName, baseURL);
        }
    }
    else
    {
        submitSaveForm(type);
    }
}
/*******************************************************************
// Collapses the edit page when the cancel button is pushed
*******************************************************************/
function closeSave()
{
    parent.setHelpTopics();

    if (inframe == "customize")
    {
        parent.clearSubwindow();
    }

    document.location.replace("blank1.html");
}
/*******************************************************************
// clearWorkSpace()
*******************************************************************/
function clearWorkSpace()
{
    if (inframe != "events")
    {
        setOKButton("enabled");
    }

    var oResultSpace = document.getElementById("resultSpace");
    var oButton = document.getElementById("go_button");

    if (oResultSpace.offsetHeight != 1 && oButton != null)
    {
        oButton.focus();
        oButton.blur();
        oResultSpace.contentWindow.document.location.replace("blank1.html");
        oResultSpace.style.height = 1;
    }
}
/*******************************************************************
// hideResultSpace()
*******************************************************************/
function hideResultSpace()
{
    document.getElementById("resultSpace").src = "blank1.html";
    document.getElementById("resultSpace").style.height = 1;
}

/*******************************************************************
// setOKButton()
*******************************************************************/
function setOKButton(state)
{
    oButton = document.getElementById("ok_button");

    if (oButton != null)
    {
        if (state == "enabled")
        {
            ourButtonManager.enableButton(oButton);
        }
        else
        {
            ourButtonManager.disableButton(oButton);
        }
    }
}
/*******************************************************************
// setButtons()
*******************************************************************/
function setButtons(state)
{
    oOKButton = document.getElementById("ok_button");
    oGoButton = document.getElementById("go_button");

    if (oOKButton != null)
    {
        if (state == "enabled")
        {
            ourButtonManager.enableButton(oOkButton);
        }
        else
        {
            ourButtonManager.disableButton(oOkButton);
        }
    }

    if (oGoButton != null)
    {
        if (state == "enabled")
        {
            ourButtonManager.enableButton(oGoButton);
        }
        else
        {
            ourButtonManager.disableButton(oGoButton);
        }
    }
}
/*******************************************************************
// submitSaveForm()
*******************************************************************/
function submitSaveForm(type)
{
    loadSave(type);
}
/*******************************************************************
// loadSave()
*******************************************************************/
function loadSave(type)
{
    setOKButton("disabled");

    var oBody    = document.getElementById("searchDiv");
    var oOldForm = document.getElementById("SearchForm");
    var oForm    = document.createElement("FORM");

    oForm.target = "resultSpace";
    oForm.id     = "SearchForm";
    oForm.name   = "SearchForm";
    oForm.method = "POST";

    oBody.insertBefore(oForm, oOldForm);
    oBody.removeChild(oOldForm);

    var optionList = document.getElementById("selectedOptions").options;
    var optionLen  = optionList.length;
    var oInput     = document.createElement("INPUT");

    oInput.type  = "HIDDEN";
    oInput.value = optionLen;
    oInput.name  = "optionLen";
    oForm.appendChild(oInput);

    for (var i = 0; i < optionLen; i++)
    {
        var optionName = "selectedOption";
        var oInput     = document.createElement("INPUT");

        oInput.type  = "HIDDEN";
        oInput.value = optionList.item(i).value;
        oInput.name  = optionName;

        oForm.appendChild(oInput);
    }

    if (edit == "customize")
    {
        resizeFrame(400);
/*
        var removeListLen = 0;

        if (removeList != null)
        {
            removeListLen = removeList.length;

            for (var i = 0; i < removeListLen; i++)
            {
                var optionName = "removeList";
                var oInput     = document.createElement("INPUT");

                oInput.type  = "HIDDEN";
                oInput.value = removeList[i];
                oInput.name  = optionName;

                oForm.appendChild(oInput);
            }
        }
*/

        var encodedName = encodeURIComponent(document.getElementById("colName").value);
        var oldColName  = queryName;
        var optionName  = "command";
        var oInput      = document.createElement("INPUT");

        oInput.type  = "HIDDEN";
        oInput.value = "editcoll";
        oInput.name  = optionName;

        oForm.appendChild(oInput);
        oForm.action = "<%=MxOptions.URL_BASE%>/monitor/DoSaveEditCollection.jsp?newColName=" + encodedName + "&colId=" + queryId + "&oldColName=" + queryName;
    }
    else
    {
        oForm.action = "<%=MxOptions.URL_BASE%>/monitor/SaveCollectionMembers.jsp";

        if (inframe != "null")
        {
            oForm.action += "?inframe=" + inframe;
        }
    }

    oForm.submit();
}

/*******************************************************************
// loadMemberList()
*******************************************************************/
function loadMemberList()
{
    var select    = document.getElementById("memberOptions");
    var listIndex = select.value;

    if (listIndex == "0")
    {
        updateDisplay(null, null, null);
    }
    else
    {
        if (listIndex.indexOf("query") == -1)
        {
            displayCollection(listIndex);
        }
        else
        {
            displayQueryList(listIndex);
        }
    }
}
/*******************************************************************
// displayCollection()
*******************************************************************/
function displayCollection(listIndex)
{
    var selValues = null;
    var oID       = null;
    var path      = null;
    var collName  = null;
    var colType   = null;

    if (listIndex != null && listIndex != "0")
    {
        selValues = listIndex.split(";");

        var oIDString      = selValues[0].split("=");
        var collNameString = selValues[1].split("=");

        collName = collNameString[1];
        oID      = oIDString[1];
        colType  = "COLLECTION";
    }

    updateDisplay(collName, oID, colType);
}
/*******************************************************************
// displayQueryList()
*******************************************************************/
function displayQueryList(listIndex)
{
    var selValues = null;
    var listID    = null;
    var listType  = null;
    var listName  = null;
    var colId     = null;
    var colType   = null;

    if (listIndex != null && listIndex != "0")
    {
        selValues = listIndex.split(";");
        listID    = selValues[0].split("=");

        var listNameString  = selValues[1].split("=");
        listType            = selValues[2].split("=");
        colId               = listID[1];
        listName            = listNameString[1];

        colType = "QUERY";
    }

    updateDisplay(listName, colId, colType);
}
/*******************************************************************
// updateDisplay()
*******************************************************************/
function updateDisplay(collName, oID, colType)
{
    var saveFrame = document.getElementById("resultSpace");

    if (saveFrame.contentWindow.closeSave != null)
    {
        saveFrame.contentWindow.closeSave();
    }

    var iframe = document.getElementById("HierCommSpace");
    var url    = "<%=MxOptions.URL_BASE%>/monitor/selectCollection.jsp?colId=" + oID + "&colType=" + colType + "&colName=" + collName +
                 "&queryName=" + queryName;

    iframe.contentWindow.document.location.replace(url);
}
/*******************************************************************
// up()
*******************************************************************/
function up()
{
    var saveFrame = document.getElementById("resultSpace");

    if (saveFrame.contentWindow.closeSave != null)
    {
        saveFrame.contentWindow.closeSave();
    }

    var selIndex = selectedList.selectedIndex;
    var upIndex  = selIndex - 1;

    if (selIndex <= 0 || upIndex < 0)
    {
        return;
    }

    var selectedItem   = selectedList.options.item(selIndex);
    var unselectedItem = selectedList.options.item(upIndex);

    var tmpInnerHTML = selectedItem.innerHTML;
    var tmpValue     = selectedItem.value;

    selectedList.options.item(selIndex).innerHTML = unselectedItem.innerHTML;
    selectedList.options.item(selIndex).value     = unselectedItem.value;

    selectedList.options.item(upIndex).innerHTML  = tmpInnerHTML;
    selectedList.options.item(upIndex).value      = tmpValue;

    selectedItem.selected   = false;
    unselectedItem.selected = true;

    configBtnsForSelectedOption(document.getElementById('selectedOptions'))
}
/*******************************************************************
// down()
*******************************************************************/
function down()
{
    var saveFrame = document.getElementById("resultSpace");

    if (saveFrame.contentWindow.closeSave != null)
    {
        saveFrame.contentWindow.closeSave();
    }

    var selIndex  = selectedList.selectedIndex;
    var downIndex = selIndex + 1;

    if (selIndex < 0 || downIndex >= selectedList.options.length)
    {
        return;
    }

    var selectedItem   = selectedList.options.item(selIndex);
    var unselectedItem = selectedList.options.item(downIndex);

    var tmpInnerHTML = selectedItem.innerHTML;
    var tmpValue     = selectedItem.value;

    selectedList.options.item(selIndex).innerHTML = unselectedItem.innerHTML;
    selectedList.options.item(selIndex).value     = unselectedItem.value;

    selectedList.options.item(downIndex).innerHTML = tmpInnerHTML;
    selectedList.options.item(downIndex).value     = tmpValue;

    selectedItem.selected   = false;
    unselectedItem.selected = true;

    configBtnsForSelectedOption(document.getElementById('selectedOptions'))
}
/*******************************************************************
//
*******************************************************************/
var selectedList;
//var availableList;
/*******************************************************************
// createListObjects()
*******************************************************************/
function createListObjects()
{
//    availableList = document.getElementById("availableOptions");
    selectedList  = document.getElementById("selectedOptions");
}
/*******************************************************************
// isOkayToRemoveMembers()
*******************************************************************/
function isOkayToRemoveMembers(item, selIndex)
{
    var selIdArray  = item.value.split(";");
    var selIdString = selIdArray[0].split("=");
    var selColId    = selIdString[1];

    var URL = "<%=MxOptions.URL_BASE%>/monitor/CheckRemoveMember.jsp?selColId=" + selColId +
              "&selParentGUID=" + queryId + "&selIndex=" + selIndex;

    document.getElementById("HierCommSpace").contentWindow.document.location.replace(URL);

    //return;
}
/*******************************************************************
// checkRemovalList()
*******************************************************************/
function checkRemovalList()
{
    // Set the initial URL
    var URL = "<%=MxOptions.URL_BASE%>/monitor/CheckRemoveMember.jsp?";
    var bFirst = true;

    // Now for each selected member, add a parameter string to the URL
    // The server code will be expecting an array of each of these three parameters.
    for (var i = 0; i < selectedList.length; i++)
    {
        var item = selectedList.options.item(i);
        if (selectedList.options[i].selected == true)
        {
            var selIdArray  = item.value.split(";");
            var selIdString = selIdArray[0].split("=");
            var selColId    = selIdString[1];
            var selNameString = selectedList.options[i].text;

            if (bFirst)
                bFirst = false;
            else
                URL += "&";
            URL += "selColId=" + selColId + "&selParentGUID=" + queryId + "&selIndex=" + i + "&selNameString=" + selNameString;

        }
    }
    document.getElementById("HierCommSpace").contentWindow.document.location.replace(URL);

    //return;
}
/*******************************************************************
// removeCollection()
*******************************************************************/
function removeCollection(errorMsg)
{

    if (errorMsg == "")
    {
        delAttribute(true);
        return true;
    }
    else if (errorMsg == "<%=rbMonitor.getString("customize.invalidparameters")%>")
    {
        alert("<%=rbMonitor.getString("customize.membercannotberemoved")%>");
    }
    else
    {
        // See if there is one collection, or more than one
        var systemList = errorMsg.split("\n");

        // Iterate over the selection list and remove any collections
        // which are not in the error list
        for (var i = 0; i < selectedList.length; i++)
        {
            if (selectedList.options[i].selected == true)
            {
                var itemToRemove = selectedList.options.item(i);
                var bErr = false;
                var j = 0;

                while (systemList[j] != null)
                {
                    if (trim(systemList[j]) == itemToRemove.text)
                    {
                        bErr = true;
                        break;
                    }
                    j++;
                }

                if (bErr == false)
                {
                    selectedList.removeChild(itemToRemove);
                    i--;
                }
            }
        }

        var removeErr1;
        var removeErr2;
        if (systemList[2] == null)
        {
            removeErr1 = "<%=rbMonitor.getString("customize.removesingleerror1")%>\n";
            removeErr2 = "<%=rbMonitor.getString("customize.removesingleerror2")%>";
        }
        else
        {
            removeErr1 = "<%=rbMonitor.getString("customize.removemultierror1")%>\n";
            removeErr2 = "<%=rbMonitor.getString("customize.removemultierror2")%>";
        }
        var removeListMsg = removeErr1;
        removeListMsg += errorMsg;
        removeListMsg += removeErr2;
        alert(removeListMsg);
        return false;
    }
}
/*******************************************************************
// checkExistingMember()
*******************************************************************/
function checkExistingMember(item)
{
    var currentItem = item.value;

    if (currentItem.indexOf("isExistingMember=true") == -1 ||
        currentItem.indexOf("collType=NODE") != -1)
    {
        return false;
    }
    else
    {
        return true;
    }
}

/*******************************************************************
// addAttribute()
*******************************************************************/
function addAttribute()
{
    var saveFrame = document.getElementById("resultSpace");

    if (saveFrame.contentWindow.closeSave != null)
    {
        saveFrame.contentWindow.closeSave();
    }

    var selItems = new Array();
    var j        = 0;

    var availableList = document.getElementById("availableOptions");

    // build a list of all selected items from the Available bucket
    for (var i = 0; i < availableList.options.length; i++)
    {
        if (availableList.options.item(i).selected == true)
        {
            selItems[j++] = availableList.options.item(i);
        }
    }

    // for each item the user had selected
    for (var i = 0; i < selItems.length; i++)
    {
        var selectedElement = selItems[i].text;
        var k               = 0;
        var found           = false;

        // check to see if we already have this item in the Selected bucket
        while (found == false && k < selectedList.options.length)
        {
            var currElement = selectedList.options.item(k++).text;

            if (selectedElement == currElement)
            {
                found = true;
            }
        }

        // if we didn't find the item, then add it to our list
        if (found == false)
        {
            selectedList.appendChild(selItems[i]);
        }
    }

    selectNone(selectedList, availableList);
}
/*******************************************************************
// delAttribute()
*******************************************************************/
function delAttribute(bRemoveWithoutCheck)
{
    var saveFrame = document.getElementById("resultSpace");

    if (saveFrame.contentWindow.closeSave != null)
    {
        saveFrame.contentWindow.closeSave();
    }

    var availableList = document.getElementById("availableOptions");
    var okToRemove = true;
    var unRemovableList = "";
    var errMsg = "";

    // Check to see if any of these need to be checked before removing
    for (var i = 0; i < selectedList.length; i++)
    {
        var itemToRemove = selectedList.options.item(i);
        if (selectedList.options[i].selected == true)
        {
            if (edit != "null" && checkExistingMember(itemToRemove) && !bRemoveWithoutCheck)
            {
                // At least one item needs to be checked, set the flag
                okToRemove = false;
            }
            else
            {
                // This item does not need to checked, remove it
                selectedList.removeChild(itemToRemove);
                i--;
            }
        }
    }

    // If the we found it was not ok to remove at least one collection,
    // make the server side call to check the removal list
    if (!okToRemove)
    {
        checkRemovalList();
        return;
    }

    selectNone(selectedList, availableList);
}
/*******************************************************************
// multipledelAttribute()
*******************************************************************/
function multipledelAttribute()
{
    var saveFrame = document.getElementById("resultSpace");

    if (saveFrame.contentWindow.closeSave != null)
    {
        saveFrame.contentWindow.closeSave();
    }

    var availableList = document.getElementById("availableOptions");

    var selItems = new Array();
    var j        = 0;

    for (var i = 0; i < selectedList.options.length; i++)
    {
        if (selectedList.options.item(i).selected == true)
        {
            selItems[j]= selectedList.options.item(i);
            j++;
        }
    }

    for (var i = 0; i < selItems.length; i++)
    {
        if (checkExistingMember(selItems[i]))
        {
            isOkayToRemoveMembers(selItems[i]);
        }
        else
        {
            selectedList.removeChild(selItems[i]);
        }
    }

    selectNone(selectedList, availableList);
}
/*******************************************************************
// setSize()
*******************************************************************/
function setSize(list1,list2)
{
    list1.size = getSize(list1);
    list2.size = getSize(list2);
}
/*******************************************************************
// selectNone()
*******************************************************************/
function selectNone(list1, list2)
{
    list1.selectedIndex = -1;
    list2.selectedIndex = -1;
    configBtnsForSelectedOption(null);
    configBtnsForAvailableOption(null);
}
/*******************************************************************
// getSize()
*******************************************************************/
function getSize(list)
{
    var len   = list.childNodes.length;
    var nsLen = 0;

    for (i = 0; i < len; i++)
    {
        if (list.childNodes.item(i).nodeType == 1)
        {
            nsLen++;
        }
    }

    if (nsLen < 2)
    {
        return 2;
    }
    else
    {
        return nsLen;
    }
}
/*******************************************************************
// showSelected()
*******************************************************************/
function showSelected()
{
    var optionList = document.getElementById("selectedOptions").options;
    var data       = '';
    var len        = optionList.length;

    for (i = 0; i < len; i++)
    {
        if (i != 0)
        {
            data += ',';
        }

        data += optionList.item(i).value;
    }

    alert(data);
}
/*******************************************************************
// trim()
*******************************************************************/
function trim(strText)
{
    while (strText.substring(0,1) == ' ')
    {
        strText = strText.substring(1, strText.length);
    }

    while (strText.substring(strText.length-1,strText.length) == ' ')
    {
        strText = strText.substring(0, strText.length-1);
    }

    return strText;
}
/*******************************************************************
// getFirstChildOfType()
*******************************************************************/
function getFirstChildOfType(obj, szTag)
{
    var childrenByTags = obj.getElementsByTagName(szTag);

    if (childrenByTags != null && childrenByTags.length > 0)
    {
        return childrenByTags.item(0);
    }

    return null;
}
/*******************************************************************
// stripZeros()
*******************************************************************/
function stripZeros(num)
{
    while (num.charAt(0) == "0")
    {
        newTerm = num.substring(1, num.length);
        num     = newTerm;
    }

    if (num == "")
    {
        num = "0";
    }

    return num;
}
/*******************************************************************
// checkBlankName()
*******************************************************************/
function checkBlankName()
{
    if (trim(document.getElementById("colName").value) == "")
    {
        setOKButton("disabled");
    }
    else
    {
        setOKButton("enabled");
    }
}
/*******************************************************************
// checkValueString()
*******************************************************************/
function checkValueString(string)
{
    if (!isValidSearchString(string) && string != "")
    {
        alert(invalidValueStringMsg);
    }
}
/*******************************************************************
// checkListName()
*******************************************************************/
function checkListName(string)
{
    if (!isValidListName(string) && string != "")
    {
        alert(listNameInvalidErrMsg);
    }
}
/*******************************************************************
// verifyNames()
*******************************************************************/
function verifyNames(listName, baseURL)
{
    // alert("in verifyNames" + listName + "" + baseURL);
    var encodedListName = encodeURIComponent(listName);

    var URL = baseURL + "?colName=" + encodedListName;

    document.getElementById("HierCommSpace").contentWindow.document.location.replace(URL);
}
/*******************************************************************
// throwError()
*******************************************************************/
function throwError(errorString)
{
    alert(errorString);
    setOKButton("enabled");
}
/*******************************************************************
// throwInvalidValueMessage()
*******************************************************************/
function throwInvalidValueMessage(value)
{
    var errMsg = invalidValueErrMsgA + value + invalidValueErrMsgB;
    alert(errMsg);
}
//======================================================================
// clearSelection()
//======================================================================
function clearSelection(select)
{
    for (var i = 0; i < select.length; i++)
    {
        select.options[i].selected = false;
    }
}
//======================================================================
// Enable and disable buttons for the selected option
//======================================================================
function configBtnsForSelectedOption(select)
{
    var remove   = document.getElementById('remove_button');
    var moveUp   = document.getElementById('up_button');
    var moveDown = document.getElementById('down_button');

    if ((select == null) || (select.value == ""))
    {
        ourButtonManager.disableButton(remove);
        ourButtonManager.disableButton(moveUp);
        ourButtonManager.disableButton(moveDown);
        return;
    }

    ourButtonManager.enableButton(remove);
    ourButtonManager.enableButton(moveUp);
    ourButtonManager.enableButton(moveDown);

    // Find out how many items are selected if something is selected
    var i     = 0;
    var max   = select.length;
    var count = 0;

    // loop through all selected items in source
    for (i = 0; i < max; i++)
    {
        if (select.options[i].selected == true)
        {
            if (i == 0)
            {
                ourButtonManager.disableButton(moveUp);
            }

            if (i == (max - 1))
            {
                ourButtonManager.disableButton(moveDown);
            }

            count++;
        }
    }

    if (count > 1)
    {
        ourButtonManager.disableButton(moveUp);
        ourButtonManager.disableButton(moveDown);
    }
}
//======================================================================
// Enable and disable buttons for the available option
//======================================================================
function configBtnsForAvailableOption(select)
{
    if ((select == null) || (select.value == ""))
    {
        // disable
        ourButtonManager.disableButtonById('add_button');
        return;
    }

    ourButtonManager.enableButtonById('add_button');
}
/*******************************************************************
// setTop()
*******************************************************************/
function setTop(top)
{
    document.getElementById('someLayer').style.top = top;
}
/*******************************************************************
// setLayerTop()
*******************************************************************/
function setLayerTop(lyr, top)
{
    lyr.style.top = top;
}
