<%--
//  $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/monitor/overview.jsp,v $
//  $Revision: 1.28 $
//  $Date: 2005/01/25 03:24:05 $
--%>

<%@ page errorPage="handleJspError.jsp" %>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="overviewBean" class="com.hp.mx.portal.monitor.OverviewBean" scope="page"/>
<jsp:useBean id="overviewBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    // REQUIRED: Set necessary HTTP header attributes (for localization
    // and page caching)
    MxBean.jspInit(request, response);

    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    overviewBundle.init(loginBean, "Overview");
    overviewBean.initialize(loginBean);
    MxDateAndTime curTime = new MxDateAndTime(loginBean.getLocale(),loginBean.getTimeZone());

%>
<html>
<head>
    <title><%= overviewBundle.getString("page.title") %></title>
    <link href="<%= MxOptions.URL_BASE %>/css/MxTable.css" rel="stylesheet" type="text/css">

    <STYLE TYPE="text/css">
    <!--
        .bordered{border-width:1px; border-style:solid; border-color:#000000;}
    -->
    </STYLE>
    <script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js"></script>
    <script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/dateAndTime.js"></script>
    <script language="JavaScript" type="text/javascript">
        MxPortalWorkspaceSetHelpTopic("monitor_statusOverview");
        MxPortalWorkspaceSetSubtitleHtml("<%= overviewBundle.getString("page.subtitle") %>")

        var listTitle = "";
        function getListTitle()
        {
            return listTitle;
        }

        function loadList(listType, sysTypeCriteria, statusCode, title)
        {
            listTitle = title;
            listLoader = document.getElementById("listLoaderFrame");
            if (listLoader != null)
            {
                listLoader.src="overviewListLoader.jsp?listType=" + listType + "&sysTypeCriteria=" + sysTypeCriteria + "&statusCode=" + statusCode;
            }
        }
    </script>

    <% MxHtmlUtil.dumpHeadBegin(out); %>
    <% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body>

    <!-- device status table -->
    <h4 style="margin-bottom:1px"><%= overviewBundle.getString("systemOverview.title") %></h4>
    <table align="center" border=0 cellpadding="2" cellspacing="0" width="100%" class="bordered">
    <tr>
        <td class="mxtable-header">&nbsp;</td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.servers") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.clusters") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.clients") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.networking") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.printers") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.other") %></td>
        <td class="mxtable-header mxtable-number"><B><%= overviewBundle.getString("table.label.total") %></B></td>
    </tr>
    <% overviewBean.displayDvcOverviewTable(out); %>
    </table>
    <br>

    <!-- uncleared event status table -->
    <h4 style="margin-bottom:1px"><%= overviewBundle.getString("eventOverview.title") %></h4>
    <table align="center" border=0 cellpadding="2" cellspacing="0" width="100%" class="bordered">
    <tr>
        <td class="mxtable-header">&nbsp;</td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.servers") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.clusters") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.clients") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.networking") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.printers") %></td>
        <td class="mxtable-header mxtable-number"><%= overviewBundle.getString("table.label.other") %></td>
        <td class="mxtable-header mxtable-number"><B><%= overviewBundle.getString("table.label.total") %></B></td>
    </tr>
    <% overviewBean.displayEvntOverviewTable(out); %>
    </table>
    <br>

    <!-- timestamp -->
    <center>
    <script src="../javascript/XeTime.js"></script>
    <a href="javascript:location.reload(true)" TITLE="<%= overviewBundle.getString("refresh.tooltip") %>"><%= overviewBundle.getString("refresh.label") %></a>:
    <%= curTime.getCurrentDateTimeStringSIMFormat() %>
    <center>

    <IFRAME src='<%=MxOptions.URL_BASE%>/home/MxBlank.html' id="listLoaderFrame" style='display:none'></IFRAME>
    <% MxHtmlUtil.dumpBodyEnd(out); %>
</body>
</html>
