<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="systemSearchUI" class="com.hp.mx.portal.search.MxSystemSearchUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsearch" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
    rbsearch.init(loginBean, "MxSearch");
    systemSearchUI.loadSearchCriteria(request);
    systemSearchUI.clearExceptionMsg();
%>

<html>

<head>
<title></title>
<link type='text/css' rel='stylesheet' href='css/MxSearch.css'>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language="JAVASCRIPT">

    // If the save as button was disabled for some reason, re-enable it
    if (parent.setOKButton != null)
        parent.setOKButton("enabled");

    var oSelf = parent.document.getElementById("resultSpace");
    var oTopParent = parent.parent.document.getElementById("operationSpace");
    if (oTopParent != null)
    {
        oSelf.style.height = 400;
        parent.resizeFrame(50);
    }
    var bottomCoor;

    // Make calculations so we scroll so that approximately the first five rows show
    if (window.screenY != null)
        bottomCoor = window.screenY - 350;
    else
        bottomCoor = window.screenTop - 350;

    if (oTopParent != null)
        window.parent.parent.scrollTo(0, bottomCoor);
    else
        window.parent.scrollTo(0, bottomCoor);

    var PageName     = "viewContentsDevices";
    var queryId = "<%=systemSearchUI.runSearch() %>";
    var runErrMsg = "<%=rbsearch.getString("runErrMsg")%>";

    if (queryId > 0)
    {
        var url = "/ui/jsp/XeHdr.jsp";
        var params  = "PageName=" + PageName;
        params     += "&viewid=" + queryId;

        url = url + "?" + params + "&suppressHeader=1&suppressViewAs=1&suppressCustomize=1&suppressSaveAs=1&ViewType=DeviceViews";

        // display selected list
        document.location.replace(url);
    }
    else if (queryId == 0)
    {
        var msg = "<%=rbsearch.getPlusOne("invalidValueErrMsg", systemSearchUI.getInvalidValueErrMsg())%>";
        alert(msg);
        oSelf.style.height = 0;
        window.parent.scrollTo(0, 0);
        document.location.replace("blank.html");
    }
    else
    {
        alert(runErrMsg);
        oSelf.style.height = 0;
        window.parent.scrollTo(0, 0);
        document.location.replace("blank.html");
    }
</script>
</head>

<body>
</body>

</html>
