<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/security/serverCertCA.jsp,v $
// $Revision: 1.11 $
// $Date: 2005/01/19 06:18:00 $
//
%>

<!-- ---------------------------------------------------------------------- -->
<!--  Put all your Java imports here -->
<!-- ---------------------------------------------------------------------- -->

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<!-- ---------------------------------------------------------------------- -->
<!--  Put all your taglib imports here -->
<!-- ---------------------------------------------------------------------- -->

<!-- ---------------------------------------------------------------------- -->
<!--  Create all your beans here -->
<!-- ---------------------------------------------------------------------- -->

<!--  REQUIRED: This bean is used (later) to verify that this page is allowed to run -->
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />

<!-- My uniquely named beans -->
<jsp:useBean id="security_serverCertBean" class="com.hp.mx.portal.security.ServerCertificateBean" scope="session"/>
<jsp:useBean id="security_serverCertBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<!-- ---------------------------------------------------------------------- -->
<!--  Put one block of initialization Java code here -->
<!--  In general, keep Java code to a minimum. Put Java code into JavaBeans. -->
<!-- ---------------------------------------------------------------------- -->
<%
    // REQUIRED: Set necessary HTTP header attributes (for localization and page caching)
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // This aborts the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE))
    {%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
  <%}

    // Set up the resource file
    security_serverCertBundle.init(loginBean, "ServerCertificate");
    security_serverCertBean.initBean(out, loginBean);

    //if (request.getMethod().equals("POST"))
    //    security_serverCertBean.processDetailsPost(request, out);
%>

<!-- ---------------------------------------------------------------------- -->
<!--  From here on, this is a well-formed HTML file -->
<!-- ---------------------------------------------------------------------- -->

<html>

<!-- ---------------------------------------------------------------------- -->
<!--  The HEAD block contains meta tags, the TITLE, style sheet links, -->
<!--  JavaScript links, and JavaScript code. -->
<!-- ---------------------------------------------------------------------- -->

<head>

<!-- ---------------------------------------------------------------------- -->
<!--  Most pages can get away with no title, because they are displayed -->
<!--  inside of a frame. -->
<!-- ---------------------------------------------------------------------- -->
    <TITLE></TITLE>

<!-- ---------------------------------------------------------------------- -->
<!--  Put all UI component head blocks here (these consist of style sheets -->
<!--  and JavaScript links) -->
<!-- ---------------------------------------------------------------------- -->

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

<!-- ---------------------------------------------------------------------- -->
<!--  Any additional JavaScript links go here -->
<!-- ---------------------------------------------------------------------- -->

<!--  COMMONLY USED: This includes the browser-based portal API -->
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>

<!-- ---------------------------------------------------------------------- -->
<!--  Put all additional JavaScript here -->
<!-- ---------------------------------------------------------------------- -->
<script language='JavaScript' type='text/javascript'>
</script>
</head>

<!-- ---------------------------------------------------------------------- -->
<!--  The BODY block begins here -->
<!-- ---------------------------------------------------------------------- -->
<body>

<font class='mx-subheader-nosep'><%= security_serverCertBundle.getString("servercert.ca.title") %></font>
<p><%= security_serverCertBundle.getString( "servercert.ca.instructions") %></p>

<% MxHtmlUtil.dumpBodyEnd(out); %>
</body>
</html>
