<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/security/serverCertificate.jsp,v $
// $Revision: 1.21 $
// $Date: 2005/06/10 18:58:03 $
//
%>

<!--  Put all your Java imports here -->

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.utilities.MxKeystore" %>
<%@ page import="com.hp.mx.html.table.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.database.GlobalSettings" %>
<%@ page import="com.hp.mx.portal.security.ServerCertificateBean" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.utilities.MxPathProperty" %>
<%@ page import="com.hp.mx.utilities.MxPathPropertyIfc" %>
<%@ page import="java.io.File" %>

<!--  Put all your taglib imports here -->

<!--  Create all your beans here -->

<!--  REQUIRED: This bean is used (later) to verify that this page is allowed to run -->
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />

<!-- My uniquely named beans -->
<jsp:useBean id="security_serverCertBean" class="com.hp.mx.portal.security.ServerCertificateBean" scope="session"/>
<jsp:useBean id="security_serverCertBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<!--  Put one block of initialization Java code here -->
<!--  In general, keep Java code to a minimum. Put Java code into JavaBeans. -->

<%
    // REQUIRED: Set necessary HTTP header attributes (for localization and page caching)
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // This aborts the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE))
    {%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
  <%}

    // Set up the resource file
    security_serverCertBundle.init(loginBean, "ServerCertificate");
    security_serverCertBean.initBean(out, loginBean);

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnExport", security_serverCertBundle.getString("servercert.button.export"), "doExport()"));
    buttons.addMxTag(new MxDefaultTag("btnMod", security_serverCertBundle.getString("servercert.button.modify"), "loadPage('serverCertificateChange.jsp?changeType=modify')"));
    buttons.addMxTag(new MxDefaultTag("btnNew", security_serverCertBundle.getString("servercert.button.new") , "loadPage('serverCertificateChange.jsp?changeType=new')"));
    buttons.addMxTag(new MxDefaultTag("btnImport", security_serverCertBundle.getString("servercert.button.import"), "loadPage('serverCertImportWiz.jsp')"));
    buttons.setVerticalAligned(true);
%>

<!--  From here on, this is a well-formed HTML file -->

<HTML>

<!--  The HEAD block contains meta tags, the TITLE, style sheet links, -->
<!--  JavaScript links, and JavaScript code. -->

<head>

<!--  Most pages can get away with no title, because they are displayed -->
<!--  inside of a frame. -->

<TITLE><%= security_serverCertBundle.getString("servercert.main.title") %></TITLE>

<!--  Any additional style sheets links go here -->

    <STYLE TYPE="text/css">
    <!--
        .required{ color:#FF0000; font-weight:bold; }
        .indented{ margin-left:12px; }
    -->
    </STYLE>

<!--  Any additional JavaScript links go here -->

    <!--  COMMONLY USED: This includes the browser-based portal API -->
    <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>

<!--  Put all additional JavaScript here -->

<script language='JavaScript' type='text/javascript'>
   MxPortalWorkspaceSetHelpTopic("admin_cert_server");
   function doExport()
   {
      ourButtonManager.disableButtonById('btnExport');
      document.ExportCertForm.submit();
   }

   function exportCert()
   {
       f = document.getElementById("actionframe");
       if (f != null)
       {
          if ( navigator.userAgent.toLowerCase().indexOf("msie") > 0 )
          {
            f.contentWindow.document.location.replace("<%=MxKeystore.EXPORT_SERV_CERT%>");
          }
          else
         {
            window.open("./<%=MxKeystore.EXPORT_SERV_CERT_MOZILLA%>", "expcert", "scrollbars,resizable,width=600,height=300");
         }
       }
   }

   function loadPage( page)
   {
      scrollTo(0,350); <!-- not the best, but works -->
      el=document.getElementById('actionframe');
      if (el!= null)
      {
        el.src=page;
        el.focus();
      }

      <!-- document.location.replace("serverCertificate.jsp#pagelet"); Messes up tool bar in Mozilla -->
      <!-- document.getElementById('actionframe').document.location.replace( page); no workee -->
      <!-- document.getElementById('actionframe').focus(); only on IE -->
      <!-- document.getElementById('framebegin').focus(); no workee -->
      <!-- document.getElementById('actionframe').scrollIntoView(); yikes -->
   }
</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>

<!--  The BODY block begins here -->

<BODY>

    <P class='errorTextBold' id="globalResult"></P>

    <table width="90%">
    <tr><TD align="left">

    <strong><%= security_serverCertBundle.getString("servercert.subject") %>:</strong>
        <table class="indented">
            <% security_serverCertBean.showCertificate( ServerCertificateBean.CERT_SUBJECT, out); %>
        </table>
    <br>
    <strong><%= security_serverCertBundle.getString("servercert.issuer") %>:</strong>
        <table class="indented">
            <% security_serverCertBean.showCertificate( ServerCertificateBean.CERT_ISSUER, out); %>
        </table>
    <br>

    <!-- strong><%= security_serverCertBundle.getString("servercert.valid") %>:</strong>&nbsp; -->
    <% security_serverCertBean.showValidity( out); %>

    </td>

    <td align="right" valign="top">
        <div style="margin-top:25px;width:130px" %>
            <% buttons.dumpButtons(out); %>
        </div>
    </td>
    </tr>
    </table>

    <!-- Use this form to create a POST request for export -->
    <form action="serverCertificate.jsp?export=yes" method="POST" name="ExportCertForm"></form>


<!-- a name="pagelet">Pagelet here</a -->
<iframe id="actionframe" style="width:100%; height:1500px; position:relative; visibility:visible"
       scrolling="no" marginwidth="0" frameborder="0" src="<%=MxOptions.URL_BASE%>/home/MxBlank.html">
</iframe>

<script>
<%
  // Process POST (export request) and result
  if ( request.getMethod().equalsIgnoreCase("POST") && (request.getParameter("export") != null) )
  {
    String result = security_serverCertBean.export();
    if (result == null)
      out.println("exportCert();");
    else
      out.println("document.getElementById('globalResult').innerHTML=\""+result+"\";");
  }
%>
</script>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
