<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/security/sshKeysList.jsp,v $
// $Revision: 1.15 $
// $Date: 2005/06/10 04:42:50 $
//
%>
<%@ page info="Managed Node SSH Public Keys List"%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.html.table.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="com.hp.mx.portal.security.SshKeysTableModel" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbSshKeys" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="sshBean" class="com.hp.mx.portal.security.SshKeysBean" scope="session"/>
<jsp:useBean id="sshTableSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="sshTableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="sshController" class="com.hp.mx.html.table.MxTableController" scope="session"/>

<%!
    /** **********************************************************************
     * The debug object
     ************************************************************************ */
    public DebugSubsystem groupConfigurationDebug =
        DebugOutput.getDebugSubsystem("Keystore");
    public String srcTableDomId = "ID_MY_SRC_SSHKEYS_TABLE";
%>

<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // This aborts the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE))
    {%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
  <%}

    int status=0;
    // Set up the resource file
    rbSshKeys.init(loginBean, "TrustedCertificate");
    sshBean.initBean(out, loginBean, sshTableSelectionModel);
    SshKeysTableModel tableModel = sshBean.getTableModel();


    String reqMxSsh = request.getParameter("mxssh");
    if ((reqMxSsh!=null))
    {
//      out.print("<script>alert('Set mx ssh in props file to '"+"+'"+reqMxSsh+"');</script>");
        sshBean.setSshKeysBehavior(reqMxSsh);
    }
    if (request.getParameter("delete") != null)
    {
        status = sshBean.delete(request, out);
        if (status!=0)
        {
            out.print("<script>alert('"+session.getValue("ssh.error.deletekeys")+"');</script>");
        }
    }

    // Do we need to abort?
    if (sshController.checkUrlForControllerMessages(request, out)) return;
    if (sshController.isFirstTime())
    {
        sshBean.getColumnNames(tableModel);
        sshBean.refreshTableModel(tableModel);
        // Initialize the bean
        sshTableView.setId(srcTableDomId);
        sshTableView.setOnSelectionChange("mySelectionChanged");
        sshTableView.setUrlHandler(request.getRequestURI());
        sshTableView.setHeight("15");
       // sshTableView.setTableModel(tableModel);
        sshTableSelectionModel.setSelectionMode(MxTableSelectionModel.MULTIPLE_INTERVAL_SELECTION);
        sshController.setTableModelWithSorting(tableModel);
        // set the default sorting column
        MxTableSortingModel sort = sshController.getSortingModelOrNull();
        // column #1 (Node name), sortUp == true
        sort.sortTable(0, true);
        sshController.setSelectionModel(sshTableSelectionModel);
        sshController.setTableView(sshTableView);
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnImport", rbSshKeys.getString("tcert.import.button"), "doImport();"));
    buttons.addMxTag(new MxDefaultTag("btnExport", rbSshKeys.getString("tcert.export.button"), "doExport();"));
    buttons.addMxTag(new MxDefaultTag("btnDelete", rbSshKeys.getString("tcert.delete.button"), "doDelete();"));

%>

<html>

<HEAD>
    <%
        // Generate the JavaScript functions used to support the HTML table
        sshBean.refreshTableModel(tableModel);
        tableModel.fireTableDataChanged();
        sshBean.refreshTableModel(tableModel);
        sshBean.getTableWidth();
    %>

    <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>

<TITLE><%= rbSshKeys.getString("page.tcert.title") %></TITLE>
<script src="<%=MxOptions.URL_BASE%>/js/globals.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">
    MxPortalWorkspaceSetHelpTopic("admin_manageSSHKeys_securityLevel");
    function nevercheck(){
        var answer = confirm("<%=rbSshKeys.getString("ssh.nevercheck.warning")%>");
        if (answer)
        {
            document.location.replace("sshKeysList.jsp?mxssh=0");
        }
    }
    function alwayscheck(){
        var answer = confirm("<%=rbSshKeys.getString("ssh.alwayscheck.warning")%>");
        if (answer)
        {
            document.location.replace("sshKeysList.jsp?mxssh=2");
        }
    }
    function autovalidate(){
        var answer = confirm("<%=rbSshKeys.getString("ssh.autovalidate.warning")%>");
        if (answer)
        {
            document.location.replace("sshKeysList.jsp?mxssh=1");
        }
    }
    function doImport()
    {
        var iFrame = document.getElementById("sshKeysDetails");
        if (iFrame != null)
        {
          iFrame.contentWindow.document.location.replace("sshKeysListDetails.jsp");
        }
        return;
    }

    function doExport()
    {
        var iFrame = document.getElementById("sshKeysDetails");
        if (iFrame != null)
        {
          iFrame.contentWindow.document.location.replace("sshKeysListExport.jsp");
        }
        return;
    }

    function doDelete()
    {
        var answer=confirm("<%=rbSshKeys.getString("ssh.delete.warning")%>");
        if (answer)
        {
            document.location.replace("sshKeysList.jsp?delete=yes");
        }
    }
    function mySelectionChanged(szIdTable, iRow, bSelected)
    {
           checkButtonStates();
    }

    function checkButtonStates()
    {
        // import button is always enabled.
        var aSel = MxTableGetSelections("<%= srcTableDomId %>");
        if (!aSel)
        {
            return;
        }
        if (aSel.length > 0) // 1 or more selections, for export or delete
        {
            ourButtonManager.enableButtonById('btnExport');
            ourButtonManager.enableButtonById('btnDelete');
            return;
        }
        ourButtonManager.disableButtonById('btnExport');
        ourButtonManager.disableButtonById('btnDelete');
    }

    function myOnLoad()
    {
        checkButtonStates();
        setTimeout("myOnResize2()", 500);
    }
    function myOnResize()
    {
        resize_w2();
        resize_h();
    }
    function resize_w()
    {
        var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
        MxTableSetWidth("<%= srcTableDomId %>", w);
    }
    function myOnResize2()
    {
        resize_w2();
        resize_h();
    }
    function resize_w2()
    {
        var w = Math.max(600, MxBrowserGetBodyWidth(-NETSCAPE_SCROLLBAR_WIDTH, 0));

        MxTableSetWidth("<%= srcTableDomId %>", w);
        document.getElementById('hrLine').style.width = w;
        document.getElementById("sshKeysDetails").style.width = w;
        document.getElementById("buttonDiv").style.width = w;
    }
    function resize_h()
    {
        var h_total = Math.max(0, MxBrowserGetBodyHeight(0, 0));
        var h = Math.max(0, h_total);
        MxTableSetHeight("<%= srcTableDomId %>", 180);
    }
</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% sshTableView.dumpHeadContent(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>

<BODY onLoad="myOnLoad()" onResize="myOnResize2()">
<%
  // get current value and setup radio buttons
  String knownhosts = sshBean.getSshKeysBehavior();
  boolean never = false;
  boolean auto = true;
  boolean always = false;
  knownhosts = knownhosts.trim();
  if( knownhosts.equals("0") ) {
    never = true;
    auto = false;
  }
  if( knownhosts.equals("2") ) {
    always = true;
    auto = false;
  }
%>

<form method="post" autocomplete="off" style="border:0px;padding:0px;margin:0px" action="SshKeysList.jsp" name="AuditForm">
  <div style="width:100%">
    <table id="auditViewControl" border="0" cellpadding="1" width="100%" >
      <tr>
        <td rowspan="4" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td nowrap>
        <b><%=rbSshKeys.getString("page.ssh.instructions")%></b>
        </td>
      </tr>
      <!-- first radio button -->
      <tr>
        <td valign="top" align="left" width="100%"  nowrap>
        <input type="radio" id="viewChoice" name="choice" value="autovalidate"
        <% if(auto){ out.write("checked"); } %> onClick="autovalidate()" >
        <%=rbSshKeys.getString("page.ssh.autovalidate")%>
        </td>
      </tr>
      <!-- second radio button -->
      <tr>
        <td nowrap>
        <input type="radio" id="viewChoice" name="choice" value="never"
        <% if(never){ out.write("checked"); } %> onClick="nevercheck()"  >
        <%=rbSshKeys.getString("page.ssh.nevercheck")%>
        </td>
      </tr>
      <!-- third radio button -->
      <tr>
        <td nowrap>
        <input type="radio" id="viewChoice" name="choice" value="always"
        <% if(always){ out.write("checked"); } %> onclick="alwayscheck()" >
        <%=rbSshKeys.getString("page.ssh.alwayscheck")%>
        </td>
      </tr>
    </table>
</div>
</form>
<hr id="hrLine" class='mx-hr'>

<div id="trustedCertificateDetails" style="width:100%;">
<% sshTableView.dumpWholeTable(out); %>
</div>
<br>
<div id='buttonDiv' style="margin-top:15px">
<% buttons.dumpButtons(out); %>
</div>

<iframe id="sshKeysDetails" name="sshKeysDetails" style="width:100%; height:0; position:relative; visibility:visible"
       scrolling="no" marginwidth="0" frameborder="0" src="<%=MxOptions.URL_BASE%>/home/MxBlank.html"></iframe>

<% MxHtmlUtil.dumpBodyEnd(out); %>

<script language='JavaScript' type='text/javascript'>
myOnResize2()
</script>

</BODY>

</html>
