<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil" %>

<jsp:useBean id="userUI" class="com.hp.mx.portal.settings.MxUserUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    rbsettings.init(loginBean, "MxSettings");
    String errorFlag = request.getParameter("error");
    if(errorFlag == null)
    {
        errorFlag = "";
    }
    boolean addingUserGroup = false;
    String userGroupParam = request.getParameter("usergroup");
    if ( (userGroupParam != null) && userGroupParam.equals("true"))
        addingUserGroup = true;

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag okButtonTag = new MxDefaultTag("okButton", rbsettings.getString("button.ok"), "");
    okButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(okButtonTag);

    buttons.addMxTag(new MxDefaultTag("cancelButton", rbsettings.getString("button.cancel"), "cancelAdd()"));

    MxTag applyButtonTag = new MxDefaultTag("applyButton", rbsettings.getString("button.apply"), "setApplyField()");
    applyButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(applyButtonTag);

    buttons.setMxTagSelectionId("okButton");
%>
<html>

<head>
<title></title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">

<% if (addingUserGroup) { %>
   MxPortalWorkspaceSetHelpTopic("admin_auth_addUserGroup");
<% } else { %>
   MxPortalWorkspaceSetHelpTopic("admin_auth_addUser");
<% } %>

var administratorTemplate = "<%=userUI.getAdministratorTemplateID(loginBean)%>";
var operatorTemplate = "<%=userUI.getOperatorTemplateID(loginBean)%>";
var userTemplate = "<%=userUI.getUserTemplateID(loginBean)%>";

function resetScroll()
{
    window.parent.scrollTo(0,0);
}

function cancelAdd()
{
        resetScroll();
        parent.document.location.href="UserStart.jsp";
}

function loadApplyBean()
{
        // Reload the field values from the bean
        if ("true" == "<%=errorFlag%>")
        {
            // Make sure the error message is in view.
            resetScroll();

            // Only reload user name and domain name if an error occurred.
            document.userForm.name.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getName())%>";
<%          if (userUI.showDomainName())
            {
%>
                document.userForm.domain.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getDomain())%>";
<%          }
%>
            document.userForm.fullname.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getFullname())%>";
<%          if (!addingUserGroup)
            {
%>
                document.userForm.phone.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getPhone())%>";
                document.userForm.email.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getEmail())%>";
<%              if (userUI.showPagerInfo())
                {
%>
                    document.userForm.pagerphonenumber.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getPagerPhoneNumber())%>";
                    document.userForm.pagerpinnumber.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getPagerPinNumber())%>";
<%              }
            }
%>
        }

        // Find the authorization toolbox to copy
        var copyAuthSrc = "<%=MxHtmlUtil.encodeJScriptSafeEntities(userUI.getCopy_auth_src())%>";

        // Loop through the select box for the group to copy, and select that one
        var copyAuthList = document.userForm.copy_auth_src;
        var authCnt = copyAuthList.length;
        var optCnt = 0;

        for (optCnt = 0; optCnt < authCnt; optCnt++)
        {
            if(copyAuthList.options[optCnt].value == copyAuthSrc)
            {
                // Select that one
                copyAuthList.options[optCnt].selected = true;
            }
            else
            {
                copyAuthList.options[optCnt].selected = false;
            }
        }

        var privilege = "<jsp:getProperty name='userUI' property='privilege' />";
        if( privilege == "full" )
        {
            document.userForm.privilege[0].checked = true;
            document.userForm.privilege[1].checked = false;
            document.userForm.privilege[2].checked = false;
        }
        else if( privilege == "limited" )
        {
            document.userForm.privilege[0].checked = false;
            document.userForm.privilege[1].checked = true;
            document.userForm.privilege[2].checked = false;
        }
        else if( privilege == "none" )
        {
            document.userForm.privilege[0].checked = false;
            document.userForm.privilege[1].checked = false;
            document.userForm.privilege[2].checked = true;
        }
        else
        {
            document.userForm.privilege[0].checked = false;
            document.userForm.privilege[1].checked = false;
            document.userForm.privilege[2].checked = false;
            document.userForm.privilege[0].disabled = true;
            document.userForm.privilege[1].disabled = true;
            document.userForm.privilege[2].disabled = true;
        }

        document.userForm.iplogininclusion.value = "<%=userUI.escapeNewlines(MxHtmlUtil.encodeJScriptSafeEntities(userUI.getIpLoginInclusionRange()))%>";
        document.userForm.iploginexclusion.value = "<%=userUI.escapeNewlines(MxHtmlUtil.encodeJScriptSafeEntities(userUI.getIpLoginExclusionRange()))%>";
        document.userForm.iplogininclusion.wrap = "soft";
        document.userForm.iploginexclusion.wrap = "soft";
}

function setApplyField()
{
        document.userForm.apply.value = "true";
}

function checkName()
{
        if(document.userForm.name.value != "")
        {
            ourButtonManager.enableButtonById('okButton');
            ourButtonManager.enableButtonById('applyButton');
        }
        else
        {
            ourButtonManager.disableButtonById('okButton');
            ourButtonManager.disableButtonById('applyButton');
        }
}

function copyAuthChange()
{
    var selectedIndex = document.userForm.copy_auth_src.selectedIndex;
    var selectedValue = document.userForm.copy_auth_src.options[selectedIndex].value;
    if ( selectedValue == administratorTemplate )
    {
        document.userForm.privilege[0].checked = "true";
    }
    else if ( selectedValue == operatorTemplate )
    {
        document.userForm.privilege[1].checked = "true";
    }
    else if ( selectedValue == userTemplate )
    {
        document.userForm.privilege[2].checked = "true";
    }
}

function init()
{
    checkName();
    document.userForm.name.focus();
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onLoad="init();">

<form method="POST" name="userForm" autocomplete="off" style="border:0px;padding:0px;margin:0px" action="UserServer.jsp">

  <hr>
  <font class="subwindow-header">
      <%=addingUserGroup?rbsettings.getString("user.addgrouptitle"):rbsettings.getString("user.addtitle")%>
  </font><br>
<%
    if( errorFlag.equals("true") )
    {
        String errorCodeStr = request.getParameter("errorCode");
        String errorCodeMsg = userUI.getAddErrorMessageByCode(errorCodeStr,rbsettings);
        String errorMessage = userUI.getErrorMessage();

        if (errorMessage != null || errorCodeMsg != null)
        {
            out.println("<hr>");
            if (errorCodeMsg != null)
            {
                out.println("<center>");
                out.println("<font class='errorTextBold'>");
                out.println(errorCodeMsg);
                out.println("</font>");
                out.println("</center>");
            }
            if (errorMessage != null)
            {
                out.println("<center>");
                out.println("<font class='errorText'>");
                out.println(errorMessage);
                out.println("</font>");
                out.println("</center>");
            }
            out.println("<hr>");
        }
    }
%>
    <br>&nbsp;<span class="required_label"><%=rbsettings.getString("required")%>*</span>
    <br><br>
    <table border="0" width="100%">
      <tr>
        <td><font class="input-field">
            <%=addingUserGroup?rbsettings.getString("user.groupname"):rbsettings.getString("user.name")%>
        </font><span class="required">*</span></td>
        <td><input type="text" name="name" size="12" maxlength="32" onKeyup="checkName()" onBlur="checkName()"></td>
      </tr>
<% if (userUI.showDomainName())
   { %>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.domain")%></font></td>
        <td><input type="text" name="domain" size="12" maxlength="32"></td>
      </tr>
<% } %>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.fullname")%>&nbsp;</font>
        </td>
        <td><input type="text" name="fullname" size="50">
        </td>
      </tr>
<% if (!addingUserGroup)
   { %>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.phone")%>&nbsp;</font>
        </td>
        <td><input type="text" name="phone" size="20">
        </td>
      </tr>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.email")%>&nbsp;</font>
        </td>
        <td><input type="text" name="email" size="50">
        </td>
      </tr>
<% } %>
    </table>

<hr>
<font class="input-field"><%=rbsettings.getString("user.copy_auth")%>&nbsp;</font>
<select size="1" name="copy_auth_src" onChange="copyAuthChange()">
      <% userUI.ListUsers(loginBean, out, "", "yes", rbsettings.getBundle(), "yes", userUI.LIST_MODE_OPTIONS);%>
</select>
<br><br>
<font class="input-field"><%=rbsettings.getString("user.priv.label")%></font><span class="required">*</span>
<table border="0" width="100%" cellpadding=0>
  <tr>
    <td align="left">
      <input type="radio" name="privilege" value="full" >
        <%=rbsettings.getString("user.priv.full.label")%></td>
  </tr>
  <tr>
    <td>
      <input type="radio" name="privilege" value="limited" >
        <%=rbsettings.getString("user.priv.limited.label")%></td>
    <td>
    </td>
  </tr>
  <tr>
    <td>
      <input type="radio" name="privilege" value="none" checked>
        <%=rbsettings.getString("user.priv.none.label")%></td>
    <td>
    </td>
  </tr>
</table>

<hr>
<font class="subwindow-header"><%=rbsettings.getString("user.iprestrict.label")%>&nbsp;</font>
<br><br>
<%=rbsettings.getString("user.iprestrict.hint")%>
<br><br>
<table border="0" width="100%" cellpadding=0>
  <tr>
    <td align="left"><font class="input-field"><%=rbsettings.getString("user.iprestrict.include")%>&nbsp;</font>&nbsp;</td>
    <td align="left"><font class="input-field"><%=rbsettings.getString("user.iprestrict.exclude")%>&nbsp;</font></td>
  </tr>
  <tr>
    <td align="left"><textarea name='iplogininclusion' cols='30' rows='3'></textarea></td>
    <td align="left"><textarea name='iploginexclusion' cols='30' rows='3'></textarea></td>
  </tr>
</table>
<% if (userUI.showPagerInfo() && !addingUserGroup)
   { %>
<hr>
<font class="subwindow-header"><%=rbsettings.getString("user.pager.label")%>&nbsp;</font>
<br><br>
<table border="0" width="100%" cellpadding=0>
  <tr>
    <td><font class="input-field"><%=rbsettings.getString("user.pager.phone")%>&nbsp;</font>
    </td>
    <td><input type="text" name="pagerphonenumber" size="20">
    </td>
  </tr>
  <tr>
    <td><font class="input-field"><%=rbsettings.getString("user.pager.pin")%>&nbsp;</font>
    </td>
    <td><input type="text" name="pagerpinnumber" size="20">
    </td>
  </tr>
  <tr>
    <td><font class="input-field"><%=rbsettings.getString("user.pager.msglen")%>&nbsp;</font>
    </td>
    <td>
    <select size="1" name="pagermsglength">
      <% userUI.ListPagerMsgLengths(loginBean, out, rbsettings.getBundle());%>
    </select>
    </td>
  </tr>
  <tr>
    <td><font class="input-field"><%=rbsettings.getString("user.pager.baudrate")%>&nbsp;</font>
    </td>
    <td>
    <select size="1" name="pagerbaudrate">
      <% userUI.ListPagerBaudRates(loginBean, out, rbsettings.getBundle());%>
    </select>
    </td>
  </tr>
  <tr>
    <td><font class="input-field"><%=rbsettings.getString("user.pager.dataformat")%>&nbsp;</font>
    </td>
    <td>
    <select size="1" name="pagerdataformat">
      <% userUI.ListPagerDataFormats(loginBean, out, rbsettings.getBundle());%>
    </select>
    </td>
  </tr>
</table>
<% } %>
  <hr>
<% if (addingUserGroup) { %>
<input type="hidden" name="command" value="addgroup">
<% } else { %>
<input type="hidden" name="command" value="add">
<% } %>
<input type="hidden" name="apply">

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

</form>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
<%  String applyFlag = request.getParameter("apply");
    if(applyFlag != null && applyFlag.equals("true")) { %>
        <script language="JAVASCRIPT">
            loadApplyBean();
        </script>
<%  }
    else
    {
        userUI.resetBean();
    }

%>


