<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="authSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="authTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="authGroupSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="authGroupTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="authNodeSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="authNodeTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="authToolboxSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="authToolboxTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="authUserSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="authUserTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="nodeUI" class="com.hp.mx.portal.settings.MxNodeUI" scope="session" />
<jsp:useBean id="groupUI" class="com.hp.mx.portal.settings.MxGroupUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<% if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
   { %>
       <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<% } %>
<%
    rbsettings.init(loginBean, "MxSettings");
    groupUI.resetBean();


    String szIdTable = request.getParameter("szIdTable");
    String iRow = request.getParameter("iRow");
    String bSelected = request.getParameter("bSelected");
    String model = request.getParameter("szModel");

    com.hp.mx.html.table.MxDefaultTableSelectionModel selectionModel = authSelectionModel;
    com.hp.mx.portal.settings.MxAuthTableModel tableModel = authTableModel;

    if ( model != null )
    {
        if (model.equals("group"))
        {
            selectionModel = authGroupSelectionModel;
            tableModel = authGroupTableModel;
        }
        if (model.equals("node"))
        {
            selectionModel = authNodeSelectionModel;
            tableModel = authNodeTableModel;
        }
        if (model.equals("toolbox"))
        {
            selectionModel = authToolboxSelectionModel;
            tableModel = authToolboxTableModel;
        }
        if (model.equals("user"))
        {
            selectionModel = authUserSelectionModel;
            tableModel = authUserTableModel;
        }
        if (model.equals("all"))
        {
            selectionModel = authSelectionModel;
            tableModel = authTableModel;
        }
    }

    boolean bNodeGroupAuth = groupUI.isAuthUpdateCandidate(loginBean, selectionModel, tableModel);
%>
<html>
<head>
    <title></title>
</head>
<body>
    <script language="JavaScript" type="text/javascript">
        parent.authSelectionChangedReal("<%= szIdTable %>", <%= iRow %>, <%= bSelected %>, <%= bNodeGroupAuth %>);
    </script>
</body>

</html>
