<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/AutoDiscoveryGlobals.jsp,v $
// $Revision: 1.18 $
// $Date: 2005/05/06 21:44:32 $
//
%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.portal.help.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.core.taskmanager.*" %>
<%@ page import="com.hp.mx.utilities.MxCMS" %>
<%@ page import="java.util.Calendar"%>
<%@ page import="com.hp.mx.portal.ui.MxDateAndTime"%>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="discSettings" class="com.hp.mx.portal.discovery.AutoDiscoveryFiltersAndSettings" scope="session"/>
<%!
public static final int CONF_POPUP_SAVE      = 1;
public static final int CONF_POPUP_SAVE_DISC = 2;
%>
<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Check to see if the user is authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_MODIFICATION_PRIVILEGE))
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
        return;
    }

    // Initialize the bean
    discSettings.initialize(loginBean);

    int     needsConfPopup = 0;

    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST"))
    {
        discSettings.clearAllErrorMessages();
        boolean success = discSettings.processPost(request);
        if (success)
        {
            discSettings.saveGlobalDiscoverySettings();
            %>
            <script language='JavaScript' type='text/javascript'>
                parent.location.href="AutoDiscoveryList.jsp";
            </script>
            <%
            return;
        }
    }

        MxButtons buttons = new MxButtons();
        buttons.clearMxTags();
        MxTag btnOK = new MxDefaultTag("btnOK", discSettings.getResourceString("global.page.btn.OK"), "");
        btnOK.setAttr(MxTag.TYPE, "submit");
        buttons.addMxTag(btnOK);
        MxTag btnCancelTag = new MxDefaultTag("btnCancel", discSettings.getResourceString("global.page.btn.cancel"), "cancel()");
        buttons.addMxTag(btnCancelTag);
    %>
    <html>
    <head>
        <title></title>
        <STYLE TYPE="text/css">
            .indented{margin-left:24px;}
        </STYLE>
        <script language='JavaScript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='JavaScript' type='text/javascript'>
            function cancel()
            {
                MxPortalWorkspaceSetHelpTopic("admin_discovery_configAuto");
                location.href="<%= MxOptions.URL_BASE %>/home/MxBlank2.html";
            }

            function setFilterChecksState()
            {
                if (document.ConfigForm.cbDiscoverFilter.checked)
                {
                    <%=  discSettings.getEnableAllCbScriptStr(true) %>
                    document.ConfigForm.AnyMgmt.disabled = false;
                    document.ConfigForm.OnlyHp.disabled = false;
                    document.ConfigForm.OnlyMgmt.disabled = false;
                }
                else
                {
                    <%=  discSettings.getEnableAllCbScriptStr(false) %>
                    document.ConfigForm.OnlyHp.disabled = true;
                    document.ConfigForm.OnlyMgmt.disabled = true;
                    document.ConfigForm.AnyMgmt.disabled = true;
                }
                return true;
            }

            function validateAll()
            {
                if (!validateIP())
                {
                    alert("<%= discSettings.getResourceString("global.page.error.exclusion.contents")%>");
                    return false;
                }

                if (!validateFilterSelections())
                {
                    alert("<%= discSettings.getResourceString("global.page.filters.error.noFilterSelection") %>");
                    return false;
                }

                document.ConfigForm.submit();
                return true;
            }

            function validateIP()
            {
                var i, chr;
                var str = document.ConfigForm.exclusionTextBox.value;

                for ( i = 0; i < str.length; ++i )
                {
                    chr = str.charCodeAt(i);
                    //            1            0             #              $             -                                                                                                                                 _
                    if (((chr >= 48)&&(chr <= 57))|| (chr == 35) || (chr == 36)|| (chr == 42)|| (chr == 32)|| (chr == 10)|| (chr == 13)|| (chr == 9) || (chr == 45) || (chr == 46) || (chr == 58) || (chr == 64) || (chr == 95) ||((chr >= 65)&&(chr <= 90)) || ((chr >= 97)&&(chr <= 122)))
                    {
                        continue;
                    }
                    else
                    {
                        // alert(chr);
                        return false;
                    }
                }

                return true;
            }

            function validateFilterSelections()
            {
                // If filters disbaled, we're OK
                if (document.ConfigForm.cbDiscoverFilter.checked == false)
                {
                    return true;
                }

                // Is at least ONE device type selected?
                if (<%= discSettings.getCbValidateStr() %> )
                {
                    return true;
                }

                return false;
            }

            function  noSpaces( str )
            {
                for ( var i = 0; i < str.length; i++ )
                {
                    if ( str.charAt(i) == ' ' )
                    {
                       return false;
                    }
                }
                return true;  // There are no spaces
            }

            function hilite( editWindow )
            {
                editWindow.focus();
                editWindow.select();
                return true;
            }

            function markFormAsChanged()
            {
                bSettingsChanged=true;
            }

            function init()
            {
                pageLoaded = true;
                setDisplayHeightAndWidth();
                setFilterChecksState();
            }

            function setDisplayHeightAndWidth()
            {
                var pageHeight  = document.body.scrollHeight;
                var pageWidth  = document.body.scrollWidth;
                parent.setFrmDisplayHeight(pageHeight);
            }

            function cleanup()
            {
            }
            MxPortalWorkspaceSetHelpTopic("admin_discovery_generalSettings");
        </script>
        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% MxPortalRender.dumpHeadContent(out); %>
        <% buttons.dumpHeadContent(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
    </head>
    <body  onLoad="init()" onUnload="cleanup()">
        <hr>
        <div class='subwindow-header'>
             <%= discSettings.getResourceString("global.page.title") %>
        </div><BR>
        <form action="AutoDiscoveryGlobals.jsp" method="POST" name="ConfigForm" onSubmit="return validateAll()">
        <%
        discSettings.displayErrorMessagesInHtml(out);
        discSettings.clearAllErrorMessages();
        %>

        <!-- CONFIGURATION -->
        <input type="checkbox" name="CBTrapDisc" id="id_CBTrapDisc" value="ON" <%= discSettings.isMyDiscOnEventEnableState() ? "checked" : "" %> >
        <LABEL for="id_CBTrapDisc"><b><%= discSettings.getResourceString("global.page.cb.protocols.event") %></b></LABEL><br>

        <input type="checkbox" name="CBILODisc" id="id_CBILODisc" value="ON" <%= discSettings.isMyDiscOnILOEnableState() ? "checked" : "" %> >
        <LABEL for="id_CBILODisc"><b><%= discSettings.getResourceString("global.page.cb.protocols.ILO") %></b></LABEL><br><br>

        <b><%= discSettings.getResourceString("global.page.label.ipaddress") %></b><br>
        <div class="indented">
            <textarea name="exclusionTextBox" wrap="off" style="WIDTH: 300px;HEIGHT: 120px" onChange="markFormAsChanged()"><%=discSettings.getIpExclusionRangeStr()  %></textarea>
        </div>
        <br>

        <!-- FILTERS -->
        <input type="checkbox"
               name="cbDiscoverFilter"
               id="cbDiscoverFilter"
               onClick="setFilterChecksState()" <%= discSettings.getDiscFilterEnabledState() ? "checked" : "" %> >
        <LABEL for="cbDiscoverFilter"><b><%= discSettings.getResourceString("global.page.filters.enableCb")%></b></LABEL><br>
        <div class="indented">
            <p><%= discSettings.getResourceString("global.page.filters.heading") %></p>

            <b><%= discSettings.getResourceString("global.page.filters.discoverTypes")%></b><br>

            <% // Display all of the device type filter checkboxes %>
            <%= discSettings.getCbDispString() %>

            <br><b><%= discSettings.getResourceString("global.page.filters.addCriteria")%></b><br>
            <input type="radio"
                name="MgmtSel"
                id="AnyMgmt"
                value="AnyMgmt"
                <%= discSettings.getDiscFilterAnyCBStr() %> >
            <LABEL for="AnyMgmt"  ><%= discSettings.getResourceString("global.page.filters.any")%></LABEL>
            <br>
            <input type="radio"
                name="MgmtSel"
                id="OnlyMgmt"
                value="OnlyMgmt"
                <%= discSettings.getDiscFilterMgmtCBStr() %> >
            <LABEL for="OnlyMgmt"  ><%= discSettings.getResourceString("global.page.filters.onlyManage")%></LABEL>
            <br>

            <input type="radio"
                name="MgmtSel"
                id="OnlyHp"
                value="OnlyHp"
                    <%= discSettings.getDiscFilterHPMgmtCBStr() %> >
               <LABEL for="OnlyHp" ><%= discSettings.getResourceString("global.page.filters.onlyHp")%></LABEL>
        </div>


        <%
            if (needsConfPopup == CONF_POPUP_SAVE_DISC)
            {
            %>
                <script language='javascript' type='text/javascript'>
                        alert("<%= discSettings.getResourceString("global.page.saveDiscConf") %>");
                </script>
            <%
            }
            else if (needsConfPopup == CONF_POPUP_SAVE)
            {
            %>
                <script language='javascript' type='text/javascript'>
                        alert("<%= discSettings.getResourceString("global.page.saveConf") %>");
                </script>
            <%
            }
        %>
            <%
            // ------------------------------------
            // APPLY AND RESET BUTTONS
            // ------------------------------------
            %>

            <div style="margin-top:15px">
                <% buttons.dumpButtons(out); %>
            </div>
        </form>

        <% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
    </html>


