<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/AutoDiscoveryListRefresh.jsp,v $
//$Revision: 1.4 $
//$Date: 2005/02/10 17:03:32 $
--%>
<%@page import="com.hp.mx.portal.ui.MxBean"%>
<%@page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.portal.discovery.AutoDiscoveryUiMessages"%>
<%@page import="com.hp.mx.portal.discovery.AutoDiscoveryTaskListMgr"%>
<%@page import="com.hp.mx.portal.search.MxActionOnEventSearchUI"%>
<%@page import="com.hp.mx.portal.ui.MxOptions"%>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="autoDiscoveryListBean" class="com.hp.mx.portal.discovery.AutoDiscoveryList" scope="session"/>
<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    AutoDiscoveryTaskListMgr inst = autoDiscoveryListBean.initializeAllTasks();
    inst.checkTimers();
    boolean btnStates[] = inst.getButtonStateForSelectedTask();
%>
<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/AutoRefreshingSessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/allTasks.js'></script>

        <script language='javascript' type='text/javascript'>

            // set the Table height based off of a CELL height given the users font size (DPI)
            function setTableHeight()
            {
                var rowsDisplayed = <%= inst.getNumTasks() %>;
                if ((rowsDisplayed < TASK_LIST_MIN_DISPLAYED) && (rowsDisplayed > 0))
                {
                    rowsDisplayed = TASK_LIST_MIN_DISPLAYED;
                }
                if (rowsDisplayed > TASK_LIST_MAX_DISPLAYED)
                {
                    rowsDisplayed = TASK_LIST_MAX_DISPLAYED;
                }

                var divHeight = (parent.rowHeight * rowsDisplayed) + parent.titleHeight;
                parent.MxTableSetHeight(parent.srcTableDomId, divHeight);
            }


            function setButtonText()
            {
                <% // Set the enable/disable button label %>
                var selectedTaskDisabled = <%= autoDiscoveryListBean.isTaskDisabled() %>;
                if (selectedTaskDisabled)
                {
                    parent.ourButtonManager.setButtonLabelById('btnEnableDisable',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.enable")%>");
                }
                else
                {
                    parent.ourButtonManager.setButtonLabelById('btnEnableDisable',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.disable")%>");
                }

                <% // Set the run/stop button label %>
                var selectedTaskRunning = <%= autoDiscoveryListBean.isTaskRunning() %>;
                if (selectedTaskRunning)
                {
                    parent.ourButtonManager.setButtonLabelById('btnRunNowStop',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.stop")%>");
                }
                else
                {
                    parent.ourButtonManager.setButtonLabelById('btnRunNowStop',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.runNow")%>");
                }
            }

            function setButtonStates()
            {
                parent.enableDisableButtonsById('btnNew', <%=btnStates[0]%>);
                parent.enableDisableButtonsById('btnEdit', <%=btnStates[1]%>);
                parent.enableDisableButtonsById('btnEnableDisable', <%=btnStates[2]%>);
                parent.enableDisableButtonsById('btnDelete', <%=btnStates[3]%>);
                parent.enableDisableButtonsById('btnRunNowStop', <%=btnStates[4]%>);
            }

            // update in the parent, Number of Tasks and divHeight (MxTable)
            function updateInfo()
            {
                // if we have (0) jobs, display the text.  Otherwise, display the Table
                //displayEmptyTable((<%= inst.getTotalNumTasks() %> == 0), parent);
                // set the height of the MxTable
                setTableHeight();

                // Set the Enable/Diable and Run/Stop button text based on
                // status of current task selection, which may have changed
                // with this refresh.
                setButtonText();

                // Set the button states based on selected task.  Need this to
                // handle tables automatic re-selection of an item after
                // no tasks are selected.  See AutoDiscoveryListSelectTask.jsp.
                setButtonStates()

                // as the last step, inform the parent page that we are finished refreshing
                parent.refreshed = true;
            }
<%
    AutoDiscoveryUiMessages msg = inst.getMessages();
    boolean refreshError = inst.getTaskRefreshError();

    if (refreshError == true)
    {
        inst.clearRefreshError();
    }
%>
            // print any error message to the user
            if (<%=refreshError%> == true)
            {
                alert("<%=msg.getMessage()%>");
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body onLoad='updateInfo()'>
    REFRESH!
<% MxHtmlUtil.dumpBodyEnd(out); %>
    </BODY>
</html>
