<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/ConfigEventFiltering.jsp,v $
//$Revision: 1.22 $
//$Date: 2005/02/14 22:20:48 $
--%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.database.GlobalSettings"%>
<%@page import="java.util.*"%>
<%@page import="com.hp.mx.html.core.MxStatusIcon"%>

<jsp:useBean id="configNotiSettingsBean" scope="session" class="com.hp.mx.portal.settings.ConfigNotificationSettings" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Abort if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }
%>
<%
//+
//This page sets the following properties in config/globalsettings.props
//
//accept_known_check_state=checked
//accept_range_string=*
//accept_unknown_check_state=NOT
//discard_range_string=\r
//severity_critical_check_state=checked
//severity_informational_check_state=checked
//severity_major_check_state=checked
//severity_minor_check_state=checked
//-
    configNotiSettingsBean.initBean(out, loginBean);
    configNotiSettingsBean.clearFlags();
%>
    <jsp:setProperty name="configNotiSettingsBean" property="*"/>
<%

    String reqType = "";

    if (null != request.getParameter("reqType"))
    {
        reqType = request.getParameter("reqType");
    }

    if (reqType.equalsIgnoreCase("set"))
    {
        if (configNotiSettingsBean.updateSettings(out))
        {
            configNotiSettingsBean.alert(out,
                configNotiSettingsBean.getResString("MSG_EVENT_FILTER_SETTINGS_UPDATED"));
        }
        configNotiSettingsBean.replaceLocation(out,
              configNotiSettingsBean.getResString("URL_CONFIG_EVENT_FILTER_PAGE"));
        return;
    }

    configNotiSettingsBean.getSettings();

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnNext", configNotiSettingsBean.getResString("LBL_OK"), "nextPage()"));
%>
<html>
<head>
    <title>
    ConfigEventFiltering
    </title>
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <link type='text/css' rel='stylesheet' href='/mxportal/actiononevents/css/ActionOnEvents.css'>

    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=configNotiSettingsBean.getResString("HELP_ID_EVENT_FILTER")%>")</SCRIPT>

    <SCRIPT language="javascript">
    function toggleStatus(o)
    {
        if (o.checked)
        {
            document.getElementById('acceptKnownCritical').disabled = false;
            document.getElementById('acceptKnownMajor').disabled = false;
            document.getElementById('acceptKnownMinor').disabled = false;
            document.getElementById('acceptKnownWarning').disabled = false;
            document.getElementById('acceptKnownInformational').disabled = false;
        }
        else
        {
            document.getElementById('acceptKnownCritical').checked = false;
            document.getElementById('acceptKnownCritical').disabled = true;

            document.getElementById('acceptKnownMajor').checked = false;
            document.getElementById('acceptKnownMajor').disabled = true;

            document.getElementById('acceptKnownMinor').checked = false;
            document.getElementById('acceptKnownMinor').disabled = true;

            document.getElementById('acceptKnownWarning').checked = false;
            document.getElementById('acceptKnownWarning').disabled = true;

            document.getElementById('acceptKnownInformational').checked = false;
            document.getElementById('acceptKnownInformational').disabled = true;
        }
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body>
<FORM name="frmNotification"
        id="frmNotification"
        method="POST">
    <BR>
    <table width="100%" border=0 cellspacing=0 cellpadding=0>
        <tr>
            <td>
                <input type=checkbox
                    id="acceptUnknownEvents"
                    name="acceptUnknownEvents">
                    <%=configNotiSettingsBean.getResString("LBL_ACCEPT_UNKNOWN_EVENTS")%>
            </td>
        </tr><tr>
            <td>
                &nbsp;
            </td>
        </tr><tr>
            <td>
                <input type=checkbox
                    id="acceptKnownEvents"
                    name="acceptKnownEvents"
                    onClick="toggleStatus(this)">
                    <%=configNotiSettingsBean.getResString("LBL_ACCEPT_KNOWN_EVENTS_WITH_SEVERITY")%>
            </td>
        </tr><tr>
            <td>
                <blockquote>
                <table>
                    <tr>
                        <td>
                            <input type=checkbox
                                id="acceptKnownCritical"
                                name="acceptKnownCritical">
                                <IMG SRC="<%=MxStatusIcon.CRITICAL.getIconWithBorder()%>">
                                <%=MxStatusIcon.CRITICAL.getLabel(loginBean.getLocale())%>
                        </td>
                    </tr><tr>
                        <td>
                            <input type=checkbox
                                id="acceptKnownMajor"
                                name="acceptKnownMajor">
                                <IMG SRC="<%=MxStatusIcon.MAJOR.getIconWithBorder()%>">
                                <%=MxStatusIcon.MAJOR.getLabel(loginBean.getLocale())%>
                        </td>
                    </tr><tr>
                        <td>
                            <input type=checkbox
                                id="acceptKnownMinor"
                                name="acceptKnownMinor">
                                <IMG SRC="<%=MxStatusIcon.MINOR.getIconWithBorder()%>">
                                <%=MxStatusIcon.MINOR.getLabel(loginBean.getLocale())%>
                        </td>
                    </tr><tr>
                        <td>
                            <input type=checkbox
                                id="acceptKnownWarning"
                                name="acceptKnownWarning">
                                <IMG SRC="<%=MxStatusIcon.WARNING.getIconWithBorder()%>">
                                <%=MxStatusIcon.WARNING.getLabel(loginBean.getLocale())%>
                        </td>
                    </tr><tr>
                        <td>
                            <input type=checkbox
                                id="acceptKnownInformational"
                                name="acceptKnownInformational">
                                <IMG SRC="<%=MxStatusIcon.INFORMATIONAL.getIconWithBorder()%>">
                                <%=MxStatusIcon.INFORMATIONAL.getLabel(loginBean.getLocale())%>
                        </td>
                    </tr>
                </table>
                </blockquote>
            </td>
        </tr><tr>
            <td>
            </td>
        </tr>
    </table>
    <BR>

    <%=configNotiSettingsBean.getResString("TXT_IP_RANGE")%>

    <BR>
    <BR>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr><td>
                    <b>
                        <%=configNotiSettingsBean.getResString("LBL_ACCEPT_IP_RANGE")%>
                    </b>
                    <br>
                    <TEXTAREA
                        name="acceptIPRange"
                        id="acceptIPRange"
                        style="WIDTH: 100%;HEIGHT: 140px"><jsp:getProperty name="configNotiSettingsBean" property="acceptIPRange"/></TEXTAREA>
                </td><td>
                    &nbsp;
                </td><td>
                    <b>
                        <%=configNotiSettingsBean.getResString("LBL_DISCARD_IP_RANGE")%>
                    </b>
                    <br>
                    <TEXTAREA
                        name="discardIPRange"
                        id="discardIPRange"
                        style="WIDTH: 100%;HEIGHT: 140px"><jsp:getProperty name="configNotiSettingsBean" property="discardIPRange"/>
                    </TEXTAREA>
        </td></tr>
    </table>
    <INPUT TYPE="HIDDEN" NAME="reqType" ID="reqType" VALUE="">
</FORM>
<BR>
<!--HR class="rule"-->

<P>
<SCRIPT language="javascript">
    function validate()
    {
        if ((document.getElementById('acceptKnownEvents').checked == false)
            && (document.getElementById('acceptUnknownEvents').checked == false))
        {
            alert("<%=configNotiSettingsBean.getResString("MSG_KNOWN_OR_UNKNOWN_REQD")%>");
            return false;
        }

        if ((document.getElementById('acceptKnownEvents').checked == true)
            && (document.getElementById('acceptKnownCritical').checked == false)
            && (document.getElementById('acceptKnownMajor').checked == false)
            && (document.getElementById('acceptKnownMinor').checked == false)
            && (document.getElementById('acceptKnownWarning').checked == false)
            && (document.getElementById('acceptKnownInformational').checked == false))
        {
            alert("<%=configNotiSettingsBean.getResString("MSG_KNOWN_TYPE_REQD")%>");
            return false;
        }
        return true;
    }
    function nextPage()
    {
        if ('' == document.getElementById('acceptIPRange').value)
        {
            document.getElementById('acceptIPRange').value = ' ';
        }
        if ('' == document.getElementById('discardIPRange').value)
        {
            document.getElementById('discardIPRange').value = ' ';
        }
        if (!validate())
        {
            return;
        }
        document.getElementById('reqType').value="set";
        document.frmNotification.action="<%=configNotiSettingsBean.getResString("URL_CONFIG_EVENT_FILTER_PAGE")%>";
        document.frmNotification.submit();
    }
    function cancelChanges()
    {
        if ( true == confirm('<%=configNotiSettingsBean.getResString("MSG_CANCEL_CONF")%>') )
        {
            document.location="<%=configNotiSettingsBean.getResString("URL_CONFIG_EVENT_FILTER_PAGE")%>";
        }
    }
</SCRIPT>

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

<SCRIPT language="javascript">
    <%
    if (configNotiSettingsBean.getAcceptKnownEvents().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptKnownEvents').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptKnownEvents').checked = false;
        <%
    }
    %>

    <%
    if (configNotiSettingsBean.getAcceptUnknownEvents().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptUnknownEvents').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptUnknownEvents').checked = false;
        <%
    }
    %>


    <%
    if (configNotiSettingsBean.getAcceptKnownCritical().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptKnownCritical').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptKnownCritical').checked = false;
        <%
    }
    %>

    <%
    if (configNotiSettingsBean.getAcceptKnownMajor().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptKnownMajor').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptKnownMajor').checked = false;
        <%
    }
    %>

    <%
    if (configNotiSettingsBean.getAcceptKnownMinor().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptKnownMinor').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptKnownMinor').checked = false;
        <%
    }
    %>

    <%
    if (configNotiSettingsBean.getAcceptKnownWarning().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptKnownWarning').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptKnownWarning').checked = false;
        <%
    }
    %>

    <%
    if (configNotiSettingsBean.getAcceptKnownInformational().equalsIgnoreCase("on"))
    {
        %>
        document.getElementById('acceptKnownInformational').checked = true;
        <%
    }
    else
    {
        %>
        document.getElementById('acceptKnownInformational').checked = false;
        <%
    }
    %>

    toggleStatus(document.getElementById('acceptKnownEvents'));

</SCRIPT>

<%
//    if (updated)
//    {
//        configNotiSettingsBean.alert(out, configNotiSettingsBean.getResString("MSG_EVENT_FILTER_SETTINGS_UPDATED"));
//    }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
