<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="groupUI" class="com.hp.mx.portal.settings.MxGroupUI" scope="session" />
<jsp:useBean id="nodeGroupTableModel" class="com.hp.mx.portal.settings.MxNodeGroupTableModel" scope="session" />
<jsp:useBean id="nodeGroupSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="nodeUI" class="com.hp.mx.portal.settings.MxNodeUI" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_GROUP_MODIFICATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    rbsettings.init(loginBean, "MxSettings");
%>

<html>

<head>
<title>Required Field</title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

<body>
<%  String cmd = new String(request.getParameter("command"));
    //System.out.println("command = " + cmd);
    int doAddRet = 0;
    int doEditRet = 0;

    // If the apply button was pushed from the add page,
    // load up the field values using the node bean properties
    // and reload the page.
    // If there is an edit error, tell the start page to reload
    // the edit page
    String applyFlag = request.getParameter("apply");
    String editErr = "false";
    String addErr  = "false";

    if (cmd.equals("add"))
    {
        //System.out.println("Calling add group method");
        // Call Add node group
        doAddRet = groupUI.DoAddGroup(loginBean, request, rbsettings.getBundle());
        if (doAddRet != 0)
        {
            addErr = "true";
        }
    }
    if (cmd.equals("edit"))
    {
        //System.out.println("Calling edit group method");
        doEditRet = groupUI.DoEditGroup(loginBean, request);
        if(doEditRet != 0)
        {
            editErr = "true";
        }
        else
        {
%>
          <script language="JAVASCRIPT">
            MxPortalManageMenuRefresh();
            alert("<%=rbsettings.getString("group.editok")%>");
          </script>
<%      }
    }
    if (cmd.equals("delete"))
    {
        // Call the delete method in the group bean
        //System.out.println("Calling delete group method");
        int doDeleteRet = groupUI.DoDeleteGroups(loginBean, nodeGroupSelectionModel, nodeGroupTableModel);
        if(doDeleteRet == 2)
        {
%>
            <script language="JAVASCRIPT">
            alert("<%=rbsettings.getString("group.deleteerr.notallowed")%>");
            </script>
<%      }
        else if(doDeleteRet != 0)
        {
%>
            <script language="JAVASCRIPT">
            alert("<%=rbsettings.getString("group.deleteerr")%>");
            </script>
<%      }
        else
        {
%>
            <script language="JAVASCRIPT">
            MxPortalManageMenuRefresh();
            </script>
<%      }
    }

    if(addErr.equals("true"))
    {
%>
        <script language="JAVASCRIPT">
            document.location.href = "AddGroup.jsp?error=true&errorCode=<%=doAddRet%>&apply=true";
        </script>
<%  }
    else if(applyFlag != null && applyFlag.equals("true"))
    {
        groupUI.resetBean();
%>
        <jsp:setProperty name="groupUI" property="*" />
        <script language="JAVASCRIPT">
            parent.document.location.href = "GroupStart.jsp?apply=true";
        </script>
<%  }
    else if(editErr.equals("true"))
    {
%>
        <script language="JAVASCRIPT">
            document.location.href = "EditGroup.jsp?error=true&errorCode=<%=doEditRet%>";
        </script>
<%  }
    else
    {
        groupUI.resetBean();
%>
        <script language="JAVASCRIPT">
            parent.document.location.href = "GroupStart.jsp";
        </script>
<%  }
%>
</body>

</html>
