<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.portal.ui.MxDateAndTime" %>
<%@ page import="com.hp.mx.html.table.MxTableSortingModel" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="toolboxUI" class="com.hp.mx.portal.settings.MxToolBoxUI" scope="session" />
<jsp:useBean id="authUI" class="com.hp.mx.portal.settings.MxAuthUI" scope="session" />
<jsp:useBean id="authToolboxReportTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="authToolboxReportTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="authTableToolboxReportController" class="com.hp.mx.html.table.MxTableController" scope="session" />
<jsp:useBean id="authToolboxReportSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    String allToolboxes    = request.getParameter("allToolboxes");
    String selectedToolbox = request.getParameter("selectedToolbox");
    String printable       = request.getParameter("printable");
    boolean reportAll      = false;
    if( ( allToolboxes != null && allToolboxes.equals("true") ) ||
        ( selectedToolbox != null && selectedToolbox.equals("none") ) )
    {
        reportAll = true;
    }

    rbsettings.init(loginBean, "MxSettings");
%>
<%
    if ( authTableToolboxReportController.isFirstTime() )
    {
        authToolboxReportTableView.setId("ID_AUTH_TOOLBOX_REPORT_TABLE");
        authToolboxReportTableView.setUrlHandler(request.getRequestURI());
        authTableToolboxReportController.setTableModelWithSorting(authToolboxReportTableModel);
        authTableToolboxReportController.setTableView(authToolboxReportTableView);
    }
    if ( authTableToolboxReportController.checkUrlForControllerMessages(request, out) )
    {
        return;
    }
    // Get the date and time when report is generated.
    MxDateAndTime currentTime = new MxDateAndTime( loginBean.getLocale(),
                                                   loginBean.getTimeZone()
                                                 );
    String currentTimeOfDay = currentTime.getCurrentDateTimeFormatString(
                                          MxDateAndTime.DATE_TIME_FULL_FORMAT);
    // Load the table
    authToolboxReportTableModel.setAddUrlHref(false);
    if (reportAll)
    {
        authToolboxReportTableModel.loadAllAuths(loginBean,rbsettings);
    }
    else
    {
        authToolboxReportTableModel.loadToolBoxAuths(selectedToolbox,loginBean,rbsettings);
    }
    MxTableSortingModel sortable = authTableToolboxReportController.getSortingModelOrNull();
    if (null != sortable)
    {
        // Sort on the toolboxes (second column)
        sortable.sortTable(1,true);
    }

    if (printable == null)
    {
        authToolboxReportTableView.setHeight("150px");
        authToolboxReportTableView.setWidth("600px");
    }
    else
    {
        authToolboxReportTableView.setHeight(null);
        authToolboxReportTableView.setWidth(null);
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("B6", rbsettings.getString("button.viewprintable") + "...", "openPrintable()"));
%>
<html>

<head>
<title><%=rbsettings.getString("authtoolbox.reporttitle")%></title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>

<% loginBean.checkLogoutConditionForWebPage(pageContext); %>

<script language="JAVASCRIPT">
MxPortalWorkspaceSetHelpTopic("admin_auth_reportAuth");

function loadAllTable()
{
    document.location.replace("ReportToolboxAuth.jsp?allToolboxes=true&selectedToolbox=<%=selectedToolbox%>");
}

function loadToolboxTable()
{
    document.location.replace("ReportToolboxAuth.jsp?selectedToolbox=<%=selectedToolbox%>");
}

function openPrintable()
{
    var url;
    if(document.authForm.reportoption[0].checked == true)
    {
      url = "ReportToolboxAuth.jsp?printable=yes&allToolboxes=true&selectedToolbox=<%=selectedToolbox%>";
    }
    else
    {
      url = "ReportToolboxAuth.jsp?printable=yes&selectedToolbox=<%=selectedToolbox%>";
    }
    reportWindow = window.open(url, "toolboxAuthReport", "menubar=1, titlebar=1, toolbar=1, scrollbars=1, resizable=1");
    reportWindow.focus();
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% authToolboxReportTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body>

<form method="POST" action="AuthServer.jsp" name="authForm">
<%  if (printable == null)
    {
%>
    <hr>
    <table border="0" width="100%" cellpadding=0>
<%
    }
    else
    {
%>
    <table border="0" cellpadding=0>
    <tr><td align="right">
        &nbsp;<br><br>
    </td></tr>
<%
    }
%>

    <tr>
    <td><font class="subwindow-header"><%=rbsettings.getString("authtoolbox.reporttitle")%>
<%  if (printable != null)
    {
        if (reportAll)
        {
%>
          <%=rbsettings.getString("authtoolbox.reportforall")%></td>
<%
        }
        else
        {
%>
          <%=rbsettings.getString("authtoolbox.reportforone")%> &quot;<%=toolboxUI.nameForID(loginBean,selectedToolbox) %>&quot;</td>
<%
        }
    }
%>
    </font>

<%  if (printable != null)
    {
%>
    </tr><tr><td align="left"><br>
<%
    }
    else
    {
%>
    <td align="right">
<%
    }
    out.print( "<font class='section-header'>" );
    out.print( rbsettings.getString("auth.report.asof") );
    out.print( "</font> " );
    out.println( currentTimeOfDay );
%>
    </td>
    </tr>
    </table>
    <br>
<%  if (printable == null)
    {
%>
    <table border="0" width="100%" cellpadding=0>
      <tr>
        <td valign="middle" align="left" width="20%"><%=rbsettings.getString("auth.for")%></td>
        <td align="left" width="80%">
<%      if (reportAll)
        {
%>
             <input type="radio" name="reportoption" value="V1" onClick="loadAllTable()" checked><%=rbsettings.getString("authtoolbox.reportall")%></td>
<%      }
        else
        {
%>
             <input type="radio" name="reportoption" value="V1" onClick="loadAllTable()"><%=rbsettings.getString("authtoolbox.reportall")%></td>
<%
        }
%>
      </tr>
      <tr>
        <td></td>
        <td>
<%      if (reportAll)
        {
%>
             <input type="radio" name="reportoption" value="V2" onClick="loadToolboxTable()"><%=rbsettings.getString("authtoolbox.reportone")%> &quot;<%=toolboxUI.nameForID(loginBean,selectedToolbox) %>&quot;</td>
<%      }
        else
        {
%>
             <input type="radio" name="reportoption" value="V2" onClick="loadToolboxTable()" checked><%=rbsettings.getString("authtoolbox.reportone")%> &quot;<%=toolboxUI.nameForID(loginBean,selectedToolbox) %>&quot;</td>
<%
        }
%>
        <td>
        </td>
      </tr>
    </table>
    <br>
<%
    }
    if (authToolboxReportTableModel.getRowCount() > 0)
    {
%>
    <div id="reportTable">
    <% authToolboxReportTableView.dumpTableVisiblePart(out); %>
    </div>
<%  }
    else
    {
%>
    <div id="reportTable" align="center" style="width=600px;height=150px">
    <br><br><br><b><%=rbsettings.getString("auth.no.auths.match")%></b><br>
    </div>
<%  }
    if (printable == null)
    {
%>
    <hr>
    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>
<%
    }
%>

</form>
<% authToolboxReportTableView.dumpTableHiddenPart(out); %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
