<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="groupUI" class="com.hp.mx.portal.settings.MxGroupUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
    // Set Necessary HTTP header attributes (for localization and caching)
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    rbsettings.init(loginBean, "MxSettings");

    // Do NOT reset the bean in this page! This uses no bean data.
    // Because this is a session bean, it may already be populated with
    // data for another page, and resetting would wipe it out.
    //groupUI.resetBean();

    String systemGroupID   = request.getParameter("systemgroupid");
    String systemGroupName = null;
    if (systemGroupID != null)
    {
        systemGroupName = groupUI.nameForID(loginBean, systemGroupID);
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("okButton", rbsettings.getString("button.ok"), "window.close()"));

%>
<html>

<head>
<title>
<%
    if (systemGroupName != null)
    {
%>
        <%=systemGroupName%>
<%
    }
    else
    {
%>
        <%=rbsettings.getString("nodegroup")%>
<%
    }
%>
</title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language='javascript' type='text/javascript'>
    function focusMe()
    {
        setTimeout('self.focus()', 250);
    }
</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onload='focusMe()' onblur='focusMe()' marginwidth='0'
                                            marginheight='0'
                                            topmargin='0'
                                            bottommargin='0'
                                            leftmargin='0'
                                            rightmargin='0'>
<br>
<table border='0' cellspacing='0' cellpadding='0' style='width:100%'>
    <tr>
        <td colspan='3' align='center'>
        <%=rbsettings.getString("show.group.members.heading_1")%>
<%  if (systemGroupName != null)
    {
%>
        <br><b><%=systemGroupName %></b>
<%  }
%>
        <%=rbsettings.getString("show.group.members.heading_2")%>:
        </td>
    </tr>
    <tr>
        <td colspan='3'>&nbsp;</td>
    </tr>
    <tr>
        <td>&nbsp;&nbsp;</td>
        <td valign='top' style='width:100%; height:180'>
<textarea readonly="true" class='members-td' style="width:100%;height:180px;overflow:auto">
<% groupUI.listNodeGroupMembers(loginBean, out, request.getParameter("systemgroupid")); %>
</textarea>
        </td>
        <td>&nbsp;&nbsp;</td>
    </tr>
    <tr>
        <td colspan='3'>&nbsp;</td>
    </tr>
    <tr>
        <td colspan='2' align='right'>
            <% buttons.dumpButtons(out);%>
        </td>
        <td>&nbsp;</td>
    </tr>
</table>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
