<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.portal.settings.ProtocolSettingsBean" %>
<%@ page import="com.hp.mx.core.protocol.reachable.Reachable" %>

<jsp:useBean id="protSetResBndl" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="ftwProtoSettings" class="com.hp.mx.portal.settings.ProtocolSettingsBean" scope="session" />
<jsp:useBean id="ftwUIbean" scope="session" class="com.hp.mx.portal.settings.FirstTimeWizardUIBean" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // setup resources.
    protSetResBndl.init(loginBean, "ProtocolSettings");
    ftwUIbean.getResBundles(loginBean);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag btnBackTag = new MxDefaultTag("btnBack", ftwUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()");
    MxTag btnNextTag = new MxDefaultTag("btnNext", ftwUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()");
    buttons.addMxTag(btnBackTag);
    buttons.addMxTag(btnNextTag);

    String referer = request.getHeader("referer");

    if (referer.indexOf(ftwUIbean.getResString("WBEM_PAGE_URL")) != -1)
    {
        //clear wbem variables
        ftwProtoSettings.clearWbemDefaults();
    }
%>

<jsp:setProperty name="ftwProtoSettings" property="*"/>

<HTML>
<HEAD>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <TITLE>
    <%=ftwUIbean.getResString("SNMP_LABEL")%>
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>

    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("admin_protocols_setting")</SCRIPT>

    <SCRIPT language="javascript">
    function myOnLoadHandler()
    {
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY LEFTMARGIN=0 onload="myOnLoadHandler()">
<A NAME="NAME_PAGE_TOP"></A>

<FORM ID="frmNotification" NAME="frmNotification" METHOD="GET"
    class="mxForm" width="100%">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
    <TR valign='top'>
        <TD>
            <%
            int currentTab = 3;
            %>
            <%@include file="FirstTimeWizard_DrawTabs.txt"%>
        </TD>
        <TD style='padding-left:12px;' align='left' width='100%'>
            <TABLE  class="top-border-table"
                    WIDTH="100%">
                <TR><TD>
                    <B>
                        <FONT class="mxPageSubTitle">
                           <%=ftwUIbean.getResString("SNMP_LABEL")%>
                        </FONT>
                    </B>
                    <br>
                    <%=ftwUIbean.getResString("SNMP_LINK")%>
                    <p>
                    <%=ftwUIbean.getResString("SNMP_MAIN_TEXT")%>
                    <p>
                    <table>
                        <tr align="left" valign="center">
                          <td>
                              &nbsp;
                          </td>
                          <td>
                              <%= protSetResBndl.getString("protocols.snmp.commlist")%>
                          </td>
                        </tr>
                        <tr align="left" valign="center">
                          <td>
                              <%= protSetResBndl.getString("default1")%>
                          </td>
                          <td>
                              <input TYPE="text" NAME="snmpReadCommString1" MAXLENGTH="200"
                              VALUE="<jsp:getProperty name="ftwProtoSettings" property="snmpReadCommString1" />" SIZE="25">
                          </td>
                        </tr>
                        <tr align="left" valign="center">
                          <td>
                              <%= protSetResBndl.getString("default2")%>
                          </td>
                          <td>
                              <input TYPE="text" NAME="snmpReadCommString2" MAXLENGTH="200"
                              VALUE="<jsp:getProperty name="ftwProtoSettings" property="snmpReadCommString2" />" SIZE="25">
                          </td>
                        </tr>
                        <tr align="left" valign="center">
                          <td>
                              <%= protSetResBndl.getString("default3")%>
                          </td>
                          <td>
                              <input TYPE="text" NAME="snmpReadCommString3" MAXLENGTH="200"
                              VALUE="<jsp:getProperty name="ftwProtoSettings" property="snmpReadCommString3" />" SIZE="25">
                          </td>
                        </tr>
                        <tr align="left" valign="center">
                          <td>
                              <%= protSetResBndl.getString("default4")%>
                          </td>
                          <td>
                              <input TYPE="text" NAME="snmpReadCommString4" MAXLENGTH="200"
                              VALUE="<jsp:getProperty name="ftwProtoSettings" property="snmpReadCommString4" />" SIZE="25">
                          </td>
                        </tr>
                    </table>
                </TD></TR>
            </TABLE>
        </TD>
    </TR>
    </TABLE>
    <!-- End Data -->

    <SCRIPT>
    function nextPage()
    {
        document.getElementById('frmNotification').action='<%=ftwUIbean.getResString("DISCOVERY_PAGE_URL")%>';
        document.getElementById('frmNotification').submit();
    }
    function prevPage()
    {
        document.getElementById('frmNotification').action='<%=ftwUIbean.getResString("WBEM_PAGE_URL")%>';
        document.getElementById('frmNotification').submit();

    }
    </SCRIPT>

</FORM>

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
