<%@page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.core.querymanager.Query"%>
<%@page import="com.hp.mx.core.querymanager.QueryType"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.html.core.MxHtmlUtil"%>

<jsp:useBean id="ftwAoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }
    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnBack", ftwAoneUIbean.getResString("BUTTON_CLOSE_LABEL"), "closePage()"));

    int queryID = -1;
    String queryName = "";

    try
    {
        queryID = Integer.parseInt(request.getParameter("queryId"));
        queryName = request.getParameter("queryName");
        if (queryName == null)
        {
            queryName = "";
        }
    }
    catch (Exception e)
    {
        return;
    }
%>
<HTML>
<HEAD>
    <TITLE>
        View Query
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=ftwAoneUIbean.getResString("VIEW_QUERY_PAGE_HELP")%>")</SCRIPT>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
    <SCRIPT language="javascript">
        function myOnLoadHandler()
        {}
    </SCRIPT>
</HEAD>
<BODY LEFTMARGIN="0" onload="myOnLoadHandler()">
    <HR class='rule'>
     <SPAN class='mxPageSubTitle'>
        <STRONG>
            <%=ftwAoneUIbean.getResString("QUERY_NAME_LABEL")%>
                &nbsp;<%=queryName%>
        </STRONG>
    </SPAN>
    <P>
    <strong><%=ftwAoneUIbean.getResString("EVENTS_LABEL")%></strong>
    <blockquote>
        <%
        try
        {
            ftwAoneUIbean.printList(loginBean, queryID, QueryType.EVENT, out);
        }
        catch(Exception e)
        {
            out.print("&nbsp;");
        }
        %>
    </blockquote>
    <strong><%=ftwAoneUIbean.getResString("SYSTEMS_LABEL")%></strong>
    <blockquote>
        <%
        try
        {
            ftwAoneUIbean.printList(loginBean, queryID, QueryType.DEVICE, out);
        }
        catch(Exception e)
        {
            out.print("&nbsp;");
        }
        %>
    </blockquote>
<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>
    <!-- End Data -->
    <script>
        function closePage()
        {
            document.location='<%=ftwAoneUIbean.getResString("BLANK_PAGE_URL")%>';
        }
    </script>
<BR>
<BR>
<BR>
<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
