<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.portal.taskandjob.AgentRepair.AgentRepairCommandToolParameters" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.html.core.MxButton"%>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="repairResources" class="com.hp.mx.portal.res.MxResourceBean" scope="page" />
<jsp:useBean id="agentRepairBean" class="com.hp.mx.portal.taskandjob.AgentRepair.AgentRepairBean" scope="session" />
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // set up the resource file
    repairResources.init(loginBean, "AgentRepair");

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // set up the task setup bean
    // is this a task edit?
    String editTask = request.getParameter("edit");
    if (editTask == null)
        editTask = "";

    if (request.getMethod().equals("POST") == false)
    {
        if (agentRepairBean.isFirstTime() || editTask.equals("1"))
        {
            agentRepairBean.initialize(loginBean, (AgentRepairCommandToolParameters)inst.getTaskUserParameters());
        }
        else
        {
            agentRepairBean.initialize(loginBean, null);
        }
    }
%>

<%--
    QueryString = <%= request.getQueryString() %><br>
    URL = <%= request.getRequestURL() %><br>
--%>

<html>
    <head>
        <title><%= repairResources.getString("panel1.title") %></title>
        </title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <STYLE TYPE="text/css">
        <!--
            .indented{margin-left:12px;}
        -->
        </STYLE>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript'> MxPortalWorkspaceSetHelpTopicEx("rashtml","ras_remote");</script>
        <script language='javascript' type='text/javascript'>

            function checkRequiredFields()
            {
                // check all required fields - check to make sure they
                // have something in their respective <input> boxes.
                var username  = document.getElementById("username").value;
                var password  = document.getElementById("password").value;
                var password2 = document.getElementById("passwordConfirm").value;

                if( username == "" )
                    return "<%= repairResources.getString("panel1.noUsername") %>";

                if( password == "" )
                    return "<%= repairResources.getString("panel1.noPassword") %>";

                if( password2 == "" )
                    return "<%= repairResources.getString("panel1.noPassword2") %>";

                if( password != password2 )
                    return "<%= repairResources.getString("panel1.noPasswordMatch") %>";

                return "";
            }

            function nextButtonFunction()
            {
                var msg = checkRequiredFields();
                if ( msg == "" )
                {
                    document.userPassForm.submit();
                    setReloadOnError(false);
                    return true;
                }
                else
                {
                    alert(msg);
                    return false;
                }
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body>
<%--
<script>
    alert( "inst=<%= inst%>\nUsername = <%= request.getParameter("username") %>\nPassword = <%= request.getParameter("password") %>\nDomain   = <%= request.getParameter("domain") %>" );
</script>
--%>

<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST"))
    {
        // Check if the password is the default. If it is, don't
        // save it off
        String password = request.getParameter("password");
        if (!password.equals("abfd98%"))
        {
%>
            <jsp:setProperty name="agentRepairBean" property="password" value="<%= request.getParameter(\"password\") %>" />
<%
        }
%>
        <jsp:setProperty name="agentRepairBean" property="username" value="<%= request.getParameter(\"username\") %>" />
        <jsp:setProperty name="agentRepairBean" property="domain" value="<%= request.getParameter(\"domain\") %>" />
<%
        if (agentRepairBean.isUserInfoValid())
        {
            // User data is valid, go to the next wizard step
%>
            <script>loadWizardNextStep();</script>
<%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
%>
            <script>loadWizardCurrentStep();</script>
<%
        }
    }
    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
%>

        <script>
            setWizardStepText('<%= repairResources.getString("panel1.title") %>');
        </script>

        <jsp:getProperty name="agentRepairBean" property="userInfoMsg" />

        <%=repairResources.getString("panel1.explain") %></p>
        <%=repairResources.getString("panel1.prompt") %>

        <div class="indented">
        <form id="userPassForm" name="userPassForm" action="AgentRepairTask1.jsp" method="post">
        <table>
        <tr>
        <td><%=repairResources.getString("panel1.enterUsername") %></td>
        <td><input id='username' name='username' type='text' size='25' value="<jsp:getProperty name="agentRepairBean" property="username" />" ></td>
        </tr>
        <tr>
        <%
        if (editTask.equals("1"))
        {
        %>
            <td><%=repairResources.getString("panel1.enterPassword") %></td>
            <td><input id='password' name='password' type='password' value='<jsp:getProperty name="agentRepairBean" property="password" />' size='25'></td>
            </tr>
            <tr>
            <td><%=repairResources.getString("panel1.enterPasswordConfirm") %></td>
            <td><input id='passwordConfirm' name='passwordConfirm' type='password' value='<jsp:getProperty name="agentRepairBean" property="password" />' size='25'></td>
            </tr>
        <%
        }
        else
        {
        %>
            <td><%=repairResources.getString("panel1.enterPassword") %></td>
            <td><input id='password' name='password' type='password' size='25'></td>
            </tr>
            <tr>
            <td><%=repairResources.getString("panel1.enterPasswordConfirm") %></td>
            <td><input id='passwordConfirm' name='passwordConfirm' type='password' size='25'></td>
            </tr>
        <%
        }
        %>
        <tr>
        <td><%=repairResources.getString("panel1.enterDomain") %></td>
        <td><input id='domain' name='domain' type='text' size='25' value="<jsp:getProperty name="agentRepairBean" property="domain" />" ></td>
        </tr>
        <br><br>
        </table>
        <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>'>
        <input type='hidden' id='firstTime' name='firstTime' value="no">
        </form>
        </div>
        <script>
            setFormSubmitName("userPassForm")
        </script>

        <script language='javascript' type='text/javascript'>
            displayTaskWizardButtons(); // display Previous/Next
            checkRequiredFields();
        </script>

    <%
    }
    %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
