<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/taskandjob/DeviceSuspendTool.jsp,v $
// $Revision: 1.8 $
// $Date: 2005/04/28 19:14:49 $
//
%>
<%@ page info="Suspend/Resume Systems Tool"%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.nodemanager.MxNode" %>
<%@ page import="com.hp.mx.core.controllers.MxNodeController" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.core.tools.systemattributes.SnoozeTaskModel" %>
<%@ page import="com.hp.mx.html.table.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="com.hp.mx.core.nodemanager.MxNodeName" %>
<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session" />
<jsp:useBean id="daBean" class="com.hp.mx.portal.device.DeviceAttributesBean" scope="session" />
<jsp:useBean id="daBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<%!
    /** **********************************************************************
     * The debug object
     ************************************************************************ */
    public DebugSubsystem srToolDebug = DebugOutput.getDebugSubsystem("daBean");
%>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    srToolDebug.log(5, "[DeviceSuspendTool.jsp] Page loading ****************************************");

    // REQUIRED: Abort the page & redirect if the session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // This aborts the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_MODIFICATION_PRIVILEGE))
    {
        %><jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" /><%
    }

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // Initialize beans
    srToolDebug.log(5, "[DeviceSuspendTool.jsp] Initialize the Bean (Mmmmm....Beans....)");
    daBundle.init(loginBean, "DeviceAttributes");
    daBean.initializeForTool(loginBean, (SnoozeTaskModel)inst.getTaskUserParameters());
%>

<HTML>
<HEAD>
    <TITLE><%= daBundle.getString("suspendTool.pageTitle") %></TITLE>
    <link href='<%= MxOptions.URL_BASE %>/taskandjob/css/taskAndJob.css' rel='stylesheet' type='text/css'>
    <link href="<%= MxOptions.URL_BASE %>/css/MxPortalEx.css" rel="stylesheet" type="text/css">
    <script src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js' language='JavaScript' type='text/javascript'></script>
    <script src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js' language='JavaScript' type='text/javascript'></script>
    <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>
    <script language="JavaScript" type="text/javascript">
        MxPortalWorkspaceSetHelpTopic("admin_sysProperties_suspendResume_multiple");
    </script>
    <%
    //JavaScript functions to make sure that a user enters valid characaters
    // for a device search.
    %>
    <script language="JavaScript" type="text/javascript">

        //this function doesn't appear to be used....
        function enableNextButton()
        {
            ourButtonManager.enableButtonById('nextBtn');
        }

        var nextClickedOnce = false;
        function nextButtonFunction()
        {
            var readyToProceed = true;
            return readyToProceed;
        }

        function displaySrcNameError(msg)
        {
            elErr = document.getElementById("nameErrorField");
            if (elErr != null)
               elErr.innerHTML = msg;
        }

        function enableButtons(flag)
        {
            if (flag)
            {
                enableElement('snoozeTime')
            }
            else
            {
                disableElement('snoozeTime')
            }
        }
    </script>
    <script language="JavaScript" type="text/javascript">
        function myOnLoad()
        {
            setTimeout("myOnResize()", 500);
        }

        function myOnResize()
        {
            resize_w();
        }

        function resize_w()
        {
            var w = Math.max(0, MxBrowserGetBodyWidth(0, 0));
        }
    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>

<BODY onLoad="myOnLoad()" onResize="myOnResize()">
    <%
    // DISPLAY BEAN AND JSP PROPERTIES
    if (srToolDebug.check(20))
    {
        daBean.displayBeanPropsHtml(out);
        out.println("<BR>");
        daBean.displayJspParamsHtml(request, out);
        daBean.displayJspParamsToConsole(request);
    }

    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST"))
    {
        srToolDebug.log(5, "[DeviceSuspendTool.jsp] PROCESSING HTTP POST");
        daBean.clearAllErrorMessages();

        // Save the user settings (sets the data model in the Bean)
        daBean.saveSnoozeSettingsForTool(request);

        // PASS THE DATA MODEL TO THE TASK WIZARD
        SnoozeTaskModel myTaskModel = daBean.getSnoozeTaskModel();
        inst.setTaskUserParameters(myTaskModel);

        // Let the task wizard continue with the running or scheduling
        %><script>loadWizardNextStep();</script><%
    }
    else
    {
        ///////////////////////////////////////////////////////////////////////////
        // THIS IS NOT A POST - Display normally
        ///////////////////////////////////////////////////////////////////////////
        srToolDebug.log(5, "[DeviceSuspendTool.jsp] PROCESSING HTTP GET (Page displaying normally)");
        %>
        <script language="JavaScript" type="text/javascript">setWizardStepText("<%= daBundle.getString("suspendTool.wizard.subtitle") %>");</script>

        <!-- SNOOZE SETTINGS -->
        <table border="0" cellpadding="0" cellspacing="0" style="width:100%">
            <tr><td><%= daBean.getResourceString("suspendTool.instructions")%></td></tr>
        </table>
        <br>
        <br>
        <form action="DeviceSuspendTool.jsp?devId=<%= request.getParameter("devId") %>" method="post" name="dvcAttribsForm" id="dvcAttribsForm">

        <input type="radio" name="rbSnooze" value="<%= daBean.SNOOZE_OFF %>" id="rbSnoozeNever" value="1" onClick="enableButtons(false)" <%= daBean.getSnoozeSetting().equalsIgnoreCase(daBean.SNOOZE_OFF) ? "checked" : ""  %>><label for="rbSnoozeNever"><%= daBundle.getString("suspendTool.time.label.none")%></label><br>
        <input type="radio" name="rbSnooze" value="<%= daBean.SNOOZE_ON %>" id="rbSnoozeSometimes" value="2" onClick="enableButtons(true)" <%= daBean.getSnoozeSetting().equalsIgnoreCase(daBean.SNOOZE_ON) ? "checked" : ""  %>><label for="rbSnoozeSometimes"><%= daBundle.getString("suspendTool.time.label.temporary")%></label>
        <select name="snoozeTime" id="snoozeTime" size="1" <%= daBean.getSnoozeSetting().equalsIgnoreCase(daBean.SNOOZE_ON) ? "" : "disabled"  %>>
            <option value="5" <%= (daBean.getSnoozeTimeLeft() == 5) ? "selected" : ""  %>><%= daBundle.getString("suspend.time.5min")%></option>
            <option value="15" <%= (daBean.getSnoozeTimeLeft() == 15) ? "selected" : ""  %>><%= daBundle.getString("suspend.time.15min")%></option>
            <option value="60" <%= (daBean.getSnoozeTimeLeft() == 60) ? "selected" : ""  %>><%= daBundle.getString("suspend.time.1hour")%></option>
            <option value="1440" <%= (daBean.getSnoozeTimeLeft() == 1440) ? "selected" : ""  %>><%= daBundle.getString("suspend.time.1day")%></option>
        </select>
        <br>
        <input type="radio" name="rbSnooze" value="<%= daBean.SNOOZE_PERMANENT %>" id="rbSnoozeAlways" value="3" onClick="enableButtons(false)" <%= daBean.getSnoozeSetting().equalsIgnoreCase(daBean.SNOOZE_PERMANENT) ? "checked" : ""  %>><label for="rbSnoozeAlways"><%= daBundle.getString("suspendTool.time.label.indefinitely")%></label><br>
        <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>'>
        </form>

        <script>
            setFormSubmitName("dvcAttribsForm");
            displayTaskWizardButtons();
        </script>

        <%
    }
        %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
