<%@ page import="com.hp.mx.core.querymanager.components.SWTreeEventData" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="vcRepositoryBean" class="com.hp.mx.portal.settings.VCRepositorySetup" scope="session"/>
<jsp:useBean id="vcrResourceSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="initialPSPInstallBean" class="com.hp.mx.portal.taskandjob.InitialPSPInstall.InitialPSPInstallBean" scope="session" />
<jsp:useBean id="updateSystemSoftwareBean" class="com.hp.mx.core.tools.swmaintenance.UpdateSystemSoftwareBean" scope="session" />
<jsp:useBean id="pspSelectionModelRepositories" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>

<%
    MxBean.jspInit(request, response);

    int treeType = 0;
    boolean getRepositoryVersion = false;

    // get the URL parameters
    String param1 = request.getParameter("treeType");
    String calledFrom = request.getParameter("calledFrom");

    if (param1 != null)
        treeType = Integer.parseInt(param1);

    // if this is the Install PSP task, we want to know the
    // version of the repository retrieved

    if (calledFrom != null && calledFrom.equals("InstallPSP"))
    {
        getRepositoryVersion = true;
    }

    int tableModelIndices[] = pspSelectionModelRepositories.getSelectedIndices();
    if (tableModelIndices.length >0)
    {
        // set the bean up to point to the selected table row
        vcRepositoryBean.selectRepositoryDeviceRow(tableModelIndices[0]);

        // set the selected repository in the appropriate data model
        int repos = vcRepositoryBean.getSelectedRowDeviceKey();
        if (calledFrom != null)
        {
            if (calledFrom.equals("InstallPSP"))
                initialPSPInstallBean.setRepository(new Integer(repos));
            else if (calledFrom.equals("UpdateSWFW"))
                updateSystemSoftwareBean.setRepository(repos);
        }
    }

    SWTreeEventData treeData = vcRepositoryBean.getSelectedRepository(treeType, getRepositoryVersion);

    int status = 0;
    if (treeData == null || treeData.getOpStat() < 200 || treeData.getOpStat() > 202)
    {
        status = -1;
    }

    out.println("<script>parent.drawNewCatalog(" + status + ");</script>");
%>
