<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="MpAddUserBean" class="com.hp.mx.portal.taskandjob.MpTools.MpAddUser.MxMpAddUser" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<%@ page import="com.hp.mx.portal.res.MxResourceBean"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.taskandjob.MpTools.MpAddUser.MxMpAddUserCommandToolParameters"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String timeStamp=request.getParameter("timeStamp");
    MxTaskWizardInstance inst=(MxTaskWizardInstance) taskWizardBean.getInstance(timeStamp);
    // is this a task edit?
    boolean editTask = (request.getParameter("edit") != null);

    if ((MpAddUserBean.isFirstTime() == true) || (editTask == true))
    {
        // initialize the Bean (resource bundle, etc)
        MpAddUserBean.initialize(loginBean, (MxMpAddUserCommandToolParameters)inst.getTaskUserParameters());
    }

    // get the resource bundle for localized string display
    MxResourceBean rb = MpAddUserBean.getRB();

    // use this value to populate the password fields.  If it is the default, "abfd98%"
    // we don't set the value.  This default value is used to disguise the length
    String passwordValue = "";

%>
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC
    "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title></title>
    <link rel="stylesheet" type="text/css" href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'/>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'>
    </script>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'>
    </script>

    <script src="../../js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    </script>

    <script language='javascript' type='text/javascript'>
    // username and password values
    var loginid        = null;
    var password        = null;
    var passwordConfirm = null;


    function operModeEnabledChanged(){
         var enable = true;
             enable=!document.getElementById("operMode").checked;
             if(enable==true){
                 document.getElementById("modeMultiple").checked=false;
                 document.getElementById("modeSingle").checked=false;

             }
             document.getElementById("modeMultiple").disabled=enable;
             document.getElementById("modeSingle").disabled=enable;
    }


    /////////////////////////////////////
    // checkRequiredFields()
    /////////////////////////////////////
    function checkRequiredFields()
    {
        var enableButton = true;
        if (document.getElementById("loginid").value == '' ||
            document.getElementById("password").value == '' ||
            document.getElementById("passwordConfirm").value == '' ||
            document.getElementById("username").value == ''  )
        {
            enableButton = false;
        }

        // if all passes, then enable the Next button
        // else, disable it
        enableWizardButtons(enableButton);
    }
    /////////////////////////////////////
    // enableWizardButtons()
    /////////////////////////////////////
    function enableWizardButtons(enable)
    {
        // enable or disable the "Schedule" button
        enableButton(document.getElementById("scheduleBtn"),false);
        // enable or disable the "Run Now" button
        enableButton(document.getElementById("runNowBtn"), enable);
    }
    /////////////////////////////////////
    // scheduleButtonFunction()
    /////////////////////////////////////
    function scheduleButtonFunction()
    {
        password        = document.getElementById("password").value;
        passwordConfirm = document.getElementById("passwordConfirm").value;

        if(document.getElementById("rightsc").checked==false &&
           document.getElementById("rightsp").checked==false &&
           document.getElementById("rightsf").checked==false &&
           document.getElementById("rightsu").checked==false ){
                var return_value = confirm('<%=rb.getString("USR_ADD_NO_RIGHTS")%>' + '\n'+ '<%=rb.getString("PROMPT_CONTINUE")%>');
                  if ( return_value == false ){
                      setReloadOnError(false);
                      checkRequiredFields();
                      return false;
                  }
        }


        if(password!=''){
            if ((password == passwordConfirm))
            {
                if ( (password.length < 6) || (password.length > 24) )
                {
                    setReloadOnError(false);
                    alert('<%=rb.getString("PASSWORD_LENGTH_INV")%>');
                    return false;
                }


                setReloadOnError(false);
                return true;
            }else{

            setReloadOnError(false);
            alert('<%=rb.getString("PASSWORD_MISMATCH")%>');
            return false;
            }


        }

        setReloadOnError(false);
        return true;

    }
    /////////////////////////////////////
    // runNowButtonFunction()
    /////////////////////////////////////
    function runNowButtonFunction()
    {
        return scheduleButtonFunction();
    }
    /////////////////////////////////////
    // setFocus()
    /////////////////////////////////////
    function setFocus()
    {
        var field = document.getElementById('loginid');

        if ((field != null) && (field.disabled == false))
        {
            field.focus();
        }
    }

    </script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

    <body>
<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A post?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST") == true)
    {
        // Check if the password is the default. If it is, don't save it off
        StringBuffer rightsValue =new StringBuffer(256); rightsValue.append("");
        StringBuffer sep=new StringBuffer(25); sep.append(" ");
        if(request.getParameter("rightsc")!=null)
            if((request.getParameter("rightsc")).equals("console")==true)   {rightsValue.append("C");sep.setCharAt(0,',');}
        if(request.getParameter("rightsp")!=null)
            if((request.getParameter("rightsp")).equals("power")==true)   {rightsValue.append(sep.toString());rightsValue.append("P");sep.setCharAt(0,',');}
        if(request.getParameter("rightsf")!=null)
            if((request.getParameter("rightsf")).equals("config")==true)  {rightsValue.append(sep.toString());rightsValue.append("M");sep.setCharAt(0,',');}
        if(request.getParameter("rightsu")!=null)
            if((request.getParameter("rightsu")).equals("user")==true)    {rightsValue.append(sep.toString());rightsValue.append("U");sep.setCharAt(0,',');}
        if(rightsValue.toString().equals("")==true)
            rightsValue.append("N"); // no rights

       StringBuffer modeProp = new StringBuffer("");
       if(request.getParameter("mode")!=null)
           modeProp.append(request.getParameter("mode"));

       StringBuffer enableProp = new StringBuffer("");
       if(request.getParameter("usrEnabled")!=null){
            enableProp.append("enabled");
       } else
            enableProp.append("disabled");


 %>

    <jsp:setProperty name="MpAddUserBean" property="loginid" value="<%=request.getParameter(\"loginid\")%>"/>
    <jsp:setProperty name="MpAddUserBean" property="password" value="<%=request.getParameter(\"password\")%>"/>
    <jsp:setProperty name="MpAddUserBean" property="username" value="<%=request.getParameter(\"username\")%>"/>
    <jsp:setProperty name="MpAddUserBean" property="rights" value="<%=rightsValue.toString()%>"/>
<%

        if (MpAddUserBean.isAddUserInfoValid() == true)
        {

            MpAddUserBean.setArgumentValues();
            MxMpAddUserCommandToolParameters params = MpAddUserBean.getToolParameters();
            inst.setTaskUserParameters(params);

            // User data is valid, go to the next wizard step
            %>
    <script language='javascript' type='text/javascript'>
    loadWizardNextStep();
    </script>
            <%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>

    <script language='javascript' type='text/javascript'>
    loadWizardCurrentStep();
    </script>
            <%
        }
    }

    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A post - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
 %>

    <script language='javascript' type='text/javascript'>
    setWizardStepText('<%=rb.getString("WIZARD_TITLE_ADD")%>');
    </script>
    <script language="JavaScript">
            MxPortalWorkspaceSetHelpTopic("useTools_mgmtProc_newUser") ;
    </script>

        <form id="addUserForm" name="addUserForm" action="MpAddUserCPP1.jsp" method="post">

        <table cellspacing='0' cellpadding='0' border='0' style="white-space: nowrap;">
            <tr>
                <td><%=rb.getString("USR_HELP_1")%></td>
            </tr>
        </table>

        <br/>
        <table cellpadding='0' cellspacing='0' border='0' style="white-space: nowrap;">
            <tr>
                <td width="20px"></td>
                <td>
                    <span style="color:#FF0000; font-size:10px;"><%=rb.getString("REQUIRED_FIELD")%>&nbsp;*</span>
                </td>
            </tr>
            <tr>
                <td height="15px" colspan="2"></td>
            </tr>
        </table>



        <table border="0"  cellspacing="0" cellpadding="0" style="white-space: nowrap;">
            <tr>
                <td width="20px" rowspan="12"></td>
                <td width="10px" height="15px"></td>
                <td width="115px"></td>
                <td width="300px"></td>
            </tr>
            <tr>
                <td height="17px" colspan="2"><%=rb.getString("LOGINID")%><span style="color:#FF0000;">&nbsp;*</span></td>
                <td><input type="text" id="loginid" name="loginid" value="" size="20"  onkeyup='checkRequiredFields()' /></td>
            </tr>
             <tr>
                <td height="17px" colspan="2"><%=rb.getString("PASSWORD")%><span style="color:#FF0000;">&nbsp;*</span></td>
                <td><input type="password" id="password" name="password" value="" size="20"  onkeyup='checkRequiredFields()' /></td>
            </tr>

            <tr>
                <td height="17px" colspan="2"><%=rb.getString("CONFIRM_PASSWORD")%><span style="color:#FF0000;">&nbsp;*</span></td>
                <td><input type="password" id="passwordConfirm" name="passwordConfirm" value="" size="20"  onkeyup='checkRequiredFields()' /></td>
            </tr>

            <tr>
                <td height="17px" colspan="2"><%=rb.getString("USERNAME")%><span style="color:#FF0000;">&nbsp;*</span></td>
                <td><input type="text" id="username" name="username" value="" size="20" onkeyup='checkRequiredFields()' /></td>
            </tr>

            <tr>
                <td  height="10px" colspan="3"></td>
            </tr>

            <tr>
                <td height="17px" colspan="3"><%=rb.getString("RIGHTS")%></td>
            </tr>

            <tr>
                <td width="10px" rowspan="5"></td>
                <td colspan="2"> <input type="checkbox" name="rightsc" value="console" checked="checked" /><%=rb.getString("CONSOLE_ACCESS")%><br /></td>
            </tr>
            <tr>
                <td colspan="2"><input type="checkbox" name="rightsp" value="power"                     /><%=rb.getString("POWER_ACCESS")%><br /></td>
            </tr>
            <tr>
                 <td colspan="2"><input type="checkbox" name="rightsf" value="config"                     /><%=rb.getString("MP_ACCESS")%><br /></td>
            </tr>
            <tr>
               <td colspan="2"><input type="checkbox" name="rightsu" value="user"                        /><%=rb.getString("UA_ACCESS")%><br /></td>
            </tr>
        </table>
       <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>' />
      </form>
    <br/>
    <br/>

    <script language='javascript' type='text/javascript'>
    setFormSubmitName("addUserForm")
    // display Previous/Next
    displayTaskWizardButtons();
    // set the focus to the 'username' field
    setFocus();
    // check required fieldsto allow page advancement
    checkRequiredFields();
    </script>
<%
    }
%>

    </body>
<% MxHtmlUtil.dumpBodyEnd(out); %>
</html>
