<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="MpLanAccessBean" class="com.hp.mx.portal.taskandjob.MpTools.MpLanAccess.MxMpLanAccess" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<%@ page import="com.hp.mx.portal.res.MxResourceBean"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.taskandjob.MpTools.MpLanAccess.MxMpLanAccessCommandToolParameters"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String timeStamp=request.getParameter("timeStamp");
    MxTaskWizardInstance inst=(MxTaskWizardInstance) taskWizardBean.getInstance(timeStamp);
    // is this a task edit?
    boolean editTask = (request.getParameter("edit") != null);

    if ((MpLanAccessBean.isFirstTime() == true) || (editTask == true))
    {
        // initialize the Bean (resource bundle, etc)
        MpLanAccessBean.initialize(loginBean, (MxMpLanAccessCommandToolParameters)inst.getTaskUserParameters());
    }

    // get the resource bundle for localized string display
    MxResourceBean rb = MpLanAccessBean.getRB();

    // use this value to populate the password fields.  If it is the default, "abfd98%"
    // we don't set the value.  This default value is used to disguise the length
    String passwordValue = "";

%>
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC
    "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title></title>
    <link rel="stylesheet" type="text/css" href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'/>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'>
    </script>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'>
    </script>
    <script src="../../js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    </script>
    <script language='javascript' type='text/javascript'>
    var requiredItems=0;
    var checkedItems=0;

    function changeWizardButtonEnabled(state){
        if(state==true)
        {
            checkedItems++;
        }
        else
        {
            checkedItems--;
        }

        if(checkedItems>requiredItems)
        {
            enableWizardButtons(true);
        } else
        {
            enableWizardButtons(false);
        }
    }

    function telnetAccessChanged(){
         var enable = true;
             enable=document.getElementById("telnetChange").checked;
             if(enable==false){
                 document.getElementById("telEn").checked=false;
                 document.getElementById("telDis").checked=false;

             }
             document.getElementById("telEn").disabled=!enable;
             document.getElementById("telDis").disabled=!enable;
             if(enable){
                 document.getElementById("telEn").checked=true;
             }

             changeWizardButtonEnabled(enable);
    }

    function sshAccessChanged(){
         var enable = true;
             enable=document.getElementById("sshChange").checked;
             if(enable==false){
                 document.getElementById("sshEn").checked=false;
                 document.getElementById("sshPort").disabled=false;

             }
             document.getElementById("sshEn").disabled=!enable;
             document.getElementById("sshDis").disabled=!enable;
             if(enable){
                 document.getElementById("sshEn").checked=true;
             }
             changeWizardButtonEnabled(enable);
    }
    function webAccessChanged(){
         var enable = true;
             enable=document.getElementById("webChange").checked;
             if(enable==false){
                 document.getElementById("webEn").checked=false;
                 document.getElementById("webDis").checked=false;

             }
             document.getElementById("webEn").disabled=!enable;
             document.getElementById("webDis").disabled=!enable;
             if(enable){
                 document.getElementById("webEn").checked=true;
             }
             changeWizardButtonEnabled(enable);
    }
    function ipmiAccessChanged(){
         var enable = true;
             enable=document.getElementById("ipmiChange").checked;
             if(enable==false){
                 document.getElementById("ipmiEn").checked=false;
                 document.getElementById("ipmiDis").checked=false;

             }
             document.getElementById("ipmiEn").disabled=!enable;
             document.getElementById("ipmiDis").disabled=!enable;
             if(enable){
                 document.getElementById("ipmiEn").checked=true;
             }
             changeWizardButtonEnabled(enable);
    }

    function webPortChanged(){
        var enable = true;
            enable=document.getElementById("webPortChange").checked;
            if(enable){
                    document.getElementById("webPort").disabled=false;
                    document.getElementById("webPort").value="";
            }else{
                document.getElementById("webPort").disabled=true;

            }
            changeWizardButtonEnabled(enable);
    }

    function sshPortChanged(){
        var enable = true;
            enable=document.getElementById("sshPortChange").checked;
            if(enable){
                    document.getElementById("sshPort").disabled=false;
                    document.getElementById("sshPort").value="";
            }else{
                document.getElementById("sshPort").disabled=true;

            }
            changeWizardButtonEnabled(enable);
    }

    /////////////////////////////////////
    // checkRequiredFields()
    /////////////////////////////////////
    function checkRequiredFields()
    {
        enableWizardButtons(checkedItems>requiredItems);
    }
    /////////////////////////////////////
    // enableWizardButtons()
    /////////////////////////////////////
    function enableWizardButtons(enable)
    {
        // enable or disable the "Schedule" button
        enableButton(document.getElementById("scheduleBtn"), enable);
        // enable or disable the "Run Now" button
        enableButton(document.getElementById("runNowBtn"), enable);
    }
    /////////////////////////////////////
    // scheduleButtonFunction()
    /////////////////////////////////////
    function scheduleButtonFunction()
    {

        if ( document.getElementById("webPortChange").checked)
        {
            if(document.getElementById("webPort").value!='') {
                if(document.getElementById("webPort").value!=23 &&
                   (document.getElementById("webPort").value<2000 || document.getElementById("webPort").value>2400)) {
                    setReloadOnError(false);
                    alert('<%=rb.getString("LAN_WEB_PORT_INVALID")%>');
                    checkRequiredFields();
                    return false;
                }
            }else{
                setReloadOnError(false);
                alert('<%=rb.getString("LAN_WEB_PORT_NULL")%>');
                checkRequiredFields();
                return false;
            }
        }


         setReloadOnError(false);
         return true;

    }
    /////////////////////////////////////
    // runNowButtonFunction()
    /////////////////////////////////////
    function runNowButtonFunction()
    {
        return scheduleButtonFunction();
    }
    /////////////////////////////////////
    // setFocus()
    /////////////////////////////////////
    function setFocus()
    {
        var field = document.getElementById('telnetChanged');

        if ((field != null) && (field.disabled == false))
        {
            field.focus();
        }
    }

    </script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

    <body>
<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A post?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST") == true)
    {
        // Radio Buttons

       StringBuffer telnetEnableProp = new StringBuffer("");
       if(request.getParameter("telnetChange")!=null){
           if((request.getParameter("telnetChange")).equals("enabled")==true){
               if(request.getParameter("telnetEnable")!=null)
                       telnetEnableProp.append(request.getParameter("telnetEnable"));
           }
       }
        StringBuffer sshEnableProp = new StringBuffer("");
        if(request.getParameter("sshChange")!=null){
            if((request.getParameter("sshChange")).equals("enabled")==true){
                if(request.getParameter("sshEnable")!=null)
                        sshEnableProp.append(request.getParameter("sshEnable"));
            }
        }
       StringBuffer webEnableProp = new StringBuffer("");
       if(request.getParameter("webChange")!=null){
           if((request.getParameter("webChange")).equals("enabled")==true){
               if(request.getParameter("webEnable")!=null)
                       webEnableProp.append(request.getParameter("webEnable"));
           }
       }

       StringBuffer ipmiEnableProp = new StringBuffer("");
       if(request.getParameter("ipmiChange")!=null){
           if((request.getParameter("ipmiChange")).equals("enabled")==true){
               if(request.getParameter("ipmiEnable")!=null)
                       ipmiEnableProp.append(request.getParameter("ipmiEnable"));
           }
       }

       // Text Input Boxes
       StringBuffer sshPortProp = new StringBuffer("");
       if(request.getParameter("sshPortChange")!=null){
           if((request.getParameter("sshPortChange")).equals("enabled")==true){
               if(request.getParameter("sshPort").equals("")==false)
                   sshPortProp.append(request.getParameter("sshPort"));
               else
                   sshPortProp.append(" ");
           }
      }


       StringBuffer webPortProp = new StringBuffer("");
       if(request.getParameter("webPortChange")!=null){
           if((request.getParameter("webPortChange")).equals("enabled")==true){
               if(request.getParameter("webPort").equals("")==false)
                   webPortProp.append(request.getParameter("webPort"));
               else
                   webPortProp.append(" ");
           }
      }

 %>

    <jsp:setProperty name="MpLanAccessBean" property="telnetEnable" value="<%=telnetEnableProp.toString()%>"/>
    <jsp:setProperty name="MpLanAccessBean" property="sshEnable" value="<%=sshEnableProp.toString()%>"/>
    <jsp:setProperty name="MpLanAccessBean" property="webEnable" value="<%=webEnableProp.toString()%>"/>
    <jsp:setProperty name="MpLanAccessBean" property="ipmiEnable" value="<%=ipmiEnableProp.toString()%>"/>
    <jsp:setProperty name="MpLanAccessBean" property="sshPort" value="<%=sshPortProp.toString()%>"/>
    <jsp:setProperty name="MpLanAccessBean" property="webPort" value="<%=webPortProp.toString()%>"/>
<%

        if (MpLanAccessBean.isLanAccessInfoValid() == true)
        {

            MpLanAccessBean.setArgumentValues();
            MxMpLanAccessCommandToolParameters params = MpLanAccessBean.getToolParameters();
            inst.setTaskUserParameters(params);

            // User data is valid, go to the next wizard step
            %>

    <script language='javascript' type='text/javascript'>
    loadWizardNextStep();
    </script>
            <%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>

    <script language='javascript' type='text/javascript'>
    loadWizardCurrentStep();
    </script>
            <%
        }
    }

    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A post - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
 %>

    <script language='javascript' type='text/javascript'>
    setWizardStepText('<%=rb.getString("WIZARD_TITLE_LAN_ACCESS")%>');
    </script>
    <script language="JavaScript">
            MxPortalWorkspaceSetHelpTopic("useTools_mgmtProc_LANAccess") ;
    </script>

    <form id="lanAccessForm" name="lanAccessForm" action="MpLanAccessCPP1.jsp" method="post">

          <table cellspacing='0' cellpadding='0' border='0' style="white-space: nowrap;">
            <tr>
                <td><%=rb.getString("PROMPT_SELECT_SETTINGS")%></td>
            </tr>
            <tr><td  height="17px" colspan="3"></td></tr>
           </table>
           <table border="0"  cellspacing="0" cellpadding="0" style="white-space: nowrap;">
            <tr>
                <td rowspan="40">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td width="10px" ></td>
                <td width="90px"></td>
                <td width="60px"></td>
                <td width="300px"></td>
            </tr>

            <tr>
                <td colspan="4"><input type="checkbox" name="telnetChange" id="telnetChange" value="enabled"  onclick="telnetAccessChanged();" /><%=rb.getString("LAN_ACCESS_TELNET")%></td>
            </tr>
            <tr>
                <td rowspan="2"></td>
                <td colspan="3"><input type="radio" name="telnetEnable" id="telEn" value="enable"  disabled="disabled" /><%=rb.getString("LAN_ACCESS_ENB")%><br /></td>
           </tr>
           <tr>
                <td colspan="3"><input type="radio" name="telnetEnable" id="telDis" value="disable" disabled="disabled" /><%=rb.getString("LAN_ACCESS_DIS")%><br /></td>
            </tr>

           <tr>
                <td  height="10px" colspan="4"></td>
            </tr>

           <!-- ============= START OF WEB ============= -->

            <tr>
                <td colspan="4"><input type="checkbox" name="webChange" id="webChange" value="enabled"  onclick="webAccessChanged();" /><%=rb.getString("LAN_ACCESS_WEB")%><br/> </td>
            </tr>
            <tr>
               <td rowspan="2"></td>
                <td colspan="3"><input type="radio" name="webEnable" id="webEn" value="enable"  disabled="disabled" /><%=rb.getString("LAN_ACCESS_ENB")%><br /></td>
           </tr>
           <tr>
                <td colspan="3"><input type="radio" name="webEnable" id="webDis" value="disable" disabled="disabled" /><%=rb.getString("LAN_ACCESS_DIS")%><br /></td>
            </tr>

           <tr>
                <td height="17px" colspan="2"><input type="checkbox" name="webPortChange" id="webPortChange" value="enabled" onclick='webPortChanged()' /><%=rb.getString("LAN_ACCESS_WEB_PORT")%></td>
                <td colspan="1"><input type="text" name="webPort" id="webPort" size="5" value="" disabled="disabled" onkeyup='checkRequiredFields()'/></td>
                <td ><span style="font-style:italic;">&nbsp;<%=rb.getString("LAN_WEB_VALID_PORTS")%>&nbsp;</span></td>
            </tr>

            <tr>
                <td  height="10px" colspan="4"></td>
            </tr>

           <!-- ============= START OF IPMI ============= -->

            <tr>
                <td colspan="4"><input type="checkbox" name="ipmiChange" id="ipmiChange" value="enabled"  onclick="ipmiAccessChanged();" /><%=rb.getString("LAN_ACCESS_IPMI")%></td>
            </tr>

            <tr>
                <td rowspan="2"></td>
                <td colspan="3"><input type="radio" name="ipmiEnable" id="ipmiEn" value="enable"  disabled="disabled" /><%=rb.getString("LAN_ACCESS_ENB")%><br /></td>
           </tr>
           <tr>
                <td colspan="3"><input type="radio" name="ipmiEnable" id="ipmiDis" value="disable" disabled="disabled" /><%=rb.getString("LAN_ACCESS_DIS")%><br /></td>
            </tr>

           <tr>
                <td  height="10px" colspan="4"></td>
            </tr>

        </table>

         <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>' />
    </form>
    <br />
    <br />

    <script language='javascript' type='text/javascript'>
    setFormSubmitName("lanAccessForm")
    // display Previous/Next
    displayTaskWizardButtons();
    // set the focus to the 'username' field
    setFocus();
    // check required fieldsto allow page advancement
    checkRequiredFields();
    </script>
<%
    }
%>

    </body>
<% MxHtmlUtil.dumpBodyEnd(out); %>
</html>
