<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="tasksBean" class="com.hp.mx.portal.taskandjob.MxTaskAndJob" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobMessages"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobInstance"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                     taskAndJobTimeStamp = request.getParameter("taskAndJobTimeStamp");
    MxTaskAndJobInstance       inst                = (MxTaskAndJobInstance)tasksBean.getInstance(taskAndJobTimeStamp);
    MxTaskAndJobMessages       messages            = inst.getMessages();
    MxTaskAndJobResourceBundle rb                  = inst.getRB();

    StringBuffer msg1 = new StringBuffer(200);
    StringBuffer msg2 = new StringBuffer(200);

    // get the value of this attribute from the Tool definition
    // TOOL TYPE         CAN-BE-KILLED (default behavior)
    //
    // SSA               YES
    // MSA               NO
    // WLA               NO
    // AUTOMATION        NO
    // APPLAUNCH         YES
    int     taskType   = inst.getSelectedJobParentTaskType();
    int     explicit   = inst.getSelectedJobParentTaskCanBeKilled();
    boolean killOption = false;

    if (explicit != MxTaskAndJobInstance.NO_EXPLICIT)
    {
        if (explicit == MxTaskAndJobInstance.CANCEL_KILL)
        {
            killOption = true;
        }
    }
    else if ((taskType == MxTaskWizardInstance.TOOL_TYPE_SSA) || (taskType == MxTaskWizardInstance.TOOL_TYPE_APPLAUNCH))
    {
        killOption = true;
    }

    if (killOption == true)
    {
        msg1.append("<b>");
        msg1.append(rb.getString("STOP_JOB_1"));
        msg1.append("</b> ");
        msg1.append(rb.getString("STOP_JOB_2"));

        msg2.append("<b>");
        msg2.append(rb.getString("STOP_JOB_3"));
        msg2.append("</b> ");
        msg2.append(rb.getString("STOP_JOB_4"));

        messages.setMessageType(MxTaskAndJobMessages.MSG_TYPE_OPTION);
        messages.setMessage(msg1.toString());
        messages.setMessage(msg2.toString());
    }
    else
    {
        msg1.append(rb.getString("STOP_JOB_5"));
        msg1.append(" ");
        msg1.append(inst.getSelectedJobID());
        msg1.append(rb.getString("STOP_JOB_6"));
    }
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript'>
            // the ID to the window - allows us to call the js functions within that window
            var windowID = null;

            if (<%= killOption %> == true)
            {
                windowID = askOption(<%= taskAndJobTimeStamp %>);
                setTimeout("checkForAnswer()", ACTION_TIMEOUT);
            }
            else
            {
                var answer = confirm("<%= msg1.toString() %>");

                if (answer == true)
                {
                    // do the delete
                    document.location.replace('<%= MxOptions.URL_BASE %>/taskandjob/stopJob.jsp?kill=false&taskAndJobTimeStamp=<%= taskAndJobTimeStamp %>');
                }
                else
                {
                    // reenable the "stop" button
                    parent.ourButtonManager.enableButtonById('btnStop');
                }
            }
            /////////////////////////////
            // checkForAnswer() - going away
            /////////////////////////////
            function checkForAnswer()
            {
                if (windowID.closed == true)
                {
                    windowID = 0;
                    return;
                }

                if ((windowID.isOkButtonClicked != null) && (windowID.isOkButtonClicked() == true))
                {
                    parent.ourButtonManager.disableButtonById('btnStop');

                    var kill = false;

                    if (<%=killOption%> == true)
                    {
                        // get the option that was selected --> CANCEL or KILL
                        if (windowID.getSelectedOption() == 1) // option 1 == KILL
                        {
                            kill = true;
                        }
                    }

                    windowID.close();

                    // do the delete
                    document.location.replace('<%= MxOptions.URL_BASE %>/taskandjob/stopJob.jsp?kill=' + kill + '&taskAndJobTimeStamp=<%= taskAndJobTimeStamp %>');
                }
                else
                {
                    setTimeout("checkForAnswer()", ACTION_TIMEOUT);
                }
            }
        </script>
    </head>

    <body>
    </body>
</html>
