<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="tasksBean" class="com.hp.mx.portal.taskandjob.MxTaskAndJob" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobMessages"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String               taskAndJobTimeStamp = request.getParameter("taskAndJobTimeStamp");
    MxTaskAndJobInstance inst                = (MxTaskAndJobInstance)tasksBean.getInstance(taskAndJobTimeStamp);

    // delete the currently selected Job
    boolean success = inst.deleteJob();
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript'>
<%
    // if we fail to delete the Task - we can re-enable the "Delete" button
    // otherwise, leave it disabled until the next has ben selected
    if (success == false)
    {
        MxTaskAndJobMessages msg = inst.getMessages();
%>
        // pop-up error message
        alert("<%=msg.getMessage()%>");
        // re-enable the button
        parent.ourButtonManager.enableButtonById('btnDelete');
<%
    }
    else
    {
        if (inst.isTaskListShowing() == true)
        {
%>
            // if task list showing - we have two levels to go up
            parent.parent.autoRefresh(false);
<%
        }
        else
        {
%>
            // the job list only has one level to go up
            parent.autoRefresh(false);
<%
        }
    }
%>
        </script>
    </head>

    <body>
    </body>
</html>
