<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/taskandjob/myToolsNew.jsp,v $
//$Revision: 1.36 $
//$Date: 2005/05/24 19:46:38 $
--%>
<!-- ---------------------------------------------------------------------- -->
<!--  Put all your Java imports here -->
<!-- ---------------------------------------------------------------------- -->
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="javax.swing.table.AbstractTableModel" %>
<%@ page import="com.hp.mx.html.table.*" %>
<%@ page import="com.hp.mx.database.GlobalSettings" %>

<!-- ---------------------------------------------------------------------- -->
<!--  Create all your beans here -->
<!-- ---------------------------------------------------------------------- -->
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="myToolsRbSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="myCustomToolsUIBean" class="com.hp.mx.portal.taskandjob.MyCustomToolsUIBean" scope="session" />
<jsp:useBean id="debugBean" class="com.hp.mx.portal.ui.MxBean" scope="session" />

<jsp:useBean id="myCustomToolsTableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="myCustomToolsController" class="com.hp.mx.html.table.MxTableController" scope="session"/>
<jsp:useBean id="myCustomToolsTableSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>

<jsp:useBean id="myCustomEnvVarsSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="myCustomEnvVarsTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="myCustomEnvVarsTableController" class="com.hp.mx.html.table.MxTableController" scope="session" />

<!-- ---------------------------------------------------------------------- -->
<!--  Put one block of initialization Java code here -->
<!--  In general, keep Java code to a minimum. Put Java code into JavaBeans. -->
<!-- ---------------------------------------------------------------------- -->
<%!
    public DebugSubsystem myDebug = DebugOutput.getDebugSubsystem("AppLaunch");
    public String  toolGUID = null;
    public String mode = null;
    public String editTime = null;
%>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // This aborts the page if the user isn't authorized.
    //String propertyValue = GlobalSettings.getProperty("EnableMyCustomTools", "false");
    //if (loginBean.getMxUser().hasLimitedRights() &&
    //     propertyValue.equalsIgnoreCase("false"))
    //{
    //
   //}
    // EXAMPLE: follow references to this bean for i18n support using resource bundles
    myToolsRbSettings.init(loginBean, "MyCustomTools");

    myDebug.log(10, "In the myToolsNew.jsp size of envVars1 " + myCustomToolsUIBean.getEnvVars().size());

    // Initialize the bean
    if (myCustomToolsUIBean.isFirstTime())
    {
        myCustomToolsUIBean.initialize(loginBean, myToolsRbSettings);
    }

    if (null == request.getParameter("mode"))
    {
        // No string was passed in for mode so default to newfrommenu;
        mode = "newFromMenu";
    }
    else
    {
       mode = request.getParameter("mode");
       if (mode.equalsIgnoreCase("newFromMenu") ||
           mode.equalsIgnoreCase("newFromList"))
           myCustomToolsUIBean.clearAllInputFields();
       else if (mode.equalsIgnoreCase("edit"))
       {
           toolGUID = request.getParameter("toolID");
           myCustomToolsUIBean.editTool(toolGUID);
           //editTime = myCustomToolsUIBean.getCurrentTime();
//myDebug.log(10, "CURRENT EDIT TIME ON THE SERVER " + editTime);
       }
       myDebug.log(10, "Mode into the myToolsNew.jsp : "+ mode);
    }

    myDebug.log(10, "In the myToolsNew.jsp size of envVars2 " + myCustomToolsUIBean.getEnvVars().size());

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag btnFinishTag1 = new MxDefaultTag("btnFinish", myToolsRbSettings.getString("myCustomTools.edit.OK_BTN"), "finishedEdit()");
    MxTag btnCancelTag1 = new MxDefaultTag("btnCancel", myToolsRbSettings.getString("myCustomTools.edit.CANCEL_BTN"), "location.href='"+ MxOptions.URL_BASE +"/home/MxBlank2.html'");

    MxTag btnFinishTag2 = new MxDefaultTag("btnFinish", myToolsRbSettings.getString("myCustomTools.edit.OK_BTN"), "finishedNew()");
    MxTag btnCancelTag2 = new MxDefaultTag("btnCancel", myToolsRbSettings.getString("myCustomTools.edit.CANCEL_BTN"), "location.href='"+ MxOptions.URL_BASE +"/home/MxBlank2.html'");
%>

<HTML>
<HEAD>
    <link href="<%=MxOptions.URL_BASE%>/css/MxPortalEx.css" rel="stylesheet" type="text/css">
    <script src="<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js" type="text/javascript" language="JavaScript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>

    <script language='javascript'>
        function finishedNew()
        {
            var myToolsForm = document.getElementById("myToolsNewForm");
            if (myToolsForm != null)
            {
               var sMode = "<%=mode%>";
               if (sMode == "newFromList" || sMode == "errorInNewFromList")
                  myToolsForm.action="myToolsNew.jsp?mode=finishedNewFromList";
               else
                  myToolsForm.action="myToolsNew.jsp?mode=finishedNewFromMenu";
            }
            document.myToolsNewForm.submit();
        }
        function finishedEdit()
        {
            var myToolsForm = document.getElementById("myToolsNewForm");
            if (myToolsForm != null)
               myToolsForm.action="myToolsNew.jsp?mode=finishedEdit&toolID=<%=toolGUID%>";
            document.myToolsNewForm.submit();
        }

        function checkRequiredFields()
        {
            if ((document.myToolsNewForm.toolName.value.length > 0) &&
                 (document.myToolsNewForm.command.value.length > 0))
            {
                ourButtonManager.enableButtonById('btnFinish');
            }
            else
            {
                ourButtonManager.disableButtonById('btnFinish');
            }
        }


        function myOnLoad()
        {
            var sMode = "<%=mode%>";
            if (sMode == "newFromMenu" || sMode == "errorInNewFromMenu")
            {
               MxPortalWorkspaceSetHelpTopic("useTools_applicationLaunch");
            }
            else
            {
               MxPortalWorkspaceSetHelpTopic("useTools_manageTools");
            }

            checkRequiredFields();
        }
    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% myCustomEnvVarsTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY onload="myOnLoad()">
<%
    // Display any error messages
    if (myCustomToolsUIBean.hasErrorMessages())
    {
        // Display plurally-correct label
        if (myCustomToolsUIBean.getErrorMessageList().size() == 1)
        {
            %><div class="errorTextBold"><%= myToolsRbSettings.getString("myCustomToolsError.label.single")%>:</div><%
        }
        else
        {
            %><div class="errorTextBold"><%= myToolsRbSettings.getString("myCustomToolsError.label.multiple")%>:</div><%
        }

        // Finally, display the error message(s)
        myCustomToolsUIBean.displayErrorMessagesInHtml(out);

        myCustomToolsUIBean.clearAllErrorMessages();
    }

    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    //debugBean.displayJspParamsHtml(request, out);
    //debugBean.displayJspParamsToConsole(request);

    if (request.getMethod().equals("POST"))
    {
       //myCustomToolsUIBean.clearAllErrorMessages();
       // Create a new mxapplaunchtool object
       if (mode.equalsIgnoreCase("finishedNewFromList"))
       {
         myCustomToolsUIBean.createNewTool(request);
         // Are we good to go?
         if (!myCustomToolsUIBean.isDataValid())
         {
            %><script language='javascript'>
                document.location.replace("myToolsNew.jsp?mode=errorInNewFromList");
             </script><%
         }
         else
         {
         %>
         <script language='javascript'>
            MxPortalManageMenuRefresh();
            parent.location.replace("myToolsManage.jsp");
         </script>
         <%
         }
       }
       else if (mode.equalsIgnoreCase("finishedEdit"))
       {

            boolean bToolDeleted = myCustomToolsUIBean.updateTool(request, toolGUID);
            if (bToolDeleted)
            {
                %>
                <script language='javascript'>
                    MxPortalManageMenuRefresh();
                    parent.location.replace("myToolsManage.jsp?refresh=true");
                </script>
                <%
            }
            else
            {
                if (!myCustomToolsUIBean.isDataValid())
                {
                    %>
                    <script language="javascript">
                        document.location.replace("myToolsNew.jsp?mode=errorInEdit");
                    </script>
                    <%
                }
                else
                {
                    %>
                    <script language='javascript'>
                        MxPortalManageMenuRefresh();
                        parent.location.replace("myToolsManage.jsp");
                    </script>
                    <%
                }
            }
       }
       else if (mode.equalsIgnoreCase("finishedNewFromMenu"))
       {
           myCustomToolsUIBean.createNewTool(request);
           if (!myCustomToolsUIBean.isDataValid())
           {
             %><script language='javascript'>
                document.location.replace("myToolsNew.jsp?mode=errorInNewFromMenu");
             </script><%
           }
           else
           {
             %>
             <script language='javascript'>
               MxPortalManageMenuRefresh();
               document.location.replace("myToolsManage.jsp");
             </script>
            <%
           }
       }
    }
    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
        %>
       <form id="myToolsNewForm" name="myToolsNewForm" method="post">

       <script language='javascript'>
          var sMode = "<%=mode%>";
        if (sMode == "edit" || sMode == "errorInEdit")
        {
            document.writeln("<div class='mx-subheader'><%=myToolsRbSettings.getString("myCustomTools.edit.Title")%></div>");
        }
        else if (sMode == "newFromList" || sMode == "errorInNewFromList")
        {
            document.writeln("<div class='mx-subheader'><%=myToolsRbSettings.getString("myCustomTools.new.Title")%></div>");
        }
    </script>
    <div class="required_label"><%=myToolsRbSettings.getString("myCustomTools.new.required")%>*</div>
    <table>
      <tr>
        <td>
           <strong><%=myToolsRbSettings.getString("myCustomTools.new.param1")%>:</strong><span class="required">*&nbsp;</span>
        </td>
        <td><INPUT style="width:100%" name="toolName" size='32' maxlength="45" onMouseUp="checkRequiredFields()" onKeyUp="checkRequiredFields()" onChange="checkRequiredFields()" value="<%=myCustomToolsUIBean.getToolName()%>"></td>
      </tr>
      <tr>
        <td><strong><%=myToolsRbSettings.getString("myCustomTools.new.param2")%>:</strong>&nbsp;</td>
        <td><INPUT style="width:100%" name="description" size='32' value="<%=myCustomToolsUIBean.getDescription()%>"></td>
      </tr>
      <tr valign="top">
        <td><strong><%=myToolsRbSettings.getString("myCustomTools.new.param3")%>:</strong>&nbsp;</td>
        <td><textarea name="comments" id="comments" cols="42" rows="5" ><%=myCustomToolsUIBean.getComments()%></textarea></td>
      </tr>
      <tr>
        <td><strong><%=myToolsRbSettings.getString("myCustomTools.new.param4")%>:</strong><span class="required">*</span>&nbsp;</td>
        <td><INPUT style="width:100%" name="command" size='32' onMouseUp="checkRequiredFields()" onKeyUp="checkRequiredFields()" onChange="checkRequiredFields()" value="<%=myCustomToolsUIBean.getCommand()%>"></td>
      </tr>
      <tr>
        <td><STRONG><%=myToolsRbSettings.getString("myCustomTools.new.param5")%>:</STRONG>&nbsp;</td>
        <td><INPUT style="width:100%" name="parameters" size='32' value="<%=myCustomToolsUIBean.getParameters()%>"></td>
      </tr>
      <tr valign="top">
        <TD><STRONG><%=myToolsRbSettings.getString("myCustomTools.new.param6")%>:</STRONG>
        </TD>
      </tr>
    </table>
    </form>
    <iframe id="customEnvVars" style="width:100%;"
            scrolling="no" marginwidth="0" frameborder="0" src="myToolsCustomEnvVars.jsp?toolID=<%=toolGUID%>">
    </iframe>

        <%
        if (mode.equalsIgnoreCase("edit") ||
            mode.equalsIgnoreCase("errorInEdit"))
        {
            buttons.addMxTag(btnFinishTag1);
            buttons.addMxTag(btnCancelTag1);

            %>
            <!-- BUTTONS -->
            <div style="margin-top:15px">
                <%  buttons.dumpButtons(out);%>
            </div>
            <%
        }
        else
        {
            %>
            <!-- BUTTONS -->
            <div style="margin-top:15px">

             <%
                buttons.addMxTag(btnFinishTag2);

             if (mode.equalsIgnoreCase("newFromList"))
             {
                buttons.addMxTag(btnCancelTag2);
             }

                buttons.dumpButtons(out);
             %>
             </div>
            <%

        }
    }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
