<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.portal.core.MxObjSelections"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizard"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    if (inst == null)
    {
        return;
    }

    // only "entire" selection will restore global selection
    boolean         select = (request.getParameter("select").equalsIgnoreCase("true") == true);
    // get type of group selected
    int             type   = Integer.parseInt(request.getParameter("type"));
    MxObjSelections global = inst.getSelectionBean();

    if (select == true)
    {
        // if we're selecting an entire group, clear out any MxNodes selected
        inst.restoreGlobalSelection();

        switch (type)
        {
            case MxTaskWizard.ITEM_TYPE_COLLECTION:
                global.addByGuid(loginBean, request.getParameter("id"));
                break;

            case MxTaskWizard.ITEM_TYPE_QUERY:
                global.addQuery(Integer.parseInt(request.getParameter("id")));
                break;
        }
    }
    else
    {
        switch (type)
        {
            case MxTaskWizard.ITEM_TYPE_COLLECTION:
                global.removeByGuid(loginBean, request.getParameter("id"));
                break;

            case MxTaskWizard.ITEM_TYPE_QUERY:
                global.removeQuery(Integer.parseInt(request.getParameter("id")));
                break;
        }
    }
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript'>
            parent.parent.enableApplyButton(<%=select%>);
        </script>
    </head>
</html>
