<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="tasksBean" class="com.hp.mx.portal.taskandjob.MxTaskAndJob" scope="session"/>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.jobmanager.MxDefaultJobFormatter"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                taskAndJobTimeStamp = request.getParameter("taskAndJobTimeStamp");
    MxTaskAndJobInstance  inst                = (MxTaskAndJobInstance)tasksBean.getInstance(taskAndJobTimeStamp);
    MxDefaultJobFormatter formatter           = (MxDefaultJobFormatter)inst.getJobFormatter();

    boolean success = formatter.selectTarget();
    String  params  = "?tab=" + formatter.getSelectedTab() + "&taskAndJobTimeStamp=" + taskAndJobTimeStamp;
    String  onLoad  = "";

    // if this is a user initiated selection, then use sessionReset.js
    // else use AutoRefreshingSessionReset.js
    String  userSelect   = request.getParameter("userSelect");
    String  sessionReset = "/SessionReset.js";

    if (userSelect.equalsIgnoreCase("false") == true)
    {
        sessionReset = "/AutoRefreshingSessionReset.js";
    }

    // this page displays the initial tab - set it to what is set
    // in the Default Job Formatter
    boolean displayHeader      = formatter.getDisplayHeader();
    boolean displayFilesCopied = formatter.getDisplayFilesCopied();

    if (displayHeader == true)
    {
        params += "&hdr=1";
    }

    if (displayFilesCopied == true)
    {
        params += "&files=1";
    }

    // if defaultFormatter.selectTarget() returned false, onload remains ""
    // what is going to happen in that case? Will the user get something helpful
    // for a message?
    if (success == true)
    {
        onLoad = "displayTargetResults()";
    }
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='<%=sessionReset%>'></script>
        <script language='javascript' type='text/javascript'>
            /////////////////////////////////////////////////
            // displayTargetResults()
            /////////////////////////////////////////////////
            function displayTargetResults()
            {
                // tell MxTaskAndJob what TaskJob Results to show
                var url = '<%=MxOptions.URL_BASE%>/taskandjob/targetResults.jsp<%=params%>';
                parent.document.getElementById('targetResults').contentWindow.document.location.replace(url);
            }
        </script>
    </head>

    <body onLoad='<%=onLoad%>'>
    </body>
</html>
