<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="tasksBean" class="com.hp.mx.portal.taskandjob.MxTaskAndJob" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String               taskAndJobTimeStamp = request.getParameter("taskAndJobTimeStamp");
    MxTaskAndJobInstance inst                = (MxTaskAndJobInstance)tasksBean.getInstance(taskAndJobTimeStamp);

    // if there are no Tasks to select, then we will not attempt to call "displayTaskResults()"
    // in the onLoad= of the <body>
    String  onLoad  = "";

    // if this is a user initiated selection, then use sessionReset.js
    // else use AutoRefreshingSessionReset.js
    String  userSelect   = request.getParameter("userSelect");
    String  sessionReset = "/SessionReset.js";

    if (userSelect.equalsIgnoreCase("false") == true)
    {
        sessionReset = "/AutoRefreshingSessionReset.js";
    }

    // select the task
    boolean success = inst.selectTask();

    if (success == true)
    {
        onLoad = "setTaskInfo(), displayTaskResults(" + taskAndJobTimeStamp + ")";
    }

    // get the state the "All Scheduled Tasks" buttons should be in
    // we'll set the button states after this Task is selected
    boolean btnStates[] = inst.getButtonStateForSelectedTask();
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='<%=sessionReset%>'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/allTasks.js'></script>
        <script language='javascript' type='text/javascript'>
            // function to update the selected task infor on the allTasks.jsp page
            function setTaskInfo()
            {
                // set the button states for the Selected Task - do after we update
                // the selected Task info
                if (<%=btnStates[0]%> == true)
                {
                    parent.ourButtonManager.enableButtonById('btnRun');
                }
                else
                {
                    parent.ourButtonManager.disableButtonById('btnRun');
                }

                if (<%=btnStates[1]%> == true)
                {
                    parent.ourButtonManager.enableButtonById('btnEdit');
                }
                else
                {
                    parent.ourButtonManager.disableButtonById('btnEdit');
                }

                if (<%=btnStates[2]%> == true)
                {
                    parent.ourButtonManager.enableButtonById('btnDelete');
                }
                else
                {
                    parent.ourButtonManager.disableButtonById('btnDelete');
                }

                // now that we have successfully selected that Task,
                // we can show the 'taskResults' <iframe>
                parent.document.getElementById('taskResults').style.visibility = 'visible';

                var iframe = parent.document.getElementById('taskInstanceResults');

                iframe.style.visibility = 'hidden';
                iframe.style.height     = 0;
                iframe.contentWindow.document.location.replace('<%=MxOptions.URL_BASE%>/home/MxBlank.html');
            }
        </script>
    </head>

    <body onLoad='<%=onLoad%>'>
    </body>
</html>
