<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.MxButton"%>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                     timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance       inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);
    MxTaskAndJobResourceBundle rb        = inst.getRB();

    // look for the "noAuth" flag.  We'll pass this to XeHdr.jsp for Node Lists and
    // we'll pass it to displayGroupContents.jsp for Collection Tree View
    boolean noAuth  = (request.getParameter("noAuth") != null);

    // the selection option checked by default
    //
    // If the Tool has MAX_TARGET or ToolFilter restrictions, then we will
    // not allow the user to blindly select a List
    boolean toolHasRestrictions = inst.getToolHasRestrictions();

    // get filtering requests
    String listType      = request.getParameter("listType");
    String selectionType = request.getParameter("selectionType");
    // to inform users of selection restrictions
    String note          = "";
    String noteText      = "";

    if (selectionType.equalsIgnoreCase("list") == true)
    {
        note = rb.getString("TF_TZ_MSG_0");

        if (inst.getToolTargetsEvents() == true)
        {
            noteText = rb.getString("NOTE_EVENT_LIST_SELECTION_ONLY");
        }
        else
        {
            noteText = rb.getString("NOTE_LIST_SELECTION_ONLY");
        }
    }
    else if (selectionType.equalsIgnoreCase("individual") == true)
    {
        note     = rb.getString("TF_TZ_MSG_0");
        noteText = rb.getString("NOTE_INDIVIDUAL_SELECTION_ONLY");
    }
    else if (selectionType.equalsIgnoreCase("collection") == true)
    {
        note     = rb.getString("TF_TZ_MSG_0");
        noteText = rb.getString("NOTE_COLLECTION_SELECTION_ONLY");
    }
    else if ((selectionType.equalsIgnoreCase("list collection") == true) ||
             (selectionType.equalsIgnoreCase("collection list") == true))
    {
        note     = rb.getString("TF_TZ_MSG_0");
        noteText = rb.getString("NOTE_ALL_COLLECTION_SELECTION");
    }
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/targetSelection.js'></script>
        <script language='javascript' type='text/javascript'>
            var bShowEntireCheckbox     = false;
            var bNoAuth                 = <%=noAuth%>;
            var CHECKMARK_EMPTY         = 0;
            var CHECKMARK_SELF          = 1;
            var checkMarks              = new Array();
            checkMarks[CHECKMARK_EMPTY] = "/mxhtml/images/check_0.gif";
            checkMarks[CHECKMARK_SELF]  = "/mxhtml/images/check_1.gif";
            //////////////////////////////////////
            // selectEntireList()
            //////////////////////////////////////
            function selectEntireList()
            {
                selectEntireGroup();
            }
            ////////////////////////////////////////////////
            // myIframeSet()
            ////////////////////////////////////////////////
            function myIframeSet()
            {
                var minWidth    = getIframeTop(this).minWidth;
                var windowWidth = MxPortalGetWorkspaceFrame().offsetWidth;// - NETSCAPE_SCROLLBAR_WIDTH;
                var newWidth    = (minWidth >= windowWidth) ? minWidth : '100%';
                // set width of our <iframe>
                parent.document.getElementById(this.name).style.width = newWidth;

                setTimeout('myIframeSet()', RESIZE_TIMEOUT);
            }
            ////////////////////////////////////////////////
            // myOnLoad()
            ////////////////////////////////////////////////
            function myOnLoad()
            {
                // get the width our element takes up
                var element1   = document.getElementById('selectionTable');
                var element2   = document.getElementById('noteText');
                var myMinWidth = element1.offsetWidth;
                // attempt to set this as the minimum (there may
                // already be a larger value that is the minimum)
                setMinWidth(myMinWidth);

                // set our results table to 100% to use all available space
                element1.style.width = '100%';
                element2.style.width = '100%';
                // normal startup procedures
                myIframeSet();
            }
            ////////////////////////////////////////////////
            // nodeListDoneLoading()
            // this is called by the node list when it has finished
            // displaying itself - trigger the "select all" checkbox
            // to be displayed
            ////////////////////////////////////////////////
            function nodeListDoneLoading()
            {
                if (bShowEntireCheckbox == true)
                {
                    showEntireCheckbox(true);
                }
            }
        </script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body onLoad='myOnLoad()'>

        <table id='selectionTable' border='0' cellspacing='0' cellpadding='0'>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td colspan="5"></td>
            </tr>
            <tr>
                <td nowrap>&nbsp;&nbsp;&nbsp;</td>
                <td colspan="2" style="width:325" nowrap>
                    <select id='listSelector2' size='1' style='width:325' onChange='checkListSelection(<%=noAuth%>)'>
                        <option value='0'>&nbsp;&nbsp;&nbsp;<%=rb.getString("INITIAL_SELECTION")%></option>
<%
    inst.dumpCollectionList(out, listType);
%>
                    </select>&nbsp;&nbsp;&nbsp;&nbsp;
                </td>
                <td rowspan="7" valign="top"><font class='noteSmall'><i><b><%=note%>&nbsp;</b></i></font></td>
                <td rowspan="7" id='noteText' valign="top"><font class='noteSmall'><i><b><%=noteText%></b></i></font></td>
            </tr>
            <tr>
                <td colspan="3"></td>
            </tr>
            <tr>
                <td colspan="3"></td>
            </tr>
            <tr>
                <td colspan="3"></td>
            </tr>
            <tr>
                <td colspan="3"></td>
            </tr>
            <tr>
                <td colspan="3"></td>
            </tr>
            <tr>
                <td></td>
                <td style='visibility:hidden' nowrap align="center"><img style='cursor:pointer' id='entireCheckbox' onClick='selectEntireList()' src='/mxhtml/images/check_0.gif' border='0'/></td>
                <td style='visibility:hidden' id='entireText' nowrap></td>
            </tr>
        </table>

        <br/>

        <!-- Node List / MxCollection List -->
        <iframe id='selectionFrame' name='selectionFrame' style='width:100%; height:350; position:relative; visibility:visible'
                scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
        </iframe>
        <iframe id='action' name='action' style='width:0; height:0; position:relative; visibility:hidden'
                scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
        </iframe>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
    </body>
</html>
