<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="tasksBean" class="com.hp.mx.portal.taskandjob.MxTaskAndJob" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobMessages"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    String               taskAndJobTimeStamp = request.getParameter("taskAndJobTimeStamp");
    MxTaskAndJobInstance inst                = (MxTaskAndJobInstance)tasksBean.getInstance(taskAndJobTimeStamp);

    // stop the selected Task Job
    boolean killOption = (request.getParameter("kill").equalsIgnoreCase("true") == true);
    boolean success    = inst.stopJob(killOption);
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript'>
<%
    if (success == false)
    {
        MxTaskAndJobMessages msg = inst.getMessages();
%>
        // pop-up error message
        alert("<%=msg.getMessage()%>");
        // if we fail to stop the Job - we can re-enable the "Stop" button
        // otherwise, leave it disabled
        parent.ourButtonManager.enableButtonById('btnStop');
<%
    }
%>
        </script>
    </head>

    <body>
    </body>
</html>
