<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTimeFiltersInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    MxTimeFiltersInstance      inst = new MxTimeFiltersInstance(loginBean);
    MxTaskAndJobResourceBundle rb   = inst.getRB();
    String                     tf   = request.getParameter("tf");

    if (tf != null)
    {
        inst.selectTimeFilter(tf);
    }
    else
    {
        tf = "";
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    buttons.addMxTag(new MxDefaultTag("closeBtn", rb.getString("OK_BUTTON"), "window.close()"));
%>

<html>
    <head>
        <title>
          <%= tf %>
        </title>
        <link type='text/css' rel='stylesheet' href='<%= MxOptions.URL_BASE %>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/timeFilters.js'></script>
        <script language='javascript' type='text/javascript'>
            // focusMe()
            function focusMe()
            {
                setTimeout('self.focus()', SELF_FOCUS_CHECK_TIMEOUT);
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body onload='focusMe()' marginwidth='4'
                             marginheight='4'
                             topmargin='4'
                             bottommargin='4'
                             leftmargin='4'
                             rightmargin='4'>

        <table border='0' cellspacing='0' cellpadding='0' style='width:100%'>
            <tr>
                <td colspan='2' nowrap>
<%
    inst.drawTimeFilterFullGrid(inst.SELECT_PAGE, out);
%>
                </td>
            </tr>
            <tr>
                <td rowspan='2' style='width:90%'>
                    <table border='0' cellspacing='0' cellpadding='5' style='width:100%'>
                        <tr>
                            <td>
<%
    inst.dumpTimeZoneMessage(out);
%>
                            </td>
                        </tr>
                    </table>
                </td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td align='right'>
                    <% buttons.dumpButtons(out); %>
                </td>
            </tr>
        </table>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
