<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="wmiproxyUI" class="com.hp.mx.portal.wmiproxyconfig.WmiProxyConfigManageBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="wmiproxyRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="wmiproxyUI" property="*" />

<%
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE ) ) { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" /> <% } %>
<% if(loginBean.checkLogoutConditionForWebPage(pageContext)) return;
    wmiproxyRes.init(loginBean, "WmiProxyConfigUI");
    wmiproxyUI.getResBundles(loginBean);

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag okButtonTag = new MxDefaultTag("okButton", wmiproxyRes.getString("button.ok"), "resetScroll()");
    okButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(okButtonTag);

    buttons.addMxTag(new MxDefaultTag("cancelButton", wmiproxyRes.getString("button.cancel"), "cancelAdd()"));

    MxTag applyButtonTag = new MxDefaultTag("applyButton", wmiproxyRes.getString("button.apply"), "setApplyField()");
    applyButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(applyButtonTag);

%>

<html>

<head>
<title></title>
 <link href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
<script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" ></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script>
    <%@include file='js/WmiProxyConfigUtil.js' %>
</script>
<script language="JAVASCRIPT">
MxPortalWorkspaceSetHelpTopic("admin_protocols_setting_WMIMapperProxyAdd");

function resetScroll()
{
    window.parent.scrollTo(0,0);
}

function cancelAdd()
{
        resetScroll();
        parent.document.location.href="WmiProxyStart.jsp";
}

function ddd()
{
        document.wmiForm.wmiName.value = "<%=wmiproxyUI.getWmiName()%>";
        document.wmiForm.wmiPort.value = "<%=wmiproxyUI.getWmiPort()%>";

}
function loadApplyBean()
{
        // Reload the field values from the bean
        document.wmiForm.wmiName.value = "";
        document.wmiForm.wmiPort.value = 5989;

        ourButtonManager.disableButtonById('okButton');
        ourButtonManager.disableButtonById('applyButton');
}

function setApplyField()
{
        document.wmiForm.apply.value = "true";
}


function checkAll()
{
        if(document.wmiForm.wmiName.value != "" && document.wmiForm.wmiPort.value != "")
        {
            ourButtonManager.enableButtonById('okButton');
            ourButtonManager.enableButtonById('applyButton');
        }
        else
        {
            ourButtonManager.disableButtonById('okButton');
            ourButtonManager.disableButtonById('applyButton');
        }
}

function init()
{
    document.wmiForm.wmiName.focus();

<% String applyFlag = request.getParameter("apply");
   if(applyFlag != null && applyFlag.equals("true")) { %>
         loadApplyBean();

<% }

%>

    checkAll();

}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onLoad="init()">

<form method="POST" name="wmiForm" autocomplete="off" style="border:0px;padding:0px;margin:0px" action="WmiProxyServer.jsp?command=add" onSubmit="return errorCheck()">

<hr>

  <font class="mx-subheader-nosep"><%=wmiproxyRes.getString("wmi.title.add")%></font><br><br>

    <table cellSpacing=2 cellPadding=2>
      <tr>
        <td noWrap><font class="input-field"><%=wmiproxyRes.getString("wmi.label.name")%>&nbsp;</font></td>
        <td noWrap><input type="text" name="wmiName" align=left size="12" maxlength="256"  onKeyUp="checkAll()" onBlur="checkAll()"></td>
      </tr>
      <tr>
        <td noWrap><font class="input-field"><%=wmiproxyRes.getString("wmi.label.port")%>&nbsp;</font>
        </td>
        <td noWrap><input type="text" name="wmiPort" align=left size="5" maxlength="5" value=5989 onKeyUp="checkAll()" onBlur="checkAll()">
        </td>
      </tr>
    </table>

<br>

<br>
  <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
  </div>
<input type="hidden" name="command" value="add">
<input type="hidden" name="apply">

</form>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>



