<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.html.table.*"%>
<%@ page import="com.hp.mx.portal.wmiproxyconfig.WmiProxyConfigTableModel"%>
<%@ page import="com.hp.mx.portal.wmiproxyconfig.*"%>
<%@ page import="com.hp.mx.core.wmiproxymanager.*"%>
<%@ page import="com.hp.mx.core.controllers.*"%>
<%@ page import="com.hp.mx.core.client.*"%>
<%@ page import="com.hp.mx.core.daemon.*"%>
<%@ page import="javax.swing.table.AbstractTableModel"%>
<%@ page import="java.util.*"%>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="wmiproxyUI" class="com.hp.mx.portal.wmiproxyconfig.WmiProxyConfigManageBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="wmiproxyRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<jsp:useBean id="WmiselectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="WmitableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="WmitableController" class="com.hp.mx.html.table.MxTableController" scope="session"/>
<jsp:useBean id="wmiproxytableModel" class="com.hp.mx.portal.wmiproxyconfig.WmiProxyConfigTableModel" scope="session"/>



<%
    MxBean.jspInit(request, response);
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE ) ) { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" /> <% } %>
<% if(loginBean.checkLogoutConditionForWebPage(pageContext)) return;
    wmiproxyRes.init(loginBean, "WmiProxyConfigUI");
%>
<%
    wmiproxyUI.initBean(out, loginBean);
    if (WmitableController.isFirstTime())
    {
        wmiproxyUI.getColumnNames(wmiproxytableModel);

        // set to only allow 1 row to be selected
        WmiselectionModel.setSelectionMode(MxTableSelectionModel.MULTIPLE_INTERVAL_SELECTION);

        WmitableView.setId("ID_WMI_TABLE");
        WmitableView.setOnSelectionChange("mySelectionChanged");
        WmitableView.setUrlHandler(request.getRequestURI());
        //WmitableView.setWidth("70%");
        //--tableController.setTableModel(wmiproxytableModel);
        WmitableController.setTableModelWithSorting(wmiproxytableModel);

        // get the sorting table and tell it to sort alphabetically by WMI proxy Name
        MxTableSortingModel sortingModel = WmitableController.getSortingModelOrNull();
        // column #1 (WMI proxy Name), sortUp == true
        sortingModel.sortTable(0, true);

        WmitableController.setSelectionModel(WmiselectionModel);
        WmitableController.setTableView(WmitableView);
    // set the first row as the selected row - default action
    }
    if (WmitableController.checkUrlForControllerMessages(request, out))
    {
        //out.write("<script>alert('controller msg');</script>");
        return;
    }


    WmiselectionModel.setSelectedIndexShim(0, true);


    // Table of WMI proxies
    //
    // TITLE == 19 pixels.  Each target line == 18 pixels. We will display 10 WMI proxies max
    // if there are fewer than 10 WMI proxies, create height as appropriate
//    int titleHeight  = 20; //19;
//    int rowHeight    = 19; //18;
//    int maxDisplayed = 10;

    wmiproxytableModel.clearData();
    wmiproxytableModel.fireTableDataChanged();

    wmiproxyUI.refreshWmiProxy(wmiproxytableModel);
    int numWmiProxy     = wmiproxytableModel.getRowCount();

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnAdd", wmiproxyRes.getString("button.add"), "LoadWindow('Add', 'ID_WMI_TABLE')"));
    buttons.addMxTag(new MxDefaultTag("btnEdit", wmiproxyRes.getString("button.edit"), "LoadWindow('Edit', 'ID_WMI_TABLE')"));
    buttons.addMxTag(new MxDefaultTag("btnDelete", wmiproxyRes.getString("button.delete"), "LoadWindow('Delete', 'ID_WMI_TABLE')"));
    buttons.setVerticalAligned(true);
%>
<html>

<head>
<title>Required Field</title>
 <link href="<%=MxOptions.URL_BASE%>/css/MxPortalEx.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" ></script>
<script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>
<script language="JavaScript" type="text/javascript" src="/SessionReset.js"></script>
<script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/wmiproxyconfig/js/WmiProxyConfigUtil.js'></script>
<script language = "JAVASCRIPT">
MxPortalWorkspaceSetHelpTopic("admin_protocols_setting_WMIMapperProxy");

function LoadWindow(ButtonPushed, wmiTableId)
{
    if(ButtonPushed == "Add")
        document.getElementById("WmiWkSpace").contentWindow.document.location.replace("AddWmiProxy.jsp");
    if(ButtonPushed == "Edit")
    {
        document.getElementById("WmiWkSpace").contentWindow.document.location.replace("EditWmiProxy.jsp?command=edit");
    }
    if(ButtonPushed == "Delete")
    {
      // Pop up a confirmation box first
      if(confirm("<%=wmiproxyRes.getString("wmi.msg.delete.confirm")%>"))
      {
        // Set the input field for the delete form
        document.deleteForm.submit();
      }
    }

}

function mySelectionChanged(szIdTable, szId, bSelected)
{
    var aSel = MxTableGetSelections(szIdTable);

    // Set the buttons: Note that refresh and report are always enabled, so we don't touch them
    if (aSel.length == 0)
    {
        ourButtonManager.disableButtonById('btnEdit');
        ourButtonManager.disableButtonById('btnDelete');
    }

    if (aSel.length == 1)
    {
        ourButtonManager.enableButtonById('btnEdit');
        ourButtonManager.enableButtonById('btnDelete');
    }

    if (aSel.length > 1)
    {
        ourButtonManager.disableButtonById('btnEdit');
        ourButtonManager.enableButtonById('btnDelete');
    }
    // Context of the subwindow no longer matches the selection.  Clear it.
    document.getElementById("WmiWkSpace").contentWindow.document.location.replace("Blank.html");
    MxPortalWorkspaceSetHelpTopic("admin_protocols_setting_WMIMapperProxy");
}

function initButtons()
{
    ourButtonManager.disableButtonById('btnEdit');
    ourButtonManager.disableButtonById('btnDelete');
}

            // This page will hold the value of the "rowHeight" used to properly set
            // the height of the Tables based off of the Font DPI
var rowHeight     = 0;
var iconRowHeight = 0;
var titleHeight   = 0;
var NETSCAPE_SCROLLBAR_WIDTH     = 36;

// resize the MxTable to be flush with the right browser edge
function resize_w()
{
    var rw = (Math.max(0, MxBrowserGetBodyWidth(-NETSCAPE_SCROLLBAR_WIDTH, 0))) * .7;
    var w = Math.round(rw);
    MxTableSetWidth('ID_WMI_TABLE', w);
}
function myResize()
{
    resize_w();
}

// set the Table height based off of a CELL height given the users font size (DPI)
function setTableHeight()
{
    var iframe    = document.getElementById('DPI');
    rowHeight     = iframe.contentWindow.getCellHeight();
    iconRowHeight = iframe.contentWindow.getCellHeightWithIcons();
    titleHeight   = iframe.contentWindow.getTitleHeight();
    var maxDisplayed = 10;
    var divHeight = 0;
    var num=<%=numWmiProxy%> ;
   if (num==0)
        divHeight=(rowHeight * ((<%=numWmiProxy%> < maxDisplayed) ? <%=numWmiProxy%>: maxDisplayed)) + titleHeight;
   else
        divHeight=(rowHeight * ((<%=numWmiProxy%> < maxDisplayed) ? <%=numWmiProxy%>: maxDisplayed)) + titleHeight+rowHeight;
    MxTableSetHeight('ID_WMI_TABLE', divHeight);
}

function init()
{
    initButtons();
    resize_w();
    setTableHeight();
}


</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% WmitableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
    <body onLoad='init()' onResize='myResize()'>

    <table border="0" width="100%" cellpadding="5">
      <tr>
        <td  width="80%">
<%
    WmitableView.dumpWholeTable(out);
%>
        </td>
        <td width="20%" align="left" valign="top">
            <div style="margin-top:35px;width:130px"
                <% buttons.dumpButtons(out); %>
            </div>
        </td>
      </table>

<IFRAME ID="WmiWkSpace" NAME="WmiSpace" SRC="Blank.html" WIDTH=100% HEIGHT=400 SCROLLING=AUTO FRAMEBORDER=0></IFRAME>
<iframe id='DPI' name='DPI' style='position:relative; visibility:hidden; width:100%; height:100'
                scrolling='no' marginwidth='0' frameborder='1' src='<%=MxOptions.URL_BASE%>/taskandjob/DPI.html'>
</iframe>

<form method="POST" action="WmiProxyServer.jsp" target="WmiSpace" name="deleteForm">
    <input type="hidden" name="command" value="delete">
    <input type="hidden" name="names">
</form>

<% String applyFlag = request.getParameter("apply");
   if(applyFlag != null && applyFlag.equals("true"))
{ %>
    <script language="JAVASCRIPT">
        document.getElementById("WmiWkSpace").src = "AddWmiProxy.jsp?apply=true";
    </script> <%
} %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
