<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="systemsListsBean" class="com.hp.mx.portal.list.MxSystemsLists" scope="session"/>
<jsp:useBean id="deleteEventsAction" class="com.hp.mx.portal.list.MxDeleteEventsAction" scope="session"/>
<jsp:useBean id="deleteDevicesAction" class="com.hp.mx.portal.list.MxDeleteDevicesAction" scope="session"/>

<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.core.MxObj"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="com.hp.mx.html.table.MxTableController"%>
<%@ page import="com.hp.mx.portal.list.*"%>
<%@ page import="com.hp.mx.core.nodemanager.DeletedDeviceInfo"%>
<%@ page import="com.hp.mx.core.tools.deletealerts.DeleteEventList"%>


<%
    // REQUIRED: Set necessary HTTP header attributes (for localization
    // and page caching)
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    // attempt to get "timeStamp" param.  if found, get Instance and check for Table Messages
    String szSystemListTimeStamp = request.getParameter("systemListTimeStamp");
    String szDeleteSystems = request.getParameter("deleteSystems");
    String szDeleteEvents = request.getParameter("deleteEvents");
    String szClearEvents = request.getParameter("clearEvents");
    String szUserResponse = request.getParameter("userResponse");
    String szEnterComments = request.getParameter("enterComments");
    String szAssignEvents = request.getParameter("assignEvents");
    String szSelectQuery = request.getParameter("selectQuery");
    String szSelectSystem = request.getParameter("selectSystem");
    String szAutoUpdate = request.getParameter("autoUpdate");

    MxSystemsListInstance inst = null;
    Integer modelId = null;
    MxTableController systemsListTableController = null;
    ResourceBundle rbUITextBundle =  ResourceBundle.getBundle("com.hp.mx.portal.applet.view.WbemViewLoader",
                loginBean.getLocale());

    if (szSystemListTimeStamp != null)
    {
        inst = (MxSystemsListInstance)systemsListsBean.getInstance(szSystemListTimeStamp);

        if (inst != null)
        {
            systemsListTableController = inst.getSystemsListTableController();
            systemsListTableController.dumpSessionResetLink(request, out);

            // if this page was loaded just to give the table controller a message, then don't
            // continue processing this page
            if (systemsListTableController.checkUrlForControllerMessages(request, out))
            {
                return;
            }
            modelId = new Integer(inst.getWbemTableModel().getModelId());
        }
    }
%>
<script src="<%=MxOptions.URL_BASE%>/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">

function clearSelectionAndRefresh()
{
    clearTableViewSelection();
    updateTableView();
    MxPortalManageMenuRefreshSelections();
}

function updateTableView()
{
    parent.MxTableKickUpdateTimer("<%=inst.ID_SYSTEM_LIST_TABLE%>");
}

function clearTableViewSelection()
{
    parent.p_MxTableSelectAll("<%=inst.ID_SYSTEM_LIST_TABLE%>", false);
}

<%
    if (szSelectQuery != null)
    {
        if (inst == null)
        {
            inst = new MxSystemsListInstance(loginBean);
        }

        String szCollectionLUID = request.getParameter("collectionluid");
        String szViewId = request.getParameter("viewid");

        if (szSelectQuery.equalsIgnoreCase("true"))
        {
            if (szCollectionLUID != null && !szCollectionLUID.equalsIgnoreCase("null"))
            {
                inst.addCollectionToSelection(szCollectionLUID);
            }
            else if (szViewId != null && !szViewId.equalsIgnoreCase("null"))
            {
                inst.addQueryToSelection(szViewId);
            }
        }
        else
        {
            if (szCollectionLUID != null && !szCollectionLUID.equalsIgnoreCase("null"))
            {
                inst.removeCollectionFromSelection(szCollectionLUID);
            }
            else if (szViewId != null && !szViewId.equalsIgnoreCase("null"))
            {
                inst.removeQueryFromSelection(szViewId);
            }
        }
    }
    else if (szSelectSystem != null)
    {
        if (inst == null)
        {
            inst = new MxSystemsListInstance(loginBean);
        }

        String szDevKey = request.getParameter("devKey");

        if (szSelectSystem.equalsIgnoreCase("true"))
        {
            if (szDevKey != null && !szDevKey.equalsIgnoreCase("null"))
            {
                inst.addSystemToSelection(szDevKey);
            }
        }
        else
        {
            if (szDevKey != null && !szDevKey.equalsIgnoreCase("null"))
            {
                inst.removeSystemFromSelection(szDevKey);
            }
        }
    }
    else if (szAutoUpdate != null)
    {
        if (inst != null)
        {
            String szStatusPanelHtml = inst.getStatusPanelHtml();
            if (szStatusPanelHtml != null)
            {
                %>
                    parent.mySystemListSelectionChanged("<%=inst.ID_SYSTEM_LIST_TABLE%>", null, null);
                    parent.updateStatusPanel("<%=szStatusPanelHtml%>");
                <%
            }
        }
    }
    else if (szEnterComments != null)
    {
        String szCommentToAdd = request.getParameter("commentToAdd");
        MxAddEventsComment addEventsComment = new MxAddEventsComment(loginBean, modelId.intValue());

        addEventsComment.addCommentsToSelectedEvents(szCommentToAdd);
        %>
            updateTableView();
        <%
    }
    else if (szAssignEvents != null)
    {
        String szAssigneeName = request.getParameter("assignee");
        MxAssignEventsTo assignEventsTo = new MxAssignEventsTo(loginBean, modelId.intValue());

        assignEventsTo.assignSelectedEventsTo(szAssigneeName);
        %>
            updateTableView();
        <%
    }
    else if (szDeleteSystems != null)
    {
        deleteDevicesAction.initialize(loginBean);
        List deleteIssues = deleteDevicesAction.deleteListOfNodes();
        ListIterator iter = deleteIssues.listIterator();
        boolean containerMsgDisplayed = false;

        while (iter.hasNext())
        {
            DeletedDeviceInfo ddInfo = (DeletedDeviceInfo) iter.next();
            if (ddInfo.getDeletedState() == DeletedDeviceInfo.XE_SERVER_DELATTEMPTED)
            {
                String szDeleteCMSPart1 = rbUITextBundle.getString("ddTriedDelSvrMsgPart1");
                String szDeleteCMSPart2 = rbUITextBundle.getString("ddTriedDelSvrMsgPart2");
                %>
                    alert("<%=szDeleteCMSPart1%>" + "\n" + "<%=szDeleteCMSPart2%>");
                <%
            }

            if ( (ddInfo.getDeletedState() == DeletedDeviceInfo.NONEMPTY_CONTAINER_DELATTEMPTED) &&
                 (containerMsgDisplayed == false) )
            {
                String szDeleteContainerPart1 = rbUITextBundle.getString("ddTriedDelContainerMsgPart1");
                String szDeleteContainerPart2 = rbUITextBundle.getString("ddTriedDelContainerMsgPart2");
                containerMsgDisplayed = true;
                %>
                    alert("<%=szDeleteContainerPart1%>" + "\n" + "<%=szDeleteContainerPart2%>");
                <%
            }
            if ( (ddInfo.getDeletedState() == DeletedDeviceInfo.NODE_MAO_IN_USE) &&
                 (containerMsgDisplayed == false) )
            {
                String szDeleteContainerPart1 = rbUITextBundle.getString("ddTriedDelMaoUsedMsgPart1");
                String szDeleteContainerPart2 = rbUITextBundle.getString("ddTriedDelMaoUsedMsgPart2");
                containerMsgDisplayed = true;
                %>
                    alert("<%=szDeleteContainerPart1%>" + "\n" + "<%=szDeleteContainerPart2%>");
                <%
            }
            if ( (ddInfo.getDeletedState() == DeletedDeviceInfo.USER_NOT_AUTHORIZED) &&
                 (containerMsgDisplayed == false) )
            {
                String szDeleteContainerPart1 = rbUITextBundle.getString("ddTriedDelNotAuthMsgPart1");
                String szDeleteContainerPart2 = rbUITextBundle.getString("ddTriedDelNotAuthMsgPart2");
                containerMsgDisplayed = true;
                %>
                    alert("<%=szDeleteContainerPart1%>" + "\n" + "<%=szDeleteContainerPart2%>");
                <%
            }
            if ( (ddInfo.getDeletedState() == DeletedDeviceInfo.OTHER_DELETE_ERROR) &&
                 (containerMsgDisplayed == false) )
            {
                String szDeleteContainerPart1 = rbUITextBundle.getString("ddTriedDelGenErrorMsgPart1");
                String szDeleteContainerPart2 = rbUITextBundle.getString("ddTriedDelGenErrorMsgPart2");
                containerMsgDisplayed = true;
                %>
                    alert("<%=szDeleteContainerPart1%>" + "\n" + "<%=szDeleteContainerPart2%>");
                <%
            }
        }
        // unselect the selected rows
        if (inst != null)
        {
            %>
                clearSelectionAndRefresh();
            <%
        }
        else
        {
            %>
                var oTreePage = parent.document.getElementById("TREE_FRAME");
                if (oTreePage != null)
                {
                    oTreePage.contentWindow.setTreeCheckBoxes("clear");
                    oTreePage.contentWindow.updateTreeView();
                }
            <%
        }
    }
    else if (szClearEvents != null)
    {
        MxClearEventsAction clearEventsAction = new MxClearEventsAction(loginBean, modelId.intValue());
        clearEventsAction.clearListOfEvents();
        %>
            updateTableView();
        <%
    }
    else if (szDeleteEvents != null)
    {
        if ( (szUserResponse != null) && (szUserResponse.equalsIgnoreCase("true")) )
        {
            List deleteEventIssues = deleteEventsAction.deleteListOfEvents();
            ListIterator iter = deleteEventIssues.listIterator();
            boolean displayedDiscoveredDevice = false;
            boolean displayedDiscoveredDeviceOnly = false;

            while (iter.hasNext())
            {
                Integer iTemp = (Integer)iter.next();

                if ( (iTemp.intValue() == DeleteEventList.XE_DISCOVERED_DEVICE_DELATTEMPTED) &&
                     (!displayedDiscoveredDevice) )
                {
                    displayedDiscoveredDevice = true;
                    String szDeleteDisc = rbUITextBundle.getString("delEventDlgMsg");
                    %>
                        alert("<%=szDeleteDisc%>");
                    <%
                }
                else if ( (iTemp.intValue() == DeleteEventList.XE_DISCOVERED_DEVICE_DELATTEMPTED_ONLY) &&
                          (!displayedDiscoveredDeviceOnly) )
                {
                    displayedDiscoveredDeviceOnly = true;
                    String szDeleteDisc = rbUITextBundle.getString("delEventDlgMsg2");
                    %>
                        alert("<%=szDeleteDisc%>");
                    <%
                }
            }
            // unselect the selected rows
            if (inst != null)
            {
                %>
                    clearSelectionAndRefresh();
                <%
            }
        }
        else if (modelId != null)
        {
            int numSelectedEvents = 0;
            int numSelectedServiceEvents = 0;

            deleteEventsAction.initialize(loginBean, modelId.intValue());

            // get the list of selected events and selected service events
            numSelectedEvents = deleteEventsAction.getSelectedEventsCount();
            numSelectedServiceEvents = deleteEventsAction.getSelectedServiceEventsCount();

            String rbStr = null;
            boolean bSpecialHandle = false;

            if (numSelectedServiceEvents == 0)
            {
                rbStr = rbUITextBundle.getString( "delEventConfirmMsg" );
            }
            else if (numSelectedServiceEvents == numSelectedEvents)
            {
                rbStr = rbUITextBundle.getString( "delEventConfirmMsg4" );
            }
            else
            {
                bSpecialHandle = true;

                rbStr = rbUITextBundle.getString( "delEventServiceEventMsg" ) + "\n" +
                            rbUITextBundle.getString("delEventConfirmMsg") + "\n" +
                            rbUITextBundle.getString("delEventConfirmMsg1") + "\n" +
                            rbUITextBundle.getString("delEventConfirmMsg2") + "\n";
            }
            if (rbStr != null)
            {
                %>
                    var choice = confirm("<%=rbStr%>");
                    if (choice == true)
                    {
                        var currentURL = document.URL;
                        var refreshURL = currentURL + "&userResponse=" + choice;
                        document.location.replace(refreshURL);
                    }
                <%

            }
        }
    }
%>
</script>
