<%--
/*-------------------------------------------------------------------------
---- Copyright 1997, 2004 Hewlett-Packard Corporation
---------------------------------------------------------------------------
----
---- Title: SvcGuard.jsp
----
---- Package:  www.ui.jsp
----
----- Description:   Used for drill-down for Serviceguard virutal node.
----
----------------------------------------------------------------------------
---- Date: 1/26/2004
---------------------------------------------------------------------------
---- $ProjectName: $
---- $Header: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/ui/jsp/SvcGuard.jsp,v 1.4 2004/03/12 08:44:47 bchang Exp $
---- $Revision: 1.4 $
----------------------------------------------------------------------------*/
--%>

<%-- ---------------------------------------------------------------------- --%>
<%--  Put all your Java imports here                                        --%>
<%-- ---------------------------------------------------------------------- --%>

<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>


<%-- ---------------------------------------------------------------------- --%>
<%--  Create all your beans here                                            --%>
<%-- ---------------------------------------------------------------------- --%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="selectionBean" class="com.hp.mx.portal.core.MxObjSelections" scope="session" />
<jsp:useBean id="svcBean" class="com.hp.mx.portal.clustermonitor.SvcGuard" scope="page" />
<jsp:useBean id="SvcGuardRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%-- ---------------------------------------------------------------------- --%>
<%--  Put one block of initialization Java code here                        --%>
<%--  In general, keep Java code to a minimum. Put Java code into JavaBeans.--%>
<%-- ---------------------------------------------------------------------- --%>

<%
    // REQUIRED: Set necessary HTTP header attributes (for localization
    // and page caching)
    MxBean.jspInit(request, response);

    SvcGuardRes.init(loginBean,"SvcGuard");

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Get the resource
    ResourceBundle bundle = SvcGuardRes.getBundle();
    if ( session.getValue( "SvcGuard.isPageLoaded" ) == null)
    {
        for ( Enumeration e = bundle.getKeys(); e.hasMoreElements(); )
        {
            String key = (String)e.nextElement();
            String value = bundle.getString( key );
            session.putValue( key, value );
        }

        session.putValue( "SvcGuard.isPageLoaded", "true" );
    }

   String SvcGuardErrorMsg = (String) session.getValue( "SvcGuard.ErrorMsg" );
%>

<html>
<head>
</head>
<body>
<%
    //
    // Initialize the Serviceguard Bean
    //
    if (svcBean.initialize(request.getParameter("target"), loginBean, selectionBean))
    {
        response.sendRedirect( svcBean.getServiceguardListViewURL() );
    }
    else
    {
%>
        <br><br><br>
        <%= SvcGuardErrorMsg %>
<%
    }
%>
</body>
</html>
