<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="devViewRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%@ page import="com.hp.mx.portal.list.MxSystemsListRenderer"%>
<%@ page import="com.hp.mx.portal.list.MxSystemsListInstance"%>
<%@ page import="com.hp.mx.core.querymanager.View"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    devViewRes.init(loginBean,"com.hp.mx.portal.applet.view.WbemViewLoader");
    MxSystemsListRenderer listRenderer = new MxSystemsListRenderer(request, response,
                                                                   loginBean, out,
                                                                   false);

    String szViewMode = request.getParameter("viewMode");
    String szViewId = request.getParameter("viewid");
    String szDefaultView = request.getParameter("defaultView");
    String szCollectionLUID = request.getParameter("collectionLUID");
    String szQueryDisplayName = request.getParameter("queryDisplayName");
    String szTreeViewId = request.getParameter("treeViewId");
    boolean bIsClusterView = false;
    boolean bIsTreeView = false;
    boolean bIsIconView = false;

    if (szViewId != null)
    {
        listRenderer.setViewId(new Integer(szViewId));
    }
    else if (szCollectionLUID != null)
    {
        listRenderer.setCollectionLUID(szCollectionLUID);
    }

    if (szQueryDisplayName != null)
    {
        listRenderer.setQueryName(szQueryDisplayName);
    }

    if (szViewMode == null)
    {
        String szViewType = request.getParameter("ViewType");

        if (((szViewType != null) && ((szViewType.equalsIgnoreCase(View.DEVICE_VIEWS)) ||
                                     (szViewType.equalsIgnoreCase(View.CLUSTER_VIEWS)))) ||
            (szDefaultView.equals("iconview") || szDefaultView.equals("tableview")))
        {
            if (szDefaultView != null)
            {
                if (szDefaultView.equals("treeview"))
                    szViewMode = "tree";
                else if (szDefaultView.equals("iconview"))
                    szViewMode = "icon";
                else
                    szViewMode = "details";
            }
            else
            {
                szViewMode = "details";
            }
            if (szViewType.equalsIgnoreCase(View.CLUSTER_VIEWS))
               bIsClusterView = true;
        }
        else
        {
            szViewMode = "tree";
            bIsTreeView = true;
        }
    }
    else if (szViewMode.equals("tree"))
    {
        bIsTreeView = true;
    }
    else if (szViewMode.equals("icon"))
    {
        bIsIconView = true;
    }
%>

<link href="<%= MxOptions.URL_BASE %>/css/MxPortalEx.css" rel="stylesheet" type="text/css">
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">

/* *******************************************
 * Global Definitions
 *********************************************/
var WIDTH_MARGIN = 12;
var HEIGHT_MARGIN = 10;

var VIEW_AS_TABLE = 1;
var VIEW_AS_ICON = 2;
var VIEW_AS_TREE = 3;

/* *******************************************
 * Global Variables
 *********************************************/
var viewAs = 1;

function isTableView()
{
    if (viewAs == VIEW_AS_ICON || viewAs == VIEW_AS_TABLE)
        return true;
    else
        return false;
}

function resetHelpContext()
{
    // if the page is being used for selection only as a component to other
    // pages then we do not need to set the help context.
    if (<%=listRenderer.m_bSelectionOnly%>)
        return;

    if (<%=bIsTreeView%>)
        MxPortalWorkspaceSetHelpTopic("monitor_system_nav_treeView");
    else if (<%=bIsClusterView%>)
        MxPortalWorkspaceSetHelpTopic("monitor_cluster_nav_clusterView");
    else if (<%=bIsIconView%>)
        MxPortalWorkspaceSetHelpTopic("monitor_system_nav_iconView");
    else
        MxPortalWorkspaceSetHelpTopic("monitor_system_nav_systemView");
}

function myOnLoad()
{
    resetHelpContext();
    setupViewMode();
    if (document.getElementById("<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>") != null)
    {
        myOnResize();
    }

    if (isTableView())
    {
        tableOnLoad();
        tableIsInitialized();

        // This call is here to tell the task wizard when the table is done laoding
        // so that it can display the select all check box at the appropriate time
        // The nodeListDoneLoading() function is on the selectionMenu.jsp file - one (1) level up.
        if (parent.nodeListDoneLoading != null)
        {
            parent.nodeListDoneLoading();
        }
    }
}

function myOnResize()
{
    document.body.style.overflow = "hidden";
    resizeTableWidth();
    resizeTableHeight();
    document.body.style.overflow = "auto";
}

function resizeTableWidth()
{
    var workspaceWidth = MxDomGetBodyWidth() - WIDTH_MARGIN;

    MxDomSetWidth(document.getElementById("<%=listRenderer.ID_TABLE_ELEMENT%>"), workspaceWidth);
    if (isTableView())
        MxTableSetWidth('<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>', workspaceWidth);
}

function resizeTableHeight()
{
    var usedHeight = 0;

    var tempElement = document.getElementById("<%=listRenderer.ID_TOP_BUTTON_ROW%>");
    if (tempElement != null)
        usedHeight += MxDomGetHeight(tempElement);

    tempElement = document.getElementById("<%=listRenderer.ID_SELECT_QUERY_ROW%>");
    if (tempElement != null)
        usedHeight += MxDomGetHeight(tempElement);

    tempElement = document.getElementById("<%=listRenderer.ID_STATUS_SUMMARY_PANEL%>");
    if (tempElement != null)
        usedHeight += MxDomGetHeight(tempElement);

    tempElement = document.getElementById("<%=listRenderer.ID_BOTTOM_BUTTON_ROW%>");
    if (tempElement != null)
        usedHeight += MxDomGetHeight(tempElement);

    var availableHeight = Math.max(0, MxDomGetBodyHeight() - usedHeight - HEIGHT_MARGIN);

    if (isTableView())
    {
        var tableScrollHeight = MxTableGetScrollHeight('<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>');
        if (tableScrollHeight > availableHeight)
        {
            MxTableSetHeight('<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>', availableHeight);
        }
        else if (tableScrollHeight < availableHeight)
        {
            MxTableSetHeight('<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>', tableScrollHeight);
        }
    }
    else
    {
        MxDomSetHeight(document.getElementById("<%=listRenderer.ID_TABLE_ELEMENT%>"), availableHeight);
    }
}

function selectQuery()
{
    if (document.getElementById("<%=listRenderer.ID_SELECT_QUERY%>").checked)
    {
        document.getElementById("<%=listRenderer.ID_TABLE_ACTION_IFRAME%>").contentWindow.document.location.replace(
            "MxTableViewActions.jsp?selectQuery=true&viewid=<%=szViewId%>&collectionluid=<%=szCollectionLUID%>");

        if (isTableView())
        {
            MxTableDisableSelections("<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>", true);
        }
        else
        {
            document.getElementById("TREE_FRAME").contentWindow.setTreeCheckBoxes("disabled");
        }
        selectionCleared();
    }
    else
    {
        document.getElementById("<%=listRenderer.ID_TABLE_ACTION_IFRAME%>").contentWindow.document.location.replace(
            "MxTableViewActions.jsp?selectQuery=false&viewid=<%=szViewId%>&collectionluid=<%=szCollectionLUID%>");

        if (isTableView())
        {
            MxTableEnableSelections("<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>");
        }
        else
        {
            document.getElementById("TREE_FRAME").contentWindow.setTreeCheckBoxes("clear");
        }
    }

    MxPortalManageMenuRefreshSelections();
}

function enableDeleteButton()
{
    if (<%=listRenderer.hasDeletePrivilege()%>)
    {
       ourButtonManager.enableButtonById("<%=listRenderer.ID_DELETE_BUTTON%>");
    }
}

function disableDeleteButton()
{
    if (<%=listRenderer.hasDeletePrivilege()%>)
    {
       ourButtonManager.disableButtonById("<%=listRenderer.ID_DELETE_BUTTON%>");
    }
}

function enableSaveAsButton()
{
    ourButtonManager.enableButtonById("<%=listRenderer.ID_SAVE_AS_BUTTON%>");
}

function disableSaveAsButton()
{
    ourButtonManager.disableButtonById("<%=listRenderer.ID_SAVE_AS_BUTTON%>");
}

function setupViewMode()
{
    if ("<%=szViewMode%>" == "tree")
    {
        viewAs = VIEW_AS_TREE;
    }
    else if ("<%=szViewMode%>" == "icon")
    {
        viewAs = VIEW_AS_ICON;
    }
    else
    {
        viewAs = VIEW_AS_TABLE;
    }

    if (!<%=listRenderer.m_bSuppressViewAs%>)
    {
        if (viewAs == VIEW_AS_TREE)
        {
            document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value = "tree";
            document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").text = "tree";
        }
        else if (viewAs == VIEW_AS_ICON)
        {
            document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value = "icon";
            document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").text = "icon";
        }
        else if (viewAs == VIEW_AS_TABLE)
        {
            document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value = "list";
            document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").text = "table";
        }
    }
}

function saveSelectionButtonClicked()
{
    document.getElementById("<%=listRenderer.ID_RESULT_SPACE%>").contentWindow.document.location.replace("/mxportal/search/SaveNodeList.jsp");
}

function tablePrintWork(timeStamp)
{
    if (document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>") == null)
    {
        reportWindow = window.open("MxTableViewPrinter.jsp?systemListTimeStamp=" + timeStamp + "&printable=yes", "MxTableViewPrinterWindow", "menubar=1, titlebar=1, toolbar=1, scrollbars=1, resizable=1");
        reportWindow.focus();
    }
    else if (document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value == "tree")
    {
        document.getElementById("TREE_FRAME").contentWindow.loadTreePrintWindow();
    }
    else
    {
        reportWindow = window.open("MxTableViewPrinter.jsp?systemListTimeStamp=" + timeStamp + "&printable=yes", "MxTableViewPrinterWindow", "menubar=1, titlebar=1, toolbar=1, scrollbars=1, resizable=1");
        reportWindow.focus();
    }
}

function viewAsDropDownClicked()
{
    if (document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value == "list")
    {
        if (viewAs == VIEW_AS_TABLE)
        {
            // do nothing as we are all ready viewing a table
        }
        else if (viewAs == VIEW_AS_ICON)
        {
            MxTableSwitchToGridView("<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>", -1);
            viewAs = VIEW_AS_TABLE;
            MxPortalWorkspaceSetHelpTopic("monitor_system_nav_systemView");
        }
        else
        {
            // Replace the viewtype parameter
            var currentURL = document.URL.split("&ViewType=ListTree");
            var refreshURL = currentURL[0] + "&ViewType=DeviceViews" + currentURL[1];

            // Replace the pagecontents parameter
            currentURL = refreshURL.split("ListTree");
            refreshURL = currentURL[0] + "Devices" + currentURL[1];

            // Replace the viewmode parameter
            currentURL = refreshURL.split("&viewMode=");
            refreshURL = currentURL[0] + "&viewMode=details&retainSelection=true";
            if ("<%=szQueryDisplayName %>" != "null")
                refreshURL += "&queryDisplayName=<%=szQueryDisplayName %>";
            document.location.replace(refreshURL);
        }
    }
    else if (document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value == "icon")
    {
        if (viewAs == VIEW_AS_ICON)
        {
            // do nothing as we are all ready viewing the icon view
        }
        else if (viewAs == VIEW_AS_TABLE)
        {
            MxTableSwitchToGridView("<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>", 6);
            viewAs = VIEW_AS_ICON;
            MxPortalWorkspaceSetHelpTopic("monitor_system_nav_iconView");
        }
        else
        {
            // Replace the viewtype parameter
            var currentURL = document.URL.split("&ViewType=ListTree");
            var refreshURL = currentURL[0] + "&ViewType=DeviceViews" + currentURL[1];

            // Replace the pagecontents parameter
            currentURL = refreshURL.split("ListTree");
            refreshURL = currentURL[0] + "Devices" + currentURL[1];

            // Replace the viewmode parameter
            currentURL = refreshURL.split("&viewMode=");
            refreshURL = currentURL[0] + "&viewMode=icon&retainSelection=true";
            if ("<%=szQueryDisplayName %>" != "null")
                refreshURL += "&queryDisplayName=<%=szQueryDisplayName %>";
            document.location.replace(refreshURL);
        }
    }
    else if (document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value == "tree")
    {
        viewAs = VIEW_AS_TREE;
        var currentURL = document.URL.split("&viewMode=");
        var refreshURL = currentURL[0] + "&viewMode=tree&retainSelection=true";
        if ("<%=szTreeViewId %>" != "null")
            refreshURL += "&treeViewId=<%=szTreeViewId %>"
        if ("<%=request.getParameter("expandAll") %>" != "null")
            refreshURL += "&expandAll=true"
        document.location.replace(refreshURL);
    }
    else if (document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>").value == "BPV")
    {
        <%
            listRenderer.dumpViewAsBPV();
        %>
    }
}

function customizeButtonClicked()
{
    document.location.replace("<%=MxOptions.URL_BASE%>/home/customColumn.jsp?queryID=<%=szViewId%>");
}

function openCentered (url, name, width, height)
{
    if (document.all)
    {
        var x = window.screeLeft;
        var y = window.screenTop;
        var w = window.document.body.offsetWidth;
        var h = window.document.body.offsetHeight;
    }
    else
    {
        var x = window.screenX;
        var y = window.screenY;
        var w = window.outerWidth;
        var h = window.outerHeight;
    }
    var cx = (MxPortalGetWorkspaceFrame().offsetWidth - width) / 2;
    var cy = (MxPortalGetWorkspaceFrame().offsetHeight - height) / 2;

    return open (url, name, '=no,location=no,directories=no,status=no,menubar=no,scrollbar=no,resizable=no,copyhistory=yes,left=' + cx + ',top=' + cy + ',width=' + width + ',height=' + height);
}

function tableDeleteWork(timeStamp)
{
    if (!<%=listRenderer.hasDeletePrivilege()%>)
    {
        return;
    }

    // disable the buttons that require elements to be selected
    disableDeleteButton();
    disableSaveAsButton();

    var confirmationMessage = null;

    confimationMessage = "<%=devViewRes.get("ddConfirm")%>";

    var deleteConfirmation = confirm(confimationMessage);

    if (deleteConfirmation == true)
    {
        document.getElementById("<%=listRenderer.ID_TABLE_ACTION_IFRAME%>").contentWindow.document.location.replace(
            "MxTableViewActions.jsp?systemListTimeStamp=" + timeStamp + "&deleteSystems=true");
        openCentered("DeleteInProgress.jsp", "DeleteSystems", 400, 70);
    }
    else
    {
        enableDeleteButton();
        enableSaveAsButton();
    }

}

function treeIsInitialized()
{
    setupViewMode();
    enableButton(document.getElementById("<%=listRenderer.ID_PRINT_BUTTON%>"),true);
    enableSelect(document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>"),true);
}

function tableIsInitialized()
{
    setupViewMode();
    enableSelect(document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>"),true);

    if (!MxTableIsEmpty("<%=MxSystemsListInstance.ID_SYSTEM_LIST_TABLE%>"))
    {
        ourButtonManager.enableButtonById("<%=listRenderer.ID_PRINT_BUTTON%>");
    }

    if (<%=listRenderer.m_bEnableBigPictureView%>)
    {
        enableSelect(document.getElementById("<%=listRenderer.ID_VIEW_AS_DROP_DOWN%>"),true);
    }

    if (!<%=listRenderer.m_bSuppressCustomize%>)
    {
       var customizeButton = "<a href='javascript:customizeButtonClicked()'>";
       customizeButton = customizeButton + "<%=devViewRes.get("Customize")%>" + "</a></td>";
       document.getElementById("<%=listRenderer.ID_CUSTOMIZE_BUTTON%>").innerHTML = customizeButton;
    }

    MxPortalManageMenuRefreshSelections();
}

function MyDrillDown(szDrillDownType, deviceId)
{
    document.getElementById("<%=listRenderer.ID_TABLE_ACTION_IFRAME%>").contentWindow.document.location.replace(
        "/mxportal/drilldown/MxDrillDown.jsp?drillDownType=" +
        szDrillDownType + "&deviceId=" + deviceId + "&globalselection=true");
}

function MyDrillDownEx(szDrillDownType, deviceId, memberDeviceId)
{
    document.getElementById("<%=listRenderer.ID_TABLE_ACTION_IFRAME%>").contentWindow.document.location.replace(
        "/mxportal/drilldown/MxDrillDown.jsp?drillDownType=" +
        szDrillDownType + "&deviceId=" + deviceId + "&memberDeviceId=" + memberDeviceId);
}

function selectionMade()
{
    enableDeleteButton();
    enableSaveAsButton();
    // The enableApplyButton() function is on the targetSelection.jsp file - two (2) levels up.
    if (parent.parent.enableApplyButton != null)
    {
        parent.parent.enableApplyButton(true);
    }

    MxPortalManageMenuRefreshSelections();
}

function selectionCleared()
{
    disableDeleteButton();
    disableSaveAsButton();
    // The enableApplyButton() function is on the targetSelection.jsp file - two (2) levels up.
    if (parent.parent.enableApplyButton != null)
    {
        parent.parent.enableApplyButton(false);
    }

    MxPortalManageMenuRefreshSelections();
}

function my_MxPortalWorkspaceCreateUrl(szTitle, szSubTitle, szDrillDownURL)
{
    MxPortalWorkspaceCreateUrlEx(szTitle, szSubTitle, szDrillDownURL);
}

function myOnUnload()
{
    document.getElementById("ID_TABLE_ACTION_IFRAME").contentWindow.document.location.replace("/ui/jsp/removeInstance.jsp?systemListTimeStamp=" + thisTimeStamp);
}

</script>

<%
    listRenderer.dumpWholeSystemsListPage();
%>
