
<%@ page import="com.hp.mx.utilities.*,
                 java.util.*,
                 com.hp.mx.security.*,
                 com.hp.mx.core.subjects.usermanager.MxUser,
                 com.hp.mx.portal.session.*,
                 com.hp.clustermonitor.mam.cmxmanager.automation.*,
                 com.hp.clustermonitor.*,
                 com.hp.clustermonitor.mam.cmxmanager.automation.*,
                 com.hp.clustermonitor.mam.mammanager.profiles.*,
                 com.hp.clustermonitor.mam.mammanager.data.*,
                 com.hp.clustermonitor.cmx.*,
                 com.hp.clustermonitor.cmx.cpucmx.*"
%>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%!
    Vector vClusStatus =  DataManager.cloneClusterStatusList();
    Vector vClusProfile = DataManager.cloneClusterScopeProfileList();
    Vector vClustCnt =    CmxEventHandler.cloneClustCntVect();
    Vector vClust    =    CmxEventHandler.cloneClustVect();
    Vector vSess     =    CmxEventHandler.cloneSession();

%>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    // end required section.
%>
<html>
<head></head>
<body>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>

<!--
===================================================================
    Sessions
===================================================================
-->

<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='3' style='font-family:verdana; font-size:12pt; color:white'>
        Session Info<span style='font-size:8pt'>(Clusters in Session)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='30%'>User Name</th>
    <th width='10%'>ViewId</th>
    <th width='60%'>Cluster</th>
 </tr>


<%--

    //  public ContextInfo getContextInfo()   public boolean getToss()


     for (int i=0; i<vSess.size(); ++i)
    {
        String username = null;
        // dump each item

        CmxEventHandler.DvSession sess =                  (CmxEventHandler.DvSession)vSess.elementAt(i);
        UserSession uSess = sess.getSession();
        int viewId = sess.getViewId();
        MxUser checkUser = uSess.getUser();
        username = checkUser.getNameString();
        Vector cList = sess.getClusterList();
        String clusname = null;
        for (int j=0; j<cList.size(); ++j)
        {
           if (clusname == null)
              clusname = (String)cList.elementAt(j);
           else
              clusname = clusname + ", " +(String)cList.elementAt(j);
        }
        out.println("<tr align=center><td>" + username + "</td><td>" +
                                 viewId +   "</td><td>" +
                                 clusname                 + "</td></tr>");
    }
    out.println("</table>");
%>



<!--
===================================================================
    Cluster Profiles
===================================================================
-->

<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='2' style='font-family:verdana; font-size:12pt; color:white'>
        Cluster Scope Profiles <span style='font-size:8pt'>(Clusters)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='30%'>Scope Name</th>
    <th width='70%'>Clusters</th>
 </tr>


<%

    for (int i=0; i<vClusProfile.size(); ++i)
    {
        String clusname = null;
        int status = 0;
        ClusterScopeProfile cSProf = (ClusterScopeProfile)vClusProfile.elementAt(i);
        String scopename =cSProf.getName();
        Vector cList = cSProf.getClusterProfileList();

        for (int j=0; j<cList.size(); ++j)
        {
           ClusterProfile cProf = (ClusterProfile)cList.elementAt(j);
           if (clusname == null)
              clusname = cProf.getName();
           else
              clusname = clusname + ", " +cProf.getName();
        }
        out.println("<tr align=center><td>" + scopename + "</td><td>" +
                                 clusname                 + "</td></tr>");
    }
    out.println("</table>");
%>

<!--
===================================================================
    Clusters and Cnts
===================================================================
-->

<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='2' style='font-family:verdana; font-size:12pt; color:white'>
        Cluster Referenced by Session <span style='font-size:8pt'>(Cnts)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='50%'>Cluster Name</th>
    <th width='50%'>Cnt</th>
 </tr>


<%
    for (int i=0; i<vClust.size(); ++i)
    {
        Integer cnt = null;
        String clusname = null;
        // dump each item

        clusname =  (String)vClust.elementAt(i);
        cnt = (Integer)vClustCnt.elementAt(i);

        out.println("<tr align=center><td>" + clusname + "</td><td>" +
                                 cnt                 + "</td></tr>");
    }
    out.println("</table>");
%>
<!--
===================================================================
    ClusterObjectStatus
===================================================================
-->

<table width='100%' border='1' cellspacing='0' cellpadding='1' align='CENTER' bgcolor='#CCCCCC' bordercolor='#000000'>
<tr bgcolor='#006699'>
    <th colspan='3' style='font-family:verdana; font-size:12pt; color:white'>
        Cluster Status Objects <span style='font-size:8pt'>(Status)</span>
    </th>
</tr>
<tr valign="top" style="font-size:10pt;background:#66ccff;">
    <th width='40%'>Cluster/Node Name</th>
    <th width='10%'>Status</th>
    <th width='50%'>Node Profiles</th>
</tr>


<%
    for (int i=0; i<vClusStatus.size(); ++i)
    {
        String clusname = null;
        String nodename = null;
        String nodename2 = " ";
        int status = 0;
        ClusterObjectStatus cStatus = (ClusterObjectStatus)vClusStatus.elementAt(i);
        clusname = "Cluster - "+cStatus.getName();
        status = cStatus.getStatus();
        Vector cList = cStatus.getNodeStatusList();
        ClusterProfile clusProf = cStatus.getClusterProfile();
        Vector pList = clusProf.getNodeProfileList();
        NodeProfile nProf = null;
        nodename2 = null;
        for (int k=0; k<pList.size(); ++k)
        {
           nProf = (NodeProfile)pList.elementAt(k);
           if (nodename2 == null)
              nodename2 = nProf.getNodeName();
           else
           nodename2 = nodename2 + ", " + nProf.getNodeName();
        }
        out.println("<tr align=left><td>" + clusname   + "</td><td>" +
                                 status                + "</td><td>" +
                                 nodename2             + "</td></tr>");
        nodename2 = " ";
        for (int j=0; j<cList.size(); ++j)
        {
           NodeObjectStatus nStatus = (NodeObjectStatus)cList.elementAt(j);
           nodename = "Node - " + "    " + nStatus.getName();
           status = nStatus.getStatus();
           out.println("<tr align=left><td>" + nodename + "</td><td>" +
                                 status                 + "</td><td>"+
                                 nodename2              + "</td></tr>");
        }
    }
    out.println("</table>");
%>




<BR>
<A HREF='Javascript:history.go(0)'>Refresh</a><br>
--%>
<br><br>
<b>This page cannot be displayed because of it's reliance on the user session.
</b>
<br><br><br><br>
</body>
</html>
