<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<head>
<title>Debug Level</title>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>

  <STYLE TYPE="text/css"><!--
      .myTd  {color:#006699; font-size:10pt; font-family:verdana;}
      TH  {color:white; background:#006699; font-size:10pt; font-family:verdana;}
      .dbgSettingsTable{background:CCCCCC}
    -->
  </STYLE>
</head>

<body>
<%@ page import="com.hp.mx.utilities.*,
                 java.util.*,
                 com.hp.mx.database.GlobalSettings"
%>
<%
    // check to see if there are form variables for us to process.  if there are then process them now


    // are we on the ui settings page or standard server side debugs
    Properties settings;
    settings = GlobalSettings.getSettings();
    Enumeration e = settings.propertyNames();

    if (request.getMethod().equalsIgnoreCase("post"))
    {

        while (e.hasMoreElements())
        {
            String propName = (String) e.nextElement();
            String query = request.getParameter(propName);

            if (query != null)
            {
                 String val = InvalidCharCheck.transformOut(query);
                 String propValRaw = GlobalSettings.getProperty(propName,"");
                 if (propValRaw == null || !propValRaw.equals(val))
                 {
                     GlobalSettings.setProperty(propName, val);
                    // System.out.println("Will set "+propName +" to >"+val+"<");
                 }
            }
        }


        out.println("<SCRIPT language=\"javaScript\">");
        out.println("window.history.go(-1);");
        out.println("</SCRIPT>");

        // Update the debugsettings.props file

        /*
            GlobalSettings.saveProps();
        */

        return;
    }

    out.println("<form method=\"POST\" action=\"dbgGlobalSettings.jsp\" id=form1 name=form1>");
%>

<b>
Global Settings Dump
</b>

<p>
<%-- <%= session.getValue("Body.desc") %> --%>
View and Set global settings. To save click "Apply Changes" for those changes to take effect. Note: In some cases you may need to restart XE to have these changes recognized.
</p>
<hr size=4 width="100%" color="#006699">

    <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr>
        <td width="100%" valign="TOP" style="border-width: 4; border-color: #006699; border-style: solid;" class="dbgSettingsTable"></td>


<%
    final int NUM_COLUMNS = 1;
    String strHtmlColHdr = "<table width=100% border=1 cellspacing=0 cellpadding=2><tr><th width=\"35%\" align=LEFT>Global SETTING</th>\n<th width=\"65%\" align=CENTER>Value</th>\n</tr>\n";
    String strHtmlColBetween = "</td>\n<td width=5% valign=TOP style='border-width: 4; border-color: #006699; border-style: solid;' class=dbgSettingsTable>\n";

    int currItemCount = 0;
    int CurrentCol = 0;
    int numItemsInCol = 0;

    e = settings.propertyNames();

    int totalCount = 0;
    while (e.hasMoreElements())
    {
        totalCount++;
        e.nextElement();
    }

    if (totalCount > 1)
        numItemsInCol = ((totalCount - 1) / NUM_COLUMNS) + 1;

    e = settings.propertyNames();
    StringSorter allSortedSettings     = new com.hp.mx.utilities.StringSorter(totalCount);

    while (e.hasMoreElements())
    {
        allSortedSettings.insert((String) e.nextElement());
    }



    // Display first column header
    out.println(strHtmlColHdr);
    allSortedSettings.quickSort();
    e = allSortedSettings.getSortedElements();
    while (e.hasMoreElements())
    {
        currItemCount++;
        if (currItemCount > numItemsInCol)
        {

            // End the current column
            out.println("</table>\n");

            // Prep for new column if more columns exist
            if (CurrentCol < NUM_COLUMNS)
            {
                out.println (strHtmlColBetween);
                out.println (strHtmlColHdr);
                currItemCount = 1;
                CurrentCol++;
            }
        }

        String propName = (String)e.nextElement();
        String propValRaw = GlobalSettings.getProperty(propName,"");
        String propVal  = InvalidCharCheck.transformIn(propValRaw);
%>
            <tr>
                <td width="35%" class=myTd>
<%
                out.println(propName);
%>
                </td>
                <td width="65%"  align="LEFT" class=myTd>
<%
        if (propValRaw.indexOf('\n') != -1 || propValRaw.indexOf(0x0a) != -1 || propValRaw.indexOf('\r') != -1)
        {

                out.println("<textarea name='"+ propName + "wrap='off' rows='3' style='WIDTH: 100%;'>");
                out.println(""+propValRaw+"</textarea>");
        }
        else
        {
                String fmtStr = " style='WIDTH: 100%;' ";
                int colCnt = propVal.length();
                if (colCnt > 100)
                {
                   fmtStr=" Size='100' ";
                }
                out.println("<input type='Text' name='" + propName + "' value='" + propVal + "'"+fmtStr+" >\n");
        }
%>
                </td>
            </tr>
<%
    }
    out.println("</table>\n");       // End the last table
%>


        </td>
    </tr>
    </table>
<hr size=4 width="100%" color="#006699">
<CENTER><input type="Submit" value="Apply Changes" id=Submit1 name=Submit1> </CENTER>

</form>
</body>
</html>
