<%@ page import="com.hp.mx.utilities.DebugOutput"%>
<%@ page import="com.hp.mx.utilities.DebugSubsystem"%>
<%@ page import="com.hp.mx.utilities.MxPathProperty"%>
<%@ page import="com.hp.mx.utilities.MxPathPropertyIfc"%>
<%@ page import="java.io.*"%>
<%@ page import="com.hp.mx.security.*,
com.hp.mx.portal.session.*,
                 java.util.*"
%>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
%>

<html>
<head>
<title>Debug log file contents</title>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>
</head>
<body>
<pre>
<%

    BufferedReader inreader = null;
    try
    {
        String altFileName = request.getParameter("AlternateDebug");
        File debugLogFile = null;
        if (altFileName != null && altFileName.length() > 0)
        {
             debugLogFile = MxPathProperty.getExpandedFilePath
                (MxPathPropertyIfc.LOG_EXP, altFileName+".dbg");
        }
        else
        {
             debugLogFile = MxPathProperty.getExpandedFilePath
                (MxPathPropertyIfc.LOG_EXP, "DomainManager.dbg");
        }

        inreader = new BufferedReader( new FileReader(debugLogFile));
        char buf[] = new char[4096];
        int bytesRead;

        while((bytesRead = inreader.read(buf)) != -1)
        {
            out.write(buf, 0, bytesRead);
        }

    }
    catch (Exception ex)
    {
        ex.printStackTrace();
        out.print("Log file empty/not found.");
        out.print("To enable, go to server side debug settings and enable File debugs ");

    }
    finally
    {
        if(inreader != null)
            inreader.close();
    }

%>
</pre>
</body>
</html>
