<%--
/*-------------------------------------------------------------------------
---- Copyright 1998,99 Compaq Computer Corporation
---------------------------------------------------------------------------
---- $Header: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxdebug/debugLog.jsp,v 1.11 2005/04/21 21:59:15 gschunicht Exp $
----------------------------------------------------------------------------*/
--%>

<%@ page import="com.hp.mx.utilities.*"%>
<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="XEUtil" scope="session" class="com.hp.mx.portal.applet.utilities.XeJspUtil"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%!

    class DbgStringComparer implements com.hp.mx.utilities.ObjectArraySorter.SorterCompare
    {
        boolean descrSort = false;
        public DbgStringComparer(boolean sortDescr)
        {
            descrSort = sortDescr;
        }

        public int compare(Object n1, Object n2)
        {
            DebugSubsystem ds1 = (DebugSubsystem)n1;
            DebugSubsystem ds2 = (DebugSubsystem)n2;
            String s1;
            String s2;

            if (descrSort)
            {
                s1 = ds1.getDescription();
                s2 = ds2.getDescription();

            }
            else
            {
                s1 = ds1.getName().toString();
                s2 = ds2.getName().toString();
            }


            if (s1 == null && s2 == null)
            {
                return 0;
            }
            if (s1 == null)
            {
                return -1;
            }
            if (s2 == null)
            {
                return 1;
            }

            return s1.compareToIgnoreCase(s2);

        }

    }

%>
<%

    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if ( !loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    %>
<html>
<head>
<title>Debug Level Configuration</title>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
    <script language="JavaScript" src="../javascript/XeGlobalFunctions.js" type=""> </script>
    <script language="JavaScript" src="../javascript/XeHelp.js"></script>
    <script language="JavaScript" src="../javascript/layout.js"></script>

  <STYLE TYPE="text/css"><!--
      .myTd  {color:#000000; font-family:arial; font-size:10pt;}
      TH  {color:white; background:#006699;  font-family:arial;font-size:10pt; }
      .dbgSettingsTable{background:CCCCCC}
      .short{height:15px; font-family:verdana; line-height : 5pt;}
    -->
  </STYLE>
</head>

<body>
<script language="JavaScript">


    function toggleCheckboxes(enableFlag)
        {
            for (var x=0; x<document.form1.elements.length; x++)
            {
                if (document.form1.elements[x].type== "checkbox")
                {
                    document.form1.elements[x].checked = enableFlag;
                }
            }

        }


    function setValues(val)
        {
            for (var x=0; x<document.form1.elements.length; x++)
            {
                if (document.form1.elements[x].type== "text")
                {
                    document.form1.elements[x].value = val;
                }
            }
        }

    function getAlternateDebugs()
    {
        var altDebugStr = document.form1.AlternateDbgName.value;
        location.replace("debugLog.jsp?AlternateDebug="+ altDebugStr);
    }
</script>

    <%


    // check to see if there are form variables for us to process.  if there are then process them now

    String currentDebugSetting = "DomainManager";
    String addParam="";
    String AlternateDebugs = request.getParameter("AlternateDebug");
    boolean isAlternateDebug = false;
    // are we on the ui settings page or standard server side debugs
    Hashtable subsystems=null;

    if (AlternateDebugs != null && AlternateDebugs.length() > 0)
    {
        isAlternateDebug = true;
        currentDebugSetting = AlternateDebugs;
        addParam = "&AlternateDebug="+AlternateDebugs;
        DebugOutput.setAlternateDebugSettingFile(AlternateDebugs);
        subsystems = DebugOutput.getAlternateSubSystems();
    }
    else
    {
        subsystems = DebugOutput.getSubSystems();
    }

    boolean showVerbose = false;
    String checked = "";
    String color = "black";
    DebugSubsystem k = null;


    if (request.getParameter("showVerbose") != null)
    {
        showVerbose = true;
    }


    Enumeration e = subsystems.elements();
    int numDebugSubsystems = subsystems.size() -3; // Number of Settable Items, less the 3 globals

    if (request.getMethod().equalsIgnoreCase("post"))
    {
        if (request.getParameter("showConsole") != null)
        {
            if (com.hp.mx.startup.MainWbemFrame.getIsShowing() == false)
            {
                com.hp.mx.startup.MainWbemFrame myConsole = new com.hp.mx.startup.MainWbemFrame(" Stats Console");
                myConsole.init();
                myConsole.setVisible(true);
                myConsole.show();
            }
        }
        while (e.hasMoreElements())
        {
            k = (DebugSubsystem)e.nextElement();
            String name = k.getName().toString();
            String query = request.getParameter(name + "_enabled");

            if (query != null)
            {
                k.setEnabled(true);
            }
            else
            {
                k.setEnabled(false);
            }
            query = request.getParameter(name + "_level");
            if (query != null)
            {
                try
                {
                    int l = Integer.parseInt(query);
                    k.setLevel(l);
                }
                catch (Exception ne)
                {
                }
            }

            // Update internal debug settings
            if (isAlternateDebug)
            {
                DebugOutput.addToAlternateProps(k);
            }
            else
            {
                DebugOutput.addToProps(k);
            }
        }

        // Update the debugsettings.props file
        if (isAlternateDebug)
        {
            DebugOutput.saveAlternateProps();
        }
        else
        {
            DebugOutput.saveProps();
        }

        out.println("<SCRIPT language=\"javaScript\">");
        out.println("window.history.go(-1);");
        out.println("</SCRIPT>");
        return;

    }


    if (isAlternateDebug)
    {
        //out.println("<form method=\"POST\" action=\"pageWbem?title=Debug+Logger&waplet=wapletDebug&AlternateDebug=true\" id=form1 name=form1>");
        out.println("<form method=\"POST\" action=\"debugLog.jsp?AlternateDebug="+AlternateDebugs+"\" id=form1 name=form1>");
    }
    else
    {
        out.println("<form method=\"POST\" action=\"debugLog.jsp\" id=form1 name=form1>");
    }



%>

<table cellpadding="4" cellspacing="0">
    <tr align="left" valign="top">
      <td width="66%">
        Set HP SIM debug settings for the selecte process below then click "Apply Changes" for those changes to take effect.<br>
        <table>
          <tr>
           <td>
           Currently selected process is:</td><td><font color="blue"><b><%=currentDebugSetting %>. </b></font></td>
          </tr>
          <tr>
          <tr><td>Select other processes debug file: </td><td>
          <select size="1" name="AlternateDbgName">

      <%
         List allAlternates = DebugOutput.getListofAlternateDebugSettings();
         Iterator iter = allAlternates.iterator();
         while (iter.hasNext() )
         {
             String altFileName = (String)iter.next();
             String altFileNameDescr = altFileName;
             String selStr = "";
             if (currentDebugSetting.equals(altFileName))
             {
                 selStr = "selected";
             }


         %>
           <option value='<%=altFileName %>' <%=selStr %>><%= altFileNameDescr %></option>
         <%
         }
         %>
     </select>
     <input type="button" value="Go" onclick="getAlternateDebugs()">
     </td>
     </tr>
     </table>

     <hr>
     Global Debug Settings for <%=currentDebugSetting %>:<br>
     <table>

 <%

    k = (DebugSubsystem)subsystems.get(DebugOutput.GLOBAL_FILEOUT_DEBUG);
    if (k == null)
    {
        k = DebugOutput.getAlternateDebugSubsystem(DebugOutput.GLOBAL_FILEOUT_DEBUG, "");
    }
    if (k.getEnabled())
    {
        checked = "checked";
        color = "red";
    }
    else
    {
        color = "black";
        checked = "";
    }

    k = (DebugSubsystem)subsystems.get(DebugOutput.GLOBAL_UNIQUE_FILEOUT_DEBUG);
    if (k == null)
    {
        k = DebugOutput.getAlternateDebugSubsystem(DebugOutput.GLOBAL_UNIQUE_FILEOUT_DEBUG, "");
    }

    String uniqueFileChecked = "";
    String uniqueFileColor = "black";

    if (k.getEnabled())
    {
        uniqueFileChecked = "checked";
        uniqueFileColor = "red";
    }

%>
    <tr>
                <td>
                    <input type="Checkbox"  size="100" id="<%=DebugOutput.GLOBAL_FILEOUT_DEBUG %>" name="<%=DebugOutput.GLOBAL_FILEOUT_DEBUG %>_enabled" <%=checked %> >
                    <font color="<%=color %>"><Label for="<%=DebugOutput.GLOBAL_FILEOUT_DEBUG %>"  title=""   >Enable File output, </label></font><br>
                    <input type="Checkbox"  size="100" id="<%=DebugOutput.GLOBAL_UNIQUE_FILEOUT_DEBUG %>" name="<%=DebugOutput.GLOBAL_UNIQUE_FILEOUT_DEBUG %>_enabled" <%=uniqueFileChecked %> >
                    <font color="<%=uniqueFileColor %>"><Label for="<%=DebugOutput.GLOBAL_UNIQUE_FILEOUT_DEBUG %>"  title=""   >Unique file names</label></font>
                </td>
                <td valign="top">
               <%
                if (k.getEnabled() == false)
                {
               %>
                   <a href="dbgLogFile.jsp?AlternateDebug=<%=currentDebugSetting %>"><%= MxPathProperty.getExpandedFilePath(MxPathProperty.LOG_EXP, currentDebugSetting).toString()+DebugOutput.DEFAULT_DEBUG_EXTENSION %> </a>
                <%
                }
                else
                {
                %>
                Look for <%= MxPathProperty.getExpandedFilePath(MxPathProperty.LOG_EXP, currentDebugSetting).toString() +"<date>"+ DebugOutput.DEFAULT_DEBUG_EXTENSION%>
                <%
                }
                %>
                </td>
            </tr>
<%
        k = (DebugSubsystem)subsystems.get(DebugOutput.GLOBAL_ENABLEALL_DEBUG);
        if (k == null)
        {
            k = DebugOutput.getAlternateDebugSubsystem(DebugOutput.GLOBAL_ENABLEALL_DEBUG, "");
        }

        if (k.getEnabled())
        {
            checked = "checked";
            color = "red";
        }
        else
        {
            color = "black";
            checked = "";
        }
%>
        <tr>
            <td>
                 <input type="Checkbox"  size="100" id="<%=DebugOutput.GLOBAL_ENABLEALL_DEBUG %>" name="<%=DebugOutput.GLOBAL_ENABLEALL_DEBUG %>_enabled" <%=checked %> >
                <font color="<%=color %>"><Label for="<%=DebugOutput.GLOBAL_ENABLEALL_DEBUG %>"  title=""   >Enable All</label></font>
            </td>
            <td>
                <input type="Text"  title=""  class="short" name="<%=DebugOutput.GLOBAL_ENABLEALL_DEBUG %>_level"  value=<%= k.getLevel() %> size=3>
             </td>
        </tr>


<%

        k = (DebugSubsystem)subsystems.get(DebugOutput.GLOBAL_TIMESTAMP_DEBUG);
        if (k == null)
        {
            k = DebugOutput.getAlternateDebugSubsystem(DebugOutput.GLOBAL_TIMESTAMP_DEBUG, "");
        }

        if (k.getEnabled())
        {
            checked = "checked";
            color = "red";
        }
        else
        {
            color = "black";
            checked = "";
        }
%>
        <tr>
            <td>
                <input type="Checkbox" size="100" id="<%=DebugOutput.GLOBAL_TIMESTAMP_DEBUG %>" name="<%=DebugOutput.GLOBAL_TIMESTAMP_DEBUG %>_enabled" <%=checked %> >
                <font color="<%=color %>"><Label for="<%=DebugOutput.GLOBAL_TIMESTAMP_DEBUG %>"  title=""   >Enable Timestamps</label></font>
            </td>
            <td>
                <input type="Text"  title=""  class="short" name="<%=DebugOutput.GLOBAL_TIMESTAMP_DEBUG %>_level"  value=<%= k.getLevel() %> size=3> Set to 10 to see debug setting details, 20 for threads
            </td>
        </tr>
        </table>

      </td>
      <td width="33%">
        <b>Default levels, click to set all debugs to selected level:</b><br>
        <a href="javascript:setValues(<%= 0 %>);" >Off</a> (<%= 0 %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_LEVEL_SEVERE %>);" >Severe</a> (<%= DebugSubsystem.DEBUG_LEVEL_SEVERE %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_LEVEL_ERROR %>);" >Error</a> (<%= DebugSubsystem.DEBUG_LEVEL_ERROR %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_EXCEPTION %>);" >Exception</a> (<%= DebugSubsystem.DEBUG_EXCEPTION %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_LEVEL_WARNING %>);" >Warning</a> (<%= DebugSubsystem.DEBUG_LEVEL_WARNING %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_LEVEL_FINE %>);" >Fine</a> (<%= DebugSubsystem.DEBUG_LEVEL_FINE %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_LEVEL_FINER %>);" >Finer</a> (<%= DebugSubsystem.DEBUG_LEVEL_FINER %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_METHOD_ENTRY_LOGGING %>);" >Method enter and exit</a> (<%= DebugSubsystem.DEBUG_METHOD_ENTRY_LOGGING %>),
        <a href="javascript:setValues(<%= DebugSubsystem.DEBUG_LEVEL_FINEST %>);" >Finest</a> (<%= DebugSubsystem.DEBUG_LEVEL_FINEST %>)<br ><br>
        <a href='debugLog.jsp?showVerbose="true"<%=addParam%>'>Show debug description text </a>

     </td>
    </tr>


</table>

<br>



    <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr>
        <td valign="TOP" style="border-width: 4; border-color: #006699; border-style: solid;" class="dbgSettingsTable">


<%

    int NUM_COLUMNS = 4;
    String strHtmlColHdr = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr>\n<th></th>\n<th align=LEFT>DEBUG SETTING</th>\n<th align=CENTER>LEVEL</th>\n</tr>\n";
    String strHtmlColBetween = "</td>\n<td ></td>\n<td   valign=TOP style='border-width: 4; border-color: #006699; border-style: solid;' class=dbgSettingsTable>\n";
    if (showVerbose == true)
    {
       NUM_COLUMNS = 1;
       strHtmlColHdr = "<table width=100% border=1 cellspacing=0 cellpadding=0><tr>\n<th></th>\n<th align=LEFT>DEBUG SETTING</th>\n<th align=CENTER>LEVEL</th><th>Description</th>\n</tr>\n";
       strHtmlColBetween = "</td>\n<td width=5% style='width:25;'></td>\n<td width=30% valign=TOP style='border-width: 4; border-color: #006699; border-style: solid;' class=dbgSettingsTable>\n";
    }
    int currItemCount = 0;
    int CurrentCol = 0;
    int numItemsInCol = 10;

    if (numDebugSubsystems > 1)
        numItemsInCol = ((numDebugSubsystems - 1) / NUM_COLUMNS) + 1;

    // Display first column header
    out.println (strHtmlColHdr);



    e = subsystems.elements();
    DbgStringComparer myCmp = new DbgStringComparer(showVerbose);

    com.hp.mx.utilities.ObjectArraySorter dbgSorter = new com.hp.mx.utilities.ObjectArraySorter(e, myCmp);
    dbgSorter.quickSort();
    e = dbgSorter.getSortedElements();

    while (e.hasMoreElements())
    {
        k = (DebugSubsystem)e.nextElement();
        if (k.getName().equals(DebugOutput.GLOBAL_ENABLEALL_DEBUG) ||
            k.getName().equals(DebugOutput.GLOBAL_FILEOUT_DEBUG) ||
            k.getName().equals(DebugOutput.GLOBAL_TIMESTAMP_DEBUG) ||
            k.getName().equals(DebugOutput.GLOBAL_UNIQUE_FILEOUT_DEBUG))
            {
                continue;
            }



        currItemCount++;
        if (currItemCount > numItemsInCol)
        {
            // End the current column
            out.println("</table>\n");

            // Prep for new column if more columns exist
            if (CurrentCol < NUM_COLUMNS)
            {
                out.println (strHtmlColBetween);
                out.println (strHtmlColHdr);
                currItemCount = 1;
                CurrentCol++;
            }
        }


%>
            <tr>
                <td class=myTd>
<%
                String chkBoxName = k.getName().toString();
                String titleStr = "";
                if (k.getDescription() != null)
                {
                titleStr = " title=\""+k.getDescription()+"\" ";
                }

                if (k.getEnabled())
                {
                    checked = "checked";
                    color = "red";
                }
                else
                {
                    color = "black";
                    checked = "";
                }

                out.println("        <input type=\"Checkbox\" id=\"" + chkBoxName +"\" name=\"" + chkBoxName + "_enabled\" " + checked +">\n");
%>
                </td>
                <td class=myTd><font color="<%=color%>"><Label for="<%= chkBoxName%>" <%= titleStr%>  ><%= chkBoxName %></label></font></td>
                <td align="CENTER" class=myTd>
<%
                out.println("        <input type=\"Text\" "+titleStr+" class=\"short\" name=\"" + chkBoxName + "_level\"  value=" + k.getLevel() + " size=3>\n");
%>
                </td>
<%              if (showVerbose == true)
                {
                    out.println("<td class=myTd><font size='-1'> ");
                    if (k.getDescription() == null || k.getDescription().length() == 0)
                    {
                       out.println("none given");
                    }
                    else
                    {
                        out.println(k.getDescription());
                    }
                    out.println("</td>");
                }
                %>
            </tr>
<%
    }
    out.println("</table>\n");       // End the last table
%>


        </td>
    </tr>
    </table>
<CENTER>
<br>
<input type="Button" value="Select All" onClick='toggleCheckboxes(true)' >&nbsp;
<input type="Button" value="Clear All"  onclick='toggleCheckboxes(false)'>&nbsp;
<input type="Submit" value="Apply Changes" id=Submit1 name=Submit1>&nbsp;
<%
    if (MxCMS.isWindows())
    {
       if (com.hp.mx.startup.MainWbemFrame.getIsShowing() == false)
          out.println("<input type=\"Submit\" value=\"Show server console\" id=showConsole name=showConsole> ");
    }
%>
</CENTER>

</form>
</body>
</html>
