<jsp:useBean id="XEUtil" scope="session" class="com.hp.mx.portal.applet.utilities.XeJspUtil"/>
<jsp:useBean id="mxdev" scope="session" class="com.hp.mx.portal.device.MxDeviceBean"/>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%@page import="com.hp.mx.core.nodemanager.*,
                 java.util.*,
                 com.hp.mx.core.controllers.MxNodeController,
                 com.hp.mx.core.controllers.MpoController,
                com.hp.mx.core.daemon.MxCoreTransaction,
                 com.hp.mx.portal.help.*, com.hp.mx.core.utilities.*,com.hp.mx.utilities.*"%>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.core.wmiproxymanager.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.portal.device.*"%>
<%
  MxBean.jspInit(request, response);
  // REQUIRED: This aborts the page if the session is invalid.
  if (loginBean.checkLogoutConditionForWebPage(pageContext))
    return;
  //
  // if the user isn't authorized.
  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE)) {
%>
<jsp:forward page="<%=MxOptions.getNotPrivUrl()%>"/>
<%}%>
<HTML>
<HEAD></HEAD>
<Body>
<head>
<title>All devices status info</title>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../StyleSheets/XeBaseStyles.css">
<script language="JavaScript" src="../javascript/XeGlobalFunctions.js"></script><script language="JavaScript" src="../javascript/XeHelp.js"></script><script language="JavaScript" src="../javascript/layout.js"></script><STYLE TYPE="text/css">
  <STYLE TYPE="text/css">
    .dbgSettingsTable{font-size:10pt; font-family:arial; font-weight:normal; color:black; }
    .dbgTableHdr{font-size:10pt; font-family:arial; font-weight:bold; color:black; }
</STYLE>

</head>
<body>
<P>
  <%--<%= session.getValue("Body.Description") %> --%>
</p>
The node object is:
<%
MxNode theNode = null;
if (request.getParameter("devId") != null)
{
    try
    {
        int devId = Integer.parseInt(request.getParameter("devId"));
        if (devId > 0)
        {
            theNode = MxNodeController.getDefaultControllerNoEx().getReadOnlyNodeObject(devId);
            out.print(theNode.getDebugString());
        }
    }
    catch (Exception ex) {
        ex.printStackTrace();
    }
    String mode = request.getParameter("mode");
    if (mode != null)
    {
        if (mode.equals("MPO"))
        {
            try
            {
                MpoController mpoCtrl = MpoController.getDefaultController();
                List allMpos = mpoCtrl.getListofManagementPaths(new MxCoreTransaction(), theNode.getGUID());
                List allMros = mpoCtrl.getListofManagementPathsManaged(new MxCoreTransaction(), theNode.getGUID());
                out.print("<br>This is a list of all the MPOs/Mros related to the node.");
                List combinedMros = new ArrayList(allMpos);
                combinedMros.addAll(allMros);

                Iterator iter = combinedMros.iterator();
                %>
                <br>
                    <br>
                        <table class="dbgSettingsTable" BORDER="1" CELLSPACING="0" CELLPADDING="1">
                            <tr class="dbgTableHdr">
                                <td width="50%">MPO</td>
                                <td width="50%">Mro's MAO - if present</td>
                            </tr>
                            <%
                            while (iter.hasNext())
                            {
                                ManagementPathObject mpo = (ManagementPathObject) iter.next();
                                out.print("<tr><td>");
                                out.print(mpo.toString());
                                out.print("</td>");
                                if (mpo instanceof ManagementRouteObject)
                                {
                                    ManagementRouteObject mro = (ManagementRouteObject) mpo;
                                    MxNode theMaoNode = MxNodeController.getDefaultControllerNoEx().getReadOnlyNodeObject(mro.getMao().getNodeGUID().getKey());
                                    out.print("<td>MAO is on host " + theMaoNode.getName() + "</td>");
                                }
                                else
                                {
                                    out.print("<td>&nbsp</td>");
                                }
                                out.print("</tr>");
                            }
                        } catch (Exception ex)
                        {
                            ex.printStackTrace();
                        }
                    }
                } else
                {
                    out.print("Error bad request, no mode");
                }
            } else
            {
                out.print("Error bad request, no system");
            }
            %>
</table>
</body>
</html>
