<%@ page import="java.util.*,
                 com.hp.mx.database.*,
                 com.hp.mx.portal.help.*"
%>
<%@ page import="com.hp.mx.core.client.*" %>
<%@ page import="com.hp.mx.core.controllers.MxQueryController" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.core.taskmanager.*" %>
<%@ page import="com.hp.mx.core.nodemanager.*" %>
<%@ page import="com.hp.mx.core.alertmanager.*" %>
<%@ page import="com.hp.mx.core.objectmodel.*" %>
<%@ page import="com.hp.mx.core.querymanager.*" %>
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    // end required section.
%>
<html>
<head>
<title>Banner Page CLI tests</title>
</head>

<body>
<%
 Map  devvals =null;
 Map  evtvals =null;

 long groupLuid = 2323577307144L; // collections - systems by type
 MxQueryClient queryClient = null;
MxCollectionClient collClient = null;
try
{


    if (request.getParameter("groupLuid") != null)
    {
        String quid = request.getParameter("groupLuid");
        groupLuid = Long.parseLong(quid);
    }
    queryClient =  loginBean.getQueryClient();
    collClient =  loginBean.getCollectionClient();

    Query tmpQuery2 = collClient.createDynamicAggregatedQuery(new MxObjectID(new MxGUID(groupLuid)));

    devvals =  queryClient.runBannerQuery(MxQueryController.BANNER_HARDWARE_STATUS_RESULTS , groupLuid);
    evtvals =  queryClient.runBannerQuery(MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS , groupLuid);

%>
The Device status counts, Group LUID=<%=groupLuid%> ?groupLuid= to change.<br>

Status count for <%= DeviceStatusType.NORMAL.getStatusNumValue()  %> is <a href="/ui/jsp/XeHdr.jsp?PageName=viewContentsDevices&viewid=<%= queryClient.createHotLinkQuery(DeviceStatusType.NORMAL.getStatusNumValue(),MxQueryController.BANNER_HARDWARE_STATUS_RESULTS ,groupLuid)%>"  > <%= devvals.get(new Integer(DeviceStatusType.NORMAL.getStatusNumValue())) %> </a><br>
Status count for <%= DeviceStatusType.UNKNOWN.getStatusNumValue()  %> is <a href="/ui/jsp/XeHdr.jsp?PageName=viewContentsDevices&viewid=<%= queryClient.createHotLinkQuery(DeviceStatusType.UNKNOWN.getStatusNumValue(),MxQueryController.BANNER_HARDWARE_STATUS_RESULTS ,groupLuid)%>"  > <%= devvals.get(new Integer(DeviceStatusType.UNKNOWN.getStatusNumValue())) %> </a><br>
Status count for <%= DeviceStatusType.MINOR.getStatusNumValue()  %> is <a href="/ui/jsp/XeHdr.jsp?PageName=viewContentsDevices&viewid=<%= queryClient.createHotLinkQuery(DeviceStatusType.MINOR.getStatusNumValue(),MxQueryController.BANNER_HARDWARE_STATUS_RESULTS ,groupLuid)%>"  > <%= devvals.get(new Integer(DeviceStatusType.MINOR.getStatusNumValue())) %> </a><br>
Status count for <%= DeviceStatusType.MAJOR.getStatusNumValue()  %> is <a href="/ui/jsp/XeHdr.jsp?PageName=viewContentsDevices&viewid=<%= queryClient.createHotLinkQuery(DeviceStatusType.MAJOR.getStatusNumValue(),MxQueryController.BANNER_HARDWARE_STATUS_RESULTS ,groupLuid)%>"  > <%= devvals.get(new Integer(DeviceStatusType.MAJOR.getStatusNumValue())) %> </a><br>
Status count for <%= DeviceStatusType.CRITICAL.getStatusNumValue()  %> is <a href="/ui/jsp/XeHdr.jsp?PageName=viewContentsDevices&viewid=<%= queryClient.createHotLinkQuery(DeviceStatusType.CRITICAL.getStatusNumValue(),MxQueryController.BANNER_HARDWARE_STATUS_RESULTS ,groupLuid)%>"  > <%= devvals.get(new Integer(DeviceStatusType.CRITICAL.getStatusNumValue())) %> </a><br>
<br>
Alert status counts, group ID=<%=groupLuid%> <br>
Status count for <%= AlertSeverity.UNKNOWN.getNoticeSeverity() %> is <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createHotLinkQuery(AlertSeverity.UNKNOWN.getNoticeSeverity() ,MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS ,groupLuid)%>"  >  <%= evtvals.get(new Integer(AlertSeverity.UNKNOWN.getNoticeSeverity() )) %> </a><br>
Status count for <%= AlertSeverity.INFORMATIONAL.getNoticeSeverity() %> is <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createHotLinkQuery(AlertSeverity.INFORMATIONAL.getNoticeSeverity(),MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS ,groupLuid)%>"  > <%= evtvals.get(new Integer(AlertSeverity.INFORMATIONAL.getNoticeSeverity())) %> </a><br>
Status count for <%= AlertSeverity.WARNING.getNoticeSeverity() %> is <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createHotLinkQuery(AlertSeverity.WARNING.getNoticeSeverity(),MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS ,groupLuid)%>"  > <%= evtvals.get(new Integer(AlertSeverity.WARNING.getNoticeSeverity())) %> </a><br>
Status count for <%= AlertSeverity.MINOR.getNoticeSeverity() %> is <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createHotLinkQuery(AlertSeverity.MINOR.getNoticeSeverity(),MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS ,groupLuid)%>"  ><%= evtvals.get(new Integer(AlertSeverity.MINOR.getNoticeSeverity())) %> </a><br>
Status count for <%= AlertSeverity.MAJOR.getNoticeSeverity() %> is <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createHotLinkQuery(AlertSeverity.MAJOR.getNoticeSeverity(),MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS ,groupLuid)%>"  ><%= evtvals.get(new Integer(AlertSeverity.MAJOR.getNoticeSeverity())) %> </a><br>
Status count for <%= AlertSeverity.CRITICAL.getNoticeSeverity() %> is <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createHotLinkQuery(AlertSeverity.CRITICAL.getNoticeSeverity(),MxQueryController.BANNER_UNCLEAREDEV_STATUS_RESULTS ,groupLuid)%>"  ><%= evtvals.get(new Integer(AlertSeverity.CRITICAL.getNoticeSeverity())) %> </a><br>
<P>
Overview...
 <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createOverviewHotLinkQuery(DeviceStatusType.CRITICAL.getStatusNumValue(), MxQueryController.OVERVIEW_SERVER_STATUS_RESULTS , true)%>"  >Servers in critical  state </a><br>

 <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%= queryClient.createOverviewHotLinkQuery(DeviceStatusType.CRITICAL.getStatusNumValue(), MxQueryController.OVERVIEW_TOTAL_STATUS_RESULTS , true)%>"  >All in critical  state </a><br>
Collection dynamic queries...
 <a href="/ui/jsp/ViewsLoader.jsp?viewid=<%=tmpQuery2.getKey()%>"  >Test agg query </a><br>

<a href="/ui/jsp/XeHdr.jsp?PageName=viewContentsDevices&ViewType=DeviceViews&viewid=<%=tmpQuery2.getKey()%>&defaultView=tableview">t2</a>
<%
}
catch (Exception ex)
{
    out.print("Error "+ex);
ex.printStackTrace();
}
%>
</body>
</html>
