<%@ page import="java.util.*,
                 com.hp.mx.database.*,
                 com.hp.mx.portal.help.*"
%>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="com.hp.mx.core.nodemanager.*" %>
<%@ page import="com.hp.mx.core.controllers.*" %>
<%@ page import="com.hp.mx.core.querymanager.FilterApi" %>
<%@ page import="com.hp.mx.core.querymanager.criteria.*" %>


<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    //
    // if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.DEBUG_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    // end required section.
%>
<html>
<head>
<title>Node Custom Field tests</title>
</head>

<body>
<%
try
{

    String pluginAttr = "";
    String label = "";
    String fieldId =  "";

    if (request.getParameter("pluginAttrId") != null)
    {
        pluginAttr = request.getParameter("pluginAttrId");
        label = request.getParameter("pluginAttrLabel");

        fieldId = MxNodeController.getDefaultController().registerForCustomerValueId(pluginAttr);
        MxNodeController.getDefaultController().setDisplayNameForCustomerValueId(pluginAttr, label, Locale.getDefault());

        //FilterApi.insertCriteria("CriteriaByCayenne", "", BaseCustomAttributeComparisonCriteria.class.getName(),
        //                         FilterApi.DEVICE);
        //
        // UI String values for device by IP Address range
        // IM7 label was: "Device(s) within IP range(s)" and the Nimbus label is: "IP address"
        //
        //FilterApi.insertStrings("en", "CriteriaByCayenne", "is cayenne");



    }



%>
<P>
    <form name="custField" action="testCustomFields.jsp" method="post">
    This will register the desired custom field ID <br><br>
    <table>
    <tr><td>Plugin Attr ID</td><td> <input type="text" value="<%=pluginAttr%>"  name="pluginAttrId"></td></tr>
    <tr><td>Label </td><td> <input type="text" value="<%=label%>" name="pluginAttrLabel" ></td></tr>
    <tr><td>Internal ID</td><td><%=fieldId%></td></tr>

    </table>
    <br>
        <input type="submit"  value="Register">
    </FORM>

<%
}
catch (Exception ex)
{

}
%>
</body>
</html>
