<%@ page import="com.hp.mx.html.table.GUIDOTable,
                 com.hp.mx.html.table.TreeTable,
                 com.hp.mx.html.table.AttributeValueTable,
                 com.hp.mx.core.persistence.dataaccess.DataOperations,
                 com.hp.mx.core.persistence.databean.CIM_ComputerSystem,
                 java.util.*,
                 com.hp.mx.core.controllers.MpoController,
                 java.sql.Connection,
                 java.sql.Statement,
                 java.sql.ResultSet,
                 com.hp.mx.core.persistence.databean.CIM_NetworkPort,
                 com.hp.mx.core.persistence.dataaccess.IdentityProvider,
                 java.io.PrintStream,
                 java.io.PrintWriter,
                 java.io.File,
                 com.hp.mx.core.persistence.util.storage.*,
                 com.hp.mx.core.persistence.databean.CIM_PortController,
                 com.hp.mx.portal.ui.MxBean,
                 com.hp.mx.core.nodemanager.MxNode,
                 com.hp.mx.portal.res.MxResourceBean,
                 java.text.MessageFormat,
                 com.hp.mx.html.core.MxHtmlUtil,
                 com.hp.mx.core.persistence.dataaccess.DataAccessException,
                 net.sf.hibernate.Session,
                 net.sf.hibernate.Query"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="resource" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="genSystemPage" class="com.hp.mx.portal.device.MxGenSystemPage"  scope="session" />
<jsp:useBean id="deviceBean" class="com.hp.mx.portal.device.MxDeviceBean" scope="session" />
<jsp:useBean id="deviceBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<%

    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // setup resources.
    resource.init(loginBean, "StorageRelatedDevicePages");

    MxNode node = deviceBean.getMxNode();
    int nodeid = node.getDeviceKey();

%><div class="systemPageGroup"><%

    genSystemPage.dumpDataCollectionLine(deviceBean, deviceBundle, loginBean, out);

    TreeTable tt = new TreeTable();
    MxResourceBean res = new MxResourceBean(loginBean.getLocale(), "com.hp.mx.html.table.resource.TableResources");
    tt.setResourceBundle(res.getBundle());

    String headers[] = { resource.getString("columnHeader.elementName"),    // element name
                         resource.getString("columnHeader.worldWideName"),  // WWN
                         resource.getString("columnHeader.portType"),       // port type
                         resource.getString("columnHeader.status"),         // status
    };
    tt.setHeaders(headers);

    try {
        Host h = new Host(nodeid);

        if(h != null) {
            try {
                List hbas = h.getHBAs();

                Iterator it = hbas.iterator();
                while(it.hasNext()) {

                    HostBusAdapter hba = (HostBusAdapter) it.next();

                    tt.addRow(new String[] {
                        MxHtmlUtil.encodeHtmlEntities(hba.getName()),
                        MxHtmlUtil.encodeHtmlEntities(hba.getNodeWWN()),
                        "",
                        hba.getStatusHTML(resource.getString(hba.getOperationalStatusResourceKey()))
                    });

                    // Fetch the data about this HBA
                    LinkedHashMap properties = hba.getSoftwareProperties(resource.getBundle());
                    List ports = (hba.getPorts() != null) ? new ArrayList(hba.getPorts()) : null;

                    boolean hasProperties = (properties != null && properties.size() > 0);
                    boolean hasPorts = (ports != null && ports.size() > 0);

                    if(!hasPorts && !hasProperties) continue;
                    if(hasPorts || hasProperties) {
                        tt.beginChildren(); // HBA's children
                    }

                    if(hasProperties) {

                        if(hasPorts && hasProperties) {
                            tt.addRow(new String[] {
                                MxHtmlUtil.encodeHtmlEntities(resource.getString("properties")
                                )
                            });
                            tt.beginChildren(); // Property list
                        }

                        AttributeValueTable avt = new AttributeValueTable();
                        avt.setItems(properties);
                        tt.addRow(new String[] {avt.getHTML().toString()});
                        tt.endChildren(); // Property list

                    }

                    if(hasPorts) {

                        if(hasPorts && hasProperties) {
                            tt.addRow(new String[] {
                                MxHtmlUtil.encodeHtmlEntities(resource.getString("ports")
                                )
                            });

                            tt.beginChildren(); // Port list
                        }

                        Iterator pit = ports.iterator();

                        int count = 0;
                        while(pit.hasNext()) {
                            FCPort port = (FCPort) pit.next();

                            String portNumber = MessageFormat.format(
                                        resource.getString(
                                                "portNumber.format"),
                                                new Object[] { ""+(count++)}
                                        );

                            tt.addRow(new String[] {
                                // Note: port.getName() should return something meaningful
                                // according to the SMI specification, but in practice it does not.
                                // So we just arbitrarily number the ports.
                                portNumber,
                                MxHtmlUtil.encodeHtmlEntities(port.getWWN()),
                                port.getPortTypeDisplayString(resource.getBundle()),
                                port.getStatusHTML(resource.getString(port.getOperationalStatusResourceKey())),
                            });
                        }

                        tt.endChildren(); // Port list

                        if(hasPorts && hasProperties) {
                            tt.endChildren(); // Sub-sections under HBA
                        }
                    }

                }


            } catch(NoSuchElementException nsee) {
                //out.println("No such element.");
                nsee.printStackTrace();
            }
        } else {
            //out.print("Host not found");
        }

    } catch(DataAccessException dae) {
        Debug.trace("No Data Found for Host with NodeID = " + nodeid);
    } catch(RuntimeException re) {
        Debug.getDebugSubsystem().panic(re);
    } catch(Error e) {
        Debug.getDebugSubsystem().panic(e);
        throw e;
    } finally {
        out.print(tt.getHTML().toString());
    }

%>
</div>
