<%@ page import="com.hp.mx.core.persistence.util.storage.Common,
                 com.hp.mx.core.persistence.util.storage.GenericSMIData,
                 com.hp.mx.html.table.AttributeValueTable,
                 com.hp.mx.core.nodemanager.MxNode,
                 com.hp.mx.core.objectmodel.MxObjectPersistenceException,
                 com.hp.mx.core.nodemanager.MxUndefinedNodeException,
                 com.hp.mx.core.daemon.MxCoreTransaction,
                 java.util.*,
                 com.hp.mx.core.controllers.MpoController,
                 com.hp.mx.core.wmiproxymanager.CIMOMMRO,
                 com.hp.mx.core.controllers.MxNodeController"%>
<jsp:useBean id="deviceBean" class="com.hp.mx.portal.device.MxDeviceBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="deviceBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="deviceUtilBean" class="com.hp.mx.portal.device.MxDeviceUtilBean" scope="session" />

<div class="systemPageGroup">
<%

    AttributeValueTable avt = new AttributeValueTable(loginBean.getLocale(), AttributeValueTable.STYLE_GUIDO);
    Map map = new LinkedHashMap();

    deviceUtilBean.addValue(map, deviceBundle.getString("PRODUCT_ID"), deviceBean.getProductID());
    deviceUtilBean.addValue(map, deviceBundle.getString("SYSTEM_TYPE"), deviceBean.getSystemType());
    deviceUtilBean.addValue(map, deviceBundle.getString("SYSTEM_SUBTYPE"), deviceBean.getSystemSubtype());
    deviceUtilBean.addValue(map, deviceBundle.getString("PRODUCT_MODEL"), deviceBean.getProductModel());
    deviceUtilBean.addValue(map, deviceBundle.getString("HW_DESC"), deviceBean.getHardwareDesc());
    deviceUtilBean.addValue(map, deviceBundle.getString("OS_NAME"), deviceBean.getOSName());
    deviceUtilBean.addValue(map, deviceBundle.getString("OS_NAME_TYPE"), deviceBean.getOSNameType());
    deviceUtilBean.addValue(map, deviceBundle.getString("OS_DESCRIPTION"), deviceBean.getOSDescription());
    deviceUtilBean.addValue(map, deviceBundle.getString("OS_VERSION"), deviceBean.getOSVersion());
    deviceUtilBean.addValue(map, deviceBundle.getString("MNG_PROTOCOL"), deviceBean.getManagementProtocol());

    if ( deviceBean.getGenericSMIData() != null ) {
        GenericSMIData smiData = deviceBean.getGenericSMIData();

        LinkedHashMap properties = Common.getSoftwareProperties(
                Common.getStorageResources(loginBean.getLocale()), smiData);

        if(properties != null) {
            Iterator it = properties.keySet().iterator();
            while(it.hasNext()) {
                String variable = (String) it.next();
                String value = (String) properties.get(variable);

                deviceUtilBean.addValue(map, variable, value);
            }
        }
    }

    deviceUtilBean.addValue(map, deviceBundle.getString("SERVER_ROLE"), deviceBean.getServerRole());

    deviceUtilBean.addValue(map, deviceBundle.getString("HW_STATUS_FAIL_CNT"), deviceBean.getHWStatusFailCount());

    deviceUtilBean.addValue(map, deviceBundle.getString("COMMENTS"), deviceBean.getComments());
    deviceUtilBean.addValue(map, deviceBundle.getString("CUR_RUN_APP"), deviceBean.getCurrentApp());

    if ( deviceBean.isDeviceNPar() ) {
        deviceUtilBean.addValue(map, deviceBundle.getString("CPU_ARCHITECTURE"), deviceBean.getnParCPUArchitecture());
        deviceUtilBean.addValue(map, deviceBundle.getString("FIRMWARE_REV"), deviceBean.getnParFirmwareRevision());
        deviceUtilBean.addValue(map, deviceBundle.getString("PRIMARY_BP"), deviceBean.getnParBootPath(deviceBean.PRIMARY_BOOT_PATH));
        deviceUtilBean.addValue(map, deviceBundle.getString("HA_ALT_BP"), deviceBean.getnParBootPath(deviceBean.HA_ALT_BOOT_PATH));
        deviceUtilBean.addValue(map, deviceBundle.getString("ALT_BP"), deviceBean.getnParBootPath(deviceBean.ALT_BOOT_PATH));
    }

    deviceUtilBean.populateManagementProxyLinks(map, deviceBean.getMxNode(), deviceBundle);

    avt.setItems(map);
    out.println(avt.getHTML());
%>
</div>
