<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/actiononevents/ActionOnEvents_Event.jsp,v $
//$Revision: 1.49 $
//$Date: 2005/05/31 21:16:50 $
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="java.util.*"%>

<jsp:useBean id="aoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }
%>
<jsp:setProperty name="aoneUIbean" property="*" />
<%
    int wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;

    if (null == request.getParameter("wizardMode"))
    {
        wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
    }
    else
    {
        try
        {
            wizardMode = Integer.parseInt(request.getParameter("wizardMode"));
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
        }

        if ((wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST) &&
            (wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA))
            {
                wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
            }
    }

    String reqType = "";
    aoneUIbean.getResBundles(loginBean);

    if (null == request.getParameter("reqType"))
    {
        reqType = aoneUIbean.REQUEST_TYPE_NEW;
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

    String botframe = request.getParameter("botframe");

    if (botframe == null)
    {
        botframe = "false";
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag btnBackTag = new MxDefaultTag("btnBack", aoneUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()");
    MxTag btnNextTag = new MxDefaultTag("btnNext", aoneUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()");
    btnBackTag.setAttr(MxTag.DISABLED, "true");
    btnNextTag.setAttr(MxTag.DISABLED, "true");
    buttons.addMxTag(btnBackTag);
    buttons.addMxTag(btnNextTag);
%>
<HTML>
<HEAD>
    <TITLE>
        ActionOnEvents_Event
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=aoneUIbean.getResString("EVENTS_PAGE_HELP")%>")</SCRIPT>
    <SCRIPT language="javascript">

        function iframeLoaded()
        {
            ourButtonManager.enableButtonById('btnNext');
            ourButtonManager.enableButtonById('btnBack');

            <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                            || botframe.equalsIgnoreCase("true"))
                {
                    %>
                    var pageHeight  = document.body.scrollHeight;
                    var pageWidth  = document.body.scrollWidth;
                    parent.setFrmDisplayHeight(pageHeight);
                    parent.setFrmDisplayWidth(pageWidth);
                    <%
                }
            %>
        }
        function resizeSearchFrame()
        {
            var iframe = document.getElementById('resultSpace');
            var frmHeight = iframe.contentWindow.document.body.scrollHeight;
            var frmWidth  = iframe.contentWindow.document.body.scrollWidth;

            iframe.style.height = frmHeight;
            iframe.style.width = frmWidth;

            <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                            || botframe.equalsIgnoreCase("true"))
                {
                    %>
                    var pageHeight  = document.body.scrollHeight;
                    var pageWidth  = document.body.scrollWidth;
                    parent.setFrmDisplayHeight(pageHeight);
                    parent.setFrmDisplayWidth(pageWidth);
                    <%
                }
            %>
        }
    </SCRIPT>
    <SCRIPT language="javascript">
    function myOnLoadHandler()
    {

    <%
        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                    || botframe.equalsIgnoreCase("true"))
        {
            %>
            var pageHeight  = document.body.scrollHeight;
            var pageWidth  = document.body.scrollWidth;
            parent.setFrmDisplayHeight(pageHeight);
            parent.setFrmDisplayWidth(pageWidth);
            <%
        }
    %>
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY LEFTMARGIN="0" onload="myOnLoadHandler()">
<A NAME="EVENT_PAGE_TOP"></A>
<%
    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
    {
        %>
         <SPAN class='mxPageSubTitle'>
            <STRONG>
                <%=aoneUIbean.getResString("EDIT_RULE_LABEL")%>
                    &nbsp;<%=aoneUIbean.getTaskName()%>
            </STRONG>
        </SPAN>
        <P>
        <%
    }
    else
    {
        if (botframe.equalsIgnoreCase("true"))
        {
            %>
             <SPAN class='mxPageSubTitle'>
                <STRONG>
                    <%=aoneUIbean.getResString("NEW_RULE_LABEL")%>
                </STRONG>
            </SPAN>
            <P>
            <%
        }
    }
%>
<%

String referer = request.getHeader("referer");

if (!reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
{
    if (null != referer)
    {
        if (-1 != referer.indexOf(aoneUIbean.getResString("NAME_PAGE_URL")))
        {
            if (!aoneUIbean.isTaskNameValid(out, aoneUIbean.getTaskName(), pageContext.getSession().getId()))
            {
                String prevPage = aoneUIbean.getResString("NAME_PAGE_URL")
                                    + "?botframe=" + botframe + "&reqType=" + reqType + "&wizardMode=" + wizardMode;
                aoneUIbean.replaceLocation(out, prevPage);
                %>
                <%--jsp:forward page="<%=prevPage%>"></jsp:forward--%>
                <%
                return;
            }
            else
            {
                aoneUIbean.addInprogressTaskName(aoneUIbean.getTaskName(), pageContext.getSession().getId());
            }
        }
    }
}
%>
<FORM ID="frmNotification" NAME="frmNotification" METHOD="POST"
    class="mxForm">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
        <TR valign='top'>
            <TD>
                <%
                int currentTab = 2;
                %>
                <%@include file="ActionOnEvents_DrawTabs.txt"%>
            </TD>
            <TD style='padding-left:12px;' align='left' width='100%'>
                <TABLE  class="top-border-table"
                    WIDTH="100%">
                    <TR><TD>
                        <B>
                            <FONT class="mxPageSubTitle">
                                <%=aoneUIbean.getResString("SELECT_EVENTS_LABEL")%>
                            </FONT>
                        </B>
                        <!-- QUERY LIST -->
<%
    String iframsSrc="";
    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
    {
        iframsSrc = aoneUIbean.getResString("QUERY_PAGE_EVENTS_URL")
                        + "&edit=alerts&queryId=" + aoneUIbean.getQueryId();
    }
    else
    {
        iframsSrc = aoneUIbean.getResString("QUERY_PAGE_EVENTS_URL");
    }

    // check if we came here because the user clicked the "prev" button on the systems page
//    if (-1 != referer.indexOf(aoneUIbean.getResString("SYSTEMS_PAGE_URL")))
//    {
//        iframsSrc = iframsSrc + "&previous=true";
//    }
%>
                        <TABLE border="0" cellspacing="0" cellpadding="0" width='100%'>
                            <TR valign="top"><TD>
                                <IFRAME ID="resultSpace" NAME="eventSpace"
                                    src="<%=iframsSrc%>"
                                    style="margin:0;border:0"
                                    WIDTH="100%" HEIGHT="100%"
                                    SCROLLING=AUTO FRAMEBORDER=0
                                    onload="iframeLoaded()">
                                </IFRAME>
                            <!--iframe src='actionOnEventsEventList.htm' width=350 height=250>
                            </iframe-->
                            </TD></TR>
                        </TABLE>
                    </TD></TR>
                </TABLE>
             </TD>
         </TR>
     </TABLE>
<!-- End Data -->
    <%--HR class='rule'--%>
    <SCRIPT language="javascript">
        function nextPage()
        {
            document.getElementById('resultSpace').contentWindow.loadActionOnEventsCriteria("Event");
        }
        function goNextPage()
        {
            document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("SYSTEMS_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
            document.getElementById('frmNotification').submit();
        }
        function prevPage()
        {
           document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("NAME_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
           document.getElementById('frmNotification').submit();
        }
        function cancelChanges()
        {
            if ( true == confirm('<%=aoneUIbean.getResString("CANCEL_CONF_MSG")%>') )
            {
                <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
                {
                    %>
                    parent.document.location=
                        '<%=aoneUIbean.getResString("MANAGE_PAGE_URL")%>?reqType='
                        + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                else
                {
                    %>
                    document.location=
                        '<%=aoneUIbean.getResString("NAME_PAGE_URL")%>?reqType='
                        + '<%=reqType%>&cancel=true' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                %>
            }
        }
    </SCRIPT>
        <%--TD><INPUT TYPE="button" id="btnCancel" name="btnCancel" onClick="cancelChanges()" value="<%=aoneUIbean.getResString("BUTTON_CANCEL_LABEL")%>" style='width:75'></td--%>

    <INPUT TYPE="HIDDEN" ID="queryId" NAME="queryId" VALUE="<%=aoneUIbean.getQueryId()%>">
</FORM>
<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
