<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/actiononevents/ActionOnEvents_Name.jsp,v $
//$Revision: 1.41 $
//$Date: 2005/06/22 21:42:24 $
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.search.MxActionOnEventSearchUI"%>
<%@page import="java.util.*"%>

<jsp:useBean id="aoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="aoneTaskBean" class="com.hp.mx.portal.actiononevents.ActionOnEventsManageBean" scope="session"/>
<jsp:useBean id="aoneSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="aoEventSearchUI" class="com.hp.mx.portal.search.MxActionOnEventSearchUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    aoneUIbean.getResBundles(loginBean);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnBack", aoneUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()"));
    buttons.addMxTag(new MxDefaultTag("btnNext", aoneUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()"));
%>
<jsp:setProperty name="aoneUIbean" property="*"/>
<HTML>
<HEAD>
    <TITLE>
        ActionOnEvents_Name
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=aoneUIbean.getResString("NAME_PAGE_HELP")%>")</SCRIPT>
<%

    int wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;

    if (null == request.getParameter("wizardMode"))
    {
        wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
    }
    else
    {
        try
        {
            wizardMode = Integer.parseInt(request.getParameter("wizardMode"));
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
        }

        if ((wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST) &&
            (wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA))
            {
                wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
            }
    }

    String reqType = "";

    if (null == request.getParameter("reqType"))
    {
        reqType = aoneUIbean.REQUEST_TYPE_NEW;
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
    {
        try
        {
            aoneUIbean.setTaskID(aoneTaskBean.getTaskObjectId(aoneSelectionModel.getSelectedIndices()[0]));
        }
        catch(Throwable t)
        {
            aoneUIbean.alert(out, aoneUIbean.getResString("INVALID_REQUEST"));
            aoneUIbean.replaceLocation(out, aoneUIbean.getResString("MANAGE_PAGE_URL"));
            return;
        }
    }

    String cancel = "";
    if (null != request.getParameter("cancel"))
    {
        cancel = request.getParameter("cancel");
    }

    String referer = request.getHeader("referer");
    if (null != referer)
    {
        if (cancel.equalsIgnoreCase("true"))
        {
            aoneUIbean.removeInprogressTaskName(aoneUIbean.getTaskName(), pageContext.getSession().getId());
            aoEventSearchUI.resetActOnEvtCriteria();
        }

        if ((-1 == referer.indexOf(aoneUIbean.getResString("EVENTS_PAGE_URL")))
            && (-1 == referer.indexOf(aoneUIbean.getResString("EVENT_LIST_PAGE_URL"))))
        {
            aoneUIbean.initBean(out, loginBean, request.getParameter("reqType"));
            aoEventSearchUI.resetActOnEvtCriteria();
        }
        else
        {
            aoneUIbean.removeInprogressTaskName(aoneUIbean.getTaskName(), pageContext.getSession().getId());
        }
    }

    String botframe = request.getParameter("botframe");

    if (botframe == null)
    {
        botframe = "false";
    }
%>
    <SCRIPT language="javascript">
    function myOnLoadHandler()
    {
        <%
        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                    || botframe.equalsIgnoreCase("true"))
        {
            %>
            var pageHeight  = document.body.scrollHeight;
            var pageWidth  = document.body.scrollWidth;
            parent.setFrmDisplayHeight(pageHeight);
            parent.setFrmDisplayWidth(pageWidth);
            <%
        }
        %>
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY LEFTMARGIN=0 onload="myOnLoadHandler()">
<A NAME="NAME_PAGE_TOP"></A>
<%
    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
    {
        try
        {
            wizardMode = Integer.parseInt(aoneUIbean.getWizardMode());
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA;
        }
        %>
         <SPAN class='mxPageSubTitle'>
            <STRONG>
                <%=aoneUIbean.getResString("EDIT_RULE_LABEL")%>
                    &nbsp;<%=aoneUIbean.getTaskName()%>
            </STRONG>
        </SPAN>
        <P>
        <%
    }
    else
    {
        if (botframe.equalsIgnoreCase("true"))
        {
            %>
             <SPAN class='mxPageSubTitle'>
                <STRONG>
                    <%=aoneUIbean.getResString("NEW_RULE_LABEL")%>
                </STRONG>
            </SPAN>
            <P>
            <%
        }
    }
%>
<FORM ID="frmNotification" NAME="frmNotification" METHOD="POST"
    class="mxForm" width="100%">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
    <TR valign='top'>
        <TD>
            <%
            int currentTab = 1;
            %>
            <%@include file="ActionOnEvents_DrawTabs.txt"%>
        </TD>
        <TD style='padding-left:12px;' align='left' width='100%'>
            <TABLE  class="top-border-table"
                    WIDTH="100%">
                <TR><TD>
                    <B>
                        <FONT class="mxPageSubTitle">
                            <%=aoneUIbean.getResString("SELECT_NAME_LABEL")%>
                        </FONT>
                    </B>
                </TD></TR>
                <TR><TD>
                    <!--HR class='rule' -->
                    <P>
                    <BR>
                    <BR>
                    <BR>
                    <P>
                    <TABLE border="0"
                        cellspacing="2" cellpadding="2"
                        style="border:0px;background:white;margin:5;">
                        <!--Next Segment-->
                        <TR>
                            <TD nowrap>
                                <%=aoneUIbean.getResString("TASK_NAME_LABEL")%>
                            </TD>
                            <TD nowrap>
                                <%
                                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
                                {
                                %>
                                <%//=aoneUIbean.getTaskName()%>
                                <!--INPUT  type="HIDDEN" size=35-->
                                <INPUT  size=35
                                        value='<%=aoneUIbean.getTaskName()%>'
                                        id='taskName' name='taskName' >
                                <%
                                }
                                else
                                {
                                %>
                                <INPUT  type="text" size=35
                                        value='<%=aoneUIbean.getTaskName()%>'
                                        id='taskName' name='taskName' >
                                <%
                                }
                                %>
                            </TD>
                            <!--Next Segment-->
                        </TR>
                        <%
                        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
                        {
                        %>
                        <TR>
                            <TD nowrap>
                                <%=aoneUIbean.getResString("TASK_OWNER_LABEL")%>
                            </TD>
                            <TD nowrap>
                                <SELECT size=1 width=35
                                        id='taskOwner' name='taskOwner'>
                                    <%ActionOnEventsUtil.getUserList(out, loginBean, aoneUIbean.getTaskOwner(), false);%>
                                </SELECT>
                            </TD>
                        </TR>
                        <%--TR>
                            <TD nowrap><%=aoneUIbean.getResString("TASK_STATUS_LABEL")%></td>
                            <TD nowrap>
                                <SELECT size=1 width=35
                                        style='font:10 pt arial;'
                                        id='taskStatus'
                                        name='taskStatus'>
                                    <OPTION selected>
                                        <%=aoneUIbean.getResString("STATUS_ENABLED")%>
                                    </OPTION>
                                    <OPTION>
                                        <%=aoneUIbean.getResString("STATUS_DISABLED")%>
                                    </OPTION>
                                </SELECT>
                            </TD>
                        </TR--%>
                        <%
                        }
                        %>
                    </TABLE>
                </TD></TR>
            </TABLE>
        </TD>
    </TR>
    </TABLE>
    <!-- End Data -->
    <SCRIPT>
        function nextPage()
        {
            var taskName = document.getElementById('taskName').value;
            taskName = taskName.replace(/^\s*/, '').replace(/\s*$/, ''); // trim string

            if (taskName.length == 0)
            {
                alert ("<%=aoneUIbean.getResString("ERR_TASK_NAME")%>");
                return false;
               // document.getElementById('taskName').value = " ";
            }

            var regExp = new RegExp("[\'\"<>?/`~!@#$%&*()+={}|:;\,.\\\\^[\\\]]");

            if ( regExp.test( taskName ) )
            {
                alert ("<%=aoneUIbean.getResString("ERR_TASK_NAME")%>");
                return false;
            }

            if ("<%=wizardMode%>" == "<%=ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST%>")
            {
                document.getElementById('frmNotification').action=
                    '<%=aoneUIbean.getResString("EVENT_LIST_PAGE_URL")%>?botframe=<%=botframe%>&reqType='
                        + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
            }
            else
            {
                document.getElementById('frmNotification').action=
                    '<%=aoneUIbean.getResString("EVENTS_PAGE_URL")%>?botframe=<%=botframe%>&reqType='
                        + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
            }
            document.getElementById('frmNotification').submit();
        }
        function prevPage()
        {
            document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("NEW_PAGE_URL")%>?reqType=' + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
            document.getElementById('frmNotification').submit();
        }
        function cancelChanges()
        {
            if ( true == confirm('<%=aoneUIbean.getResString("CANCEL_CONF_MSG")%>') )
            {
                <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
                {
                    %>
                    parent.document.location=
                        '<%=aoneUIbean.getResString("MANAGE_PAGE_URL")%>?reqType='
                        + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                else
                {
                    %>
                    document.location=
                        '<%=aoneUIbean.getResString("NAME_PAGE_URL")%>?reqType='
                        + '<%=reqType%>&cancel=true' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                %>
            }
        }
    </SCRIPT>

        <%--TD><INPUT TYPE="button" value="<%=aoneUIbean.getResString("BUTTON_PREV_LABEL")%>" id=btnBack name=btnBack onClick="prevPage()" style='width:75'></td--%>
        <%--
        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
        {
            %>
            <TD><INPUT TYPE="button" value="<%=aoneUIbean.getResString("BUTTON_CANCEL_LABEL")%>" id="btnCancel" name="btnCancel" onClick="cancelChanges()" style='width:75'></td>
            <%
        }
        --%>
</FORM>
<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>


<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
