<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/actiononevents/ActionOnEvents_New.jsp,v $
//$Revision: 1.8 $
//$Date: 2005/02/18 17:39:55 $
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.search.MxEventSearchUI"%>
<%@page import="java.util.*"%>

<jsp:useBean id="aoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="aoneTaskBean" class="com.hp.mx.portal.actiononevents.ActionOnEventsManageBean" scope="session"/>
<jsp:useBean id="aoneSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="aoEventSearchUI" class="com.hp.mx.portal.search.MxActionOnEventSearchUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    aoneUIbean.getResBundles(loginBean);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }

    int wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;

    if (null == request.getParameter("wizardMode"))
    {
        wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
    }
    else
    {
        try
        {
            wizardMode = Integer.parseInt(request.getParameter("wizardMode"));
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
        }

        if ((wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST) &&
            (wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA))
            {
                wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
            }
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnNext", aoneUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()"));
%>
<jsp:setProperty name="aoneUIbean" property="*"/>
<HTML>
<HEAD>
    <TITLE>
        ActionOnEvents_New
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=aoneUIbean.getResString("NEW_PAGE_HELP")%>")</SCRIPT>

<%
    String reqType = reqType = aoneUIbean.REQUEST_TYPE_NEW;
    String botframe = request.getParameter("botframe");

    if (botframe == null)
    {
        botframe = "false";
    }
%>
    <SCRIPT language="javascript">
    function myOnLoadHandler()
    {
        <%
        if (botframe.equalsIgnoreCase("true"))
        {
            %>
            var pageHeight  = document.body.scrollHeight;
            var pageWidth  = document.body.scrollWidth;
            parent.setFrmDisplayHeight(pageHeight);
            parent.setFrmDisplayWidth(pageWidth);
            <%
        }
        %>
    }
    </SCRIPT>
    <% MxHtmlUtil.dumpHeadBegin(out); %>
    <% buttons.dumpHeadContent(out); %>
    <% MxHtmlUtil.dumpHeadEnd(out); %>
</HEAD>
<BODY LEFTMARGIN=0 onload="myOnLoadHandler()">
<%
    if (botframe.equalsIgnoreCase("true"))
    {
        %>
         <SPAN class='mxPageSubTitle'>
            <STRONG>
                <%=aoneUIbean.getResString("NEW_RULE_LABEL")%>
            </STRONG>
        </SPAN>
        <P>
        <%
    }
%>
<FORM ID="frmNotification" NAME="frmNotification" METHOD="POST"
    class="mxForm" width="100%">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
    <TR valign='top'>
        <TD style='padding-left:12px;' align='left' width='100%'>
            <TABLE  class="top-border-table"
                    WIDTH="100%">
                <TR><TD>
                    &nbsp;
                </TD></TR>
                <TR><TD>
                    <%=aoneUIbean.getResString("CREATE_TASK_TEXT")%>
                </TD></TR>
                <TR><TD>
                    <blockquote>
                    <%
                    if (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST)
                    {
                        %>
                        <input checked type="radio" name="wizardMode" id="wizardMode" value="<%=ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST%>" />&nbsp;&nbsp;
                        <%=aoneUIbean.getResString("CREATE_TASK_WITH_LIST_TEXT")%>
                            <br />
                        <input type="radio" name="wizardMode" id="wizardMode" value="<%=ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA%>"/>&nbsp;&nbsp;
                        <%=aoneUIbean.getResString("CREATE_TASK_WITH_CRITERIA_TEXT")%>
                        <%
                    }
                    else
                    {
                        %>
                        <input type="radio" name="wizardMode" id="wizardMode" value="<%=ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST%>" />&nbsp;&nbsp;
                        <%=aoneUIbean.getResString("CREATE_TASK_WITH_LIST_TEXT")%>
                            <br />
                        <input checked type="radio" name="wizardMode" id="wizardMode" value="<%=ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA%>"/>&nbsp;&nbsp;
                        <%=aoneUIbean.getResString("CREATE_TASK_WITH_CRITERIA_TEXT")%>
                        <%
                    }
                    %>
                    </blockquote>
                </TD></TR>
            </TABLE>
        </TD>
    </TR>
    </TABLE>
    <!-- End Data -->
    <SCRIPT>
        function nextPage()
        {
            var collection;
            var wizardMode = '<%=ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST%>';
            collection = document.getElementsByName("wizardMode");
            for (i=0;i<collection.length;i++)
            {
                if (collection[i].checked)
                wizardMode = collection[i].value;
            }
            document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("NAME_PAGE_URL")%>?botframe=<%=botframe%>&reqType=new' + '&wizardMode=' + wizardMode;
            document.getElementById('frmNotification').submit();
        }
    </SCRIPT>
</FORM>
<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>
<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
