<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/actiononevents/ActionOnEvents_TimeFilter.jsp,v $
//$Revision: 1.38 $
//$Date: 2005/01/13 23:36:53 $
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@page import="com.hp.mx.core.subjects.*"%>
<%@page import="com.hp.mx.portal.actiononevents.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="java.util.*"%>
<%@page import="java.net.InetAddress"%>

<jsp:useBean id="aoneUIbean" scope="session" class="com.hp.mx.portal.actiononevents.ActionOnEventsUIBean" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if ((!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NOTIFICATION_SETTINGS_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.EVENT_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_MODIFICATION_PRIVILEGE))
        || (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SUBJECT_MODIFICATION_PRIVILEGE))
        )
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }
%>
<jsp:setProperty name="aoneUIbean" property="*" />
<%
    // clear unselected actions if coming from actions page
    String referer = request.getHeader("referer");
    if (null != referer)
    {
        if (-1 != referer.indexOf(aoneUIbean.getResString("ACTIONS_PAGE_URL")))
        {
            if (null == request.getParameter("sendPage"))
            {
                aoneUIbean.setSendPage("off");
            }
            if (null == request.getParameter("sendMail"))
            {
                aoneUIbean.setSendMail("off");
            }
            if (null == request.getParameter("launchApp"))
            {
                aoneUIbean.setLaunchApp("off");
            }
            if (null == request.getParameter("forwardTrap"))
            {
                aoneUIbean.setForwardTrap("off");
            }
            if (null == request.getParameter("assignEvent"))
            {
                aoneUIbean.setAssignEvent("off");
            }
            if (null == request.getParameter("clearEvent"))
            {
                aoneUIbean.setClearEvent("off");
            }
            if (null == request.getParameter("logEvent"))
            {
                aoneUIbean.setLogEvent("off");
            }
        }
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag btnBackTag = new MxDefaultTag("btnBack", aoneUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()");
    MxTag btnNextTag = new MxDefaultTag("btnNext", aoneUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()");
    btnBackTag.setAttr(MxTag.DISABLED, "true");
    btnNextTag.setAttr(MxTag.DISABLED, "true");
    buttons.addMxTag(btnBackTag);
    buttons.addMxTag(btnNextTag);
%>
<HTML>
<HEAD>
    <TITLE>
        ActionOnEvents_TimeFilter
    </TITLE>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <LINK type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
    <SCRIPT type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/actiononevents/js/ActionOnEventsUtil.js'></SCRIPT>
    <script type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/timeFilters.js'></script>
    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=aoneUIbean.getResString("TIME_FILTER_PAGE_HELP")%>")</SCRIPT>
<%
    int wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;

    if (null == request.getParameter("wizardMode"))
    {
        wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
    }
    else
    {
        try
        {
            wizardMode = Integer.parseInt(request.getParameter("wizardMode"));
        }
        catch(Exception e)
        {
            wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
        }

        if ((wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST) &&
            (wizardMode != ActionOnEventsUIBean.WIZARD_MODE_SPECIFY_EVENT_AND_SYSTEM_CRITERIA))
            {
                wizardMode = ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST;
            }
    }

    String reqType = "";
    aoneUIbean.getResBundles(loginBean);

    if (null == request.getParameter("reqType"))
    {
        reqType = aoneUIbean.REQUEST_TYPE_NEW;
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

    String timeFilter="";
    if (null != aoneUIbean.getTimeFilter())
    {
        timeFilter = aoneUIbean.getTimeFilter();
    }
    if (timeFilter.trim().equals(""))
    {
        timeFilter = "";
    }

    String botframe = request.getParameter("botframe");

    if (botframe == null)
    {
        botframe = "false";
    }
%>
    <SCRIPT language="javascript">

    function myOnLoadHandler()
    {
        <%
        if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT)
                    || botframe.equalsIgnoreCase("true"))
        {
            %>
            var pageHeight  = document.body.scrollHeight;
            var pageWidth  = document.body.scrollWidth;
            parent.setFrmDisplayHeight(pageHeight);
            parent.setFrmDisplayWidth(pageWidth);
            <%
        }
        %>
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY LEFTMARGIN="0" onload="myOnLoadHandler()" onunload="unloadTimeFilter()">
<A NAME="TIME_FILTER_PAGE_TOP"></A>
<%
    // validate trap recipients if trap forwarding
    // was selected on actions page

    if ((null != referer)
        && (-1 != referer.indexOf(aoneUIbean.getResString("ACTIONS_PAGE_URL")))
        && (null != request.getParameter("forwardTrap")))
    {
        String [] receps = aoneUIbean.getTrapRecepients();
        StringBuffer prevURL = new StringBuffer();
        prevURL.append(aoneUIbean.getResString("ACTIONS_PAGE_URL"));
        prevURL.append("?botframe=");
        prevURL.append(botframe);
        prevURL.append("&reqType=");
        prevURL.append(request.getParameter("reqType"));
        prevURL.append("&wizardMode=");
        prevURL.append(request.getParameter("wizardMode"));

        for (int i=0; i<receps.length;i++)
        {
            String dest = receps[i].trim();
            String port = "162";
            try
            {
                int j;
                if ((j =receps[i].indexOf(':')) != -1)
                {
                    dest = receps[i].substring(0, j);
                    port = receps[i].substring(j+1);
                }
                InetAddress a = InetAddress.getByName(dest);
                Integer.parseInt(port);
            }
            catch(Exception e)
            {
                aoneUIbean.alert(out,
                    "[" + receps[i] + "] "
                    + aoneUIbean.getResString("MSG_INVALID_TRAP_RECEPIENT"));
                aoneUIbean.replaceLocation(out, prevURL.toString());
                return;
            }
        }
    }

    if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
    {
        %>
         <SPAN class='mxPageSubTitle'>
            <STRONG>
                <%=aoneUIbean.getResString("EDIT_RULE_LABEL")%>
                    &nbsp;<%=aoneUIbean.getTaskName()%>
            </STRONG>
        </SPAN>
        <P>
        <%
    }
    else
    {
        if (botframe.equalsIgnoreCase("true"))
        {
            %>
             <SPAN class='mxPageSubTitle'>
                <STRONG>
                    <%=aoneUIbean.getResString("NEW_RULE_LABEL")%>
                </STRONG>
            </SPAN>
            <P>
            <%
        }
    }
%>
<FORM ID="frmNotification" NAME="frmNotification" METHOD="POST"
    class="mxForm">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
        <TR valign='top'>
            <TD>
                <%
                int currentTab = 5;
                if (wizardMode == ActionOnEventsUIBean.WIZARD_MODE_SELECT_EVENT_LIST)
                {
                    currentTab = 4;
                }
                %>
                <%@include file="ActionOnEvents_DrawTabs.txt"%>
            </TD>
            <TD style='padding-left:12px;' align='left' width='100%'>
                <TABLE  class="top-border-table"
                    WIDTH="100%">
                    <TR><TD>
                        <B>
                            <FONT class="mxPageSubTitle">
                                <%=aoneUIbean.getResString("SELECT_TIME_FILTER_LABEL")%>
                            </FONT>
                        </B>
                    </TD></TR>
                    <TR><TD>
                        <P><BR>
                        <div><%=aoneUIbean.getResString("TIME_FILTER_SCREEN_TXT")%>
                        </div>
                        <p>
                            <SCRIPT>
                                drawTimeFilterTable("<%=timeFilter%>");
                            </SCRIPT>
                    </TD></TR>
                </TABLE>
             </TD>
         </TR>
     </TABLE>
    <SCRIPT language="javascript">
        // unloadTimeFilter() - this is called before we leave this page to allow the Time Filter code to perform
        // cleanup actions
        function unloadTimeFilter()
        {
            // unload "Time Filter" page
            var iframe = document.getElementById('displayTimeFilters');
            if (iframe != null)
            {
                iframe.contentWindow.removeInstance();
            }
        }
        // pageLoaded() - this is called by the Time Filter page when it has finished loading.  We won't
        // enable our "Prev" and "Next" buttons until this is called
        function pageLoaded()
        {
            ourButtonManager.enableButtonById('btnBack');
            ourButtonManager.enableButtonById('btnNext');
        }

        function nextPage()
        {
            if (null == getSelectedTimeFilter)
            {
                return; // don't do anything if time filter iframe hasn't loaded
            }
            if (null != getSelectedTimeFilter())
            {
               document.getElementById('timeFilter').value = getSelectedTimeFilter();
               document.getElementById('timeFilterDisplayName').value = getSelectedDisplayableTimeFilter();
            }
            else
            {
                document.getElementById('timeFilter').value = " ";
                document.getElementById('timeFilterDisplayName').value = " ";
            }

            unloadTimeFilter();

            document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("SUMMARY_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
            document.getElementById('frmNotification').submit();
        }
        function prevPage()
        {
            unloadTimeFilter();

            document.getElementById('frmNotification').action='<%=aoneUIbean.getResString("ACTIONS_PAGE_URL")%>?botframe=<%=botframe%>&reqType=' + '<%=request.getParameter("reqType")%>' + '&wizardMode=' + '<%=wizardMode%>';
            document.getElementById('frmNotification').submit();
        }
        function cancelChanges()
        {
            if ( true == confirm('<%=aoneUIbean.getResString("CANCEL_CONF_MSG")%>') )
            {
                <%
                if (reqType.equalsIgnoreCase(aoneUIbean.REQUEST_TYPE_EDIT))
                {
                    %>
                    parent.document.location=
                        '<%=aoneUIbean.getResString("MANAGE_PAGE_URL")%>?reqType='
                        + '<%=reqType%>' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                else
                {
                    %>
                    document.location=
                        '<%=aoneUIbean.getResString("NAME_PAGE_URL")%>?reqType='
                        + '<%=reqType%>&cancel=true' + '&wizardMode=' + '<%=wizardMode%>';
                    <%
                }
                %>
            }
        }
    </SCRIPT>

        <%--TD><INPUT TYPE="button" value="<%=aoneUIbean.getResString("BUTTON_CANCEL_LABEL")%>" id="btnCancel" name="btnCancel" onClick="cancelChanges()" style='width:75'></td--%>
<%--
    <INPUT TYPE="HIDDEN" ID="timeFilter" NAME="timeFilter" VALUE='<%=aoneUIbean.getTimeFilter()%>'>
--%>
    <INPUT TYPE="HIDDEN" ID="timeFilter" NAME="timeFilter" VALUE=''>
    <INPUT TYPE="HIDDEN" ID="timeFilterDisplayName" NAME="timeFilterDisplayName" VALUE=''>
</FORM>

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

<BR>
<BR>
<BR>
<SCRIPT>
        drawTimeFilterIFrame();
</SCRIPT>
<%-- need the following <BR> tags to display the full page in mozilla
---- ommitting these causes the bottom buttons to be truncated when
---- the page is rendered in the iframe on the manage page
--%>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</BODY>
</HTML>
