<%@ page import="com.hp.mx.portal.i18n.MonteroResourceManager,
                 com.hp.mx.core.nodemanager.MxNode,
                 com.hp.mx.html.table.TreeTable,
                 com.hp.mx.portal.res.MxResourceBean,
                 java.util.ArrayList,
                 com.hp.mx.core.client.MxNodeClient,
                 com.hp.mx.core.objectmodel.MxObjectID,
                 com.hp.mx.core.objectmodel.MxGUID,
                 com.hp.mx.exceptions.MxException,
                 com.hp.mx.html.core.MxHtmlUtil,
                 com.hp.mx.portal.ui.MxPortalRender,
                 com.hp.mx.portal.ui.MxOptions,
				 com.hp.mx.portal.ui.MxBean"%>

<jsp:useBean id="monteroBean" class="com.hp.mx.portal.MonteroBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="diskUtilBean" class="com.hp.mx.portal.DiskUtilization" scope="session" />
<jsp:useBean id="synchBean" class="java.lang.Object" scope="session" />
<%
 MxBean.jspInit(request, response);
 if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
  {
      return;
  }
 %>
<html>
<head>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out);
   String numDrivesStr = (String)request.getParameter("numDrives");
%>
</head>
<body>
<b><a href="javascript:updateDiskUtilTable()"
title="<%= MonteroResourceManager.getInstance().getString("DISKUSAGE_UPDATED_LNK",loginBean.getLocale())%>">
<%= MonteroResourceManager.getInstance().getString("UPDATED_LNK_LABEL",loginBean.getLocale())%>
</a></b>
<script language="javascript">
     function updateDiskUtilTable()
     {
        var actionString = "DiskUtilization.jsp?updated=false&numDrives=<%=numDrivesStr%>";
        diskForm.action= actionString;
        diskForm.submit();
     }
</script>
<form method='POST'  name='diskForm' id='diskForm'>
<%
/*
		synchBean is used to have a synchcronization between MemoryUtilization,DiskUtilization and CPUUtilization
		Since all the above beans try and access the same SNMP code.
*/

        synchronized(synchBean)
        {
	        String updated = request.getParameter("updated");
	
	        if(updated != null)
	        {
	            diskUtilBean.setUpdate(true);
	        }
	
	        monteroBean.initialize(loginBean);
	
	        MxNode bladeNode = diskUtilBean.getBladeNode();
	        TreeTable diskTable = new TreeTable();
	        MxResourceBean res = new MxResourceBean(loginBean.getLocale(), "com.hp.mx.html.table.resource.TableResources");
	        diskTable.setResourceBundle(res.getBundle());
	        String headers[] = MonteroResourceManager.getInstance().getDiskInfoTableHeaders(loginBean.getLocale());
	        diskTable.setHeaders(headers);
	
	
				int numDrives = Integer.parseInt(numDrivesStr);
	
				if (numDrives <= 0)
				{
					diskTable.addRow(new String[] {MonteroResourceManager.getInstance().getString("NOT_AVAILABLE",loginBean.getLocale())});
	                diskUtilBean.setUpdate(false);
				}
				else
				{
	                ArrayList tableList = diskUtilBean.getDiskUtilizationTable(monteroBean,loginBean,bladeNode);
	                numDrives = tableList.size()/3-1;
	                int dNameindex = 0;
	                int dSizeindex = numDrives + 1;
	                int dUsedindex = numDrives*2+2;
	    			if(tableList.contains("false"))
		    		{
	                    diskTable.addRow(new String[] {MonteroResourceManager.getInstance().getString("NOT_AVAILABLE",loginBean.getLocale())});
	                    diskUtilBean.clearTableList();
	                }
	                else
	                {
	                    diskTable.clearTable();
	                    for(int i=1; i<=numDrives;i++)
	                    {
	                        diskTable.addRow(new String[] {
	                                (String)(tableList.get(i+dNameindex)),
	                                (String)(tableList.get(i+dSizeindex)),
	                                (String)(tableList.get(i+dUsedindex))
	                               });
	                   }
	                    diskUtilBean.setUpdate(false);
	               }
	            }
	    	  out.print(diskTable.getHTML().toString());
			}
%>
</form>
</body>
</html>
