<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.custom.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.portal.core.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="portalBean" class="com.hp.mx.portal.ui.MxPortalBean" scope="session" />
<jsp:useBean id="selectionBean" class="com.hp.mx.portal.core.MxObjSelections" scope="session" />
<jsp:useBean id="actionList" class="com.hp.mx.portal.core.MxActionList" scope="session" />
<jsp:useBean id="actionMgr" class="com.hp.mx.portal.core.MxActionMgr" scope="session" />
<jsp:useBean id="rbPortal" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="XEUtil" class="com.hp.mx.portal.applet.utilities.XeJspUtil" scope="session" />
<jsp:useBean id="popupBean" class="com.hp.mx.portal.ui.MxPopups" scope="session"/>

<%
    MxBean.jspInit(request, response);
    rbPortal.init(loginBean, "MxPortal");

    if (loginBean.portalInit(request, session, application,
       portalBean, selectionBean, actionList, actionMgr, XEUtil))
    {
        portalBean.setFile("Portal.xml");
    }
%>

<HTML>
<HEAD>
<TITLE><%=rbPortal.get("global.product")%></TITLE>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxSizingMoving.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxMessageBox.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxCollection.js" language="JavaScript" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">

<% if (loginBean.isLoggedIn()) { %>
    MxPortalSendTimeZone();
<% } %>

/////////////////////////////////////////////////////////////
// The portal API; see MxPortalApi.js

var MX_PORTAL_MAIN_DOCUMENT = "true";
var g_watchdogLast = "";
var g_watchdogCount = 0;
var g_portalWindows = new MxCollection();

function p_MxPortalWorkspaceCreate(szActionId)
{
    if (PortalCheckSetAsideWarning())
        PortalInterjectSetAsideMessage(szActionId);
    else
        PortalWorkspaceCreate(szActionId);
}

function p_MxPortalGetLeftSideFrame()
{
    var oFrame = document.getElementById("ID_MXPORTAL_IFRAME");
    if (oFrame == null || oFrame.contentWindow == null) return null;

    return oFrame.contentWindow.document.getElementById("PANEL_0");
}

function p_MxPortalGetRightSideFrame()
{
    var oFrame = document.getElementById("ID_MXPORTAL_IFRAME");
    if (oFrame == null || oFrame.contentWindow == null) return null;

    return oFrame.contentWindow.document.getElementById("PANEL_1");
}

function p_MxPortalRefreshLeftSide()
{
    MxBrowserRefreshFrame(p_MxPortalGetLeftSideFrame());
}

function p_MxPortalRefreshRightSide()
{
    MxBrowserRefreshFrame(p_MxPortalGetRightSideFrame());
}

function p_MxPortalGetNavigationFrame()
{
    var oFrame = p_MxPortalGetLeftSideFrame();
    if (oFrame == null) return null;

    return oFrame.contentWindow.document.getElementById("FRAME_ID_ORGANIZER");
}

function p_MxPortalGetHiddenFrame()
{
    var w = window.parent;
    if (w == null) return null;

    return w.document.getElementById("<%=portalBean.getHiddenFrameName()%>");
}

function p_MxPortalLogout()
{
    p_MxPortalClosePopups();

    var oFrame = MxPortalGetHiddenFrame();
    if (oFrame != null)
        oFrame.src = "MxBlank.html";

    p_MxPortalSetTopLocation("<%=MxOptions.URL_BASE%>/home/MxLogout.jsp");
}

function p_MxPortalRefreshNavigationArea()
{
    MxBrowserRefreshFrame(p_MxPortalGetNavigationFrame());
}

function p_MxPortalSetTopLocation(szUrl)
{
    window.parent.document.location.replace(szUrl);
}

function p_MxPortalWorkspaceClose()
{
    if (szWorkspaceId != "")
        MxPortalWindowAction(szWorkspaceId, "<%=MxXmlWindow.WIN_CLOSE%>");
}

function p_MxPortalWorkspaceGetHelpUrl()
{
    return szWorkspaceHelpUrl;
}

function p_MxPortalWorkspaceSetHelpUrl(szUrl)
{
    szWorkspaceHelpUrl = szUrl;
}

function p_MxPortalOpenPageHelp()
{
    return MxPortalOpenHelpUrl(szWorkspaceHelpUrl);
}

function p_MxPortalManageMenuRefresh()
{
    var oFrame = p_MxPortalGetRightSideFrame();
    if (oFrame != null)
        oFrame.contentWindow.p_MxPortalManageMenuRefresh();
}

function p_MxPortalMessageBox(x, y, w, nStatus, szTitle, szHtml, aButtons)
{
    ShowMsgBox(x, y, w, nStatus, szTitle, szHtml, aButtons);
}

function p_MxPortalTrackPopup(wNew)
{
    if (wNew == null)
        return;

    g_portalWindows.addUnique(wNew);

    var toRemove = new MxCollection();
    for (var i = 0; i < g_portalWindows.size(); i++)
    {
        var bRemove = true;
        try {
            bRemove = g_portalWindows[i].closed;
        } catch (e) { }

        if (bRemove)
            toRemove.add(g_portalWindows[i]);
    }

    for (var i = 0; i < toRemove.size(); i++)
    {
        g_portalWindows.remove(toRemove[i]);
    }
}

function p_MxPortalClosePopups()
{
    for (var i = 0; i < g_portalWindows.size(); i++)
    {
        var bClose = false;
        try {
            bClose = !g_portalWindows[i].closed;
        } catch (e) { }

        if (bClose)
            g_portalWindows[i].close();
    }

    g_portalWindows = new MxCollection();
}

/////////////////////////////////////////////////////////////
// Miscellaneous

function hiddenFrameInit(oFrame)
{
    var w = window.parent;
    if (w == null) return;

    var oFrame = w.document.getElementById("id_set_from_portal_xml");
    if (oFrame == null) return;

<%  portalBean.dumpHiddenFrameScript("oFrame", out);  %>
}

function myOnLoad()
{
    setTimeout("reallyOnLoad()", 100);
}

function reallyOnLoad()
{
    setTimeout("hiddenFrameInit()", 100);

    if (typeof logon_onLoad == "function")
        logon_onLoad();

    setTimeout("myOnResize();MxBrowserLoadIframes()", 100);

<% if (loginBean.isLoggedIn()) { %>
    setTimeout("bannerRefresh()", <%=(MxBannerSettings.BANNER_REFRESH * 1000)%>);
<% } %>

<%
    // dump out code to open any partner application popup-windows
    popupBean.dumpPopups(loginBean, actionMgr, out);

    // check to see if First Time Wizard needs to be displayed
    if (portalBean.showFtw())
    {
        // clear the flag
        portalBean.setShowFtw("false");
%>
        MxPortalOpenPopupWindow('/mxportal/settings/ftw_Autostart.jsp', 'ftw', 820, 600);
<%  }  %>
}

function myOnUnload()
{
    p_MxPortalClosePopups();
}

function myOnResize()
{
    var h_body = MxBrowserGetBodyHeight(0, 0);

    var oBanner = document.getElementById("ID_BANNER");
    var h_banner = oBanner.offsetHeight;
    var h = Math.max(0, h_body - h_banner);

    var oMainIframe = document.getElementById("ID_MXPORTAL_IFRAME");
    if (oMainIframe != null)
        oMainIframe.style.height = h;
}

function bannerRefresh()
{
    var watchdogNow = MxBrowserGetLastModified("<%=MxBannerSettings.BANNER_IFRAME%>");
    if (g_watchdogLast != "")
    {
        if (watchdogNow == null || (watchdogNow == g_watchdogLast))
        {
            if (g_watchdogCount++ == <%=MxBannerSettings.BANNER_RETRIES%>)
                window.parent.allIsLost();
            else
                setTimeout("bannerRefresh()", <%=(MxBannerSettings.BANNER_REFRESH * 1000)%>);

            return;
        }
    }

    g_watchdogLast = watchdogNow;
    g_watchdogCount = 0;

    try {
        MxBrowserRefreshFrame(document.getElementById("<%=MxBannerSettings.BANNER_IFRAME%>"));
    } catch (e) {
    }

    setTimeout("bannerRefresh()", <%=(MxBannerSettings.BANNER_REFRESH * 1000)%>);
}

/////////////////////////////////////////////////////////////
// Commmand helpers

function PortalCheckSetAsideWarning()
{
    if (!bNeedSetAsideWarning)
        return false;

    if (document.cookie.search("set-aside-warning=no") >= 0)
        return false;

    return true;
}

function HandleSetAside(szActionId)
{
    if (document.getElementById("ID_SET_ASIDE").checked)
        document.cookie = "set-aside-warning=no;EXPIRES=";

    PortalWorkspaceCreate(szActionId);
}

function PortalInterjectSetAsideMessage(szActionId)
{
    var b1 = new Array("&nbsp;&nbsp;OK&nbsp;&nbsp;", "HandleSetAside('" + szActionId + "')");

    var s = "" + document.getElementById("ID_SET_ASIDE_NOTE").innerHTML;
    s = s.replace("XXX_ID_XXX", "ID_SET_ASIDE");

    ShowMsgBox(150, 150, 400, MSGBOX_INFO, '<%=rbPortal.get("global.product")%>', s, new Array(b1));
}

</script>

</HEAD>

<body class="body-flush-fit" onLoad='myOnLoad()' onUnload="myOnUnload()" onResize='myOnResize()'>
<div class="body-proxy" id="ID_BODY_PROXY">

<!--  main content  -->
<% if (!loginBean.isLoggedIn() && !loginBean.isAuthenticated(request)) { %>
    <jsp:include page="MxLogon.jsp" />
<% } else if (!loginBean.isLoggedIn() && loginBean.isAuthenticated(request)) { %>
    <jsp:include page="MxLogonError.jsp" />
<% } else {
    portalBean.dumpHtml(loginBean, request, response, out);
   } %>

<!--  message box element  -->
<div id="ID_MSGBOX" class="msgbox-border" style="position:absolute; display:none">
    <table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td id="ID_BOX_TITLE" class="msgbox-title" onmousedown='mboxHandleMouseDown(event)' onmouseup='mboxHandleMouseUp()' colspan="2">
          Message Box
        </td>
      </tr>
      <tr>
        <td id="ID_BOX_IMAGE" class="msgbox-content"></td>
        <td id="ID_BOX_CONTENT" class="msgbox-content">&nbsp;</td>
      </tr>
      <tr><td id="ID_BOX_BUTTONS" class="msgbox-content" colspan="2" align="center">&nbsp;</td></tr>
      <tr><td class="msgbox-content" colspan="2">&nbsp;</td></tr>
    </table>
</div>

<!--  set-aside note (not used) -->
<div id="ID_SET_ASIDE_NOTE" style="position:absolute; display:none">
    Your current workspace is being set aside.
    <br><br>
    "Set-aside" views are the same as workspace views, except smaller.
    By default, workspace views will automatically become "set-aside" views
    when a new tool is run. To change this behavior, go to "Settings".
    <br><br>
    Views can be moved back and forth from "set-aside" to the workspace with the
    <b>restore</b> and <b>set aside</b> icons in the title bar.
    <br><br>
    <input id="XXX_ID_XXX" type="checkbox">Never display this message again.
</div>

<%
    // used to tell the CMS to stop popups for the user.  The popup window itself does not
    // exist long enough for multiple popups to be closed at the same time.  Only the first dialog's ID
    // would get saved for the user.  Using an <iframe> on the opener page resolves this issue
    popupBean.dumpIFrame(out);
%>

<!-- Hidden, persistent iframe used by MxIframe.jsp -->
<iframe id='MX_IFRAME_PERSIST' name='MX_IFRAME_PERSIST' style='display:none' src="MxBlank.html"></iframe>

</div>
</body>
</HTML>
