<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.custom.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="bannerSettings" class="com.hp.mx.portal.custom.MxBannerSettings" scope="session" />

<%
    if (loginBean.isLoggedIn())
    {
       bannerSettings.initialize(loginBean);
    }

    MxDateAndTime dateAndTime = new MxDateAndTime(loginBean.getLocale(),loginBean.getTimeZone());
%>

<script language="JavaScript" type="text/javascript">

setTimeout('refreshStatus()', 30 * 1000);

function refreshStatus()
{
    MxPortalRefreshStatusOverview();
    setTimeout('refreshStatus()', 30 * 1000);
}

function createList(sev, lt, qId, title)
{
    var oFrame = MxPortalGetRightSideFrame();
    if (oFrame != null)
    {
        oFrame.contentWindow.document.location.replace("javascript:MxPortalWorkspaceCreateUrl('" + title + "','MxBannerLinks.jsp?severity=" + sev + "&listType=" + lt + "&query=" + qId + "')");
    }
}

function launchLegend()
{
    var oWin = window.open("/mxportal/home/MxLegend.jsp", "Legend", "width=275, height=125, left=200, top=200");
    oWin.focus();
    MxPortalTrackPopup(oWin);
}

function launchCustomize()
{
    MxPortalActionStart("BANNER_CUSTOMIZE", "");
}

</script>

<div style="padding:2px; background:#CCCCCC">

<div style="margin-bottom: 4px; float:left">
    <a href="javascript:launchLegend()"><%=bannerSettings.getResourceString("banner.legend")%></a>
</div>

<div style="margin-bottom: 4px; float:right">
    <a href="javascript:launchCustomize()"><%=bannerSettings.getResourceString("banner.customize")%></a>
</div><div style="clear:both"></div>

<!-- alarm -->
<% if (bannerSettings.getShowAlarm()) { %>
<span name='alarm' id='alarm'>
    &nbsp;
</span>
<% } %>

<% if (bannerSettings.anyStatusDisplayed()) { %>
<div style="border-top: #999999 1px solid; border-bottom: #999999 1px solid; margin:2px">
<span class='header-timestamp' style="text-align:center">
    <%=bannerSettings.getResourceString("banner.updated")%>
    <span id='lastUpdateTime'>
    <%=dateAndTime.getCurrentDateTimeStringSIMFormatWithSeconds()%>
    </span>
</span>
</div>

<table BORDER='0' CELLSPACING='0' CELLPADDING='1' width=95%>
    <tr>

<!-- column headers -->
<%      if (((bannerSettings.getShowStatus1()) || (bannerSettings.getShowStatus2()))) {
%>
        <td ALIGN='center'>
            <img SRC="<%=MxStatusIcon.CRITICAL.getIconWithBorder()%>" title="<%=MxStatusIcon.CRITICAL.getLabel(loginBean.getLocale())%>">
        </td>
        <td ALIGN='center'>
            <img SRC="<%=MxStatusIcon.MAJOR.getIconWithBorder()%>" title="<%=MxStatusIcon.MAJOR.getLabel(loginBean.getLocale())%>">
        </td>
        <td ALIGN='center'>
            <img SRC="<%=MxStatusIcon.MINOR.getIconWithBorder()%>" title="<%=MxStatusIcon.MINOR.getLabel(loginBean.getLocale())%>">
        </td>
        <td ALIGN='center'>
            <img SRC="<%=MxStatusIcon.NORMAL.getIconWithBorder()%>" title="<%=MxStatusIcon.NORMAL.getLabel(loginBean.getLocale())%>">
        </td>

        <td></td>
<%
}
%>
    </tr>

<!-- first status -->
<%      if (bannerSettings.getShowStatus1()) {
%>
    <tr>
        <td class='header-status-counts' ALIGN='center'>
            <span name='firstStatusCritical' id='firstStatusCritical'>
            0
            </span>
        </td>
        <td class='header-status-counts' ALIGN='center'>
            <span name='firstStatusMajor' id='firstStatusMajor'>
            0
            </span>
        </td>
        <td class='header-status-counts' ALIGN='center'>
            <span name='firstStatusMinor' id='firstStatusMinor'>
            0
            </span>
        </td>
        <td class='header-status-counts' ALIGN='center'>
            <span name='firstStatusNormal' id='firstStatusNormal'>
            0
            </span>
        </td>
        <td class='header-status-labels' ALIGN='left'>
            <span id=firstStatusLabel>
            <%= MxHtmlUtil.encodeHtmlEntities(bannerSettings.getStatus1Label()) %>
            </span>
            &nbsp;
        </td>
    </tr>
<%
}
%>
<!-- second status -->
<%      if (bannerSettings.getShowStatus2()) {
%>
    <tr>
        <td class='header-status-counts' ALIGN='center'>
            <span name='secondStatusCritical' id='secondStatusCritical'>
            0
            </span>
        </td>
        <td class='header-status-counts' ALIGN='center'>
            <span name='secondStatusMajor' id='secondStatusMajor'>
            0
            </span>
        </td>
        <td class='header-status-counts' ALIGN='center'>
            <span name='secondStatusMinor' id='secondStatusMinor'>
            0
            </span>
        </td>
        <td class='header-status-counts' ALIGN='center'>
            <span name='secondStatusNormal' id='secondStatusNormal'>
            0
            </span>
        </td>
        <td class='header-status-labels' ALIGN='left'>
            <span id=secondStatusLabel>
            <%= MxHtmlUtil.encodeHtmlEntities(bannerSettings.getStatus2Label()) %>
            </span>
            &nbsp;
        </td>
    </tr>
<%
}
%>
</table>
<% } %>

<iframe id='<%=MxBannerSettings.ID_BANNER_DATA%>' name='<%=MxBannerSettings.ID_BANNER_DATA%>'
    src='MxBannerData.jsp' style='display:none'>
</iframe>

</div>
