<%@ page import="com.hp.mx.html.tree.MxTreeView" %>
<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.tree.MxTreeInstance" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="treeInstanceManager" class="com.hp.mx.portal.tree.MxTreeInstanceManager" scope="session" />

<%
    MxBean.jspInit(request, response);
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Get the tree instance by timestamp
    String timeStamp = request.getParameter("timeStamp");
    MxTreeInstance treeInstance = treeInstanceManager.getTreeInstance(timeStamp);
    MxTreeView treeView = treeInstance.getTreeViewBean();
%>

<HTML>
<HEAD>
<TITLE><%=request.getParameter("title")%></TITLE>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>

<% treeView.dumpHeadContent(out); %>

<script language="JAVASCRIPT">

function loadParentTree()
{
    // Make a printable window by copying the inner html of
    // the opening treeview page
    oTree = opener.document.getElementById("ID_MY_TREE");
    document.getElementById("treeDiv").innerHTML = oTree.innerHTML;

    // Call the function to disable the controls
    makePrintableWindow();
}

function makePrintableWindow()
{
    // Hide the selection gifs
    var oImages = document.getElementsByTagName("IMG");
    var i = 0;

    while (oImages[i] != null)
    {
        if ((oImages[i].src).indexOf("check") > 0)
        {
            oImages[i].style.visibility = "hidden";
            oImages[i].height = "0px";
            oImages[i].width = "0px";
        }
        else if ((oImages[i].src).indexOf("_expand") > 0 ||
            (oImages[i].src).indexOf("_collapse") > 0 ||
            (oImages[i].id).indexOf("Status") > 0)
        {
            oImages[i].onclick = "javascript:";
        }
        i++;
    }

    // Replace the anchors with text
    var oLinks = document.getElementsByTagName("A");
    i = 0;
    while (oLinks[i] != null)
    {
        var bIsNext = false;
        var oParent = getFirstParentOfType(oLinks[i], "SPAN");

        if (oParent == null)
        {
            oParent = getFirstParentOfType(oLinks[i], "DIV");
            if (!(oParent != null && oParent.id.indexOf("NEXT") >= 0))
                oParent == null;
        }

        if (oParent != null)
        {
            oReplacementSpan = document.createElement("SPAN");
            oReplacementSpan.className = oParent.className;
            oReplacementSpan.innerHTML = oLinks[i].innerHTML;
            oParent.insertBefore(oReplacementSpan, oLinks[i]);
            oLinks[i].style.display = "none";
        }
        i++;
    }
}


function loadSystemDrillDown(sysId, sysName, defaultView)
{
    // No-ops for print
}

function loadStatusDrillDown(sysId, sysName, value)
{
    // No-ops for print
}

</script>

</HEAD>

<BODY onLoad='loadParentTree()'>
<h1 style='pageTitle' id='title'><%=request.getParameter("title")%></h1>
<div id='treeDiv'>
</div>
</BODY>
</HTML>
