<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="customColumn" class="com.hp.mx.portal.custom.MxCustomColumn" scope="session" />

<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.ResourceBundle"%>
<%@ page import="java.util.Vector"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    ResourceBundle rb        = customColumn.getRB();
    String         columns   = request.getParameter("cols");
    String[]       colsArray = null;

    if (columns != null)
    {
        colsArray = columns.split(",");
    }

    List cols = new Vector();

    if (colsArray != null)
    {
        for (int i = 0; i < colsArray.length; i++)
        {
            cols.add(colsArray[i]);
        }
    }

    String sortColumn = request.getParameter("sortCol");
    String sortOrder  = request.getParameter("sortOrder");
    String applyToAll = request.getParameter("applyToAll");

    customColumn.saveCustomColumns(cols, sortColumn, sortOrder, applyToAll.equalsIgnoreCase("true") == true);
%>

<html>
    <head>
        <title>
            <%=rb.getString("CUSTOMIZE")%>
        </title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
    </head>

    <body>
        <script language='javascript' type='text/javascript'>
            parent.createXeHdrWorkspace();
        </script>
    </body>
</html>
