////////////////////////////////////////////////////////////
// depends on MxBrowser.js

var g_nAction = 0;

var g_rootX = 0;
var g_rootY = 0;

var g_width = 0;
var g_height = 0;

var g_anchorX = 0;
var g_anchorY = 0;

var g_oWin = null;

////////////////////////////////////////////////////////////
// window moving and sizing

function windowDragStart(oCapture, szId, e, nMinSize, nAction)
{
    g_oWin = document.getElementById(szId);
    g_nAction = nAction;

    if (oCapture.setCapture) oCapture.setCapture();

    if (MxBrowserIsGecko())
        document.onmousemove = new Function("event", "windowDragMove(event, " + nMinSize + ")")

    g_anchorX = e.clientX;
    g_anchorY = e.clientY;

    if (nAction == 1)
    {
        // the first time we move, root will be (0,0)
        // (which works for relative position only)
        if (g_oWin.style.left)
        {
            g_rootX = parseInt(g_oWin.style.left);
            g_rootY = parseInt(g_oWin.style.top);
        }
    }

    if (nAction == 2)
    {
        g_height = g_oWin.offsetHeight;
    }
}

function windowDragMove(e, nMinSize)
{
    if (g_nAction == 1)
    {
        g_oWin.style.left = g_rootX + e.clientX - g_anchorX;
        g_oWin.style.top = g_rootY + e.clientY - g_anchorY;
    }

    if (g_nAction == 2)
    {
        var h = Math.max(nMinSize, g_height + e.clientY - g_anchorY)
        g_oWin.style.height = h;
    }
}

function windowDragEnd(oCapture, szWinId)
{
    if (oCapture.releaseCapture) oCapture.releaseCapture();

    if (MxBrowserIsGecko())
        document.onmousemove = null;

    if (g_nAction == 2)
    {
        var h = parseInt(g_oWin.style.height);
        if (!isNaN(h) && h != g_height)
            MxPortalWindowSized(szWinId, h);
    }

    g_nAction = 0;
}
