<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.core.subjects.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // EXAMPLE (DO NOT ACCIDENTALLY COPY THE PRIVILEGE): This aborts the page
    // if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.LICENSE_MANAGE_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    lmBean.initBean(out, loginBean);

    String hdr1 = lmBean.getResString("HDR_NODENAME","System Name");
    String hdr2 = lmBean.getResString("HDR_KEY","Key");
    String hdr3 = lmBean.getResString("HDR_PRODUCT","Product");
    String hdr4 = lmBean.getResString("HDR_RESPONSE","Response Status");
    String lbl1 = lmBean.getResString("MSG_WAIT", "Connecting, please wait ...");

%>

<html>
<head>
  <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>

  <script language='javascript' type='text/javascript'>

    // set the help context.
    MxPortalWorkspaceSetHelpTopic('useTools_license_deployKeys_results');

    var nodewidth    = "'15%'" ;
    var keywidth     = "'25%'" ;
    var productwidth = "'25%'" ;
    var statuswidth  = "'35%'" ;

    var oddRow = true;
    var rowIndex = 1;

    function updateStatus(theTime)
    {
       document.getElementById("collectStatus").innerHTML="";
       document.getElementById("collectTime").innerHTML="<%=lmBean.getResString("MSG_TIME","Completed:")%>" + "  " + theTime;
    }

    function addCell(oRow, value, errFlag, cellIndex)
    {
       newCell = oRow.insertCell(cellIndex);
       if (newCell != null)
       {
          newCell.className = "mxtable-content";
          if ( errFlag!="" )
          {
             newCell.style.color = "red";
          }
          if ( value == "" ) value = " ";
          newCell.innerHTML = value;
        }
    }

    function addRow(devName,devKey,devProduct,errFlag,devResult)
    {
       newRow = document.getElementById("tableResult").insertRow(rowIndex++);
       if ( newRow != null )
       {
          //newRow.WIDTH = "100%";
          newCellNum = 0;
          addCell(newRow,devName,"",newCellNum++);
          addCell(newRow,devKey,"",newCellNum++);
          addCell(newRow,devProduct,"",newCellNum++);
          addCell(newRow,devResult,errFlag,newCellNum++);
       }
       //document.body.doScroll("scrollbarDown");
    }

    function myOnLoad()
    {
        //MxPortalWorkspaceSetHelpTopic("use_node_select");
    }

    function myOnResize()
    {
        //resize_w();
        //resize_h();
    }

    </script>

    <link href='<%=MxOptions.URL_BASE%>/css/MxTable.css'  rel='stylesheet' type='text/css'>
    <link href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
    <% MxHtmlUtil.dumpHeadBegin(out); %>
    <% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

<body onLoad='myOnLoad();'>

    <!-- Display the title and timestamp. -->

    <table width="100%" border="0" cellspacing="0" cellpadding="0">
       <tr width="100%">
          <td><H5><%=lmBean.getResString("HDR_DEPLOY_RESULTS","Deployment Results")%></H5></td>
          <td id="collectTime"   align="RIGHT" style="font-size:8.5pt"></td>
          <td id="collectStatus" align="RIGHT"><%=lbl1%></td>
       </tr>
    </table>

    <!-- Display results -->

    <table class="mxtable-outer" width="100%" id="tableResult" cellspacing="0" cellpadding="0">
       <tr>
          <td width=nodewidth   class="mxtable-header">      <%=hdr1%></td>
          <td width=nodewidth   class="mxtable-header">      <%=hdr2%></td>
          <td width=nodewidth   class="mxtable-header">      <%=hdr3%></td>
          <td width=statuswidth class="mxtable-header-last"> <%=hdr4%></td>
       </tr>
    </table>

    <% MxHtmlUtil.dumpBodyEnd(out); %>
</body>
</html>
