<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    lmBean.initBean(out, loginBean);

    String reqType = "";
    if (null == request.getParameter("reqType"))
    {
//        if ( lmBean.lm_Debug1 ) System.out.println(lmBean.getResString("INVALID_REQUEST","));
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_CLEAR))
    {
       lmBean.setKeyString("");
    }

//    if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add Key, request type " + reqType );

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag btnfileViewTag = new MxDefaultTag("btnfileView", lmBean.getResString("LBL_OPEN","Open..."), "");
    btnfileViewTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(btnfileViewTag);
%>

<html>
<head>
     <title>
         LM Manage Keys - Add New Key from File
     </title>

     <link href="<%=MxOptions.URL_BASE%>/css/MxPortalEx.css" rel="stylesheet" type="text/css">

     <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>

     <script language='javascript' type='text/javascript'>
        <%@include file="js/lm.js"%>

        // set the help context.
        MxPortalWorkspaceSetHelpTopic('useTools_license_manageKeys_new');

        function cancelAdd()
        {
           document.location = '<%=lmBean.getResString("URL_BLANK_PAGE","lm_blank.html")%>' ;
           document.location = '<%=lmBean.getResString("URL_MANAGE_PAGE","lm_mkManageKeys.jsp")%>';
        }

       function replace(string,text,by)
       {
          // Replaces 'text' with 'by' in 'string'
          var strLength = string.length, txtLength = text.length;
          if ((strLength == 0) || (txtLength == 0)) return string;

          var i = string.indexOf(text);
          if ((!i) && (text != string.substring(0,txtLength))) return string;
          if (i == -1) return string;

          var newstr = string.substring(0,i) + by;

          if (i+txtLength < strLength)
             newstr += replace(string.substring(i+txtLength,strLength),text,by);

          return newstr;
       }

       function loadPage()
       {
          document.frmAddFile.lpaqAdd.focus();
       }

       function myResize()
       {
       }

     </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

   </head>

  <body onLoad='loadPage()' onResize='myResize()'>
    <a name='ADD_PAGE_TOP'></a>
    <HR class='mx-hr'>
    <span class='mx-subheader-nosep'>
        <b><%=lmBean.getResString("TXT_ADD_NEW_KEY_FILE","Add Key(s) from a File:")%></b>
    </span>
     <form id='frmAddFile' name='frmAddFile' method=post action='lm_fileXfer.jsp' enctype='multipart/form-data'>
      <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
        <tr>
          <td nowrap align='left'>
              <label for='radByName'>
                 <b><%=lmBean.getResString("LBL_ADD_NEW_KEY_LPAQ","Specify a file name and path:")%></b>
              </label>
              <input type='file'   id='lpaqAdd'     name='lpaqAdd' accept='text/html' style='width:325' />
          </td></tr>
          <tr>&nbsp;</tr>
     </table>

    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>

    </form>

<% MxHtmlUtil.dumpBodyEnd(out); %>

  </body>

</html>
