<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    lmBean.initBean(out, loginBean);

    lmBean.setKeyString("") ;

    String reqType = "";
    if (null == request.getParameter("reqType"))
    {
//        if ( lmBean.lm_Debug1 ) System.out.println(lmBean.getResString("INVALID_REQUEST","));
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_CLEAR))
    {
       lmBean.setKeyString("");
    }

    String pNCode = lmBean.getPNameCode() ;
    String pVCode = lmBean.getPVerCode()  ;

//    if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add Key, request type " + reqType );

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag okBtnTag = new MxDefaultTag("btnAdd", "OK", "processKeyPage()");
    okBtnTag.setAttr(MxTag.DISABLED, "true");
    buttons.addMxTag(okBtnTag);
%>

<html>
<head>
     <title>
         LM Manage Keys - Add New Key
     </title>

     <link href="<%=MxOptions.URL_BASE%>/css/MxPortalEx.css" rel="stylesheet" type="text/css">

     <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>

     <script language='javascript' type='text/javascript'>
        <%@include file="js/lm.js"%>

        // set the help context.
        MxPortalWorkspaceSetHelpTopic('useTools_license_manageKeys_addKeyIndividually');

        var key1 = "" ;
        var key2 = "" ;
        var key3 = "" ;
        var key4 = "" ;
        var key5 = "" ;

        var mousepaste = false ;

        var doOnce = 0 ;

        function cancelPage()
        {
           parent.document.location='lm_validateLicenseTW.jsp';
           return ;
        }

        function processKeyPage()
        {
           var key =                 document.frmlmAdd.key1.value.toUpperCase();
                key = key + "-" + document.frmlmAdd.key2.value.toUpperCase();
                key = key + "-" + document.frmlmAdd.key3.value.toUpperCase();
                key = key + "-" + document.frmlmAdd.key4.value.toUpperCase();
                key = key + "-" + document.frmlmAdd.key5.value.toUpperCase();

           document.frmlmAdd.keyString.value = key;

           if (checkKey(key))
           {
              document.frmlmAdd.action = '<%=lmBean.getResString("URL_UPDATE_CORE_PAGE","lm_mkUpdateCore.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_ADD_SIMPLE%>'+
                                              '&pcode=<%=pNCode%>&vcode=<%=pVCode%>';
              document.frmlmAdd.submit();
              return true;
          }
//          parent.document.location='lm_validateLicenseTW.jsp';

           return ;
        }

        function handleMouseUp( keyx, id )
        {
           if ( event.button == 2 )
           {
              mousepaste = true ;
           }
       okON();
        }

        function handleMouseOut1( keyx, id )
        {
           if (mousepaste == false)
           {
              return;
           }
           mousepaste = false ;
           keyx = document.frmlmAdd.key1.value ;
           splitkey( keyx, id) ;
       okON()
        }

        function handleMouseOut2( keyx, id )
        {
           if (mousepaste == false)
           {
              return;
           }
           mousepaste = false ;
           keyx = document.frmlmAdd.key2.value ;
           splitkey( keyx, id) ;
       okON()
        }

        function handleMouseOut3( keyx, id )
        {
           if (mousepaste == false)
           {
              return;
           }
           mousepaste = false ;
           keyx = document.frmlmAdd.key3.value ;
           splitkey( keyx, id) ;
       okON()
        }

        function handleMouseOut4( keyx, id )
        {
           if (mousepaste == false)
           {
              return;
           }
           mousepaste = false ;
           keyx = document.frmlmAdd.key4.value ;
           splitkey( keyx, id) ;
       okON()
        }

        function handleMouseOut5( keyx, id )
        {
           if (mousepaste == false)
           {
              return;
           }
           mousepaste = false ;
           keyx = document.frmlmAdd.key5.value ;
           splitkey( keyx, id) ;
       okON()
        }

        function okON()
    {
               var key =               document.frmlmAdd.key1.value;
               key = key + "-" + document.frmlmAdd.key2.value;
               key = key + "-" + document.frmlmAdd.key3.value;
               key = key + "-" + document.frmlmAdd.key4.value;
               key = key + "-" + document.frmlmAdd.key5.value;
           var len = key.length;
           if ( 29 == len )
           {
               ourButtonManager.enableButtonById('btnAdd');
              if ( 0 == doOnce)
              {
                 document.getElementById("btnAdd").focus();
                 doOnce = 1 ;
              }
           }
           else
           {
                  ourButtonManager.disableButtonById('btnAdd');
                  doOnce = 0 ;
           }
    }

        function splitkey( keyx , id )
        {
           keyx = replace(keyx, ' ','');
           if ( keyx.length > 29 )
           {
               var loc = keyx.indexOf("-");
               keyx = keyx.substring(loc-5,loc-5+29);
           }

           keyx = replace(keyx, '-','');
           len  = keyx.length;

           if ( len == 25 )
           {
              keyx = keyx.toUpperCase();
              document.frmlmAdd.key1.value = keyx.substring(  0,  5 );
              document.frmlmAdd.key2.value = keyx.substring(  5, 10 );
              document.frmlmAdd.key3.value = keyx.substring( 10, 15 );
              document.frmlmAdd.key4.value = keyx.substring( 15, 20 );
              document.frmlmAdd.key5.value = keyx.substring( 20, 25 );
              key1 = document.frmlmAdd.key1.value ;
              key2 = document.frmlmAdd.key2.value ;
              key3 = document.frmlmAdd.key3.value ;
              key4 = document.frmlmAdd.key4.value ;
              key5 = document.frmlmAdd.key5.value ;
              okON();
              document.getElementById("btnAdd").focus();
              return ;
           }

           if ( 'key1' == id )
           {
             if ( key1 == keyx )
             {
                return ;
             }
             if ( len ==5 )
             {
                document.frmlmAdd.key2.focus();
             }
             if ( len > 5 )
             {
               document.frmlmAdd.key1.value = keyx.substring( 0, 5 );
             }
           }
           if ( 'key2' == id )
           {
             if ( key2 == keyx )
             {
                return ;
             }
             if ( len ==5 )
             {
                document.frmlmAdd.key3.focus();
             }
             if ( len > 5 )
             {
               document.frmlmAdd.key2.value = keyx.substring( 0, 5 );
             }
          }
           if ( 'key3' == id )
           {
             if ( key3 == keyx )
             {
                return ;
             }
             if ( len ==5 )
             {
                document.frmlmAdd.key4.focus();
             }
             if ( len > 5 )
             {
               document.frmlmAdd.key3.value = keyx.substring( 0, 5 );
             }
          }
           if ( 'key4' == id )
           {
             if ( key4 == keyx )
             {
                return ;
             }
             if ( len ==5 )
             {
                document.frmlmAdd.key5.focus();
             }
             if ( len > 5 )
             {
               document.frmlmAdd.key4.value = keyx.substring( 0, 5 );
             }
          }
          if ( 'key5' == id )
          {
             if ( key5 == keyx )
             {
                return ;
             }
             if ( len > 5 )
             {
               document.frmlmAdd.key5.value = keyx.substring( 0, 5 );
             }
          }
          key1 = document.frmlmAdd.key1.value ;
          key2 = document.frmlmAdd.key2.value ;
          key3 = document.frmlmAdd.key3.value ;
          key4 = document.frmlmAdd.key4.value ;
          key5 = document.frmlmAdd.key5.value ;
      okON();
        }


       function replace(string,text,by)
       {
          // Replaces 'text' with 'by' in 'string'
          var strLength = string.length, txtLength = text.length;
          if ((strLength == 0) || (txtLength == 0)) return string;

          var i = string.indexOf(text);
          if ((!i) && (text != string.substring(0,txtLength))) return string;
          if (i == -1) return string;

          var newstr = string.substring(0,i) + by;

          if (i+txtLength < strLength)
             newstr += replace(string.substring(i+txtLength,strLength),text,by);

          return newstr;
       }

       function loadPage()
       {
          document.frmlmAdd.key1.focus();
       }

       function myResize()
       {
       }

     </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

   </head>

   <body onLoad='loadPage()' onResize='myResize()'>
    <HR class='mx-hr'>
    <span class='mx-subheader-nosep'>
       <b><%=lmBean.getResString("TXT_ADD_NEW_KEY","Add Key...")%></b>
    </span>
     <form id='frmlmAdd' name='frmlmAdd' method='POST'>
       <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
        <tr>
           <td style='width:33%; height: 10px' nowrap>
               <label for='radByList'>
                  <b><%=lmBean.getResString("TXT_ADD_NEW_KEY_USING","Specify a key string:")%></b>
               </label>
               <input id='key1' name='key1' type='TEXT'
                        size='5' maxlength='64' tabindex='1'
                        value='<%=lmBean.getKeySubString(0,5)%>'
                        onMouseUp='javascript:handleMouseUp(this.value,this.id)'
                        onMouseOut='javascript:handleMouseOut1(this.value,this.id)'
                        onChange='javascript:splitkey(this.value,this.id)'
                        onKeyUp='javascript:splitkey(this.value,this.id)'/>
               -
               <input id='key2' name='key2' type='TEXT'
                        size='5' maxlength='64' tabindex='2'
                        value='<%=lmBean.getKeySubString(6,11)%>'
                        onMouseUp='javascript:handleMouseUp(this.value,this.id)'
                        onMouseOut='javascript:handleMouseOut2(this.value,this.id)'
                        onChange='javascript:splitkey(this.value,this.id)'
                        onKeyUp='javascript:splitkey(this.value,this.id)'/>
               -
               <input id='key3' name='key3' type='text'
                        size='5' maxlength='64' tabindex='3'
                        value='<%=lmBean.getKeySubString(12,17)%>'
                        onMouseUp='javascript:handleMouseUp(this.value,this.id)'
                        onMouseOut='javascript:handleMouseOut3(this.value,this.id)'
                        onChange='javascript:splitkey(this.value,this.id)'
                        onKeyUp='javascript:splitkey(this.value,this.id)'/>
               -
               <input id='key4' name='key4' type='text'
                        size='5' maxlength='64' tabindex='4'
                        value='<%=lmBean.getKeySubString(18,23)%>'
                        onMouseUp='javascript:handleMouseUp(this.value,this.id)'
                        onMouseOut='javascript:handleMouseOut4(this.value,this.id)'
                        onChange='javascript:splitkey(this.value,this.id)'
                        onKeyUp='javascript:splitkey(this.value,this.id)'/>
               -
               <input id='key5' name='key5' type='text'
                        size='5' maxlength='64' tabindex='5'
                        value='<%=lmBean.getKeySubString(24,29)%>'
                        onMouseUp='javascript:handleMouseUp(this.value,this.id)'
                        onMouseOut='javascript:handleMouseOut5(this.value,this.id)'
                        onChange='javascript:splitkey(this.value,this.id)'
                        onKeyUp='javascript:splitkey(this.value,this.id)'/>

              <input TEXT name='keyString' id='keyString' size=1 style='visibility:hidden'
                 title='<%=lmBean.getKeyString()%>' value='<%=lmBean.getKeyString()%>'/>
           </td></tr>
          <tr>&nbsp;</tr>
           <tr><td nowrap align='right'>
                <% buttons.dumpButtons(out); %>
          </td></tr>
     </table>
    </form>

<% MxHtmlUtil.dumpBodyEnd(out); %>

  </body>
</html>
