<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.portal.lm.*"%>
<%@ page import="java.util.*"%>

<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session" />
<jsp:useBean id="loginBean"  class="com.hp.mx.portal.ui.MxLoginBean"    scope="session" />

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/lm/css/lm_Styles.css'>
<%
    lmBean.getResBundles(loginBean);

    String reqType = "";
    if (null == request.getParameter("reqType"))
    {
//        if ( lmBean.lm_Debug1 ) System.out.println(lmBean.getResString("INVALID_REQUEST"));
    }
    else
    {
        reqType = request.getParameter("reqType");
    }

//    if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, UpdateCore, request type " + reqType );


    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_ADD))
    {
        try
        {
           int retCode = lmBean.createKey();
           if ( 0 == retCode )
           {
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, New key added!");
           }
           else
           {
              if ( lmBean.STATUS_DUPLICATE_KEY == retCode  )
              {
//                      if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key failed, duplicate key.");
                      %>
                        <SCRIPT>
                            alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_DUP","License key not added, duplicate key.")%>');
                        </SCRIPT>
                      <%
              }
              else
              {
                    if ( lmBean.STATUS_INVALID_KEY  == retCode )
                    {
//                      if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key not added, invalid key.");
                        %>
                           <SCRIPT>
                              alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_INVALID","Error. License key not added, invalid key.")%>');
                           </SCRIPT>
                        <%
                     }
                     else
                     {
//                        if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key failed.");
                          %>
                          <SCRIPT>
                             alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED","Error. License key not added, invalid key.")%>');
                          </SCRIPT>
                          <%
                     }
              }
              %>
                 <SCRIPT>
                     document.location='<%=lmBean.getResString("URL_ADD_KEY_PAGE","lm_mkAddKey.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
                 </SCRIPT>
              <%
           }
        }
        catch (Throwable t)
        {
           t.printStackTrace();
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key exception.");
           %>
           <SCRIPT>
               document.location='<%=lmBean.getResString("URL_ADD_KEY_PAGE","lm_mkAddKey.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
           </SCRIPT>
           <%
        }
    }


    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_ADD_SIMPLE))
    {
        try
        {
           String sPcode = request.getParameter("pcode");
           String sVcode = request.getParameter("vcode");

           int retCode = lmBean.createKeySimple(sPcode, sVcode);
           if ( 0 == retCode )
           {
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, New key added!");
           }
           else
           {
              if ( lmBean.STATUS_DUPLICATE_KEY == retCode  )
              {
//                      if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key failed, duplicate key.");
                      %>
                        <SCRIPT>
                            alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_DUP","License key not added, duplicate key.")%>');
                        </SCRIPT>
                      <%
              }
              else
              {
                    if ( lmBean.STATUS_INVALID_KEY  == retCode )
                    {
//                      if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key not added, invalid key.");
                        %>
                           <SCRIPT>
                              alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_INVALID","Error. License key not added, invalid key.")%>');
                           </SCRIPT>
                        <%
                     }
                     else
                     {
                         if ( lmBean.STATUS_INVALID_KEY_SIMPLE  == retCode )
                        {
//                          if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key not added, invalid key.");
                            %>
                               <SCRIPT>
                                 alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_MISMATCH","Key provided is not for this product.")%>');
                               </SCRIPT>
                            <%
                        }
                        else
                        {
//                           if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key failed.");
                             %>
                             <SCRIPT>
                                alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED","Error. License key not added, invalid key.")%>');
                             </SCRIPT>
                             <%
                        }
                     }
              }
              %>
                 <SCRIPT>
                     parent.document.location='lm_validateLicenseTW.jsp?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
                 </SCRIPT>
              <%
           }
           lmBean.myDebug( 0, "lm_mkUpdateCore, add key simple done", "" );
%>
           <SCRIPT>
              parent.document.location='lm_validateLicenseTW.jsp';
           </SCRIPT>
<%
        }
        catch (Throwable t)
        {
           t.printStackTrace();
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key exception.");
           %>
           <SCRIPT>
               document.location='lm_validateLicenseTW.jsp?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
           </SCRIPT>
           <%
        }
    }


    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_ADD_TWO))
    {
        try
        {
           String sPcode  = lmBean.getPNameCode() ;
           String sVcode  = lmBean.getPVerCode()  ;

           String sPcode2 = lmBean.getPNameCode2() ;
           String sVcode2 = lmBean.getPVerCode2()  ;

           int retCode = lmBean.createKeyTwo(sPcode, sVcode, sPcode2, sVcode2);
           if ( 0 == retCode )
           {
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, New key added!");
           }
           else
           {
              if ( lmBean.STATUS_DUPLICATE_KEY == retCode  )
              {
//                      if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key failed, duplicate key.");
                      %>
                        <SCRIPT>
                            alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_DUP","License key not added, duplicate key.")%>');
                        </SCRIPT>
                      <%
              }
              else
              {
                    if ( lmBean.STATUS_INVALID_KEY  == retCode )
                    {
//                      if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key not added, invalid key.");
                        %>
                           <SCRIPT>
                              alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_INVALID","Error. License key not added, invalid key.")%>');
                           </SCRIPT>
                        <%
                     }
                     else
                     {
                         if ( lmBean.STATUS_INVALID_KEY_SIMPLE  == retCode )
                        {
//                          if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key not added, invalid key.");
                            %>
                               <SCRIPT>
                                 alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED_MISMATCH","Key provided is not for this product.")%>');
                               </SCRIPT>
                            <%
                        }
                        else
                        {
//                           if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key failed.");
                             %>
                             <SCRIPT>
                                alert('<%=lmBean.getResString("MSG_ADD_KEY_FAILED","Error. License key not added, invalid key.")%>');
                             </SCRIPT>
                             <%
                        }
                     }
              }
              %>
                 <SCRIPT>
                     parent.document.location='lm_validateLicenseTW2.jsp?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
                 </SCRIPT>
              <%
           }
           lmBean.myDebug( 0, "lm_mkUpdateCore, add key two done", "" );
%>
           <SCRIPT>
              parent.document.location='lm_validateLicenseTW2.jsp';
           </SCRIPT>
<%
        }
        catch (Throwable t)
        {
           t.printStackTrace();
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key exception.");
           %>
           <SCRIPT>
               document.location='lm_validateLicenseTW2.jsp?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
           </SCRIPT>
           <%
        }
    }



    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_SHOW))
    {
        int retcode = 0 ;
        try
        {
           retcode = lmBean.decodeShowKey();
           if ( 0 == retcode )
           {
              %>
                 <SCRIPT>
                     document.location='<%=lmBean.getResString("URL_SHOW_KEY_PAGE","lm_mkShowKey.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
                 </SCRIPT>
              <%
           }
           else
           {
              if ( retcode == lmBean.STATUS_FFQL_KEY )
              {
              %>
                 <SCRIPT>
                    alert('<%=lmBean.getResString("MSG_SHOW_KEY_FAILED_FFQL","Error. License key not added, invalid key.")%>');
                    document.location='<%=lmBean.getResString("URL_ADD_KEY_PAGE","lm_mkAddKey.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
                 </SCRIPT>
              <%
              }
              else
              {
              %>
                 <SCRIPT>
                    alert('<%=lmBean.getResString("MSG_SHOW_KEY_FAILED_INVALID","lm_mkAddKey.jsp")%>');
                    document.location='<%=lmBean.getResString("URL_ADD_KEY_PAGE","lm_mkAddKey.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
                 </SCRIPT>
              <%
              }
           }
        }
        catch (Throwable t)
        {
           t.printStackTrace();
           System.out.println("****** lm *** Manage Keys, Show keys from file exception.");
           %>
           <SCRIPT>
               document.location='<%=lmBean.getResString("URL_ADD_KEY_PAGE","lm_mkAddKey.jsp")%>?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
           </SCRIPT>
           <%
        }
    }

    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_ADDFILE))
    {
        int errors = 0 ;
        try
        {
           ListIterator li = lmBean.keyList.listIterator();
           for (int i=0; li.hasNext(); i++)
           {
              Vector rowData1   = new Vector();
              lmBean.fullKey keydetail = (lmBean.fullKey) li.next();

              int retCode = lmBean.addNewKey( keydetail, lmBean.SOURCE_KEYMANAGER, lmBean.FFQLno );

               %>
                 <SCRIPT>
                   var errorline = '<%=keydetail.licenseKey%> :: ';
                 </SCRIPT>
               <%

              if ( 0 == retCode )
              {
//                 if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, New key from file added!");

               %>
                 <SCRIPT>
                    errorline += 'added';
                 </SCRIPT>
               <%
              }
              else
              {
                 errors = 1 ;

                 if ( lmBean.STATUS_DUPLICATE_KEY == retCode  )
                 {
//                     if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key from file failed, duplicate key.");
                     %>
                       <SCRIPT>
                         errorline += '<%=lmBean.getResString("MSG_ADD_KEY_FAILED_DUP","Error. License key not added, invalid key.")%>';
                       </SCRIPT>
                     <%
                 }
                 else
                 {
                     if ( 1 == retCode )
                     {
//                         if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key from file not added, invalid key.");
                         %>
                          <SCRIPT>
                            errorline += '<%=lmBean.getResString("MSG_ADD_KEY_FAILED_INVALID","Error. License key not added, invalid key.")%>';
                          </SCRIPT>
                         <%
                     }
                     else
                     {
//                        if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key from file failed.");
                        %>
                          <SCRIPT>
                           errorline += '<%=lmBean.getResString("MSG_ADD_KEY_FAILED","Error. License key not added, invalid key.")%>';
                          </SCRIPT>
                        <%
                     }
                 }
                 %>
                   <SCRIPT>
                      alert( errorline );
                   </SCRIPT>
                 <%
              }
           }
        }
        catch (Throwable t)
        {
           t.printStackTrace();
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key exception.");
           %>
           <SCRIPT>
               alert('<%=lmBean.getResString("MSG_EXCEPTION_ERROR","Add new key error.")%>');
               document.location='lm_validateLicenseTW.jsp?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
           </SCRIPT>
           <%
        }
    }


    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_ADDFILE_SIMPLE))
    {
        int errors   = 0 ;
        int keyadded = 0 ;

        try
        {
           ListIterator li = lmBean.keyList.listIterator();
           for (int i=0; li.hasNext(); i++)
           {
              int retCode              = 0 ;
              Vector rowData1          = new Vector();
              lmBean.fullKey keydetail = (lmBean.fullKey) li.next();

              if ( ( keydetail.productCode1.equalsIgnoreCase(lmBean.pNameCode)) ||
                   ( keydetail.productCode2.equalsIgnoreCase(lmBean.pNameCode)) ||
                   ( keydetail.productCode3.equalsIgnoreCase(lmBean.pNameCode)) )
              {
                  retCode = lmBean.addNewKey( keydetail, lmBean.SOURCE_KEYMANAGER, lmBean.FFQLno );
                  if ( 0 == retCode )
                  {
                     keyadded = keyadded + 1 ;
                  }
              }
               %>
                 <SCRIPT>
                   var errorline = '<%=keydetail.licenseKey%> :: ';
                 </SCRIPT>
               <%

              if ( 0 == retCode )
              {
               %>
                 <SCRIPT>
                    errorline += 'added';
                 </SCRIPT>
               <%
              }
              else
              {
                 errors = 1 ;

                 if ( lmBean.STATUS_DUPLICATE_KEY == retCode  )
                 {
//                     if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key from file failed, duplicate key.");
                     %>
                       <SCRIPT>
                         errorline += '<%=lmBean.getResString("MSG_ADD_KEY_FAILED_DUP","License key not added, duplicate key.")%>';
                       </SCRIPT>
                     <%
                 }
                 else
                 {
                     if ( 1 == retCode )
                     {
//                         if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Key from file not added, invalid key.");
                         %>
                          <SCRIPT>
                            errorline += '<%=lmBean.getResString("MSG_ADD_KEY_FAILED_INVALID","Error. License key not added, invalid key.")%>';
                          </SCRIPT>
                         <%
                     }
                     else
                     {
//                        if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key from file failed.");
                        %>
                          <SCRIPT>
                           errorline += '<%=lmBean.getResString("MSG_ADD_KEY_FAILED","Error. License key not added, invalid key.")%>';
                          </SCRIPT>
                        <%
                     }
                 }
                 %>
                   <SCRIPT>
                      alert( errorline );
                   </SCRIPT>
                 <%
              }
           }
        }
        catch (Throwable t)
        {
           t.printStackTrace();
//               if ( lmBean.lm_Debug1 ) System.out.println("LM, Manage Keys, Add new key exception.");
           %>
           <SCRIPT>
               alert('<%=lmBean.getResString("MSG_EXCEPTION_ERROR","Add new key error.")%>');
               document.location='lm_validateLicenseTW.jsp?reqType=<%=lmBean.REQUEST_TYPE_LEAVE%>';
           </SCRIPT>
           <%
        }
      lmBean.myDebug( 0, "lm_mkUpdateCore, add key file simple done", "" );
      if ( 0 == keyadded )
      {
      %>
       <SCRIPT>
               alert('<%=lmBean.getResString("MSG_UPLOAD_NOKEYSADDED","There are no suitable keys in this file.")%>');
       </SCRIPT>
      <%
      }

      %>
       <SCRIPT>
         parent.document.location='lm_validateLicenseTW.jsp';
       </SCRIPT>
      <%
    }

    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_APPLYLICENSE))
    {
       //apply licenses as defined and have another go
       String nodeName = "" ;
       String sI = "" ;

       int i = 0 ;
       int j = 0 ;
       try
       {
          nodeName = request.getParameter( "n1") ;
       }
       catch (Exception e)
       {
          lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSE, exception", "" );
       }
       while (( null != nodeName )  && ( 0 != nodeName.length() ))
       {
          // attempt to license nodes received
          int state = lmBean.sLicenseNode( nodeName,
                                           lmBean.getSGUID(),
                                           lmBean.getPNameCode(),
                                           lmBean.getPVerCode(),
                                           lmBean.getPName(),
                                           lmBean.getPVersion(),
                                           lmBean.getRSeats(),
                                           lmBean.getPDisp(),
                                           lmBean.getPLock(),
                                           lmBean.getPKeyType()
                                         );
          // possibly relicensed from demo to paid so already present
          if ( lmBean.STATUS_NO_LICENSE != state )
          {
             // newly licensed
             if ( -1 == lmBean.licenseList.indexOf( nodeName ) )
             {
                lmBean.licenseList.addElement( nodeName );
                lmBean.setLicensedCount( lmBean.getLicensedCount() + 1 ) ;

                lmBean.justLicensedList.addElement( nodeName );
                lmBean.setJustLicensedCount( lmBean.getJustLicensedCount() + 1 ) ;

                lmBean.buildTitle( nodeName );
             }
             j = j + 1;
             lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSE, licensed node " + nodeName, "" ) ;
          }
          i = i + 1 ;
          sI = "n" + Integer.toString( i + 1 ) ;// 1 based index
          try
          {
             nodeName = "" ;
             nodeName = request.getParameter( sI ) ;
          }
          catch (Exception e)
          {
             lmBean.myDebug( 0, "lm_mkUpdateCore, exception", "" );
          }
       }
       lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSE, license node done", "" );
%>
       <SCRIPT>
           var i = '<%=i%>' ;
           var j = '<%=j%>' ;
           var sI = 'lm_validateLicenseTW.jsp?reqType=<%=lmBean.REQUEST_TYPE_APPLYLICENSE%>&iExp='+i+'&iRet='+j ;
            document.location=sI;
       </SCRIPT>
<%
    }

    if (reqType.equalsIgnoreCase(lmBean.REQUEST_TYPE_APPLYLICENSETWO))
    {
       //apply licenses as defined and have another go
       String nodeName = "" ;
       String sI = "" ;

       int i = 0 ;
       int j = 0 ;
       try
       {
          nodeName = request.getParameter( "n1") ;
       }
       catch (Exception e)
       {
          lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSETWO, exception", "" );
       }
       while (( null != nodeName )  && ( 0 != nodeName.length() ))
       {
          // attempt to license nodes received
          int state = lmBean.sLicenseNodeTwo( nodeName ) ;
          // possibly relicensed from demo to paid so already present
          if ( lmBean.STATUS_NO_LICENSE != state )
          {
             // newly licensed
             if ( -1 == lmBean.licenseList.indexOf( nodeName ) )
             {
                lmBean.licenseList.addElement( nodeName );
                lmBean.setLicensedCount( lmBean.getLicensedCount() + 1 ) ;

                lmBean.justLicensedList.addElement( nodeName );
                lmBean.setJustLicensedCount( lmBean.getJustLicensedCount() + 1 ) ;

                lmBean.buildTitle( nodeName );
             }
             j = j + 1;
             lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSETWO, licensed node " + nodeName, "" ) ;
          }
          i = i + 1 ;
          sI = "n" + Integer.toString( i + 1 ) ;// 1 based index
          try
          {
             nodeName = "" ;
             nodeName = request.getParameter( sI ) ;
          }
          catch (Exception e)
          {
             lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSETWO, exception", "" );
          }
       }
       lmBean.myDebug( 0, "lm_mkUpdateCore APPLYLICENSETWO, license node done", "" );
%>
       <SCRIPT>
           var i = '<%=i%>' ;
           var j = '<%=j%>' ;
           var sI = 'lm_validateLicenseTW2.jsp?reqType=<%=lmBean.REQUEST_TYPE_APPLYLICENSETWO%>&iExp='+i+'&iRet='+j ;
            document.location=sI;
       </SCRIPT>
<%
    }
%>
<SCRIPT>
    parent.document.location='<%=lmBean.getResString("URL_MANAGE_PAGE","lm_mkManageKeys.jsp")%>';
</SCRIPT>
