<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.core.subjects.*"%>
<%@ page import="java.util.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="lmBean" class="com.hp.mx.portal.lm.lmBean" scope="session"/>

<% MxBean.jspInit(request, response); %>
<jsp:setProperty name="lmBean" property="*" />

<%
    if (loginBean.checkLogoutConditionForWebPage(pageContext)) return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }
    lmBean.myDebug( 0, "=======================lm_Setup", "" );

//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//
// user defined
//
    lmBean.setPNameCode( "10" )     ;         // assigned and contained in key
    lmBean.setPVerCode(  "1" )      ;         // assigned and contained in key
    lmBean.setPName(     "lmDemo" ) ;         // as you wish for this release
    lmBean.setPVersion(  "1" )      ;         // as you wish for this release
    lmBean.setRSeats(    "1" )      ;         // nmumber of seats to reserve with each node license
//    lmBean.setPKeyType( lmBean.LICTYPE_PAID ); //only paid keys accepted
    lmBean.setPKeyType( lmBean.LICTYPE_ALL ); //accept all keys, paid and demo
//    lmBean.setPLock(    lmBean.LIC_NOLOCK ) ; // check license status only
    lmBean.setPLock(    lmBean.LIC_LOCK ) ; // license check will license if not already licensed
//    lmBean.setPDisp(    lmBean.MANAGE_LOCKBOX ) ; // RLM
    lmBean.setPDisp(    lmBean.SMANAGE_VIRTUAL ) ; // CLM

    lmBean.setPrevPage(   1 ) ;
    lmBean.setNextPage(   0 ) ;
    lmBean.setRetPage(    0 )  ;

    lmBean.setStepNum( 2 )     ; // step number of the licensing page
    lmBean.setPrevStepNum( 1 ) ; // step number of previous page
    lmBean.setNextStepNum( 0 ) ; // step number of next page

    //lmBean.setHelpURL("/mxportal/lm/lmdemo/validatelicense.htm");

    lmBean.setPrivRqd( MxSubjectPrivilege.FULL_RIGHTS );

//<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<


    lmBean.myDebug( 0, "=======================lm_Setup"+
                       " PNC="+lmBean.getPNameCode()+
                       ", PVC="+lmBean.getPVerCode()+
                       ", PN="+lmBean.getPName()+
                       ", pv="+lmBean.getPVersion(), "" );

    lmBean.indexNum = 0 ; //always set to 0  DON'T MESS WITH IT
%>
    <html>
      <head>
        <title>
           License Manager Single Product - setup page
        </title>

        <link href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css' rel='stylesheet' type='text/css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>

        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language="javascript" type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js' ></script>

        <script language='javascript' type='text/javascript'>

            function prevButtonFunction()
            {
               loadWizardPrevStep(<%=lmBean.getPrevStepNum()%>);
               return false; // just move back
            }

            function nextFunction()
            {
               loadWizardNextStep( <%=lmBean.getStepNum()%> ) ;
               return false ;  // just move on
            }

            loadWizardNextStep( <%=lmBean.getStepNum()%> ) ;
        </script>

        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% MxButtons.dumpHeadContent(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
      </head>

      <body>
         <span class='mx-subheader-nosep'><b>Licensing Setup Page</b></span>
         <br>
         <script language='javascript' type='text/javascript'>
             setWizardStepText("Now you are in trouble");
         </script>

         <% MxHtmlUtil.dumpBodyEnd(out); %>
      </body>
    </html>
