<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="customizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session"/>
<jsp:useBean id="postCustomizeBean" class="com.hp.mx.portal.monitor.MxCustomizePostUI" scope="session"/>
<jsp:useBean id="rbMonitor" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="customizeTreeTableView" class="com.hp.mx.html.treetable.MxTreeTableView" scope="session"/>
<jsp:useBean id="customizeTreeTableController" class="com.hp.mx.html.treetable.MxTreeTableController" scope="session"/>
<jsp:useBean id="customizeSelectionListener" class="com.hp.mx.portal.monitor.MxCustomizeCollectionSelectionListener" scope="session"/>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="javax.swing.tree.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.html.tree.*" %>

<%


    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    // check for controller messages as soon as possible
    if (customizeTreeTableController.checkUrlForControllerMessages(request, out) == true)
    {
        return;
    }

    boolean isFirstTime         = customizeBean.isFirstTime();
    String  loadErrorMsg        = "";
    String  selectedTreeTableId = "";
    String  refreshStateStr     = request.getParameter("refreshstate");
    String  refreshaction       = request.getParameter("refreshaction");
    String savedBranchType      = "";
      String savedSelectionId      = "";
       String selectedTreeNodeId    = "";

    // ensure these lines are in a known, desired stated
    if ((refreshStateStr == null) || (refreshStateStr.equalsIgnoreCase("null") == true))
    {
        refreshStateStr = "";
    }

    if ((refreshaction == null) || (refreshaction.equalsIgnoreCase("null") == true))
    {
        refreshaction = "";
    }
    try {
        if (isFirstTime == true)
        {
            rbMonitor.init(loginBean, "MxMonitor");

            customizeBean.initBean(loginBean);
            postCustomizeBean.initBean(loginBean);

            List columns = new Vector();

            columns.add(rbMonitor.getString("customize.ttname"));
            columns.add(rbMonitor.getString("customize.ttvisible"));
            columns.add(rbMonitor.getString("customize.ttstatusdisplay"));

            customizeTreeTableView.setColumnModel(columns);
            customizeTreeTableView.setId("ID_CUSTOMIZE_TREE_TABLE");
            customizeTreeTableView.setUrlHandler(request.getRequestURI());
            customizeTreeTableView.setOnSelectionChange("mySelectionChanged");

            customizeTreeTableController.setTreeModel(customizeBean.getCollectionTreeModel());
            customizeBean.getExpansionModel().setAllExpanded(customizeBean.getCollectionTreeModel(), true);
            customizeTreeTableController.setSelectionModel(customizeBean.getSelectionModel());
            customizeTreeTableController.setExpansionModel(customizeBean.getExpansionModel());
            customizeTreeTableController.setTreeTableView(customizeTreeTableView);

            EventListener[] currentListeners = customizeBean.getSelectionModel().getTreeSelectionListeners();

            if (currentListeners.length == 0)
            {
                customizeBean.getSelectionModel().addTreeSelectionListener(customizeSelectionListener);
                customizeSelectionListener.setLoginBean(loginBean);
            }
        }
        else
        {
            if (refreshStateStr.equals("refreshselectioninUI") == true)
            {
                customizeBean.setSelectedId("");
                customizeBean.getSelectionModel().clearSelection();
            }
            else if (refreshStateStr.equals("refreshall"))
            {
                customizeBean.refreshAll();
            }
            else if (refreshStateStr.equals("refreshselection"))
            {
                customizeBean.refreshSelection();
            }
            else if (refreshStateStr.equals("refreshsave"))
            {
                customizeBean.refreshSave();
            }
            else
            {
                // default to refresh all - when editing a list, we
                // don't get a message to refresh since editing a list
                // is not one of our pages
                customizeBean.refreshAll();
            }

            customizeTreeTableController.setTreeModel(customizeBean.getCollectionTreeModel());
            customizeTreeTableController.setSelectionModel(customizeBean.getSelectionModel());
        }

        savedBranchType    = customizeBean.getBranchType();
        savedSelectionId   = customizeBean.getSelectedId();
        selectedTreeNodeId = customizeBean.getSelectedTreeNodeId();

    } catch (Exception e) {
         loadErrorMsg        = rbMonitor.getString("customize.internalerror");
    }

%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/monitor/css/MxMonitorMenu.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/monitor/css/MxMonitorCustomize.css'>
        <script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js" language="JavaScript" type="text/javascript"></script>
        <script src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js' language='javascript' type='text/javascript'></script>
        <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/monitor/js/MxMonitorCommon.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/monitor/js/MxMonitorUtils.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/monitor/js/CustomizeCollectionUtils.jsp" language="JavaScript" type="text/javascript"></script>
        <script language="JavaScript" type="text/javascript">
            //======================================================================
            // javascript page variables
            //======================================================================
            var branchtype = "<%=savedBranchType%>";
            var statusWindow;

            if (branchtype == "null")
            {
                branchtype = "sysbranch";
            }

            var savedSelectionId   = "<%=savedSelectionId%>";
            var selectedTreeNodeId = "<%=selectedTreeNodeId%>";
            var oBlankHtml         = "<%=MxOptions.URL_BASE%>/home/MxBlank.html";
            var refreshaction      = "<%=refreshaction%>";
            var errormsg           = "<%=loadErrorMsg%>";

            //======================================================================
            // when a selection is made on the visble table
            //======================================================================
            function mySelectionChanged(szIdTree, szId, bSelected)
            {

                if (bSelected == true)
                {
                    nodeSelected(szId);
                }
                else
                {
                    nodeUnSelected(szId);
                }
            }
            //======================================================================
            // Function called by IFRAME child object to avoid double
            // scroll bar.
            //======================================================================
            function hideOperationSpaceIF()
            {
                document.getElementById("operationSpace").style.height = 1;
            }
            // functions added by pana for modification.
            //======================================================================
            // Function called by New button to show the two options [members/
            // attributes [ radio buttons].
            //======================================================================
            function createSelectionSpace()
            {
                var oRow;
                var oCritCell;
                var oCompCell;
                var oValCell;
                var oDelCell;
                var oSeldivBody    = document.getElementById("selectionHeadingDiv");
                var headingHTML    = "<font class='mx-subheader-nosep'><%=rbMonitor.getString("collection.new")%></font><br/>";
                var SelectMemHTML  = "&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='selectionchoice' id='selectionchoice' value='members' onClick='showSelectCollectionPage()'/>&nbsp;<%=rbMonitor.getString("customize.individualradiobtn")%>";
                var SelectAttrHTML = "&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='selectionchoice' id='selectionchoice' value='attributes' onClick='showSystemListPage()'/>&nbsp;<%=rbMonitor.getString("customize.attributesradiobtn")%>";

                oSeldivBody.innerHTML = headingHTML;

                document.getElementById('id').style.display = 'block';

                var oTableBody = document.getElementById("tabSelectionBody");
                var oAddRow    = null;

                oNewRow                = document.createElement("TR");
                oRow                   = oTableBody.appendChild(oNewRow);
                oNewCell               = document.createElement("TD");
                oNewCell.noWrap        = "true";
                oCell                  = oRow.appendChild(oNewCell);
                oCell.style.paddingTop = "4px";
                oCell.align            = "left";
                oCell.innerHTML        = SelectMemHTML;

                oNewRow2            = document.createElement("TR");
                oRow                = oTableBody.appendChild(oNewRow2);
                oNewCell2           = document.createElement("TD");
                oNewCell2.noWrap    = "true";
                oCritCell           = oRow.appendChild(oNewCell2);
                oCritCell.align     = "left";
                oCritCell.innerHTML = SelectAttrHTML;
            }
            //======================================================================
            // showSelectCollectionPage()
            //======================================================================
            function showSelectCollectionPage()
            {
                var queryPage;
                resetHelpPage("createFolder");

                if (branchtype == "sysbranch")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/monitor/SelectCollectionMembers.jsp?inframe=customize";
                }
                else if (branchtype == "evbranch")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/monitor/SelectCollectionMembers.jsp?inframe=customize&branch=events";
                }

                document.getElementById("operationSpace").contentWindow.document.location.replace(queryPage);
            }
            //======================================================================
            // showSystemListPage()
            //======================================================================
            function showSystemListPage()
            {
                var queryPage;

                if (branchtype == "sysbranch")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/search/AdvancedSystemsSearch.jsp?inframe=customize";
                }
                else if (branchtype == "evbranch")
                {
                    queryPage = "<%=MxOptions.URL_BASE%>/search/AdvancedEventsSearch.jsp?inframe=customize";
                }

                document.getElementById("operationSpace").contentWindow.document.location.replace(queryPage);
            }
            //======================================================================
            // Check for selection changes in the option drop down list box to display
            // the context-sensitive text correctly.
            //======================================================================
            function branchChecked()
            {
                if (branchtype == "sysbranch")
                {
                    document.getElementById('selectbranch').options[0].selected = true;

                }
                else if (branchtype == "evbranch")
                {
                    document.getElementById('selectbranch').options[1].selected = true;

                }
                else
                {
                    alert('<%=rbMonitor.getString("customize.invalidBranch")%>');
                }
            }

            //======================================================================
            // onChange handler for the resetting the help page with operations.
            // Valid values for operation is setProperties, createFolder, editFolder
            //======================================================================

             function resetHelpPage(operation) {
                var helpPagePointer = "";
               	if (branchtype == "sysbranch")
                {
                   helpPagePointer="monitor_lists_system";
                }
                else if (branchtype == "evbranch")
                {
                   helpPagePointer="monitor_lists_event";
                }
                else {
                    return;
                }
                if(operation != "") {
                    helpPagePointer = helpPagePointer+"_"+operation;
                }
                //MxPortalDebug("Help Page pointer" + helpPagePointer);
                MxPortalWorkspaceSetHelpTopic(helpPagePointer);
            }
            //======================================================================
            // onChange handler for the drop down list box.
            //======================================================================
            function changeOptions()
            {
                var selection    = document.getElementById('selectbranch');
                var selListsIndx = selection.selectedIndex;

                if (document.getElementById('selectbranch').options[0].selected == true)
                {
                    branchtype="sysbranch";
                }
                else if (document.getElementById('selectbranch').options[1].selected == true)
                {
                    branchtype="evbranch";
                }

                var URL = "<%=MxOptions.URL_BASE%>/monitor/DoSwitchBranch.jsp?branchtype=" + branchtype;

                document.getElementById("operationSpace").contentWindow.document.location.replace(URL);
            }
            //======================================================================
            // Function for IFRAME child object to call to refresh itself
            // based on the refreshstate value.
            // "refreshselection" - refresh the selected id according to the
            //                      database operation.
            // "refreshall" - refresh the selected id and branch type saved at the
            //                server side.
            // "refreshsave = refresh the treetable with the database operation.
            //======================================================================
            function refreshMyself(stateStr)
            {
                var url="<%=MxOptions.URL_BASE%>/monitor/CustomizeCollection.jsp?refreshstate=" + stateStr;
                document.location.replace(url);
            }
            //======================================================================
            // onClick handler for the 'New List' button.
            //======================================================================
            function loadNewPage()
            {
                clearSubwindow();
				 resetHelpPage("createFolder") ;
                if (branchtype == "sysbranch" || branchtype == "evbranch")
                {
                   var url="<%=MxOptions.URL_BASE%>/monitor/CustomizeCollection.jsp?refreshstate=refreshselectioninUI&refreshaction=showselectionspace";
                   document.location.replace(url);
                }
            }
            //======================================================================
            // loadQueryPageForSetProperties()
            //======================================================================
            function loadSetPropertiesPage()
            {
                var setPropertiesPage;

                clearSubwindow();

                if (theSelectedMenuItem == null)
                {
                    alert("<%=rbMonitor.getString("customize.mustselectacollection")%>");
                    return;
                }

                var sBranchType     = encodeURIComponent(branchtype);
                var sColId          = encodeURIComponent(theSelectedMenuItemId);
                var sColType        = encodeURIComponent(theSelectedMenuItemType);
                var sColName        = encodeURIComponent(theSelectedMenuItemName);
                var sColDefaultView = null;
                var sColVisibleFlag = null;
                var sColDisplayFlag = null;

                var colDefaultView = theSelectedMenuItem.attributes.getNamedItem("collDefaultView").value;
                sColDefaultView    = encodeURIComponent(colDefaultView);

                var visibleFlag = theSelectedMenuItem.attributes.getNamedItem("collVisibleFlag").value;
                sColVisibleFlag = encodeURIComponent(visibleFlag);

                var displayFlag = theSelectedMenuItem.attributes.getNamedItem("collDisplayFlag").value;
                sColDisplayFlag = encodeURIComponent(displayFlag);

                var sParentId = encodeURIComponent(theParentId);
                //alert("inside load set properties page" + sColType);

                if (null != sColType && (sColType == "syslist"|| sColType == "evlist" || sColType == "clusterlist") )
                {
                    sColType     = "QUERY";
                    var colMemId = theSelectedMenuItem.attributes.getNamedItem("collMemID").value;
                    sColId       = encodeURIComponent(colMemId);
                }

                //alert("inside load set properties page" + sColType + "ID=" + sColId);
                setPropertiesPage = "<%=MxOptions.URL_BASE%>/monitor/SetCollectionProperties.jsp?edColId=" + sColId +
                    "&edColType=" + sColType + "&edColName=" + sColName +
                    "&edColDefaultView=" + sColDefaultView +
                    "&edColDisplayFlag=" + sColDisplayFlag +
                    "&edColVisibleFlag=" + sColVisibleFlag +
                    "&edColParentId=" + sParentId + "&inframe=customize&edBranchType=" + sBranchType;
				 resetHelpPage("setProperties") ;
                document.getElementById("operationSpace").contentWindow.document.location.replace(setPropertiesPage);
            }
            //======================================================================
            // onClick handler for the 'Edit List' button.
            //======================================================================
            function loadEditPage()
            {
                if (theSelectedMenuItem == null)
                {
                    alert("<%=rbMonitor.getString("customize.mustselectacollection")%>");
                    return;
                }

                clearSubwindow();
				resetHelpPage("edit");
                var sQueryId   = encodeURIComponent(theSelectedMenuItemId);
                var sQueryType = encodeURIComponent(theSelectedMenuItemType);
                var sQueryName = encodeURIComponent(theSelectedMenuItemName);
                var sEditFlag  = encodeURIComponent(theSelectedMenuItemEditFlag);

                if (sQueryType != "listfolder" && sQueryType != "COLLECTION" &&
                    sQueryType != "QUERY" && sQueryType != "syslist" &&
                    sQueryType != "evlist" && sQueryType != "clusterlist")
                {
                    return;
                }
                else
                {
                    if (null != sQueryType && (sQueryType == "syslist" || sQueryType == "evlist" || sQueryType == "clusterlist"))
                    {
                        var colMemId = theSelectedMenuItem.attributes.getNamedItem("collMemID").value;
                        sColId       = encodeURIComponent(colMemId);
                        showLoadingMsg();
                    }
                    else
                    {
                        sColId = sQueryId;
                    }

                    var URL = "<%=MxOptions.URL_BASE%>/monitor/DoEditCollection.jsp?edQueryId=" + sQueryId +
                                                   "&edColId=" + sColId +
                                                   "&edQueryType=" + sQueryType +
                                                   "&edQueryName=" + sQueryName +
                                                   "&inframe=customize&editFlag=" + sEditFlag;

                    document.getElementById("operationSpace").contentWindow.document.location.replace(URL);
               }
            }
            //======================================================================
            // onClick handler for the 'Delete' button.
            //======================================================================
            function confirmDeletion()
            {
                if (theSelectedMenuItem == null)
                {
                    alert("<%=rbMonitor.getString("customize.mustselectacollection")%>");
                    return;
                }

                clearSubwindow();

                var sColId    = theSelectedMenuItemId;
                var sColType  = theSelectedMenuItemType;
                var sColName  = theSelectedMenuItemName;
                var sParentId = theParentId;

                var ocommand       = document.getElementById("command");
                var oselColId      = document.getElementById("selColId");
                var oselBranchType = document.getElementById("selBranchType");
                var oselParentId   = document.getElementById("selParentId");
                var oselColName    = document.getElementById("selColName");
                var oselColType    = document.getElementById("selColType");

                var text = "<%=rbMonitor.getString("customize.deleteconfirm")%>";

                if (null != sColType && (sColType == "syslist" || sColType == "evlist" || sColType == "clusterlist") )
                {
                    sColType       = "QUERY";
                    ocommand.value = "dellist";
                    text           = "<%=rbMonitor.getString("customize.delconfirm.list")%>";
                }
                else if (sColType == "COLLECTION")
                {
                    ocommand.value = "delcol";
                }

                oselColId.value      = sColId;
                oselParentId.value   = sParentId;
                oselColName.value    = sColName;
                oselColType.value    = sColType;
                oselBranchType.value = branchtype;

                if (confirm(text))
                {
                  disableAllBtns();
                  statusWindow = window.openCentered("<%=MxOptions.URL_BASE%>/monitor/DeleteStatusBar.jsp","deletestatus",400,70);
                  document.deletionForm.submit();

                }
            }
            //======================================================================
            // removeCollection()
            //======================================================================
            function removeCollection(errorMsg)
            {
                if (errorMsg == "")
                {
                     document.deletionForm.submit();
                }
                else
                {
                    if (errorMsg == "<%=rbMonitor.getString("customize.membercannotberemoved")%>")
                    {
                        if (confirm(errorMsg))
                        {
                            document.deletionForm.submit();
                        }
                    }
                    else
                    {
                        alert(errorMsg);
                    }
                }
            }
            //======================================================================
            // Function to set the context-sensitive help correctly.  It is
            // called from the IFRAME child object.
            //======================================================================
            function setHelpTopics()
            {
               resetHelpPage("");
            }
            //======================================================================
            // getAndSetSelectedElement()
            //======================================================================
            function getAndSetSelectedElement()
            {
                if (savedSelectionId == "" || selectedTreeNodeId == "")
                {
                    theSelectedMenuItem = null;
                    configDefCustomizeBtns();
                }
                else
                {
                    nodeSelected(selectedTreeNodeId);
                }
            }
            //======================================================================
            // Function to set the focus to the selected object.
            //======================================================================
            function setSelectedIdInView()
            {
                var hiddenID = "hidden_" + savedSelectionId;

                hiddenObj = document.getElementById(savedSelectionId);

                if (null != hiddenObj)
                {
                    hiddenObj.focus();
                }
            }
            //======================================================================
            // onLoad handler.
            //======================================================================
            function onLoadCustomizeCollectionPage()
            {

                if (errormsg != "")
                {
                    alert(errormsg);
                    document.location.replace("<%=MxOptions.URL_BASE%>/monitor/CustomizeErrorPage.jsp");
                } else {

                    branchChecked();
                    hideOperationSpaceIF();
                    getAndSetSelectedElement();

                    if (refreshaction == "showselectionspace")
                    {
                        resetHelpPage("createFolder");
                        createSelectionSpace();
                    }
                    else {
                        resetHelpPage("");
                    }

                    setMinWidth(-1);
                }
            }
            var baseWidth = 0;
            //======================================================================
            // myResize()
            //======================================================================
            function myResize()
            {
                setDivHeight();

                var windowWidth = MxPortalGetWorkspaceFrame().offsetWidth - NETSCAPE_SCROLLBAR_WIDTH - 6;
                var newWidth    = (baseWidth >= windowWidth) ? baseWidth : windowWidth;

                if (document.getElementById("baseWidthTable").offsetWidth > newWidth)
                {
                    newWidth = document.getElementById("baseWidthTable").offsetWidth;
                }

                var operationSpace = document.getElementById('operationSpace');

                // resizing the frames on this page
                document.getElementById('id').style.width = newWidth;

                if (operationSpace.contentWindow.myResize != null)
                {
                    operationSpace.contentWindow.myResize();
                }
                else
                {
                    operationSpace.style.width = newWidth;
                }
            }
            ////////////////////////
            // getMinWidth()
            ////////////////////////
            function getMinWidth()
            {
                return baseWidth;
            }
            ////////////////////////
            // setMinWidth()
            ////////////////////////
            function setMinWidth(minWidth)
            {
                // set to our default
                if (minWidth == -1)
                {
                    baseWidth = document.getElementById("baseWidthTable").offsetWidth;
                }
                else
                {
                    baseWidth = minWidth;
                }

                myResize();
            }
            ////////////////////////
            // setDivHeight()
            ////////////////////////
            function setDivHeight()
            {
                var div       = document.getElementById('ID_CUST_TABLE');
                var divHeight = MxPortalGetWorkspaceFrame().offsetHeight - 200; // leave space for option buttons

                if (divHeight < 200)
                {
                    divHeight = 200;
                }

                // we also want to size the DIV based on its content;
                // that is, if the contents of the DIV are smaller than
                // the DIV, then size down
                var contentHeight = document.getElementById("ID_CUSTOMIZE_TREE_TABLE").offsetHeight;

                if (contentHeight < divHeight)
                {
                    divHeight = contentHeight;
                }

                div.style.height = divHeight + 2;

                // if the WINDOW height is smaller than our height, then
                // allow the scrollTo() call
                if ((MxPortalGetWorkspaceFrame().offsetHeight - 200) < divHeight)
                {
                    if (document.getElementById("id").style.display == 'block')
                    {
                        scrollTo(0, divHeight);
                    }
                }
            }
            ////////////////////////
            // showLoadingMsg()
            ////////////////////////
            function showLoadingMsg()
            {
                var div = document.getElementById('loadingMsgDiv');
                div.style.display = "block";
            }
            ////////////////////////
            // hideLoadingMsg()
            ////////////////////////
            function hideLoadingMsg()
            {
                var div = document.getElementById('loadingMsgDiv');
                div.style.display = "none";
            }

        </script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    customizeTreeTableView.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body onLoad='onLoadCustomizeCollectionPage()' onResize='myResize()'>

        <br>

        <table id="topTable" border="0" cellspacing="0" cellpadding="0" style="padding-left:5px">
            <tr>
                <td><%=rbMonitor.getString("customize.show")%>&nbsp;&nbsp;</td>
                <td style="width:50%">
                    <SELECT id='selectbranch' name='selectbranch' onchange='changeOptions()'>
                        <OPTION value='sysbranch' SELECTED><%=rbMonitor.getString("customize.syslists")%></OPTION>
                        <OPTION value='evbranch'><%=rbMonitor.getString("customize.evlists")%></OPTION>
                    </SELECT>
                </td>
                <td style="width:50%" onclick="setTimeout('setDivHeight()', ACTION_TIMEOUT)">
<%
    customizeTreeTableView.dumpExpansionButtons(out);
%>
                </td>
            </tr>
        </table>

        <table id="baseWidthTable" border="0" cellspacing="0" cellpadding="0">
            <tr valign="top">
                <td colspan="2">
                    <div id='ID_CUST_TABLE' class='folders-area' style="height:200" onclick="setDivHeight()">
<%
    if(loadErrorMsg == null || loadErrorMsg == "")
        customizeTreeTableView.dumpWholeTreeTable(out);
%>
                    </div>
                </td>
                <td valign="top">
<%
    customizeBean.dumpDefCustomizeBtns(out);
%>
                </td>
            </tr>
        </table>

        <br>

        <div id="id" style="display:none">
            <hr class='mx-hr'/>
        </div>

        <table id="headingDiv" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td id="selectionHeadingDiv" nowrap></td>
            </tr>
        </table>

        <table ID="tabSelection" NAME="tabSelection" cellspacing="0" cellpadding="2" border="0">
            <tbody ID="tabSelectionBody" NAME="tabSelectionBody">
            </tbody>
        </table>

        <div name="loadingMsgDiv" id="loadingMsgDiv" style="display:none">
            <hr>
            <br>
            &nbsp;&nbsp;&nbsp;&nbsp;<%=rbMonitor.getString("customize.loadingCollectionMsg")%>
        </div>
        <iframe id='operationSpace' name='operationSpace' style='position:relative; visibility:visible; width:100%; height:10'
                scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
        </iframe>

        <form method="POST" action="<%=MxOptions.URL_BASE%>/monitor/DoDeleteCollection.jsp" target="operationSpace" id="deletionForm" name="deletionForm">
            <input type="hidden" id="command" name="command" value="">
            <input type='hidden' id="selColId" name='selColId' value="">
            <input type='hidden' id="selColType" name='selColType' value="">
            <input type='hidden' id="selBranchType" name='selBranchType' value="">
            <input type='hidden' id='selParentId' name='selParentId' value="">
            <input type='hidden' id='selColName' name='selColName' value="">
        </form>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
        <script type="text/javascript" language="javascript">
            document.getElementById("topTable").style.width = document.getElementById("baseWidthTable").offsetWidth - NETSCAPE_SCROLLBAR_WIDTH;
        </script>
    </body>
</html>
