<%@ page import="com.hp.mx.html.core.*"%>
<%@ page import="com.hp.mx.portal.core.*"%>
<%@ page import="com.hp.mx.portal.ui.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="rbMonitor" class="com.hp.mx.portal.res.MxResourceBean" scope="session"/>
<jsp:useBean id="customizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session"/>

<%
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    // "branch" & "inframe" are ONLY params available on inital display of page when a new item
    // is selected from the drop-down selection box

    String edit             = request.getParameter("edit");
    String inframe          = request.getParameter("inframe");
    String colId            = request.getParameter("colId");
    String colType          = request.getParameter("colType");
    String colName          = request.getParameter("colName");
    String editFlagString   = request.getParameter("editFlag");
    int    editFlag         = 0;

    if (null != editFlagString && (!editFlagString.equals("")) && (!editFlagString.equals("null")))
    {
        editFlag = Integer.parseInt(editFlagString);
    }

    String selId = customizeBean.getSelectedId();

    // the items available for selection
    customizeBean.setAvailableItems(colId, colType, colName);

    if (colName == null)
    {
        customizeBean.setSelectedItems(null);
    }

    MxButtons buttons = new MxButtons();

    if (edit != null)
    {
        if (edit.equals("customize") == true)
        {
            buttons.addMxTag(new MxDefaultTag("ok_button", rbMonitor.getString("button.ok"), "checkAndSubmit('System')"));
            buttons.addMxTag(new MxDefaultTag("cancel_button", rbMonitor.getString("button.cancel"), "closeSave()"));
        }
    }
    else if (inframe == null || !inframe.equals("alerts"))
    {
        buttons.addMxTag(new MxDefaultTag("ok_button", rbMonitor.getString("button.saveAs"), "loadSave('System')"));

        if (inframe != null && inframe.equals("customize"))
        {
            buttons.addMxTag(new MxDefaultTag("cancel_button", rbMonitor.getString("button.cancel"), "closeSave()"));
        }
    }

    MxButtons selectButtons = new MxButtons();
    selectButtons.setSecondary();
    selectButtons.setVerticalAligned(true);
    selectButtons.addMxTag(new MxDefaultTag("add_button", rbMonitor.getString("customize.button.transferboxadd"), "addAttribute()"));

    MxButtons reorderButtons = new MxButtons();
    reorderButtons.setSecondary();

    reorderButtons.addMxTag(new MxDefaultTag("remove_button", rbMonitor.getString("customize.button.transferboxremove"), "delAttribute(false)"));

    MxDefaultTag tag = new MxDefaultTag("up_button", rbMonitor.getString("customize.button.transferboxUp"), "up()");
    tag.setAttr(MxTag.NO_RESIZE, "true");
    reorderButtons.addMxTag(tag);

    tag = new MxDefaultTag("down_button", rbMonitor.getString("customize.button.transferboxDown"), "down()");
    tag.setAttr(MxTag.NO_RESIZE, "true");
    reorderButtons.addMxTag(tag);
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/monitor/css/MxMonitorMenu.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/monitor/css/MxMonitorCustomize.css'>
        <script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js" language="JavaScript" type="text/javascript"></script>
        <script language="JAVASCRIPT" type="text/javascript">
            // Get the URL parameters which tell us if we're launched in another UI
            // or we're in edit mode
            var inframe   = "<%=request.getParameter("inframe") %>";
            var edit      = "<%=request.getParameter("edit") %>";
            var previous  = "<%=request.getParameter("previous") %>";
            var queryId   = "<%=request.getParameter("queryId") %>";
            var queryName = "<%=request.getParameter("queryName") %>";
            var branch    = "<%=request.getParameter("branch")%>";
            var eFlag     = "<%=request.getParameter("editFlag")%>";
            var titleName = "Select Members";

            if (edit == "customize")
            {
                titleName = "<%=rbMonitor.getString("customize.editFolder")%>";
            }
        </script>
        <script src="<%=MxOptions.URL_BASE%>/monitor/js/SelectCollectionMembersUtils.jsp" language="JavaScript" type="text/javascript"></script>
        <script language="JAVASCRIPT" type="text/javascript">
            ////////////////////////
            //
            ////////////////////////
            function init()
            {
                // Set the help context
                resetHelpContext();
            }
            ////////////////////////
            //
            ////////////////////////
            function resetHelpContext()
            {
                if (edit == "customize")
                {
                    parent.resetHelpPage("edit");
                }
                else
                {
                    parent.resetHelpPage("createFolder");
                }
            }
            ////////////////////////
            //
            ////////////////////////
            function refreshMyself(params)
            {
                document.location.replace("<%=MxOptions.URL_BASE%>/monitor/SelectCollectionMembers.jsp?" + params);
            }
            ////////////////////////
            // myResize()
            ////////////////////////
            function myResize()
            {
                var width = 0;

                if (parent.getMinWidth != null)
                {
                    width = parent.getMinWidth();
                }

                var windowWidth = MxPortalGetWorkspaceFrame().offsetWidth - NETSCAPE_SCROLLBAR_WIDTH - 6;

                width = (width >= windowWidth) ? width : windowWidth;

                parent.document.getElementById(this.name).style.width = width;
            }
            ////////////////////////
            // setMinWidth()
            ////////////////////////
            function setMinWidth()
            {
                parent.setMinWidth(-1); // let parent default its min width
            }
        </script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body id="SearchBody" onLoad="onSearchLoad(), setMinWidth(), myResize()">
        <div id="searchDiv">

            <hr class="mx-hr">

            <table ID='table1' NAME='optionTable' cellspacing='0' cellpadding='0' border='0'>

<%
    if ((null != edit) && edit.equals("customize"))
    {
%>
                <tr>
                    <td colspan="2">
                        <font class='mx-subheader-nosep'><%=rbMonitor.getString("collection.edit")%></font><br><br>
                    </td>
                </tr>
                <tr>
                    <td><%=rbMonitor.getString("customize.name")%>&nbsp;&nbsp;&nbsp;</td>
                    <td>
                        <input name='colName' id='colName' type='text' style='width:200px' maxlength='70'
                               value='<%=request.getParameter("queryName")%>' onKeyup='checkBlankName()'
                               onClick='checkBlankName()' onPaste='checkBlankName()'
<%
        // disable the control if we are editing
        if ((editFlag & 2) == 2)
        {
            %>disabled<%
        }
%>
                        >
                    </td>
                </tr>
<%
    }

    if ((null != inframe) && (inframe.equals("customize")))
    {
%>
                <tr>
                    <td><%=rbMonitor.getString("customize.choosefrom")%>&nbsp;&nbsp;&nbsp;</td>
                    <td>
                        <select id='memberOptions' size='1' onChange='loadMemberList()'>
                            <option value='0'>&nbsp;&nbsp;&nbsp;<%=rbMonitor.getString("INITIAL_SELECTION")%></option>
<%
    String branchType = (request.getParameter("branch") == null) ? "" : request.getParameter("branch");
    customizeBean.dumpCollectionsInOptionBox(out, colId, branchType);
%>
                        </select>
                    </td>
                </tr>
<%
    }
%>
            </table>

            <br>

            <DIV name="selectionTableDiv" id="selectionTableDiv">
                <table ID="memberTable" NAME="memberTable" cellspacing="0" cellpadding="0" border="0">
                    <tr>
                        <td><%=rbMonitor.getString("customize.availableitems")%></td><td></td><td><%=rbMonitor.getString("customize.selectedmembers")%></td>
                    </tr>
                    <tr>
                        <td>
                            <div id="availableMemDiv">
<%
    customizeBean.dumpAvailableItems(out);
%>
                            </div>
                        </td>
                        <td>
 <%
selectButtons.dumpButtons(out);
%>
                        </td>
                        <td>
                            <div id="selectedMemDiv">
<%
    customizeBean.dumpSelectedItems(out);
%>
                            </div>
                        </td>
                    </tr>
                    <tr><td></td></tr>
                    <tr>
                        <td colspan="3" align="right">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td style="padding-top:5px">
<%
    reorderButtons.dumpButtons(out);
%>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </DIV>

            <div>
<%
    buttons.dumpButtons(out);
%>
            </div>

            <iframe id='resultSpace' name='resultSpace' style='position:relative; visibility:visible; width:100%; height:1'
                    scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
            </iframe>

            <iframe ID="HierCommSpace" SRC="blank1.html" style="position:absolute; display:none; height:0; width:0">
            </iframe>

            <form method="POST" target="resultSpace" action="" id="SearchForm" name="SearchForm">
                <input type="hidden" id='removeList' name='removeList' value=''>
            </form>
        </div>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
    </body>
</html>
