<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="customizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session"/>
<jsp:useBean id="rbMonitor" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String colType    = request.getParameter("edColType");
    String colId      = request.getParameter("edColId");
    String branchType = request.getParameter("edBranchType");

    // ensure these parameters are in a known, desirable state
    if ((colType == null) || (colType.equalsIgnoreCase("NULL") == true))
    {
        colType = "";
    }

    if ((branchType == null) || (branchType.equalsIgnoreCase("NULL") == true))
    {
        branchType = "";
    }

    // set collection id
    if (colId != null)
    {
        customizeBean.setSelectedId(colId);
    }

    MxButtons buttons = new MxButtons();
    buttons.addMxTag(new MxDefaultTag("okButton", rbMonitor.getString("button.ok"), "checkAndSubmit()"));
    buttons.addMxTag(new MxDefaultTag("cancelButton", rbMonitor.getString("button.cancel"), "closeSave('" + MxOptions.URL_BASE + "/home/MxBlank.html')"));
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%= MxOptions.URL_BASE %>/css/MxPortalEx.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/monitor/css/MxMonitorMenu.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/monitor/css/MxMonitorCustomize.css'>
        <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
        <script src="<%=MxOptions.URL_BASE%>/monitor/js/MxMonitorCommon.js" language="JavaScript" type="text/javascript"></script>
        <script language="JAVASCRIPT" type="text/javascript">
            // script
            var sColType        = "<%=request.getParameter("edColType")%>";
            var sColName        = "<%=request.getParameter("edColName")%>";
            var sColId          = "<%=request.getParameter("edColId")%>";
            var sColDefaultView = "<%=request.getParameter("edColDefaultView")%>";
            var sColVisibleFlag = "<%=request.getParameter("edColVisibleFlag")%>";
            var sColDisplayFlag = "<%=request.getParameter("edColDisplayFlag")%>";
            var sParentId       = "<%=request.getParameter("edColParentId")%>";
            var inframe         = "<%=request.getParameter("inframe")%>";
            var branchType      = "<%=request.getParameter("edBranchType")%>";
            //======================================================================
            // OnLoad handler
            //======================================================================
            function onLoadSetCollectionsPage()
            {
                resizeFrame(200, "ID_BODY_NEWFAVFOLDER");
                //
                // delay 150 milli-second to fix the timing issue in Mozilla
                //


                if (sColType == "COLLECTION" || branchType == "evbranch")
                {
                    updateStatusDiv("false");
                }
                else if (sColType == "NODE" || sColType == "QUERY")
                {
                    updateStatusDiv("true");
                }

                setTimeout('initFocus()', 200);
            }
            //======================================================================
            //
            //======================================================================
            function updateStatusDiv(show)
            {
                var oStatusDivBody  = document.getElementById("statusDiv");
                var oVisibleDivBody = document.getElementById("visibleDiv");
                var statusHTML      = "";
                var visibleHTML     = "";
                var CHECKEDYES      = "";
                var CHECKEDNO       = "";

                if ((null != sColVisibleFlag) && (sColVisibleFlag == "<%=rbMonitor.getString("YES")%>"))
                {
                    CHECKEDYES = "CHECKED";
                }
                else
                {
                    CHECKEDNO = "CHECKED";
                }

                visibleHTML = "<table cellspacing='0' cellpadding='2' border='0'>" +
                              "<tr><td><b><%=rbMonitor.getString("customize.visible")%></b></td>" +
                              "</tr><tr><td>" +
                              "<input type='radio' name='displaySelection' id='displaySelection'" +
                              " value='yes' " + CHECKEDYES + ">" +
                              "<%=rbMonitor.getString("customize.displayyesradiobtn")%> " +
                              "</td></tr><tr><td>" +
                              "<input type='radio' name='displaySelection' id='displaySelection' " +
                              "value='no' " + CHECKEDNO + ">" +
                              "<%=rbMonitor.getString("customize.displaynoradiobtn")%> " +
                              "</td></tr></table>";

                oVisibleDivBody.innerHTML = visibleHTML;

                CHECKEDYES = "";
                CHECKEDNO  = "";

                if (show == "true") // if false - make the DIV size 0
                {
                    if ((null != sColDisplayFlag) && (sColDisplayFlag > 0))
                    {
                        CHECKEDYES = "CHECKED";
                    }
                    else
                    {
                        CHECKEDNO = "CHECKED";
                    }

                    statusHTML = "<table cellspacing='0' cellpadding='2' border='0'>" +
                                 "<tr><td><b><%=rbMonitor.getString("customize.statusdisplay")%></b>" +
                                 "</td></tr><tr><td><input type='radio' name='statusSelection' " +
                                 "id='statusSelection' value='yes'" + CHECKEDYES + ">" +
                                 "<%=rbMonitor.getString("customize.statusyesradiobtn")%> " +
                                 "</td></tr><tr><td><input type='radio' name='statusSelection' id='statusSelection' " +
                                 "value='no'" + CHECKEDNO + "><%=rbMonitor.getString("customize.statusnoradiobtn")%>" +
                                 "</td></tr></table>";
                }

                oStatusDivBody.innerHTML = statusHTML;
            }
            //======================================================================
            // Function to set focus
            //======================================================================
            function initFocus()
            {
                document.getElementById("cancelButton").focus();
                document.getElementById("cancelButton").blur();
            }
            //======================================================================
            // Check for empty and invalid characters before submitting form back
            // to server.  If valid, submit the form.
            //======================================================================
            function checkAndSubmit()
            {
                var ocommand        = document.getElementById("command");
                var oselColId       = document.getElementById("selColId");
                var oselColName     = document.getElementById("selColName");
                var oselColType     = document.getElementById("selColType");
                var oselDefaultView = document.getElementById("selDefaultView");
                var oselVisibleFlag = document.getElementById("selVisibleFlag");
                var oselStatusFlag  = document.getElementById("selStatusFlag");
                var oselParentId    = document.getElementById("selParentId");
                var selIndex        = -1;

                if (branchType == "sysbranch" && sColType != "NODE")
                {
                    var viewSelection = document.getElementById("viewOptions");
                    selIndex = viewSelection.selectedIndex;

                    if (selIndex >= 0)
                    {
                        oselDefaultView.value = viewSelection.options.item(selIndex).value;
                    }
                    else
                    {
                        oselDefaultView.value = sColDefaultView;
                    }
                }
                else
                {
                    oselDefaultView.value = sColDefaultView;
                }

                ocommand.value        = "modifycol";
                oselColId.value       = sColId;
                oselColName.value     = sColName;
                oselColType.value     = sColType;
                oselVisibleFlag.value = sColVisibleFlag;
                oselStatusFlag.value  = sColDisplayFlag;
                oselParentId.value    = sParentId;

                var visibleFlag = document.getElementById("displaySelection");
                oselVisibleFlag.value = (!visibleFlag.checked);

                if (sColType != "COLLECTION" && branchType == "sysbranch")
                {
                    var statusFlag = document.getElementById("statusSelection");

                    if (statusFlag.checked)
                    {
                        oselStatusFlag.value = 1;
                    }
                    else
                    {
                        oselStatusFlag.value = 0;
                    }
                }

                document.setPropertiesForm.submit();
            }
            //======================================================================
            // Enable/Disable OK button
            //======================================================================
            function changeOKButton(enableFlag)
            {
                if (enableFlag == true)
                {
                    ourButtonManager.enableButtonById('okButton');
                }
                else
                {
                    ourButtonManager.disableButtonById('okButton');
                }
            }
        </script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body onLoad='onLoadSetCollectionsPage()' onResize='resizeFrame(200, "ID_BODY_NEWFAVFOLDER")'>
        <div id="ID_BODY_NEWFAVFOLDER">
            <form method='POST' target="resultSpace" name='setPropertiesForm' autocomplete='off' action='<%=MxOptions.URL_BASE%>/monitor/DoModifyCollection.jsp' onsubmit='return false'>
                <HR class='mx-hr'>
                <font class='mx-subheader-nosep'><%=rbMonitor.getString("customize.setProperties.title")%> <%=request.getParameter("edColName")%></font>
                <br><br>
                <div id="visibleDiv" style="margin-top:5px">
                </div>
                <div id="statusDiv" style="margin-top:5px">
                </div>
                <div id="defaultViewDiv" style="margin-top:10px; margin-left:5px">
<%
    if (branchType.equalsIgnoreCase("sysbranch") == true)
    {
%>
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <b><%=rbMonitor.getString("customize.defaultview")%></b>&nbsp;&nbsp;&nbsp
                            </td>
                            <td>
                                <select id='viewOptions' size='1' style='width:200px'>
<%
    customizeBean.dumpDefaultViewOptions(colType, out, request.getParameter("edColDefaultView"));
%>
                                </select>
                            </td>
                        </tr>
                    </table>
<%
    }
%>
                </div>

                <input type='hidden' id='command' name='command' value=''>
                <input type='hidden' id="selColId" name='selColId' value="">
                <input type='hidden' id="selParentId" name='selParentId' value="">
                <input type='hidden' id="selColType" name='selColType' value="">
                <input type='hidden' id='selColName' name='selColName' value="">
                <input type='hidden' id='selDefaultView' name='selDefaultView' value=""/>
                <input type='hidden' id='selVisibleFlag' name='selVisibleFlag' value=""/>
                <input type='hidden' id='selStatusFlag' name='selStatusFlag' value=""/>

                <div style="margin-top:15px">
<%
    buttons.dumpButtons(out);
%>
                </div>
            </form>

            <IFRAME ID="resultSpace" NAME="resultSpace" SRC="blank.html" WIDTH=100% HEIGHT=1 SCROLLING=NO FRAMEBORDER=0></IFRAME>
        </div>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
        <script language="javascript" type="text/javascript">
            // if there are 1 or fewer <option> available, hide the drop-down selection box
            // only for system-lists
            var options = document.getElementById("viewOptions");

            if ((options != null) && (options.length <= 1))
            {
                document.getElementById("defaultViewDiv").style.visibility = 'hidden';
            }
        </script>
    </body>
</html>
