<%--
//+
//
// Copyright 2002 Compaq Information Technologies Group, L.P.
//
// Description: ReportsDownload.jsp (Download Reports to client in CSV Format)
//
// $ProjectName: j:/maple/coreWap.pj $
// $Header: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/reporting/ReportsDownload.jsp,v 1.42 2005/06/16 18:35:31 paynev Exp $
//-
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.portal.help.*"%>
<%@ page import="com.hp.mx.portal.applet.utilities.XeJspUtil"%>
<%@ page import="com.hp.mx.database.*"%>
<%@ page import="com.hp.mx.core.subjects.*"%>
<%@ page import="com.hp.mx.core.tools.reporting.*"%>
<%@ page import="com.hp.mx.core.subjects.usermanager.*"%>
<%@ page import="com.hp.mx.utilities.*"%>
<%@ page import="com.hp.mx.security.*"%>
<%@ page import="com.hp.mx.utilities.MxPathPropertyIfc"%>
<%@ page import="com.hp.mx.utilities.MxPathProperty"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.File"%>
<%@ page import="java.io.FileWriter"%>
<%@ page import="java.io.OutputStreamWriter"%>
<%@ page import="java.io.PrintWriter"%>
<%@ page import="java.io.FileOutputStream"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.net.URLEncoder"%>
<%@ page import="com.hp.mx.core.tools.reporting.format.*"%>
<%@ page import="com.hp.mx.core.reportmanager.*"%>
<%@ page import="com.hp.mx.core.reportmanager.MxReport"%>
<%@ page import="com.hp.mx.utilities.MxPathPropertyIfc"%>
<%@ page import="com.hp.mx.utilities.MxPathProperty"%>

<STYLE TYPE="text/css">
    <!--
        TR { font-size:8pt; vertical-align:text-top}
    -->
</STYLE>


<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="ReportsManage" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="ReportsDisplayNames" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // setup resources.
    ReportsManage.init(loginBean, "ReportsManage");
    ReportsDisplayNames.init(loginBean, "ReportsDefaultNames");


   String queryIdStr = request.getParameter("qID");
   // if there is no query ID, set it to 9999
   if ((queryIdStr == null) ||  (queryIdStr.equals("")))
      queryIdStr = "9999";
   int queryId = Integer.parseInt(queryIdStr);

   String templateName = request.getParameter("rName");
   // Get the display name in case the name is a default report name (therefore could be localized)
   String displayName = null;
   if ((templateName == null) || (templateName.equals("")))
   {
      templateName = ReportsManage.getString("UNNAMED_REPORT_LABEL");
      displayName = templateName;
   }
   else
   {
       displayName = ReportsDisplayNames.getDisplayName(templateName);
   }
   String queryGUID = request.getParameter("qG");
   String queryType = request.getParameter("qT");
   String templateId = request.getParameter("rId");
   String itemsList = request.getParameter("itms");
   String itemListType = request.getParameter("itmT");
   String viewOption = request.getParameter("vO");
   String strReportFormat = request.getParameter("rF");
   int reportFormat = Integer.parseInt(strReportFormat);
   String sortOrders = request.getParameter("s");
   String sortColumns = request.getParameter("sC");
   if ((templateId == null) || (templateId.equals("")))
      templateId = "-1";
//   out.print("<DIV  id='links' style='visibility:visible'>");     // DIV section for Export and SQL query links
   // Encode the string before passing it to the URL
   String encodedTemplateName = URLEncoder.encode(templateName, "UTF-8");

   String displayMessage = "";
   MxButtons buttons = new MxButtons();
   if (reportFormat==formatIfc.XMLFORMAT)
      displayMessage = ReportsManage.getString("MSG_DOWNLOADING_XML");
   else
   {
      displayMessage = ReportsManage.getString("MSG_DOWNLOADING_CSV");

      buttons.clearMxTags();

      buttons.addMxTag(new MxDefaultTag("closeBtn", ReportsManage.getString("BUTTON_CLOSE_WINDOW"), "window.close()"));
   }
%>


<HEAD>
    <TITLE><%=ReportsManage.getString("MSG_DOWNLOAD_TITLE")%></TITLE>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>

<body class="body-flush-fit-scrolling-nobackground">
<%MxPortalRender.dumpTitleHtml(displayName, out);%>

<%
    String progressBar = com.hp.mx.portal.ui.MxOptions.MXHTML_BASE + File.separator + "images" + File.separator + "progress_bar_large.gif";
%>

    <DIV id='divMsg' align=center>
        <br>
        <strong>
        <%=ReportsManage.getString("MSG_WAIT_FOR_GENERATING_REPORT")%>
        </strong>
    </DIV>
    <%out.flush();%>
    <DIV id='divProgressBar' align=center>
        <br>
        <img src="<%=progressBar %>" align='center'>
    </DIV>
    <%out.flush();%>


<SCRIPT language="JavaScript">
    MxPortalWorkspaceSetHelpTopic("feature_report_exportCSV");
</SCRIPT>


<!--
    <font face="arial, helvetica" size="+2" color="#333333"><b>
    <%=ReportsManage.getString("REPORT_NAME_LABEL")%>
    <%=displayName%></b>
    </font>
-->


<%-- H.Tokita rQm255360
            <input class="mx-button" type="BUTTON" style='width:95' onclick="window.close()" value=<%=ReportsManage.getString("BUTTON_CLOSE_WINDOW")%>>
--%>

<%
//    try
//    {
//        Thread.sleep(5000);
//    }
//    catch(Exception e)
//    {
//    }
out.flush();
%>
<div style="padding:10px">

<%
    DebugSubsystem Reports = DebugOutput.getDebugSubsystem("Reports");

    MxUser loginUser = loginBean.getMxUser();

   // Build Unique FileName using report template name
    File    jspFile;
    File    csvFile;
    File    CSVFilePath;
    String  jspFilename = "";
    String  filenamePrefix = "";
    String  csvFilename = "";
    String  line;
    FileWriter  jspFileWriter;
    PrintWriter prtWriter;
    OutputStreamWriter strmW;
    Locale locale = loginBean.getLocale();
    String lang = locale.getISO3Language();
    String encodingStr="UTF-8";
    try
    {
        //csvFile = File.createTempFile("RPT", ".csv", new File("/Temp"));
        // Let the File class create the "temp" dir in case it does not exist in the HP System Insight Manager installed  path.  vyp 7/31.
        if (reportFormat==formatIfc.XMLFORMAT)
            csvFile = File.createTempFile("RPT", ".xml");
        else if (reportFormat == formatIfc.CSVFORMAT)
            csvFile = File.createTempFile("RPT", ".csv");
        else if (reportFormat == formatIfc.HTMLFORMAT)
            csvFile = File.createTempFile("RPT", ".html");
        else
            csvFile = File.createTempFile("RPT", ".csv");

        csvFilename = csvFile.getName();
        DebugOutput.log(Reports, 20, "page: file name is:  " + csvFilename);
        csvFile.delete();

        csvFile = MxPathProperty.getExpandedFilePath(MxPathPropertyIfc.REPORTS_EXP, csvFilename);
        FileOutputStream fileStream = new FileOutputStream(csvFile);
        strmW = new OutputStreamWriter(fileStream, encodingStr);
        String ttt = strmW.getEncoding();
//        prtWriter = new PrintWriter(fileStream);
        prtWriter = new PrintWriter(strmW);
        DebugOutput.log(Reports, 20, "QueryId received is: " + queryId);
        DebugOutput.log(Reports, 20, "QueryName received is: " + queryGUID);
        DebugOutput.log(Reports, 20, "TemplateId received is: " + templateId);
        DebugOutput.log(Reports, 20, "templateName received is: " + templateName);
        DebugOutput.log(Reports, 20, "itemsList received is: " + itemsList);
        DebugOutput.log(Reports, 20, "viewOption received is: " + viewOption);

        DebugOutput.log(Reports, 20, "sortOrders received is: " + sortOrders);
        DebugOutput.log(Reports, 20, "sortColumns received is: " + sortColumns);

    }
    catch(Exception e)
    {
        e.printStackTrace();
        DebugOutput.log(DebugOutput.getDebugSubsystem("Reports"),20, "ReportsDownload.jsp: Unable to create temp file");
        DebugOutput.log(DebugOutput.getDebugSubsystem("Reports"),20, "Exception: " + e.getMessage());
        //out.println(ReportsManage.getString("MSG_ERR_GENERATING_REPORT"));
        out.println(" <table> <tr><td> <font class='errorText'>" );
        out.println(ReportsManage.getString("MSG_ERR_GENERATING_REPORT"));
        out.println("</td></tr><br>" );
        return;
    }

    // Generate Report File
    try
    {
       ReportUtil rUtil = ReportUtil.instance();

    MxReport rObj = new MxReport();
   rObj.setReportId(Integer.parseInt(templateId));
   rObj.setName(templateName);
   rObj.setReportName(templateName);
   rObj.setQueryId(queryId);
   rObj.setQueryType(Integer.parseInt(queryType));
//   rObj.setQueryType(reportConstant.QUERYTYPE_MXQUERY_GUID);
   rObj.setQueryName(queryGUID);
   rObj.setViewOption(Integer.parseInt(viewOption));
   rObj.setItemListType(Integer.parseInt(itemListType));
   rObj.setItemList(itemsList);
   // Generate the report tables
   reportGenerator reportG = null;
   DebugOutput.log(Reports, 20,"ReportResult: templateId = "+templateId+"  Name= "+templateName+ "formatType=" + reportFormat);
   DebugOutput.log(Reports, 20,"ReportResult: before generate report table");
   reportG = new reportGenerator(rObj, reportFormat, loginBean.getMxUser(),
                     loginBean.getLocale(), loginBean.getTimeZone());
   if (sortColumns ==null || sortColumns.equals(""))
       reportG.setOrderList(null);
   else
       reportG.setOrderList(sortColumns);
   if (sortOrders ==null || sortOrders.equals(""))
       reportG.setAscList(null);
   else
       reportG.setAscList(sortOrders);

   reportG.setOutputWriter(prtWriter);
   reportG.setJspMessageWriter(out);

   DebugOutput.log(Reports, 20,"ReportResult: after generate report table");

   DebugOutput.log(Reports, 20,"ReportResult: before runReport");
   // Create the report

        reportG.processReport();
   } catch (Exception e) {
       DebugOutput.log(Reports, 20,"reportGenerator.processReport error: " + e.getMessage());
     // Hide the SQL and CSV Report links.
   }
   finally {
       prtWriter.close();
   }
//   out.println("<script> document.all.links.style.visibility = 'hidden' </script>");
   DebugOutput.log(Reports, 20,"ReportResult: Done.");

%>
    <b><%=displayMessage%></b>

    <br>
    <br>

<%
   if (reportFormat==formatIfc.CSVFORMAT)
      out.println(ReportsManage.getString("MSG_DOWNLOAD_DONE"));
%>

<div style="margin-top:15px">
<%
   if (reportFormat==formatIfc.CSVFORMAT)
      buttons.dumpButtons(out);
%>
</div>
</div>

<script>
    //initializing button manually because it doesn't seem to be doing it otherwise
    ourButtonManager.initButtonById('closeBtn');
</script>
    <SCRIPT>
        document.getElementById("divMsg").innerHTML='';
        document.getElementById("divMsg").visible = false;
        document.getElementById("divProgressBar").innerHTML='';
        document.getElementById("divProgressBar").visible = false;
    </SCRIPT>
<% out.flush(); %>

    <script language="JavaScript">
        <%
        // Access the csv file from /mxportal/reports/. Tomcat can only recognize dirs under /ROOT.
        //String filename = MxPathProperty.getShortCSVPath() + "/" + csvFilename;  removed per Mike Sheetz's request. 6/27/03.
        //String filename = MxPathProperty.getExpandedPath( MxPathProperty.REPORTS_WEBSERVER_EXP ) + "/" + csvFilename;  removed: does not work - returns wrong path. 7/15/03.
        String filename = "/mxportal/reports" + "/" + csvFilename;
        DebugOutput.log(Reports, 20, "$$$$***** CSV page: final CSV file name is: $$$$$***** " + filename);
        %>
        window.resizeTo(600, 400);
        window.top.location.replace("<%=filename%>");
    </script>



<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
