<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/reporting/ReportsWizard.jsp,v $
//$Revision: 1.69 $
//$Date: 2005/05/13 21:50:31 $
--%>

<%@ page info="Nimbus Reports Wizard Page"
    import="java.util.*,
        com.hp.mx.core.tools.reporting.MxReportException,
        com.hp.mx.core.tools.reporting.ReportConfigObj,
        com.hp.mx.core.reportmanager.MxReport,
        com.hp.mx.core.subjects.MxSubjectPrivilege,
        com.hp.mx.core.reportmanager.reportConstant,
        com.hp.mx.core.objectmodel.MxGUID,
        com.hp.mx.core.objectmodel.MxObjectID,
        com.hp.mx.core.client.MxNodeClient,
        com.hp.mx.core.client.MxCollectionClient,
        com.hp.mx.portal.ui.MxOptions,
        com.hp.mx.portal.ui.MxBean,
        com.hp.mx.portal.core.MxObjList,
        com.hp.mx.portal.core.MxObj,
        com.hp.mx.portal.taskandjob.MxListToSystemNames,
        com.hp.mx.portal.core.MxObjSelections,
        com.hp.mx.portal.taskandjob.MxTaskWizardInstance,
        com.hp.mx.portal.taskandjob.MxCollectionExpander,
        com.hp.mx.utilities.DebugSubsystem,
        com.hp.mx.utilities.DebugOutput,
        com.hp.mx.html.core.*,
        javax.servlet.jsp.*,
        javax.swing.tree.TreeModel,
        com.hp.mx.core.tools.reporting.ReportItemTreeBuilder,
        java.io.*"

%>
<%@ page import="java.net.URLEncoder"%>

<jsp:useBean id="reportsConfigBean" class="com.hp.mx.portal.reporting.ReportsConfigBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="manageReportsBean" class="com.hp.mx.portal.reporting.ReportsManageBean" scope="session"/>
<jsp:useBean id="manageReportsSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>
<jsp:useBean id="treeData" class="com.hp.mx.core.tools.reporting.ReportItemTreeBuilder" scope="session" />
<jsp:useBean id="selectionBean" class="com.hp.mx.portal.core.MxObjSelections" scope="session"/>

 <%
     //This line is required by Tomcat for il8n support
     MxBean.jspInit(request, response);
     DebugSubsystem reportDebug = DebugOutput.getDebugSubsystem("Reports");

     // This aborts the page if the session is invalid
     if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    String timeStamp = taskWizardBean.getNewTimeStamp();
    MxObjSelections myGlobal;
    MxTaskWizardInstance inst = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);
    if (inst == null)
    {
      taskWizardBean.initTargetSelection(selectionBean, loginBean, false, timeStamp, MxTaskWizardInstance.NO_MAX_TARGETS, "true");
      inst = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);
      DebugOutput.log(reportDebug, 15,"ReportsWizard init new taskwizardbean\n");
    }
    myGlobal = inst.getSelectionBean();
    MxObjSelections global = loginBean.getSelectionBean();
 %>
  <jsp:setProperty name="reportsConfigBean" property="*" />
 <%
     DebugOutput.log(reportDebug, 15,"**********ReportWizard starts here********locale = "+loginBean.getLocale());
     int uPrivilege= 0;
     int selectionType = 0;
     MxObjectID selectionID = null;
     if (loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.REPORT_VIEW_SECURED_DATA_PRIVILEGE))
     {
         uPrivilege = MxSubjectPrivilege.REPORT_VIEW_SECURED_DATA_PRIVILEGE.getPrivilegeCode();
     }
     DebugOutput.log(reportDebug, 15," ReportWizard user privilege = "+uPrivilege);
     reportsConfigBean.instance();
     if (reportsConfigBean.isFirstTime() == true)
     {
     DebugOutput.log(reportDebug, 15,"ReportWizard: first time to call reportsConfigBean");
     reportsConfigBean.setFirstTime(false);
     reportsConfigBean.setLoginBean(loginBean);
     reportsConfigBean.init(loginBean.getLocale());

     }
     else
       DebugOutput.log(reportDebug, 15,"ReportWizard: Not first time to call reportsConfigBean");
     if (manageReportsBean.isFirstTime() == true)
     {
       manageReportsBean.setFirstTime(false);
       //Init manageReportsBean
       manageReportsBean.initBean(out, loginBean);
     }
     String rFunction = request.getParameter("rFunction");
     String mString = request.getParameter("bReportMenu");
     if ((mString != null) && (mString.length() > 0))
     {
        if (mString.compareToIgnoreCase("true") == 0)
           reportsConfigBean.setReportMenu(true);
        else
           reportsConfigBean.setReportMenu(false);
     }
     else
       reportsConfigBean.setReportMenu(true);  //XML action menu do not pass attribute correctly

     reportsConfigBean.setReportFormat(0);
     reportsConfigBean.setFunction(rFunction);
     //reportsConfigBean.setCurrentSelectionType(0);
     //reportsConfigBean.setCurrentSelectionID(null);
     //It's Edit Report:
     TreeModel myTreeModel = treeData.buildTree(uPrivilege, loginBean.getLocale());
     DebugOutput.log(reportDebug, 15,"@@@@@@ReportWizard: rebuild the tree \n");
     if (rFunction.compareToIgnoreCase("edit") == 0)
     {
        reportsConfigBean.setTargetSelected(true);
        reportsConfigBean.setNewSelection(false);
        reportsConfigBean.setCurrentSelectionType(0);
        reportsConfigBean.setCurrentSelectionID(null);
        int iRow = manageReportsSelectionModel.getSelectedIndices()[0];
        DebugOutput.log(reportDebug, 15,"ReportWizard: row ="+iRow);
        //Get MxReport object
        MxReport reportObj = manageReportsBean.getReportObject(iRow);
        if (reportObj == null) // if report has been deleted by other user
        {
           boolean bRet = reportsConfigBean.alert(out, MxReportException.REPORT_ERR_INVALID_REPORTNAME);
           DebugOutput.log(reportDebug, 15,"ReportWizard: Edited report does not exit. - bRet = "+bRet);
           manageReportsBean.showParentLocation(out, "ManageReports.jsp");
        }
        else
        {
            //Set reportObject in the bean.

            reportsConfigBean.setReportObject(reportObj);
            selectionID =  reportsConfigBean.getSelectionID();
            selectionType = reportsConfigBean.getSelectionType();
            String str = reportsConfigBean.getUpdatedAttributes();

            myGlobal.clearEverything();
            inst.clearWizardSelections();
            if ( selectionType == MxTaskWizardInstance.QUERY_SELECTION)
            {
               myGlobal.addQuery(selectionID.getKey());

            }
            else if ( selectionType == MxTaskWizardInstance.MIXED_SELECTION)
            {
              DebugOutput.log(reportDebug, 15,"ReportsWizard edit mix selection");
              MxCollectionExpander expander = new MxCollectionExpander(loginBean);
              expander.setCollection(selectionID);
              MxObjList oList = expander.getCollectionMembersObjList();
              if ((oList != null) && (oList.size() > 0))
               {
                 myGlobal.addObjList(oList);
                 DebugOutput.log(reportDebug, 15,"ReportsWizard mix selection size="+oList.size());
               }
            }
            else if ( selectionType == MxTaskWizardInstance.COLLECTION_SELECTION)
            {
              MxCollectionClient collectionClient = loginBean.getCollectionClient();
              myGlobal.addCollection(collectionClient.getCollection(selectionID));
              DebugOutput.log(reportDebug, 15,"ReportsWizard edit collection selection");
            }
            else if ( selectionType == MxTaskWizardInstance.NODE_SELECTION)
             {
               DebugOutput.log(reportDebug, 15,"ReportsWizard edit node selection");
               MxListToSystemNames names = new MxListToSystemNames(loginBean, selectionID);
               if (names != null)
               {
                 DebugOutput.log(reportDebug, 15,"ReportsWizard edit get nodes \n ");
                List nList = names.executeQuery();
                if ((nList != null) && ( nList.size() > 0))
                {
                  DebugOutput.log(reportDebug, 15,"ReportsWizard edit nodes size = "+nList.size());
                  MxNodeClient myNodeClient = loginBean.getNodeClient();
                  for (int i = 0; i < nList.size(); i++)
                  {
                    try
                    {
                    myGlobal.addNode(myNodeClient.getNodeByNodeOrHostName((String)nList.get(i), false));
                    }
                    catch (Throwable e)
                    {
                    // the node may not exist anymore
                    }
                  }
                 }
               }
               else
                 DebugOutput.log(reportDebug, 15," ReportConfigFunctions query to node system failed");
              }
        }
    } // end edit
    else  // new report
    {
       //It's Add Report:  (???  it is new report)
       reportsConfigBean.resetReportObj();
       reportsConfigBean.setNewSelection(true);
       reportsConfigBean.setSelectionType(0);
       reportsConfigBean.setSelectionID(null);
       reportsConfigBean.setCurrentSelectionType(0);
       reportsConfigBean.setCurrentSelectionID(null);
       reportsConfigBean.setReportGUID(null);
       //new report without target select
       if (global.getObjList().size() == 0)
        {
          reportsConfigBean.setTargetSelected(false);
          DebugOutput.log(reportDebug, 15,"ReportsWizard  new report without target selection");
        }
       else  //new report with target selection
       {
          reportsConfigBean.setTargetSelected(true);
          DebugOutput.log(reportDebug, 15,"ReportsWizard  new report target selected");
        }
     }

   %>
<%
    String reportNameDisp = manageReportsBean.getReportDisplayName(reportsConfigBean.getReportName());

    if ((reportNameDisp != null) && (reportNameDisp.length() > 70))
    {
       reportNameDisp = reportNameDisp.substring(0, 70) + "...";
    }
    DebugOutput.log(reportDebug, 15," ReportWizard reportNameDisp ="+reportNameDisp);
    String tempStr = reportsConfigBean.getUpdatedAttributes();
    DebugOutput.log(reportDebug, 15,"reportsWizard update report= "+tempStr+"\n\n");
%>
<html>
<head>
<TITLE></TITLE>
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>

<script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/targetSelection.js'></script>
<script language="javascript" type="text/javascript"src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" ></script>
<script language='javascript' type='text/javascript'>
    var reportName = "<%=reportsConfigBean.getReportName()%>";
    var itemList = "<%=reportsConfigBean.getItemList()%>";
    var itemIdList = "<%=reportsConfigBean.getItemIdList()%>";
    var viewOption = "<%=reportsConfigBean.getViewOption()%>";
    var reportFormat = "<%=reportsConfigBean.getReportFormat()%>";
    var bNewSelection = <%=reportsConfigBean.isNewSelection()%>;
    var bFirst = true;
    var bPrevButton = false;  // display wizard from prev button of report config page
    var bSaveButtonUp = false; // click on prev button and the save button already enabled, have to remember
    var bSaveButtonDown = false; // click on prev button and the save button already disabled, have to remember


    function gotoReportWizard()
     {
        var iframe = document.getElementById("wizardPageFrame");
        if (iframe != null)
        {
            var str = "../reporting/ReportsConfig.jsp?QueryId=0";
            str += "&RName="+encodeURIComponent(reportName);
            str += "&Itms="+itemIdList;
            str += "&vO="+viewOption;
            str += "&rF="+ reportFormat;
            str += "&fromWizard=1";
            str += "&bNewSelection="+bNewSelection;
            if (bSaveButtonUp == true)
               str += "&saveButtonUp=1";
            if ((bNewSelection == false )&& (bSaveButtonDown == true))
               str += "&saveButtonDown=1";

             // add timestamp
             str += "&timeStamp=<%=timeStamp%>";

            //alert("ReportsWizard new Url = "+str);
            iframe.contentWindow.document.location.replace(str);
            bSaveButtonUp = false;
            bSaveButtonDown = false;
       }
        return;
        }
    function setReportName(rName)
    {
      reportName = rName;
      return;
    }

    function setItemList(iList)
    {
      //itemList = iList;
      itemIdList = iList;
      return;
    }
    function setViewOption(vOption)
    {
      viewOption = vOption;
      return;
    }
    function setReportFormat(rFormat)
    {
      reportFormat = rFormat;
      return;
    }
    function setSaveButtonUp(bFlag)  // click on prev button and the save button already enabled, have to remember
    {
      bSaveButtonUp = bFlag;
      return;
    }
    function setSaveButtonDown(bFlag)  // click on prev button and the save button already enabled, have to remember
    {
      bSaveButtonDown = bFlag;
     return;
    }
    function setNewSelection(bNew)  // Pickup newSelection flag from config page
    {
        bNewSelection = bNew;
    }
    function setPrev(bPrev)
    {
      bPrevButton = bPrev;
      if (<%=reportsConfigBean.getReportMenu()%> == false)
          parent.scrollTo(0, 400);

      return;
    }
    function selectionFull(bSelected)  // target selection page inform us about target selection changed
    {
      var stepObj = document.getElementById("wizStep");
      if (stepObj != null)
       {
         if (bSelected)
          {
           if (bFirst == true)
           {
               bFirst = false
               return;
           }
           else if (bPrevButton == true)
           {
             bPrevButton = false;
             bSelected = false;
            }
           else
            {
               bNewSelection = true;
           }
           stepObj.innerHTML = "<%=reportsConfigBean.getResString("STRING_REPORT_STEP1_V")%>";
          }
         else
           stepObj.innerHTML = "<%=reportsConfigBean.getResString("STRING_REPORT_STEP1_S")%>";
      }
      return;
    }

</script>
<script language='javascript' type='text/javascript'>
if (<%=reportsConfigBean.getReportMenu()%> == false)
    document.writeln("<HR class='mx-hr'>");
</script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>
<body onUnload='removeInstance(<%=timeStamp%>)'>
<script language='javascript' type='text/javascript'>
if (<%=reportsConfigBean.getReportMenu()%> == true)
   MxPortalWorkspaceSetHelpTopic("feature_report_add");

</script>
<table border='0' cellspacing='0' cellpadding='0'>
<script language='javascript' type='text/javascript'>

  if (<%=reportsConfigBean.getReportMenu()%> == false)
  {
    document.writeln(" <tr><td><font id='wizTitle' class='mx-subheader-nosep'>");
    if (<%=reportsConfigBean.getEdit()%> == false)
    {
       document.writeln("<%=reportsConfigBean.getResString("STRING_REPORT_NEW") %>");
       document.writeln("</font>&nbsp;&nbsp;<font id='wizTitle1' class='mx-subheader-nosep'>       ");
    }
    else
    {
      document.writeln("<%=reportsConfigBean.getResString("STRING_REPORT_EDIT") %>");
      document.writeln("</font>&nbsp;&nbsp;<font id='wizTitle1' class='mx-subheader-nosep'>       ");
      document.writeln("<%=reportNameDisp%>");
    }
   document.writeln(" </font></td></tr><tr><td><br> </td></tr>");
  }

</script>

<tr><td nowrap><font id='wizStep' class='mx-subheader-nosep'>
<script language='javascript' type='text/javascript'>

if (<%=reportsConfigBean.isTargetSelected()%> == true)
    document.writeln("<%=reportsConfigBean.getResString("STRING_REPORT_STEP1_V") %>");
else
    document.writeln("<%=reportsConfigBean.getResString("STRING_REPORT_STEP1_S") %>");

</script>
</font></td></tr></table>
<br>

<%
    String  snapOff = request.getParameter("snapoff");
    // build URL string for target selection page
    StringBuffer url     = new StringBuffer(100);

    url.append(MxOptions.URL_BASE);
    url.append("/taskandjob/targetSelection.jsp");
    url.append("?btn2Text=");
    url.append(URLEncoder.encode( reportsConfigBean.getResString("BUTTON_NEXT_LABEL"), "UTF-8"));
    url.append("&btn2Function=parent.gotoReportWizard()");
    url.append("&listType=systemLists");
    url.append("&timeStamp=");
    url.append(timeStamp);
    url.append("&snapoff=");
    url.append(snapOff);
%>

<iframe id='wizardPageFrame' name='wizardPageFrame' style='position:relative; visibility:visible; width:100%; height:1100'
        scrolling='no' marginwidth='0' frameborder='0' src='<%= url.toString() %>'>
</iframe>
<iframe id='action' name='action' style='position:relative; visibility:hidden; width:0; height:0'
        scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
</iframe>

<script language='javascript' type='text/javascript'>
    if (<%=reportsConfigBean.getReportMenu()%> == false)
    {
        var pageHeight  = document.body.scrollHeight;
        if (pageHeight < 100)
            pageHeight += 900;
        parent.setFrmDisplayHeight(pageHeight);
        var scrollHeight = parent.getFrmDisplayHeight();
        parent.scrollTo(0, scrollHeight - pageHeight-100);

    }
</script>
<% MxHtmlUtil.dumpBodyEnd(out); %>
</body>
</html>

<%--
//
//$Log: ReportsWizard.jsp,v $
//Revision 1.69  2005/05/13 21:50:31  wuje
//Move reportsConfigBean.setLoginBean(loginBean); before init.
//
//Revision 1.68  2005/05/11 15:10:02  wuje
//Fixed bug 236554, Edit report and change target will effect the global target selection.
//
//Revision 1.67  2005/04/21 22:07:59  balunis
//Increased the size of the "wizardPageFrame" iframe to accommodate the target selection page in its entirety.
//
//Revision 1.66  2005/04/21 19:22:40  wuje
//Fixed bug233469. Use mx-subheader-nosep instead of subwindow-header for subtitle style.
//
//Revision 1.65  2005/04/08 21:05:54  wuje
//Rebuild the reporting tree every time start the wizard.
//
//Revision 1.64  2005/03/22 19:09:26  wuje
//Reset the reportGUID to null.
//
//Revision 1.63  2005/03/09 17:15:34  wuje
//Pass itemid string instead of itemGUID string between reportwizard and report config page.
//
//Revision 1.62  2005/01/28 18:31:39  wuje
//Add COLLECTION_SELECTION.
//
//Revision 1.61  2005/01/26 23:34:49  farley
//MxLoginBean: "C t l r" renamed to "C l i e n t"
//
//Revision 1.60  2005/01/26 03:21:12  farley
//style sheet cleanup
//
//Revision 1.59  2005/01/20 17:25:49  paynev
//Minor change to 2 URL labels.
//
//Revision 1.58  2005/01/18 23:22:37  yeh
//shorten parameters name and use items ID
//
//Revision 1.57  2005/01/17 22:46:18  wuje
//Add hidden query/collection stuff.
//
//Revision 1.56  2005/01/13 22:57:43  paynev
//Added reportFormat support. Also added setReportFromat().
//
//Revision 1.55  2005/01/13 01:40:50  farley
//changes for GUIDO
//
//Revision 1.54  2005/01/11 01:35:03  wuje
//Added MxCollection stuff.
//
//Revision 1.53  2005/01/06 21:53:07  wuje
//Checkin quake code.
//
//Revision 1.52  2004/12/20 22:42:18  paynev
//Updated to use new APIs to support Add Report & Update Report. Added quetyGUID
//& queryType.
//
//Revision 1.51  2004/12/08 23:49:58  balunis
//Quake changes for Task Wizard target selection
//
//Revision 1.50  2004/11/12 22:10:04  paynev
//Updated to support the new TreeView.
//
//Revision 1.49  2004/08/25 16:29:25  balunis
//CR42_19 Tools in Popup Windows: change to allow New Report and Manage Report to popup into same window.
//
//Revision 1.48  2004/07/22 19:21:00  balunis
//If these pages are started in a new window, "snapoff=true" needs to be propagated to targetSelection.jsp.
//
//Revision 1.46.4.3  2004/07/22 19:09:50  balunis
//If these pages are started in a new window, "snapoff=true" needs to be propagated to targetSelection.jsp.
//
//Revision 1.46.4.2  2004/07/16 18:59:15  balunis
//A cleaner fix for #255932.  Actions that use the Target Selection Page should encode the "btn2Text" before sending it to the Target Selection Page.
//
//Revision 1.46.4.1  2004/07/15 21:41:01  balunis
//Adding Task Wizard multiple window support. (for Montero)
//
//Revision 1.46  2004/04/06 21:04:36  wuje
//Use buildtree call.
//
//Revision 1.45  2004/04/06 20:27:45  wuje
//Use MxResourceBean to access the resource string.
//
//Revision 1.44  2004/03/05 00:45:43  wuje
//Fixed bug 251394 enter different case report name will not create a new report in Unix and Linux..
//
//Revision 1.43  2004/02/26 00:20:53  wuje
//Fixed localization bug.
//
//Revision 1.41  2004/02/24 01:05:08  wuje
//Use queryId instead of query name.
//
//Revision 1.40  2004/02/20 23:03:30  wuje
//Added code for localization.
//
//Revision 1.39  2004/02/18 18:44:51  wuje
//Fixed bug 252209 -- one user delete a report. the other user tries to edit cause exception.
//
//Revision 1.38  2004/02/16 22:50:29  wuje
//Use reportUtil.instance().
//
//Revision 1.37  2003/11/17 23:44:36  wuje
//Fixed bug 249063 and 249062. Report new select node list missing vertical scroll bar on Mozilla.
//
//Revision 1.36  2003/11/06 22:54:40  wuje
//fixed bug 245967. IE error after redisplay reporting tree.
//
//Revision 1.35  2003/10/30 21:54:58  wuje
//Fixed bug 248197. ReportWizard page scroll height depends on the repor manage page now.
//
//Revision 1.34  2003/10/23 19:25:48  wuje
//Fixed the bug 243506.
//
//Revision 1.33  2003/10/22 15:07:44  wuje
//Fixed bug 247747. License key did not get checked.
//
//Revision 1.32  2003/10/22 14:19:01  wuje
//Fixed bug 247747. License key did not get checked.
//
//Revision 1.31  2003/10/21 21:22:21  wuje
//Fixed bug 247481 "Next >" do not internationalized.
//
//Revision 1.30  2003/10/20 21:34:11  wuje
//Added buildtree with locale input. Changed scroll height from 400 to 355 to fix bug 246043 on Mozilla.
//
//Revision 1.29  2003/10/20 17:28:35  balunis
//Fixed issue 247699.  Increased the size of the <iframe> from 500 to 900.
//
//Revision 1.28  2003/10/10 15:17:58  wuje
//Fixed bug about change window size during the first time to access new and edit function from manage repor.
//
//Revision 1.27  2003/10/08 20:01:35  wuje
//Fixed bug resize the reporting children window.
//
//Revision 1.26  2003/10/03 20:42:09  wuje
//Use dynamic query in reporting.
//
//Revision 1.25  2003/09/30 21:22:55  wuje
//Added target nodes/list information to step 2 reporting pages. bug 245891
//
//Revision 1.24  2003/09/25 21:26:35  wuje
//Fixed save button enable/disabled problem.
//
//Revision 1.23  2003/09/24 18:15:15  wuje
//Filter event list from select target for reporting. bug # 245646.
//
//Revision 1.22  2003/09/24 15:31:46  wuje
//Fixed select node from system list, go new report, reports empty result.
//
//Revision 1.21  2003/09/22 22:26:14  wuje
//Removed debug msg.
//
//Revision 1.20  2003/09/22 22:03:36  wuje
//Fixed save report bugs. 245580, 245582...
//
//Revision 1.19  2003/09/22 13:36:41  wuje
//Fixed couple report save bugs. 245580,245582...
//
--%>


