<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/reporting/displayDiffReport.jsp,v $
//$Revision: 1.43 $
//$Date: 2005/06/02 22:43:44 $
--%>
<%--
The last screen in the snapshot comparison sequence of screens.
The screen shows a message that it will refresh every 5 seconds till the comparision
is finished. Once finished the text data link will become active.
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.client.MxInventoryClient"%>
<%@ page import="com.hp.mx.portal.ui.MxDateAndTime"%>
<%@ page import="java.util.List"%>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.core.tools.comparison.MxDiffReportParams" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem"  %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="snapshotComparisonBean" class="com.hp.mx.portal.reporting.SnapshotComparisonBean" scope="session"/>
<jsp:useBean id="categoryTableModel" class="com.hp.mx.html.core.MxDiffCategoriesTable" scope="session"/>
<jsp:useBean id="categorySelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="baseLineSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="snapshotComparisonRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    DebugSubsystem SnapReports = DebugOutput.getDebugSubsystem("SnapshotReport");

    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.REPORT_VIEW_SECURED_DATA_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

        MxInventoryClient invClient = loginBean.getInventoryClient();

        int sessionID = (int) Math.abs(loginBean.getXeUserSession().getSessionId());
        boolean bError = false;

        if ( ! snapshotComparisonBean.getIsRunning() )
        {
            List selectCategories = categoryTableModel.getSelectedCategories(categorySelectionModel.getSelectedIndices());
            //snapshotComparisonBean.setCompareCategories(selectCategories);
            int[]  selectBaselines   = baseLineSelectionModel.getSelectedIndices();
            int selectBaseline = 0;
            if ( selectBaselines.length == 1 )
            {
                selectBaseline = selectBaselines[0];
            }
            snapshotComparisonBean.setIsRunning(true);
            snapshotComparisonBean.setSessionID(sessionID);

            // this is the call that actually does the comparison of snapshots
            invClient.compareSnapshots(selectCategories, snapshotComparisonBean.getNodeSnapshots(),snapshotComparisonBean.getOSName(),selectBaseline,loginBean.getLocale(),sessionID);
         }

        long reportTime = invClient.getDiffReportTime(sessionID);
        String reportTimeString = null;
        if ( reportTime != 0 )
        {
            MxDateAndTime dateTime = new MxDateAndTime(loginBean.getLocale(),loginBean.getTimeZone(),reportTime);
            reportTimeString = dateTime.getDateTimeStringSIMFormat();
        }
        else
        {
            reportTimeString = snapshotComparisonRes.getString("TIME_UNKNOWN");
        }
        String reportStatus = snapshotComparisonRes.getString(invClient.getDiffReportStatus(sessionID));
        DebugOutput.log(SnapReports, 15, "displayDiffReport reportStatus="+reportStatus  +" \n");
        String metaHttpEqu;
        String metaContent;
        if ( invClient.isDiffReportDone(sessionID) )
        {
            if (invClient.getDiffReportStatus(sessionID).compareTo(MxDiffReportParams.DIFF_IOEXCEPTION) == 0)
            {
             out.print("<script>alert('"+    snapshotComparisonRes.getString(MxDiffReportParams.DIFF_IOEXCEPTION2)+ "');</script>");
             bError = true;
            }
             metaHttpEqu = "content-type";
             metaContent = "text/html; charset=UTF-8";
       }
        else
        {
            metaHttpEqu = "refresh";
            metaContent = "5;";
        }

        String timeStamp = request.getParameter("timeStamp");

        MxButtons buttons = new MxButtons();
        buttons.clearMxTags();

        MxTag btnPrevTag = new MxDefaultTag("btnPrev", snapshotComparisonRes.getString("BUTTON_PREV"), "prevPage()");
        btnPrevTag.setAttr(MxTag.TYPE, "submit");
        buttons.addMxTag(btnPrevTag);

%>

<html>
    <head>
        <meta http-equiv='<%=metaHttpEqu%>' content='<%=metaContent%>'>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </HEAD>
    <body>
        <script language='javascript' type='text/javascript'>
            MxPortalWorkspaceSetHelpTopic("feature_report_snapshot");
            // there is no DIFF_REPORT_STEP4 entry in the snapshot comparison . properties file.
            // looking at the histroy of the file, no deletion of the entry was found, it seems that
            // the entry never existed in the file. An exception is thrown that references DIFF_REPORT_STEP4
            parent.scrollTo(0, 0);  // bug fix 263239
            parent.document.getElementById('wizStep').innerHTML = '<%=snapshotComparisonRes.getString("DIFF_REPORT_STEP4")%>';
        </script>

<%
    if ( invClient.isDiffReportDone(sessionID))
    {
%>
        <table>
            <tr>
                <td>
                    <font class='info'>
                        <%=snapshotComparisonRes.getString("ENGINE_STATUS_STRING") + ' ' + reportStatus %>
                    </font>
                </td>
            </tr>
            <tr>
                <td>
                    <font class='info'>
                        <%=snapshotComparisonRes.getString("REPORT_GENERATED_TIME") + ' ' + reportTimeString %>
                    </font>
                </td>
            </tr>
<%
    if ( bError == true)
    {
%>
            <tr>
                <td>
                    <font class='errorTextBold'>
                         <%=snapshotComparisonRes.getString(MxDiffReportParams.DIFF_IOEXCEPTION2)%>
                    </font>
                </td>
            </tr>
        </table>
<%
    }
    else
    {
%>
            <tr>
                <td>
                    <font class='info'>
                        <%=snapshotComparisonRes.getString("VIEW_REPORT")%>
                    </font>
                </td>
            </tr>
            <tr>
                <td>
                    <font class='links'>
                        <a class="mx-link" href="<%="../reports/" + sessionID + "/report.txt"%>" target="new11">
                            <%=snapshotComparisonRes.getString("VIEW_TEXT")%></a>
                    </font>
                </td>
            </tr>
        </table>
<%
    }
    }
    else
    {
%>
    <table>
        <tr>
            <td>
                <font class='info'>
                    <%=snapshotComparisonRes.getString("ENGINE_STATUS_STRING") + reportStatus %>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <font class='info'>
                    <b><%=snapshotComparisonRes.getString("DIFF_DISPLAY_REFRESH") %></b>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <font class='links'>
                    <%=snapshotComparisonRes.getString("VIEW_TEXT")%>
                </font>
            </td>
        </tr>
    </table>
<%
    }
%>
        <SCRIPT language='javascript' type='text/javascript'>
            function prevPage()
            {
                location.replace("selectCategories.jsp?timeStamp=<%=timeStamp%>");
            }
        </SCRIPT>

    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
