<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/reporting/selectCategories.jsp,v $
//$Revision: 1.41 $
//$Date: 2005/05/05 19:21:02 $
--%>
<%--
This file brings up the third screen in the snapshot reporting sequence.
The screen will display a table of categories.
The categories are sets of data that will be included or excluded in the comparison report.
The screen will also display a radio button list of the 2-MAX compare items to be compared.
The chosen item in the radio list will be the report used as the base point for the comparison.
--%>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.client.MxInventoryClient"%>
<%@ page import="com.hp.mx.portal.core.MxObj"%>
<%@ page import="com.hp.mx.core.tools.comparison.MxNodeSnapshot"%>
<%@ page import="com.hp.mx.html.table.MxTableView2" %>
<%@ page import="com.hp.mx.html.table.MxTableController" %>
<%@ page import="com.hp.mx.html.table.MxDefaultTableSelectionModel" %>
<%@ page import="com.hp.mx.html.table.MxTableSelectionModel" %>

<%@ page import="java.util.List"%>
<%@ page import="java.util.Vector"%>

<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="snapshotComparisonBean" class="com.hp.mx.portal.reporting.SnapshotComparisonBean" scope="session"/>
<jsp:useBean id="singleTableModel" class="com.hp.mx.html.core.MxSnapshotTable" scope="session"/>
<jsp:useBean id="singleSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="categoryTableModel" class="com.hp.mx.html.core.MxDiffCategoriesTable" scope="session"/>
<jsp:useBean id="categorySelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="categoryTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="categoryController" class="com.hp.mx.html.table.MxTableController" scope="session" />
<jsp:useBean id="baseLineTableModel" class="com.hp.mx.html.core.MxSnapshotTable" scope="session"/>
<jsp:useBean id="baseLineSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="baseLineTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="baseLineController" class="com.hp.mx.html.table.MxTableController" scope="session" />
<jsp:useBean id="snapshotComparisonRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.REPORT_VIEW_SECURED_DATA_PRIVILEGE))
    {
%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%
    }

    // this call does a whole bunch of checking. If any of those checks determines that
    // the JSP page should abort, true is returned from this call.
    // a false result means all the checks passed, and we procede to display the table.
    if (categoryController.checkUrlForControllerMessages(request, out)) return;
    if (baseLineController.checkUrlForControllerMessages(request, out)) return;

    String timeStamp = request.getParameter("timeStamp");

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag btnPrevTag = new MxDefaultTag("btnPrev", snapshotComparisonRes.getString("BUTTON_PREV"), "prevPage()");
    btnPrevTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(btnPrevTag);

    MxTag btnNextTag = new MxDefaultTag("btnNext", snapshotComparisonRes.getString("SHOW_DIFF_REPORT"), "nextPage()");
    btnNextTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(btnNextTag);
%>

<html>
    <HEAD>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% categoryTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </HEAD>
    <body onload="init()">
        <script language='javascript' type='text/javascript'>
            MxPortalWorkspaceSetHelpTopic("feature_report_snapshot");
            var x = parent.document.getElementById("wizStep");
            if (x != null)
            {
                x.innerHTML = '<%=snapshotComparisonRes.getString("DIFF_REPORT_STEP3")%>';
            }
        </script>
<%
    MxInventoryClient invClient = loginBean.getInventoryClient();
    // this is odd, seems like the bean should control if its own running state
    snapshotComparisonBean.setIsRunning(false);

    List categories = invClient.getComparableCategory(snapshotComparisonBean.getOSName());
    // display a message for the user about what to do with the category table
    String mesString = snapshotComparisonRes.getString("DIFF_SELECT_CATEGORY");

    out.println("<br><table><tr><td><font class='info'> " );
    out.println(mesString + " </font> </td></tr></table>");

    int currentSelectedNodeNum = snapshotComparisonBean.getNumberOfSelectedNodes();

    // strings for the title columns in the table of categories
    String categoryNameStr = snapshotComparisonRes.getString("CATEGORY_NAME");
    String categoryDespStr = snapshotComparisonRes.getString("DESCRIPTION");

    // it seems that there are several classes used to create the table
    // categoryController
    //      has a member of categoryTableModel, categorySelectionModel, categoryTableView
    // categoryTableModel
    // categoryTableView
    // categorySelectionModel
    // how those interact appears to be done by their connection as members of the
    // categoryController class
    categoryTableModel.initTable
            (categories,categoryNameStr,categoryDespStr,snapshotComparisonRes);

    //if (categoryController.isFirstTime())
   // {
        categoryTableView.setId("diffCategorySelection");
        categoryTableView.setUrlHandler(request.getRequestURI());
        categoryTableView.setOnSelectionChange("diffCategoryChanged");
        categoryController.setTableModelWithSorting(categoryTableModel);
        categoryController.setSelectionModel(categorySelectionModel);
        categoryController.setTableView(categoryTableView);
    //}
    if ( snapshotComparisonBean.isBaselineChanges() )
    {
        categoryTableModel.fireTableDataChanged();
        categorySelectionModel.setAllIndicesSelected(false);
    }

    categoryTableView.dumpWholeTable(out);

    List selectSnapshot = null;

    // this section will produce the radio button list of which snapshot to use as the baseline
    // when going from screen 2 to screen 3, the first item in the list will be selected
    // however when going from screen 4 to screen 3, need to display what the user had
    // selected when they hit next on screen 3. In that case it could be any of the choices
    if ( currentSelectedNodeNum == 1 )
    {
        // If selected Node is 1, then selected snapshot is based on previous MxTable view
        selectSnapshot = singleTableModel.getSelectedSnapshot(singleSelectionModel.getSelectedIndices());
    }
    else  // Select node number is 2 to 4
    {
        selectSnapshot = new Vector();
        List currentSelectedNode    = snapshotComparisonBean.getNodeList();

        for(int i=0; i< currentSelectedNodeNum; i++)
        {
            MxObj aNode = (MxObj) currentSelectedNode.get(i);

            String nodeName = aNode.getHostName();

            int nodeKey = aNode.getMxNode().getDeviceKey();
            boolean prev = (request.getParameter("prev") != null);
            boolean fromP = (request.getParameter("fromSelectSnapshots") != null);
            System.out.println(" selectcategories prev="+prev+ " fromP="+fromP+"\n");

            String snapshotID = request.getParameter("diff" + nodeName);

            if ( ( snapshotID != null ) && ( snapshotID.trim().length() > 0 ) )
            {
                //
                // This is used in case of back menu from displayReports.jsp
                //
                long snapshotLUID = (new Long(snapshotID)).longValue();

                MxNodeSnapshot aSnapshot = invClient.getNodeSnapshot(nodeKey,nodeName,snapshotLUID);
                selectSnapshot.add(aSnapshot);
            }
        }
    }

    int  selectedCategoriesNum = categorySelectionModel.getSelectedIndices().length;

    if ( selectSnapshot.size() != 0)
    {
        snapshotComparisonBean.setNodeSnapshots(selectSnapshot);
    }
    // strings for the names of columns in the table of items to select a base line from
    String hostNameStr = snapshotComparisonRes.getString("HOSTNAME");
    String colTimeStr = snapshotComparisonRes.getString("COL_TIME");
    String despStr = snapshotComparisonRes.getString("DESCRIPTION");

    // create a table of baselines, similar algorithm to the table creation above
    baseLineTableModel.initTable(snapshotComparisonBean.getNodeSnapshots(),
                                 hostNameStr,colTimeStr,despStr,loginBean.getLocale(),loginBean.getTimeZone());

    if (baseLineController.isFirstTime())
    {
        baseLineTableView.setId("baseline_Selection");

        baseLineSelectionModel.setSelectionMode(MxTableSelectionModel.SINGLE_SELECTION);
        baseLineTableView.setUrlHandler(request.getRequestURI());
        baseLineController.setTableModelWithSorting(baseLineTableModel);
        baseLineController.setSelectionModel(baseLineSelectionModel);
        baseLineController.setTableView(baseLineTableView);
        baseLineSelectionModel.setSelectedIndex(0, true);
    }

    if ( snapshotComparisonBean.isBaselineChanges() )
    {
        baseLineTableModel.fireTableDataChanged();
        baseLineSelectionModel.setSelectedIndex(0, true);
        snapshotComparisonBean.setBaselineChanges(false);
    }

    mesString = snapshotComparisonRes.getString("DIFF_SELECT_BASELINE");
    out.println("<br><br><table>   <tr><td><font class='info'> " );
    out.println(mesString + " </font> </td></tr></table>");
    baseLineTableView.dumpWholeTable(out);
%>
        <SCRIPT language='javascript' type='text/javascript'>
            function init()
            {
                if ( '<%=selectedCategoriesNum%>' >= 1 )
                {
                    ourButtonManager.enableButtonById('btnNext');
                }
                else
                {
                    ourButtonManager.disableButtonById('btnNext');
                }
            }

            function diffCategoryChanged(szIdTable, iRow, bSelected)
            {
                var categorySel = MxTableGetSelections(szIdTable);

                if ( categorySel.length >= 1 )
                {
                    ourButtonManager.enableButtonById('btnNext');
                }
                else
                {
                    ourButtonManager.disableButtonById('btnNext');
                }
            }

            function nextPage()
            {
                location.replace("displayDiffReport.jsp?timeStamp=<%=timeStamp%>");
            }

            function prevPage()
            {
                location.replace("selectSnapshots.jsp?timeStamp=<%=timeStamp%>&prev=1");
            }

        </SCRIPT>

    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>

<% MxHtmlUtil.dumpBodyEnd(out); %>
<SCRIPT language='javascript' type='text/javascript'>
    parent.scrollTo(0, 0);
</SCRIPT>
    </body>
</html>
