<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/reporting/selectSnapshots.jsp,v $
//$Revision: 1.63 $
//$Date: 2005/06/28 21:47:14 $
--%>
<%--
// This jsp displays the second screen in the series of snapshot reporting screens.
// The screen contains the name of each system that is part of the comparison.
// Under the name of each system is a drop downlist. That list will contain all the
// reports (single instance, or snapshot) for that device. The user can select an
// item from the list.
// If there is only one system selected, the screen does not display as described above.
// Instead a table of all the reports for that single device is displayed.
--%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.client.MxInventoryClient"%>
<%@ page import="com.hp.mx.core.tools.comparison.MxNodeSnapshot"%>
<%@ page import="com.hp.mx.portal.core.MxObj"%>
<%@ page import="com.hp.mx.portal.ui.MxDateAndTime"%>
<%@ page import="com.hp.mx.html.table.MxTableView2" %>
<%@ page import="com.hp.mx.html.table.MxTableController" %>
<%@ page import="com.hp.mx.html.table.MxDefaultTableSelectionModel" %>
<%@ page import="com.hp.mx.html.table.MxTableSelectionModel" %>

<%@ page import="java.util.List"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.net.URLEncoder"%>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.objectmodel.MxObjectID" %>
<%@ page import="com.hp.mx.core.objectmodel.MxGUID" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.reporting.SnapshotSelectionTable"%>
<%@ page import="com.hp.mx.utilities.DebugOutput"%>
<%@ page import="com.hp.mx.utilities.DebugSubsystem"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="snapshotComparisonBean" class="com.hp.mx.portal.reporting.SnapshotComparisonBean" scope="session"/>
<jsp:useBean id="singleTableModel" class="com.hp.mx.html.core.MxSnapshotTable" scope="session"/>
<jsp:useBean id="singleSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="singleTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="singleController" class="com.hp.mx.html.table.MxTableController" scope="session" />
<jsp:useBean id="snapshotComparisonRes" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>
<jsp:useBean id="showSnapshots" class="com.hp.mx.portal.reporting.ShowNodeSnapshots" scope="session"/>

    <%  // Set Necessary HTTP header attributes (for localization and caching)
    DebugSubsystem dbg = DebugOutput.getDebugSubsystem("SnapshotReport");
    MxBean.jspInit(request, response);

    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.REPORT_VIEW_SECURED_DATA_PRIVILEGE))
    {
    %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />

    <%
    }
    if (singleController.checkUrlForControllerMessages(request, out)) return;
    String timeStamp  = request.getParameter("timeStamp");
    boolean prev = (request.getParameter("prev") != null);
    boolean fromP = (request.getParameter("fromSelectTargets") != null);
    DebugOutput.log(dbg, 15, "selectsnapshots.jsp prev="+prev+ " fromP="+fromP+"\n");
    String temp="";
    MxTaskWizardInstance taskWizard = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag btnPrevTag = new MxDefaultTag("btnPrev", snapshotComparisonRes.getString("BUTTON_PREV"), "prevPage()");
    MxTag btnNextTag = new MxDefaultTag("btnNext", snapshotComparisonRes.getString("BUTTON_NEXT"), "nextPage()");

    btnPrevTag.setAttr(MxTag.TYPE, "submit");
    btnNextTag.setAttr(MxTag.TYPE, "submit");

    buttons.addMxTag(btnPrevTag);
    buttons.addMxTag(btnNextTag);

    %>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <% MxHtmlUtil.dumpHeadBegin(out); %>
        <% buttons.dumpHeadContent(out); %>
        <% singleTableView.dumpHeadContent(out); %>
        <% MxHtmlUtil.dumpHeadEnd(out); %>
    </head>

    <body onload='init()'>

        <script language='javascript' type='text/javascript'>
            MxPortalWorkspaceSetHelpTopic("feature_report_snapshot");
        </script>


        <script language='javascript' type='text/javascript'>
            MxPortalWorkspaceSetSubtitleHtml("<%=snapshotComparisonRes.getString("TARGETS_STRING")%>"+":&nbsp;"+
                "<%=taskWizard.getSelectedNodesString()%>");
            parent.document.getElementById('wizStep').innerHTML = '<%=snapshotComparisonRes.getString("DIFF_REPORT_STEP2")%>';
        </script>
        <jsp:setProperty name="snapshotComparisonBean" property="*" />
        <jsp:setProperty name="showSnapshots" property="loginBean" value="<%= loginBean %>" />
        <jsp:setProperty name="showSnapshots" property="jspWriter" value="<%= out %>" />
        <jsp:setProperty name="showSnapshots" property="taskWizard" value="<%= taskWizard %>" />
        <jsp:setProperty name="showSnapshots" property="resourceBundle" value="<%= snapshotComparisonRes %>" />
        <jsp:setProperty name="showSnapshots" property="snapshotTable" value="<%= singleTableModel %>" />
        <jsp:setProperty name="showSnapshots" property="tableView" value="<%= singleTableView %>" />
        <jsp:setProperty name="showSnapshots" property="tableController" value="<%= singleController %>" />
        <jsp:setProperty name="showSnapshots" property="selectionModel" value="<%= singleSelectionModel %>" />
        <jsp:setProperty name="showSnapshots" property="prev" value="<%= prev %>" />
        <jsp:setProperty name="showSnapshots" property="request" value="<%= request %>" />
        <%


     if ( ! snapshotComparisonBean.getIsRunning() )
     {
     DebugOutput.log(dbg, 15, "selectsnapshots.jsp bean is not running \n");
     snapshotComparisonBean.initialize(loginBean);
     snapshotComparisonBean.initBean(out,loginBean);
     snapshotComparisonBean.setIsRunning(true);
     int sessionID = (int) Math.abs(loginBean.getXeUserSession().getSessionId());
     snapshotComparisonBean.setSessionID(sessionID);
     }

       boolean isNodesChanged  = snapshotComparisonBean.setCompareNodes(taskWizard.getMxObjNodeList().toList());

       DebugOutput.log(dbg, 15, "selectsnapshots.jsp Before set bean os="+snapshotComparisonBean.getOSName()+"\n");
       showSnapshots.setSnapshotComparisonBean(snapshotComparisonBean);
       showSnapshots.initialize();
       singleSelectionModel = showSnapshots.getSelectionModel();
       showSnapshots.dumpSnapshots();
     %>


        <SCRIPT language='javascript' type='text/javascript'>
        /**
         * iRow: For performance reasons, this will be MxTableSortingModel.ID_SELECTOR
         * if all items are selected or deselected at once (rather than sending
         * events for all items in the table).
         *
         * bSelected: current selection state (true = selected)
         */
        function init()
        {
            if (<jsp:getProperty name="showSnapshots" property="nextButtonEnabled"/>)
            {
                ourButtonManager.enableButtonById('btnNext');
            }
            else
            {
                ourButtonManager.disableButtonById('btnNext');
            }
           }

        /**
         * This function is called when the user selects an item in the table of snapshots
         * iRow: For performance reasons, this will be MxTableSortingModel.ID_SELECTOR
         * if all items are selected or deselected at once (rather than sending
         * events for all items in the table).
         *
         * bSelected: current selection state (true = selected)
         */
        function singleSnapshotChanged(szIdTable, iRow, bSelected)
        {
            var snapshotSel = MxTableGetSelections(szIdTable);
            //alert("singlesnapshotchanged,  snapshotSel="+snapshotSel);
            var max = <jsp:getProperty name="snapshotComparisonBean" property="maxItemsForComparison"/>
            if ( ( snapshotSel.length >= 2 ) && ( snapshotSel.length <= max ) )
            {
                ourButtonManager.enableButtonById('btnNext');
            }
            else
            {
                ourButtonManager.disableButtonById('btnNext');
            }
        }

        <%--
          java script that is called when user hits the next button.
          builds a URL with the selected targets in it, then replaces current frame
          with selectCategories.jsp

          Remember the browser won't run any of the code between the <%  %> tags!
          The code in the scriptlet tags forces the server to generate a function that looks like this:

          var nextURL = 'selectCategories.jsp';
          var selectedID = document.getElementById("diffNodename_1").value;
          nextURL = nextURL + '?=diffNodename_1' + selectedID;
          var selectedID = document.getElementById("diffNodename_2").value;
          nextURL = nextURL + '&=diffNodename_2' + selectedID;
          var selectedID = document.getElementById("diffNodename_3").value;
          nextURL = nextURL + '&=diffNodename_3' + selectedID;

          there will NOT be a while loop in the code the browser executes!
          there will be a 2 lines of code for each node selected
          the final url contains ALL the NODE names, followed by and index value for which snapshot was selected
          for that node. The node names are known values when this page is generated, and can not be changed
          by the user on this page. So the node names are fixed.

          The user on this page is selecting which snapshot to use in the comparison, one snapshot for each node.
          That is the part of this page that needs to be captured before moving to the next screen.

          Which snapshot for each node is determined when the user hits the next button by the line
                 selectedID = document.getElementById(xyz).value;
          what ever snapshot in the list will become an integer and included in the url. The final url is going
          to looks something like this:
             selectCategories.jsp?diffNode_1=-1&diffNode_2=2&diffNode_3=7&78347383782258
          The integers following the = in the url are the values inserted by this function, based on what the user
          selected. It seems they are the snapshot id (-1 for most recent data) some other value for historical
          data. The numbers are used to look it up in the data base.
          the long string of numbers at the end is the time stamp.
        --%>
        function nextPage()
        {
            var nextURL = 'selectCategories.jsp';
            //var snapshotSel = MxTableGetSelections("<!%= singleTableView.getId() %>");
            //alert("Next key,  snapshotSel="+snapshotSel);
            <%
            if (showSnapshots.getNumberNodesInCompare() > 1)
             {
                List nodes = showSnapshots.getSelectedNodes();
                Iterator it = nodes.iterator();
                String AND_CHAR="?";
                String nodeName;
                // In the while loop below, the first time AND_CHAR is used, it has the value "?",
                // after that it changes to "&" for the remaining iterations in the loop
                while(it.hasNext())
                {

                    MxObj aNode = (MxObj) it.next();
                    nodeName = aNode.getHostName();
                    %>
                    var selectedID = document.getElementById('<%="diff" + nodeName %>').value;
                    nextURL = nextURL + '<%=AND_CHAR + "diff" + nodeName %>=' + selectedID;
                    <%
                    AND_CHAR="&";
                }
              // new stuff, remember the selection from each node in the multiople nodes 4/29/2005
              // save it to ssTable (snapshotSelectionTable)
              List ssTableList = snapshotComparisonBean.getSSTable();
              if ((ssTableList == null) || (ssTableList.size() == 0))
                  DebugOutput.log(dbg, 15, "selectsnapshots.jsp ssTable is null \n");
              else
              {
              DebugOutput.log(dbg, 15, "selectsnapshots.jsp ssTableList size ="+ssTableList.size());
              int[] sels;
              int sel = 0;
              int index=0;
              for (Iterator i = ssTableList.iterator(); i.hasNext(); )
              {
               SnapshotSelectionTable ssTable = (SnapshotSelectionTable) i.next();
               if (ssTable != null)
               {
               sels = ssTable.getSelectionModel().getSelectedIndices();
                if (sels.length == 1)
                {
                    sel = sels[0];
                }
               index += 1;
               }
              }
              }
            }
            %>
            // there may or may not be parameters already added to the URL.  If not, then we append "?",
            // else we append "&" as the parameter separator

            nextURL += (nextURL.indexOf("?") == -1) ? "?" : "&";
            nextURL += "timeStamp=<%=timeStamp%>";
            nextURL += "&fromSelectSnapshots=1";
            //document.write("<a href="+nextURL+">next</a>");
            //alert("url="+nextURL);
            location.replace(nextURL);
        }

        /*   Function is called when user hits the previous button.
             replaces the frame with selectTargets.jsp. No data from the current screen
             is passed to the selectTargets.jsp
        */
        function prevPage()
        {
            var url = "<%=MxOptions.URL_BASE%>/taskandjob/targetSelection.jsp";
            //var params = "?max-targets=4&btn2Text=<%= URLEncoder.encode( snapshotComparisonRes.getString("BUTTON_NEXT"), "UTF-8") %>&btn2Function=parent.selectSnapshots()&listType=systemLists&timeStamp=<%=timeStamp%>&prev=1";
            var params = "?max-targets=<jsp:getProperty name="snapshotComparisonBean" property="maxCompareAsString"/>"
            params += "&btn2Text=<%= URLEncoder.encode( snapshotComparisonRes.getString("BUTTON_NEXT"), "UTF-8") %>"
            params += "&btn2Function=parent.selectSnapshots()&listType=systemLists&timeStamp=<%=timeStamp%>&prev=1";
            //document.write("<a href="+url+params+">prev</a>");
            location.replace(url + params);
        }
        </SCRIPT>

        <%--  display the previous and next buttons --%>
        <div style="margin-top:15px">
            <% buttons.dumpButtons(out); %>
        </div>
        <% MxHtmlUtil.dumpBodyEnd(out); %>
        <SCRIPT language='javascript' type='text/javascript'>
           parent.scrollTo(0, 0);
        </SCRIPT>
    </body>
</html>
