<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="aoEventSearchUI" class="com.hp.mx.portal.search.MxActionOnEventSearchUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsearch" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
    rbsearch.init(loginBean, "MxSearch");
    aoEventSearchUI.init(loginBean, rbsearch.getBundle(), 1);

    String edit = request.getParameter("edit");

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
%>

<html>

<head>
<title></title>
<link type='text/css' rel='stylesheet' href='css/MxSearch.css'>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>

<script language="JAVASCRIPT">

// Get the URL parameters which tell us if we're launched in another UI
// or we're in edit mode
var inframe = "<%=request.getParameter("inframe") %>";
var edit = "<%=request.getParameter("edit") %>";
var queryId = "<%=request.getParameter("queryId") %>";
var queryName = "<%=request.getParameter("queryName") %>";

// Load the initial selection box inner HTML from the search bean
var InitCriteriaBoxHTML = "<% aoEventSearchUI.dumpInitCriteriaListBox(out); %>";
var InitCompBoxHTML = "<% aoEventSearchUI.dumpInitCompListBox(out); %>";
var InitValBoxHTML = "<% aoEventSearchUI.dumpInitValueListBox(out); %>";
var InitEmptyValBoxHTML = "<% aoEventSearchUI.dumpEmptyInitValueListBox(out); %>";

// Load the comp selection box inner HTML variables from the search bean
<% aoEventSearchUI.dumpCompSelectionBoxHTMLVariables(out); %>

// Load the value selection box inner HTML variables from the search bean
<% aoEventSearchUI.dumpValueSelectionBoxHTMLVariables(out); %>

// Load the date information for the time criteria
var todaysDate = "<%=aoEventSearchUI.getTodaysDate() %>";
var tomorrowsDate = "<%=aoEventSearchUI.getTomorrowsDate() %>";
var currentTime = "<%=aoEventSearchUI.getCurrentTime() %>";
var ampmHTML = "<%=aoEventSearchUI.getAmPmHTML() %>";
var timeZone = "<%=aoEventSearchUI.getTimeZone() %>";

// Load the Version Control Repository Status
var isVCRepositoryConnected = <%=aoEventSearchUI.getIsVCConnected() %>;

</script>

<script src="js/MxSearchApi.jsp" language="JavaScript" type="text/javascript"></script>

<script language="JAVASCRIPT">

// Clear the event type trees

// Clear the event type trees
<% aoEventSearchUI.clearEventTypeTrees(); %>

// Load the script functions from the event search bean
<% aoEventSearchUI.setQueryId(request.getParameter("queryId")); %>
<% aoEventSearchUI.loadScriptFunctions(out); %>

function init()
{
<%
    String previous = request.getParameter("previous");

    if (edit != null)
        aoEventSearchUI.loadCurrentActionOnEvents("events", request.getParameter("queryId"), "edit", out);
    else
        aoEventSearchUI.loadCurrentActionOnEvents("events", request.getParameter("queryId"), "new", out);
%>

    // Set the help context
    resetHelpContext();
}

function resetHelpContext()
{
    MxPortalWorkspaceSetHelpTopic("monitor_search_event");
    if (edit == "customize")
        MxPortalWorkspaceSetHelpTopic("monitor_lists_event_edit");
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body name="SearchBody" id="SearchBody" onLoad="onSearchLoad()" onResize="resizeFrame(50)">
<div name="searchDiv" id="searchDiv">
<div name="criteriaDiv" id="criteriaDiv">

<!--Begin header-->

<!--End header-->
<!--Begin divQry-->

<DIV name="divQry" id="divQry" style="padding-left:10px">

<table ID="tabCriteria" NAME="tabCriteria"
    cellspacing="0" cellpadding="2" border="0">
    <tbody ID="tabCriteriaBody" NAME="tabCriteriaBody">
    </tbody>
</table>

</DIV>

<!--End divQry-->

<!--Begin footer-->

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

<!--End footer -->
<input type='hidden' name='crit1' value="">
<input type='hidden' name='comp1' value="">
<input type='hidden' name='val1' value="">

</div>
<IFRAME ID="resultSpace" NAME="resultSpace" SRC="blank.html" WIDTH=100% HEIGHT=1 SCROLLING=NO FRAMEBORDER=0></IFRAME>
<IFRAME ID="HierCommSpace" SRC="blank.html" style="position:absolute; display:none" height=1 width=1></IFRAME>
<form method="POST" target="resultSpace" action="" id="SearchForm" name="SearchForm">
</form>

</div>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
