<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="clusterSearchUI" class="com.hp.mx.portal.search.MxClusterSearchUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsearch" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="searchCustomizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session" />
<jsp:useBean id="customizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session" />

<%
    MxBean.jspInit(request, response);
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
    if (searchCustomizeBean.isFirstTime())
        searchCustomizeBean.initBean(loginBean);
    rbsearch.init(loginBean, "MxSearch");
    clusterSearchUI.clearExceptionMsg();
    int queryId = clusterSearchUI.saveSearch(request);
    String inframe = request.getParameter("inframe");
    if (inframe != null && inframe.equals("customize") && queryId > 0)
        customizeBean.setSelectedId(Integer.toString(queryId));
%>
<html>

<head>
<title></title>
<link type='text/css' rel='stylesheet' href='css/MxSearch.css'>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script language="JAVASCRIPT">
    var saveOKMsg = "<%=rbsearch.getString("saveOKMsg")%>";
    var saveErrMsg = "<%=rbsearch.getString("saveErrMsg")%>";
    var queryId = <%=queryId %>;

    if (queryId != 0)
    {
        // If the query Id is < 0, there was an error
        if (queryId < 0)
            alert(saveErrMsg);
        else
        {
            // Otherwise, the query saved successfully
            alert(saveOKMsg);
            MxPortalRefreshNavigationArea();
        }
        if (parent.inframe == "customize")
            parent.parent.refreshMyself("refreshsave");
        else
            MxPortalRefreshRightSide();
    }
    else if (queryId == 0)
    {
        // If the queryId returned was 0, there was a stale invalid value
        var msg = "<%=rbsearch.getPlusOne("invalidValueErrMsg", clusterSearchUI.getInvalidValueErrMsg())%>";

        // Send an alert with the invalid value
        alert(msg);
        parent.resetHelpContext();
        document.location.replace("blank.html");
    }

</script>
</head>

<body>

</body>

</html>
