<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="systemSearchUI" class="com.hp.mx.portal.search.MxSystemSearchUI" scope="session" />
<jsp:useBean id="rbMonitor" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="searchCustomizeBean" class="com.hp.mx.portal.monitor.MxCustomizeBean" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsearch" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%
    MxBean.jspInit(request, response);
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
    rbsearch.init(loginBean, "MxSearch");
    if (searchCustomizeBean.isFirstTime())
        searchCustomizeBean.initBean(loginBean);

    systemSearchUI.loadSearchCriteria(request);
    searchCustomizeBean.setBranchType("sysbranch");

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("ok_button", rbsearch.getString("button.ok"), "checkAndSubmit('System')"));
    buttons.addMxTag(new MxDefaultTag("cancel_button", rbsearch.getString("button.cancel"), "closeSave()"));
%>

<html>

<head>
<title></title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/search/css/MxSearch.css'>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>
<script src="./js/MxSaveSearchApi.jsp" language="JavaScript" type="text/javascript"></script>

<script language="JAVASCRIPT">

// Set the help context
resetHelpContext();

function resetHelpContext()
{
    MxPortalWorkspaceSetHelpTopic("monitor_search_saveAs");
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onLoad='onSaveLoad()' onResize="resizeFrame()">
<div id='saveDiv'>
<form method='POST' name='saveForm' id='saveForm' autocomplete='off' action='DoSaveSystemSearch.jsp' onSubmit='return false'>
    <HR>
    <table border="0" cellspacing="0" cellpadding="0">
    <tr>
        <td colspan='2'>
            <font class='mx-subheader-nosep'><%=rbsearch.getString("saveList")%></font>
            <br><br>
        </td>
    </tr>
    <tr>
        <td colspan='2'><span class="required_label"><%=rbsearch.getString("required")%>*</span><br><br></td>
    </tr>
    <tr>
        <td style='padding-top:4px'><%=rbsearch.getString("name")%>&nbsp;<span class="required">*</span></td>
        <td><input name='name' id='name' type='text' width='30' maxlength='70' onKeyup='checkBlankName()'  onClick='setTimeout("checkBlankName()", 3000)' onPaste='setTimeout("checkBlankName()", 100)'></td>
    </tr>
    <tr><td style='height:10px'></td></tr>
    <tr>
        <td style='padding-top:4px'><%=rbMonitor.getString("customize.placein")%>&nbsp;</td>
        <td>
           <select id='parentCol' name='parentCol'><%searchCustomizeBean.dumpCollectionsOnlyInOptionBox(out, null, null); %></select>
        </td>
    </tr>
</table>
<input type='hidden' id='selectedCollection' name='selectedCollection' value=''>
<input type='hidden' id='inframe' name='inframe' value=''>

<div style='margin-top:15px'>
    <% buttons.dumpButtons(out); %>
</div>

</form>
<IFRAME ID="commSpace" NAME="commSpace" SRC="blank.html" style="position:absolute;display:none" height=1 width=1></IFRAME>
</div>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
