<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/security/sshKeysListDetails.jsp,v $
// $Revision: 1.12 $
// $Date: 2005/06/11 01:25:32 $
//
%>

<%@ page info="Managed Node SSH Public Keys Import"%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="myBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="sshTableSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="sshBean" class="com.hp.mx.portal.security.SshKeysBean" scope="session"/>

<%!
    /** **********************************************************************
     * The debug object
     ************************************************************************ */
    public DebugSubsystem groupConfigurationDebug =
        DebugOutput.getDebugSubsystem("Keystore");
    public String srcTableDomId = "ID_MY_SRC_SSHKEYS_TABLE";
%>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // This aborts the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE))
    {%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
  <%}

   int status=0;
    // Set up the resource file
    myBundle.init(loginBean, "TrustedCertificate");
    sshBean.initBean(out, loginBean, sshTableSelectionModel);

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnOK", myBundle.getString("tcert.ok.button"), "checkfilename();"));
    buttons.addMxTag(new MxDefaultTag("btnCancel", myBundle.getString("tcert.cancel.button"), "parent.location.href='sshKeysList.jsp'"));
%>

<html>
<head>

<%
  if (request.getMethod().equals("POST"))
    {
        // process file and import the keys in it
        int returnStatus = sshBean.processDetailsPost(request,  out);
        if (returnStatus >= 0)
        {
            if (returnStatus == 0) {
                out.print("<script>alert('"+myBundle.getString("ssh.import.zerokeys")+"');</script>");
            } else {
                out.print("<script>alert('"+myBundle.getString("ssh.import.numkeys")+ " " + returnStatus +"');</script>");
            }
            out.print(" <script language=\"JavaScript\" type=\"text/javascript\">");
            out.print("parent.location.href=\"sshKeysList.jsp\"");
            out.print("</script> ");
        } else {
            out.print("<script>alert('"+myBundle.getString("ssh.error.importkeys")+"');</script>");
        }
        // need this next line because of bug in Mozilla on Linux and HP-UX
        out.print("<script>top.location.reload();</script>");

    }
    else
    { // not a post, display html
%>
    <TITLE><%= myBundle.getString("page.ssh.title") %></TITLE>
    <script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js"></script>
    <script language='JavaScript' type='text/javascript'>


    MxPortalWorkspaceSetHelpTopic("admin_manageSSHKeys_securityLevel");
    function doUpload()
    {
       document.CertForm.action = "sshKeysListDetails.jsp?uploadFile=true";
       document.CertForm.submit();
    }
    function checkfilename()
    {
       var filename = document.CertForm.selectFileBtn.value;
       tempfn = stripLeadingAndTrailingSpaces(filename);
       if ( tempfn.length == 0)
       {
            alert("<%=myBundle.getString("ssh.error.importkeys")%>");
            return false;
       }
       doUpload();
    }
    function stripLeadingSpaces(str)
    {
        if (str == null)
            return "";

        while (str.charAt(0) == " " && str.length > 0)
            str = str.substring(1, str.length)

        return str;
    }
    function stripTrailingSpaces(str)
    {
        if (str == null)
            return "";

        while (str.charAt(str.length-1) == " " && str.length > 0)
            str = str.substring(0, str.length - 1)

        return str;
    }

    function stripLeadingAndTrailingSpaces(str)
    {
        return stripLeadingSpaces(stripTrailingSpaces(str));
    }

    function myOnLoad()
    {
        parent.document.getElementById(this.name).style.height = document.body.scrollHeight;
    }

    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>
    <body onload="myOnLoad()">
    <hr class="mx-hr">
    <font class='subwindow-header'><b><%=myBundle.getString("ssh.import.title")%></b></font>

    <p><%=myBundle.getString("ssh.import.description")%></p>

    <form action="sshKeysListDetails.jsp" method="POST" name="CertForm" ENCTYPE="multipart/form-data" >
    <table border=0 borderColor='#000000'
        marginwidth=0 marginheight=0
        cellPadding=1 cellSpacing=0 width="100%">
    <tr>
    <td align="left">
    <input type="file" size="30" style="width:250; height:24" name="selectFileBtn" id="selectFileBtn" >&nbsp;&nbsp;</input>
    <BR>
    </td>
    </tr>
    </table>

    <br />

    <table>
        <tr><td nowrap><p><%= myBundle.getString("ssh.import.instructions") %></p></td></tr>
    </table>

    <br />

    </form>
    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>

<% MxHtmlUtil.dumpBodyEnd(out); %>

<%
    } // end else POST

%>

</body>
</html>
