<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/security/sshKeysListExport.jsp,v $
// $Revision: 1.5 $
// $Date: 2005/06/10 04:42:38 $
//
%>

<%@ page info="Managed Node SSH Public Keys Import"%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="myBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="sshTableSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="sshBean" class="com.hp.mx.portal.security.SshKeysBean" scope="session"/>

<%!
    /** **********************************************************************
     * The debug object
     ************************************************************************ */
    public DebugSubsystem groupConfigurationDebug =
        DebugOutput.getDebugSubsystem("Keystore");
    public String srcTableDomId = "ID_MY_SRC_SSHKEYS_TABLE";
%>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // This aborts the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.SECURITY_MODIFICATION_PRIVILEGE))
    {%>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
  <%}

    int status=0;
    // Set up the resource file
    myBundle.init(loginBean, "TrustedCertificate");
    sshBean.initBean(out, loginBean, sshTableSelectionModel);

    status = sshBean.export(request, out);
    if (status > 0)
    {
        out.print("<script>alert('"+session.getValue("ssh.error.exportkeys")+"');</script>");
    }
    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnOK", myBundle.getString("tcert.ok.button"), "parent.location.href='sshKeysList.jsp'"));
%>
<html>
<head>
    <TITLE><%= myBundle.getString("page.ssh.title") %></TITLE>
    <script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js"></script>
    <script language='JavaScript' type='text/javascript'>
    MxPortalWorkspaceSetHelpTopic("admin_manageSSHKeys_securityLevel");
    function myOnLoad()
    {
        parent.document.getElementById(this.name).style.height = document.body.scrollHeight;
    }
    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>
    <body onload="myOnLoad()">
    <hr class="mx-hr">
    <font class='subwindow-header'><b><%=myBundle.getString("ssh.export.title")%></b></font>
    <p> <%=myBundle.getString("ssh.export.description1")%>
        <a href="/mxportal/security/sshkeys.txt" target="_blank">
        <%=myBundle.getString("ssh.export.description2")%></a>
        <%=myBundle.getString("ssh.export.description3")%>
    </p>
    <div style="margin-top:15px">
        <% buttons.dumpButtons(out); %>
    </div>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
