<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>

<jsp:useBean id="authUI" class="com.hp.mx.portal.settings.MxAuthUI" scope="session" />
<jsp:useBean id="userUI" class="com.hp.mx.portal.settings.MxUserUI" scope="session" />
<jsp:useBean id="toolboxUI" class="com.hp.mx.portal.settings.MxToolBoxUI" scope="session" />
<jsp:useBean id="nodeUI" class="com.hp.mx.portal.settings.MxNodeUI" scope="session" />
<jsp:useBean id="groupUI" class="com.hp.mx.portal.settings.MxGroupUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>
<%!
    /** The debug object */
    public DebugSubsystem authDebug = DebugOutput.getDebugSubsystem("MxGroupUI");
%>
<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<% if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
   { %>
       <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<% } %>
<%
    String debugDisplay = "none";
    if (authDebug.check(30))
    {
        debugDisplay = "block";
    }

    boolean userGroup = false;
    String ugParam = request.getParameter("userGroup");
    if ( (ugParam!=null) && ugParam.equals("true"))
    {
        userGroup = true;
    }

    String timeStamp = taskWizardBean.getNewTimeStamp();

    String errorFlag = request.getParameter("error");
    if(errorFlag == null)
    {
        errorFlag = "";
    }
    rbsettings.init(loginBean, "MxSettings");
    userUI.resetBean();
    toolboxUI.resetBean();
    groupUI.resetBean();

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag okButtonTag = new MxDefaultTag("okButton", rbsettings.getString("button.ok"), "");
    okButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(okButtonTag);

    buttons.addMxTag(new MxDefaultTag("cancelButton", rbsettings.getString("button.cancel"), "cancelAdd()"));

    MxTag applyButtonTag = new MxDefaultTag("applyButton", rbsettings.getString("button.apply"), "setApplyField()");
    applyButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(applyButtonTag);

    buttons.setMxTagSelectionId("okButton");

    // handle filter selections for nodes and system groups, which are
    // not automatically displayed
    String preselectedNodeOrgroup = (request.getParameter("selectedNode") == null) ? "" : request.getParameter("selectedNode");
    if (!preselectedNodeOrgroup.equals(""))
    {
        // A system filter is in effect  - add it to the list of potentials
        groupUI.addSystemToAuthorization(loginBean, preselectedNodeOrgroup);
    }
    else
    {
        // Check if we have a system group filter
        preselectedNodeOrgroup = (request.getParameter("selectedGroup") == null) ? "" : request.getParameter("selectedGroup");
        if (!preselectedNodeOrgroup.equals(""))
        {
            // A system filter is in effect  - add it to the list of potentials
            groupUI.addGroupToAuthorization(loginBean, preselectedNodeOrgroup);
        }
    }
%>
<script language="JAVASCRIPT" type="text/javascript">

function resetScroll()
{
    window.scrollTo(0,0);
}

function scrollMe(y)
{
    window.scrollBy(0, y);
}

function cancelAdd()
{
    MxPortalWorkspaceSetHelpTopic("admin_auth_auth");

    <%
        String selectedUserParam = request.getParameter("selectedUser");
        selectedUserParam = (selectedUserParam == null) ? "" : "&selectedUser=" + selectedUserParam;
        String selectedUserGroupParam = request.getParameter("userGroup");
        selectedUserGroupParam = (selectedUserGroupParam == null) ? "" : "&userGroup=" + selectedUserGroupParam;
        String selectedToolboxParam = request.getParameter("selectedToolbox");
        selectedToolboxParam = (selectedToolboxParam == null) ? "" : "?selectedToolbox=" + selectedToolboxParam;
        String selectedGroupParam = request.getParameter("selectedGroup");
        selectedGroupParam = (selectedGroupParam == null) ? "" : "?selectedGroup=" + selectedGroupParam;
        String selectedNodeParam = request.getParameter("selectedNode");
        selectedNodeParam = (selectedNodeParam == null) ? "" : "?selectedNode=" + selectedNodeParam;
    %>

    if(document.AuthPage.AuthPageType[0].selected == true) document.location.href="AuthStart.jsp";
    if(document.AuthPage.AuthPageType[1].selected == true) document.location.href="AuthUserStart.jsp?userGroup=false<%= selectedUserParam %>";
    if(document.AuthPage.AuthPageType[2].selected == true) document.location.href="AuthUserStart.jsp?userGroup=true<%= selectedUserParam %>";
    if(document.AuthPage.AuthPageType[3].selected == true) document.location.href="AuthToolboxStart.jsp<%= selectedToolboxParam %>";
    if(document.AuthPage.AuthPageType[4].selected == true) document.location.href="AuthGroupStart.jsp<%= selectedGroupParam %>";
    if(document.AuthPage.AuthPageType[5].selected == true) document.location.href="AuthNodeStart.jsp<%= selectedNodeParam %>";
}

function setApplyField()
{
    document.authForm.apply.value = "true";
}

function changeUserOrGroupList( setAuths)
{
    var userOrGroupBox = document.authForm.userOrGroup;

    if(userOrGroupBox[0].selected == true)
    {
      document.getElementById("userListDiv").innerHTML = document.getElementById("userList").innerHTML;
      document.getElementById("myUserDiv").innerHTML =  document.getElementById("userListCB").innerHTML;
    }
    else
    {
      document.getElementById("userListDiv").innerHTML = document.getElementById("userGroupList").innerHTML;
      document.getElementById("myUserDiv").innerHTML = document.getElementById("userGroupListCB").innerHTML;
    }
    if (setAuths)
    {
        setAuthButtons();
    }
}

function postAuthList()
{
    if(document.authForm.apply.value == null) resetScroll();
}

function setAuthButtons()
{
    // Loop through the user list, the toolbox list and node/group list, and see if there is
    // at least one selection in each. If so, enable the assign button
    var userBox = document.authForm.available_users;
    var userCnt = userBox.length;
    var isAUserSelected = false;
    var userCount = 0;

    for (var i = 0; i < userCnt; i++)
    {
        if (userBox.options[i].selected == true)
        {
            isAUserSelected = true;
            userCount++;
        }
    }
    document.getElementById("user_selection_count").innerHTML = userCount + " " + "<%=rbsettings.getString("auth.selected")%>";

    var isAToolboxSelected = false;
    var isANGSelected = false;

    // If Copy auths selected, short-circuit other selection test
    if (true == document.authForm.copy_auth_opt[0].checked)
    {
        isAToolboxSelected = true;
        isANGSelected      = true;
    }
    else
    {
        var toolboxBox = document.authForm.available_toolboxes;
        var toolboxCnt = toolboxBox.length;
        var toolboxCount = 0;

        for (var i = 0; i < toolboxCnt; i++)
        {
            if (toolboxBox.options[i].selected == true)
            {
                isAToolboxSelected = true;
                toolboxCount++;
            }
        }
        document.getElementById("toolbox_selection_count").innerHTML = toolboxCount + " " + "<%=rbsettings.getString("auth.selected")%>";

        var nodeOrGroupBox = document.authForm.availableNodesOrGroups;
        var NGCnt = nodeOrGroupBox.length;
        var ngCount = 0;

        for (i = 0; i < NGCnt; i++)
        {
            if (nodeOrGroupBox.options[i].selected == true)
            {
                isANGSelected = true;
                ngCount++;
            }
        }
        document.getElementById("ng_selection_count").innerHTML = ngCount + " " + "<%=rbsettings.getString("auth.selected")%>";
    }

    if (isAUserSelected == true && isAToolboxSelected == true && isANGSelected == true)
    {
      ourButtonManager.enableButtonById('okButton');
      ourButtonManager.enableButtonById('applyButton');
    }
    else
    {
      ourButtonManager.disableButtonById('okButton');
      ourButtonManager.disableButtonById('applyButton');
    }
}

function initUserOrGroupList()
{
    var userOrGroupBox = document.authForm.userOrGroup;
    userOrGroupBox[<%= userGroup ? "1" : "0" %>].selected = true;

    changeUserOrGroupList(false);
}

function initSelections()
{
    // Check if a user is selected.
    var selectedUser = "<%=request.getParameter("selectedUser") %>";
    if(selectedUser != "null" && selectedUser != "" && selectedUser != "none")
    {
        // Loop through the users list
        var userBox = document.authForm.available_users;
        var userCnt = userBox.length;
        var userCb  = document.getElementById("myUserDiv").getElementsByTagName("input");

        for (var i = 0; i < userCnt; i++)
        {
            if (userBox.options[i].value == selectedUser)
            {
                userBox.options[i].selected = true;
                userCb[i].checked = true;
                selectUser(i, userCb[i]);
                break;
            }
        }
    }
    // Check if a toolbox is selected.
    var selectedToolbox = "<%=request.getParameter("selectedToolbox") %>";
    if(selectedToolbox != "null" && selectedToolbox != "" && selectedToolbox != "none")
    {
        var toolboxBox = document.authForm.available_toolboxes;
        var toolboxCnt = toolboxBox.length;
        var toolboxCb  = document.getElementById("myToolboxDiv").getElementsByTagName("input");

        for (var i = 0; i < toolboxCnt; i++)
        {
            if (toolboxBox.options[i].value == selectedToolbox)
            {
                toolboxBox.options[i].selected = true;
                toolboxCb[i].checked = true;
                selectToolbox(i, toolboxCb[i]);
                break;
            }
        }
    }
    // Check if a node is selected.
    var selectedNode = "<%=request.getParameter("selectedNode") %>";
    if(selectedNode != "null" && selectedNode != "" && selectedNode != "none")
    {
        var nodeBox = document.authForm.availableNodesOrGroups;
        var nodeCnt = nodeBox.length;
        var nodeCb  = document.getElementById("nodeOrGroupList").getElementsByTagName("input");

        for (var i = 0; i < nodeCnt; i++)
        {
            if (nodeBox.options[i].value == selectedNode)
            {
                nodeBox.options[i].selected = true;
                nodeCb[i].checked = true;
                selectNode(i, nodeCb[i]);
                break;
            }
        }
    }
    // Check if a node group is selected.
    var selectedGroup = "<%=request.getParameter("selectedGroup") %>";
    if(selectedGroup != "null" && selectedGroup != "" && selectedGroup != "none")
    {
        var groupBox = document.authForm.availableNodesOrGroups;
        var groupCnt = groupBox.length;
        var groupCb  = document.getElementById("myGroupDiv").getElementsByTagName("input");

        for (var i = 0; i < groupCnt; i++)
        {
            if (groupBox.options[i].value == selectedGroup)
            {
                groupBox.options[i].selected = true;
                groupCb[i].checked = true;
                selectGroup(i, groupCb[i]);
                break;
            }
        }
    }
}

function initButtons()
{
    document.authForm.copy_auth_src.disabled = true;
    ourButtonManager.disableButtonById('okButton');
    ourButtonManager.disableButtonById('applyButton');

    // Load the selected authorization copy source, if selected
    // Find the authorization toolbox to copy
    var copyAuthSrc = "<%=request.getParameter("selectedAuthSrc") %>";

    if(copyAuthSrc != "null" && copyAuthSrc != "")
    {
      // Loop through the select box for the group to copy, and select that one
      var copyAuthList = document.authForm.copy_auth_src;
      var authCnt = copyAuthList.length;
      var optCnt = 0;

      for (optCnt = 0; optCnt < authCnt; optCnt++)
      {
        if(copyAuthList.options[optCnt].value == copyAuthSrc)
        {
          // Select that one
          copyAuthList.options[optCnt].selected = true;
        }
        else
        {
          copyAuthList.options[optCnt].selected = false;
        }
      }
      disableManual();
      document.authForm.copy_auth_opt[0].checked = true;
      document.authForm.copy_auth_opt[1].checked = false;
    }
}

function disableManual()
{
    var toolboxCb  = document.getElementById("myToolboxDiv").getElementsByTagName("input");
    var toolboxLabels  = document.getElementById("myToolboxDiv").getElementsByTagName("span");
    for (var i = 0; i < toolboxCb.length; i++)
    {
        toolboxCb[i].disabled=true;
        toolboxLabels[i].className="disabled-text";
    }

    var nodeCb  = document.getElementById("myNodeDiv").getElementsByTagName("input");
    var nodeLabels  = document.getElementById("myNodeDiv").getElementsByTagName("span");
    for (var i = 0; i < nodeCb.length; i++)
    {
        nodeCb[i].disabled=true;
        nodeLabels[i].className="disabled-text";
    }

    var groupCb  = document.getElementById("myGroupDiv").getElementsByTagName("input");
    var groupLabels  = document.getElementById("myGroupDiv").getElementsByTagName("span");
    for (var i = 0; i < groupCb.length; i++)
    {
        groupCb[i].disabled=true;
        groupLabels[i].className="disabled-text";
    }

    var nogCb  = document.getElementById("nodeOrGroupList").getElementsByTagName("input");
    var nogLabels  = document.getElementById("nodeOrGroupList").getElementsByTagName("span");
    for (var i = 0; i < nogCb.length; i++)
    {
        nogCb[i].disabled=true;
        nogLabels[i].className="disabled-text";
    }

    var addLinkContainer = document.getElementById("addLinkContainer");
    addLinkContainer.innerHTML = "&nbsp;<span class='disabled-text'><%= rbsettings.get("auth.add") %></span>";

    document.authForm.availableNodesOrGroups.disabled = true;
    document.authForm.available_toolboxes.disabled = true;
    document.authForm.copy_auth_src.disabled = false;
    document.getElementById("select_toolbox").className="disabled-text";
    document.getElementById("select_node").className="disabled-text";
    document.getElementById("user_selection_count").innerHTML = " ";
    document.getElementById("toolbox_selection_count").innerHTML = " ";
    document.getElementById("ng_selection_count").innerHTML = " ";
    setAuthButtons();
}

function disableCopy()
{
    var toolboxCb  = document.getElementById("myToolboxDiv").getElementsByTagName("input");
    var toolboxLabels  = document.getElementById("myToolboxDiv").getElementsByTagName("span");
    for (var i = 0; i < toolboxCb.length; i++)
    {
        toolboxCb[i].disabled=false;
        toolboxLabels[i].className="";
    }

    var nodeCb  = document.getElementById("myNodeDiv").getElementsByTagName("input");
    var nodeLabels  = document.getElementById("myNodeDiv").getElementsByTagName("span");
    for (var i = 0; i < nodeCb.length; i++)
    {
        nodeCb[i].disabled=false;
        nodeLabels[i].className="";
    }

    var groupCb  = document.getElementById("myGroupDiv").getElementsByTagName("input");
    var groupLabels  = document.getElementById("myGroupDiv").getElementsByTagName("span");
    for (var i = 0; i < groupCb.length; i++)
    {
        groupCb[i].disabled=false;
        groupLabels[i].className="";
    }

    var groupCb  = document.getElementById("nodeOrGroupList").getElementsByTagName("input");
    var groupLabels  = document.getElementById("nodeOrGroupList").getElementsByTagName("span");
    for (var i = 0; i < groupCb.length; i++)
    {
        groupCb[i].disabled=false;
        groupLabels[i].className="";
    }

    var addLinkContainer = document.getElementById("addLinkContainer");
    addLinkContainer.innerHTML = "&nbsp;<a href='javascript:void(0)' onclick='loadTaskSelectionPage()'><%= rbsettings.get("auth.add") %></a>";

    document.authForm.availableNodesOrGroups.disabled = false;
    document.authForm.available_toolboxes.disabled = false;
    document.authForm.copy_auth_src.disabled = true;
    document.getElementById("select_toolbox").className="";
    document.getElementById("select_node").className="";
    setAuthButtons();
}

function onAddLoad()
{
    MxPortalWorkspaceSetHelpTopic("admin_auth_addAuth");
    initUserOrGroupList();
    initButtons();
    initSelections();
    if(!document.authForm.copy_auth_src.length > 0)
    {
        document.authForm.copy_auth_opt[0].disabled = true;
        document.authForm.copy_auth_src.disabled = true;
    }
    setAuthButtons()
}

function selectUser(index, checkBox)
{
    var selBox = document.getElementById("listofUsers");
    selBox.options[index].selected = checkBox.checked;
    setAuthButtons();
}

function selectToolbox(index, checkBox)
{
    var selBox = document.getElementById("listofToolboxes");
    selBox.options[index].selected = checkBox.checked;
    setAuthButtons();
}

function selectNode(index, checkBox)
{
    var selBox = document.getElementById("group");
    selBox.options[index].selected = checkBox.checked;
    clickedNodeOrGroup(checkBox);
    setAuthButtons();
}

function selectGroup(index, checkBox)
{
    var selBox = document.getElementById("group");
    selBox.options[index].selected = checkBox.checked;
    clickedNodeOrGroup(checkBox);
    setAuthButtons();
}

function clickedNodeOrGroup(checkBox)
{
    var addOrDelParam = checkBox.checked ? ("addObjId=" + checkBox.value) : ("deleteObjId=" + checkBox.value);

    var iframe = document.getElementById("AuthAddUpdate");
    if (iframe != null)
    {
        iframe.contentWindow.document.location.replace("<%=MxOptions.URL_BASE%>/settings/AddAuthUpdate.jsp?" + addOrDelParam);
    }
}


function preCheckGroupByValue(theValue)
{
    var groupBox = document.authForm.availableNodesOrGroups;
    var groupCnt = groupBox.length;
    var groupCb  = document.getElementById("nodeOrGroupList").getElementsByTagName("input");

    for (var i = 0; i < groupCnt; i++)
    {
        if (groupBox.options[i].value == theValue)
        {
            groupBox.options[i].selected = true;
            groupCb[i].checked = true;
            selectGroup(i, groupCb[i]);
            break;
        }
    }
}

function loadTaskSelectionPage()
{
<%
    // build URL string for target selection page
    StringBuffer url     = new StringBuffer(100);

    url.append(MxOptions.URL_BASE);
    url.append("/taskandjob/targetSelectionNoBucket.jsp");
    url.append("?btn2Text=Apply"); // label not used
    url.append("&btn2Function=parent.systemsSelected()");
    url.append("&applyFunction=parent.systemsSelected()");
    url.append("&listType=systemLists");
    url.append("&timeStamp=");
    url.append(timeStamp);
%>

    var iframe = document.getElementById("AuthAddWkSpace");
    iframe.contentWindow.document.location.replace("<%= url.toString() %>");
    iframe.scrollIntoView();
}

function systemsSelected()
{
    var iframe = document.getElementById("AuthAddUpdate");
    if (iframe != null)
    {
        iframe.contentWindow.document.location.replace("<%=MxOptions.URL_BASE%>/settings/AddAuthUpdate.jsp?timeStamp=<%=timeStamp%>");
    }
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

<form method="POST" action="<%=request.getParameter("controlPage")%>?timestamp=<%= timeStamp %>&userGroup=<%= ugParam %>" autocomplete="off" style="border:0px;padding:0px;margin:0px" name="authForm" onSubmit="postAuthList()">

<a name="topOfPage"><hr id="pageStart"></a>
<font class="subwindow-header"><%=rbsettings.getString("auth.addTitle")%></font><br>
<%
    if( errorFlag.equals("true") )
    {
        String errorCodeStr = request.getParameter("errorCode");
        String errorCodeMsg = authUI.getAddErrorMessageByCode(errorCodeStr,rbsettings);
        String errorMessage = authUI.getErrorMessage();

        if (errorMessage != null || errorCodeMsg != null)
        {
            out.println("<hr>");
            if (errorCodeMsg != null)
            {
                out.println("<div align='center'>");
                out.println("<font class='errorTextBold'>");
                out.println(errorCodeMsg);
                out.println("</font>");
                out.println("</div>");
            }
            if (errorMessage != null)
            {
                out.println("<div align='center'>");
                out.println("<font class='errorText'>");
                out.println(errorMessage);
                out.println("</font>");
                out.println("</div>");
            }
            out.println("<hr>");
        }
    }
%>
<!-- <%=rbsettings.getString("auth.addDescription")%><br>
 -->
<br>&nbsp;<span class="required_label"><%=rbsettings.getString("required")%>*</span><br><br>
<table>
<tr>
    <td valign="top" align="left">
        <!-- USER -->
        <span id="select_user">
        <strong><%=rbsettings.getString("authuser.select")%></strong>
        </span> &nbsp;
        <select size="1" name="userOrGroup" onChange="changeUserOrGroupList(true)">
            <option <%= userGroup ? "" : "selected" %>><%=rbsettings.getString("auth.users")%></option>
            <option <%= userGroup ? "selected" : "" %>><%=rbsettings.getString("auth.usergroups")%></option>
        </select>
        <span id="select_user2"><strong>:</strong></span>

        <span class="required">*</span>
        <div id="user_selection_count">0 <%=rbsettings.getString("auth.selected")%></div>
    </td>
    <td valign="top">&nbsp;&nbsp;&nbsp;&nbsp;</td>
    <td valign="top">
        <div id="userListDiv" style="display:none">
            <!-- this gets populated during initUserOrGroupList() -->
        </div>
        <div style="overflow: auto; height: 102px; width:300px;display:block" class="insetBorder" id="myUserDiv">
            <!-- this gets populated during initUserOrGroupList() -->
        </div>
    </td>
</tr>

<tr>
    <td colSpan=3>
        <!-- AUTH MODE -->
        <br><strong><%=rbsettings.getString("auth.enterauths")%></strong>
    </td>
</tr>
<tr>
    <td colSpan=3>
        <input type="radio" value="copy" name="copy_auth_opt" onClick="disableManual()">  <%=rbsettings.getString("auth.copy_auth")%>
        <select size="1" name="copy_auth_src">
            <% userUI.ListUsers(loginBean, out, "", "no", rbsettings.getBundle(), "yes", userUI.LIST_MODE_OPTIONS); %>
        </select>
    </td>
</tr>
<tr>
    <td colSpan=3>
        <input type="radio" name="copy_auth_opt" value="manual" onClick="disableCopy()" checked>
            <%=rbsettings.getString("auth.manual_auth")%>
        <br>&nbsp;
    </td>
</tr>

<tr>
    <td valign="top" align="left">
        <!-- SELECT TOOLBOXES -->
        <div class="indent">
            <div id="select_toolboxes"><span id="select_toolbox">
            <strong><%=rbsettings.getString("auth.selectToolboxes")%></strong>
            </span>
            <span class="required">*</span>&nbsp;
            </div>
            <div id="toolbox_selection_count">0 <%=rbsettings.getString("auth.selected")%></div>
        </div>
    </td>
    <td valign="top">&nbsp;&nbsp;&nbsp;&nbsp;</td>
    <td valign="top">
        <select size="5" name="available_toolboxes" style="width:300px; display:none;" onChange="setAuthButtons()" multiple id="listofToolboxes">
            <% toolboxUI.ListToolBoxes(loginBean, out, "", "no", rbsettings.getBundle(), toolboxUI.LIST_MODE_OPTIONS); %>
        </select>
        <div style="overflow: auto; height: 102px; width:300px;" class="insetBorder" id="myToolboxDiv">
            <% toolboxUI.ListToolBoxes(loginBean, out, "", "no", rbsettings.getBundle(), toolboxUI.LIST_MODE_CHECKBOX); %>
        </div>
    </td>
</tr>
<tr>
    <td colspan="3">&nbsp;</td>
</tr>
<tr>
    <td valign="top" align="left">
        <!-- SELECT SYSTEMS -->
        <div class="indent">
            <span id="select_node">
                <strong><%=rbsettings.getString("auth.select")%>:</strong>
            </span>&nbsp;<span class="required">*</span>&nbsp;
            <div id="ng_selection_count">0 <%=rbsettings.getString("auth.selected")%></div>
        </div>
    </td>
    <td valign="top">&nbsp;&nbsp;&nbsp;&nbsp;</td>
    <td valign="top">
        <div style="height:122px;" class="insetBorder">
            <div id="addLinkContainer">&nbsp;<a id="addLink" href="javascript:void(0)" onclick="loadTaskSelectionPage()"><%= rbsettings.get("auth.add") %></a></div>
            <div id="group_domContainer" style="overflow: auto; height: 102px; width:300px;display:<%= debugDisplay %>;" >
                <select size="5" name="availableNodesOrGroups" style="width:300px" id="group" onChange="setAuthButtons()" multiple>
                    <% groupUI.ListCollections(loginBean, out, preselectedNodeOrgroup, rbsettings.getBundle(), groupUI.LIST_MODE_OPTIONS); %>
                </select>
            </div>
            <div style="overflow: auto; height:102px; width:300px;" id="nodeOrGroupList">
                <% groupUI.ListCollections(loginBean, out, preselectedNodeOrgroup, rbsettings.getBundle(), groupUI.LIST_MODE_CHECKBOX); %>
            </div>
        </div>
        <div style="overflow: auto; height: 202px; width:300px;display:none;" class="insetBorder" id="myNodeDiv">
            <% nodeUI.ListNodes(loginBean, out, preselectedNodeOrgroup, "no", rbsettings.getBundle(), nodeUI.LIST_MODE_CHECKBOX); %>
        </div>
        <div style="overflow: auto; height: 202px; width:300px;display:none;" class="insetBorder" id="myGroupDiv">
            <% groupUI.ListGroups(loginBean, out, preselectedNodeOrgroup, "no", rbsettings.getBundle(), groupUI.LIST_MODE_CHECKBOX); %>
        </div>
    </td>
</tr>
</table>

    <input type="hidden" name="command" value="add">
    <input type="hidden" name="apply">

    <input type="hidden" name="selectedUser" value="<%=request.getParameter("selectedUser") %>">
    <input type="hidden" name="selectedToolbox" value="<%=request.getParameter("selectedToolbox") %>">
    <input type="hidden" name="selectedNode" value="<%=request.getParameter("selectedNode") %>">
    <input type="hidden" name="selectedGroup" value="<%=request.getParameter("selectedGroup") %>">

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

</form>

<!-- set to height = 1000 when being used -->
<iframe id='AuthAddWkSpace' name='AuthAddWkSpace' style='position:relative; visibility:visible; width:100%; height:1000'
        scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
</iframe>

<iframe id='AuthAddUpdate' name='AuthAddUpdate' style='position:relative; display:<%= debugDisplay %>; width:100%; height:250; border: solid blue 2px;'
        scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
</iframe>


<div id="userList" style="display:none">
    <select size="5" name="available_users" style="width:300px; display:none;" id="listofUsers" onChange="setAuthButtons()" multiple>
        <% userUI.ListUsers(loginBean, out, "", "no", rbsettings.getBundle(), "no", userUI.LIST_MODE_OPTIONS); %>
    </select>
</div>
<div id="userListCB" style="display:none">
    <% userUI.ListUsers(loginBean, out, "", "no", rbsettings.getBundle(), "no", userUI.LIST_MODE_CHECKBOX); %>
</div>

<div id="userGroupList" style="display:none">
    <select size="5" name="available_users" style="width:300px; display:none;" id="listofUsers" onChange="setAuthButtons()" multiple>
        <% userUI.ListUserGroups(loginBean, out, "", "no", rbsettings.getBundle(), "no", userUI.LIST_MODE_OPTIONS); %>
    </select>
</div>
<div id="userGroupListCB" style="display:none">
    <% userUI.ListUserGroups(loginBean, out, "", "no", rbsettings.getBundle(), "no", userUI.LIST_MODE_CHECKBOX); %>
</div>

<div id="nodeList" style="display:none">
    <select size="5" name="availableNodesOrGroups" style="width:300px" id="node" onChange="setAuthButtons()" multiple>
        <% nodeUI.ListNodes(loginBean, out, "", "no", rbsettings.getBundle(), nodeUI.LIST_MODE_OPTIONS); %>
    </select>
</div>
<div id="groupList" style="display:none">
    <select size="5" name="availableNodesOrGroups" style="width:300px" id="group" onChange="setAuthButtons()" multiple>
        <% groupUI.ListGroups(loginBean, out, preselectedNodeOrgroup, "no", rbsettings.getBundle(), groupUI.LIST_MODE_OPTIONS); %>
    </select>
</div>

<script language="JAVASCRIPT" type="text/javascript">
    onAddLoad();
</script>
