<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil" %>

<jsp:useBean id="nodeUI" class="com.hp.mx.portal.settings.MxNodeUI" scope="session" />
<jsp:useBean id="groupUI" class="com.hp.mx.portal.settings.MxGroupUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_GROUP_MODIFICATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    rbsettings.init(loginBean, "MxSettings");
    String errorFlag = request.getParameter("error");
    if(errorFlag == null)
    {
        errorFlag = "";
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    MxTag okButtonTag = new MxDefaultTag("okButton", rbsettings.getString("button.ok"), "postMemberNodes()");
    okButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(okButtonTag);

    buttons.addMxTag(new MxDefaultTag("cancelButton", rbsettings.getString("button.cancel"), "cancelAdd()"));

    MxTag applyButtonTag = new MxDefaultTag("applyButton", rbsettings.getString("button.apply"), "postMemberNodes('apply')");
    applyButtonTag.setAttr(MxTag.TYPE, "submit");
    buttons.addMxTag(applyButtonTag);

    buttons.setMxTagSelectionId("okButton");

    MxButtons vertButtons = new MxButtons();
    vertButtons.clearMxTags();
    vertButtons.addMxTag(new MxDefaultTag("addButton", ">>", "addToNodeList()"));
    vertButtons.addMxTag(new MxDefaultTag("removeButton", "<<", "removeFromNodeList()"));
    vertButtons.setVerticalAligned(true);

    String applyFlag = request.getParameter("apply");
%>

<html>

<head>
<title></title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language="JAVASCRIPT">

MxPortalWorkspaceSetHelpTopic("admin_auth_addGroup");

function resetScroll()
{
    window.parent.scrollTo(0,0);
}

function cancelAdd()
{
    resetScroll();
    parent.document.location.href="GroupStart.jsp";
}

function loadApplyBean()
{
    if ("true" == "<%=errorFlag%>")
    {
        // Only load the name field if an error has occurred
        document.groupForm.name.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(groupUI.getName())%>";
    }
    // Reload the field values from the bean
    document.groupForm.description.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(groupUI.getDescription())%>";
    document.groupForm.copy_group_opt.value = "<jsp:getProperty name='groupUI' property='copy_group_opt' />";
    document.groupForm.nodeAddList.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(groupUI.getNodeAddList())%>";

    // If a copy of a node was selected, disable the manual option:
    if(document.groupForm.copy_group_opt.value == "copy")
    {
        disableManual();
        document.groupForm.copy_group_opt[0].checked = true;
        document.groupForm.copy_group_opt[1].checked = false;

        // Set the group membership copy source to the correct group
        // Loop through the select box for the group to copy, and select that one
        var copyGroupSrc = "<jsp:getProperty name='groupUI' property='copy_group_opt' />";
        var copyGroupSrcList = document.groupForm.copy_group_src;
        var groupCnt = copyGroupSrcList.length;

        for (optCnt = 0; optCnt < groupCnt; optCnt++)
        {
            if(copyGroupSrcList.options[optCnt].value == copyGroupSrc)
            {
                // Select that one
                copyGroupSrcList.options[optCnt].selected = true;
            }
            else
            {
                copyGroupSrcList.options[optCnt].selected = false;
            }
        }
    }
    else
    {
        disableCopy();

        // After getting the group membership node list, set up the list boxes to match
        // what was previously there

        // Parse through the list, and for each matching group name, turn on the selection
        var nodeString = "<%=MxHtmlUtil.encodeJScriptSafeEntities(groupUI.getNodeAddList())%>";
        var nodeList = nodeString.split("|");
        // Find out how many groups there are
        var noOfNodes = nodeList.length;

        for(var i = 0; i < noOfNodes; i++)
        {
            var nodeToAdd = nodeList[i];

            // Loop through the group list to find a match. When found, turn select on
            var availableBox = document.groupForm.available_nodes;
            var nodeBox = document.groupForm.node_list;
            var optCnt = 0;
            var availCnt = availableBox.length;

            // Loop through the available list
            // Add selected elements to the add list
            for (optCnt = 0; optCnt < availCnt; optCnt++)
            {
                if(availableBox.options[optCnt].text == nodeToAdd)
                {
                    // Turn on the selection
                    availableBox.options[optCnt].selected = true;
                }
            }
        }

        // Then move the selected groups to the members box
        addToNodeList();
    }
}

function setApplyField()
{
    document.groupForm.apply.value = "true";
}

function addToNodeList()
{
    // Set up the select box elements and the option counter
    var availableBox = document.groupForm.available_nodes;
    var nodeBox = document.groupForm.node_list;
    var optCnt = 0;
    var availCnt = availableBox.length;

    // Loop through the available list
    // Add selected elements to the add list
    for (optCnt = 0; optCnt < availCnt; optCnt++)
    {
        if(availableBox.options[optCnt].selected == true)
        {
            // Create a new option object
            var newNodeOption = new Option((availableBox.options[optCnt].text), (availableBox.options[optCnt].value));

            // Add this element to the end of the group list box
            nodeBox.options[nodeBox.length] = newNodeOption;
        }
    }

    // Loop through to remove the selected items from the available list
    for (optCnt = 0; optCnt < availCnt; optCnt++)
    {
        if(availableBox.options[optCnt].selected == true)
        {
            // Remove the selected option from the available list
            availableBox.options[optCnt] = null;
            optCnt--;
            availCnt--;
        }
    }

    // Now check the buttons
    checkButtons();
}

function removeFromNodeList()
{
        // Set up the select box elements and the option counter
        var availableBox = document.groupForm.available_nodes;
        var nodeBox = document.groupForm.node_list;
        var optCnt = 0;
        var nodeCnt = nodeBox.length;

        // Loop through the group list
        // Add selected elements to the available list
        for (optCnt = 0; optCnt < nodeCnt; optCnt++)
        {
              if(nodeBox.options[optCnt].selected == true)
              {
                  // Create a new option object
                  var newNodeOption = new Option((nodeBox.options[optCnt].text), (nodeBox.options[optCnt].value));

                  // Add this element to the end of the group list box
                  availableBox.options[availableBox.length] = newNodeOption;
              }
        }
        // Remove selected elements from group list
        for (optCnt = 0; optCnt < nodeCnt; optCnt++)
        {
              if(nodeBox.options[optCnt].selected == true)
              {
                  // Remove the selected option from the available list
                  nodeBox.options[optCnt] = null;
                  optCnt--;
                  nodeCnt--;
              }
        }

        // Now check the buttons
        checkButtons();
}

function postMemberNodes(apply)
{

        // Check to see if the group name is not empty
        if(document.groupForm.name.value == "")
        {
          alert("<%=rbsettings.getString("group.nameblank")%>");
          return false;
        }

        // Loop through to concat the group names together
        var optCnt = 0;
        var nodeBox = document.groupForm.node_list;
        var nodeCnt = nodeBox.length;
        var nodeList = "";

        if(nodeCnt != 0)
        {
          nodeList = nodeBox.options[0].text;

          for (optCnt = 1; optCnt < nodeCnt; optCnt++)
          {
              nodeList = nodeList + "|" + nodeBox.options[optCnt].text;
          }
        }
        // Add the string to the url for posting
        document.groupForm.nodeAddList.value = nodeList;
        if(document.groupForm.apply.value == null) resetScroll();

        if (apply == "apply")
        {
          setApplyField();
        }

        return true;
}

function disableManual()
{
    document.groupForm.node_list.disabled = true;
    document.groupForm.available_nodes.disabled = true;

    ourButtonManager.disableButtonById('addButton');
    ourButtonManager.disableButtonById('removeButton');

    document.groupForm.copy_group_src.disabled = false;
    document.getElementById("available").innerHTML = "<font color='#999999'><%=rbsettings.getString("group.available")%></font>";
    document.getElementById("members").innerHTML = "<font color='#999999'><%=rbsettings.getString("group.members")%></font>";
}

function disableCopy()
{
    document.groupForm.node_list.disabled = false;
    document.groupForm.available_nodes.disabled = false;

    ourButtonManager.enableButtonById('addButton');

    document.groupForm.copy_group_src.disabled = true;
    document.getElementById("available").innerHTML = "<font color='black'><%=rbsettings.getString("group.available")%></font>";
    document.getElementById("members").innerHTML = "<font color='black'><%=rbsettings.getString("group.members")%></font>";
    checkButtons()
}

function checkName()
{
        if(document.groupForm.name.value != "")
        {
            ourButtonManager.enableButtonById('okButton');
            ourButtonManager.enableButtonById('applyButton');
        }
        else
        {
            ourButtonManager.disableButtonById('okButton');
            ourButtonManager.disableButtonById('applyButton');
        }
}

function checkButtons()
{
    // Loop through the available node box and the member node boxes and
    // see if they have anything selected. If no selections, disable the appropriate button
    var availableBox = document.groupForm.available_nodes;
    var availableCnt = availableBox.length;
    ourButtonManager.disableButtonById('addButton');

    for (var i = 0; i < availableCnt; i++)
    {
        if (availableBox.options[i].selected == true)
        {
            ourButtonManager.enableButtonById('addButton');
        }
    }

    var memberBox = document.groupForm.node_list;
    var memberCnt = memberBox.length;
    ourButtonManager.disableButtonById('removeButton');

    for (i = 0; i < memberCnt; i++)
    {
        if (memberBox.options[i].selected == true)
        {
            ourButtonManager.enableButtonById('removeButton');
        }
    }
}

function init()
{

<%
    if(applyFlag != null && applyFlag.equals("true"))
    {
%>
        loadApplyBean();
<%  }
    else
    {
        groupUI.resetBean();
%>
        disableCopy();
<%  }
%>

    if(!document.groupForm.copy_group_src.length > 0)
    {
        document.groupForm.copy_group_opt[0].disabled = true;
        document.groupForm.copy_group_src.disabled = true;
    }

    checkName();
    checkButtons();

    document.groupForm.name.focus();
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onLoad="init();">

<form method="POST" name="groupForm" action="GroupServer.jsp" autocomplete="off" style="border:0px;padding:0px;margin:0px">

    <hr>
    <font class="subwindow-header"><%=rbsettings.getString("group.addtitle")%></font><br>
<%
    if( errorFlag.equals("true") )
    {
        String errorCodeStr = request.getParameter("errorCode");
        String errorCodeMsg = groupUI.getAddErrorMessageByCode(errorCodeStr,rbsettings);
        String errorMessage = groupUI.getErrorMessage();

        if (errorMessage != null || errorCodeMsg != null)
        {
            out.println("<hr>");
            if (errorCodeMsg != null)
            {
                out.println("<div align='center'>");
                out.println("<font class='errorTextBold'>");
                out.println(errorCodeMsg);
                out.println("</font>");
                out.println("</div>");
            }
            if (errorMessage != null)
            {
                out.println("<div align='center'>");
                out.println("<font class='errorText'>");
                out.println(errorMessage);
                out.println("</font>");
                out.println("</div>");
            }
            out.println("<hr>");
        }
    }
%>
  <br>&nbsp;<span class="required_label"><%=rbsettings.getString("required")%>*</span><br><br>
  <div align="center">
    <center>
    <table border="0" width="100%">
      <tr>
        <td width="10%">
  <font class="input-field"><%=rbsettings.getString("group.name")%> </font><span class="required">*</span></td>
        <td width="90%"><input type="text" name="name" size="20" onKeyup="checkName()" onBlur="checkName()"></td>
      </tr>
      <tr>
        <td width="10%"><font class="input-field"><%=rbsettings.getString("group.description")%>&nbsp;</font></td>
        <td width="90%"> <input type="text" name="description" size="60"></td>
      </tr>
    </table>
    </center>
  </div>
  <br>
  <font class="section-header"><%=rbsettings.getString("group.assign")%></font><br><br>
  <div style="margin-left:15px">
      <input type="radio" value="copy" name="copy_group_opt" onClick="disableManual()">
      <%=rbsettings.getString("group.copy_members")%>
      <select size="1" name="copy_group_src">
          <% groupUI.ListGroups(loginBean, out, "", "no", rbsettings.getBundle(), groupUI.LIST_MODE_OPTIONS); %>
      </select>
      <br>
      <input type="radio" name="copy_group_opt" value="manual" onClick="disableCopy()" checked>
      <%=rbsettings.getString("group.manual_members")%>
  </div>
  <br>
  <div align="left" style="margin-left:30px">
    <table border="0" width="90%">
      <tr>
        <td width="60%" valign="middle" align="left" colspan="2">
      <p align="left"><font class="listbox-header"><span id="available"><%=rbsettings.getString("group.available")%></span></font></p>
        </td>
        <td width="40%" valign="middle" align="left"><font class="listbox-header"><span id="members"><%=rbsettings.getString("group.members")%></span></font></td>
      </tr>
      <tr>
        <td width="45%" valign="middle" align="center">
      <p align="center">
            <select size="5" name="available_nodes" style="width:100%" onChange="checkButtons()" multiple>
              <% nodeUI.ListNodes(loginBean, out, "", "no", rbsettings.getBundle(), nodeUI.LIST_MODE_OPTIONS); %>
            </select>
          </p>
        </td>
        <td width="10%" valign="middle" align="center">
            <% vertButtons.dumpButtons(out); %>
        </td>
        <td width="45%" valign="middle" align="center">
          <p align="center">
            <select size="5" name="node_list" style="width:100%" onChange="checkButtons()" multiple>
            </select>
          </p>
        </td>
      </tr>
    </table>
  </div>
<input type="hidden" name="nodeAddList">
<input type="hidden" name="command" value="add">
<input type="hidden" name="apply">

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

</form>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
