<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.html.table.MxTableSortingModel" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="authUI" class="com.hp.mx.portal.settings.MxAuthUI" scope="session" />
<jsp:useBean id="authGroupTableModel" class="com.hp.mx.portal.settings.MxAuthTableModel" scope="session" />
<jsp:useBean id="authGroupTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="authGroupTableController" class="com.hp.mx.html.table.MxTableController" scope="session" />
<jsp:useBean id="authGroupSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="groupUI" class="com.hp.mx.portal.settings.MxGroupUI" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="authTabModel" class="com.hp.mx.portal.settings.MxAuthTabModel" scope="session" />

<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    rbsettings.init(loginBean, "MxSettings");
    authTabModel.load(rbsettings);
    authTabModel.setMxTagSelectionId(authTabModel.MX_AUTHORIZATIONS_ID);
%>
<%
    if ( authGroupTableController.isFirstTime() )
    {
        authGroupTableView.setId("ID_GROUP_AUTH_TABLE");
        authGroupTableView.setOnSelectionChange("authSelectionChanged");
        authGroupTableView.setUrlHandler(request.getRequestURI());
        authGroupTableView.setHeight("150px");
        authGroupTableView.setWidth("600px");
        authGroupTableController.setTableModelWithSorting(authGroupTableModel);
        authGroupTableController.setSelectionModel(authGroupSelectionModel);
        authGroupTableController.setTableView(authGroupTableView);
    }
    if ( authGroupTableController.checkUrlForControllerMessages(request, out) )
    {
        return;
    }
    authGroupTableModel.loadNodeGroupAuths(request.getParameter("selectedGroup"),loginBean,rbsettings);
    MxTableSortingModel sortable = authGroupTableController.getSortingModelOrNull();
    if (null != sortable)
    {
        // Sort on the users (first column)
        sortable.sortTable(0,true);
    }

    // Set addMode flag
    String addParam = request.getParameter("addMode");
    boolean addMode = (addParam != null) && addParam.equals("true");

    // Calculate Table Height
    int MAX_NUM_ROWS_TO_SHOW = 15;
    int PIXELS_PER_ROW = 20;
    int rowCount = authGroupTableModel.getRowCount();
    boolean bSetTableHeight = rowCount > MAX_NUM_ROWS_TO_SHOW;

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("addButton",    rbsettings.getString("button.add"),    "LoadWindow('Add')"));
    buttons.addMxTag(new MxDefaultTag("updateButton", rbsettings.getString("button.update"), "LoadWindow('Update')"));
    buttons.addMxTag(new MxDefaultTag("deleteButton", rbsettings.getString("button.delete"), "LoadWindow('Delete')"));
    buttons.addMxTag(new MxDefaultTag("reportButton", rbsettings.getString("button.report"), "LoadWindow('Report')"));
    buttons.setVerticalAligned(true);
%>
<html>

<head>
<title>Required Field</title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language = "JAVASCRIPT">
MxPortalWorkspaceSetHelpTopic("admin_auth_auth");

function LoadWindow(ButtonPushed)
{
    // Set the selected user hidden field
    var selectedGroupIndex = document.AuthPage.groupSelectBox.options.selectedIndex;
    if(document.AuthPage.groupSelectBox.length > 0)
    {
        var selectedGroup = document.AuthPage.groupSelectBox.options[selectedGroupIndex].value;
    }
    else
    {
        var selectedGroup = "";
    }

    // Set the selected auth copy source, if this is an apply
    var selectedAuthSrc = "<%=request.getParameter("selectedAuthSrc") %>";

    if(ButtonPushed == "Add")
    {
        document.getElementById("addDiv").style.display = "block";
        document.getElementById("AuthGroupWkSpace").contentWindow.document.location.replace("<%=MxOptions.URL_BASE%>/home/MxBlank.html");
        document.location.href="AuthGroupStart.jsp?addMode=true&controlPage=AuthGroupServer.jsp&selectedGroup=" + selectedGroup + "&selectedAuthSrc=" + selectedAuthSrc;
    }
    if(ButtonPushed == "Delete")
    {
        // Pop up a confirmation box first
        if(confirm("<%=rbsettings.getString("auth.delete")%>"))
        {
            // Set the input field for the delete form
            document.deleteForm.submit();
        }
    }
    if(ButtonPushed == "Report")
    {
        // reload the page to refresh the current list to match the report list.
        document.location.href="AuthGroupStart.jsp?report=true&selectedGroup=" + selectedGroup + "&selectedAuthSrc=" + selectedAuthSrc;
    }
    if(ButtonPushed == "Update")
    {
        // Show the system group update page
        document.getElementById("addDiv").style.display = "none";
        document.getElementById("AuthGroupWkSpace").contentWindow.document.location.replace("AuthUpdate.jsp?szModel=group#topOfPage");
    }
}

function ChangeAuthPage()
{
    if(document.AuthPage.AuthPageType[0].selected == true) document.location.href="AuthStart.jsp";
    if(document.AuthPage.AuthPageType[1].selected == true) document.location.href="AuthUserStart.jsp";
    if(document.AuthPage.AuthPageType[2].selected == true) document.location.href="AuthUserStart.jsp?userGroup=true";
    if(document.AuthPage.AuthPageType[3].selected == true) document.location.href="AuthToolboxStart.jsp";
    if(document.AuthPage.AuthPageType[4].selected == true) document.location.href="AuthGroupStart.jsp";
    if(document.AuthPage.AuthPageType[5].selected == true) document.location.href="AuthNodeStart.jsp";
}

function authSelectionChanged(szIdTable, iRow, bSelected)
{
    var iframe = document.getElementById("AuthGroupSelection");
    iframe.contentWindow.document.location.replace("AuthSelection.jsp?szIdTable=" + szIdTable
                                                                  + "&iRow=" + iRow
                                                                  + "&bSelected=" + bSelected
                                                                  + "&szModel=group");
}

function authSelectionChangedReal(szIdTable, iRow, bSelected, bAuthWithNodeGroup)
{
    var aSelCount = MxTableGetSelectionCount(szIdTable);

    // Set the buttons: Note that refresh and report are always enabled, so we don't touch them
    if (aSelCount == 0)
    {
        ourButtonManager.disableButtonById('deleteButton');
        ourButtonManager.disableButtonById('updateButton');
    }
    else if (aSelCount == 1)
    {
        ourButtonManager.enableButtonById('deleteButton');
        if (bAuthWithNodeGroup)
        {
            ourButtonManager.enableButtonById('updateButton');
        }
    }
    else if (aSelCount > 1)
    {
        ourButtonManager.enableButtonById('deleteButton');
        ourButtonManager.disableButtonById('updateButton');
    }

    // Context of the subwindow no longer matches the selection.  Clear it.
    document.getElementById("AuthGroupWkSpace").contentWindow.document.location.replace("Blank.html");
    MxPortalWorkspaceSetHelpTopic("admin_auth_auth");
}

function ChangeGroup()
{
    var selectedGroupIndex = document.AuthPage.groupSelectBox.options.selectedIndex;
    document.AuthPage.selectedGroup.value = document.AuthPage.groupSelectBox.options[selectedGroupIndex].value;
    document.AuthPage.submit();
}

function init()
{
    ourButtonManager.disableButtonById('deleteButton');
    ourButtonManager.disableButtonById('updateButton');

    // Loop through the select box for the user, and select that one
    var authListBox = document.AuthPage.groupSelectBox;
    var authCnt = authListBox.length;
    var optCnt = 0;
    var selectedGroup = "<%=request.getParameter("selectedGroup") %>";

    if(selectedGroup != null)
    {
        for (optCnt = 0; optCnt < authCnt; optCnt++)
        {
            if(authListBox.options[optCnt].value == selectedGroup)
            {
                // Select that one
                authListBox.options[optCnt].selected = true;
            }
            else
            {
                authListBox.options[optCnt].selected = false;
            }
        }
    }

    if(!document.AuthPage.groupSelectBox.length > 0)
    {
        ourButtonManager.disableButtonById('addButton');
    }
}

function showGroupMembers(groupid)
{
    var dialogURL  = "ShowGroupMembers.jsp?systemgroupid=" + groupid;
    var lpos;
    var tpos;
    if (window.screenX != null)
    {
        lpos = window.screenX + Math.max(window.outerWidth/2 - 150, 100);
        tpos = window.screenY + Math.max(window.outerHeight/2 - 160, 100);
    }
    else
    {
        lpos = window.screenLeft + 40;
        tpos = window.screenTop + 40;
    }
    var dialogAttr = "left=" + lpos + ",top=" + tpos + ",height=320,width=300,location=no,menubar=no,status=no,toolbar=no,resizable=no,titlebar=no";
    showMembers = window.open(dialogURL,"SYSTEMGROUP_MEMBERS",dialogAttr);
    showMembers.focus();
}
</script>
<script language="JavaScript" type="text/javascript">

function myOnLoad()
{
    MxTableSetWidth("ID_GROUP_AUTH_TABLE", 600);
    <%
    if (bSetTableHeight)
    {
    %>
    MxTableSetHeight("ID_GROUP_AUTH_TABLE", <%= MAX_NUM_ROWS_TO_SHOW * PIXELS_PER_ROW %>);
    <%
    }
    %>

    var reportFlag = "<%=request.getParameter("report")%>";
    if (reportFlag == "true")
    {
        MxPortalWorkspaceSetHelpTopic("admin_auth_reportAuth");
    }
    else
    {
        MxPortalWorkspaceSetHelpTopic("admin_auth_auth");
    }

    // initialize the buttons and the selected user
    init();
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% authTabModel.dumpHeadContent(out); %>
<% buttons.dumpHeadContent(out); %>
<% authGroupTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onLoad="myOnLoad()">

<% authTabModel.dumpTabs(out); %>

<div style="margin-top:15px">
    <table border="0" width="100%" cellpadding="5">
      <tr>
        <td width="70%">
        <form method="POST" name="AuthPage" autocomplete="off" style="border:0px;padding:0px;margin:0px" action="AuthGroupStart.jsp">
        <%=rbsettings.getString("auth.authfor")%> <select size="1" name="AuthPageType" onchange="ChangeAuthPage()">
          <option><%=rbsettings.getString("allauths")%></option>
          <option><%=rbsettings.getString("user")%></option>
          <option><%=rbsettings.getString("usergroup")%></option>
          <option><%=rbsettings.getString("toolbox")%></option>
          <option selected><%=rbsettings.getString("nodegroup")%></option>
          <option><%=rbsettings.getString("node")%></option>
        </select>

        &nbsp; <%=rbsettings.getString("auth.selectname")%> <select size="1" name="groupSelectBox" onChange="ChangeGroup()">
          <% groupUI.ListGroups(loginBean, out, request.getParameter("selectedGroup"), "yes", rbsettings.getBundle(), groupUI.LIST_MODE_OPTIONS); %>
        </select>
        <input type="hidden" name="selectedGroup">
        </form>
        </td>
        <td width="30%">
        </td>
      </tr>
      <tr>
        <td width="70%">
<%  if (authGroupTableModel.getRowCount() > 0)
    {
          authGroupTableView.dumpTableVisiblePart(out);
    }
    else
    {
%>
          <div id="reportTable" align="center" style="width=600px;height=150px">
          <br><br><br><b><%=rbsettings.getString("auth.no.auths.match")%></b><br>
          </div>
<%  }
%>
        </td>
        <td width="30%" valign="top" align="left">
            <div style="margin-top:10px;width:130px">
              <% buttons.dumpButtons(out); %>
            </div>
        </td>
      </tr>
    </table>
</div>

<div id="addDiv" style="display:block">
<%
    if (addMode)
    {
        %><jsp:include page="AddAuth.jsp" flush="true"/><%
    }
%>
</div>

<IFRAME ID="AuthGroupWkSpace" NAME="AuthGroupSpace" SRC="Blank.html" WIDTH=100% HEIGHT=1300 SCROLLING=AUTO FRAMEBORDER=0></IFRAME>

<iframe id='AuthGroupSelection' name='AuthGroupSelection' style='position:relative; display:none; width:100%; height:250; border: solid black 2px;'
        scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
</iframe>

<form method="POST" action="AuthGroupServer.jsp" target="AuthGroupSpace" name="deleteForm">
    <input type="hidden" name="selectedGroup" value="<%=request.getParameter("selectedGroup") %>">
    <input type="hidden" name="command" value="delete">
</form>
<% authGroupTableView.dumpTableHiddenPart(out); %>

<%
    String reportFlag = request.getParameter("report");
    if(reportFlag != null && reportFlag.equals("true"))
    {
%>
        <script language="JAVASCRIPT">
            // document.getElementById("AuthGroupWkSpace").src = "ReportGroupAuth.jsp?selectedGroup=" + "<%=request.getParameter("selectedGroup") %>";
            var url;
            url = "ReportGroupAuth.jsp?printable=yes&selectedGroup=<%=request.getParameter("selectedGroup")%>";
            reportWindow = window.open(url, "groupAuthReport", "menubar=1, titlebar=1, toolbar=1, scrollbars=1, resizable=1");
            reportWindow.focus();
        </script>
<%  }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
