<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.MxLoginBean" %>
<%@ page import="com.hp.mx.portal.ui.MxOptions" %>
<%@ page import="com.hp.mx.portal.ui.MxBean" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="authTabModel" class="com.hp.mx.portal.settings.MxAuthTabModel" scope="session" />


<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);
    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;
%>
<%  if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.TOOL_AUTHORIZATION_PRIVILEGE))
    { %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
<%  } %>
<%
    rbsettings.init(loginBean, "MxSettings");
    authTabModel.load(rbsettings);
    authTabModel.setMxTagSelectionId(authTabModel.MX_OVERVIEW_ID);

%>
<html>
<head>
<title>Required Field</title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language="JAVASCRIPT" type="text/javascript">
MxPortalWorkspaceSetHelpTopic("admin_auth");
</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% authTabModel.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body>

    <% authTabModel.dumpTabs(out); %>

    <div align="center" style="font-weight:bold">
          <p><%=rbsettings.getString("auth.overview.formula")%></p>
          <p><%=rbsettings.getString("auth.overview.statement")%></p>
    </div>

    <p><%=rbsettings.getString("auth.overview.warning")%></p>
    <p><%=rbsettings.getString("auth.overview.forhelp")%></p>
    <p><%=rbsettings.getString("auth.overview.steps.title")%></p>
    <p>
        <ol>
            <li><%=rbsettings.getString("auth.overview.steps.step1")%>
            <a class="mx-link" href="UserStart.jsp"><%=rbsettings.getString("auth.overview.steps.users")%></a></li>
            <li><i><%=rbsettings.getString("auth.overview.steps.optionally")%></i>,
            <%=rbsettings.getString("auth.overview.steps.step2")%>
            <a class="mx-link" href="ToolboxStart.jsp"><%=rbsettings.getString("auth.overview.steps.toolboxes")%></a></li>
            <li><i><%=rbsettings.getString("auth.overview.steps.optionally")%></i>,
            <%=rbsettings.getString("auth.overview.steps.step3")%>
            <a class="mx-link" href="javascript:void(0)" onclick="MxPortalActionStart('CUSTOMIZE_LIST', '')"><%=rbsettings.getString("auth.overview.steps.collections")%></a></li>
            <li><%=rbsettings.getString("auth.overview.steps.step4")%>
            <a class="mx-link" href="AuthStart.jsp"><%=rbsettings.getString("auth.overview.steps.authorizations")%></a></li>
        </ol>
    </p>

    <p><i><%=rbsettings.getString("auth.overview.note.discover")%></i></p>
    <p><%=rbsettings.getString("auth.overview.quickstep")%></p>

    <% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>

