<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/AutoDiscoveryListSelectTask.jsp,v $
// $Revision: 1.1 $
// $Date: 2005/02/10 17:03:32 $
//
%>
<%@page import="com.hp.mx.portal.taskandjob.MxTaskAndJobInstance"%>
<%@page import="com.hp.mx.portal.ui.MxBean"%>
<%@page import="com.hp.mx.portal.ui.MxOptions"%>
<%@page import="com.hp.mx.portal.discovery.AutoDiscoveryTaskListMgr"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="autoDiscoveryListBean" class="com.hp.mx.portal.discovery.AutoDiscoveryList" scope="session"/>
<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    // if there are no Tasks to select, then we will not attempt to call "displayTaskResults()"
    // in the onLoad= of the <body>
    String  onLoad  = "setTaskInfo()";
    AutoDiscoveryTaskListMgr inst = autoDiscoveryListBean.initializeAllTasks();
    boolean itemSelected = inst.selectTask();
    if (!itemSelected)
    {
        onLoad = "parent.disableAllButtons()";
    }

    boolean btnStates[] = inst.getButtonStateForSelectedTask();
%>

<html>
<head>
    <title></title>
    <script language='javascript' type='text/javascript'>
        // Updates the button states and labels on the discovery list page (AutoDiscoveryList.jsp)
        // Similar code exists in AutoDiscoveryListRefresh.jsp to handle
        // automatic table refreshes (should combine these).
        function setTaskInfo()
        {
            // Set the button states
            parent.enableDisableButtonsById('btnNew', <%=btnStates[0]%>);
            parent.enableDisableButtonsById('btnEdit', <%=btnStates[1]%>);
            parent.enableDisableButtonsById('btnEnableDisable', <%=btnStates[2]%>);
            parent.enableDisableButtonsById('btnDelete', <%=btnStates[3]%>);
            parent.enableDisableButtonsById('btnRunNowStop', <%=btnStates[4]%>);

            <% // Set the enable/disable button label %>
            var selectedTaskDisabled = <%= autoDiscoveryListBean.isTaskDisabled() %>;
            if (selectedTaskDisabled)
            {
                parent.ourButtonManager.setButtonLabelById('btnEnableDisable',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.enable")%>");
            }
            else
            {
                parent.ourButtonManager.setButtonLabelById('btnEnableDisable',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.disable")%>");
            }

            <% // Set the run/stop button label %>
            var selectedTaskRunning = <%= autoDiscoveryListBean.isTaskRunning() %>;
            if (selectedTaskRunning)
            {
                parent.ourButtonManager.setButtonLabelById('btnRunNowStop',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.stop")%>");
            }
            else
            {
                parent.ourButtonManager.setButtonLabelById('btnRunNowStop',  "<%= autoDiscoveryListBean.getResourceString("auto.btn.runNow")%>");
            }
        }
    </script>
</head>
<body onLoad='<%=onLoad%>'>
</body>
</html>
