<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/HWStatusPolling.jsp,v $
//$Revision: 1.22 $
//$Date: 2005/05/06 21:44:33 $

--%>
<!-- ---------------------------------------------------------------------- -->
<!--  Put all your Java imports here -->
<!-- ---------------------------------------------------------------------- -->
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.tools.polling.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.utilities.*" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<!-- ---------------------------------------------------------------------- -->
<!--  Create all your beans here -->
<!-- ---------------------------------------------------------------------- -->

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="hwspRbSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="page" />
<jsp:useBean id="hardwareStatusPollingBean" class="com.hp.mx.portal.taskandjob.HardwareStatusPollingBean" scope="session" />
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>
<jsp:useBean id="debugBean" class="com.hp.mx.portal.ui.MxBean" scope="session" />

<!-- ---------------------------------------------------------------------- -->
<!--  Put one block of initialization Java code here -->
<!--  In general, keep Java code to a minimum. Put Java code into JavaBeans. -->
<!-- ---------------------------------------------------------------------- -->

<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // EXAMPLE: follow references to this bean for i18n support using resource bundles
    hwspRbSettings.init(loginBean, "HardwareStatusPolling");

    // set up the task setup bean
    hardwareStatusPollingBean.initialize(loginBean, hwspRbSettings,
                    (HardwareStatusPollingTaskModel) inst.getTaskUserParameters());

    Vector pollingProtocols = hardwareStatusPollingBean.getPollingProtocols();
    PollingProtocols popr = new PollingProtocols();

    int pollingTimeoutDefault = hardwareStatusPollingBean.getTimeoutDefault();
    int pollingRetriesDefault = hardwareStatusPollingBean.getRetriesDefault();

    Enumeration reqNames = request.getParameterNames();
    DebugSubsystem pollingDebug=DebugOutput.getDebugSubsystem("HardwareStatusPolling");
    while (reqNames.hasMoreElements())
    {
       String name = (String) reqNames.nextElement();
       DebugOutput.log(pollingDebug, 10, " Name of Request PARAMETER " + name + " and value " + request.getParameter(name));
    }
%>

<html>
<head>
<!-- ---------------------------------------------------------------------- -->
<!--  REQUIRED: This line is required by the browser for i18n support. -->
<!-- ---------------------------------------------------------------------- -->

    <link href="<%=MxOptions.URL_BASE%>/css/MxPortalEx.css" rel="stylesheet" type="text/css">
    <link href='<%= MxOptions.URL_BASE %>/taskandjob/css/taskAndJob.css' rel='stylesheet' type='text/css'>


    <STYLE TYPE="text/css">
    <!--
        .indented{margin-left:12px;}
    -->
    </STYLE>
    <script type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
    <script type='text/javascript' language='JavaScript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
    <script language="JavaScript" type="text/javascript" src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js"></script>

    <script language='javascript'>
        MxPortalWorkspaceSetHelpTopic("admin_statusPolling_hardware");

        function checkRequiredFields()
        {
            var isButtonEnabled = false;

            // check all required fields - check to make sure they
            // have atleast one protocol selected.
            <%
               for (int i=0; i < pollingProtocols.size(); i++)
               {
                 popr = (PollingProtocols) pollingProtocols.get(i);
                 if (popr.getProtocolName().indexOf("No UI") == -1 ||
                  (!MxCMS.isWindows() && popr.getProtocolName().equalsIgnoreCase("dmi")))
                 {
                 %>
                   if (document.getElementById("protocolName<%=popr.getProtocolName()%>").checked == false)
                   {
                      if (isButtonEnabled != true)
                         isButtonEnabled = false;
                   }
                   else
                     isButtonEnabled = true;
                 <%
                 }
               }
            %>

            // Check to see if any custom fields are selected
            if (isButtonEnabled == true)
            {
               isButtonEnabled = checkTimeoutFields();
               if (isButtonEnabled == true)
               {
                  isButtonEnabled = checkRetriesFields();
               }
            }
            // if all passes, then enable the Schedule and Run Now buttons
            // else, disable it
           // enable or disable the "Schedule" button should be enabled.
           // enable or disable the "Run Now" button should be enabled.
           if (isButtonEnabled)
           {
                ourButtonManager.enableButtonById('scheduleBtn');
                ourButtonManager.enableButtonById('runNowBtn');
           }
           else
           {
                ourButtonManager.disableButtonById('scheduleBtn');
                ourButtonManager.disableButtonById('runNowBtn');
           }
        }

        function checkTimeoutFields()
        {
            if (document.getElementById("timeoutCustom").checked == true)
            {
               if (document.hwStatusPollingForm.snmpTimeoutTextField.value.length > 0)
               {
                 return true;
               }
               else
               {
                 return false;
               }
            }
            else if (document.getElementById("timeoutDefault").checked == true)
            {
                 return true;
            }
        }

        function checkRetriesFields()
        {
            if (document.getElementById("retriesCustom").checked == true)
            {
               if (document.hwStatusPollingForm.snmpRetriesTextField.value.length > 0)
               {
                 return true;
               }
               else
               {
                 return false;
               }
            }
            else if (document.getElementById("retriesDefault").checked == true)
            {
                 return true;
            }
        }

        function checkDefaultFields(elementName)
        {
            enableElement(elementName, false);
            checkRequiredFields();
        }

        function checkCustomFields(elementName)
        {
            enableElement(elementName, true);
            checkRequiredFields();
        }


       // Enable/Disable an HTML element
        function enableElement(elementName, enabledState)
        {
            var el = document.getElementById(elementName);
            if (el != null)
            {
                el.disabled = !enabledState;

                // give focus to the enabled control
                if (enabledState)
                    el.focus();
            }
        }

        function scheduleButtonFunction()
        {
              //document.hwStatusPollingForm.submit();
              setReloadOnError(false);
              return true;
        }

        function runNowButtonFunction()
        {
              //document.hwStatusPollingForm.submit();
              setReloadOnError(false);
              return true;
        }
    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body>
      <%
        // Display any error messages
        if (hardwareStatusPollingBean.hasErrorMessages())
        {
            // Display plurally-correct label
            if (hardwareStatusPollingBean.getErrorMessageList().size() == 1)
            {
                %><div class="errorTextBold"><%= hwspRbSettings.getString("protocolsPage.label.single")%>:</div><%
            }
            else
            {
                %><div class="errorTextBold"><%= hwspRbSettings.getString("protocolsPage.label.multiple")%>:</div><%
            }

            // Finally, display the error message(s)
            hardwareStatusPollingBean.displayErrorMessagesInHtml(out);

            hardwareStatusPollingBean.clearAllErrorMessages();
        }
      %>

    <%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    //debugBean.displayJspParamsHtml(request, out);
    //debugBean.displayJspParamsToConsole(request);


    if (request.getMethod().equals("POST"))
    {
        int pollingTimeout = 0;
        String tempStr = null;

        hardwareStatusPollingBean.clearAllErrorMessages();
        hardwareStatusPollingBean.getUIInputFromRequest(request);

        // Update the data model values
        hardwareStatusPollingBean.updateDataModelValues();

DebugOutput.log(pollingDebug, 10, "IsDataValid " + hardwareStatusPollingBean.isDataValid());

        if (hardwareStatusPollingBean.isDataValid())
        {
            // Set the data model in the task wizard bean.
            // User data is valid, go to the next wizard step
            inst.setTaskUserParameters(hardwareStatusPollingBean.getTaskUserParameters());
            %>
            <script>
               loadWizardNextStep();
            </script>
           <%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>
            <script>
              loadWizardCurrentStep();
            </script>
            <%
        }
    }
    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
        %>
        <script>
            setWizardStepText('<%= hwspRbSettings.getString("protocolsPage.title") %>');
        </script>
        <form id="hwStatusPollingForm" name="hwStatusPollingForm" action="HWStatusPolling.jsp" method="post">

          <b><%= hwspRbSettings.getString("protocolsPage.title2") %>:</b><br>
          <div class="indented">
            <%
            String valueStr = "";
            for (int i=0; i < pollingProtocols.size(); i++)
            {
              popr = (PollingProtocols) pollingProtocols.get(i);
              valueStr= popr.isEnabled() ? "checked" : "";
              if (popr.getProtocolName().indexOf("No UI") == -1 ||
              (!MxCMS.isWindows() && popr.getProtocolName().equalsIgnoreCase("dmi")))
              {
                %>
                <input type='checkbox' name="protocolName<%=popr.getProtocolName()%>" id="protocolName<%=popr.getProtocolName()%>" <%=valueStr%> onClick="checkRequiredFields();"><%=popr.getProtocolName()%><br>
                <%
              }
            }
            %>
          </div>
          <br>

          <strong><%= hwspRbSettings.getString("protocolsPage.timeout.title") %> <%= hwspRbSettings.getString("protocolsPage.timeout.title2") %>:</strong>
          <div class="indented">
<%
             String toDfltEnabled = "";
             String toCstmEnabled = "";
             String rtsDfltEnabled = "";
             String rtsCstmEnabled = "";
             String toButtonState = "";
             String rtsButtonState = "";

             if (hardwareStatusPollingBean.isTimeoutDefaultEnabled())
             {
                 toDfltEnabled = "checked";
                 toButtonState = "disabled";
             }
             else
             {
                 toCstmEnabled = "checked";
                 toButtonState = "enabled";

             }

             if (hardwareStatusPollingBean.isRetriesDefaultEnabled())
             {
                 rtsDfltEnabled = "checked";
                 rtsButtonState = "disabled";

             }
             else
             {
                 rtsCstmEnabled = "checked";
                 rtsButtonState = "enabled";

             }
          %>
             <input type="radio" name="radioSnmpTimeout" id="timeoutDefault" <%=toDfltEnabled%> value="default" onClick="checkDefaultFields('snmpTimeoutTextField')">
             <label for="timeoutDefault"><%= hwspRbSettings.getString("protocolsPage.timeoutandretries.radio1") %> "<%=pollingTimeoutDefault%>")</label><br>
             <input type="radio" name="radioSnmpTimeout"  id="timeoutCustom" <%=toCstmEnabled%> value="custom" onClick="checkCustomFields('snmpTimeoutTextField')">
             <label for="timeoutCustom"><%= hwspRbSettings.getString("protocolsPage.timeoutandretries.radio2") %></label>
             <input type="text" name="snmpTimeoutTextField" id="snmpTimeoutTextField" onMouseUp="checkRequiredFields" onKeyUp="checkRequiredFields()" onChange="checkRequiredFields()" <%=toButtonState%> value=<%=hardwareStatusPollingBean.getPollingTimeout()%> size="5" maxlength="5">
          </div>
          <br>

          <strong><%= hwspRbSettings.getString("protocolsPage.retries.title") %>:</strong>
          <div class="indented">
            <input type="radio" name="radioSnmpRetries" id="retriesDefault" <%=rtsDfltEnabled%> value="default" onClick="checkDefaultFields('snmpRetriesTextField')">
            <label for="retriesDefault" ><%= hwspRbSettings.getString("protocolsPage.timeoutandretries.radio1") %> "<%=pollingRetriesDefault%>")</label><br>
            <input type="radio" name="radioSnmpRetries" id="retriesCustom" <%=rtsCstmEnabled%> value="custom" onClick="checkCustomFields('snmpRetriesTextField')">
            <label for="retriesCustom"><%= hwspRbSettings.getString("protocolsPage.timeoutandretries.radio2") %></label>
            <input type="text" name="snmpRetriesTextField" id="snmpRetriesTextField" onMouseUp="checkRequiredFields()" onKeyUp="checkRequiredFields()" onChange="checkRequiredFields()" <%=rtsButtonState%> value=<%=hardwareStatusPollingBean.getPollingRetries()%> size="5" maxlength="5">
            <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>'>
          </div>
          <br>
        </form>
        <script language='javascript'>
             displayTaskWizardButtons();
             checkRequiredFields();
        </script>
        <script>
            setFormSubmitName("hwStatusPollingForm");
        </script>
    <%
    }
    %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
