<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/SysTypMgr_GetOID.jsp,v $
//$Revision: 1.18 $
//$Date: 2005/06/13 17:56:40 $
--%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.subjects.*"%>
<%@ page import="com.hp.mx.core.subjects.usermanager.*"%>
<%@page import="com.hp.mx.portal.ui.*"%>
<%@page import="java.util.*"%>
<%@page import="java.net.*"%>
<%@page import="com.hp.mx.portal.settings.SysTypMgrUI"%>
<%@page import="com.hp.mx.core.protocol.snmp.MibVariable"%>
<jsp:useBean id="stmBean" scope="session" class="com.hp.mx.portal.settings.SysTypMgrUI" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_MODIFICATION_PRIVILEGE))
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }
%>
<jsp:setProperty name="stmBean" property="*" />
<%
    stmBean.getResBundles(loginBean);

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("btnGetMibVar", stmBean.getResString("LBL_OK"), "updateOid()"));
    buttons.addMxTag(new MxDefaultTag("btnCancel", stmBean.getResString("LBL_CANCEL"), "cancelGet()"));
%>
<html>
<head>
    <title>
    SysTypMgr_GetOID
    </title>
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/settings/css/SysTypMgr.css'>
    <SCRIPT>
        <%@include file="js/SysTypMgr.js"%>
    </SCRIPT>

    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=stmBean.getResString("HELP_ID_GETOID")%>")</SCRIPT>

    <SCRIPT language="javascript">
    function thisFrameOnLoad()
    {
        parent.iframeLoaded('frmQueryDisplay');
        document.location="#GET_OID_PAGE_TOP";
    }
    function cancelGet()
    {
        parent.document.getElementById('frmDisplay').contentWindow.document.location='<%=stmBean.getResString("URL_NEW_PAGE")%>?reqType=dontclear';
        document.location='<%=stmBean.getResString("URL_BLANK_PAGE")%>';
    }
    function getMibFilesList()
    {
        document.frmSTM.action='<%=stmBean.getResString("URL_GET_OID")%>';
        document.frmSTM.submit();
    }
    function getMibVarsList()
    {
        document.frmSTM.action='<%=stmBean.getResString("URL_GET_OID")%>';
        document.frmSTM.submit();
    }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body onload="thisFrameOnLoad()">
<A NAME="GET_OID_PAGE_TOP"></A>
<hr class="mx-hr">
    <BR>
    <span class='mxPageSubTitle'>
            <%=stmBean.getResString("TXT_QUERY_MIB_COLON")%>
    </span>

    <FORM name="frmSTM" method="POST" action=""
        WIDTH="100%"
        MARGINWIDTH=0
        MARGINHEIGHT=0
        BORDER=0>
    <BR>
    <blockquote>
        <%=stmBean.getResString("TXT_SELECT_MIB_PROMPT")%>
        <BR>
        <BR>
        <BR>
    <TABLE align="center" border=0 cellPadding=0 cellSpacing=0 width="100%">
      <tr>
        <td><%=stmBean.getResString("LBL_MIB_FILE_NAME")%></td>
            <td>&nbsp;</td>
        <td><SELECT size=1 name=mibFileName
                    id=mibFileName
                    style="HEIGHT: 22px; WIDTH: 250px"
                    onChange="javascript:getMibFilesList()"
                    title="">
            <%
                String mibFileName="";

                try
                {
                    mibFileName = request.getParameter("mibFileName").trim();
                }
                catch(Throwable t)
                {
                    mibFileName="rfc1213.mib";
                }

                try
                {
                    List mibFiles = stmBean.getMibFilesList();
                    ListIterator mibFiles_li = mibFiles.listIterator();

                    while (mibFiles_li.hasNext())
                    {
                        String mibFile = ((String) mibFiles_li.next()).trim();

                        if (mibFile.equalsIgnoreCase(mibFileName))
                        {
                            out.write("<OPTION SELECTED VALUE='"
                                    + mibFile +"'>"
                                    + mibFile
                                    + "</OPTION>");
                        }
                        else
                        {
                            out.write("<OPTION VALUE='"
                                    + mibFile +"'>"
                                    + mibFile
                                    + "</OPTION>");
                        }

                    }
                }
                catch (Throwable t)
                {
                    t.printStackTrace();
                }
            %>
        </SELECT>
        </td>
       </tr>

       <tr>
          <td><%=stmBean.getResString("LBL_MIB_VAR_NAME")%></td>
            <td>&nbsp;</td>
        <td><SELECT size=1 name=mibVarName
                    id=mibVarName
                    style='HEIGHT: 22px; WIDTH: 250px'
                    onChange="javascript:getMibVarsList()"
                    title=''>
            <%
                String mibVarName="";

                try
                {
                    mibVarName = request.getParameter("mibVarName").trim();
                }
                catch(Throwable t)
                {
                    mibVarName="sysDescr";
                }

                try
                {
                    boolean bMibVarFound = false;
                    List mibVars = stmBean.getMibVarList(mibFileName);
                    ListIterator mibVars_li = mibVars.listIterator();

                    while (mibVars_li.hasNext())
                    {
                        String mibVar = ((String) mibVars_li.next()).trim();

                        if (mibVar.equalsIgnoreCase(mibVarName))
                        {
                            bMibVarFound = true;
                            out.write("<OPTION SELECTED VALUE='"
                                    + mibVar +"'>"
                                    + mibVar
                                    + "</OPTION>");
                        }
                        else
                        {
                            out.write("<OPTION VALUE='"
                                    + mibVar +"'>"
                                    + mibVar
                                    + "</OPTION>");
                        }

                    }
                    if (!bMibVarFound)
                    {
                        mibVarName = (String) mibVars.get(1);
                    }
                }
                catch(Throwable t)
                {
                    t.printStackTrace();
                }
         %>
         </SELECT>
        </td>
       </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
    </table>
    <BR>
    <%
        String mib_oid="";
        String mib_access="";
        String mib_status="";
        String mib_type="";

        try
        {
            MibVariable myMibVar = new MibVariable();
            myMibVar = MibVariable.getObjectInfoByMibAndVarname(mibFileName, mibVarName);
            mib_oid=myMibVar.getSnmpOid();
            mib_access=myMibVar.getAccess();
            mib_status=myMibVar.getStatus();
            mib_type=myMibVar.getType();
        }
        catch(Throwable t)
        {
            t.printStackTrace();
        }
    %>
    <table>
       <tr>
       <td><%=stmBean.getResString("LBL_MIB_VAR_OID")%></td>
            <td>&nbsp;</td>
           <td><%=mib_oid%></td>
       </tr>

       <tr>
          <td><%=stmBean.getResString("LBL_MIB_VAR_ACCESS")%></td>
            <td>&nbsp;</td>
          <td><%=mib_access%></td>
       </tr>

       <tr>
          <td><%=stmBean.getResString("LBL_MIB_VAR_STATUS")%></td>
            <td>&nbsp;</td>
          <td><%=mib_status%></td>
        </td>
       </tr>

       <tr>
          <td><%=stmBean.getResString("LBL_MIB_VAR_TYPE")%></td>
            <td>&nbsp;</td>
          <td><%=mib_type%></td>
       </tr>
      </table>
    </blockquote>
    <SCRIPT language="javascript">
        function updateOid()
        {
            parent.document.getElementById('frmDisplay').contentWindow.document.getElementById('oid').value = '<%=URLEncoder.encode(mib_oid, "UTF-8")%>';
            parent.document.getElementById('frmDisplay').contentWindow.document.location='<%=stmBean.getResString("URL_NEW_PAGE")%>?reqType=dontclear&oid=<%=URLEncoder.encode(mib_oid, "UTF-8")%>';
            document.location='<%=stmBean.getResString("URL_BLANK_PAGE")%>';
        }
    </SCRIPT>
<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>
</form>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
