<%--
//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/SysTypMgr_Manage.jsp,v $
//$Revision: 1.32 $
//$Date: 2005/07/07 20:54:28 $
--%>
<%@ page import="java.util.*"%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.html.table.*"%>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.core.tools.identification.systypmgr.*"%>
<%@ page import="com.hp.mx.core.subjects.*"%>
<%@ page import="com.hp.mx.utilities.simenum.*"%>
<%@ page import="com.hp.mx.core.nodemanager.NodeTypeMapper"%>

<jsp:useBean id="stmSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="stmTableView" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="stmTableController" class="com.hp.mx.html.table.MxTableController" scope="session"/>
<jsp:useBean id="stmTableModel" class="javax.swing.table.DefaultTableModel" scope="session"/>
<jsp:useBean id="stmBean" scope="session" class="com.hp.mx.portal.settings.SysTypMgrUI" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>

<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    // Abort if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_MODIFICATION_PRIVILEGE))
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
        <%
    }

    stmBean.initBean(out, loginBean);

    if (stmTableController.isFirstTime())
    {
        stmBean.getColumnNames(stmTableModel);

        // set to only allow 1 row to be selected
        stmSelectionModel.setSelectionMode(MxTableSelectionModel.SINGLE_SELECTION);

        stmTableView.setId("ID_MY_TABLE");
        stmTableView.setOnSelectionChange("mySelectionChanged");
        stmTableView.setUrlHandler(request.getRequestURI());

        stmTableController.setTableModelWithSorting(stmTableModel);

        // get the sorting table and tell it to sort
        MxTableSortingModel sortingModel = stmTableController.getSortingModelOrNull();
        // column #1, sortUp == true
        sortingModel.sortTable(0, true);

        stmTableController.setSelectionModel(stmSelectionModel);
        stmTableController.setTableView(stmTableView);
    }

    // do we need to abort?
    if (stmTableController.checkUrlForControllerMessages(request, out))
    {
        return;
    }

    int pType=stmBean.ALL_PDCT_TYPES;

    try
    {
        if (null != request.getParameter("productType"))
        {
            pType = Integer.parseInt(request.getParameter("productType"));
        }
        else
        {
            if (null != request.getParameter("highlightLastSelected"))
            {
                pType = Integer.parseInt(stmBean.getDevType());
            }
        }
    }
    catch(Throwable t)
    {
        pType=stmBean.ALL_PDCT_TYPES;
    }

    stmBean.refreshRules(pType, stmTableModel, loginBean);
    int numRules     = stmTableModel.getRowCount();

    int hRow=0;
    if (null != request.getParameter("highlightLastSelected"))
    {
        String devName = stmBean.getDevName();
        if (null == devName)
        {
            devName = "";
        }
        else
        {
            for (int j=0; j<numRules;j++)
            {
                if (stmBean.getProductModel(j).equals(devName))
                {
                    hRow=j;
                    break;
                }
            }
        }
    }

    if (numRules > 0)
    {
        stmSelectionModel.setSelectedIndex(hRow, true);
    }


    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxDefaultTag button1 = new MxDefaultTag("btnAdd", stmBean.getResString("LBL_BUTTON_NEW"), "showAddPage()");
    MxDefaultTag button2 = new MxDefaultTag("btnEdit", stmBean.getResString("LBL_BUTTON_EDIT"), "showEditPage()");
    MxDefaultTag button3 = new MxDefaultTag("btnDelete", stmBean.getResString("LBL_BUTTON_DELETE"), "showDeletePage()");
    button2.setAttr(MxTag.DISABLED, "true");
    button3.setAttr(MxTag.DISABLED, "true");
    buttons.addMxTag(button1);
    buttons.addMxTag(button2);
    buttons.addMxTag(button3);
%>
<HTML>
<HEAD>
    <title>
        System Type Manager - Manage Rules
    </title>
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/settings/css/SysTypMgr.css'>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/settings/js/SysTypMgr.js'></script>

    <SCRIPT src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></SCRIPT>
    <SCRIPT>MxPortalWorkspaceSetHelpTopic("<%=stmBean.getResString("HELP_ID_MANAGE")%>")</SCRIPT>
    <SCRIPT language='javascript' type='text/javascript'>
        var REFRESH_TIMEOUT              = 10000;
        var SELECTED_ROW_COLOR           = "66CCFF";
        var NETSCAPE_SCROLLBAR_WIDTH     = 36;
        // resize the MxTable to be flush with the right browser edge
        function myResize()
        {
            var w = Math.max(0, MxBrowserGetBodyWidth(-NETSCAPE_SCROLLBAR_WIDTH, 0));
            MxTableSetWidth('ID_MY_TABLE', w);
        }
        //
        // the function called when the selection changes
        //
        function mySelectionChanged(szIdTable, iRow, bSelected)
        {
            if (bSelected)
            {
                selectRule(szIdTable, iRow);
            }
            else
            {
                ourButtonManager.enableButtonById('btnAdd');
                ourButtonManager.disableButtonById('btnEdit');
                ourButtonManager.disableButtonById('btnDelete');
            }
        }
        function selectRule(szIdTable, iRow)
        {
            var protocol = MxTableGetValueAt(szIdTable, iRow, 3);

            var regExp = new RegExp("SNMP"); //matches "SNMP"

            if ( regExp.test( protocol ) )
            {
                ourButtonManager.enableButtonById('btnAdd');
                ourButtonManager.enableButtonById('btnEdit');
                ourButtonManager.enableButtonById('btnDelete');
            }
            else
            {
                ourButtonManager.enableButtonById('btnAdd');
                ourButtonManager.disableButtonById('btnEdit');
                ourButtonManager.disableButtonById('btnDelete');
            }
            document.getElementById('frmDisplay').src='<%=stmBean.getResString("URL_BLANK_PAGE")%>';
        }
        function refreshList(sel)
        {
            document.location = '<%=stmBean.getResString("URL_MANAGE_PAGE")%>'
                    + '?productType=' + sel.value;
            return true;
        }
        function iframeLoaded(iframeName)
        {
            var iframe = document.getElementById(iframeName);
            var pageHeight = iframe.contentWindow.document.body.scrollHeight;
            iframe.height =  pageHeight;
            var pageWidth = iframe.contentWindow.document.body.scrollWidth;
            iframe.width =  pageWidth + NETSCAPE_SCROLLBAR_WIDTH;
        }
        function resize_h()
        {
            var titleHeight  = MxTableGetHeadHeight('ID_MY_TABLE');
            var rowHeight    = 0;
            var maxDisplayed = 10;
            var numRules = <%=numRules%>;
            var divHeight    = titleHeight;

            if (numRules > 0)
            {
                rowHeight = MxTableGetRowHeight('ID_MY_TABLE', 0);
            }

            if (numRules < maxDisplayed)
            {
                divHeight += (rowHeight * numRules);
            }
            else
            {
                divHeight += (rowHeight * maxDisplayed);
            }
            MxTableSetHeight('ID_MY_TABLE', divHeight);
        }
        function thisFrameOnLoad()
        {
            ourButtonManager.enableButtonById('btnAdd');
            myResize();
            resize_h();
            if (<%=numRules%> > 0)
            {
                selectRule('ID_MY_TABLE', <%=hRow%>);
            }
        }
    </SCRIPT>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% stmTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</HEAD>
<BODY onload="thisFrameOnLoad()">
<A NAME="MANAGE_PAGE_TOP"></A>
    <!-- Nimbus Portal will provide the header -->
    <TABLE>
        <TR>
            <TD>
                <b>
                <%=stmBean.getResString("LBL_SYSTEM_TYPE")%>
                </b>
            </TD>
            <TD>
            <SELECT id=selProductTypes name=selProductTypes onChange=refreshList(this)>
            <%
                 NodeTypeMapper ntm = NodeTypeMapper.getDefaultMapper();
                 List productTypes = ntm.getLocalizedList(loginBean.getLocale());
                 ListIterator li = productTypes.listIterator();

                 String szOrd="";
                 String szPtype =  stmBean.getResString("LBL_ALL_PDCT_TYPES");
                 if (stmBean.ALL_PDCT_TYPES == pType)
                 {
                    out.write("<OPTION SELECTED VALUE='"
                                  + Integer.toString(stmBean.ALL_PDCT_TYPES)
                                  + "'>"
                                  + szPtype
                                  + "</OPTION>");
                 }
                 else
                 {
                     out.write("<OPTION VALUE='"
                                  + szOrd
                                  + "'>"
                                  + szPtype
                                  + "</OPTION>");
                 }

                 while (li.hasNext())
                 {
                     MxDisplayableEnum dispe = (MxDisplayableEnum) li.next();
                     szPtype = dispe.getDisplayStrValue();
                     szOrd = Integer.toString(dispe.getOrdinal());
                     if (pType == dispe.getOrdinal())
                     {
                         out.write("<OPTION SELECTED VALUE='"
                                  + szOrd
                                  + "'>"
                                  + szPtype
                                  + "</OPTION>");
                     }
                     else
                     {
                         out.write("<OPTION VALUE='"
                                  + szOrd
                                  + "'>"
                                  + szPtype
                                  + "</OPTION>");
                     }
                 }
            %>
            </SELECT>
            </TD>
        </TR>
    </TABLE>
    <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
        <tr>
            <td align='left' nowrap>
                <b><%=stmBean.getResString("LBL_TABLE_TITLE")%></b>
            </td>
            <td style='width:50%' nowrap>
                &nbsp;
            </td>
            <td id='totalTasks' style='width:50%' align='right' nowrap>
                <b><%=stmBean.getResString("LBL_NO_OF_RULES")%></b>&nbsp;<%=numRules%>
            </td>
        </tr>
    </table>
<%
    stmTableView.dumpWholeTable(out);
%>
    <br>
    <script language='javascript'>
        function showAddPage()
        {
            document.getElementById('frmDisplay').src =
                    '<%=stmBean.getResString("URL_NEW_PAGE")%>'
                    + '?productType=<%=pType%>';
        }
        function showEditPage()
        {
            document.getElementById('frmDisplay').src =
                    '<%=stmBean.getResString("URL_EDIT_PAGE")%>'
                    + '?productType=<%=pType%>';
        }
        function showDeletePage()
        {
            if ( true == confirm('<%=stmBean.getResString("DELETE_CONF_MSG")%>') )
            {
                document.location=
                    '<%=stmBean.getResString("URL_UPDATE_CORE_PAGE")%>'
                    + '?reqType=<%=stmBean.REQUEST_TYPE_DELETE%>'
                    + '&productType=<%=pType%>';
            }
        }
    </script>

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

    <iframe id="frmDisplay" style="width:100%; position:relative; visibility:visible"
            height=5
            scrolling="no" marginwidth="0"
            frameborder="0"
            onload="iframeLoaded('frmDisplay')"
            src="<%=stmBean.getResString("URL_BLANK_PAGE")%>">
    </iframe>
    <iframe id="frmQueryDisplay" style="width:100%; position:relative; visibility:visible"
            height=5
            scrolling="no" marginwidth="0"
            frameborder="0"
            onload="iframeLoaded('frmQueryDisplay')"
            src="<%=stmBean.getResString("URL_BLANK_PAGE")%>">
    </iframe>
<BR>
<BR>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
