<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.core.subjects.*" %>
<%@ page import="java.util.*"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="ftwUIbean" scope="session" class="com.hp.mx.portal.settings.FirstTimeWizardUIBean"/>

<%
    //This line is required by Tomcat for il8n support
    MxBean.jspInit(request, response);
    ftwUIbean.getResBundles(loginBean);

    // This aborts the page if the session is invalid
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Is the user authorized?
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.FULL_RIGHTS))
    {
        %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>"/>
        <%
        return;
    }
%>

<HTML>
<HEAD>

<TITLE>
<%=ftwUIbean.getResString("PAGE_TITLE")%>
</TITLE>

<LINK type='text/css' rel='stylesheet' href='/mxportal/css/MxPortalEx.css'>
<LINK type='text/css' rel='stylesheet' href='/mxportal/css/MxMessageBox.css'>

<script src="/mxhtml/js/MxBrowser.js" language="JavaScript" type="text/javascript"></script>
<script src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script>MxBrowserCssAdd('/mxhtml/css/default.css', null)</script>
<script>MxBrowserCssAdd('/mxhtml/css/blue_theme.css', null)</script>
<script>MxBrowserCssAdd('/mxhtml/css/print.css', 'print')</script>
<script>MxBrowserCssAdd('/mxhtml/css/aural.css', 'aural')</script>

</HEAD>

<body class="body-flush-fit" onLoad="myOnLoad()">
<div class="body-proxy" id="ID_BODY_PROXY">
<div id="TOP_PART">
<script type='text/javascript' language='JavaScript'>
var szMxPortalHelpUrl = '/mxhelp/mxportal/MxHelpMapper.jsp?topic=help_unavailable';

function myOnLoad()
{
    if (p_MxPortalGetOpener() == null)
    {
        document.location.replace("MxNotAuthorized.jsp");
        return;
    }

    if (!MxBrowserIsGecko())
        document.body.style.overflow = "hidden";

}

function MxSnapOffGetHelpUrl() {
    return szMxPortalHelpUrl;
}
function MxSnapOffSetHelpUrl(szUrl) {
    szMxPortalHelpUrl = szUrl;
}
function MxPortalOpenPageHelp(bReturnWindow) {
    var oWin = window.open(szMxPortalHelpUrl, 'helpWindow', 'location=0, directories=0, status=0, menubar=0, toolbar=1, scrollbars=1, resizable=1');
    oWin.focus();
}
</script>
<table class='title-outer-table' border='0' cellpadding='1' cellspacing='0'>
   <tr>
      <td id='ID_PORTAL_TITLE' class='title-name'><%=ftwUIbean.getResString("PAGE_TITLE")%></td>
      <td rowspan='2' class='title-links'></td>
      <td rowspan='3' style='background:#cccccc'>
         <div class='bWrapperUp' style='float:none;margin:3px 4px 0px 3px'><div><div><button type='button' class='hpButton' onclick='javascript:MxPortalOpenPageHelp(false)' disableminimumwidth='true'>&nbsp;<span style='font-size:larger'>?</span>&nbsp;</button></div></div></div>
      </td>
   </tr>
   <tr>
      <td id='ID_PORTAL_SUBTITLE' class='title-subtitle'>
         <%=ftwUIbean.getResString("FTW_DESCRIPTION")%>
      </td>
   </tr>
</table>
</div>

<iframe name='ftwSettingsPage' id='ftwSettingsPage'
    scrolling='auto' frameborder='0'
    width='100%' height='100%'
    src="/mxportal/settings/ftw_Introduction.jsp">
</iframe>
</div>
</body>
</HTML>
