<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.core.objectmodel.MxObjectID" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil" %>

<jsp:useBean id="ftwUserUI" class="com.hp.mx.portal.settings.MxUserUI" scope="session" />
<jsp:useBean id="ftwUserTableModel" class="com.hp.mx.portal.settings.MxUserTableModel" scope="session" />
<jsp:useBean id="ftwUserSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="ftwUIbean" scope="session" class="com.hp.mx.portal.settings.FirstTimeWizardUIBean" />


<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);

    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    String errorFlag = request.getParameter("error");
    if (errorFlag == null)
    {
        errorFlag = "";
    }
    if ( ! errorFlag.equals("true") )
    {
        ftwUserUI.resetBean();
    }

    // Used later to store GUID;
    String userGUID  = "";
    int[] userIndex = ftwUserSelectionModel.getSelectedIndices();
    if (null != userIndex && userIndex.length > 0)
    {
        MxObjectID userID = ftwUserTableModel.getObjectID(userIndex[0]);
        userGUID = userID.getGUID().toString();
        ftwUserUI.LoadUser(loginBean, userID, ftwUIbean);
    }

    rbsettings.init(loginBean, "MxSettings");

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag okButtonTag = new MxDefaultTag("okButton", rbsettings.getString("button.ok"), "");
    okButtonTag.setAttr(MxTag.TYPE, "submit");

    buttons.addMxTag(okButtonTag);
    buttons.addMxTag(new MxDefaultTag("cancelButton", rbsettings.getString("button.cancel"), "cancelEdit()"));

    buttons.setMxTagSelectionId("okButton");
%>

<html>
<head>
<meta http-equiv="content-type" content="text/html;charset=UTF-8">
<title></title>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortal.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>
<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<script language="JAVASCRIPT">
MxPortalWorkspaceSetHelpTopic("admin_auth_modifyUser");

function resetScroll()
{
    window.parent.scrollTo(0,0);
}

function cancelEdit()
{
    resetScroll();
    parent.document.location.href="ftw_Users.jsp";
}

function checkName()
{
    if(document.userForm.name.value != "")
    {
        ourButtonManager.enableButtonById('okButton');
    }
    else
    {
        ourButtonManager.disableButtonById('okButton');
    }
}

</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>

<body onLoad="document.userForm.name.focus();">

<form method="POST" autocomplete="off" style="border:0px;padding:0px;margin:0px" name="userForm" action="ftw_UserServer.jsp">
  <hr>
    <table border="0" width="100%">
      <tr>
        <td align="left"><font class="subwindow-header"><%=rbsettings.getString("user.edittitle")%></font></td>
        <td align="right"><%=rbsettings.getString("lastmodified")%> <jsp:getProperty name='ftwUserUI' property='lastModified' /></td>
      </tr>
    </table>
<%
    if(errorFlag.equals("true"))
    {
        String errorCodeStr = request.getParameter("errorCode");
        String errorCodeMsg = ftwUserUI.getAddErrorMessageByCode(errorCodeStr,rbsettings);
        String errorMessage = ftwUserUI.getErrorMessage();

        if (errorMessage != null || errorCodeMsg != null)
        {
            out.println("<hr>");
            if (errorCodeMsg != null)
            {
                out.println("<center>");
                out.println("<font class='errorTextBold'>");
                out.println(errorCodeMsg);
                out.println("</font>");
                out.println("</center>");
            }
            if (errorMessage != null)
            {
                out.println("<center>");
                out.println("<font class='errorText'>");
                out.println(errorMessage);
                out.println("</font>");
                out.println("</center>");
            }
            out.println("<hr>");
        }
    }
%>
    <br>&nbsp;<span class="required_label"><%=rbsettings.getString("required")%>*</span>
    <br><br>
    <table border="0" width="100%">
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.name")%></font><span class="required">*</span></td>
        <td><input type="text" name="name" size="12" maxlength="32" onKeyup="checkName()" onBlur="checkName()"></td>
      </tr>
<% if (ftwUserUI.showDomainName())
   { %>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.domain")%></font></td>
        <td><input type="text" name="domain" size="12" maxlength="32"></td>
      </tr>
<% } %>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.fullname")%>&nbsp;</font>
        </td>
        <td><input type="text" name="fullname" size="50">
        </td>
      </tr>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.phone")%>&nbsp;</font>
        </td>
        <td>
        <input type="text" name="phone" size="20">
        </td>
      </tr>
      <tr>
        <td><font class="input-field"><%=rbsettings.getString("user.email")%>&nbsp;</font>
        </td>
        <td><input type="text" name="email" size="50">
        </td>
      </tr>
    </table>
<hr>
<font class="input-field"><%=rbsettings.getString("user.priv.label")%></font><span class="required">*</span>
<table border="0" width="100%" cellpadding=0>
  <tr>
    <td align="left">
      <input type="radio" name="privilege" value="full" >
        <%=rbsettings.getString("user.priv.full.label")%></td>
  </tr>
  <tr>
    <td>
      <input type="radio" name="privilege" value="limited" >
        <%=rbsettings.getString("user.priv.limited.label")%></td>
    <td>
    </td>
  </tr>
  <tr>
    <td>
      <input type="radio" name="privilege" value="none" checked>
        <%=rbsettings.getString("user.priv.none.label")%></td>
    <td>
    </td>
  </tr>
</table>
<hr>

<input type="hidden" name="command" value="edit">
<input type="hidden" name="UserGUID" value=<%=userGUID %>>

<input type="hidden" name="iplogininclusion" value="">
<input type="hidden" name="iploginexclusion" value="">
<input type="hidden" name="pagerphonenumber" value="">
<input type="hidden" name="pagerpinnumber" value="">
<input type="hidden" name="pagermsglength" value="">
<input type="hidden" name="pagerbaudrate" value="">
<input type="hidden" name="pagerdataformat" value="">
<input type="hidden" name="copyauthsrc" value="" size="50">


<div style="margin-top:15px">
<% buttons.dumpButtons(out); %>
</div>
</form>

<script language="JAVASCRIPT">
    // Now load up the edit field values with the data loaded into the beans
    document.userForm.name.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(ftwUserUI.getName())%>";
<%  if (ftwUserUI.showDomainName())
    { %>
        document.userForm.domain.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(ftwUserUI.getDomain())%>";
<%  } %>

    document.userForm.fullname.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(ftwUserUI.getFullname())%>";
    document.userForm.phone.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(ftwUserUI.getPhone())%>";
    document.userForm.email.value = "<%=MxHtmlUtil.encodeJScriptSafeEntities(ftwUserUI.getEmail())%>";

    var privilege = "<jsp:getProperty name='ftwUserUI' property='privilege' />";
    if( privilege == "full" )
    {
        document.userForm.privilege[0].checked = true;
        document.userForm.privilege[1].checked = false;
        document.userForm.privilege[2].checked = false;
    }
    else if( privilege == "limited" )
    {
        document.userForm.privilege[0].checked = false;
        document.userForm.privilege[1].checked = true;
        document.userForm.privilege[2].checked = false;
    }
    else if( privilege == "none" )
    {
        document.userForm.privilege[0].checked = false;
        document.userForm.privilege[1].checked = false;
        document.userForm.privilege[2].checked = true;
    }
    else
    {
        document.userForm.privilege[0].checked = false;
        document.userForm.privilege[1].checked = false;
        document.userForm.privilege[2].checked = false;
        document.userForm.privilege[0].disabled = true;
        document.userForm.privilege[1].disabled = true;
        document.userForm.privilege[2].disabled = true;
    }
</script>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>

</html>
