<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>
<%@ page import="com.hp.mx.html.table.MxTableSortingModel" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>

<jsp:useBean id="ftwUserTableModel" class="com.hp.mx.portal.settings.MxUserTableModel" scope="session" />
<jsp:useBean id="ftwUserTableView" class="com.hp.mx.html.table.MxTableView2" scope="session" />
<jsp:useBean id="ftwuserTableController" class="com.hp.mx.html.table.MxTableController" scope="session" />
<jsp:useBean id="ftwUserSelectionModel" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session" />
<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session" />
<jsp:useBean id="rbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="ftwAuthTabModel" class="com.hp.mx.portal.settings.MxAuthTabModel" scope="session" />
<jsp:useBean id="ftwUIbean" scope="session" class="com.hp.mx.portal.settings.FirstTimeWizardUIBean" />
<jsp:useBean id="ftwAutoDiscoveryBean" class="com.hp.mx.portal.discovery.AutoDiscoveryBean" scope="session" />


<%  // Set Necessary HTTP header attributes (for localization and caching)
    MxBean.jspInit(request, response);

    ftwUIbean.getResBundles(loginBean);

    if(loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    rbsettings.init(loginBean, "MxSettings");
    ftwAuthTabModel.load(rbsettings);
    ftwAuthTabModel.setMxTagSelectionId(ftwAuthTabModel.MX_USERS_ID);
%>
<%
    if(ftwuserTableController.isFirstTime())
    {
        ftwUserTableView.setId("ID_USER_TABLE");
        ftwUserTableView.setOnSelectionChange("mySelectionChanged");
        ftwUserTableView.setUrlHandler(request.getRequestURI());
        ftwUserTableView.setHeight("150px");
        ftwUserTableView.setWidth("500px");
        ftwuserTableController.setTableModelWithSorting(ftwUserTableModel);
        ftwuserTableController.setSelectionModel(ftwUserSelectionModel);
        ftwuserTableController.setTableView(ftwUserTableView);
    }
    if ( ftwuserTableController.checkUrlForControllerMessages(request, out) )
    {
        return;
    }

    ftwUserTableModel.loadAllUsers(loginBean,rbsettings, ftwUIbean.getUsersList() );

    MxTableSortingModel sortable = ftwuserTableController.getSortingModelOrNull();
    if (null != sortable)
    {
        // Sort on the user name (first column)
        sortable.sortTable(0,true);
    }

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    MxTag btnBackTag = new MxDefaultTag("btnBack", ftwUIbean.getResString("BUTTON_PREV_LABEL"), "prevPage()");
    MxTag btnNextTag = new MxDefaultTag("btnNext", ftwUIbean.getResString("BUTTON_NEXT_LABEL"), "nextPage()");
    btnBackTag.setAttr(MxTag.DISABLED, "false");
    btnNextTag.setAttr(MxTag.DISABLED, "false");
    buttons.addMxTag(btnBackTag);
    buttons.addMxTag(btnNextTag);

    MxButtons buttons2 = new MxButtons();
    buttons2.clearMxTags();
    buttons2.addMxTag(new MxDefaultTag("addButton", rbsettings.getString("button.add"), "LoadWindow('Add', 'ID_USER_TABLE')"));
    buttons2.addMxTag(new MxDefaultTag("editButton", rbsettings.getString("button.edit"), "LoadWindow('Edit', 'ID_USER_TABLE')"));
    buttons2.addMxTag(new MxDefaultTag("deleteButton", rbsettings.getString("button.delete"), "LoadWindow('Delete', 'ID_USER_TABLE')"));
    buttons2.setVerticalAligned(true);

%>

<jsp:setProperty name="ftwAutoDiscoveryBean" property="*"/>

<html>
<head>
<meta http-equiv="content-type" content="text/html;charset=UTF-8">
<title>Required Field</title>

<link type='text/css' rel='stylesheet' href='"<%=MxOptions.URL_BASE%>/css/MxPortal.css'>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/actiononevents/css/ActionOnEvents.css'>
<link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
<link type='text/css' rel='stylesheet' href='css/MxAuth.css'>

<script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="/SessionReset.js" language="JavaScript" type="text/javascript"></script>
<SCRIPT>MxPortalWorkspaceSetHelpTopic("admin_auth_user")</SCRIPT>
<script language="JavaScript" type="text/javascript">

function LoadWindow(ButtonPushed, userTableId)
{
    if(ButtonPushed == "Add")
    {
        document.getElementById("UserWkSpace").contentWindow.document.location.replace("ftw_AddUser.jsp");
        ourButtonManager.disableButtonById('btnNext');
        ourButtonManager.disableButtonById('btnBack');
    }
    if(ButtonPushed == "Edit")
    {
        document.getElementById("UserWkSpace").contentWindow.document.location.replace("ftw_EditUser.jsp?command=edit");
        ourButtonManager.disableButtonById('btnNext');
        ourButtonManager.disableButtonById('btnBack');
    }
    if(ButtonPushed == "Delete")
    {
        // Pop up a confirmation box first
        if(confirm("<%=rbsettings.getString("user.delete")%>"))
        {
            // The command field for the delete form is already set.
            document.deleteForm.submit();
        }
    }
}

function mySelectionChanged(szIdTable, szId, bSelected)
{
    var aSelCount = MxTableGetSelectionCount(szIdTable);

    // Set the buttons: Note that refresh and report are always enabled, so we don't touch them
    if (aSelCount == 0)
    {
        ourButtonManager.disableButtonById('editButton');
        ourButtonManager.disableButtonById('deleteButton');
    }

    if (aSelCount == 1)
    {
        ourButtonManager.enableButtonById('editButton');
        ourButtonManager.enableButtonById('deleteButton');
    }

    if (aSelCount > 1)
    {
        ourButtonManager.disableButtonById('editButton');
        ourButtonManager.enableButtonById('deleteButton');
    }

    // Context of the subwindow no longer matches the selection.  Clear it.
    document.getElementById("UserWkSpace").contentWindow.document.location.replace("Blank.html");
    MxPortalWorkspaceSetHelpTopic("admin_auth_user");
    ourButtonManager.enableButtonById('btnNext');
    ourButtonManager.enableButtonById('btnBack');
}

function initButtons()
{
    ourButtonManager.disableButtonById('editButton');
    ourButtonManager.disableButtonById('deleteButton');
}

</script>
<script language="JavaScript" type="text/javascript">

function myOnLoad()
{
    initButtons();
}

function nextPage()
{
   document.getElementById('frmNotification').action='<%=ftwUIbean.getResString("EMAIL_PAGE_URL")%>';
   document.getElementById('frmNotification').submit();
}

function prevPage()
{
   document.getElementById('frmNotification').action='<%=ftwUIbean.getResString("DISCOVERY_PAGE_URL")%>';
   document.getElementById('frmNotification').submit();
}
</script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% ftwAuthTabModel.dumpHeadContent(out); %>
<% buttons.dumpHeadContent(out); %>
<% buttons2.dumpHeadContent(out); %>
<% ftwUserTableView.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body id="ID_BODY_PROXY" onLoad="myOnLoad()">
    <TABLE width='100%' border='0' cellspacing='0' cellpadding='0'>
    <TR valign='top'>
        <TD>
            <%int currentTab = 5;%>
            <%@include file="FirstTimeWizard_DrawTabs.txt"%>
        </TD>
        <TD style='padding-left:12px;' align='left' width='100%'>
            <TABLE  class="top-border-table" WIDTH="100%">
            <TR><TD>
                <FONT class="mxPageSubTitle">
                    <%=ftwUIbean.getResString("USERS_LABEL")%>
                </FONT>
                <br>
                <%=ftwUIbean.getResString("USERS_LINK")%>
                <p>
                <%=ftwUIbean.getResString("USERS_MAIN_TEXT")%>
                <p>
                <div id="TOP_PART" style="margin-top:15px">
                    <table width="100%" border="0" cellpadding="5">
                    <tr>
                        <td width="70%" valign="top" align="left">
                            <%ftwUserTableView.dumpTableVisiblePart(out);%>
                        </td>
                        <td width="30%" valign="top" align="left">
                            <div style="margin-top:10px;width:130px">
                            <% buttons2.dumpButtons(out); %>
                            </div>
                        </td>
                    </tr>
                    </table>
                 </div>
                 <br>
            </TD></TR>
            </TABLE>
        </TD>
     </TR>
</TABLE>
<% ftwUserTableView.dumpTableHiddenPart(out); %>

<div style="margin-top:15px">
    <% buttons.dumpButtons(out); %>
</div>

<IFRAME ID="UserWkSpace" NAME="UserSpace" SRC="Blank.html" WIDTH=100% HEIGHT=100% SCROLLING=AUTO FRAMEBORDER=0></IFRAME>

<form method="POST" action="ftw_UserServer.jsp" target="UserSpace" name="deleteForm">
    <input type="hidden" name="command" value="delete">
</form>

<FORM ID="frmNotification" NAME="frmNotification" METHOD="GET"
    class="mxForm" width="100%">
</form>

<%  String applyFlag  = request.getParameter("apply");
    if(applyFlag != null && applyFlag.equals("true"))
    { %>
        <script language="JAVASCRIPT">
        document.getElementById("UserWkSpace").src = "ftw_AddUser.jsp?apply=true";
        </script>
<%  }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
