<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/homePageSettings.jsp,v $
// $Revision: 1.43 $
// $Date: 2005/05/27 19:32:06 $
//
%>
<%@ page info="Introductory Page"%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>
<%@ page import="com.hp.mx.core.subjects.usermanager.MxUser" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.portal.core.MxCollectionSelectionBoxListener"%>

<%@ page import="java.util.*" %>

<% MxBean.jspInit(request, response); %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="introBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="homePageBean" class="com.hp.mx.portal.settings.HomePageBean" scope="session">
    <jsp:setProperty name="homePageBean" property="*" />
</jsp:useBean>
<%!
    /** ****************************************************************************************
     * The debug object
     **************************************************************************************** */
    public DebugSubsystem homePageDebug =
        DebugOutput.getDebugSubsystem("HomePage", "Debug setting for the Home Page feature");
%>
<%
    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // EXAMPLE: follow references to this bean for i18n support using resource bundles
    introBundle.init(loginBean, "HomePage");

    homePageBean.initialize(loginBean);

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();
    buttons.addMxTag(new MxDefaultTag("okBtn", introBundle.getString("homePageSettings.button.label.ok"), "preSubmit()" ));

%>
<html>
<head>
    <title><%= introBundle.getString("homePageSettings.title") %></title>
    <link href="<%= MxOptions.URL_BASE %>/css/MxPortalEx.css" rel="stylesheet" type="text/css">
    <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
    <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>
    <script language="JavaScript" type="text/javascript">
        MxPortalWorkspaceSetHelpTopic("start_customize_homePage");
    </script>
    <script language="JavaScript" type="text/javascript">
        function preSubmit()
        {
            <% // Enable checkboxes so they are POSTed %>
            enableElement("showDyk", true);
            enableElement("showFta", true);

            var myForm = document.getElementById("hpoForm");
            myForm.submit();
        }

        function cancelHpOptions()
        {
            history.back();
        }

        var startupPage = top.startupPage;
        if (startupPage == null)
            startupPage = "introductory";

        function showOptions(divName)
        {

            if (divName == "introductory")
            {
                enableElement("showDyk");
                enableElement("labelDYK");
                enableElement("showFta");
                enableElement("labelFTU");
                disableElement("listChoice");
            }
            else if (divName == "overview")
            {
                disableElement("showDyk");
                disableElement("labelDYK");
                disableElement("showFta");
                disableElement("labelFTU");
                disableElement("listChoice");
            }
            else    // favorite list
            {
                disableElement("showDyk");
                disableElement("labelDYK");
                disableElement("showFta");
                disableElement("labelFTU");
                enableElement("listChoice");
            }
            checkOkButton(divName);
            startupPage = divName;  // update
        }

        function checkOkButton(divName)
        {
            ourButtonManager.enableButtonById('okBtn');
        }

        function checkListSelection(elSelect)
        {
            var listIndex = elSelect.value;
            var listType = "<%= homePageBean.LIST %>";
            var msg = "";

            // DID THE USER SELECT A LIST?
            var listWasSelected = (listIndex.indexOf("queryID") != -1);
            if (!listWasSelected)
            {
                listType = "<%= homePageBean.COLLECTION %>";
            }
        }

        function preSelect(id)
        {
            el = document.getElementById("listChoice");
            if (id == "<%= homePageBean.DEFAULT_HOME_PAGE_SHOW_LIST_NONE %>")
            {
                el.selectedIndex = getDefaultIndex('listChoice', "<%=homePageBean.getAllSystemsId() %>");
            }
            else
            {
                optTags = el.options;
                for (x=0; x<optTags.length; x++)
                {
                    if (containsViewId(optTags[x].value, id))
                    {
                        el.selectedIndex = x;
                        break;
                    }

                }
            }
        }

        function containsViewId(paramString, viewNum)
        {
            bFound = false;
            var myArray = paramString.split("<%= MxCollectionSelectionBoxListener.URL_PARAM_SEPARATOR %>");
            for (idx=0; idx<myArray.length; idx++)
            {
                if ((myArray[idx] == ("queryID=" + viewNum)) || (myArray[idx] == ("collectionID=" + viewNum)))
                {
                    bFound = true;
                    break;
                }
            }
            return bFound
        }

        // For a given option list, and list id, return the index of that particular list.
        // For example, in the combo box for the first status list, what is the index of "All Systems"?
        function getDefaultIndex(elementId, id)
        {
            el = document.getElementById(elementId);
            index = 0;
            count = el.length;
            for (index = 0; index < count; index++) {
                testValue = el.options[index].value;
                if (isNaN(testValue) == true) {
                    params   = testValue.split(";");
                    listID   = params[0].split("=");
                    listName = params[1].split("=");
                    if (listID[1] == id){
                        return index;
                    }
                }
            }
            return 1; //if no match, just take the first one
        }
    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

</head>
<body>
    <%
    // DISPLAY BEAN AND JSP PROPERTIES
    if (homePageDebug.check(20))
    {
        homePageBean.displayBeanPropsHtml(out);
        out.println("<BR>");
        homePageBean.displayJspParamsHtml(request, out);
        homePageBean.displayJspParamsToConsole(request);
    }

    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    homePageBean.clearAllErrorMessages();
    if (request.getMethod().equals("POST"))
    {
        homePageBean.processPost(request, out);

        if (!homePageBean.hasErrorMessages())
        {
            %>
            </body>
            </html>
            <%
            return;
        }
    }

    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////

        // Display any error messages
        if (homePageBean.hasErrorMessages())
        {
            %><div class="errorTextBold"><%= introBundle.getString("homePageSettings.error.label")%>:</div><%
            homePageBean.displayErrorMessagesInHtml(out);
        }
    %>
    <%= introBundle.getString("homePageSettings.showPage.desc") %><br><br>
    <div style="margin-left:20px;">

    <form action="homePageSettings.jsp" method="post" id="hpoForm" name="hpoForm">
        <table cellpadding="1"><tr><td>
            <input type="radio" name="hpStartPage" value="<%= homePageBean.HOME_PAGE_TARGET_INTRO %>" id="radio<%= homePageBean.HOME_PAGE_TARGET_INTRO %>" onClick="showOptions('<%= homePageBean.HOME_PAGE_TARGET_INTRO %>')"><label for="radio<%= homePageBean.HOME_PAGE_TARGET_INTRO %>"><%= introBundle.getString("homePageSettings.showPage.intro.desc") %></label><br>
            </td></tr><tr><td>
            <div id="divintroductory" style="margin-left:40px;">
                <% // Display the First Time User Text
                    if (loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.FULL_RIGHTS))
                    {
                %>
                <input type="checkbox" value="checked" id="showFta" name="showFta" <%= homePageBean.showFta() ? "checked" : "" %>>

                <% // Display the label for the First Time User Text %>
                <label id="labelFTU" for="showFta"><%= introBundle.getString("homePageSettings.showPage.intro.fta") %></label><br>

                <%
                }
                // Display the "Did You Know" checkbox
                %>
                <input type="checkbox" value="checked" id="showDyk" name="showDyk" <%= homePageBean.showDyk() ? "checked" : "" %>>

                <% // Display the label for the "Did You Know" checkbox %>
                <label id="labelDYK" for="showDyk"><%= introBundle.getString("homePageSettings.showPage.intro.dyk") %></label>
                <BR>

            </div>
        </td></tr><tr><td>
            <input type="radio" name="hpStartPage" value="<%= homePageBean.HOME_PAGE_TARGET_OVERVIEW %>" id="radio<%= homePageBean.HOME_PAGE_TARGET_OVERVIEW %>" onClick="showOptions('<%= homePageBean.HOME_PAGE_TARGET_OVERVIEW %>')"><label for="radio<%= homePageBean.HOME_PAGE_TARGET_OVERVIEW %>"><%= introBundle.getString("homePageSettings.showPage.overview") %></label><br>
        </td></tr><tr><td>
            <input type="radio" name="hpStartPage" value="<%= homePageBean.HOME_PAGE_TARGET_LIST %>" id="radio<%= homePageBean.HOME_PAGE_TARGET_LIST %>" onClick="showOptions('<%= homePageBean.HOME_PAGE_TARGET_LIST %>')"><label for="radio<%= homePageBean.HOME_PAGE_TARGET_LIST %>"><%= introBundle.getString("homePageSettings.showPage.list.desc") %>: </label>
            &nbsp;&nbsp;
            <select id="listChoice" size="1" name="listChoice" onChange="checkListSelection(this)">
            <%
                // Display the selection box of all queries
                homePageBean.displayListOptionTags(out);
            %>
            </select>
            <div class="errorTextBold" id="listError"><BR></div>
        </td></tr></table>
        </div>


        <script language="JavaScript" type="text/javascript">
            // Highlight the correct radio button
            elCurrentStartup = document.getElementById("radio<%= homePageBean.getHpStartPage() %>");
            if (elCurrentStartup != null)
                elCurrentStartup.checked = true;

            // Pre-select the user's list choice
            preSelect("<jsp:getProperty name="homePageBean" property="listChoice" />");

            // Disable controls as appropriate
            showOptions("<%= homePageBean.getHpStartPage() %>");
        </script>
        <br><br>

        <!-- BUTTONS -->
        <div style="margin-top:15px">
            <% buttons.dumpButtons(out); %>
            <!-- <input type="button" class="widebutton" value="<%= introBundle.getString("homePageSettings.button.label.cancel") %>" onclick="cancelHpOptions()"> -->
        </div>
    </form>
    </div>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
