<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/settings/manualDiscoveryAdd.jsp,v $
// $Revision: 1.39 $
// $Date: 2005/05/06 21:44:33 $
//
%>
<%@ page info="Manaul Discovery Add Page"%>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.subjects.MxSubjectPrivilege" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.DebugOutput" %>
<%@ page import="com.hp.mx.core.nodemanager.MxNodeName" %>
<%@ page import="com.hp.mx.utilities.DebugSubsystem" %>

<% MxBean.jspInit(request, response); %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="mdBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="mdBean" class="com.hp.mx.portal.discovery.ManualDiscoveryBean" scope="page">
    <jsp:setProperty name="mdBean" property="*" />
</jsp:useBean>
<jsp:useBean id="protoSettingsBean" class="com.hp.mx.portal.settings.ProtocolSettingsBean"  />
<jsp:useBean id="protSetBeanResBndl" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="discRbsettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="discTabModel" class="com.hp.mx.portal.discovery.DiscoveryTabModel" scope="session" />

<%!
    /** ****************************************************************************************
     * The debug object
     **************************************************************************************** */
    private DebugSubsystem manualDiscoveryDebug =
            DebugOutput.getDebugSubsystem("ManualDiscoveryBean", "Debug setting for the ManaulDiscovery Bean");

%>
<%
    // Set up the Discovery Tabs
    discRbsettings.init(loginBean, "Discovery");
    discTabModel.load(discRbsettings);
    discTabModel.setMxTagSelectionId(discTabModel.DISC_MANUAL);

    // REQUIRED: This aborts the page if the session is invalid.
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

    // Abort the page if the user isn't authorized.
    if (!loginBean.getMxUser().hasPrivilege(MxSubjectPrivilege.NODE_MODIFICATION_PRIVILEGE))
    {
    %>
        <jsp:forward page="<%=MxOptions.getNotPrivUrl()%>" />
    <%
    }

    // Use resource bundles for internationalization support
    mdBundle.init(loginBean, "ManualDiscovery");

    // Initialize beans
    mdBean.initialize(loginBean);
    protSetBeanResBndl.init(loginBean, "ProtocolSettings");
    protoSettingsBean.initialize(loginBean, protSetBeanResBndl, request );
    protoSettingsBean.clearAllErrorMessages();

    MxButtons buttons = new MxButtons();
    buttons.clearMxTags();

    if (mdBean.getVerbose().equalsIgnoreCase("true"))
    {
            buttons.addMxTag(new MxDefaultTag("verboseButton", mdBundle.getString("mdAdd.button.less"), "toggleOptional()"));
    }
    else
    {
            buttons.addMxTag(new MxDefaultTag("verboseButton", mdBundle.getString("mdAdd.button.more"), "toggleOptional()"));
    }

    buttons.addMxTag(new MxDefaultTag("addSys", mdBundle.getString("mdAdd.button.add"), "postIt()"));

%>
<html>
<head>
    <title><%= mdBundle.getString("mdAdd.pageTitle") %></title>
    <STYLE TYPE="text/css">
    <!--
        .indented{margin-left:12px;}
    -->
    </STYLE>
    <script src="<%=MxOptions.URL_BASE%>/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    <script src="<%=MxOptions.URL_BASE%>/js/utilities.js" language="JavaScript" type="text/javascript"></script>
    <script language="JavaScript" type="text/javascript">
        // Set the help context
        MxPortalWorkspaceSetHelpTopic("admin_discovery_addSystem");
    </script>
    <script language="JavaScript" type="text/javascript">
        function isEmptyField(fieldText)
        {
            if ((fieldText == null) || (fieldText == ""))
                return true;
            else
                return false;
        }

        function validateSysName(e)
        {
            var charCode = e.which;
            if (charCode == null)
               charCode = event.keyCode;
            if (charCode == 13)
            {
                btnNext = document.getElementById("nextBtn");
                if (btnNext != null)
                {
                    btnNext.click();
                }
            }

            return isValidSystemNameChar(charCode);
        }

        function validateIpAddress(e)
        {
            var charCode = e.which;
            if (charCode == null)
               charCode = event.keyCode;
            if (charCode == 13)
            {
                btnNext = document.getElementById("nextBtn");
                if (btnNext != null)
                {
                    btnNext.click();
                }
            }

            return isValidIpAddressChar(charCode);
        }

    </script>
    <script language="JavaScript" type="text/javascript">
        function postIt()
        {
            // Clear any error messages
            document.getElementById("errorTextSysName").innerHTML = "";
            document.getElementById("errorTextIp").innerHTML = "";

            var readyToProceed = true;
            var rbName = document.getElementById("radioName");
            var rbIp = document.getElementById("radioIp");

            if ((rbName!= null) && rbName.checked)
            {
                // Validate system name
                var nodeName = document.getElementById("sysNameTextField").value;
                if (isEmptyField(nodeName))
                {
                    msg = "<%= mdBundle.getString("mdAdd.error.js.noSystemName") %>";
                    document.getElementById("errorTextSysName").innerHTML = msg;
                    giveFocus("sysNameTextField");
                    readyToProceed = false;
                }
                else if (!isValidSystemName(nodeName))
                {
                    msg = "<%= mdBundle.getString("mdAdd.error.js.badCharSystemName") %>";
                    document.getElementById("errorTextSysName").innerHTML = msg;
                    giveFocus("sysNameTextField");
                    readyToProceed = false;
                }
            }
            else if ((rbIp!= null) && rbIp.checked)
            {
                // Validate IP Address
                var nodeIp = document.getElementById("sysIpTextField").value;
                if (isEmptyField(nodeIp))
                {
                    msg = "<%= mdBundle.getString("mdAdd.error.js.noIpAddress") %>";
                    document.getElementById("errorTextIp").innerHTML = msg;
                    giveFocus("sysIpTextField");
                    readyToProceed = false;
                }
            }

            if (readyToProceed)
            {
               document.manDiscAddForm.submit();
            }
        }

    </script>
    <script language="JavaScript" type="text/javascript">
        verbose = <jsp:getProperty name="mdBean" property="verbose" />;

        // Enable/Disable an HTML element
        function enableElement(elementName, enabledState)
        {
            var el = document.getElementById(elementName);
            if (el != null)
            {
                el.disabled = !enabledState;

                // give focus to the enabled control
                if (enabledState)
                    el.focus();
            }
        }

        // Enable/Disable the IP/Name input boxes based on radio button selection
        function enableNameAndIP(mode)
        {
            enableElement("sysNameTextField", (mode == "name"));
            enableElement("sysIpTextField", (mode == "ip"));    // Last one gets the focus

            // VALIDATE SYSTEM NAMES
            var msg = "";
            if (mode == "name")
            {
                // Clear error message for the other mode
                document.getElementById("errorTextIp").innerHTML = "";

                // Validate the name provided
                var sysNodeName = document.getElementById("sysNameTextField").value;
                if ((sysNodeName.length > 0) && !isValidSystemName(sysNodeName))
                {
                    msg = "<%= mdBundle.getString("mdAdd.error.js.badCharSystemName") %>";
                }
                document.getElementById("errorTextSysName").innerHTML = msg;
            }
            else if (mode == "ip")
            {
                // Clear error message for the other mode
                document.getElementById("errorTextSysName").innerHTML = "";
            }

        }

        function toggleOptional()
        {
            verbose = !verbose;

            var hiddenVerboseFlag=document.getElementById("verbose");
            if (hiddenVerboseFlag != null)
                hiddenVerboseFlag.value = (verbose) ? "true" : "false";
            var optionalDiv=document.getElementById("optionalSettingsDiv");
            if (optionalDiv != null)
                optionalDiv.style.display = (verbose) ? "block" : "none";

            setVerboseButtonText();

        }

        function setVerboseButtonText()
        {
            var verboseButton=document.getElementById("verboseButton");
            if (verboseButton != null)
            {
                if (verbose)
                {
                    ourButtonManager.setButtonLabelById('verboseButton', "<%= mdBundle.getString("mdAdd.button.less") %>");
                }
                else
                {
                    ourButtonManager.setButtonLabelById('verboseButton', "<%= mdBundle.getString("mdAdd.button.more") %>");
                }
            }
        }
    </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% discTabModel.dumpHeadContent(out); %>
<% buttons.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>
    <body>
    <%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    boolean validInput = false;
    if (request.getMethod().equals("POST"))
    {
        // Device subtypes (an indexed property) need to be set by hand
        for (int i = 0; i < mdBean.NUM_SUBTYPES; i++)
        {
            mdBean.setProductSubType(request.getParameter("productSubType" + i), i);
        }

        validInput = mdBean.addSystem();
        if (validInput)
        {
        %>
            <script>
                document.location.href="manualDiscoveryAdd.jsp?verbose=<jsp:getProperty name="mdBean" property="verbose" />&beingAdded=true"
            </script>
        <%
        }
    }

    // DISPLAY BEAN AND JSP PROPERTIES
    if (manualDiscoveryDebug.check(20))
    {
        mdBean.displayBeanPropsHtml(out);
        out.println("<BR>");
    }
    if (manualDiscoveryDebug.check(25))
    {
        mdBean.displayJspParamsHtml(request, out);
        mdBean.displayJspParamsToConsole(request);
        out.println("<BR>");
    }

    ///////////////////////////////////////////////////////////////////////////
    // DISPLAY THE PAGE
    ///////////////////////////////////////////////////////////////////////////

    discTabModel.dumpTabs(out);
    %><br><br><%

    if (!validInput);
    {
        if (request.getParameter("beingAdded") != null)
        {
            %>
            <script language="JavaScript" type="text/javascript">
                    alert("<%= mdBundle.getString("mdAdd.msg.success")%>");
            </script>
            <%
        }
        %>
    <p>
        <%= mdBundle.getString("mdAdd.description")%>
    </p>
        <hr>
        <%
            // Display any error messages
            if (mdBean.hasErrorMessages())
            {
                %><div class="errorTextBold"><%= mdBundle.getString("mdAdd.error.label")%>:</div><%
                mdBean.displayErrorMessagesInHtml(out);
            }
        %>
        <!-- NAME AND IP -->
        <div class='subwindow-header'><%= mdBundle.getString("mdAdd.info.label")%></div><BR>

        <form action="manualDiscoveryAdd.jsp" method="post" name="manDiscAddForm" id="manDiscAddForm">
        <div class="required_label"><%= mdBundle.getString("mdAdd.label.required")%> *</div>
        <p style="font-weight:bold;"><%= mdBundle.getString("mdAdd.info.IpOrName")%>: <span class="required">*</span></p>
        <table border="0" cellspacing="0" cellpadding="2" class="indented">
        <tr valign="top">
            <td width="5%" nowrap>
                <input type="radio" name="ipOrName" id="radioName" value="name" onClick="enableNameAndIP('name');" <%= mdBean.getIpOrName().equals("name") ? "checked" : "" %>><label for="radioName"><%= mdBundle.getString("mdAdd.info.sysName")%>:</label>
            </td>
            <td>
                <input type="text" size="20" maxlength="<%=MxNodeName.MAXIMUM_NODE_NAME_LENGTH%>" id="sysNameTextField" name="sysName" value="<jsp:getProperty name="mdBean" property="sysName" />" <%= mdBean.getIpOrName().equals("name") ? "" : "disabled" %>>
                <span class="errorTextBold" id="errorTextSysName"></span>
            </td>
        </tr>
        <tr valign="top">
            <td width="5%" nowrap>
                <input type="radio" name="ipOrName" id="radioIp" value="ip" onClick="enableNameAndIP('ip');" <%= mdBean.getIpOrName().equals("ip") ? "checked" : "" %>><label for="radioIp"><%= mdBundle.getString("mdAdd.info.sysIP")%>:</label>
            </td>
            <td>
                <input type="text" id="sysIpTextField" name="sysIp" value="<jsp:getProperty name="mdBean" property="sysIp" />" size="20" maxlength="15" <%= mdBean.getIpOrName().equals("ip") ? "" : "disabled" %>>
                <span class="errorTextBold" id="errorTextIp"></span>
            </td>
        </tr>
        </table>
        <script>
            if (verbose)
                document.writeln("<div style='display:block' id='optionalSettingsDiv'>");
            else
                document.writeln("<div style='display:none' id='optionalSettingsDiv'>");
        </script>

        <br>
        <br>
        <strong><%= mdBundle.getString("mdAdd.info.moreProps")%></strong><br><br>

        <table cellspacing="0" cellpadding="2" class="indented">
        <tr>
            <td><%= mdBundle.getString("mdAdd.info.sysType")%>:</td>
            <td>
                <!-- TYPE -->
                <select name="productType">
                    <% mdBean.displaySystemTypeTags(out); %>
                </select>
            </td>
        </tr>
        <%
            for (int i = 0; i < mdBean.NUM_SUBTYPES; i++)
            {
        %>
        <tr>
            <td><%= mdBundle.getString("mdAdd.info.sysSubType")%> <%= (i + 1) %>:</td>
            <td>
                <!-- SUBTYPE -->
                <select name="productSubType<%= i %>">
                    <% mdBean.displaySystemSubTypeTags(out, i); %>
                </select>
            </td>
        </tr>
        <%
            }
        %>
        <tr>
            <td>
                    <%= mdBundle.getString("mdAdd.info.prodModel")%>:
            </td>
            <td>
                <input TYPE="text" MAXLENGTH="150" name="productModel" VALUE="<jsp:getProperty name="mdBean" property="productModel" />" SIZE="40">
            </td>
        </tr>
        </table>
        <br>


        <!-- WBEM SETTINGS -->
        <hr>
        <div class='subwindow-header'><%= mdBundle.getString("mdAdd.wbem.sectionTitle")%></div><BR>
        <strong><%= mdBundle.getString("mdAdd.wbem.prompt.userName")%></strong>
        <div class="indented">
            <input type="radio" name="wbemUserDefaultOrCustom" id="wbemUserDefault" value="default" onClick="enableElement('wbemUser', false);" <%= mdBean.getWbemUserDefaultOrCustom().equals("default") ? "checked" : "" %>>
            <label for="wbemUserDefault"><%= mdBundle.getString("mdAdd.label.useDefault")%> (<%= mdBundle.getString("mdAdd.label.currently")%>: <jsp:getProperty name="protoSettingsBean" property="wbemUser1" />)</label><br>
            <input type="radio" name="wbemUserDefaultOrCustom" id="wbemUserCustom" value="custom" onClick="enableElement('wbemUser', true);" <%= mdBean.getWbemUserDefaultOrCustom().equals("custom") ? "checked" : "" %>>
            <label for="wbemUserCustom"><%= mdBundle.getString("mdAdd.label.useCustom")%></label>
            <input type="text" name="wbemUser" id="wbemUser" value="<jsp:getProperty name="mdBean" property="wbemUser" />" size="20" maxlength="150" <%= mdBean.getWbemPwdDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
        </div>
        <br>

        <strong><%= mdBundle.getString("mdAdd.wbem.pwd")%></strong>
        <div class="indented">
            <input type="radio" name="wbemPwdDefaultOrCustom" id="wbemPwdDefault" value="default" onClick="enableElement('wbemPasswordVerify', false);enableElement('wbemPassword', false);" <%= mdBean.getWbemPwdDefaultOrCustom().equals("default") ? "checked" : "" %>>
            <label for="wbemPwdDefault"><%= mdBundle.getString("mdAdd.label.useDefault")%></label><br>
            <input type="radio" name="wbemPwdDefaultOrCustom" id="wbemPwdCustom" value="custom" onClick="enableElement('wbemPasswordVerify', true);enableElement('wbemPassword', true);" <%= mdBean.getWbemPwdDefaultOrCustom().equals("custom") ? "checked" : "" %>>
            <label for="wbemPwdCustom"><%= mdBundle.getString("mdAdd.label.useCustom")%></label>
            <input type="password" name="wbemPassword" id="wbemPassword" value="" size="20" maxlength="150" <%= mdBean.getWbemPwdDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
            <%= mdBundle.getString("mdAdd.password.verify") %> <input type="password" name="wbemPasswordVerify" id="wbemPasswordVerify" value="" size="20" maxlength="150" <%= mdBean.getWbemPwdDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
        </div>
        <br>

        <!-- SNMP SETTINGS -->
        <hr>
        <div class='subwindow-header'><%= mdBundle.getString("mdAdd.snmp.sectionTitle")%></div><BR>
        <strong><%= mdBundle.getString("mdAdd.snmp.timeout")%></strong>
        <div class="indented">
            <input type="radio" name="snmpTimeoutDefaultOrCustom" id="timeoutDefault" value="default" onClick="enableElement('snmpTimeoutTextField', false);" <%= mdBean.getSnmpTimeoutDefaultOrCustom().equals("default") ? "checked" : "" %>>
            <label for="timeoutDefault"><%= mdBundle.getString("mdAdd.label.useDefault")%> (<%= mdBundle.getString("mdAdd.label.currently")%>: <jsp:getProperty name="protoSettingsBean" property="snmpTimeOut" />)</label><br>
            <input type="radio" name="snmpTimeoutDefaultOrCustom"  id="timeoutCustom" value="custom" onClick="enableElement('snmpTimeoutTextField', true);" <%= mdBean.getSnmpTimeoutDefaultOrCustom().equals("custom") ? "checked" : "" %>>
            <label for="timeoutCustom"><%= mdBundle.getString("mdAdd.label.useCustom")%></label>
            <input type="text" name="snmpTimeout" id="snmpTimeoutTextField" value="<jsp:getProperty name="mdBean" property="snmpTimeout" />" size="5" <%= mdBean.getSnmpTimeoutDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
        </div>
        <br>

        <strong><%= mdBundle.getString("mdAdd.snmp.retries")%></strong>
        <div class="indented">
            <input type="radio" name="snmpRetriesDefaultOrCustom" id="retriesDefault" value="default" onClick="enableElement('snmpRetriesTextField', false);" <%= mdBean.getSnmpRetriesDefaultOrCustom().equals("default") ? "checked" : "" %>>
            <label for="retriesDefault" ><%= mdBundle.getString("mdAdd.label.useDefault")%> (<%= mdBundle.getString("mdAdd.label.currently")%>: <jsp:getProperty name="protoSettingsBean" property="snmpRetries" />)</label><br>
            <input type="radio" name="snmpRetriesDefaultOrCustom" id="retriesCustom" value="custom" onClick="enableElement('snmpRetriesTextField', true);" <%= mdBean.getSnmpRetriesDefaultOrCustom().equals("custom") ? "checked" : "" %>>
            <label for="retriesCustom"><%= mdBundle.getString("mdAdd.label.useCustom")%></label>
            <input type="text" name="snmpRetries" id="snmpRetriesTextField" value="<jsp:getProperty name="mdBean" property="snmpRetries" />" size="5" <%= mdBean.getSnmpRetriesDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
        </div>
        <br>

        <strong><%= mdBundle.getString("mdAdd.snmp.readCommString")%></strong>
        <div class="indented">
            <input type="radio" name="snmpReadStringDefaultOrCustom" id="commReadDefault" value="default" onClick="enableElement('snmpCommunityString', false);" <%= mdBean.getSnmpReadStringDefaultOrCustom().equals("default") ? "checked" : "" %>>
            <label for="commReadDefault"><%= mdBundle.getString("mdAdd.label.useDefault")%> (<%= mdBundle.getString("mdAdd.label.currently")%>: <jsp:getProperty name="protoSettingsBean" property="snmpReadCommString1" />)</label><br>
            <input type="radio" name="snmpReadStringDefaultOrCustom" id="commReadCustom" value="custom" onClick="enableElement('snmpCommunityString', true);" <%= mdBean.getSnmpReadStringDefaultOrCustom().equals("custom") ? "checked" : "" %>>
            <label for="commReadCustom"><%= mdBundle.getString("mdAdd.label.useCustom")%></label>
            <input type="text" name="snmpReadCommunityString" id="snmpCommunityString" value="<jsp:getProperty name="mdBean" property="snmpReadCommunityString" />" size="40" maxlength="150" <%= mdBean.getSnmpReadStringDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
        </div>
        <br>

        <strong><%= mdBundle.getString("mdAdd.snmp.writeCommString")%></strong>
        <div class="indented">
            <input type="radio" name="snmpWriteStringDefaultOrCustom" id="commWriteDefault" value="default" onClick="enableElement('snmpWriteCommunityString', false);" <%= mdBean.getSnmpWriteStringDefaultOrCustom().equals("default") ? "checked" : "" %>>
            <label for="commWriteDefault"><%= mdBundle.getString("mdAdd.label.useDefault")%> (<%= mdBundle.getString("mdAdd.label.currently")%>: <jsp:getProperty name="protoSettingsBean" property="snmpWriteCommString" />)</label><br>
            <input type="radio" name="snmpWriteStringDefaultOrCustom" id="commWriteCustom" value="custom" onClick="enableElement('snmpWriteCommunityString', true);" <%= mdBean.getSnmpWriteStringDefaultOrCustom().equals("custom") ? "checked" : "" %>>
            <label for="commWriteCustom"><%= mdBundle.getString("mdAdd.label.useCustom")%></label>
            <input type="text" name="snmpWriteCommunityString" id="snmpWriteCommunityString" value="<jsp:getProperty name="mdBean" property="snmpWriteCommunityString" />" size="40" maxlength="150" <%= mdBean.getSnmpWriteStringDefaultOrCustom().equals("custom") ? "" : "disabled" %>>
        </div>
        <script>
            document.writeln("</div>");
        </script>

        <input type="hidden" value="<jsp:getProperty name="mdBean" property="verbose" />" name="verbose" id="verbose">
        </form>

        <!-- BUTTONS -->
        <div style="margin-top:15px">
            <% buttons.dumpButtons(out); %>
        </div>



        <script>
            var elDeviceName = document.getElementById("sysNameTextField");
            if ((elDeviceName != null) && (!elDeviceName.disabled))
                    elDeviceName.focus();
            setVerboseButtonText();
        </script>
<%
    }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

</body>
</html>
