<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.utilities.MxCMS" %>
<%@ page import="com.hp.mx.portal.taskandjob.AgentRepair.AgentRepairCommandToolParameters" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance" %>
<%@ page import="com.hp.mx.html.core.MxButton"%>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="repairResources" class="com.hp.mx.portal.res.MxResourceBean" scope="page"/>
<jsp:useBean id="agentRepairBean" class="com.hp.mx.portal.taskandjob.AgentRepair.AgentRepairBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // set up the resource file
    repairResources.init(loginBean, "AgentRepair");

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // set up the task setup bean
    // is this a task edit?
    String editTask = request.getParameter("edit");
    if (editTask == null)
        editTask = "";
%>

<%--
    QueryString = <%= request.getQueryString() %><br>
    URL = <%= request.getRequestURL() %><br>
--%>

<html>
    <head>
        <title><%= repairResources.getString("panel2.title") %></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <style type="text/css">
        <!--
            .indented{margin-left:12px;}
        -->
        </style>

        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript'>MxPortalWorkspaceSetHelpTopicEx("rashtml","ras_remote");</script>

        <script language='javascript' type='text/javascript'>
            function getJsObject( obj_or_id )
            {
                if( typeof obj_or_id == "string" )
                    return document.getElementById(obj_or_id);
                return obj_or_id;
            }

            function isChecked( obj_or_id )
            {
                return getJsObject(obj_or_id).checked;
            }

            function getValue( obj_or_id )
            {
                var obj = getJsObject(obj_or_id);
                if( obj == null || obj == "undefined" )
                    return "";
                return obj.value;
            }

            function onCheckBox( chk )
            {
                var toggles = chk.getAttribute("toggle");
                if( toggles != null )
                {
                    var ids = toggles.split(";");
                    for( var i = 0 ; i < ids.length ; i++ )
                    {
                        ctrl = document.getElementById( ids[i] );
                        if( ctrl != "undefined" )
                        {
                            tagName = ctrl.tagName;
                            if( tagName == "DIV" )
                                ctrl.style.display = isChecked(chk) ? "" : "none"
                            else if( tagName == "INPUT" )
                            {
                                if( ctrl.type == "checkbox" )
                                    ctrl.checked = isChecked(chk);
                                ctrl.disabled = isChecked(chk) ? "" : "true"
                            }
                        }
                    }
                }
            }

            function validateRequiredFields()
            {
                var atLeastOneSettingChecked = false;   // verify that at least one section of settings is checked!

                if( isChecked("setSnmpSettings") )
                {
                    var snmpReadString = getValue("snmpReadString");
                    if( isChecked("setSnmpReadString") )
                    {
                        if( snmpReadString == "" )
                            return "<%=repairResources.getString("panel2.readStringBlank") %>"

                        var invalidChars = "\\:"
                        for( var ic = 0 ; ic < invalidChars.length ; ic++ )
                        {
                            if( snmpReadString.indexOf( invalidChars.charAt(ic) ) > -1 )
                                return "<%=repairResources.getString("panel2.readStringInvalid") %>"
                        }
                    }

                    if( !isChecked("setSnmpReadString") && !isChecked("fixSnmpTrapDestination") )
                        return "<%=repairResources.getString("panel2.noSnmpSettings") %>"

                    atLeastOneSettingChecked = true;
                }

                if( isChecked("setAdminPassword") )
                {
                    var password  = getValue("adminPassword");
                    var password2 = getValue("adminPassword2");

                    if( password == "" )
                        return "<%=repairResources.getString("panel2.noAdminPassword") %>"

                    if( password2 == "" )
                        return "<%=repairResources.getString("panel2.noAdminPassword2") %>"

                    if( password != password2 )
                        return "<%=repairResources.getString("panel2.noPasswordMatch") %>"

                    atLeastOneSettingChecked = true;
                }

                if( isChecked("setSshMode") )
                {
                    if( !isChecked("idHostSshMode") && !isChecked("idUserSshMode") )
                    {
                        return "<%=repairResources.getString("panel2.noSshModeSet") %>"
                    }

                    atLeastOneSettingChecked = true;
                }

                if( isChecked("setTrustMode") )
                {
                    atLeastOneSettingChecked = true;
                }

                if( isChecked("setWbemEvents") )
                {
                    atLeastOneSettingChecked = true;
                }

                if( !atLeastOneSettingChecked )
                    return "<%=repairResources.getString("panel2.noSettings") %>"

                return "";
            }

            function runNowButtonFunction()
            {
                var msg = validateRequiredFields();
                if( msg != "" )
                {
                    setReloadOnError(false);
                    alert(msg);
                    return false;
                }

                document.repairSettingsForm.submit();
                return false;
            }

            function scheduleButtonFunction()
            {
                var msg = validateRequiredFields();
                if( msg != "" )
                {
                    setReloadOnError(false);
                    alert(msg);
                    return false;
                }

                document.repairSettingsForm.submit();
                setReloadOnError(false);
                return false;
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>
    <body>
        <%--
        <script>
            alert( "editTask=<%= editTask%>" );
        </script>
        --%>

<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST"))
    {
        boolean isUserDataValid = true;

        // write the properties into bean...
        if( request.getParameter("setSnmpReadString") != null )
        {
            String readCommunityString = request.getParameter("snmpReadString");
            if( readCommunityString == null )
                isUserDataValid = false;
            else
            {
                agentRepairBean.setSnmpCommunityString(readCommunityString);
                agentRepairBean.setUpdateReadCommunityString("yes");
            }
        }
        else
        {
            agentRepairBean.setSnmpCommunityString("");
            agentRepairBean.setUpdateReadCommunityString("no");
        }

        if( isUserDataValid && request.getParameter("fixSnmpTrapDestination") != null )
        {
            agentRepairBean.fixSnmpTrapDestination("yes");
        }
        else
        {
            agentRepairBean.fixSnmpTrapDestination("no");
        }

        if( isUserDataValid && request.getParameter("setTrustMode") != null )
        {
            agentRepairBean.setTrustMode("certificate");
        }

        if( isUserDataValid && request.getParameter("setSshMode") != null )
        {
            String sshAuthMode = request.getParameter("sshMode");
            agentRepairBean.setSshMode(sshAuthMode);
        }
        else
        {
            agentRepairBean.setSshMode("no");
        }

        if( isUserDataValid && request.getParameter("setWbemEvents") != null )
        {
            agentRepairBean.setWbemEvents("yes");
        }
        else
        {
            agentRepairBean.setWbemEvents("no");
        }

        if( isUserDataValid )
        {
            if( request.getParameter("setAdminPassword") != null )
            {
                String legacyPassword  = request.getParameter("adminPassword");
                String legacyPassword2 = request.getParameter("adminPassword2");

                if( legacyPassword == null || legacyPassword2 == null )
                    isUserDataValid = false;
                else if( !legacyPassword.equals(legacyPassword2) )
                    isUserDataValid = false;
                else
                {
                    agentRepairBean.setLegacyPassword(legacyPassword);
                    agentRepairBean.setUpdateLegacyPassword("yes");
                }
            }
            else
            {
                    agentRepairBean.setLegacyPassword("");
                    agentRepairBean.setUpdateLegacyPassword("no");
            }
        }
%>

<%--
<jsp:setProperty name="agentRepairBean" property="password" value="<%= request.getParameter(" password ") %>"/>
<jsp:setProperty name="agentRepairBean" property="username" value="<%= request.getParameter(" username ") %>"/>
<jsp:setProperty name="agentRepairBean" property="domain" value="<%= request.getParameter(" domain ") %>"/>
--%>

<%
        if ( isUserDataValid )
        {
            // User data is valid, go to the next wizard step
            agentRepairBean.setArgumentValues();

            AgentRepairCommandToolParameters ctp = agentRepairBean.getTaskUserParameters();
            inst.setTaskUserParameters(ctp);
%>
            <script>loadWizardNextStep();</script>
<%
        }
        else
        {
%>
            <script>loadWizardCurrentStep();</script>
<%
        }
    }
    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
%>

    <script>setWizardStepText('<%= repairResources.getString("panel2.title") %>');</script>
    <p><%= repairResources.getString("panel2.explain") %></p>

    <div class="indented">
        <form id="repairSettingsForm" name="repairSettingsForm" action="AgentRepairTask2.jsp" method="post">
            <input type="checkbox" id="setSnmpSettings" name="setSnmpSettings" value="setSnmpSettings"
            <%	// if the community string is not null or this is the first time...
                if( editTask == "" || agentRepairBean.getSnmpCommunityString() != "" || agentRepairBean.getFixSnmpTrapDestination() == "yes" )
                {
            %>
                    checked
            <%
                }
            %>
            onClick="javascript:onCheckBox(this);" toggle="snmpSection;setSnmpReadString;snmpReadString;fixSnmpTrapDestination">

            <strong><%= repairResources.getString("panel2.snmpSectionText") %></strong><br>
            <div style="margin-left:40px" id="snmpSection">
                <table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td>
                            <input type="checkbox" value="setSnmpReadString" id="setSnmpReadString" name="setSnmpReadString"
                            <%	// if the community string is not null or this is the first time...
                                String readStringCheckboxStatus = agentRepairBean.getUpdateReadCommunityString();
                                if( readStringCheckboxStatus != "no" )
                                {
                            %>
                                    checked
                            <%
                                }
                            %>
                            onClick="javascript:onCheckBox(this);" toggle="snmpReadString">
                        </td>
                        <td>
                            <%= repairResources.getString("panel2.snmpReadPrompt") %> &nbsp;
                        </td>
                        <td>
                            <input id="snmpReadString" name="snmpReadString" value="<%= agentRepairBean.getSnmpCommunityString() %>" maxlength="255" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="checkbox" id="fixSnmpTrapDestination" name="fixSnmpTrapDestination" value="fixSnmpTrapDestination"

                            <%	if( agentRepairBean.getFixSnmpTrapDestination() == "yes" || editTask == "" )
                                {
                            %>
                                    checked
                            <%
                                }
                            %>
                            onClick="javascript:onCheckBox(this);">

                        </td>
                        <td colspan="2">
                            <%= repairResources.getString("panel2.snmptrapsPrompt") %>
                        </td>
                    </tr>
                  <tr>
                    <td colspan="3">
                        <i><% if (MxCMS.isWindows()) { out.write(repairResources.getString("panel2.snmpReadWriteText")); } %></i>
                    </td>
                </tr>

                </table>
            </div><br>

            <!-- Trust mode -->
            <input type="checkbox" id="setTrustMode" name="setTrustMode" value="setTrustMode"
            <%	if( agentRepairBean.getTrustMode() == "certificate" || editTask == "" )
                {
            %>
                    checked
            <%
                }
            %>
            onClick="javascript:onCheckBox(this);">
            <strong>
                <%= repairResources.getString("panel2.trustSectionText") %>
            </strong>

            <%= repairResources.getString("panel2.trustModeCertificateText") %>
            <br><br>

            <!-- Admin Password -->
            <input type="checkbox" id="setAdminPassword" name="setAdminPassword" value="setAdminPassword"
            <%	//
                String legacyCheckboxStatus = agentRepairBean.getUpdateLegacyPassword();
                if( legacyCheckboxStatus != "no" )
                {
            %>
                    checked
            <%
                }
            %>
            onClick="javascript:onCheckBox(this);" toggle="legacySection">

            <strong><%= repairResources.getString("panel2.legacyPWSectionText") %></strong>

            <div style="margin-left:40px" id="legacySection">
                <table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td><%= repairResources.getString("panel2.enterPassword") %></td>
                        <td><input id="adminPassword" name="adminPassword" type="password" value="<%= agentRepairBean.getLegacyPassword() %>" maxlength="240" size="25"></td>
                    </tr>
                    <tr>
                        <td><%= repairResources.getString("panel2.enterPassword2") %>&nbsp;</td>
                        <td><input id="adminPassword2" name="adminPassword2" type="password" value="<%= agentRepairBean.getLegacyPassword() %>" maxlength="240" size="25"></td>
                    </tr>
                </table>
            </div>
            <br><br>

            <!-- configue SSH authentication -->
            <input type="checkbox" id="setSshMode" name="setSshMode" value="setSshMode"
            <%	String sshModeValue = agentRepairBean.getSshMode();
            String hostChecked = "";
            String userChecked = "";
            // is sshMode in user mode?, if not default to host radio button on
            if (sshModeValue.equalsIgnoreCase("user"))
                userChecked = "checked";
            else
                hostChecked = "checked";
            if ( sshModeValue.equalsIgnoreCase("host") || sshModeValue.equalsIgnoreCase("user") || editTask == "" )
                {
            %>
                    checked
            <%
                }
            %>
            onClick="javascript:onCheckBox(this);" toggle="sshSection">
            <strong>
                <%= repairResources.getString("panel2.sshSection") %>:&nbsp;
                <%= agentRepairBean.getUsername() %>
            </strong>
            <div style="margin-left:40px" id="sshSection">
                <table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td><input type="radio" name="sshMode" id="idHostSshMode" value="host" <%= hostChecked %> >
                            <%= repairResources.getString("panel2.sshHostMode") %> </td>
                    </tr>
                    <tr>
                        <td><input type="radio" name="sshMode" id="idUserSshMode" value="user" <%= userChecked %> >
                            <%= repairResources.getString("panel2.sshUserMode") %> </td>
                    </tr>
                </table>
            </div>
            <br><br>

            <!-- create WBEM subscriptions -->
            <input type="checkbox" id="setWbemEvents" name="setWbemEvents" value="setWbemEvents"
            <%	if( agentRepairBean.getWbemEvents() == "yes" || editTask == "" )
                {
            %>
                    checked
            <%
                }
            %>
            onClick="javascript:onCheckBox(this);">
            <strong>
                <%= repairResources.getString("panel2.wbemEventsText") %>
            </strong>
            <br><br>

            <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>' />
        </form>
    </div>

    <script language='javascript' type='text/javascript'>
        displayTaskWizardButtons(); // display Previous/Next
        // if we are arriving at this page as a result of "Prev" button being clicked, then
        if (<%=request.getParameter("prev")%> != null)
        {
            setFormSubmitName("repairSettingsForm");
        }
    </script>
<%
    }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
