<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.portal.taskandjob.InitialPSPInstall.InitialPSPInstallCommandToolParameters" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.lang.Number" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="pspResourceSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="page" />
<jsp:useBean id="initialPSPInstallBean" class="com.hp.mx.portal.taskandjob.InitialPSPInstall.InitialPSPInstallBean" scope="session" />
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%
    MxBean.jspInit(request, response);

    // set up the resource file
    pspResourceSettings.init(loginBean, "InitialPSPInstall");

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // set up the task setup bean
    // is this a task edit?
    String editTask = request.getParameter("edit");
    if (editTask == null)
        editTask = "";

    if (request.getMethod().equals("POST") == false)
    {
        if (initialPSPInstallBean.isFirstTime() || editTask.equals("1"))
        {
            initialPSPInstallBean.initialize(loginBean, (InitialPSPInstallCommandToolParameters)inst.getTaskUserParameters());
        }
        else
        {
            initialPSPInstallBean.initialize(loginBean, null);
        }
    }
%>

<html>
    <head>
        <title><%= pspResourceSettings.getString("panel1.title") %></title>
        </title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <STYLE TYPE="text/css">
        <!--
            .indented{margin-left:12px;}
        -->
        </STYLE>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript'> MxPortalWorkspaceSetHelpTopic("useTools_psp_install");</script>
        <script language='javascript' type='text/javascript'>

            var username;
            var password;
            function checkRequiredFields()
            {
                var enableButton = true;
                // check all required fields - check to make sure they
                // have something in their respective <input> boxes.
                if (document.getElementById("username").value == '' ||
                    document.getElementById("password").value == '' ||
                    document.getElementById("passwordConfirm").value == '')
                {
                    enableButton = false;
                }

                // if all passes, then enable the Next button
                // else, disable it
                enableNextButton(enableButton);
            }

            function enableNextButton (enable)
            {
                if (enable)
                    ourButtonManager.enableButtonById('nextBtn');
                else
                    ourButtonManager.disableButtonById('nextBtn');
            }

            function nextButtonFunction()
            {
                username = document.getElementById("username").value;
                password = document.getElementById("password").value;
                var passwordConfirm = document.getElementById("passwordConfirm").value;
                if ((password == passwordConfirm) && (password != ''))
                {
                    //document.userPassForm.submit();
                    setReloadOnError(false);
                    return true;
                }
                else
                {
                    alert("<%=pspResourceSettings.getString("panel1.noPasswordMatch") %>");
                    return false;
                }
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body>
    <%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST"))
    {
        // Check if the password is the default. If it is, don't
        // save it off
        String password = request.getParameter("password");
        if (!password.equals("abfd98%"))
        {
    %>

            <jsp:setProperty name="initialPSPInstallBean" property="password" value="<%= request.getParameter(\"password\") %>" />
    <%
        }
    %>
        <jsp:setProperty name="initialPSPInstallBean" property="username" value="<%= request.getParameter(\"username\") %>" />
        <jsp:setProperty name="initialPSPInstallBean" property="domain" value="<%= request.getParameter(\"domain\") %>" />
        <%
        initialPSPInstallBean.setUserInfoMsg("Password entries do not match!");

        if (initialPSPInstallBean.isUserInfoValid())
        {
            // User data is valid, go to the next wizard step
            %>
            <script>loadWizardNextStep();</script>
            <%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>
            <script>loadWizardCurrentStep();</script>
            <%
        }
    }
    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
        if (!editTask.equals("1"))
            initialPSPInstallBean.setLocation(new Long(System.currentTimeMillis()).toString());
        %>

        <script>
            setWizardStepText('<%= pspResourceSettings.getString("panel1.title") %>');
        </script>

        <jsp:getProperty name="initialPSPInstallBean" property="userInfoMsg" />

        <%=pspResourceSettings.getString("panel1.explain") %></p>
        <%=pspResourceSettings.getString("panel1.prompt") %>

        <div class="indented">
        <form id="userPassForm" name="userPassForm" action="InitialPSPInstallCPP1.jsp" method="post">
        <table>
        <tr>
        <td><%=pspResourceSettings.getString("panel1.enterUsername") %></td>
        <td><input id='username' name='username' type='text' size='25' onkeyup='checkRequiredFields()' value="<jsp:getProperty name="initialPSPInstallBean" property="username" />" ></td>
        </tr>
        <tr>
        <%
        if (editTask.equals("1"))
        {
        %>
            <td><%=pspResourceSettings.getString("panel1.enterPassword") %></td>
            <td><input id='password' name='password' type='password' value='abfd98%' size='25' onkeyup='checkRequiredFields()'></td>
            </tr>
            <tr>
            <td><%=pspResourceSettings.getString("panel1.enterPasswordConfirm") %></td>
            <td><input id='passwordConfirm' name='passwordConfirm' type='password' value='abfd98%' size='25' onkeyup='checkRequiredFields()'></td>
            </tr>
        <%
        }
        else
        {
        %>
            <td><%=pspResourceSettings.getString("panel1.enterPassword") %></td>
            <td><input id='password' name='password' type='password' size='25' onkeyup='checkRequiredFields()'></td>
            </tr>
            <tr>
            <td><%=pspResourceSettings.getString("panel1.enterPasswordConfirm") %></td>
            <td><input id='passwordConfirm' name='passwordConfirm' type='password' size='25' onkeyup='checkRequiredFields()'></td>
            </tr>
        <%
        }
        %>
        <tr>
        <td><%=pspResourceSettings.getString("panel1.enterDomain") %></td>
        <td><input id='domain' name='domain' type='text' size='25' value="<jsp:getProperty name="initialPSPInstallBean" property="domain" />" ></td>
        </tr>
        <br><br>
        </table>
        <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>'>
        </form>
        </div>
        <script>
            setFormSubmitName("userPassForm")
        </script>

        <script language='javascript' type='text/javascript'>
            displayTaskWizardButtons(); // display Previous/Next
            checkRequiredFields();
        </script>

        <%
    }
    %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
