<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="MpLdapBean" class="com.hp.mx.portal.taskandjob.MpTools.MpLdap.MxMpLdap" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>


<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<%@ page import="com.hp.mx.portal.res.MxResourceBean"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.taskandjob.MpTools.MpLdap.MxMpLdapCommandToolParameters"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String timeStamp=request.getParameter("timeStamp");
    MxTaskWizardInstance inst=(MxTaskWizardInstance) taskWizardBean.getInstance(timeStamp);
    // is this a task edit?
    boolean editTask = (request.getParameter("edit") != null);

    if ((MpLdapBean.isFirstTime() == true) || (editTask == true))
    {
        // initialize the Bean (resource bundle, etc)
        MpLdapBean.initialize(loginBean, (MxMpLdapCommandToolParameters)inst.getTaskUserParameters());
    }

    // get the resource bundle for localized string display
    MxResourceBean rb = MpLdapBean.getRB();

    // use this value to populate the password fields.  If it is the default, "abfd98%"
    // we don't set the value.  This default value is used to disguise the length
    String passwordValue = "";

%>
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC
    "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title></title>
    <link rel="stylesheet" type="text/css" href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'/>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'>
    </script>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'>
    </script>
    <script src="../../js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    </script>
    <script language='javascript' type='text/javascript'>
    // username and password values

    var requiredItems=0;
    var checkedItems=0;


    function changeWizardButtonEnabled(state){
        if(state==true)
            checkedItems++;
        else
            checkedItems--;
        if(checkedItems>requiredItems){
            enableWizardButtons(true);
        } else{
            enableWizardButtons(false);
        }
    }

    function ldapEnabledChanged(){
         var enable = true;
             enable=document.getElementById("ldapEnabled").checked;
             if(enable==false){
                 document.getElementById("ldapEn").checked=false;
                 document.getElementById("ldapDis").checked=false;
             }
             document.getElementById("ldapEn").disabled=!enable;
             document.getElementById("ldapDis").disabled=!enable;
             if(enable){
                 document.getElementById("ldapEn").checked=true;
             }
             changeWizardButtonEnabled(enable);
    }

   function localEnabledChanged(){
         var enable = true;
             enable=document.getElementById("localEnabled").checked;
             if(enable==false){
                 document.getElementById("localEn").checked=false;
                 document.getElementById("localDis").checked=false;
             }
             document.getElementById("localEn").disabled=!enable;
             document.getElementById("localDis").disabled=!enable;
             if(enable){
                 document.getElementById("localEn").checked=true;
             }

             changeWizardButtonEnabled(enable);


    }

    function ipChanged(){
        var enable = true;
            enable=document.getElementById("ipChange").checked;
            if(enable){
                    document.getElementById("ip").disabled=false;
                    document.getElementById("ip").value="";
            }else{
                document.getElementById("ip").disabled=true;

            }
            changeWizardButtonEnabled(enable);

    }

    function portChanged(){
        var enable = true;
            enable=document.getElementById("portChange").checked;
            if(enable){
                    document.getElementById("port").disabled=false;
                    document.getElementById("port").value="";
            }else{
                document.getElementById("port").disabled=true;

            }
            changeWizardButtonEnabled(enable);

    }

    function dnChanged(){
        var enable = true;
            enable=document.getElementById("dnChange").checked;
            if(enable){
                    document.getElementById("dn").disabled=false;
                    document.getElementById("dn").value="";
            }else{
                document.getElementById("dn").disabled=true;

            }
            changeWizardButtonEnabled(enable);

    }


    function oneChanged(){
        var enable = true;
            enable=document.getElementById("oneChange").checked;
            if(enable){
                    document.getElementById("oneContext").disabled=false;
                    document.getElementById("oneContext").value="";
            }else{
                document.getElementById("oneContext").disabled=true;

            }
            changeWizardButtonEnabled(enable);
    }

    function twoChanged(){
        var enable = true;
            enable=document.getElementById("twoChange").checked;
            if(enable){
                    document.getElementById("twoContext").disabled=false;
                    document.getElementById("twoContext").value="";
            }else{
                document.getElementById("twoContext").disabled=true;
            }
            changeWizardButtonEnabled(enable);
    }

    function threeChanged(){
        var enable = true;
            enable=document.getElementById("threeChange").checked;
            if(enable){
                    document.getElementById("threeContext").disabled=false;
                    document.getElementById("threeContext").value="";
            }else{
                document.getElementById("threeContext").disabled=true;

            }
            changeWizardButtonEnabled(enable);
    }

    /////////////////////////////////////
    // checkRequiredFields()
    /////////////////////////////////////
    function checkRequiredFields()
    {
        var enableButton = true;

        enableWizardButtons(checkedItems>requiredItems);
    }
    /////////////////////////////////////
    // enableWizardButtons()
    /////////////////////////////////////
    function enableWizardButtons(enable)
    {
        // enable or disable the "Schedule" button
        enableButton(document.getElementById("scheduleBtn"), enable);
        // enable or disable the "Run Now" button
        enableButton(document.getElementById("runNowBtn"), enable);
    }
    /////////////////////////////////////
    // scheduleButtonFunction()
    /////////////////////////////////////
    function scheduleButtonFunction()
    {

            setReloadOnError(false);
            return true;

    }
    /////////////////////////////////////
    // runNowButtonFunction()
    /////////////////////////////////////
    function runNowButtonFunction()
    {
        return scheduleButtonFunction();
    }
    /////////////////////////////////////
    // setFocus()
    /////////////////////////////////////
    function setFocus()
    {
        var field = document.getElementById('ip');

        if ((field != null) && (field.disabled == false))
        {
            field.focus();
        }
    }

    </script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

    <body>
<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A post?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST") == true)
    {
       StringBuffer ldapProp = new StringBuffer("");
       if(request.getParameter("ldapEnabled")!=null){
           if((request.getParameter("ldapEnabled")).equals("enabled")==true){
               if(request.getParameter("ldap")!=null)
                       ldapProp.append(request.getParameter("ldap"));
           }
       }

       StringBuffer localProp = new StringBuffer("");
       if(request.getParameter("localEnabled")!=null){
           if((request.getParameter("localEnabled")).equals("enabled")==true){
               if(request.getParameter("localAccts")!=null)
                       localProp.append(request.getParameter("localAccts"));
           }
       }

       StringBuffer ipProp = new StringBuffer("");
       if(request.getParameter("ipChange")!=null){
           if((request.getParameter("ipChange")).equals("enabled")==true){
               if(request.getParameter("ip").equals("")==false){
                   ipProp.append(request.getParameter("ip"));
               }
               else
                   ipProp.append(" ");
           }
       }
       StringBuffer portProp = new StringBuffer("");
       if(request.getParameter("portChange")!=null){
           if((request.getParameter("portChange")).equals("enabled")==true){
               if(request.getParameter("port").equals("")==false){
                   portProp.append(request.getParameter("port"));
               }
               else
                   portProp.append(" ");
           }
       }

       StringBuffer dnProp = new StringBuffer("");
       if(request.getParameter("dnChange")!=null){
           if((request.getParameter("dnChange")).equals("enabled")==true){
               if(request.getParameter("dn").equals("")==false){
                   dnProp.append(request.getParameter("dn"));
               }
               else
                   dnProp.append(" ");
           }
       }
       StringBuffer oneProp = new StringBuffer("");
       if(request.getParameter("oneChange")!=null){
           if((request.getParameter("oneChange")).equals("enabled")==true){
               if(request.getParameter("oneContext").equals("")==false){
                   oneProp.append(request.getParameter("oneContext"));
               }
               else
                   oneProp.append(" ");
           }
       }

       StringBuffer twoProp = new StringBuffer("");
       if(request.getParameter("twoChange")!=null){
           if((request.getParameter("twoChange")).equals("enabled")==true){
               if(request.getParameter("twoContext").equals("")==false){
                   twoProp.append(request.getParameter("twoContext"));
               }
               else
                   twoProp.append(" ");
           }
       }

       StringBuffer threeProp = new StringBuffer("");
       if(request.getParameter("threeChange")!=null){
           if((request.getParameter("threeChange")).equals("enabled")==true){
               if(request.getParameter("threeContext").equals("")==false){
                   threeProp.append(request.getParameter("threeContext"));
               }
               else
                   threeProp.append(" ");
           }
       }

 %>

    <jsp:setProperty name="MpLdapBean" property="dirAuth"   value="<%=ldapProp.toString()%>"/>
    <jsp:setProperty name="MpLdapBean" property="localAuth"  value="<%=localProp.toString()%>"/>

    <jsp:setProperty name="MpLdapBean" property="serverIp"   value="<%=ipProp.toString()%>"/>
    <jsp:setProperty name="MpLdapBean" property="serverPort" value="<%=portProp.toString()%>"/>
    <jsp:setProperty name="MpLdapBean" property="distName" value="<%=dnProp.toString()%>"/>
    <jsp:setProperty name="MpLdapBean" property="context1" value="<%=oneProp.toString()%>"/>
    <jsp:setProperty name="MpLdapBean" property="context2" value="<%=twoProp.toString()%>"/>
    <jsp:setProperty name="MpLdapBean" property="context3" value="<%=threeProp.toString()%>"/>
<%

        if (MpLdapBean.isDirectoryInfoValid() == true)
        {

            MpLdapBean.setArgumentValues();
            MxMpLdapCommandToolParameters params = MpLdapBean.getToolParameters();
            inst.setTaskUserParameters(params);

            // User data is valid, go to the next wizard step
            %>

    <script language='javascript' type='text/javascript'>
    loadWizardNextStep();
    </script>
            <%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>

    <script language='javascript' type='text/javascript'>
    loadWizardCurrentStep();
    </script>
            <%
        }
    }

    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A post - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
 %>

    <script language='javascript' type='text/javascript'>
    setWizardStepText('<%=rb.getString("WIZARD_TITLE_DIRECTORY")%>');
    </script>
    <script language="JavaScript">
            MxPortalWorkspaceSetHelpTopic("useTools_mgmtProc_LDAPSettings") ;
    </script>


    <form id="DirectoryForm" name="DirectoryForm" action="MpLdapCPP1.jsp" method="post">

        <table cellspacing='0' cellpadding='0' border='0' style="white-space: nowrap;">
            <tr>
                <td><%=rb.getString("PROMPT_SELECT_SETTINGS")%></td>
            </tr>
            <tr><td  height="17px" colspan="3"></td></tr>
        </table>

                <table border="0"  cellspacing="0" cellpadding="0" style="white-space: nowrap;">
            <tr>
                <td rowspan="10" width="20px"></td>
                <td width="10px"></td>
                <td width="300px"></td>
            </tr>


            <tr>
                <td  height="10px" colspan="2"></td>
            </tr>
           <tr>
                <td colspan="2"><input type="checkbox" name="localEnabled" id="localEnabled" value="enabled"   onclick="localEnabledChanged();" /><%=rb.getString("DIR_LOCAL_AUTH")%><br /></td>
            </tr>
           <tr>
                <td width="10px" rowspan="2"></td>
                <td><input type="radio" name="localAccts" id="localEn" value="enable" disabled="disabled"/><%=rb.getString("LAN_ACCESS_ENB")%></td>
           </tr>
           <tr>
               <td><input type="radio" name="localAccts" id="localDis" value="disable" disabled="disabled" /><%=rb.getString("LAN_ACCESS_DIS")%></td>
            </tr>
            <tr>
                <td  height="10px" colspan="2"></td>
            </tr>
            <tr>
                <td colspan="2"><input type="checkbox" name="ldapEnabled" id="ldapEnabled" value="enabled"   onclick="ldapEnabledChanged();" /><%=rb.getString("DIR_DIR_AUTH")%><br /></td>
            </tr>
            <tr>
                <td width="10px" rowspan="2"></td>
                <td><input type="radio" name="ldap" id="ldapEn" value="enable" disabled="disabled"/><%=rb.getString("LAN_ACCESS_ENB")%></td>
           </tr>
            <tr>
               <td><input type="radio" name="ldap" id="ldapDis" value="disable"  disabled="disabled"/><%=rb.getString("LAN_ACCESS_DIS")%></td>
            </tr>
            <tr>
                <td  height="10px" colspan="2"></td>
            </tr>
        </table>
           <table border="0"  cellspacing="0" cellpadding="0" style="white-space: nowrap;">
           <tr>
                <td rowspan="40">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td height="17px" > <input type="checkbox" name="ipChange" id="ipChange" value="enabled"  onclick='ipChanged()'/><%=rb.getString("DIR_SERVER_IP")%>&nbsp;&nbsp;</td>
                <td>
                    <input type="text" name ="ip" id="ip" value="" size="20"  disabled="disabled"  />
                </td>
            </tr>
            <tr>
                <td height="17px"  ><input type="checkbox" name="portChange" id="portChange" value="enabled"   onclick='portChanged()'/><%=rb.getString("DIR_SERVER_PORT")%>&nbsp;&nbsp;</td>
                <td><input type="text" name="port" id="port" value="" size="20" disabled="disabled"/></td>
            </tr>
            <tr>
                <td height="17px" ><input type="checkbox" name="dnChange" id="dnChange" value="enabled"  onclick='dnChanged()'/><%=rb.getString("DIR_DIST_NAME")%>&nbsp;&nbsp;</td>
                <td><input type="text" name="dn" id="dn" value="" size="20" disabled="disabled"  /> </td>
            </tr>
            <tr>
                <td height="17px" ><input type="checkbox" name="oneChange" id="oneChange" value="enabled"  onclick='oneChanged()'/><%=rb.getString("DIR_CONTEXT1")%>&nbsp;&nbsp;</td>
                <td><input type="text" name="oneContext" id="oneContext" value="" size="20" disabled="disabled" /></td>
            </tr>
            <tr>
                <td height="17px"  ><input type="checkbox" name="twoChange" id="twoChange" value="enabled"  onclick='twoChanged()'/><%=rb.getString("DIR_CONTEXT2")%>&nbsp;&nbsp;</td>
                <td><input type="text"  name="twoContext"  id="twoContext" value="" size="20" disabled="disabled" /></td>
            </tr>
            <tr>
                <td height="17px"  ><input type="checkbox" name="threeChange" id="threeChange" value="enabled" onclick='threeChanged()'/><%=rb.getString("DIR_CONTEXT3")%>&nbsp;&nbsp;</td>
                <td><input type="text"  name="threeContext"  id="threeContext" value="" size="20" disabled="disabled"/></td>
            </tr>

    </table>

        <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>' />
    </form>
    <br />
    <br />

    <script language='javascript' type='text/javascript'>
    setFormSubmitName("DirectoryForm")
    // display Previous/Next
    displayTaskWizardButtons();
    // set the focus to the 'username' field
    setFocus();
    // check required fieldsto allow page advancement
    checkRequiredFields();
    </script>
<%
    }
%>

    </body>
<% MxHtmlUtil.dumpBodyEnd(out); %>
</html>
