<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="MpPowerControlBean" class="com.hp.mx.portal.taskandjob.MpTools.MpPowerControl.MxMpPowerControl" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>


<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*"%>

<%@ page import="com.hp.mx.portal.res.MxResourceBean"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.taskandjob.MpTools.MpPowerControl.MxMpPowerControlCommandToolParameters"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String timeStamp=request.getParameter("timeStamp");
    MxTaskWizardInstance inst=(MxTaskWizardInstance) taskWizardBean.getInstance(timeStamp);
    // is this a task edit?
    boolean editTask = (request.getParameter("edit") != null);

    if ((MpPowerControlBean.isFirstTime() == true) || (editTask == true))
    {
        // initialize the Bean (resource bundle, etc)
        MpPowerControlBean.initialize(loginBean, (MxMpPowerControlCommandToolParameters)inst.getTaskUserParameters());
    }

    // get the resource bundle for localized string display
    MxResourceBean rb = MpPowerControlBean.getRB();

    // use this value to populate the password fields.  If it is the default, "abfd98%"
    // we don't set the value.  This default value is used to disguise the length
    String passwordValue = "";

%>
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC
    "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title></title>
    <link rel="stylesheet" type="text/css" href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'/>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'>
    </script>
    <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'>
    </script>
    <script src="../../js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
    </script>
    <script language='javascript' type='text/javascript'>


     function locateCtrlEnabledChanged(){
         var enable = true;
             enable=!document.getElementById("locateCtrlEnabled").checked;
             if(enable==true){
                 document.getElementById("locOn").checked=false;
                 document.getElementById("locOff").checked=false;

             }
             document.getElementById("locOn").disabled=enable;
             document.getElementById("locOff").disabled=enable;
             enableWizardButtons(!enable);

             if(!enable){
                 document.getElementById("locOn").checked=true;

             }

    }

    /////////////////////////////////////
    // checkRequiredFields()
    /////////////////////////////////////
    function checkRequiredFields()
    {
        var enableButton = true;
        enableWizardButtons(enableButton);
    }
    /////////////////////////////////////
    // enableWizardButtons()
    /////////////////////////////////////
    function enableWizardButtons(enable)
    {
        // enable or disable the "Schedule" button
        enableButton(document.getElementById("scheduleBtn"), enable);
        // enable or disable the "Run Now" button
        enableButton(document.getElementById("runNowBtn"), enable);
    }
    /////////////////////////////////////
    // scheduleButtonFunction()
    /////////////////////////////////////
    function scheduleButtonFunction()
    {

            setReloadOnError(false);
            return true;

    }
    /////////////////////////////////////
    // runNowButtonFunction()
    /////////////////////////////////////
    function runNowButtonFunction()
    {
        return scheduleButtonFunction();
    }
    /////////////////////////////////////
    // setFocus()
    /////////////////////////////////////
    function setFocus()
    {
        var field = document.getElementById('locCtrl');

        if ((field != null) && (field.disabled == false))
        {
            field.focus();
        }
    }

    </script>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
</head>

    <body>
<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A post?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST") == true)
    {
        StringBuffer powerAction = new StringBuffer("");
        if(request.getParameter("locCtrl")!=null)
                powerAction.append(request.getParameter("locCtrl"));



 %>

    <jsp:setProperty name="MpPowerControlBean" property="powerCtrl" value="<%=powerAction.toString()%>"/>
<%

        if (MpPowerControlBean.isPowerControlInfoValid() == true)
        {

            MpPowerControlBean.setArgumentValues();
            MxMpPowerControlCommandToolParameters params = MpPowerControlBean.getToolParameters();
            inst.setTaskUserParameters(params);

            // User data is valid, go to the next wizard step
            %>
    <script language='javascript' type='text/javascript'>
    loadWizardNextStep();
    </script>
            <%
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>

    <script language='javascript' type='text/javascript'>
    loadWizardCurrentStep();
    </script>
            <%
        }
    }

    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A post - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
 %>

    <script language='javascript' type='text/javascript'>
    setWizardStepText('<%=rb.getString("WIZARD_TITLE_LOCATOR_CONTROL")%>');
    </script>
    <script language="JavaScript">
            MxPortalWorkspaceSetHelpTopic("useTools_mgmtProc_systemLocator") ;
    </script>

   <form id="locatorForm" name="locatorForm" action="MpLocateCPP1.jsp" method="post">
         <table border="0"  cellspacing="0" cellpadding="0" style="white-space: nowrap;">
            <tr>
                <td rowspan="40">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                  <td colspan="2"><%=rb.getString("SYS_LOCATOR_CTRL")%><br /></td>
            </tr>
            <tr>
                <td width="10px" rowspan="2"></td>
                <td><input type="radio" name="locCtrl" id="locOn" value="on" checked="checked"/><%=rb.getString("SYS_LOC_ON")%></td>
           </tr>
            <tr>
               <td><input type="radio" name="locCtrl" id="locOff" value="off" /><%=rb.getString("SYS_LOC_OFF")%>  <br /></td>
            </tr>
        </table>

        <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>' />
    </form>
    <br />
    <br />

    <script language='javascript' type='text/javascript'>
    setFormSubmitName("locatorForm")
    // display Previous/Next
    displayTaskWizardButtons();
    // set the focus to the 'username' field
    setFocus();
    // check required fieldsto allow page advancement
    checkRequiredFields();
    </script>
<%
    }
%>

    </body>
<% MxHtmlUtil.dumpBodyEnd(out); %>
</html>
