<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="openSSHInstallBean" class="com.hp.mx.portal.taskandjob.OpenSSHInstall.MxOpenSSHInstall" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.core.nodemanager.MxNode"%>
<%@ page import="com.hp.mx.portal.core.MxObjList"%>
<%@ page import="com.hp.mx.portal.res.MxResourceBean"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.taskandjob.OpenSSHInstall.MxOpenSSHInstallCommandToolParameters"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // is this a task edit?
    boolean editTask = (request.getParameter("edit") != null);

    if (request.getMethod().equals("POST") == false)
    {
        if (editTask == true)
        {
            openSSHInstallBean.initialize(loginBean, (MxOpenSSHInstallCommandToolParameters)inst.getTaskUserParameters());
        }
        else
        {
            openSSHInstallBean.initialize(loginBean, null);
        }
    }

    // get the resource bundle for localized string display
    MxResourceBean rb = openSSHInstallBean.getRB();

    // use this value to populate the password fields.  If it is the default, "abfd98%"
    // we don't set the value.  This default value is used to disguise the length
    String passwordValue = "";

    if ((editTask == true) && (openSSHInstallBean.getUsername().equals("") == false))
    {
        passwordValue = "abfd98%";
    }
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript'>
            // username and password values
            var username        = null;
            var password        = null;
            var passwordConfirm = null;
            var domain          = null;
            /////////////////////////////////////
            // checkRequiredFields()
            /////////////////////////////////////
            function checkRequiredFields()
            {
                var enableButton = true;
                // check all required fields - check to make sure they
                // have something in their respective <input> boxes.
                if (document.getElementById("username").value == '' ||
                    document.getElementById("password").value == '' ||
                    document.getElementById("passwordConfirm").value == '')
                {
                    enableButton = false;
                }

                // if all passes, then enable the Next button
                // else, disable it
                enableWizardButtons(enableButton);
            }
            /////////////////////////////////////
            // enableWizardButtons()
            /////////////////////////////////////
            function enableWizardButtons(enable)
            {
                if (enable)
                {
                    ourButtonManager.enableButtonById('scheduleBtn');
                    ourButtonManager.enableButtonById('runNowBtn');
                }
                else
                {
                    ourButtonManager.disableButtonById('scheduleBtn');
                    ourButtonManager.disableButtonById('runNowBtn');
                }
            }
            /////////////////////////////////////
            // scheduleButtonFunction()
            /////////////////////////////////////
            function scheduleButtonFunction()
            {
                username        = document.getElementById("username").value;
                password        = document.getElementById("password").value;
                domain          = document.getElementById("domain").value;

                passwordConfirm = document.getElementById("passwordConfirm").value;

                if ((password == passwordConfirm) && (password != ''))
                {
                    setReloadOnError(false);
                    return true;
                }
                else
                {
                    setReloadOnError(false);
                    alert('<%=rb.getString("PASSWORD_MISMATCH")%>');
                    return false;
                }
            }
            /////////////////////////////////////
            // runNowButtonFunction()
            /////////////////////////////////////
            function runNowButtonFunction()
            {
                return scheduleButtonFunction();
            }
            /////////////////////////////////////
            // setFocus()
            /////////////////////////////////////
            function setFocus()
            {
                var field = document.getElementById('username');

                if ((field != null) && (field.disabled == false))
                {
                    field.focus();
                }
            }
        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body>
<%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST") == true)
    {
        // Check if the password is the default. If it is, don't save it off
        String thisPassword = request.getParameter("password");

        if (thisPassword.equals("abfd98%") == false)
        {
            %>
            <jsp:setProperty name="openSSHInstallBean" property="password" value="<%=thisPassword%>"/>
            <%
        }

        %>
        <jsp:setProperty name="openSSHInstallBean" property="username" value="<%=request.getParameter(\"username\")%>"/>
        <jsp:setProperty name="openSSHInstallBean" property="domain" value="<%=request.getParameter(\"domain\")%>"/>
        <%

        if (openSSHInstallBean.isUserInfoValid() == true)
        {
            // this API returns false if it is unable to get the SshClientIfc
            if (openSSHInstallBean.setArgumentValues() == false)
            {
                %>
                <script language='javascript' type='text/javascript'>
                    alert('<%=rb.getString("NO_SSH_CLIENT")%>');
                    loadWizardCurrentStep();
                </script>
                <%
            }
            else
            {
                MxOpenSSHInstallCommandToolParameters params = openSSHInstallBean.getToolParameters();
                inst.setTaskUserParameters(params);
                // User data is valid, go to the next wizard step
                %>
                <script language='javascript' type='text/javascript'>
                    loadWizardNextStep();
                </script>
                <%
            }
        }
        else
        {
            // User data is invalid, redisplay the same wizard step
            %>
            <script language='javascript' type='text/javascript'>
                loadWizardCurrentStep();
            </script>
            <%
        }
    }
    ///////////////////////////////////////////////////////////////////////////
    // THIS IS NOT A POST - Display normally
    ///////////////////////////////////////////////////////////////////////////
    else
    {
        if (editTask == false)
        {
            openSSHInstallBean.setLocation(new Long(System.currentTimeMillis()).toString());
        }
%>
        <script language='javascript' type='text/javascript'>
            setWizardStepText('<%=rb.getString("WIZARD_TITLE")%>');
        </script>

        <table cellspacing='0' cellpadding='0' border='0' width='60%'>
            <tr>
                <td><%=rb.getString("ENTER_CREDS")%></td>
            </tr>
        </table>

        <br>
        <br>

        <form id="userPassForm" name="userPassForm" action="OpenSSHInstallCPP1.jsp" method="POST">
            <table cellspacing='0' cellpadding='0' border='0'>
                <tr>
                    <td rowspan='4'>&nbsp;&nbsp;&nbsp;</td>
                    <td><%=rb.getString("USERNAME")%></td>
                    <td>
                        <input id='username' name='username' type='text' size='25'
                        value='<jsp:getProperty name="openSSHInstallBean" property="username"/>'
                        onkeyup='checkRequiredFields()'>
                    </td>
                </tr>
                <tr>
                    <td><%=rb.getString("PASSWORD")%></td>
                    <td>
                        <input id='password' name='password' type='password' size='25'
                        value='<%=passwordValue%>' onkeyup='checkRequiredFields()'>
                    </td>
                </tr>
                <tr>
                    <td><%=rb.getString("CONFIRM_PASSWORD")%></td>
                    <td>
                        <input id='passwordConfirm' name='passwordConfirm' type='password' size='25'
                        value='<%=passwordValue%>' onkeyup='checkRequiredFields()'>
                    </td>
                </tr>
                <tr>
                    <td><%=rb.getString("DOMAIN")%></td>
                    <td>
                        <input id='domain' name='domain' type='text' size='25'
                        value='<jsp:getProperty name="openSSHInstallBean" property="domain"/>'>
                    </td>
                </tr>
            </table>
            <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>'>
        </form>

        <br>
        <br>

        <script language='javascript' type='text/javascript'>
            setFormSubmitName("userPassForm")
            // display Previous/Next
            displayTaskWizardButtons();
            // set the focus to the 'username' field
            setFocus();
            // check required fieldsto allow page advancement
            checkRequiredFields();
        </script>
<%
    }
%>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
