<%@ page import="javax.swing.tree.TreePath" %>
<%@ page import="com.hp.mx.core.controllers.VCRepositoryController"%>
<%@ page import="com.hp.mx.core.controllers.MxNodeController"%>
<%@ page import="com.hp.mx.core.nodemanager.MxNode" %>
<%@ page import="com.hp.mx.exceptions.MxException" %>
<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.html.table.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="javax.swing.table.AbstractTableModel"%>
<%@ page import="com.hp.mx.portal.settings.VCRepositorySetup"%>
<%@ page import="com.hp.mx.security.DetermineTrustStatus" %>
<%@ page import="com.hp.mx.core.tools.swmaintenance.SWDeploymentDataModel"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="pspSelectionModelRepositories" class="com.hp.mx.html.table.MxDefaultTableSelectionModel" scope="session"/>
<jsp:useBean id="ussTableViewRepositories" class="com.hp.mx.html.table.MxTableView2" scope="session"/>
<jsp:useBean id="ussControllerRepositories" class="com.hp.mx.html.table.MxTableController" scope="session"/>
<jsp:useBean id="vcrResourceSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="pspResourceSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="ussResourceSettings" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="updateSystemSoftwareBean" class="com.hp.mx.core.tools.swmaintenance.UpdateSystemSoftwareBean" scope="session" />
<jsp:useBean id="initialPSPInstallBean" class="com.hp.mx.portal.taskandjob.InitialPSPInstall.InitialPSPInstallBean" scope="session" />
<jsp:useBean id="vcRepositoryBean" class="com.hp.mx.portal.settings.VCRepositorySetup" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>
<jsp:useBean id="ussSelectionModel" class="javax.swing.tree.DefaultTreeSelectionModel" scope="session" />

<%!
    public int tableInit = 0;
%>

<%
    MxBean.jspInit(request, response);

    // do we need to abort?
    if (ussControllerRepositories.checkUrlForControllerMessages(request, out)) return;

    // Get the Instance Data for this Task Wizard Instance
    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    String editTask = request.getParameter("edit");
    if (editTask == null)
        editTask = "";

    if (updateSystemSoftwareBean.isFirstTime())
    {
        // set up the resource files
        vcrResourceSettings.init(loginBean, "VCRepositorySetup");
        pspResourceSettings.init(loginBean, "InitialPSPInstall");
        ussResourceSettings.init(loginBean, "UpdateSystemSoftware");
    }

    // this will only happen if we're re-entering this page after the user
    // hits the Last Update button
    String rowToUpdate = request.getParameter("rowToUpdate");
    int onEnterSelectedDeviceKey = 0;
    if (rowToUpdate != null && !rowToUpdate.equals(""))
    {
        onEnterSelectedDeviceKey = vcRepositoryBean.getSelectedDeviceKey();
        MxNode dev = MxNodeController.getDefaultControllerNoEx().getNodeByKey(onEnterSelectedDeviceKey);
        if (dev != null)
        {
            DetermineTrustStatus.makeTrustRequest(dev);
            vcRepositoryBean.forceRepositoryUpdate(onEnterSelectedDeviceKey);
        }
    }

    // set up the task setup bean
    if (request.getMethod().equals("POST") == false)
    {
        if (editTask.equals("1"))
            updateSystemSoftwareBean.initialize(loginBean, (SWDeploymentDataModel)inst.getTaskUserParameters());
        else if (updateSystemSoftwareBean.isFirstTime())
            updateSystemSoftwareBean.initialize(loginBean, null);
    }

    // first time this page is displayed, we can initialize VCRepositorySetup
    tableInit = vcRepositoryBean.initialize(loginBean);

    // set up the tree/table bean
    if (initialPSPInstallBean.isFirstTime())
    {
        initialPSPInstallBean.initialize(loginBean, null);
    }

    if (ussControllerRepositories.isFirstTime())
    {
        pspSelectionModelRepositories.setSelectionMode(MxTableSelectionModel.SINGLE_SELECTION);

        ussTableViewRepositories.setId("ID_MY_USS_SETUP_TABLE");
        ussTableViewRepositories.setOnSelectionChange("mySelectionChanged");
        ussTableViewRepositories.setUrlHandler(request.getRequestURI());
    }

    // setup the display of the Repository Setup table model
    AbstractTableModel tableModel = vcRepositoryBean.getVCRDevsTableModel();
    ussControllerRepositories.setTableModelWithSorting(tableModel);
    ussControllerRepositories.setSelectionModel(pspSelectionModelRepositories);
    ussControllerRepositories.setTableView(ussTableViewRepositories);

    int numDevs     = vcRepositoryBean.getNumDevs();
    MxDateAndTime curTime = new MxDateAndTime(loginBean.getLocale(), loginBean.getTimeZone());
%>

<html>
    <head>
        <title><%= pspResourceSettings.getString("panel2.title") %></title>
        </title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <STYLE TYPE="text/css">
        <!--
            .indented{margin-left:12px;}
        -->
        </STYLE>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxBrowser.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript'> MxPortalWorkspaceSetHelpTopic("useTools_uss_install");</script>
        <script language='javascript' type='text/javascript'>


            // tell the MxTable to "refresh in place"
            function loadPage()
            {
                // tell the table to update its content
                MxTableRefreshInPlace('ID_MY_USS_SETUP_TABLE');
            }
            // resize the MxTable to be flush with the right browser edge
            function myResize()
            {
                var w = Math.max(0, MxBrowserGetBodyWidth(-NETSCAPE_SCROLLBAR_WIDTH, 0));
                if (w > 600)
                    w = 600;
                else
                    w = w-10;

                MxTableSetWidth('ID_MY_USS_SETUP_TABLE', w);
            }

            var selectedRow = 0;
            var supportPack = "";
            var repositoryName = "";
            var treeItemSelected = false;
            var treeType = <%=VCRepositoryController.SWTREE_VERSION_LEAVES + VCRepositoryController.SWTREE_TAG_NODES%>;

            //
            // the function called to change the name of the repos on this page
            //
            function setRepName(reposname)
            {
                repositoryName = reposname;
            }

            function setSelectedSupportPack(supportPackName)
            {
                supportPack = supportPackName;
                enableNextButton(true);
            }

            //
            // the function called to perform table selection change, including
            // retrieval of new repository catalog
            //
            function mySelectionChanged(szIdTable, iRow, bSelected)
            {
                // tell our Bean about the current Device selected
                selectedRow = iRow;
                getSelectedCatalog();
            }

            //
            // the function called to get the currently selected catalog
            //
            function getSelectedCatalog()
            {
                var iframe = document.getElementById("catalogtree");
                iframe.contentWindow.document.location.replace("LoadingCatalogWait.jsp");

                var iframe = document.getElementById("action");
                var url = "<%=MxOptions.URL_BASE%>/taskandjob/InitialPSPInstall/RetrieveCatalog.jsp?treeType="+treeType+"&calledFrom=UpdateSWFW";
                iframe.contentWindow.document.location.replace(url);
            }


            //
            // Update display with new catalog. This function is called
            // by the Javascript that retrieves the catalog
            //
            function drawNewCatalog(status)
            {
                var iframe = document.getElementById("catalogtree");
                iframe.contentWindow.document.location.replace("<%=MxOptions.URL_BASE%>/taskandjob/UpdateSystemSoftware/UpdateSystemSoftwareCatalogFrame.jsp?treeHeight=160&treeType="+treeType);
            }

            //
            // user has selected an item from the tree
            //
            function treeSelectionChanged(count)
            {
                if (count > 0)
                {
                    treeItemSelected = true;
                    enableNextButton(true);
                }
                else
                {
                    treeItemSelected = false;
                    enableNextButton(false);
                }
            }

            //
            // check if Next button should be enabled
            function checkRequiredFields()
            {
                var enableButton = true;
                // check that a Support Pack has been selected
                if (supportPack == "")
                {
                    enableButton = false;
                }

                // if all passes, then enable the Next button
                // else, disable it
                enableNextButton(enableButton);
            }


            function enableNextButton(enable)
            {
                if (enable)
                    ourButtonManager.enableButtonById('nextBtn');
                else
                    ourButtonManager.disableButtonById('nextBtn');
            }


            function nextButtonFunction()
            {
                var iframe = document.getElementById("action");
                var maintainOrder = "true";
                if (treeItemSelected == true)
                    maintainOrder = "false";

//              iframe.contentWindow.document.location.replace("UpdateSystemSoftwareSaveTreeSelections.jsp?maintainOrder="+treeItemSelected);

                var el = document.getElementById("treeItemSelected");
                if (el != null)
                    el.value = treeItemSelected;

                //document.supportPackForm.submit();
                setReloadOnError(false);

                return true;
            }

        </script>

<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxButton.dumpHeadContent(out); %>
<% ussTableViewRepositories.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>

    </head>

    <body onLoad='loadPage()' onResize='myResize()'>
    <%
    ///////////////////////////////////////////////////////////////////////////
    // IS THIS A POST?  Check data validity and redirect
    ///////////////////////////////////////////////////////////////////////////
    if (request.getMethod().equals("POST"))
    {
        // Get the selected repository from the vcRepositoryBean
        // and store it in the bean (task data object)
        String repos = vcRepositoryBean.getSelectedRowName();
        updateSystemSoftwareBean.processPost(request, repos, ussSelectionModel);
    %>
        <script>loadWizardNextStep();</script>
    <%
    }
    else
    {
    %>
        <script>
            setWizardStepText('<%= ussResourceSettings.getString("panel1.title") %>');
        </script>

        <!-- hidden <iframe> for actions -->
        <iframe id='action' name='action' style='display:none; width:100%; height:100'
                scrolling='no' marginwidth='0' frameborder='1' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
        </iframe>


        <%
        if (tableInit == VCRepositorySetup.STATUS_NO_DEVICES)
        {
        %>
            <div class="errorTextBold">
        <%
            out.println(pspResourceSettings.getString("panel2.noDevices"));
        %>
            </div>
        <%
        }
        else
        {
        int index = 0;
        boolean repositoryMissingFromDB = false;
        Object obj = updateSystemSoftwareBean.getRepository();
        if (rowToUpdate != null && !rowToUpdate.equals(""))
        {
            index = vcRepositoryBean.getIndexFromDeviceKey(onEnterSelectedDeviceKey);
        }
        else if (obj != null)
        {
            Integer devKey = null;
            if (obj instanceof String)
            {
                // Legacy IM 7 tasks will save the repository name, not device key
                String repos = (String)obj;
                if (!repos.equalsIgnoreCase(""))
                {
                    MxNode dev = null;
                    try
                    {
                     dev =
                        MxNodeController.getDefaultControllerNoEx().getNodeByNodeOrHostName((String)obj);
                    }
                    catch (MxException ex)
                    {
                    }
                    if (dev != null)
                        devKey = new Integer(dev.getDeviceKey());
                }
                else
                    devKey = new Integer(-1);
            }
            else
            {
                devKey = (Integer)obj;
            }

            if (devKey.intValue() > 0)
            {
                if (MxNodeController.getDefaultControllerNoEx().getNodeByKey(devKey) != null)
                {
                    vcRepositoryBean.selectRepositoryDeviceRow(devKey);
                    index = vcRepositoryBean.getSelectedRowNum();

                    if (index < 0)
                        obj = null;
                }
                else
                {
                    repositoryMissingFromDB = true;
                }
            }
            else
                obj = null;
        }

        if (obj == null)
        {
            index = vcRepositoryBean.getDefaultSelectRowIndex();
        }

        if (!repositoryMissingFromDB)
        {
        %>
        <!-- <table> to display 'tip' and total Devices displayed -->
        <%= vcrResourceSettings.getString("table.instructionsShort") %><br><br>
        <div class="indented">
        <table border='0' cellpadding='0' cellspacing='0' style='width:600'>
            <tr>
                <td id='totalDevs' style='width:50%' align='left' nowrap>
                    <a href="javascript:location.replace(location.href+'&rowToUpdate='+selectedRow)" title="<%= vcrResourceSettings.getString("table.lastRefreshToolTip") %>"><%= vcrResourceSettings.getString("table.lastRefresh") %></a>
                    <%= curTime.getCurrentDateTimeStringSIMFormat() %>
                </td>
            </tr>
        </table>
        <%
            ussTableViewRepositories.dumpWholeTable(out);

            vcRepositoryBean.selectRepositoryDeviceRow(index);
            pspSelectionModelRepositories.setSelectedIndex(index, true);
        %>

        <script>MxTableSetHeight("ID_MY_USS_SETUP_TABLE",105);</script>
        <script>MxTableSetWidth("ID_MY_USS_SETUP_TABLE", 600);</script>
        </div>
        <br>
        <%= vcrResourceSettings.getString("tree.header") %><b>&nbsp;<span id="repname"></span></b><br><br>

        <!-- <iframe> for catalog tree -->
        <iframe id='catalogtree' name='catalogtree' style='width:100%; height:195'
                 scrolling='no' marginwidth='12' frameborder='0' src='LoadingCatalogWait.jsp'>
        </iframe>

        <script>
        getSelectedCatalog()
        </script>

        <form id="supportPackForm" name="supportPackForm" action="UpdateSystemSoftwareCPP1.jsp" method="post">
            <input type="hidden" value="" name="treeItemSelected" id="treeItemSelected">
            <input type='hidden' id='timeStamp' name='timeStamp' value='<%=timeStamp%>'>
        </form>
        <script>
            setFormSubmitName("supportPackForm")
        </script>

        <%
        }
        else
        {
        %>
            <div class="errorTextBold">
        <%
            out.println("\n\n" + pspResourceSettings.getString("panel2.savedRepositoryNotFound"));
        %>
            </div>
        <%
        }
        }
        %>

        <script language='javascript' type='text/javascript'>
            displayTaskWizardButtons(); // display Previous/Next
            checkRequiredFields(); // check if the Next button should be enabled
        </script>
    <%
        }
        updateSystemSoftwareBean.setFirstTime(false);
    %>

<% MxHtmlUtil.dumpBodyEnd(out); %>

    </body>
</html>
