<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.MxButton"%>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="com.hp.mx.utilities.InvalidCharCheck"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    String                     timeStamp   = request.getParameter("timeStamp");
    MxTaskWizardInstance       inst        = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);
    MxTaskAndJobResourceBundle rb          = inst.getRB();
    boolean                    XWindowTool = inst.isXwindow();
    InvalidCharCheck           check       = new InvalidCharCheck();
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/cookieControl.js'></script>
        <script language='javascript' type='text/javascript'>
            //////////////////////////////////////////
            // 14 day cookie expiration date
            //////////////////////////////////////////
            var XWINDOW_COOKIE_TIMEOUT = 1000  // 1 second
                                       *   60  // 1 minute
                                       *   60  // 1 hour
                                       *   24  // 1 day
                                       *   14; // 14 days
<%
    // this dumps javascript code to help us determine if all required parameters have been satisfied.
    boolean RequiredFields = inst.dumpReqParamString(out);

    if (XWindowTool == true)
    {
        RequiredFields = true;
    }
%>
            ////////////////////////////////////////////////
            var XWindowTool    = <%=XWindowTool%>;
            var RequiredFields = <%=RequiredFields%>;
            ////////////////////////////////////////////////
            // isEmptyOrAllSpaces()
            ////////////////////////////////////////////////
            function isEmptyOrAllSpaces(str)
            {
                var badString = true;

                for (var i = 0; i < str.length; i++)
                {
                    if (str.charAt(i) != ' ')
                    {
                        badString = false;
                    }
                }

                return badString;
            }
            ////////////////////////////////////////////////
            // checkRequiredFields()
            ////////////////////////////////////////////////
            function checkRequiredFields()
            {
                var enableButtons = true;
                // loop through all required fields - check to make sure they all
                // have something in their respective <input> boxes
                for (var i = 0; i < aParam.length; i++)
                {
                    if (aParam[i] == 1)
                    {
                        if (isEmptyOrAllSpaces(document.getElementById('PARAM_' + i).value) == true)
                        {
                            enableButtons = false;
                        }
                    }
                }
                // check for the X Window field and make sure that has something in it
                if (XWindowTool == true)
                {
                    if (isEmptyOrAllSpaces(document.getElementById('XWindowLoc').value) == true)
                    {
                        enableButtons = false;
                    }
                }
                // if all passes, then enable the buttons (Next)
                // else, disable the buttons
                enableExecute(enableButtons);
            }
            ////////////////////////////////////////////////
            // enableExecute()
            ////////////////////////////////////////////////
            function enableExecute(enable)
            {
                // check to see if the "Next/Run Now" button should be enabled.  First look for
                // "Next >", if that is not found, then grab the "Run Now" & "Schedule" buttons.
                if (enable)
                {
                    ourButtonManager.enableButtonById('runNowBtn');
                    ourButtonManager.enableButtonById('scheduleBtn');
                }
                else
                {
                    ourButtonManager.disableButtonById('runNowBtn');
                    ourButtonManager.disableButtonById('scheduleBtn');
                }
            }
            ////////////////////////////////////////////////
            // loadXWindowLoc()
            ////////////////////////////////////////////////
            function loadXWindowLoc()
            {
                if (XWindowTool == false)
                {
                    return;
                }

                var control    = document.getElementById('XWindowLoc');
                var XWindowLoc = getCookie('XWindowLoc');

                // just in case we didn't get the cookie
                if (XWindowLoc != null)
                {
                    control.value = XWindowLoc;
                }
                else
                {
                    control.value = '<%=request.getRemoteHost()%>' + ':0.0';
                }

                checkRequiredFields();
            }
            ////////////////////////////////////////////////
            // setXWindowLocCookie()
            ////////////////////////////////////////////////
            function setXWindowLocCookie()
            {
                // if this is not an XWindow tool - no cookie to set
                if (XWindowTool == false)
                {
                    return;
                }

                var XWindowLoc = document.getElementById('XWindowLoc').value;
                var expdate    = new Date();

                expdate.setTime(expdate.getTime() + XWINDOW_COOKIE_TIMEOUT);

                setCookie('XWindowLoc', XWindowLoc, expdate);
            }
            ////////////////////////////////////////////////
            // setFocus()
            ////////////////////////////////////////////////
            function setFocus()
            {
                // because tools can have params & XWindow and the params
                // are displayed first, we will first check to set focus to
                // the first param, even if it is an XWindow tool
                var field = document.getElementById('PARAM_0');

                if (field == null)
                {
                    field = document.getElementById('XWindowLoc');
                }

                if ((field != null) && (field.disabled == false))
                {
                    field.focus();
                }
            }
            ////////////////////////////////////////////////
            // scheduleButtonFunction() - called when the Schedule button is clicked
            ////////////////////////////////////////////////
            function scheduleButtonFunction()
            {
                // save the X Window location value
                setXWindowLocCookie();
                // save the parameters from this page
                saveTaskDefaultParameters();
                return true;
            }
            ////////////////////////////////////////////////
            // runNowButtonFunction() - called when the runNow button is clicked
            ////////////////////////////////////////////////
            function runNowButtonFunction()
            {
                // perform the same action as if the Schedule button was clicked
                return scheduleButtonFunction();
            }
            ////////////////////////////////////////////////
            // prevButtonFunction() - called when the Prev button is clicked
            ////////////////////////////////////////////////
            function prevButtonFunction()
            {
                // perform the same action as if the Schedule button was clicked
                return scheduleButtonFunction();
            }
        </script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body onload='setFocus(), loadXWindowLoc(), taskWizardInit()'>

        <script language='javascript' type='text/javascript'>
            setWizardStepText('<%=rb.getString("SPECIFY_PARAMS")%>');
        </script>

        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("DESCRIPTION")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolDescription())%></td>
            </tr>
        </table>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("COMMENT")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolComment())%></td>
            </tr>
        </table>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("BEHAVIOR")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolBehavior())%></td>
            </tr>
        </table>
        <br>
<%
    if (inst.getToolType() == MxTaskWizardInstance.TOOL_TYPE_MSA)
    {
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("TOOL_WILL_RUN_ON")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getExecutionNode())%></td>
            </tr>
        </table>
        <br>
<%
    } // end if (inst.getToolType().equals('MSA') == true)

    if (inst.haveStdout() == true)
    {
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("STDOUTS")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=inst.getStdout()%></td>
            </tr>
        </table>
        <br>
<%
    } // end if (inst.haveStdout() == true)
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("COMMAND")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolCommand())%></td>
            </tr>
        </table>

<%  // don't show parametrs: required unless there is at least 1 parameter
    if (inst.getParameterLen() > 0)
    {
%>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("PARAMS")%>:</b></td>
            </tr>
        </table>
<%
        if (RequiredFields == true)
        {
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp</td>
                <td>
                    <font class='info'><%=rb.getString("REQ")%>&nbsp;*</font>
                </td>
            </tr>
        </table>
<%
        } // end if (inst.toolHasRequiredParams() == true)

        int params = inst.getParameterLen();

        if (params > 0)
        {
%>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
<%
            String param = null;

            for (int i = 0; i < params; i++)
            {
%>
            <tr>
                <td width='25'></td>
                <td nowrap><%=check.transformHTML(inst.getPrompt(i))%>&nbsp;:&nbsp;<% if (inst.getReqField(i) == true) { %>*<% } %></td>
                <td width='20'>&nbsp;</td>
                <td width='125'>
<%
                param = request.getParameter("PARAM_" + i);
                // if any param != null, then we're returning to this page from a failed
                // execute.  Refill the parameters given and display the error message at
                // the bottom of the page
%>
                    <input id='PARAM_<%=i%>' name='PARAM_<%=i%>' type='text' size='25' onkeyup='checkRequiredFields()'
<%
                if (param != null)
                {
                    %>value='<%= MxHtmlUtil.encodeHtmlEntities(param) %>'<%
                }
%>                  > <!-- end <input> -->
                </td>
                <td nowrap>
                    &nbsp;%<%=inst.getIndex(i)%>
                </td>
            </tr>
<%
            }  // end for (int i = 0; i < params; i++)
%>
        </table>
<%
        }  // end if (params > 0)
    }  // end if (inst.getParameterLen() > 0)

    if (XWindowTool == true)
    {
%>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("XWINDOW")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp</td>
                <td><%=rb.getString("XWINDOW_NOTE")%></td>
            </tr>
        </table>

        <br>

<%      // if we already have required parameters displaying, we don't need to
        // output 'required *' twice
        if ((inst.getParameterLen() <= 0) || (inst.toolHasRequiredParams() == false))
        {
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp</td>
                <td>
                    <font class='info'><%=rb.getString("REQ")%>&nbsp;*</font>
                </td>
            </tr>
        </table>
<%
        } // end if ((inst.getParameterLen() <= 0) || (inst.toolHasRequiredParams() == false))
%>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=rb.getString("DEV_FOR_XWIN")%>:&nbsp;*</td>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <input name='XWindowLoc' id='XWindowLoc' type='text' size='25' onkeyup='checkRequiredFields()'>
                    <font class='info'><%=rb.getString("XWIN_EG")%></font>
                </td>
            </tr>
        </table>
<%
    } // end if (inst.isXwindow() == true)
%>
        <br>
        <script language='javascript' type='text/javascript'>
            // display the buttons for this page
            displayTaskWizardButtons();
            // disable buttons on inital load only if there are required fields
            if (RequiredFields == true)
            {
                checkRequiredFields();
            }
        </script>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
    </body>
</html>
