<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="timeFiltersBean" class="com.hp.mx.portal.taskandjob.MxTimeFilters" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobMessages"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTimeFiltersInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                     timeStamp  = request.getParameter("timeStamp");
    MxTimeFiltersInstance      inst       = (MxTimeFiltersInstance)timeFiltersBean.getInstance(timeStamp);
    String                     filterName = request.getParameter("filterName");

    // delete the currently selected Task
    boolean success = inst.deleteTimeFilter();
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/timeFilters.js'></script>
    </head>

    <body>

        <table id='miniGrid' border='0' cellspacing='0' cellpadding='0' style='visibility:hidden'>
            <tr>
                <td id='filtersSelect'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <select style='width:165' id='timeFilters' size='1' onChange='selectFilter(SELECT_PAGE, <%= timeStamp %>)'>
<%
    inst.dumpTimeFilterList(out, filterName, inst.MANAGE_PAGE);
%>
                    </select>
                </td>
                <td id='filtersManage'>
                    <select style='width:165' id='timeFilters' size='11' onClick='selectFilter(MANAGE_PAGE, <%= timeStamp %>)'>
<%
    inst.dumpTimeFilterList(out, filterName, inst.MANAGE_PAGE);
%>
                    </select>
                </td>
            </tr>
        </table>

        <script language='javascript' type='text/javascript'>
<%
    inst.dumpDeletableFilterArray(out);
%>
            // if we fail to delete the Task - we can re-enable the "Delete" button
            // otherwise, leave it disabled until the next has ben selected
            if (<%= success %> == false)
            {
<%
                MxTaskAndJobMessages msg = inst.getMessages();
%>
                // pop-up error message
                alert("<%= msg.getMessage() %>");
                parent.ourButtonManager.enableButtonById('deleteFilter');
            }
            else // update the selections with the deleted Time Filter
            {
                // HERE - we will only re-select the Time Filter on the Select Time Filter
                // page if the Select Time Filter page has the Time Filter just deleted
                // selected
                var tdDest = parent.document.getElementById('filters');
                var tdSrc  = document.getElementById('filtersManage');
                tdDest.innerHTML = tdSrc.innerHTML;
                parent.selectFilter(MANAGE_PAGE, <%= timeStamp %>);

                // copy the updated filter list to the Select Time Filter page
                var iframe = parent.parent.document.getElementById('displayTimeFilters');
                tdDest     = iframe.contentWindow.document.getElementById('filters');
                tdSrc      = document.getElementById('filtersSelect');
                tdDest.innerHTML = tdSrc.innerHTML;

                // copy over new Deleteable Array
                parent.builtIns = builtIns;

                // select the Filter on the Select Filter page
                iframe.contentWindow.selectFilter(SELECT_PAGE, <%= timeStamp %>);

                // set the currently (newly) selected Time Filter page behavior
                // pass 'true' so scrollTop() is not called
                parent.closeTimeFilter(true);

                var select    = parent.document.getElementById('timeFilters');
                var selection = select.value;
                parent.checkBuiltIns(selection);
            }
        </script>

    </body>
</html>
