<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="timeFiltersBean" class="com.hp.mx.portal.taskandjob.MxTimeFilters" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTimeFiltersInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                     timeStamp = request.getParameter("timeStamp");
    MxTimeFiltersInstance      inst      = (MxTimeFiltersInstance)timeFiltersBean.getInstance(timeStamp);
    MxTaskAndJobResourceBundle rb        = inst.getRB();
    String                     editMode  = request.getParameter("editMode");

    inst.setEditMode(Integer.parseInt(editMode));
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%= MxOptions.URL_BASE %>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/timeFilters.js'></script>
    </head>

    <body>

        <table id='miniGrid' border='0' cellspacing='0' cellpadding='0' style='visibility:hidden'>
            <tr>
                <td id='fullTimeFilterGrid' style='width:100%' nowrap>
<%
    inst.drawTimeFilterFullGrid(inst.BLANK_PAGE, out);
%>
                </td>
            </tr>
        </table>

        <script language='javascript' type='text/javascript'>
            var td     = null;
            var tdDest = null;
            var tdSrc  = null;
            var error  = false;
            // check to see if this Time Filter is in use by a ScheduleObject.  If so, warn the user that
            // editing this Time Filter could have undisirable affects on the Task's schedule
            if (<%= editMode %> == EDIT_MODE_EDIT)
            {
                if (<%= inst.isSelectedTimeFilterInUse() %> == true)
                {
<%
                    StringBuffer msg = new StringBuffer(200);
                    msg.append(rb.getString("ERROR_IN_USE_1"));
                    msg.append(" '");
                    msg.append(inst.getSelectedTimeFilterName(inst.MANAGE_PAGE));
                    msg.append("' ");
                    msg.append(rb.getString("ERROR_IN_USE_2"));
%>
                    var answer = confirm("<%= msg.toString() %>");
                    error = true;

                    if (answer == true)
                    {
                        enableEdit();
                    }
                }
            }

            // populate the Time Filter name with "New Time Filter 1"
            if (<%= editMode %> == EDIT_MODE_NEW)
            {
                td = parent.document.getElementById('filterName');
                td.value = '<%= inst.getUniqueFilterName() %>';
                // enable the control
                parent.document.getElementById('filterName').readOnly = false;

                // populate time filter with all selected times NEW ONLY
                tdDest = parent.document.getElementById('fullTimeFilterGrid');
                tdSrc  = document.getElementById('fullTimeFilterGrid');
                tdDest.innerHTML = tdSrc.innerHTML;
            }

            // append X the Time Filter name
            if (<%= editMode %> == EDIT_MODE_COPY)
            {
                td = parent.document.getElementById('filterName');
                td.value = '<%= inst.getUniqueFilterNameForSelected() %>';
                // enable the control
                parent.document.getElementById('filterName').readOnly = false;

            }

            if (error == false)
            {
                enableEdit();
            }

            ///////////////////////////
            // enabledEdit()
            ///////////////////////////
            function enableEdit()
            {
                // allow editing the grid
                parent.document.getElementById('bigGridTable').className = 'chicklet-td';
                parent.editMode = true;

                // enable the Apply and OK buttons
                parent.ourButtonManager.enableButtonById('applyBtn');
                parent.ourButtonManager.enableButtonById('okBtn');

                // disable all but the new Task button
                parent.ourButtonManager.disableButtonById('editFilter');
                parent.ourButtonManager.disableButtonById('copyFilter');
                parent.ourButtonManager.disableButtonById('deleteFilter');
            }
        </script>
    </body>
</html>
