<%
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/taskandjob/replicateAgentCfgParamTree.jsp,v $
// $Revision: 1.32 $
// $Date: 2005/06/03 21:05:38 $
//
%>
<%@ pageinfo="Replicate Agent Settings - Parameter Tree" %>

<%@ page import="javax.swing.tree.DefaultMutableTreeNode" %>
<%@ page import="javax.swing.tree.DefaultTreeModel" %>
<%@ page import="javax.swing.tree.TreeModel" %>
<%@ page import="javax.swing.tree.TreePath" %>
<%@ page import="java.util.*" %>
<%@ page import="com.hp.mx.html.core.MxTreeUtil" %>
<%@ page import="com.hp.mx.portal.ui.*" %>

<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="gcBean" class="com.hp.mx.portal.taskandjob.GroupCfgBean" scope="session"/>
<jsp:useBean id="gcBundle" class="com.hp.mx.portal.res.MxResourceBean" scope="session" />
<jsp:useBean id="gcTreeView" class="com.hp.mx.html.tree.MxTreeView" scope="session" />
<jsp:useBean id="gcTreeExpansionModel" class="com.hp.mx.html.tree.MxDefaultTreeExpansionModel" scope="session" />
<jsp:useBean id="gcTreeComponent" class="com.hp.mx.html.tree.MxTreeController" scope="session" />
<jsp:useBean id="gcTreeSelectionModel" class="com.hp.mx.html.tree.MxTreeSelectionModel" scope="session" />
<%!
    public String paramTreeDomId = "HMMO_TREE";
    public int    numSelections  = 0;
%>
<%
    // REQUIRED: This line is required by Tomcat for i18n support.
    MxBean.jspInit(request, response);

    // REQUIRED: Abort the page & redirect if the session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    gcBundle.init(loginBean, "ReplicateAgentSettings");

    // Set up the tree for the first time
    if (gcTreeComponent.isFirstTime())
    {
        gcTreeView.setId(paramTreeDomId);
        gcTreeView.setUrlHandler(request.getRequestURI());
        gcTreeView.setOnChange("treeNodeSelected");

        gcTreeComponent.setLocale(loginBean.getLocale());
        gcTreeComponent.setSelectionModel(gcTreeSelectionModel);
        gcTreeComponent.setTreeView(gcTreeView);

        gcTreeExpansionModel.setExpanded("ID_PREOPEN", true);
        gcTreeSelectionModel.setExtendedSelectionMode(gcTreeSelectionModel.MULTI_CONTAINER_SELECTION);
    }

%>
<%
    // SET THE EDIT MODE IN THE BEAN
    String refreshMode = request.getParameter("refresh");
    gcBean.setRefreshMode(false);
    if (refreshMode != null)
    {
       gcBean.setRefreshMode(refreshMode.equals("1"));
    }

    String editMode = request.getParameter("edit");
    gcBean.setEditMode(false);
    if (editMode != null)
    {
       gcBean.setEditMode(editMode.equals("1"));
    }

    // GET THE TREE DATA
    DefaultMutableTreeNode theRoot = gcBean.getXmlTreeForNode();
    if (theRoot != null)
    {
        %>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="left"><% gcTreeView.dumpExpansionButtons(out); %></td>
            <td align="right">
                <a href="javascript:refreshTree()"><%= gcBundle.getString("tree.label.lastRefresh") %></a>:
                <jsp:getProperty name="gcBean" property="refreshDate" />
            </td>
        </tr>
        </table>
        <div id="srcParamTree" style="width:99%; overflow:auto;height:175; border-width:1px; border-style:solid; border-color:#000000;">
        <%

        // There is a valid tree
        TreeModel myGcTreeModel = new DefaultTreeModel(theRoot);
        gcTreeComponent.setTreeModel(myGcTreeModel);

        // PRE-SELECT ANY TREE NODES IF WE NEED TO
        gcTreeSelectionModel.clearSelection();  // clear selections
        gcTreeExpansionModel.clearExpansion();  // Clear expansions
        gcTreeComponent.setExpansionModel(gcTreeExpansionModel);
        Vector selectedTreeNodes = gcBean.getTreeSelectionData();

        numSelections = (selectedTreeNodes == null) ? 0 : selectedTreeNodes.size();

        if (selectedTreeNodes != null)
        {
            for (int i=0; i<selectedTreeNodes.size(); i++)
            {
                String treeId = (String)selectedTreeNodes.get(i);
                TreePath path = MxTreeUtil.getPathFromId(myGcTreeModel, treeId);
                gcTreeSelectionModel.addSelectionPath(path);
                gcTreeComponent.expandPathUpToId(treeId);
            }
        }

        gcTreeView.dumpHeadContent(out);
        gcTreeView.dumpTree(out);
        out.println("<script>ourButtonManager.enableButtonById('runNowBtn')</script>"); // enable the OK button

        %>
        </div>
        <form action="replicateAgentCfgParams.jsp" method="post" name="gcTreeForm" id="gcTreeForm">
              <input type="checkbox" value="" id="wakeOnLan" name="wakeOnLan" <%= gcBean.getWakeSystem() ? "checked" : "" %>><label for="wakeOnLan"><%= gcBundle.getString("page.paramPick.cb.wol") %></label>
              <input type='hidden' id='timeStamp' name='timeStamp' value='<%=request.getParameter("timeStamp")%>'>
        </form>
        <%
    }
    else
    {
        // Not a valid catalog tree, find the error
        gcBean.displayErrorMessagesInHtml(out);
        out.println("<script>treeError = true;</script>"); // disable the RUN NOW button
        out.println("<script>ourButtonManager.disableButtonById('scheduleBtn')</script>"); // disable the OK button
        out.println("<script>ourButtonManager.disableButtonById('runNowBtn')</script>"); // disable the OK button
    }
%>

<script language="javascript" type="text/javascript">
    var numSelected = <%=numSelections%>;
</script>

<BR>
