<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.MxButton"%>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobMessages"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxDateAndTime"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="java.util.Calendar"%>
<%@ page import="java.util.Date"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                     timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance       inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);
    MxTaskAndJobResourceBundle rb        = inst.getRB();

    // if err=1 then display the error message
    int    errorNum = MxTaskWizardInstance.NO_SAVE_ERROR;
    String error    = request.getParameter("err");

    if (error != null)
    {
        errorNum = Integer.parseInt(error);
    }

    String taskName = request.getParameter("taskName");

    if ((taskName == null) || (taskName.equalsIgnoreCase("") == true))
    {
        taskName = inst.getUniqueTaskName();
    }

    // add 5 minutes to the default "run once" time - this is to allow time for the
    // user to schedule the task without the "time is in the past" error message
    Calendar cal = Calendar.getInstance(loginBean.getTimeZone(), loginBean.getLocale());
    cal.add(Calendar.MINUTE, 5);

    MxDateAndTime dateAndTime = new MxDateAndTime(loginBean.getLocale(),
                                                  loginBean.getTimeZone(),
                                                  cal.getTime());

    String todaysDate = dateAndTime.getDateString();
    String todaysTime = dateAndTime.getTimeString();

    // save the value of the Owner of the Task - select this user in user drop-down (if editing)
    String owner = request.getParameter("owner");
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/timeFilters.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript'>
            // to allow scrollbars to appear when horizontal scrolling is needed
            var minWidth       = 0;
            // error messages for the user
            var errorTaskName1 = '<%=rb.getString("ERROR_TASK_NAME_1")%>';
            var errorTaskName2 = '<%=rb.getString("ERROR_TASK_NAME_2")%>';
            var errorTaskName3 = '<%=rb.getString("ERROR_TASK_NAME_3")%>';
            var errorInterval  = '<%=rb.getString("ERROR_INTERVAL")%>';
            var errorMaxRun    = '<%=rb.getString("ERROR_MAX_RUN")%>';
            var errorDate      = '<%=rb.getString("ERROR_DATE")%>';
            var errorDOM       = '<%=rb.getString("ERROR_DOM")%>';
            var errorTime      = '<%=rb.getString("ERROR_TIME")%>';
            var disableOn      = (<%=request.getParameter("disableTask")%> != null);
            // When we load, we'll set our helpID.  If the User goes BACK,
            // then we'll set the helpID to that of the Task Wizard: taskWizardBean.getFirstTaskWizardHelpID()
            MxPortalWorkspaceSetHelpTopic('<%= taskWizardBean.SCHEDULE_TASK_HELP_ID %>');
            // The name of the current user
            var userDomain = '<%= loginBean.getMxUser().getName().getDomainName() %>';
            var userName   = '<%= loginBean.getMxUser().getName().getSimpleName() %>';
            var thisUser   = '';

            if (userDomain == '')
            {
                thisUser = userName;
            }
            else
            {
                thisUser = userDomain + '\\' + userName;
            }
            /////////////////////////////////////////////////
            // custom Previous button function - we will save this pages
            // values
            /////////////////////////////////////////////////
            function prevButtonFunction()
            {
                MxPortalWorkspaceSetHelpTopic('<%= inst.getToolHelpID() %>');
                saveScheduleTaskParams(false);

                return true;
            }
            /////////////////////////////////////////////////
            // refineMeetsCriteria()
            /////////////////////////////////////////////////
            function refineMeetsCriteria()
            {
                // clear the refinement center
                clearScheduleDisplays();
                closeManageFilters();
                // set the "refine schedule" text to enabled
                document.getElementById("refine").className = "enabled-text";
                // populate "timeFilterTD" with the time filter information
                populateTimeFilterRefinement(1, true);
                // disable the "run when CMS starts" option
                enableRunWhenCMSStarts(false);
                enableRunNow(false);
            }
            /////////////////////////////////////////////////
            // populateTimeFilterRefinement()
            /////////////////////////////////////////////////
            function populateTimeFilterRefinement(cellNum, show)
            {
                var tdDest = document.getElementById('refine' + cellNum);
                if (show == false)
                {
                    tdDest.innerHTML = '';
                    closeManageFilters();
                }
                else if (tdDest.innerHTML == '')
                {
                    tdDest.innerHTML = drawTimeFilterTableRET('<%=request.getParameter("filterName")%>');
                }
            }
            /////////////////////////////////////////////////
            // refineNoLongerMeetsCriteria()
            /////////////////////////////////////////////////
            function refineNoLongerMeetsCriteria()
            {
                // currently the same refinement as "meets criteria"
                refineMeetsCriteria();
            }
            /////////////////////////////////////////////////
            // fillSpacer()
            /////////////////////////////////////////////////
            function fillSpacer(show)
            {
                var e = document.getElementById('spacer');
                if (show == true)
                {
                    e.innerHTML = '<input type="text" style="visibility:hidden">';
                }
                else
                {
                    e.innerHTML = '';
                }
            }
            /////////////////////////////////////////////////
            // displayPeriodical()
            /////////////////////////////////////////////////
            function displayPeriodical()
            {
                clearScheduleDisplays();
                closeManageFilters();

                document.getElementById("refine").className = "enabled-text";

                var td = document.getElementById("refine1");

                td.innerHTML = "<table border='0' cellspacing='0' cellpadding='0' style='width:100%'>" +
                               "<tr>" +
                               "<td nowrap><%=rb.getString("EVERY")%>&nbsp;</td>" +
                               "<td nowrap><input id='interval' type='text' size='1' value='1' maxlength='3'></td>" +
                               "<td nowrap>" +
                               "<select id='intervalType' onChange='displayMorePeriodical()'>" +
                               "<option value='0'><%=rb.getString("SCHED_MINUTES")%></option>" +
                               "<option selected value='1'><%=rb.getString("SCHED_HOURS")%></option>" +
                               "<option value='2'><%=rb.getString("SCHED_DAYS")%></option>" +
                               "<option value='3'><%=rb.getString("SCHED_WEEKS")%></option>" +
                               "<option value='4'><%=rb.getString("SCHED_MONTHS")%></option>" +
                               "</select>&nbsp;" +
                               "</td>" +
                               "<td id='morePeriodical' nowrap style='width:100%' rowspan='2' valign='top'></td>" +
                               "</tr>" +
                               "<tr><td id='spacer' colspan='3'></td></tr>" +
                               "</table>";

                // place option in runOnce td for "run until" date and time
                td = document.getElementById("refine2");

                td.innerHTML = "<table border='0' cellspacing='0' cellpadding='0'>" +
                               "<tr>" +
                               "<td nowrap><input id='runUntil' type='checkbox'>&nbsp;</td>" +
                               "<td nowrap><%=rb.getString("RUN_UNTIL")%>&nbsp;</td>" +
                               "<td nowrap><input id='runUntilDate' type='text' size='7' value='<%=todaysDate%>' maxlength='10'></td>" +
                               "<td nowrap>&nbsp;<%=rb.getString("AT")%>&nbsp;</td>" +
                               "<td nowrap><input id='runUntilTime' type='text' size='4' value='<%=todaysTime%>' maxlength='5'></td>" +
                               "<td nowrap>" +
<%
    if (dateAndTime.getUseAMPM() == true)
    {
%>
                               "<select id='ampmRunUntil'>" +
                               "<option <%if (dateAndTime.getIsTimeAM() == true){%>selected<%}%> value='AM'><%=rb.getString("AM")%></option>" +
                               "<option <%if (dateAndTime.getIsTimeAM() != true){%>selected<%}%> value='PM'><%=rb.getString("PM")%></option>" +
                               "</select>" +
<%
    }
%>
                               "</td>" +
                               "</tr>" +
                               "</table>";

                // place option in runManual td for "run N number of times"
                td = document.getElementById("refine3");

                td.innerHTML = "<table border='0' cellspacing='0' cellpadding='0' style='width:100%'>" +
                               "<tr>" +
                               "<td nowrap><input id='maxRun' type='checkbox'>&nbsp;</td>" +
                               "<td nowrap><%=rb.getString("RUN_A_MAX")%>&nbsp;</td>" +
                               "<td nowrap><input id='maxRunValue' type='text' size='1' value='1' maxlength='3'></td>" +
                               "<td nowrap style='width:100%'>&nbsp;<%=rb.getString("SCHED_TIMES")%></td>" +
                               "</tr>" +
                               "</table>";

                // populate "timeFilterTD" with the time filter information
                //
                populateTimeFilterRefinement(4, true);
                // enable the "run on startup option"
                enableRunWhenCMSStarts(true);
                enableRunNow(true);
            }
            /////////////////////////////////////////////////
            // displayRunOnce()
            /////////////////////////////////////////////////
            function displayRunOnce()
            {
                // clear the display
                clearScheduleDisplays();
                closeManageFilters();

                document.getElementById("refine").className = "enabled-text";

                var td = document.getElementById("refine1");

                td.innerHTML = "<table border='0' cellspacing='0' cellpadding='0'>" +
                               "<tr>" +
                               "<td nowrap><%=rb.getString("SCHED_ON")%>&nbsp;</td>" +
                               "<td nowrap><input id='runOnceDate' type='text' size='7' value='<%=todaysDate%>' maxlength='10'></td>" +
                               "<td nowrap>&nbsp;<%=rb.getString("AT")%>&nbsp;</td>" +
                               "<td nowrap><input id='runOnceTime' type='text' size='4' value='<%=todaysTime%>' maxlength='5'></td>" +
                               "<td nowrap>" +
<%
    if (dateAndTime.getUseAMPM() == true)
    {
%>
                               "<select id='ampmRunOnce'>" +
                               "<option <%if (dateAndTime.getIsTimeAM() == true){%>selected<%}%> value='AM'><%=rb.getString("AM")%></option>" +
                               "<option <%if (dateAndTime.getIsTimeAM() != true){%>selected<%}%> value='PM'><%=rb.getString("PM")%></option>" +
                               "</select>" +
<%
    }
%>
                               "</td>" +
                               "</tr>" +
                               "</table>";

                // disable the "run on startup" option
                enableRunWhenCMSStarts(false);
                enableRunNow(true);
            }
            /////////////////////////////////////////////////
            // displayMorePeriodical()
            /////////////////////////////////////////////////
            function displayMorePeriodical()
            {
                var td = document.getElementById("morePeriodical");

                var select    = document.getElementById("intervalType");
                var listIndex = select.value;

                switch (listIndex)
                {
                    case '0':  // minutes
                        // enable the Time Filter option
                        populateTimeFilterRefinement(4, true);
                        td.innerHTML = "&nbsp;";
                        fillSpacer(false);
                        break;
                    case '1':  // hours
                        // enable the Time Filter option
                        populateTimeFilterRefinement(4, true);
                        td.innerHTML = "&nbsp;";
                        fillSpacer(false);
                        break;
                    case '2':  // days
                        // enable the Time Filter option
                        populateTimeFilterRefinement(4, true);
                        td.innerHTML = "<%=rb.getString("AT")%>&nbsp;<input id='timeDays' type='text' size='4' value='<%=todaysTime%>' maxlength='5'>" +
<%
    if (dateAndTime.getUseAMPM() == true)
    {
%>
                                       "<select id='ampmDays'>" +
                                       "<option <%if (dateAndTime.getIsTimeAM() == true){%>selected<%}%> value='AM'><%=rb.getString("AM")%></option>" +
                                       "<option <%if (dateAndTime.getIsTimeAM() != true){%>selected<%}%> value='PM'><%=rb.getString("PM")%></option>" +
                                       "</select>" +
<%
    }
%>
                                       "";
                        fillSpacer(false);
                        break;
                    case '3':  // weeks
                        // disable the Time Filter option
                        populateTimeFilterRefinement(4, false);
                        td.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                       "<tr>" +
                                       "<td align='right' nowrap><%=rb.getString("SCHED_LOWER_ON")%></td>" +
                                       "<td style='width:100%' nowrap>&nbsp;<select id='DOW' size='1'>" +
                                       "<option value='1'><%=rb.getString("SUNDAY")%></option>" +
                                       "<option value='2'><%=rb.getString("MONDAY")%></option>" +
                                       "<option value='3'><%=rb.getString("TUESDAY")%></option>" +
                                       "<option value='4'><%=rb.getString("WEDNESDAY")%></option>" +
                                       "<option value='5'><%=rb.getString("THURSDAY")%></option>" +
                                       "<option value='6'><%=rb.getString("FRIDAY")%></option>" +
                                       "<option value='7'><%=rb.getString("SATURDAY")%></option>" +
                                       "</select></td>" +
                                       "</tr>" +
                                       "<tr>" +
                                       "<td align='right' nowrap><%=rb.getString("AT")%></td>" +
                                       "<td nowrap>&nbsp;<input id='timeWeeks' type='text' size='4' value='<%=todaysTime%>' maxlength='5'>" +
<%
    if (dateAndTime.getUseAMPM() == true)
    {
%>
                                       "<select id='ampmWeeks'>" +
                                       "<option <%if (dateAndTime.getIsTimeAM() == true){%>selected<%}%> value='AM'><%=rb.getString("AM")%></option>" +
                                       "<option <%if (dateAndTime.getIsTimeAM() != true){%>selected<%}%> value='PM'><%=rb.getString("PM")%></option>" +
                                       "</select>" +
<%
    }
%>
                                       "</td>" +
                                       "</tr>" +
                                       "</table>";
                        fillSpacer(true);
                        break;
                    case '4':  // months
                        // disable the Time Filter option
                        populateTimeFilterRefinement(4, false);
                        td.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                       "<tr>" +
                                       "<td align='right' nowrap><%=rb.getString("SCHED_ON_DAY")%></td>" +
                                       "<td style='width:100%' nowrap>&nbsp;<input id='DOM' type='text' size='1' maxlength='2' value='1'></td>" +
                                       "</tr>" +
                                       "<tr>" +
                                       "<td align='right' nowrap><%=rb.getString("AT")%></td>" +
                                       "<td nowrap>&nbsp;<input id='timeMonths' type='text' size='4' value='<%=todaysTime%>'>" +
<%
    if (dateAndTime.getUseAMPM() == true)
    {
%>
                                       "<select id='ampmMonths'>" +
                                       "<option <%if (dateAndTime.getIsTimeAM() == true){%>selected<%}%> value='AM'><%=rb.getString("AM")%></option>" +
                                       "<option <%if (dateAndTime.getIsTimeAM() != true){%>selected<%}%> value='PM'><%=rb.getString("PM")%></option>" +
                                       "</select>" +
<%
    }
%>
                                       "</td>" +
                                       "</tr>" +
                                       "</table>";
                        fillSpacer(true);
                        break;
                }
            }
            /////////////////////////////////////////////////
            // populateScheduleChoices()
            /////////////////////////////////////////////////
            function populateScheduleChoices(hasListsSelected)
            {
                var e      = null;
                var choice = 1;

                e = document.getElementById("choice" + choice++);

                if (e != null)
                {
                    e.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                  "<tr>" +
                                  "<td valign='top' nowrap>&nbsp;<input type='radio' name='scheduleChoice' id='runPeriodicallyBtn' onClick='displayPeriodical()'>&nbsp;</td>" +
                                  "<td style='width:100%'><font id='runPeriodicallyText'>&nbsp;<%=rb.getString("SCHED_PERIODIC")%></font></td>" +
                                  "</tr>" +
                                  "</table>";
                }

                e = document.getElementById("choice" + choice++);

                if (e != null)
                {
                    e.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                  "<tr>" +
                                  "<td valign='top' nowrap>&nbsp;<input type='radio' name='scheduleChoice' id='runOnceBtn' onClick='displayRunOnce()'>&nbsp;</td>" +
                                  "<td style='width:100%'><font id='runOnceText'>&nbsp;<%=rb.getString("SCHED_ONCE")%></font></td>" +
                                  "</tr>" +
                                  "</table>";
                }

                // if the user selected a List, then display the List criteria choices
                if (hasListsSelected == true)
                {
                    e = document.getElementById("choice" + choice++);

                    if (e != null)
                    {
                        e.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                      "<tr>" +
                                      "<td valign='top' nowrap>&nbsp;<input type='radio' name='scheduleChoice' id='meetCriteriaBtn' onClick='refineMeetsCriteria()'>&nbsp;</td>" +
                                      "<td style='width:100%'><font id='meetCriteriaText'>&nbsp;<%=rb.getString("LIST_ADD")%></font></td>" +
                                      "</tr>" +
                                      "</table>";
                    }

                    e = document.getElementById("choice" + choice++);

                    if (e != null)
                    {
                        e.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                      "<tr>" +
                                      "<td valign='top' nowrap>&nbsp;<input type='radio' name='scheduleChoice' id='notMeetCriteriaBtn' onClick='refineNoLongerMeetsCriteria()'>&nbsp;</td>" +
                                      "<td style='width:100%'><font id='notMeetCriteriaText'>&nbsp;<%=rb.getString("LIST_REMOVE")%></font></td>" +
                                      "</tr>" +
                                      "</table>";
                    }
                }

                // "no schedule" will also give the option of "run now" on the next line
                e = document.getElementById("choice" + choice++);

                if (e != null)
                {
                    e.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' style='width:100%'>" +
                                  "<tr>" +
                                  "<td valign='top' nowrap>&nbsp;<input type='radio' name='scheduleChoice' id='manualBtn' onClick='displayNotScheduled()'>&nbsp;</td>" +
                                  "<td style='width:100%'><font id='manualText'>&nbsp;<%=rb.getString("NOT_SCHEDULED")%></font></td>" +
                                  "</tr>" +
                                  "</table>";
                }
            }

            ////////////////////////////////////////////////
            // myIframeSet()
            ////////////////////////////////////////////////
            function myIframeSet()
            {
                var windowWidth = MxPortalGetWorkspaceFrame().offsetWidth - NETSCAPE_SCROLLBAR_WIDTH;
                var newWidth    = (this.minWidth >= windowWidth) ? this.minWidth : '100%';
                // set width of our < iframe >
                parent.document.getElementById(this.name).style.width = newWidth;

                setTimeout('myIframeSet()', RESIZE_TIMEOUT);
            }
            /////////////////////////////////////////////////
            // myOnLoad()
            /////////////////////////////////////////////////
            function myOnLoad()
            {
                taskWizardInit();

                var element   = document.getElementById('scheduleTable');
                this.minWidth = element.offsetWidth;
                // set our results table to 100% to use all available space
                element.style.width = '100%';

                myIframeSet();
            }
            /////////////////////////////////////////////////
            // myOnUnload()
            /////////////////////////////////////////////////
            function myOnUnload()
            {
                // set width of our < iframe >
                parent.document.getElementById(this.name).style.width = '100%';
            }
        </script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body marginwidth='0'
          marginheight='0'
          topmargin='0'
          bottommargin='0'
          leftmargin='0'
          rightmargin='0' onLoad='myOnLoad()' onUnload='myOnUnload()'>

        <script language='javascript' type='text/javascript'>
            setWizardStepText('<%=rb.getString("SCHED_TASK")%>');
        </script>

        <table id='scheduleTable' border='0' cellspacing='0' cellpadding='0'>
            <tr>
                <td valign='top' nowrap>
                    <b><%=rb.getString("SCHED_TASK_NAME")%>:</b>
                    <input id='taskName' type='text' size='30' value='<%=taskName%>'>
                </td>
                <td rowspan='12' nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td colspan='2' align='right' valign='top' nowrap>
<%
    inst.dumpUserSelectBox(out, owner);
%>
                </td>
            </tr>
            <tr>
                <td nowrap>&nbsp;</td>
                <td colspan='2' nowrap>&nbsp;</td>
            </tr>
            <tr>
                <td nowrap><b><%=rb.getString("SCHED_RUN")%></b></td>
                <td valign='bottom' colspan='2' nowrap>
                    <font id='refine' class='disabled-text'><b><%=rb.getString("SCHED_REFINE")%>:</b></font>
                </td>
            </tr>
            <tr>
                <td id='choice1' align='left' valign='top' nowrap>&nbsp;</td>
                <td colspan='2' rowspan='7' valign='top' class='schedule-td' nowrap>
                    <table border='0' cellspacing='0' cellpadding='3' style='width:100%'>
                        <tr>
                            <td id='refine1' nowrap></td>
                        </tr>
                        <tr>
                            <td id='refine2' nowrap></td>
                        </tr>
                        <tr>
                            <td id='refine3' nowrap></td>
                        </tr>
                        <tr>
                            <td id='refine4' nowrap></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td id='choice2' align='left' nowrap>&nbsp;</td>
            </tr>
            <tr>
                <td id='choice3' align='left' nowrap>&nbsp;</td>
            </tr>
            <tr>
                <td id='choice4' align='left' nowrap>&nbsp;</td>
            </tr>
            <tr>
                <td id='choice5' align='left' nowrap>&nbsp;</td>
            </tr>
            <tr>
                <td id='choice6' align='left' style='height:65' nowrap>&nbsp;</td>
            </tr>
            <tr>
                <td nowrap><font class='enabled-text' id='inAdditionText'><b><%=rb.getString("SCHED_IN_ADD")%>:</b></font></td>
            </tr>
            <tr>
                <td>
                    <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
                        <tr>
                            <td valign='top' nowrap>&nbsp;<input type='checkbox' id='runOnStartup'>&nbsp;</td>
                            <td style='width:100%'><font class='enabled-text' id='runOnStartupText'><%=rb.getString("SCHED_STARTUP")%></font></td>
                        </tr>
                    </table>
                </td>
                <td colspan='2'>&nbsp;</td>
            </tr>
            <tr>
                <td valign='top' nowrap>
                    <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
                        <tr>
                            <td valign='top' nowrap>&nbsp;<input type='checkbox' id='runNow'>&nbsp;</td>
                            <td style='width:100%'><font class='enabled-text' id='runNowText'><%=rb.getString("SCHED_NOW")%></font></td>
                        </tr>
                    </table>
                </td>
                <td valign='top' nowrap>
                    <table border='0' cellpadding='0' cellspacing='0' style='width:100%'>
                        <tr>
                            <td valign='top' nowrap><input type='checkbox' id='disableTask'>&nbsp;</td>
                            <td style='width:100%' nowrap>
                                <font class='enabled-text' id='disableTaskText'><%=rb.getString("SCHED_DISABLE")%></font>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </td>
                <td align='right' nowrap>
                    <script language='javascript' type='text/javascript'>
                        // display the Wizard buttons for this page
                        displayTaskWizardButtons();
                    </script>
                </td>
            </tr>
        </table>

        <script language='javascript' type='text/javascript'>
            // draw the IFrame for the "manage time filters" file
            drawTimeFilterIFrame();
<%
    int     selType      = inst.getSelectionType();
    boolean listSelected = ((selType != MxTaskWizardInstance.NO_SELECTION) && (selType != MxTaskWizardInstance.NODE_SELECTION));
%>
            populateScheduleChoices(<%= listSelected %>);
<%
    inst.dumpCheckBoxSelections(request, out);
    inst.dumpSelectedScheduleTypeRadioButton(request, out);
%>
            //
            // if error - show error
            //
            if (<%= errorNum %> != <%= MxTaskWizardInstance.NO_SAVE_ERROR %>)
            {
<%
    MxTaskAndJobMessages msg = inst.getMessages();
%>
                // pop-up error message
                alert("<%= msg.getMessage() %>");

                if ((<%= errorNum %> == <%= MxTaskWizardInstance.LIST_SAVE_ERROR %>) ||
                    (<%= errorNum %> == <%= MxTaskWizardInstance.NODE_SAVE_ERROR %>))
                {
                    // start from the beginning - which is usually where the TSP is
                    // may need to enhance to know where the TSP page is - if at all...
                    jumpToWizardStep(1);
                }
            }
        </script>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
    </body>
</html>
