<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="timeFiltersBean" class="com.hp.mx.portal.taskandjob.MxTimeFilters" scope="session"/>

<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTimeFiltersInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext) == true)
    {
        return;
    }

    String                     timeStamp  = request.getParameter("timeStamp");
    MxTimeFiltersInstance      inst       = (MxTimeFiltersInstance)timeFiltersBean.getInstance(timeStamp);

    if (inst == null)
    {
        return;
    }

    MxTaskAndJobResourceBundle rb         = inst.getRB();

    String                     targetPage = request.getParameter("page");
    int                        filterPage = Integer.parseInt(targetPage);
    String                     selection  = request.getParameter("selection");

    if (selection != null)
    {
        inst.selectTimeFilter(selection, targetPage);
    }
%>

<html>
    <head>
        <title></title>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%= MxOptions.URL_BASE %>/taskandjob/js/timeFilters.js'></script>
    </head>

    <body>

        <table id='miniGrid' border='0' cellspacing='0' cellpadding='0' style='visibility:hidden'>
            <tr>
                <td id='grid1'>
<%
    inst.dumpTimeFilterMiniGrid(filterPage, out, targetPage.equals("2") ? false : true);
%>
                </td>
                <td id='fullTimeFilterGrid' style='width:100%' nowrap>
<%
    inst.drawTimeFilterFullGrid(MxTimeFiltersInstance.MANAGE_PAGE, out);
%>
                </td>
            </tr>
        </table>

        <script language='javascript' type='text/javascript'>
            // new grid picture
            var tdDest       = parent.document.getElementById('grid1');
            var tdSrc        = document.getElementById('grid1');
            tdDest.innerHTML = tdSrc.innerHTML;

            // new popup javascript
            tdDest           = parent.document.getElementById('timeFilterPopup');
            if (tdDest != null)
            {
                tdDest.innerHTML = "<a href='javascript:displayPopupTimeFilter(\"<%= inst.getDisplayableTimeFilterName(filterPage) %>\")'><%= rb.getString("VIEW_FILTER") %></a>";
            }

            parent.selectedTimeFilterName            = '<%= inst.getSelectedTimeFilterName(filterPage) %>';
            parent.selectedDisplayableTimeFilterName = '<%= inst.getDisplayableTimeFilterName(filterPage) %>';
            parent.selectedTimeFilterIndex           = '<%= inst.getSelectedTimeFilterIndex(filterPage) %>';

            // if we were called from the Manage Page, thenu update the Name Field
            // and the Full Time Filter Grid
            if (<%= filterPage %> == MANAGE_PAGE)
            {
                parent.checkBuiltIns(<%= selection  %>);

                var text   = parent.document.getElementById('filterName');
                text.value = "<%= inst.getDisplayableTimeFilterName(filterPage) %>";

                tdDest = parent.document.getElementById('fullTimeFilterGrid');
                tdSrc  = document.getElementById('fullTimeFilterGrid');

                tdDest.innerHTML = tdSrc.innerHTML;
            }
        </script>

    </body>
</html>
