<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.MxHtmlUtil"%>
<%@ page import="com.hp.mx.html.table.MxTableController"%>
<%@ page import="com.hp.mx.html.table.MxTableView2"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    String               timeStamp = request.getParameter("timeStamp");
    MxTaskWizardInstance inst      = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);

    // get tableController for this Task Wizard Instance
    MxTableController    tableController = inst.getNodeBucketTableController();
    MxTableView2         tableView       = inst.getNodeBucketTableView();

    // do we need to abort?
    if (tableController.checkUrlForControllerMessages(request, out) == true)
    {
        return;
    }

    // the number of node failures
    int numFails = inst.getNumInvalidTargets();
    int numNodes = inst.getNumNodesSelected();

    boolean toolAuth = inst.checkToolAuth();
    boolean nodeAuth = inst.checkNodeAuth();
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/css/MxPortalEx.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/js/MxPortalApi.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/targetSelection.js'></script>
        <script language='javascript' type='text/javascript'>
            // to signal earlier any tool/node authorization errors to the user
            parent.toolAuth           = <%=toolAuth%>;
            parent.nodeAuth           = <%=nodeAuth%>;
            // save these values to task wizard parent
            parent.numInvalidTargets  = <%=inst.getNumInvalidTargets()%>;
            parent.invalidTargetsText = "<%=inst.buildInvalidTargetsError()%>";
            // if ALL selected targets are invalid - disable the Schedule and/or Next button
            if (<%=numFails%> == <%=numNodes%>)
            {
                // disable the "run now" and/or "schedule" button
                ourButtonManager.disableButton(parent.document.getElementById('customBtn1'));
                ourButtonManager.disableButton(parent.document.getElementById('customBtn2'));
            }
            ////////////////////////////
            function allAreInvalidSelections()
            {
                return (<%=numFails%> == <%=numNodes%>);
            }
            ////////////////////////////
            // checkAuths()
            ////////////////////////////
            function checkAuths()
            {
                if (parent.taskWizard == null)
                {
                    return;
                }

                var url = "<%=MxOptions.URL_BASE%>/taskandjob/checkAuths.jsp?timeStamp=<%=timeStamp%>";
                document.getElementById('action').contentWindow.document.location.replace(url);

                setTimeout('checkAuths()', AUTH_CHECK_TIMEOUT);
            }
            ////////////////////////////
            var numSelectedRows = 0;
            ////////////////////////////
            // mySelectionChanged()
            ////////////////////////////
            function mySelectionChanged(szIdTable, iRow, bSelected)
            {
                // if iRow > (numNodes - 1) then we are selecting/deselecting ALL ROWS
                if ((iRow - 1) > <%=numNodes%>)
                {
                    if (bSelected == true)
                    {
                        numSelectedRows = <%=numNodes%>;
                    }
                    else
                    {
                        numSelectedRows = 0;
                    }
                }
                else
                {
                    // keep track of # of selected - enable "Remove" button as long as # > 0
                    if (bSelected == true)
                    {
                        numSelectedRows++;
                    }
                    else
                    {
                        numSelectedRows--;
                    }
                }

                if (numSelectedRows > 0)
                {
                    ourButtonManager.enableButton(parent.document.getElementById("remove"));
                }
                else
                {
                    ourButtonManager.disableButton(parent.document.getElementById("remove"));
                }
            }
            ////////////////////////////////////////////////
            // myResize()
            ////////////////////////////////////////////////
            function myResize()
            {
                MxTableSetWidth("ID_MY_TABLE", MxDomGetBodyWidth());
                MxTableSetHeight("ID_MY_TABLE", MxDomGetBodyHeight());
            }
            ////////////////////////////
            // myOnLoad()
            ////////////////////////////
            function myOnLoad()
            {
                myResize();
                checkAuths();
            }
        </script>
<%
    tableView.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadBegin(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body class='body-flush-fit-no-scrolling' onLoad='myOnLoad()' onResize='myResize()'>
<%
    tableView.dumpWholeTable(out);
    MxHtmlUtil.dumpBodyEnd(out);
%>
        <iframe id='action' name='action' style='position:relative; visibility:hidden; width:0; height:0'
                scrolling='no' marginwidth='0' frameborder='0' src='<%=MxOptions.URL_BASE%>/home/MxBlank.html'>
        </iframe>
    </body>
</html>
