<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="taskWizardBean" class="com.hp.mx.portal.taskandjob.MxTaskWizard" scope="session"/>

<%@ page import="com.hp.mx.html.core.MxButton"%>
<%@ page import="com.hp.mx.html.core.MxHtmlUtil" %>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskAndJobResourceBundle"%>
<%@ page import="com.hp.mx.portal.taskandjob.MxTaskWizardInstance"%>
<%@ page import="com.hp.mx.portal.ui.MxBean"%>
<%@ page import="com.hp.mx.portal.ui.MxOptions"%>
<%@ page import="com.hp.mx.utilities.InvalidCharCheck"%>

<%
    // set header info
    MxBean.jspInit(request, response);

    // check to see if the loginBean session has timed out
    if (loginBean.checkLogoutConditionForWebPage(pageContext))
    {
        return;
    }

    String                     timeStamp   = request.getParameter("timeStamp");
    MxTaskWizardInstance       inst        = (MxTaskWizardInstance)taskWizardBean.getInstance(timeStamp);
    MxTaskAndJobResourceBundle rb          = inst.getRB();
    InvalidCharCheck           check       = new InvalidCharCheck();
%>

<html>
    <head>
        <title></title>
        <link type='text/css' rel='stylesheet' href='<%=MxOptions.URL_BASE%>/taskandjob/css/taskAndJob.css'>
        <script language='javascript' type='text/javascript' src='/SessionReset.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/globals.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/taskWizard.js'></script>
        <script language='javascript' type='text/javascript' src='<%=MxOptions.URL_BASE%>/taskandjob/js/cookieControl.js'></script>
<%
    MxHtmlUtil.dumpHeadBegin(out);
    MxButton.dumpHeadContent(out);
    MxHtmlUtil.dumpHeadEnd(out);
%>
    </head>

    <body onload='taskWizardInit()'>

        <script language='javascript' type='text/javascript'>
            setWizardStepText('<%=rb.getString("TASK_CONFIRM")%>');
        </script>

        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("DESCRIPTION")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolDescription())%></td>
            </tr>
        </table>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("COMMENT")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolComment())%></td>
            </tr>
        </table>
        <br>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("BEHAVIOR")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolBehavior())%></td>
            </tr>
        </table>
        <br>
<%
    if (inst.getToolType() == MxTaskWizardInstance.TOOL_TYPE_MSA)
    {
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("TOOL_WILL_RUN_ON")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getExecutionNode())%></td>
            </tr>
        </table>
        <br>
<%
    } // end if (inst.getToolType().equals('MSA') == true)

    if (inst.haveStdout() == true)
    {
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("STDOUTS")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=inst.getStdout()%></td>
            </tr>
        </table>
        <br>
<%
    } // end if (inst.haveStdout() == true)
%>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;<b><%=rb.getString("COMMAND")%>:</b></td>
            </tr>
        </table>
        <table cellpadding='0' cellspacing='0' border='0'>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><%=check.transformHTML(inst.getToolCommand())%></td>
            </tr>
        </table>
        <br>

        <script language='javascript' type='text/javascript'>
            // display the buttons for this page
            displayTaskWizardButtons();
        </script>
<%
    MxHtmlUtil.dumpBodyEnd(out);
%>
    </body>
</html>
