<%@ page import="com.hp.mx.html.core.*" %>
<%@ page import="com.hp.mx.portal.ui.*" %>
<%@ page import="com.hp.mx.portal.core.*" %>

<jsp:useBean id="selectionBean" class="com.hp.mx.portal.core.MxObjSelections" scope="session" />

<%
    MxBean.jspInit(request, response);

    MxObjList listNodes = selectionBean.getNodes();
    MxObjList filteredNodes = selectionBean.getByType(MxObj.TYPE_NODE);
    MxObjList filteredEvents = selectionBean.getByType(MxObj.TYPE_EVENT);
    MxObjList filteredQueries = selectionBean.getByType(MxObj.TYPE_QUERY);
    MxObjList filteredCollections = selectionBean.getByType(MxObj.TYPE_COLLECTION);
%>

<HTML>
<HEAD>
<% MxHtmlUtil.dumpHeadBegin(out); %>
<% MxPortalRender.dumpHeadContent(out); %>
<% MxHtmlUtil.dumpHeadEnd(out); %>
<TITLE>Global Selection Object</TITLE>

<style type="text/css">
    .grouped
    {
        background:#EEEEEE;
        padding:5px;
        width=600;
    }
</style>

</HEAD>

<body class="body-flush-fit">

<%MxPortalRender.dumpTitleHtml("Global Selection Object", out);%>

<div style="margin:10px">

Query context: <strong><%=selectionBean.getQueryContext().getAsId(MxObj.TYPE_QUERY)%></strong><br>

<br>
<div class="grouped">
<%=listNodes.size()%> selected node(s)<br><strong>
<%
for (int i = 0; i < listNodes.size(); i++)
{
    if (i > 0) out.print(", ");
    out.print(listNodes.get(i).getName());
}

if (listNodes.size() > 0) out.println("<br>");
%>
</strong>

<br>
<%=filteredNodes.size()%> raw node(s)<br><strong>
<%
for (int i = 0; i < filteredNodes.size(); i++)
{
    if (i > 0) out.print(", ");
    out.print(filteredNodes.get(i).getName());
}

if (filteredNodes.size() > 0) out.println("<br>");
%>
</strong>

<br>
<%=filteredEvents.size()%> raw event(s)<br><strong>
<%
for (int i = 0; i < filteredEvents.size(); i++)
{
    if (i > 0) out.print(", ");
    out.print(filteredEvents.get(i).getAsId(MxObj.TYPE_EVENT));
}

if (filteredEvents.size() > 0) out.println("<br>");
%>
</strong>

</div>
<br>
<div class="grouped">

<%=filteredQueries.size()%> raw query(ies)<br><strong>
<%
for (int i = 0; i < filteredQueries.size(); i++)
{
    if (i > 0) out.print(", ");
    out.print(filteredQueries.get(i).getAsId(MxObj.TYPE_QUERY));
}

if (filteredQueries.size() > 0) out.println("<br>");
%>
</strong>

</div>
<br>
<div class="grouped">

<%=filteredCollections.size()%> raw collection(s)<br><strong>
<%
for (int i = 0; i < filteredCollections.size(); i++)
{
    if (i > 0) out.print(", ");
    out.print(filteredCollections.get(i).getName());
}

if (filteredCollections.size() > 0) out.println("<br>");
%>
</strong>

</div>
</div>

</body>
</HTML>
