//$Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/mxportal/wmiproxyconfig/js/WmiProxyConfigUtil.js,v $


// define global constants - prefix with ActionOnEventsJS to avoid name conflicts

var WmiProxyConfigJS = new Object();

WmiProxyConfigJS.IMG_SPG_GIF = "img/spg.gif";

// define functions
function checkName(devName)
{
    devName = devName.replace(/^\s*-/, '').replace(/\s*$/, ''); // trim string

    if ( 0 == devName.length )
    {
        alert( '<%=wmiproxyRes.getString("wmi.errmsg.blankname")%> ');
        return false;
    }

    if ( 256 < devName.length )
    {
        alert( '<%=wmiproxyRes.getString("wmi.errmsg.exceedlength")%>');
        return false;
    }

//    var regExp = new RegExp("[^.^_^~^'^a-z^A-Z^0-9^-]");

//  if (regExp.test( devName ))
//  {
//      alert ('<%=wmiproxyRes.getString("wmi.errmsg.invalidchar")%>');
//      return false;
//  }

    return true;
}

function checkIPAddress(ipAddress)
{
    var num;
    var temp;
    var dotCount = 0;
    var pos;

    if ( 0 == ipAddress.length )
    {
        return false;
    }

    var regExp = new RegExp("[^.^0-9^]"); //matches anything that is not a dot or a number

    if ( regExp.test( ipAddress ) )
    {
        return false;
    }

    temp = ipAddress;

    while (-1 != (pos = temp.indexOf(".")))
    {
        num = temp.substring(0, pos);
        dotCount++;
        temp = temp.substr(pos+1);

        if (3 < dotCount)
        {
            return false;
        }

        if (isNaN (num = parseInt(num)))
        {
            return false;
        }

        if ((1 == dotCount) && (0 == num))
        {
            return false;
        }

        if ((0 > num) || (255 < num))
        {
            return false;
        }
    }

    if (3 != dotCount)
    {
        return false;
    }

    num = temp;

    if (isNaN (num = parseInt(num)))
    {
        return false;
    }

    if ((0 > num) || (255 < num))
    {
        return false;
    }

    return true;
}

function checkPort(port)
{
    var num;
    var temp;
    var pos;

    if ( 0 == port.length )
    {
        alert ('<%=wmiproxyRes.getString("wmi.errmsg.blankport")%>');
        return false;
    }

    if ( 5 < port.length )
        {
        alert( '<%=wmiproxyRes.getString("wmi.errmsg.portexceedlength")%>');
        return false;
    }
    var regExp = new RegExp("[^0-9^]"); //matches anything that is not a dot or a number

    if ( regExp.test( port) )
    {
        alert ('<%=wmiproxyRes.getString("wmi.errmsg.invalidport")%>');
        return false;
    }
    if (port==0 )
    {
        alert ('<%=wmiproxyRes.getString("wmi.errmsg.invalidportnumber")%>');
        return false;
    }

    return true;
}


function errorCheck()
{
   if ( document.wmiForm.wmiName.disabled) document.wmiForm.wmiName.disabled=false;
 // Check for blank names
   if ((checkName(document.wmiForm.wmiName.value) ) &&
      (checkPort(document.wmiForm.wmiPort.value)))
{

       return true;
}
   return false;
}

//
//$Log: WmiProxyConfigUtil.js,v $
//Revision 1.8  2005/01/12 20:45:07  farley
//detab
//
//Revision 1.7  2004/03/19 18:48:42  yeh
//fix ndoename size to 256
//
//Revision 1.6  2004/02/03 21:20:42  yeh
//fix for i18n, comment out RegExp let MxWMIProxyName validate the name
//
//Revision 1.5  2003/08/04 14:35:26  yeh
//UI bug 242445
//
//Revision 1.4  2003/07/07 17:59:38  yeh
//Check port nuber equal 0
//
//Revision 1.3  2003/06/03 16:06:21  yeh
//Following the MxNodeName validation
//
//Revision 1.2  2003/05/16 17:40:20  yeh
//dot is allows in the name field
//
//Revision 1.1  2003/05/09 21:32:26  yeh
//WMI PROXY list UI
//
//
//
