

<%--
//
// $Source: /var/cvs/nimbus/src/hpwebadmin/webapps/ROOT/ui/jsp/CMLdrAplt.jsp,v $
// $Revision: 1.23 $
// $Date: 2005/07/06 13:48:13 $
//
// Description: The Cluster Monitor loader that sets up the left frame for the
//              tree and alert list and the right frame for the dataviewers.
//              This jsp is invoked from the Cluster Monitor Queries page.
//
--%>

<%@ page import="com.hp.mx.portal.ui.*,
                java.util.*,
                java.lang.*,
                com.hp.mx.portaljob.MxPortalJobManager,
                com.hp.mx.portaljob.MxPortalJobData,
                com.hp.mx.core.querymanager.*,
                com.hp.mx.core.nodemanager.MxNode,
                com.hp.mx.core.controllers.*,
                com.hp.mx.security.*"
                errorPage="handleJspError.jsp"
%>



<jsp:useBean id="loginBean" class="com.hp.mx.portal.ui.MxLoginBean" scope="session"/>
<jsp:useBean id="rbCM" class="com.hp.mx.portal.res.MxResourceBean" scope="session"/>


<%
    MxBean.jspInit(request, response);
    rbCM.init(loginBean,"ClusterMonitor");
    String title = rbCM.getString("ClusterMonitor.Title");

    if (loginBean.checkLogoutConditionForWebPage(pageContext))
        return;

%>

<html>

<head>
<script src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>

    <script language='javascript' type='text/javascript'>

       function redirect(url){
         document.location.href = url;
           }



    </script>

</head>

<script language='javascript' type='text/javascript'>
    MxPortalWorkspaceSetHelpTopic("useTools_clusterMonitor");
</script>


<%
    String clusterName;
    String clusterIP = new String();
    MxNodeController defaultNodeCon = MxNodeController.getDefaultControllerNoEx();
    MxUserController defaultUserCon = MxUserController.getDefaultController();
    String sessionID= session.getId();

    String errText = null;
    String reinit = request.getParameter("reinit");
    if ( null != reinit )
        reinit = reinit.trim();
    else
        reinit = "";
    String jobid = request.getParameter("job");
    if ( null != jobid )
        jobid = jobid.trim();
    else
        jobid = "";

    // getting cluster name the old way
    clusterName = request.getParameter("clusterName");
    if ( null != clusterName )
        clusterName = clusterName.trim();
    else
        clusterName = "";

    String nodeName = request.getParameter("nodeName");
    if ( null != nodeName )
        nodeName = nodeName.trim();
    else
        nodeName = "";
    String viewid = request.getParameter("viewid");
    if ( viewid==null )
    {
        viewid = "0";
    }
    int viewId = 0;
    try
    {
        viewId  = Integer.parseInt(viewid);
    }
    catch ( NumberFormatException e )
    {
        viewId = 0;
    }
    View v = View.getView(viewId);
    if (v == null && viewId!= 0) // viewid == 0 is the single cluster case.
    {
        errText = rbCM.getString("CMLdrAplt.deleted");
    }
    if ( (null==jobid || jobid.equals("")) && (null==clusterName || clusterName.equals("")) )
    {
        errText = rbCM.getString("ClusterMonitor.NoSelection");
    }

    if ( null != errText )
    {
%>
<body>
    <div align=center>
        <span class=XEPageTitle><%=title%></span><br>
        <BR><span class=errorText>"<%=errText%></span><BR>
    </div>
</body>
<%
    }
    else
    {
        if ( !jobid.equals("") )
        {
            MxPortalJobData data = MxPortalJobManager.getJobData(jobid);
            String szNodes = null;
            if ( data != null )
            {
                szNodes = data.getTargetList();
                if (szNodes.length() > 0)
                {
                    String[] clusters = szNodes.split("\u002C");        //system names are seperated by ,
                    clusterName = clusters[0];
                    try{
                      //if this succeeds we have a vaild ip
                      MxNode node = defaultNodeCon.getNodeByIPAddress(clusterName);
                      clusterIP= clusterName;
                      clusterName = node.getNameString();
                    }
                   catch (Exception ex){
                     // we then have a host name
             try{
                       clusterIP= defaultNodeCon.getNodeByHostname(clusterName).getIPAddress(0);
             }
             catch (Exception e)
             {
                %>
            <center>
            <h1><%=rbCM.getString("ClusterMonitor.ClusterWasDeleted")%></h1>
            </center>
                    <%
            return;
             }


                     int endInd = clusters[0].indexOf("\u002E");    //parse the system name, strip off domain part - separated by .
                     if (endInd != -1)
                       clusterName = clusters[0].substring(0,endInd);
                     }

                 } // szNodes.length
            } // data != null
        } // jobid
    }
%>

<body>
  <script language="javascript" type="text/javascript">
     document.location.href = "/mxportal/clustermonitor/CmMSCS.jsp?ClusterName=<%=clusterName%>&ClusterIp=<%=clusterIP%>";
  </script>
</body>

</html>
